<?php defined('BASEPATH') OR exit('No direct script access allowed');

$route['default_controller'] = "Login";
$route['No_access/(:any)']   = "No_access/index/$1";

$route['Reports/(daily_kaca)/(:any)/(:any)'] = "Reports/$1/$2/$3";
$route['Reports/daily_kaca'] = "Reports/daily_kaca_export";

$route['Reports/(daily_sales)/(:any)/(:any)'] = "Reports/$1/$2/$3";
$route['Reports/daily_sales'] = "Reports/daily_excel_export";

$route['Reports/(inventory_:any)/(:any)'] = "Reports/$1/$2";
$route['Reports/inventory_:any'] = "Reports/excel_export";

$route['Reports/(summary_items)/(:any)/(:any)'] = "Reports/$1/$2/$3/$4";
$route['Reports/summary_items'] = "Reports/date_input_summary_items";
$route['Reports/(summary_profits)/(:any)/(:any)'] = "Reports/$1/$2/$3/$4";
$route['Reports/summary_profits'] = "Reports/date_input_summary_profits";
$route['Reports/(summary_sales)/(:any)/(:any)'] = "Reports/$1/$2/$3/$4";
$route['Reports/summary_sales'] = "Reports/date_input_summary_sales";
$route['Reports/(summary_recvs)/(:any)/(:any)'] = "Reports/$1/$2/$3/$4";
$route['Reports/summary_recvs'] = "Reports/date_input_summary_recvs";
$route['Reports/(summary_customers)/(:any)/(:any)'] = "Reports/$1/$2/$3/$4/$5/$6";
$route['Reports/summary_customers'] = "Reports/date_input_summary_customers";
$route['Reports/(summary_consignees)/(:any)/(:any)'] = "Reports/$1/$2/$3/$4/$5/$6";
$route['Reports/summary_consignees'] = "Reports/date_input_summary_consignees";
$route['Reports/summary_online_clients'] = "Reports/date_input_summary_online_clients";
$route['Reports/(summary_online_clients)/(:any)/(:any)'] = "Reports/$1/$2/$3/$4";
$route['Reports/summary_suppliers'] = "Reports/date_input_summary_suppliers";
$route['Reports/(summary_employees)/(:any)/(:any)'] = "Reports/$1/$2/$3/$4";
$route['Reports/summary_employees'] = "Reports/date_input_summary_employees";
$route['Reports/(summary_:any)/(:any)/(:any)'] = "Reports/$1/$2/$3/$4";
$route['Reports/summary_:any'] = "Reports/date_input_summary";

$route['Reports/(detailed_sales)/(:any)/(:any)'] = "Reports/$1/$2/$3/$4/$5";
$route['Reports/detailed_sales'] = "Reports/date_sales";
$route['Reports/(detailed_invoices)/(:any)/(:any)'] = "Reports/$1/$2/$3/$4/$5";
$route['Reports/detailed_invoices'] = "Reports/date_invoices";
$route['Reports/(silvia_detailed_invoices)/(:any)/(:any)'] = "Reports/$1/$2/$3/$4";
$route['Reports/silvia_detailed_invoices'] = "Reports/silvia_invoices";
$route['Reports/(detailed_recvs)/(:any)/(:any)'] = "Reports/$1/$2/$3/$4/$5";
$route['Reports/detailed_recvs'] = "Reports/date_recvs";
$route['Reports/(detailed_documents)/(:any)/(:any)'] = "Reports/$1/$2/$3/$4/$5";
$route['Reports/detailed_documents'] = "Reports/date_documents";

$route['Reports/(specific_:any)/(:any)/(:any)/(:any)/(:any)'] = "Reports/$1/$2/$3/$4/$5";
$route['Reports/specific_customer']  = "Reports/specific_customer_input";
$route['Reports/specific_supplier']  = "Reports/specific_supplier_input";
$route['Reports/specific_consignee'] = "Reports/specific_consignee_input";
$route['Reports/specific_employee']  = "Reports/specific_employee_input";

$route['Reports/(graphical_:any)/(:any)/(:any)'] = "Reports/$1/$2/$3";
$route['Reports/graphical_:any'] = "Reports/date_input";
$route['Reports/(graphical_sales)/(:any)/(:any)'] = "Reports/$1/$2/$3";
$route['Reports/graphical_sales'] = "Reports/graphical_sales_input";
$route['Reports/(graphical_items)/(:any)/(:any)'] = "Reports/$1/$2/$3";
$route['Reports/graphical_items'] = "Reports/graphical_items_input";
$route['Reports/(graphical_suppliers)/(:any)/(:any)'] = "Reports/$1/$2/$3";
$route['Reports/graphical_suppliers'] = "Reports/graphical_suppliers_input";
$route['Reports/(graphical_customers)/(:any)/(:any)'] = "Reports/$1/$2/$3";
$route['Reports/graphical_customers'] = "Reports/graphical_customers_input";
$route['Reports/(graphical_consignees)/(:any)/(:any)'] = "Reports/$1/$2/$3";
$route['Reports/graphical_consignees'] = "Reports/graphical_consignees_input";
$route['Reports/(graphical_employees)/(:any)/(:any)'] = "Reports/$1/$2/$3";
$route['Reports/graphical_employees'] = "Reports/graphical_employees_input";

/* ------------------ ANALYSES ------------------- */
$route['Analyses/(analyse_profits)/(:any)/(:any)'] = "Analyses/$1/$2/$3/$4/$5/$6/$7/$8";
$route['Analyses/analyse_profits'] = "Analyses/period_analyses";
$route['Analyses/(analyse_onlines)/(:any)/(:any)'] = "Analyses/$1/$2/$3/$4/$5/$6";
$route['Analyses/analyse_onlines'] = "Analyses/period_onlines_analyses";

$route['scaffolding_trigger'] = "";
$route['404_override'] = 'errors/page_missing';
$route['translate_uri_dashes'] = FALSE;
