<?php
require_once ("Secure_area.php");
class Docedit extends Secure_area
{
	function __construct()
	{
		parent::__construct('Docedit');
		$this->load->library('Doc_lib');
	}

	function index()
	{
		$this->_reload();
	}


	function change_mode()
	{
		$mode = $this->input->post("mode");
		$this->doc_lib->set_mode($mode);
		$this->BiSOFT_Model->set_user_mode($mode);
	$this->_reload();
	}


	function show_hide_DATE()
	{
		if ( !$this->doc_lib->get_dateKey() ) 
				{ !$this->doc_lib->set_dateKey(); }
		else	{ !$this->doc_lib->clear_dateKey(); }

	$this->_reload();
	}

	function change_YEAR()
	{
		$c_day = date('d', strtotime( $this->BiSOFT_Model->get_user_mode_date() ));
		$c_month = date('m', strtotime( $this->BiSOFT_Model->get_user_mode_date() ));
		$c_year = $this->input->post("mode_year");
		$mode_date = "$c_year-$c_month-$c_day";
		$this->BiSOFT_Model->set_user_date($mode_date);
		$this->BiSOFT_Model->set_user_year($c_year);
	$this->_reload();
	}


	function change_MONTH()
	{
		$c_day = date('d', strtotime( $this->BiSOFT_Model->get_user_mode_date() ));
		$c_month = $this->input->post("mode_month");
		$c_year = date('y', strtotime( $this->BiSOFT_Model->get_user_mode_date() ));
		$mode_date = "$c_year-$c_month-$c_day";
		$this->BiSOFT_Model->set_user_date($mode_date);

	$this->_reload();
	}

	function change_DAY()
	{
		$c_day = $this->input->post("mode_day");
		$c_month = date('m', strtotime( $this->BiSOFT_Model->get_user_mode_date() ));
		$c_year = date('y', strtotime( $this->BiSOFT_Model->get_user_mode_date() ));
		$mode_date = "$c_year-$c_month-$c_day";
		$this->BiSOFT_Model->set_user_date($mode_date);

	$this->_reload();
	}


	function change_PRICE()
	{
		$mode_price = $this->input->post("mode_price");
		$this->doc_lib->set_mode_price($mode_price);
		$this->BiSOFT_Model->set_user_price($mode_price);
	$this->_reload();
	}


	function change_PRINTON()
	{
		$mode_print = $this->input->post("mode_print");
		$this->doc_lib->set_mode_print($mode_print);
	$this->_reload();
	}


	function change_PAYMENT()
	{
		$payment_type = $this->input->post("payment_type");
		$this->doc_lib->set_mode_payment($payment_type);
	$this->_reload();
	}


	function item_search()
	{
		$suggestions = $this->Item->get_item_search_suggestions($this->input->post('q'),$this->input->post('limit'));
		$suggestions = array_merge($suggestions, $this->Item_kit->get_item_kit_search_suggestions($this->input->post('q'),$this->input->post('limit')));
		echo implode("\n",$suggestions);
	}

	function customer_search()
	{
		$suggestions = $this->Customer->get_customer_search_suggestions($this->input->post('q'),$this->input->post('limit'));
		echo implode("\n",$suggestions);
	}

	function select_customer()
	{
		$customer_id = $this->input->post("customer");
		$this->doc_lib->set_customer($customer_id);
		$this->_reload();
	}


	function set_comment() 
	{
 	  $this->doc_lib->set_comment($this->input->post('comment'));
	}
	
	function set_email_receipt()
	{
 	  $this->doc_lib->set_email_receipt($this->input->post('email_receipt'));
	}

	//Alain Multiple Payments
	function add_payment()
	{		
		$data = array();
		$this->form_validation->set_rules( 'amount_tendered', 'lang:sales_amount_tendered', 'numeric' );
		
		if ( $this->form_validation->run() == FALSE )
		{
			if ( $this->input->post( 'payment_type' ) == $this->lang->line( 'sales_gift_card' ) )
				$data['error']=$this->lang->line('sales_must_enter_numeric_giftcard');
			else
				$data['error']=$this->lang->line('sales_must_enter_numeric');
				
 			$this->_reload( $data );
 			return;
		}
		
		$payment_type = $this->input->post( 'payment_type' );
		if ( $payment_type == $this->lang->line( 'sales_giftcard' ) )
		{
			$payments = $this->doc_lib->get_payments();
			$payment_type = $this->input->post( 'payment_type' ) . ':' . $payment_amount = $this->input->post( 'amount_tendered' );
			$current_payments_with_giftcard = isset( $payments[$payment_type] ) ? $payments[$payment_type]['payment_amount'] : 0;
			$cur_giftcard_value = $this->Giftcard->get_giftcard_value( $this->input->post( 'amount_tendered' ) ) - $current_payments_with_giftcard;
			
			if ( $cur_giftcard_value <= 0 )
			{
				$data['error'] = 'Giftcard balance is ' . to_currency( $this->Giftcard->get_giftcard_value( $this->input->post( 'amount_tendered' ) ) ) . ' !';
				$this->_reload( $data );
				return;
			}

			$new_giftcard_value = $this->Giftcard->get_giftcard_value( $this->input->post( 'amount_tendered' ) ) - $this->doc_lib->get_amount_due( );
			$new_giftcard_value = ( $new_giftcard_value >= 0 ) ? $new_giftcard_value : 0;
			$data['warning'] = 'Giftcard ' . $this->input->post( 'amount_tendered' ) . ' balance is ' . to_currency( $new_giftcard_value ) . ' !';
			$payment_amount = min( $this->doc_lib->get_amount_due( ), $this->Giftcard->get_giftcard_value( $this->input->post( 'amount_tendered' ) ) );
		}
		else
		{
			$payment_amount = $this->input->post( 'amount_tendered' );
		}
		
		if( !$this->doc_lib->add_payment( $payment_type, $payment_amount ) )
		{
			$data['error']='Unable to Add Payment! Please try again!';
		}
		
		$this->_reload($data);
	}

	//Alain Multiple Payments
	function delete_payment( $payment_id )
	{
		$this->doc_lib->delete_payment( $payment_id );
		$this->_reload();
	}


	function add_item_from_google ($item_number, $size=10)
	{
			$qty = array(); 
			$qty[1]=$qty[2]=$qty[3]=$qty[4]=$qty[5]=$qty[6]=$qty[7]=$qty[8]=$qty[9]=$qty[0] = 0;

			$qty[$size] = 1;

			// adds items to cart
			$this->doc_lib->add_item($item_number, 1, '', '',
												$qty[1], $qty[2], $qty[3], $qty[4], $qty[5],
												$qty[6], $qty[7], $qty[8], $qty[9], $qty[0] );


	$this->_reload();
	}


	function add()
	{
		$data=array();
		$mode = $this->doc_lib->get_mode();
		$barcode_item = $this->input->post("item");

// РЕШАВАМЕ КАКВО ЩЕ ПРАВИМ С КОЛИЧЕСТВОТО СПОРЕД РЕЖИМА НА РАБОТА ================
		/* $quantity = $mode=="sale" ? 1:-1; */
	$quantity = 1;
//	$quantity = $this->BiSOFT_Model->get_mode_quantity($mode);
	
/*		if($this->doc_lib->is_valid_receipt($barcode_item) && $mode=='return')
		{
			$this->doc_lib->return_entire_sale($barcode_item);
		}

		elseif($this->doc_lib->is_valid_item_kit($barcode_item))
		{
			$this->doc_lib->add_item_kit($barcode_item);
		}
*/
// test for barCode
		if ($this->doc_lib->is_valid_barcode($barcode_item,$mode))
		{
			// това ще да е грешка от липса на размер ?!?!?
			if(!$this->doc_lib->add_item_barcode($barcode_item,$quantity))
			{ $data['error']=$this->lang->line('sales_size_fail');}

		}
// test for invoice item
		if ($this->doc_lib->is_valid_invoice_item_number($barcode_item,$mode))
		{
			if(!$this->doc_lib->add_invoice_item($barcode_item,$quantity))
			{ $data['error']=$this->lang->line('sales_unable_to_add_item');}
		}

// end of barCode test

		elseif($this->doc_lib->is_valid_item_number($barcode_item,$mode))
		{
			$result_success = $this->doc_lib->add_item($barcode_item,$quantity);
		// проверявам за вид на грешката :
			if ( $result_success != 'OK' )
			{
		   	if ( $result_success == 'S' )
						{ $data['info']=$this->lang->line('sales_size_fail');}
				else	{ $data['error']=$this->lang->line('sales_unable_to_add_item');}
		   }
					
		}

		if($this->doc_lib->out_of_stock($barcode_item))
		{
			$data['info'] = $this->lang->line('sales_quantity_less_than_zero');
		}

	$this->_reload($data);
	}



	function edit_item($line)
	{
		$data= array();
		$mode_price = $this->BiSOFT_Model->get_user_mode_price();
		$mode = $this->doc_lib->get_mode();

		// ИМЕТО НА АРТИКУЛА --------------- //
		$item_name = $this->input->post("name");


		// ЦЕНИ ---------------------------- //
		$price = $this->input->post("price");
		if($mode_price==0) 
			{$this->form_validation->set_rules('price', 'lang:items_price', 'required|numeric');}

		if (!is_numeric($price)) { str_replace(',', '.', $price); $price = round($price,2);}
		if ($mode == 'sale' or $mode == 'shop_sale' or $mode == 'sale_return' or $mode == 'shop_return') 
			{ $price = abs($price);}


		// ОТСТЪПКИ ----------------------- //
		$item_discount	= $this->input->post("item_discount");
		if ( $item_discount == '') { $item_discount = 0;}
		if (!is_numeric($item_discount)) 
			{ str_replace(',', '.', $item_discount);}
		str_replace('%', '', $item_discount);

		$item_discount = (int) $item_discount;
//		$this->form_validation->set_rules('item_discount', 'lang:items_discount', 'required|integer');	


		// КОЛИЧЕСТВО --------------------- //
		if ($mode=='invoice' or $mode=='invoice_ki' or $mode=='invoice_di' or $mode=='invoice_pr')
			{
			$this->form_validation->set_rules('quantity', 'lang:items_quantity', 'required|numeric');

				$qty_1 = 0; $qty_2 = 0; $qty_3 = 0; $qty_4 = 0; $qty_5	= 0;
				$qty_6 = 0; $qty_7 = 0; $qty_8 = 0; $qty_9 = 0; $qty_max = 0;

				$quantity = $this->input->post("quantity");
			}
		else
			{
			$this->form_validation->set_rules('quantity', 'lang:items_quantity', 'required|numeric');

				$qty_1 	= abs($this->input->post("qty_1"));
				$qty_2 	= abs($this->input->post("qty_2"));
				$qty_3 	= abs($this->input->post("qty_3"));
				$qty_4 	= abs($this->input->post("qty_4"));
				$qty_5 	= abs($this->input->post("qty_5"));
				$qty_6 	= abs($this->input->post("qty_6"));
				$qty_7 	= abs($this->input->post("qty_7"));
				$qty_8 	= abs($this->input->post("qty_8"));
				$qty_9 	= abs($this->input->post("qty_9"));
				$qty_max = abs($this->input->post("qty_max"));

			// може и по-добре като се провери allow_sizes на cur_item.
			$size_qty = $qty_1 + $qty_2 + $qty_3 + $qty_4 + $qty_5 + $qty_6 + $qty_7 + $qty_8 + $qty_9 + $qty_max;

				if ( $size_qty == 0 )
					{ $quantity = abs($this->input->post("quantity"));}
				else
					{ $quantity = $size_qty; } 
	 
			}


		if ($this->form_validation->run() != FALSE)
			{ $this->doc_lib->edit_item(
							$line,$item_name,$quantity,$item_discount,$price,
							$qty_1,$qty_2,$qty_3,$qty_4,$qty_5,$qty_6,$qty_7,$qty_8,$qty_9,$qty_max);}
		else
			{ $data['error']=$this->lang->line('sales_error_editing_item');}
		
		if($this->doc_lib->out_of_stock($this->doc_lib->get_item_id($line)))
			{ $data['warning'] = $this->lang->line('sales_quantity_less_than_zero');}

	$this->_reload($data);
	}


	function delete_item($item_number)
	{
		$this->doc_lib->delete_item($item_number);
	$this->_reload();
	}

	function remove_customer()
	{
		$this->doc_lib->remove_customer();
	$this->_reload();
	}


	// ------------------------------------------------- COMPLETE ------------------------------- //
	function complete()
	{
		$location = $this->BiSOFT_Model->get_location();
		$mode = $this->doc_lib->get_mode();
		$print_type = $this->doc_lib->get_mode_print();

		$data['mode']		= $mode;
		$data['location'] = $location;

		$data['magazin_name'] = 0;
		if	( $location >0 ) 
			{ $data['magazin_name'] = $this->Consignee->get_info_by_bisoft_id($location)->company_name;}


		$data['cart']		= $this->doc_lib->get_cart();
		$data['mode_price']	= $this->doc_lib->get_mode_price();
		$data['subtotal']	= to_currency_no_money($this->doc_lib->get_subtotal());
//		$data['taxes']		= $this->doc_lib->get_taxes();

		// определям ДДС-то ....
		$taxed = 0;
		$mode_price				= $data['mode_price'];
		if ( $mode_price == 'vat') { $taxed = 1;}
		$data['taxed']		= $taxed;

		$data['tax_VAT']	= to_currency_no_money($this->doc_lib->get_tax_VAT($mode,$taxed));
		$data['currency']	= ' лв.'; // $this->config->currency_symbol;
		$data['all_qty']	= $this->doc_lib->get_all_qty();


		//изтегля и разпределя атрибутите на документа  ..
			$doc_date 	= date('Y-m-d', strtotime( $this->BiSOFT_Model->get_user_mode_date() ));
			$data['transaction_time']= date('Y-m-d');

			$vedom		= $this->BiSOFT_Model->get_vedom($mode);
			$doc_number	= $this->BiSOFT_Model->get_document_number($mode); // взима НОВ номер ...
			$doc_name	= $this->BiSOFT_Model->get_document_title($mode);

		$employee_id=$this->Employee->get_logged_in_employee_info()->person_id;
		$emp_info=$this->Employee->get_info($employee_id);
		$data['employee']=$emp_info->first_name.' '.$emp_info->last_name;
		$data['employee_id']=$employee_id;

		$comment = $this->doc_lib->get_comment(); 
				if ($comment==0) { $comment = '';}

		$data['payments']=$this->doc_lib->get_payments();
		$data['amount_change']=to_currency($this->doc_lib->get_amount_due($mode,$taxed) * -1);

		$bisoft_id = 0;
		$customer_id=$this->doc_lib->get_customer();

		if($customer_id!=-1)
		{
			$cust_info=$this->Customer->get_info($customer_id);
			$bisoft_id=$cust_info->bisoft_id;
			$data['customer']=$cust_info->company_person;
			$data['customer_company']=$cust_info->company_name;
			$data['customer_account_number']=$cust_info->account_number;
			$data['customer_discount']=$cust_info->discount;
			$data['customer_address']=''; // $cust_info->city.', '.$cust_info->address;
		}
		else { $data['customer_discount'] = 0;}

		$customer_discount = $data['customer_discount'];
		$data['total']		= to_currency_no_money($this->doc_lib->get_total($mode,$customer_discount,$taxed));

		//SAVE sale to database
		$data['doc_id'] = $this->Docedit->save(
													$data['cart'], 
													$mode, 
													$data['all_qty'], 
													$data['subtotal'],
													$doc_number, 
													$doc_name,	
													$bisoft_id, 
													$data['customer_discount'], 
													$employee_id, 
													$data['payments'], 
													$comment);

		$doc_id = $data['doc_id'];

		if ($doc_id == 'doc-1')
		{ $data['error_message'] = $this->lang->line('sales_transaction_failed');}
		else
		{
			if ($this->doc_lib->get_email_receipt() && !empty($cust_info->email))
			{
				$this->load->library('email');
				$config['mailtype'] = 'html';				
				$this->email->initialize($config);
				$this->email->from($this->config->item('email'), $this->config->item('company'));
				$this->email->to($cust_info->email); 
				$this->email->subject($this->lang->line('sales_receipt'));
				$this->email->message($this->load->view("sales/receipt_email",$data, true));	
				$this->email->send();
			}
		}

		$data['receipt_name'] 	= $doc_name;
		$data['receipt_number'] = $doc_number;
		$data['receipt_date'] 	= date('d.m.Y', strtotime($doc_date));
		$data['bisoft_id'] 		= $bisoft_id;
		$data['vedomPack'] 		= 'V'.date('ym', strtotime($doc_date));
		$vedomPack = $data['vedomPack'];

		if ( $mode=='invoice' or $mode=='invoice_ki' or $mode=='invoice_di' or $mode=='invoice_pr')
			{ $this->invoice($doc_number,$vedomPack,$print_type);}
		else
			{ $this->receipt($doc_id,$vedomPack,$print_type);}

	$this->doc_lib->clear_all();
	$this->BiSOFT_Model->clear_user_modes();
	}
	

	// за всички документи БЕЗ ФАКТУРИТЕ ------------------ RECEIPT ---------//
	function receipt($doc_id,$vedomPack,$print_type='prices')
	{
		$location = $this->BiSOFT_Model->get_location();

		$sale_info = $this->Docedit->get_info($doc_id,$vedomPack)->row_array();
		$this->doc_lib->copy_entire_sale($doc_id,$vedomPack);

		$mode = $sale_info['mode'];

		$data['mode']		= $mode;
		$taxed = 0;
		$data['cart']		= $this->doc_lib->get_cart();
		$data['mode_price']	= $this->doc_lib->get_mode_price();
		$data['subtotal']	= to_currency_no_money($this->doc_lib->get_subtotal());
		$data['taxes']		= $this->doc_lib->get_taxes();
		$data['tax_VAT']	= 0;
		$data['currency']	= ' лв.'; // $this->config->currency_symbol;
		$data['all_qty']	= $this->doc_lib->get_all_qty();

		// определям ДДС-то ....
		$data['taxed']		= 0; // за сега без ТАКСИ ?!?!?

		//изтегля и разпределя атрибутите на документа  ..
			$vedom		= $this->BiSOFT_Model->get_vedom($mode);
			$doc_name	= $this->BiSOFT_Model->get_document_title($mode);
			$doc_number	= $sale_info['doc_number'];
			$doc_date 	= $sale_info['doc_date'];

		$data['transaction_time']= $sale_info['doc_date'];
		$bisoft_id = $sale_info['client_id'];
		$location_id = $sale_info['location'];

		$data['magazin_name'] = '';
		if	( $location == 0 )
			{ $data['magazin_name'] = $this->Consignee->get_info_by_bisoft_id($location_id)->company_name;}
		else
			{ $data['magazin_name'] = $this->Consignee->get_info_by_bisoft_id($location)->company_name;}

		$emp_info=$this->Employee->get_info($sale_info['employee_id']);
		$data['payment_type']	= $sale_info['pay_type'];
		$data['payments']			= $sale_info['pay_type'];
		$data['amount_change']	= to_currency($this->doc_lib->get_amount_due($mode,$taxed) * -1);
		$data['employee']			= $sale_info['employee'];
		$data['location']			= $sale_info['location'];

		if($bisoft_id!=-1 and $bisoft_id!=0)
		{
			$cust_info=$this->Customer->get_info_by_bisoft_id($bisoft_id);
			$data['customer']=$cust_info->company_person;
			$data['customer_company']=$cust_info->company_name;
			$data['customer_account_number']=$cust_info->account_number;
			$data['customer_taxable']=$cust_info->taxable;
			$data['customer_address']='';
		} 

		$customer_discount = $sale_info['total_discount'];
		$data['customer_discount'] = $customer_discount;

		$data['total']		= to_currency_no_money($this->doc_lib->get_total($mode,$customer_discount,$taxed));

		$data['receipt_name'] 	= $doc_name;
		$data['receipt_number'] = $doc_number;
		$data['receipt_date'] 	= date('d.m.Y', strtotime($data['transaction_time']));
		$data['receipt_time'] 	= date('d.m.Y H:i:s');
		$data['bisoft_id'] 		= $bisoft_id;
		$data['vedomPack'] 		= 'V'.date('ym', strtotime($doc_date));

		if ($print_type=='prices') { $this->load->view("bisoft/blanka_prices",$data);}
		if ($print_type=='sizes')  { $this->load->view("bisoft/blanka_sizes",$data);}

	$this->doc_lib->clear_all();
	$this->BiSOFT_Model->clear_user_modes();
	}
	

// ----------------------------------------- специално за ФАКТУРИ -----------------------------------//

	function invoice($doc_number,$vedomPack,$print_type)
	{
		$location = $this->BiSOFT_Model->get_location();
		$this->load->library('bisoft_lib');

		$document_info = $this->BiSOFT_Model->get_info_by_docNumber($doc_number,$vedomPack)->row_array();
		$doc_id = $document_info['doc_id'];

		$mode = $document_info['mode'];
		$this->BiSOFT_Model->set_user_mode($mode);

		$this->bisoft_lib->set_mode($mode);
		$this->bisoft_lib->copy_entire_invoice($doc_number,$vedomPack);

		$data['mode']		= $document_info['mode'];
		$data['mode_id']	= $document_info['mode_id'];
		$data['taxed']		= $document_info['taxed'];
		$taxed				= $data['taxed'];

		$data['cart']		= $this->bisoft_lib->get_cart();
		$data['all_qty']	= $this->bisoft_lib->get_all_qty();

		$data['payments']	= $document_info['pay_type'];
		$data['subtotal']	= to_currency_no_money($this->bisoft_lib->get_invoice_subtotal());

		//изтегля и разпределя атрибутите на документа  ..
			$vedom		= $this->BiSOFT_Model->get_vedom($mode);
			$doc_name	= $this->BiSOFT_Model->get_document_title($mode);
			$doc_number	= $document_info['doc_number'];
			$doc_date 	= $document_info['doc_date'];

		$data['transaction_time']= $document_info['doc_date'];
		$bisoft_id = $document_info['client_id'];
		$emp_info=$this->Employee->get_info($document_info['employee_id']);
		$data['payment_type']	= $document_info['pay_type'];
		$data['employee_id']		= $document_info['employee_id'];
		$data['employee']			= $document_info['employee'];
		$data['location']			= 0;

		if($bisoft_id != -1 and $bisoft_id != 0)
		{
			$cust_info=$this->Customer->get_info_by_bisoft_id($bisoft_id);
			$data['customer']=$cust_info->company_person;
			$data['customer_company']=$cust_info->company_name;
			$data['customer_account_number']=$cust_info->account_number;
			$data['customer_taxable']=$cust_info->taxable;
			$data['customer_address']='';
			if($cust_address=$this->Person->get_info_by_bisoft_id($bisoft_id))
				{$data['customer_address']=$cust_address->address.', '.$cust_address->city;}
		} 

		$customer_discount = 0;
		$data['customer_discount'] = $customer_discount;

		$data['total']		 = to_currency_no_money( $this->bisoft_lib->get_invoice_total($mode,$taxed) );
		$data['tax_VAT']	 = to_currency_no_money( $this->bisoft_lib->get_tax_VAT($mode,$taxed) );

		$data['receipt_name'] 	= $doc_name;
		$data['receipt_number'] = $doc_number;
		$data['receipt_date'] 	= date('d.m.Y', strtotime($data['transaction_time']));
		$data['receipt_time'] 	= date('d.m.Y H:i:s');
		$data['bisoft_id'] 		= $bisoft_id;
		$data['vedomPack'] 		= 'V'.date('ym', strtotime($doc_date));

	if ($print_type=='prices') { $this->load->view("bisoft/blanka_factura",$data);}
	elseif ($print_type=='invoices') { $this->load->view("bisoft/blanka_invoice",$data); }

	$this->bisoft_lib->clear_all();
	$this->BiSOFT_Model->clear_user_modes();
	}


	function print_to($mode='sale')
	{
		// тук трябва да е друго нещо ...
		$this->complete();

	}


	function edit($doc_id)
	{
		$data = array();

		$data['customers'] = array('' => 'No Customer');
		foreach ($this->Customer->get_all()->result() as $customer)
		{
			$data['customers'][$customer->person_id] = $customer->first_name . ' '. $customer->last_name;
		}

		$data['employees'] = array();
		foreach ($this->Employee->get_all()->result() as $employee)
		{
			$data['employees'][$employee->person_id] = $employee->first_name . ' '. $employee->last_name;
		}

		$data['sale_info'] = $this->Docedit->get_info($doc_id)->row_array();
		
	$this->load->view('sales/edit', $data);
	}
	

	function delete($doc_id)
	{
		$data = array();
		if ($this->Docedit->delete($doc_id))
		{
			$data['success'] = true;
		}
		else
		{
			$data['success'] = false;
		}
	$this->load->view('sales/delete', $data);
	}
	

	function save($doc_id)
	{
		$location = $this->Employee->get_logged_in_employee_info()->location;
		$sale_data = array(
			'doc_date' 		=> date('Y-m-d', strtotime($this->input->post('date'))),
			'client_id' 	=> $this->input->post('customer_id') ? $this->input->post('customer_id') : null,
			'employee_id' 	=> $this->input->post('employee_id'),
			'location' 		=> $location,
			'comment' 		=> $this->input->post('comment')
		);
		
		if ($this->Docedit->update($sale_data, $doc_id))
		{
			echo json_encode(array('success'=>true,'message'=>$this->lang->line('sales_successfully_updated')));
		}
		else
		{
			echo json_encode(array('success'=>false,'message'=>$this->lang->line('sales_unsuccessfully_updated')));
		}
	}

	
	function _payments_cover_total()
	{
		$total_payments = 0;
		foreach($this->doc_lib->get_payments() as $payment)
			{ $total_payments += $payment['payment_amount'];}

		/* Changed the conditional to account for floating point rounding
		if ( ( $this->doc_lib->get_mode() == 'sale' ) && ( ( to_currency_no_money( $this->doc_lib->get_total() ) - $total_payments ) > 1e-6 ) )
		{ return false;}  */

	return true;
	}








	
	function read_any_document($doc_number=false)
	{
		$this->doc_lib->clear_all();
		$vedom = 'V'.substr($doc_number, 0, -6);
		$this->doc_lib->copy_entire_document($doc_number,$vedom);

  	$this->_reload();
	}


	

// ======================================================================== //
// -------------------------------- REALEN START -------------------------- //

	function _reload($data=array())
	{
		$person_info = $this->Employee->get_logged_in_employee_info();
		$location 	 = $this->BiSOFT_Model->get_location();
		$person_mode = $this->BiSOFT_Model->get_user_mode();
		$dateKey 	 = $this->doc_lib->get_dateKey();
		$data['dateKey'] = $dateKey;


		// зарежда количката ...
		$data['cart']	= $this->doc_lib->get_cart();

		$mode = $this->doc_lib->get_mode();
		$this->BiSOFT_Model->set_user_mode($mode);
		$this->BiSOFT_Model->set_user_price();


		$data['modes']=array(
			'sale'		 	=> $this->lang->line('sales_sale'),
			'sale_return'	=> $this->lang->line('sales_return_sale'),
			'shop_sale'	 	=> $this->lang->line('sales_shop_sale'),
			'shop_return'	=> $this->lang->line('sales_shop_return'),
			'invoice'		=> $this->lang->line('sales_invoice'),
			'invoice_ki'	=> $this->lang->line('sales_invoice_ki'),
			'invoice_di'	=> $this->lang->line('sales_invoice_di'),
			'invoice_pr'	=> $this->lang->line('sales_invoice_pr'),

			'manu' 			=> $this->lang->line('recvs_manufacturing'),
			'recv'		  	=> $this->lang->line('recvs_receiving'),
			'recv_return' 	=> $this->lang->line('recvs_return'),
			'consi'		  	=> $this->lang->line('recvs_consignation'),
			'consi_return'	=> $this->lang->line('recvs_return_consi'),
			'protocol'		=> $this->lang->line('recvs_protocol'),
			'stock'	  		=> $this->lang->line('recvs_stock'),
			'balance'	  	=> $this->lang->line('recvs_balance'),
			'brak'		  	=> $this->lang->line('recvs_brak'),
			'revision'	  	=> $this->lang->line('recvs_revision'),

			'shop_recv'		=> $this->lang->line('recvs_shop_recv'),
			'shop_sgp' 		=> $this->lang->line('recvs_shop_return_sgp'),
			'shop_balance'	=> $this->lang->line('recvs_shop_balance'),
			'shop_revision'=> $this->lang->line('recvs_shop_revision')
			);


		if( $mode=='invoice' or $mode=='invoice_ki' or $mode=='invoice_di' or $mode=='invoice_pr') 
				{

				 // $this->config->item('vat') - ИМА ли ДДС Регистрация ФИРМАТА ???
				if ($this->config->item('vat')==1)
					{
						$data['modes_prices']=array(
							100	=> $this->lang->line('sales_price_vat'),
							99		=> $this->lang->line('sales_price_no_vat') );
					}
				else
					{
						$data['modes_prices']=array(
							99		=> $this->lang->line('sales_price_no_vat'),
							100	=> $this->lang->line('sales_price_vat') );
					}


					$data['payment_options']=array(
						$this->lang->line('sales_by_bank') => $this->lang->line('sales_by_bank'),
						$this->lang->line('sales_cash') => $this->lang->line('sales_cash'),
						$this->lang->line('sales_export') => $this->lang->line('sales_export') );

					$data['modes_prints']=array(
						'prices'		=> $this->lang->line('reports_print_faktura'),
						'invoices'	=> $this->lang->line('reports_print_invoice') );
				}
		else  {
					$data['modes_prices']=array(
						99	=> $this->lang->line('sales_unit_price'),
						1	=> $this->lang->line('sales_price').'-I',
						2	=> $this->lang->line('sales_price').'-II',
						3	=> $this->lang->line('sales_price').'-III',
						4	=> $this->lang->line('sales_price').'-IV',
						5	=> $this->lang->line('sales_price').'-V');

					$data['payment_options']=array(
						$this->lang->line('sales_not_paid') => $this->lang->line('sales_not_paid'),
						$this->lang->line('sales_cash') => $this->lang->line('sales_cash'),
						$this->lang->line('sales_by_bank') => $this->lang->line('sales_by_bank'),
						$this->lang->line('sales_check') => $this->lang->line('sales_check'),
						$this->lang->line('sales_debit') => $this->lang->line('sales_debit'),
						$this->lang->line('sales_credit') => $this->lang->line('sales_credit'),
						$this->lang->line('sales_epay') => $this->lang->line('sales_epay'),
						$this->lang->line('sales_paypal') => $this->lang->line('sales_paypal') );

					$data['modes_prints']=array(
						'prices'	=> $this->lang->line('reports_print_prices'),
						'sizes'	=> $this->lang->line('reports_print_sizes') );
				}

		$data['modes_years']=array();
		for($k=0;$k<5;$k++)
		{
			$data['modes_years'][date("Y")-$k] = date("Y")-$k;
		}
		$data['modes_months'] = array(
			'01' => $this->lang->line('cal_january'),
			'02' => $this->lang->line('cal_february'),
			'03' => $this->lang->line('cal_march'),
			'04' => $this->lang->line('cal_april'),
			'05' => $this->lang->line('cal_mayl'),
			'06' => $this->lang->line('cal_june'),
			'07' => $this->lang->line('cal_july'),
			'08' => $this->lang->line('cal_august'),
			'09' => $this->lang->line('cal_september'),
			'10' => $this->lang->line('cal_october'),
			'11' => $this->lang->line('cal_november'),
			'12' => $this->lang->line('cal_december')	);

		$data['modes_days'] = array();
		for($k=1;$k<=31;$k++)
		{
			$data['modes_days'][$k] = $k;
		}

		$data['mode']			= $mode;
		$data['mode_day']		= (int) date('d', strtotime( $this->BiSOFT_Model->get_user_mode_date() ));
		$data['mode_month']	= (int) date('m', strtotime( $this->BiSOFT_Model->get_user_mode_date() ));
		$data['mode_year']	= $this->BiSOFT_Model->get_user_mode_year();

		$data['cur_date']		= date('d.m.Y', strtotime( $this->BiSOFT_Model->get_user_mode_date() ));

		$data['mode_price']	= $this->doc_lib->get_mode_price();
		$data['mode_print']	= $this->doc_lib->get_mode_print();


		$data['location']		= $location;
		$data['subtotal']		= to_currency_no_money($this->doc_lib->get_subtotal());
	//	$data['taxes']			= $this->doc_lib->get_taxes();

		// определям ДДС-то ....
		$taxed = 0;
		$mode_price				= $data['mode_price'];
		if ( $mode_price == 100) { $taxed = 1;}
		$data['taxed']			= $taxed;

		$data['tax_VAT']		= to_currency_no_money($this->doc_lib->get_tax_VAT($mode,$taxed));
		$data['currency']		= ' лв.'; // $this->config->currency_symbol;

		$data['all_qty']		= $this->doc_lib->get_all_qty();
		$data['items_module_allowed'] = $this->Employee->has_permission('items', $person_info->person_id);
		$data['comment'] 		= $this->doc_lib->get_comment();
		$data['email_receipt'] = $this->doc_lib->get_email_receipt();
		$data['payments_total']= $this->doc_lib->get_payments_total();
		$data['amount_due']	= $this->doc_lib->get_amount_due($mode,$taxed);
		$data['payments']		= $this->doc_lib->get_payments();

		$customer_id = $this->doc_lib->get_customer();

		if( $customer_id != -1)
		{
			$cust_info=$this->Customer->get_info($customer_id);
			$data['customer']=$cust_info->company_person;
			$data['customer_email']=$cust_info->email;
			$data['customer_company']=$cust_info->company_name;
			$data['customer_discount']=$cust_info->discount;
			$data['customer_account_number']=$cust_info->account_number;
			$data['customer_address']=''; // $cust_info->city.', '.$cust_info->address;
		} else {		
			$data['customer_discount'] = 0;}

			$customer_discount = $data['customer_discount'];
			if( $mode=='invoice' or $mode=='invoice_ki' or $mode=='invoice_di' or $mode=='invoice_pr') 
				{ $customer_discount = 0; }

		$data['total']	= to_currency_no_money($this->doc_lib->get_total($mode,$customer_discount,$taxed));

		if( $customer_id > 0) { $this->BiSOFT_Model->set_user_client($customer_id);}

		$data['payments_cover_total'] = $this->_payments_cover_total();

		if (isset($info)) { $data['info'] = $info;}
		if (isset($success)) { $data['success'] = $success;}
		if (isset($error)) { $data['error'] = $error;}

	$this->load->view("bisoft/blanka_docedit",$data);
	}


    function start_register()
	{
//		$this->change_mode();
//		$this->BiSOFT_Model->set_user_mode($mode);
		$this->_reload();
//		$this->complete();
	}

    function cancel_doc()
    {
    	$this->doc_lib->clear_all();
    	$this->_reload();
    }
	




// ------------------------------ START TABLE (Zebex) Import -------------------------------- //
	function zebex_import()
	{
		$this->load->view("sales/zebex_import", null);
	}

	function do_zebex_import()
	{
		$msg = 'do_zebex_import';
		$failCodes = array();
		$successCode = array ();
		$mode = $this->doc_lib->get_mode();			

		$quantity = 1;

		if ($_FILES['file_path']['error']!=UPLOAD_ERR_OK)
		{
			$msg = $this->lang->line('sales_file_failed');  
		 	$this->_reload();
			echo "<div class='error_message'>".$msg."</div>";
			return false;
		}
		else
		{ // #1
			if (($handle = fopen($_FILES['file_path']['tmp_name'], "r")) !== FALSE)
			{  // #2
				// DO not Skip first row
				// fgetcsv($handle);

				$i=1;
				while (($data = fgetcsv($handle)) !== FALSE) 
				{  // #3
	  			$item_code = trim($data[0]);


				// adds items to cart
				if(!$this->doc_lib->add_item_barcode($item_code,$quantity))
				     { 	$failCodes[]   = $item_code;}
				else {  $successCode[] = $item_code;}

				} $i++;  // end #3
			}  // end #2
			else 	{ 	$msg = $this->lang->line('sales_file_failed');  
		 			$this->_reload();
					echo "<div class='error_message'>".$msg."</div>";
					break;					
					return false;}
		} // #1

	$success = true;
	  if(count($failCodes) > 1)
	  { 	
			$msg = $this->lang->line('sales_error_import') . count($failCodes) ."): ".implode(", ", $failCodes);
		   $success = false;
			$data['error'] = $msg;
		}
	  else 
		{
			$msg = $this->lang->line('sales_successful_import').' Zebex';
			$data['success'] = $msg;
		}

//	$this->_reload($data);
	$this->_reload();
	}

// ----------------------------------------- END of TABLE Import -------------------------------- //



}
?>
