<?php require_once ("Secure_area.php");

class Fenotags extends Secure_area 
{
	function __construct()
	{
		parent::__construct();
		$this->load->library('Fenotag_lib');
	}
	
	function index()
	{
		$mode_menu = 'fenotags';	
		$this->BiSOFT_Model->set_mode_menu($mode_menu);
		$this->fenotag_lib->clear_all();
      $this->view_list();
	}
	
	function clear_mode()
	{
		$this->fenotag_lib->clear_all();
		$this->view_list();
	}
	
	function change_mode()
	{
		$mode = $this->input->post("mode");
		$this->fenotag_lib->set_mode($mode);
		$this->BiSOFT_Model->set_user_mode($mode);
		$this->fenotag_lib->clear_presence();
		$this->fenotag_lib->clear_machine();
		$this->fenotag_lib->clear_feno();
		$this->view_list();
	}

	function change_shift()
	{
		$shift = $this->input->post("shift");
		$this->fenotag_lib->set_shift($shift);
		$this->fenotag_lib->clear_order();
		$this->fenotag_lib->clear_machine();
		$this->fenotag_lib->clear_feno();
		$this->fenotag_lib->clear_worker();
		// специално за Подизпълнители
		if($shift=='outer') { $this->fenotag_lib->set_order('2'); }
		$this->view_list();
	}
	
	
	function change_box()
	{
		$box = $this->input->post("box");
		$this->fenotag_lib->set_box($box);
         $this->fenotag_lib->clear_machine();
         $this->fenotag_lib->clear_feno();
         $this->fenotag_lib->clear_reel();
		$this->view_list();
	}
	
	function change_feno()
	{
		$feno = $this->input->post("feno");
		$this->fenotag_lib->set_feno($feno);
		$this->fenotag_lib->clear_machine();
		$this->view_list();
	}	

	function change_reel()
	{
		$reel = $this->input->post("reel");
		$this->fenotag_lib->set_reel($reel);
         $this->fenotag_lib->clear_machine();
		$this->view_list();
	}	
	
	
	function change_order()
	{
		$order = $this->input->post("order");
		$this->fenotag_lib->set_order($order);
		// специално за Подизпълнители
		if($order=='2') { $this->fenotag_lib->set_shift('outer'); }
		$this->view_list();
	}
	
	function change_presence()
	{
		$presence = $this->input->post("presence");
		$this->fenotag_lib->set_presence($presence);
		$this->view_list();
	}
	
	
	function change_month()
	{
		$month = $this->input->post("month");
		$this->fenotag_lib->set_month($month);
		$this->view_list();
	}
	
	
	function change_machine()
	{
		$machine = $this->input->post("machine");
		$this->fenotag_lib->set_machine($machine);
		$this->fenotag_lib->clear_feno();
		$this->view_list();
	}
	
	
	function change_worker()
	{
		$worker = $this->input->post("worker");
		$this->fenotag_lib->set_worker($worker);
		
		// set РАБОТА
		$worker_info = $this->Fenotag->get_worker_info($worker);
		if($worker_info)
		{
			$rabota = $worker_info->rabota;
			$this->fenotag_lib->set_rabota($rabota);
		}
		$this->view_list();
	}
	
	function change_type_worker()
	{
		$type_worker = $this->input->post("type_worker");
		$this->fenotag_lib->set_type_worker($type_worker);
		$this->view_list();
	}
	
	function change_rabota()
	{
		$rabota = $this->input->post("rabota");
		$this->fenotag_lib->set_rabota($rabota);
		$this->view_list();
	}
	
	function change_week()
	{
		$startDay = date('Y-m-d',strtotime($this->input->post("startDay")));
		$endDay 	 = date('Y-m-d',strtotime($this->input->post("endDay")));
		$this->fenotag_lib->set_startDay($startDay);
		$this->fenotag_lib->set_endDay($endDay);
		$this->view_list();
	}

	function change_worker_status($bisoft_id=7248)
	{
	
      $this->Fenotag->update_vedompre($bisoft_id);
      
   echo 'работник: '.$bisoft_id;   
	die();
	}
	
	
	function new_worker()
	{
		$max_worker = 1 + $this->Fenotag->get_max_worker();
		$day = $mid = '5.50'; $night = '6.25';
		$rabota  = 'izm';
		$rabotas = array(
				'zag' => 'fenotags',
			'repair' => 'маш.ремонт',
			 'other' => 'доп.работа' );
				
		$type = 0;
		$types = array(
            '2' => 'ERA',
            '1' => 'STYLER',
				'0' => 'хонорар' );
	
		$data = array(
			'max_worker' => $max_worker,
				'rabotas' => $rabotas,
				 'rabota' => $rabota,
					'type' => $type,
				  'types' => $types,
				  	 'day' => $day,
					 'mid' => $mid,
				  'night' => $night );

	$this->load->view("fenotags/new_worker",$data);
	}
	
	
	function edit_worker($bisoft_id=0)
	{
		$name = 'Непознат'; $type=0; $rabota='izm';
		$day = $mid = '5.50'; $night = '6.25';
		$rabotas = array(
				'zag' => 'fenotags',
			'repair' => 'маш.ремонт',
			 'other' => 'доп.работа' );
						
		$types = array(
            '2' => 'ERA',
				'1' => 'STYLER',
				'0' => 'хонорар' );
						
		if($bisoft_id>0)
		{
			$worker_info = $this->Fenotag->get_worker($bisoft_id);
			if($worker_info)
			{
				$rabota = $worker_info->rabota;
				$name   = $worker_info->name;
				$type   = $worker_info->status;
				
				$day    = $worker_info->day;
				$mid    = $worker_info->mid;
				$night  = $worker_info->night;
			}
		}
			
		$data = array(
			 'bisoft_id' => $bisoft_id,
					'name' => $name,
				'rabotas' => $rabotas,
				 'rabota' => $rabota,
					'type' => $type,
				  'types' => $types,
					 'day' => $day,
					 'mid' => $mid,
				  'night' => $night );

		$this->load->view("fenotags/edit_worker",$data);
	}
	
	function save_worker($bisoft_id='-1')
	{
		$success = 1;
		$viewKey = $this->Fenotag->who_are_you();
		if($bisoft_id=='-1')
		{ $bisoft_id = $this->input->post("bisoft_id"); }

			$status = 0;$this->input->post("type");
			if($bisoft_id > 5000) 
            { 
               $status = 1;
               $worker_info = $this->Fenotag->get_worker($bisoft_id);
               if($worker_info)
               { $status = $worker_info->status; }
            }
			
			$name   = trim(mb_convert_case($this->input->post("name"),MB_CASE_TITLE,"UTF-8"));
			$rabota = $this->input->post("rabota");
			
			if($viewKey) // за НАС
			{
				$day   = $this->input->post("day");
				$mid   = $this->input->post("mid");
				$night = $this->input->post("night");
			
				$worker_data = array(
				 'bisoft_id' => $bisoft_id,
						'name' => $name,
					 'rabota' => $rabota,
					 'status' => $status,
						 'day' => $day,
						 'mid' => $mid,
					  'night' => $night );
			}
			else // за София :)
			{
				$worker_data = array(
				 'bisoft_id' => $bisoft_id,
						'name' => $name,
					 'rabota' => $rabota,
					 'status' => $status );
			}
	
			$success *= $this->Fenotag->save_worker($worker_data);

		if ( $success )
			{ 	// Удачно регистриране ...
					echo json_encode(array( 'success'=>true,
													'bisoft_id' => $bisoft_id,
													'name' => $name,
													'rabota' => $rabota,
													'message'=>'Успешно редактирахте работник #'.$bisoft_id.' - '.$name ) );
			}
		else
			{
					echo json_encode(array( 'success'=>false,
													'bisoft_id' => $bisoft_id,
													'name' => $name,
													'rabota' => $rabota,
													'message'=>'ГРЕШКА при редактиране на работник #'.$bisoft_id.' - '.$name ) );
			}
	
	}	

	function get_worker_row($bisoft_id=0)
	{
		if(!$bisoft_id) { $bisoft_id = $this->input->post('row_id'); }
		$this->Fenotag->get_worker_row($bisoft_id,'Fenotags');
	}

	
	function del_worker($bisoft_id)
	{
		$this->Fenotag->delete_worker($bisoft_id);
		$this->view_list();
	}

	
	

	function order_vedom_hrono($order_id=0)
	{
		$order = '';
			$order_info = $this->Fenotag->get_order_info($order_id);
			if($order_info) { $order = '- '.$order_info->client; }
		$title = 'ПОРЪЧКА № '.$order_id.' '.$order;
		
		$subtitle = ' ';
		$uHeaders = $this->fenotag_lib->getUpHeaders('orders');
		$Headers  = $this->fenotag_lib->getHeaders('fenos');
		$data = array(
					 'order_id' => $order_id,
						 'title' => $title,
					 'subtitle' => $subtitle,
					 'uHeaders' => $uHeaders,
					  'Headers' => $Headers,
						  'C110' => 0,
                    'C111' => 0,
                    'C118' => 0,
						'm98290' => 0  
							);
							
		$hrono = array();
		
		if($order_id>0)
		{
			
			$date  = $this->BiSOFT_Model->get_user_mode_date();
			$vedom = 'FENO_'.(int)date('Y',strtotime($date));
			$order_vedom_info = $this->Fenotag->get_order_vedom($vedom,$order_id);
			$order = $this->Fenotag->get_order_info($order_id);
			if($order)
			{
				$subtitle = '';
				if($order->c7110 > 0) {$subtitle .= ' 7110-('.$order->c7110.' бр.);';}
				if($order->c7111 > 0) {$subtitle .= ' 7111-('.$order->c7111.' бр.);';}
			}
			
			if($order_vedom_info)
			{
				$c110 = $c111 =
						array(
						'zag' => 0,
					'to_rep' => 0,
						'rep' => 0,
						'out' => 0,
						'exp' => 0 );
						
				// зареждам Нач.Салда ...		
				$N_Saldo = $order_info->NSaldo;
				if($N_Saldo!=null)
				{
					$NSaldo = json_decode($N_Saldo);
						$m200 = explode(',',$NSaldo->m200);
						$m210 = explode(',',$NSaldo->m210);
						$m220 = explode(',',$NSaldo->m220);
						$m230 = explode(',',$NSaldo->m230);
						$m240 = explode(',',$NSaldo->m240);
						$m250 = explode(',',$NSaldo->m250);
						$m260 = explode(',',$NSaldo->m260);
						$m270 = explode(',',$NSaldo->m270);
						$m280 = explode(',',$NSaldo->m280);
						$m290 = explode(',',$NSaldo->m290);
						
						// обратно за нач.натрупване
						$m98200['zag'] += $m200['0']; $m98200['izm'] += $m200['1']; $m98200['otkk'] += $m200['2'];
						$m98210['zag'] += $m210['0']; $m98210['izm'] += $m210['1']; $m98210['otkk'] += $m210['2'];
						$m98220['zag'] += $m220['0']; $m98220['izm'] += $m220['1']; $m98220['otkk'] += $m220['2'];
						$m98230['zag'] += $m230['0']; $m98230['izm'] += $m230['1']; $m98230['otkk'] += $m230['2'];
						$m98240['zag'] += $m240['0']; $m98240['izm'] += $m240['1']; $m98240['otkk'] += $m240['2'];
						$m98250['zag'] += $m250['0']; $m98250['izm'] += $m250['1']; $m98250['otkk'] += $m250['2'];
						$m98260['zag'] += $m260['0']; $m98260['izm'] += $m260['1']; $m98260['otkk'] += $m260['2'];
						$m98270['zag'] += $m270['0']; $m98270['izm'] += $m270['1']; $m98270['otkk'] += $m270['2'];
						$m98280['zag'] += $m280['0']; $m98280['izm'] += $m280['1']; $m98280['otkk'] += $m280['2'];
						$m98290['zag'] += $m290['0']; $m98290['izm'] += $m290['1']; $m98290['otkk'] += $m290['2'];
				}
		
				foreach($order_vedom_info as $row)
				{
					$status = $row['status'];
					switch($status)
					{
						// Заготовки
						case '1':
							$c110['zag'] += $row['C110'];
							$c111['zag'] += $row['C111'];
						break;
						
						// За Ремонт
						case '4':
							$c110['to_rep'] += $row['C110'];
							$c111['to_rep'] += $row['C111'];
						break;
						
						// От Ремонт
						case '6':
							$c110['rep'] += $row['C110'];
							$c111['rep'] += $row['C111'];
						break;

						// Експедиция
						case '9':
							$c110['exp'] += $row['C110'];
							$c111['exp'] += $row['C111'];
						break;
					} // switch($status)
					
					$hrono[$row['feno_id']] = $row;
					
				} // foreach($order_info
					
				$data = array(
					 'order_id' => $order_id,
						 'title' => $title,
					 'subtitle' => $subtitle,
					 'uHeaders' => $uHeaders,
					  'Headers' => $Headers,
						  'C110' => $c110,
						  'C111' => $c111,
						 'hrono' => $hrono
								);
			} // if($order_info)
		} // if($order_id>0)

	$this->load->view("fenotags/view_order_hrono",$data);
	}
	
	
	
	function new_order()
	{
		$max_order = 1 + $this->Fenotag->get_max_order();
		$data = array('order_id' => '-1' , 'max_order' => $max_order );
		$this->load->view("fenotags/new_order",$data);
	}

	
	function edit_order($order_id)
	{
		if($order_id>0)
		{
			$order_info = $this->Fenotag->get_order_info($order_id);
			if($order_info)
			{
				$N_Saldo = $order_info->NSaldo;
				if($N_Saldo!=null) // зарежда параметри
				{
					$NSaldo = json_decode($N_Saldo);
						$m100 = 0;
						if(isset($NSaldo->m100)) { $m100 = explode(',',$NSaldo->m100); }
						$m200 = explode(',',$NSaldo->m200);
						$m210 = explode(',',$NSaldo->m210);
						$m220 = explode(',',$NSaldo->m220);
						$m230 = explode(',',$NSaldo->m230);
						$m240 = explode(',',$NSaldo->m240);
						$m250 = explode(',',$NSaldo->m250);
						$m260 = explode(',',$NSaldo->m260);
						$m270 = explode(',',$NSaldo->m270);
						$m280 = explode(',',$NSaldo->m280);
						$m290 = 0;
						if(isset($NSaldo->m290)) { $m290 = explode(',',$NSaldo->m290); }
				}
				else
				{ $m200 = $m210 = $m220 = $m230 = $m240 = $m250 = $m260 = $m270 = $m280 = $m290 = array('0'=>'0','1'=>'0','2'=>'0'); }
				
				$data = array(
				 'order_id' => $order_id,
					'active' => $order_info->active,
					'm98100' => $order_info->m98100,
					'm98200' => $order_info->m98200,
					'm98210' => $order_info->m98210,
					'm98220' => $order_info->m98220,
					'm98230' => $order_info->m98230,
					'm98240' => $order_info->m98240,
					'm98250' => $order_info->m98250,
					'm98260' => $order_info->m98260,
					'm98270' => $order_info->m98270,
					'm98280' => $order_info->m98280,
					'm98290' => $order_info->m98290,
					  'm200' => $m200,
					  'm210' => $m210,
					  'm220' => $m220,
					  'm230' => $m230,
					  'm240' => $m240,
					  'm250' => $m250,
					  'm260' => $m260,
					  'm270' => $m270,
					  'm280' => $m280,
					  'm290' => $m290,
					'client' => $order_info->client,
				'client_id' => $order_info->client_id,
				'startdate' => date('d.m.Y',strtotime($order_info->startdate)),
				  'expdate' => date('d.m.Y',strtotime($order_info->expdate)),
				  'comment' => $order_info->comment );

				$this->load->view("fenotags/edit_order",$data);
			}
		}
		else // грешка
		{ $this->view_list(); }
	}
	
	function save_order($order_id='-1')
	{
		$error=0;$data=array();
		$new_order_key = 0;
		$expdate	= date('Y-m-d',strtotime($this->input->post("expdate")));
		$active = (int)$this->input->post("is_active");
		$client_id = (int)$this->input->post("client_id");
		if($order_id=='-1') 
			{ 
				$order_id = (int)$this->input->post("order_id"); 
				if($this->Fenotag->exists_order($order_id)) {$error=1;}
				$new_order_key = 1;
			}
		
		if($client_id and !$error)
		{
			$NSaldo = null;
			if(!$new_order_key) // допълва нач.салда
			{
				$zag200 = (int)$this->input->post("zag98200");
				$izm200 = (int)$this->input->post("izm98200");
				$otkk200 = (int)$this->input->post("otkk98200");
				$M200 = $zag200.','.$izm200.','.$otkk200;
				
				$zag210 = (int)$this->input->post("zag98210");
				$izm210 = (int)$this->input->post("izm98210");
				$otkk210 = (int)$this->input->post("otkk98210");
				$M210 = $zag210.','.$izm210.','.$otkk210;
				
				$zag220 = (int)$this->input->post("zag98220");
				$izm220 = (int)$this->input->post("izm98220");
				$otkk220 = (int)$this->input->post("otkk98220");
				$M220 = $zag220.','.$izm220.','.$otkk220;
				
				$zag230 = (int)$this->input->post("zag98230");
				$izm230 = (int)$this->input->post("izm98230");
				$otkk230 = (int)$this->input->post("otkk98230");
				$M230 = $zag230.','.$izm230.','.$otkk230;
				
				$zag240 = (int)$this->input->post("zag98240");
				$izm240 = (int)$this->input->post("izm98240");
				$otkk240 = (int)$this->input->post("otkk98240");
				$M240 = $zag240.','.$izm240.','.$otkk240;
				
				$zag250 = (int)$this->input->post("zag98250");
				$izm250 = (int)$this->input->post("izm98250");
				$otkk250 = (int)$this->input->post("otkk98250");
				$M250 = $zag250.','.$izm250.','.$otkk250;
				
				$zag260 = (int)$this->input->post("zag98260");
				$izm260 = (int)$this->input->post("izm98260");
				$otkk260 = (int)$this->input->post("otkk98260");
				$M260 = $zag260.','.$izm260.','.$otkk260;
				
				$zag270 = (int)$this->input->post("zag98270");
				$izm270 = (int)$this->input->post("izm98270");
				$otkk270 = (int)$this->input->post("otkk98270");
				$M270 = $zag270.','.$izm270.','.$otkk270;
				
				$zag280 = (int)$this->input->post("zag98280");
				$izm280 = (int)$this->input->post("izm98280");
				$otkk280 = (int)$this->input->post("otkk98280");
				$M280 = $zag280.','.$izm280.','.$otkk280;
				
				$zag290 = (int)$this->input->post("zag98290");
				$izm290 = (int)$this->input->post("izm98290");
				$otkk290 = (int)$this->input->post("otkk98290");
				$M290 = $zag290.','.$izm290.','.$otkk290;
				
				$FENO_NC = array(
						'm200' => $M200,
						'm210' => $M210,
						'm220' => $M220,
						'm230' => $M230,
						'm240' => $M240,
						'm250' => $M250,
						'm260' => $M260,
						'm270' => $M270,
						'm280' => $M280,
						'm290' => $M290 );
						
				$NSaldo = json_encode($FENO_NC);
			}
			
			$m98100 = (int)$this->input->post("m98100");
			$m98200 = (int)$this->input->post("m98200");
			$m98210 = (int)$this->input->post("m98210");
			$m98220 = (int)$this->input->post("m98220");
			$m98230 = (int)$this->input->post("m98230");
			$m98240 = (int)$this->input->post("m98240");
			$m98250 = (int)$this->input->post("m98250");
			$m98260 = (int)$this->input->post("m98260");
			$m98270 = (int)$this->input->post("m98270");
			$m98280 = (int)$this->input->post("m98280");
			$m98290 = (int)$this->input->post("m98290");
			
			$data = array(
			 'order_id' => (int)$order_id,
			'startdate' => date('Y-m-d'),
			  'expdate' => $expdate,
				'active' => $active,
				'm98100' => $m98100,
				'm98200' => $m98200,
				'm98210' => $m98210,
				'm98220' => $m98220,
				'm98230' => $m98230,
				'm98240' => $m98240,
				'm98250' => $m98250,
				'm98260' => $m98260,
				'm98270' => $m98270,
				'm98280' => $m98280,
				'm98290' => $m98290,
				'NSaldo' => $NSaldo,
				'client' => $this->input->post("client"),
			'client_id' => $client_id,
			  'comment' => $this->input->post("comment") );
			
			$success = $this->Fenotag->save_order($data,$order_id);	
		}
		else
		{
			echo 'дублирана поръчка: '.$order_id;
			$data=array('error'=>'дублирана поръчка: '.$order_id);
			die();
		}

		$this->view_list($data);
	}

	
	
	function edit_box($box_id)
	{
      $user_id  = $this->BiSOFT_Model->get_person();
      $data = array();
		
		if($box_id)
		{
         $b1_yield = $b2_yield = $b3_yield = $b4_yield = 0;
         $box_info = $this->Fenotag->get_box_info($box_id);
         if($box_info)
         {
            $model_1 = strtoupper($box_info->model_1);  
            $model_2 = strtoupper($box_info->model_2);
            $model_3 = strtoupper($box_info->model_3);
            $model_4 = strtoupper($box_info->model_4);
            
            $active  = (int)$box_info->active;
            $comment = $box_info->comment;
            
            $firstNo = (int)$box_info->firstNo;
            $firstTime = $box_info->firstTime;
            $lastNo    = (int)$box_info->lastNo;
            $lastTime  = $box_info->lastTime;
            
            $b1_model  = $box_info->b1_model;
            $b2_model  = $box_info->b2_model;
            $b3_model  = $box_info->b3_model;
            $b4_model  = $box_info->b4_model;
         }
         else
         {
            $active   = 0;
            $firstNo  = $lastNo = 0; 
            $model_1 = $model_2 = $model_3 = $model_4 = 0;
            
            $b1_model = ''; $b1_yield = 0;
            $b2_model = ''; $b2_yield = 0;
            $b3_model = ''; $b3_yield = 0;
            $b4_model = ''; $b4_yield = 0;
            
            $ourFails  = $facFails = $finalGood = $yield = 0;
            $firstTime = $lastTime = $comment = null;
         }
		

            // тегли всяка машина
            $b1_data = $this->Fenotag->get_machine_box($box_id,"B1");
            $b2_data = $this->Fenotag->get_machine_box($box_id,"B2");
            $b3_data = $this->Fenotag->get_machine_box($box_id,"B3");
            $b4_data = $this->Fenotag->get_machine_box($box_id,"B4");
         
            $b1_ourFails = $b1_data[0]['ourFails'];
            $b2_ourFails = $b2_data[0]['ourFails'];
            $b3_ourFails = $b3_data[0]['ourFails'];
            $b4_ourFails = $b4_data[0]['ourFails'];
            
            $b1_facFails = $b1_data[0]['facFails'];
            $b2_facFails = $b2_data[0]['facFails'];
            $b3_facFails = $b3_data[0]['facFails'];
            $b4_facFails = $b4_data[0]['facFails'];
            
            $b1_finalGood = $b1_data[0]['finalGood'];
            $b2_finalGood = $b2_data[0]['finalGood'];
            $b3_finalGood = $b3_data[0]['finalGood'];
            $b4_finalGood = $b4_data[0]['finalGood'];
         
            $ourFails  = $b1_ourFails  + $b2_ourFails  + $b3_ourFails  + $b4_ourFails;
            $facFails  = $b1_facFails  + $b2_facFails  + $b3_facFails  + $b4_facFails;
            $finalGood = $b1_finalGood + $b2_finalGood + $b3_finalGood + $b4_finalGood;
            
            if($b1_finalGood>0) { $b1_yield = 100 * round($b1_ourFails / $b1_finalGood,3); }
            if($b2_finalGood>0) { $b2_yield = 100 * round($b2_ourFails / $b2_finalGood,3); }
            if($b3_finalGood>0) { $b3_yield = 100 * round($b3_ourFails / $b3_finalGood,3); }
            if($b4_finalGood>0) { $b4_yield = 100 * round($b4_ourFails / $b4_finalGood,3); }
            
            $yield = 0;
            if($finalGood>0)
              { $yield = 100 * round($ourFails / $finalGood,3); }

            // да се застраховам
				if(empty($model_1)) { $model_1 = 'C110'; }
				if(empty($model_2)) { $model_2 = 'C111'; }
				if(empty($model_3) or $model_3==0) { $model_3 = ''; } 
			//	if(empty($model_4)) { $model_4 = '0'; }
              
		
         $data = array(
               'box_id' => $box_id,
               'active' => $active,
              'model_1' => $model_1,
              'model_2' => $model_2,
              'model_3' => $model_3,
              'model_4' => $model_4,
               
              'firstNo' => $firstNo,
            'firstTime' => $firstTime,
               'lastNo' => $lastNo,
             'lastTime' => $lastTime,
               
             'b1_model' => $b1_model,
          'b1_ourFails' => $b1_ourFails,
          'b1_facFails' => $b1_facFails,
         'b1_finalGood' => $b1_finalGood,
             'b1_yield' => $b1_yield,
             
             'b2_model' => $b2_model,
          'b2_ourFails' => $b2_ourFails,
          'b2_facFails' => $b2_facFails,
         'b2_finalGood' => $b2_finalGood,
             'b2_yield' => $b2_yield,
             
             'b3_model' => $b3_model,
          'b3_ourFails' => $b3_ourFails,
          'b3_facFails' => $b3_facFails,
         'b3_finalGood' => $b3_finalGood,
             'b3_yield' => $b3_yield,
             
             'b4_model' => $b4_model,
          'b4_ourFails' => $b4_ourFails,
          'b4_facFails' => $b4_facFails,
         'b4_finalGood' => $b4_finalGood,
             'b4_yield' => $b4_yield,
             
             'ourFails' => $ourFails,
             'facFails' => $facFails,
             'allFails' => $ourFails + $facFails,
            'finalGood' => $finalGood,
                'yield' => $yield,
               
              'comment' => $comment );

         $this->load->view("fenotags/view_box",$data);
         return true;
      }
	
      return true;
	}
	
	
	function save_box($box_id)
	{
      $success = 0;
      
      $active = $this->input->post("is_active"); 
         if($active) { $active = 1; } else { $active = 0; }
         
      // запис на Default Box   
      if($active) { $this->Appconfig->save('fenoBox',$box_id); }   

      $model_1 = strtoupper(trim($this->input->post("model1")));
      $model_2 = strtoupper(trim($this->input->post("model2")));
      $model_3 = strtoupper(trim($this->input->post("model3")));
      $model_4 = 0; // за сега не се използва
      
      // да се застраховам
		if(empty($model_1)) { $model_1 = 'C110'; }
		if(empty($model_2)) { $model_2 = 'C111'; }
		if(empty($model_3)) { $model_3 = 0; }
      
      // B1
      $b1_ourFails  = trim($this->input->post("b1_ourFails"));
      $b1_facFails  = trim($this->input->post("b1_facFails"));
      $b1_finalGood = trim($this->input->post("b1_finalGood"));
      $b1_yield     = ($b1_finalGood) ? 100 * round($b1_ourFails / $b1_finalGood,3) : 0;
      
      // B2
      $b2_ourFails  = trim($this->input->post("b2_ourFails"));
      $b2_facFails  = trim($this->input->post("b2_facFails"));
      $b2_finalGood = trim($this->input->post("b2_finalGood"));
      $b2_yield     = ($b2_finalGood) ? 100 * round($b2_ourFails / $b2_finalGood,3) : 0;
      
      // B3
      $b3_ourFails  = trim($this->input->post("b3_ourFails"));
      $b3_facFails  = trim($this->input->post("b3_facFails"));
      $b3_finalGood = trim($this->input->post("b3_finalGood"));
      $b3_yield     = ($b3_finalGood) ? 100 * round($b3_ourFails / $b3_finalGood,3) : 0;
      
      // B4
      $b4_ourFails  = trim($this->input->post("b4_ourFails"));
      $b4_facFails  = trim($this->input->post("b4_facFails"));
      $b4_finalGood = trim($this->input->post("b4_finalGood"));
      $b4_yield     = ($b4_finalGood) ? 100 * round($b4_ourFails / $b4_finalGood,3) : 0;
      
      // сумички:
      $ourFails  = $b1_ourFails  + $b2_ourFails  + $b3_ourFails  + $b4_ourFails;
      $facFails  = $b1_facFails  + $b2_facFails  + $b3_facFails  + $b4_facFails;
      $finalGood = $b1_finalGood + $b2_finalGood + $b3_finalGood + $b4_finalGood;
            
      if($b1_finalGood>0) { $b1_yield = 100 * round($b1_ourFails / $b1_finalGood,3); }
      if($b2_finalGood>0) { $b2_yield = 100 * round($b2_ourFails / $b2_finalGood,3); }
      if($b3_finalGood>0) { $b3_yield = 100 * round($b3_ourFails / $b3_finalGood,3); }
      if($b4_finalGood>0) { $b4_yield = 100 * round($b4_ourFails / $b4_finalGood,3); }
            
      $yield = 0;
      if($finalGood>0) { $yield = 100 * round($ourFails / $finalGood,3); }
      
         $data = array(
               'box_id' => $box_id,
              'model_1' => $model_1,
              'model_2' => $model_2,
              'model_3' => $model_3,
              'model_4' => $model_4,
               'active' => $active,
               
       //       'firstNo' => $firstNo,
       //     'firstTime' => $firstTime,
       //        'lastNo' => $lastNo,
       //      'lastTime' => $lastTime,
               
             'b1_model' => trim($this->input->post("b1_model")),
          'b1_ourFails' => $b1_ourFails,
          'b1_facFails' => $b1_facFails,
         'b1_finalGood' => $b1_finalGood,
             'b1_yield' => $b1_yield,

             'b2_model' => trim($this->input->post("b2_model")),
          'b2_ourFails' => $b2_ourFails,
          'b2_facFails' => $b2_facFails,
         'b2_finalGood' => $b2_finalGood,
             'b2_yield' => $b2_yield,
             
             'b3_model' => trim($this->input->post("b3_model")),
          'b3_ourFails' => $b3_ourFails,
          'b3_facFails' => $b3_facFails,
         'b3_finalGood' => $b3_finalGood,
             'b3_yield' => $b3_yield,
             
             'b4_model' => trim($this->input->post("b4_model")),
          'b4_ourFails' => $b4_ourFails,
          'b4_facFails' => $b4_facFails,
         'b4_finalGood' => $b4_finalGood,
             'b4_yield' => $b4_yield,
             
             'ourFails' => $ourFails,
             'facFails' => $facFails,
            'finalGood' => $finalGood,
                'yield' => $yield,

              'comment' => $this->input->post("comment"),
                  'del' => 0
                        );
              
         $success = $this->Fenotag->save_box($data,$box_id);     
/*
		if ( $success )
			{ 	// Удачно регистриране ...
					echo json_encode(array( 'success'=> true,
													'box_id' => $box_id,
													'message'=>'Успешно записахте Кутия #'.$box_id ) );
			}
		else
			{
					echo json_encode(array( 'success'=> false,
													'box_id' => $box_id,
													'message'=>'ГРЕШКА при ЗАПИС на Кутия #'.$box_id ) );
			}
*/			
		$this->index();	
      // $this->view_list();
	}
	
	
	function search()
	{
		$search = $this->input->post("search");
		$this->view_list();
	}
	
	function find_fenoreel()
	{
		$fenoreel = trim(strtoupper($this->input->post("fenoreel")));
		if($fenoreel)
		{
         $reel_id = $feno_id = 0;
         $fenoArray = explode('-',$fenoreel);
         $feno_id = $fenoArray[0];
         $reel_id = (int)$fenoArray[1];

         // set reel & clear
         $this->fenotag_lib->set_feno($feno_id);
         $this->fenotag_lib->set_reel($reel_id);
         $this->fenotag_lib->clear_machine();
    
         $this->view_list();
         return true;
       }
       else 
       { 
         $this->fenotag_lib->clear_feno();
         $this->fenotag_lib->clear_reel();
         $this->view_list();
         return true;
       }
	}
	
	function view_fenoreel($box_id=0,$feno_id=0,$reel_id=0)
	{
      $user_id  = $this->BiSOFT_Model->get_person();
      $data = array();
		
		if($box_id and $feno_id and $reel_id)
		{
         $year = date('Y');
         $vedom = "FENO_$year"."_Pre";
         
         // тегля от базата ...
         $reel_info = $this->Fenotag->get_reel($box_id,$feno_id,$reel_id);
         if($reel_info) 
         { 
            $item_id  = $reel_info->item_id;
            $page     = $reel_info->page;
            $hexInc	 = $reel_info->hexInc;
            
            // get_shaft_workers:
            $date = $reel_info->dayDate;
            $dayWorkers = $this->Fenotag->get_shaft_workers($vedom,$date,'day');
            if(!$dayWorkers) { $dayWorkers = $reel_info->dayWorkers; }
               
            $date = $reel_info->midDate;
            $midWorkers = $this->Fenotag->get_shaft_workers($vedom,$date,'mid');
            if(!$midWorkers) { $midWorkers = $reel_info->midWorkers; }
               
            $date = $reel_info->nightDate;
            $nightWorkers = $this->Fenotag->get_shaft_workers($vedom,$date,'night');
            if(!$nightWorkers) { $nightWorkers = $reel_info->nightWorkers; }
            
            $otherWorkers = $reel_info->otherWorkers;

            
            $ourFails = $reel_info->dayFails + $reel_info->midFails + $reel_info->nightFails + $reel_info->otherFails;
            $facFails = $reel_info->dayFacs + $reel_info->midFacs + $reel_info->nightFacs + $reel_info->otherFacs;
            $allFails = $ourFails + $facFails;
            
            if($hexInc)
            {
				//	$finalGood = $reel_info->lastNo - $reel_info->firstNo - $ourFails - $facFails; // hex INCREMENY
					$finalGood = $reel_info->firstNo - $reel_info->lastNo - $ourFails - $facFails; // hex DECREMENT
            }
            else
            {
					$finalGood = $reel_info->firstNo - $reel_info->lastNo - $ourFails - $facFails;
            }
            if($finalGood) { $yield = 100*round($ourFails/$finalGood,3); } else { $yield = 0; }

            if(!$finalGood) { $finalGood = '-/-'; }
            if(!$yield) { $yield = '-/-'; } else { $yield .= '%'; }
            
            
            if(null===$page) { $page = ''; }
            
            $data = array(
               'user_id' => $user_id,
               'item_id' => $item_id,
                  'page' => $page,
                'box_id' => $reel_info->box_id,
               'feno_id' => $reel_info->feno_id,
               'reel_id' => $reel_info->reel_id,
               'machine' => $reel_info->machine,
                'active' => $reel_info->active,
                'hexInc' => $hexInc,
                 'width' => $reel_info->width,

               'firstNo' => ($hexInc) ? strtoupper(dechex($reel_info->firstNo)) : $reel_info->firstNo,
             'firstTime' => $reel_info->firstTime,
                'lastNo' => ($hexInc) ? strtoupper(dechex($reel_info->lastNo)) : $reel_info->lastNo,
              'lastTime' => $reel_info->lastTime,
         
               'dayDate' => $reel_info->dayDate,
              'dayFirst' => ($hexInc) ? strtoupper(dechex($reel_info->dayFirst)) : $reel_info->dayFirst,
          'dayFirstTime' => $reel_info->dayFirstTime,
               'dayLast' => ($hexInc) ? strtoupper(dechex($reel_info->dayLast)) : $reel_info->dayLast,
           'dayLastTime' => $reel_info->dayLastTime,
              'dayFails' => $reel_info->dayFails,
               'dayFacs' => $reel_info->dayFacs,
            'dayWorkers' => $dayWorkers,
         
               'midDate' => $reel_info->midDate,
              'midFirst' => ($hexInc) ? strtoupper(dechex($reel_info->midFirst)) : $reel_info->midFirst,
          'midFirstTime' => $reel_info->midFirstTime,
               'midLast' => ($hexInc) ? strtoupper(dechex($reel_info->midLast)) : $reel_info->midLast,
           'midLastTime' => $reel_info->midLastTime,
              'midFails' => $reel_info->midFails,
               'midFacs' => $reel_info->midFacs,
            'midWorkers' => $midWorkers,
            
             'nightDate' => $reel_info->nightDate,
            'nightFirst' => ($hexInc) ? strtoupper(dechex($reel_info->nightFirst)) : $reel_info->nightFirst,
        'nightFirstTime' => $reel_info->nightFirstTime,
             'nightLast' => ($hexInc) ? strtoupper(dechex($reel_info->nightLast)) : $reel_info->nightLast,
         'nightLastTime' => $reel_info->nightLastTime,
            'nightFails' => $reel_info->nightFails,
             'nightFacs' => $reel_info->nightFacs,
          'nightWorkers' => $nightWorkers,
          
             'otherDate' => $reel_info->otherDate,
            'otherFirst' => ($hexInc) ? strtoupper(dechex($reel_info->otherFirst)) : $reel_info->otherFirst,
        'otherFirstTime' => $reel_info->otherFirstTime,
             'otherLast' => ($hexInc) ? strtoupper(dechex($reel_info->otherLast)) : $reel_info->otherLast,
         'otherLastTime' => $reel_info->otherLastTime,
            'otherFails' => $reel_info->otherFails,
             'otherFacs' => $reel_info->otherFacs,
          'otherWorkers' => $otherWorkers,
          
              'ourFails' => $ourFails,
              'facFails' => $facFails,
              'allFails' => $allFails,
             'finalGood' => $finalGood,
                 'yield' => $yield,
                
               'comment' => $reel_info->comment
                           );
         }

         $this->load->view("fenotags/view_fenoreel",$data);
         return true;
		}
		
		$data = array(
            'item_id' => '-1',
            'box_id'=>'','feno_id'=>'','reel_id'=>'','machine'=>'','active'=>0,'width'=>'',
            'firstNo'=>'','firstTime'=>'','lastNo'=>'','lastTime'=>'','page'=>'','hexInc'=>0,
            
            'dayFirst'=>'','dayFirstTime'=>null,'dayLast'=>'','dayLastTime'=>null,
            'dayDate'=>null,'dayFails'=>0,'dayFacs'=>0,'dayWorkers'=>'',
            
            'midFirst'=>'','midFirstTime'=>null,'midLast'=>'','midLastTime'=>null,
            'midDate'=>null,'midFails'=>0,'midFacs'=>0,'midWorkers'=>'',
            
            'nightFirst'=>'','nightFirstTime'=>null,'nightLast'=>'','nightLastTime'=>null,
            'nightDate'=>null,'nightFails'=>0,'nightFacs'=>0,'nightWorkers'=>'',
            
            'otherFirst'=>'','otherFirstTime'=>null,'otherLast'=>'','otherLastTime'=>null,
            'otherDate'=>null,'otherFails'=>0,'otherFacs'=>0,'otherWorkers'=>'',
            
            'ourFails'=>0,'facFails'=>0,'allFails'=>0,'finalGood'=>0,'yield'=>0,
            'comment'=>'' );
		
		$this->load->view("fenotags/view_fenoreel",$data);
      return true;
	}
	
	
	function save_fenoreel($item_id=0)
	{
      $success = 0;
      if($item_id!='-1')
      {
         $box_id  = (int)trim($this->input->post("box_id"));
         $feno_id = trim(strtoupper($this->input->post("feno_id")));
         $reel_id = (int)trim($this->input->post("reel_id"));
         $mach    = strtoupper(trim($this->input->post("machine")));
         if($mach and $mach!='B0')
         { $machine = "B".(int)filter_var(trim($this->input->post("machine")), FILTER_SANITIZE_NUMBER_INT); }
         else 
         { $machine = 0; }

         $width   = (int)$this->input->post("width");
         $active  = $this->input->post("is_active");
         $hexInc	= (int)$this->input->post("hexInc");
         
            if($active) { $active = 1; } else { $active = 0; }
            if($hexInc) { $hexInc = 1; } else { $hexInc = 0; }
      
         $firstNo = $this->input->post("firstNo");
         if($hexInc) { $firstNo = hexdec($this->input->post("firstNo")); }
            $first_date = $this->input->post("first_date");
            $first_date = date("Y-m-d", strtotime($first_date));
            $first_time = $this->input->post("first_time");
            $firstTime  = "$first_date $first_time:00";
            if($firstNo==='0' or $first_date==='1970-01-01') { $firstTime=null; }
            
       
          $lastNo = $this->input->post("lastNo");
          if($hexInc) { $lastNo = hexdec($this->input->post("lastNo")); }
            $last_date = $this->input->post("last_date");
            $last_time = $this->input->post("last_time");
            $last_date = date("Y-m-d", strtotime($last_date));
            $lastTime  = "$last_date $last_time:00";
            if($lastNo==='0' or $last_date==='1970-01-01') { $lastTime=null; }
            
            
         $realTime = $caldTime = null;
         if(null!=$lastTime)
         { $realTime = $this->input->post("real_time"); $caldTime = $this->input->post("cald_time"); }
      

         // ДНЕВНА
         $dayDate  = null; // $this->input->post("dayDate");
         $dayFails = $this->input->post("dayFails");
         $dayFacs  = $this->input->post("dayFacs");
         
         $dayFirst = $this->input->post("dayFirst");
         if($hexInc) { $dayFirst = hexdec($this->input->post("dayFirst")); }
            $dayFirstDate = $this->input->post("dayFirstDate");
            $dayFirstTime = $this->input->post("dayFirstTime");
            if($dayFirstDate and $dayFirst>0) 
            {
               $dayFirstDate = date("Y-m-d", strtotime($dayFirstDate));
               $dayFirstTime = date("H:i", strtotime($dayFirstTime));
               $dayFirstTime = "$dayFirstDate $dayFirstTime:00";
            }
            else { $dayFirst = 0; $dayFirstTime = null; }
            
         $dayLast = $this->input->post("dayLast");
         if($hexInc) { $dayLast = hexdec($this->input->post("dayLast")); }
            $dayLastDate = $this->input->post("dayLastDate");
            $dayLastTime = $this->input->post("dayLastTime");
            if($dayLastDate and $dayLast>0) 
            { 
               $dayLastDate = $dayDate = date("Y-m-d", strtotime($dayLastDate));
               $dayLastTime = date("H:i", strtotime($dayLastTime));
               $dayLastTime = "$dayLastDate $dayLastTime:00";
            }
            else { $dayLast = 0; $dayLastTime = null; }
            


         // МЕЖДИННА
         $midDate  = null; //  $this->input->post("midDate");
         $midFails = $this->input->post("midFails");
         $midFacs  = $this->input->post("midFacs");
         
         $midFirst = $this->input->post("midFirst");
         if($hexInc) { $midFirst = hexdec($this->input->post("midFirst")); }
            $midFirstDate = $this->input->post("midFirstDate");
            $midFirstTime = $this->input->post("midFirstTime");
            if($midFirstDate and $midFirst>0) 
            {
               $midFirstDate = date("Y-m-d", strtotime($midFirstDate));
               $midFirstTime = date("H:i", strtotime($midFirstTime));
               $midFirstTime = "$midFirstDate $midFirstTime:00";
            }
            else { $midFirst = 0; $midFirstTime = null; } 
         
         $midLast  = $this->input->post("midLast");
         if($hexInc) { $midLast = hexdec($this->input->post("midLast")); }
            $midLastDate = $this->input->post("midLastDate");
            $midLastTime = $this->input->post("midLastTime");
            if($midLastDate and $midLast>0) 
            { 
               $midLastDate = $midDate = date("Y-m-d", strtotime($midLastDate));
               $midLastTime = date("H:i", strtotime($midLastTime));
               $midLastTime = "$midLastDate $midLastTime:00";
            }
            else { $midLast = 0; $midLastTime = null; }
               


         // НОЩНА
         $nightDate  = null; // $this->input->post("nightDate");
         $nightFails = $this->input->post("nightFails");
         $nightFacs = $this->input->post("nightFacs");
         
         $nightFirst = $this->input->post("nightFirst");
         if($hexInc) { $nightFirst = hexdec($this->input->post("nightFirst")); }
            $nightFirstDate = $this->input->post("nightFirstDate");
            $nightFirstTime = $this->input->post("nightFirstTime");
            if($nightFirstDate and $nightFirst>0) 
            {
               $nightFirstDate = date("Y-m-d", strtotime($nightFirstDate));
               $nightFirstTime = date("H:i", strtotime($nightFirstTime));
               $nightFirstTime = "$nightFirstDate $nightFirstTime:00";
            }
            else { $nightFirst = 0; $nightFirstTime = null; }
            
         $nightLast  = $this->input->post("nightLast");
         if($hexInc) { $nightLast = hexdec($this->input->post("nightLast")); }
            $nightLastDate = $this->input->post("nightLastDate");
            $nightLastTime = $this->input->post("nightLastTime");
            if($nightLastDate and $nightLast>0) 
            { 
               $nightLastDate = $nightDate = date("Y-m-d", strtotime($nightLastDate));
               $nightLastTime = date("H:i", strtotime($nightLastTime));
               $nightLastTime = "$nightLastDate $nightLastTime:00";
            }
            else { $nightLast = 0; $nightLastTime = null; }
               
               
         // ДРУГА СМЯНА
         $otherDate  = null; // $this->input->post("otherDate");
         $otherFails = $this->input->post("otherFails");
         $otherFacs = $this->input->post("otherFacs");
         
         $otherFirst = $this->input->post("otherFirst");
         if($hexInc) { $otherFirst = hexdec($this->input->post("otherFirst")); }
         $otherFirstDate = $this->input->post("otherFirstDate");
         $otherFirstTime = $this->input->post("otherFirstTime");
            if($otherFirstDate and $otherFirst>0) 
            {
               $otherFirstDate = date("Y-m-d", strtotime($otherFirstDate));
               $otherFirstTime = date("H:i", strtotime($otherFirstTime));
               $otherFirstTime = "$otherFirstDate $otherFirstTime:00";
            }
            else { $otherFirst = 0; $otherFirstTime = null; }
            
         $otherLast  = $this->input->post("otherLast");
         if($hexInc) { $otherLast = hexdec($this->input->post("otherLast")); }
         $otherLastDate = $this->input->post("otherLastDate");
         $otherLastTime = $this->input->post("otherLastTime");
            if($otherLastDate and $otherLast>0) 
            { 
               $otherLastDate = $otherDate = date("Y-m-d", strtotime($otherLastDate));
               $otherLastTime = date("H:i", strtotime($otherLastTime));
               $otherLastTime = "$otherLastDate $otherLastTime:00";
            }
            else { $otherLast = 0; $otherLastTime = null; }


         // Други ...
         $page    = $this->input->post("page");
         $width   = $this->input->post("width");
         $comment = $this->input->post("comment");
         
            // get_shaft_workers:
            $date = $dayDate;
            $year = date('Y');
            $vedom = "FENO_".$year."_Pre";
            // if($date==null) { $date = $midDate; }
            // if($date==null) { $date = $nightDate; }
            
            $date = $dayDate;
            $dayWorkers = $this->Fenotag->get_shaft_workers($vedom,$date,'day');
            if(!$dayWorkers) { $dayWorkers = null; }
            
            $date = $midDate;
            $midWorkers = $this->Fenotag->get_shaft_workers($vedom,$date,'mid');
            if(!$midWorkers) { $midWorkers = null; }
            
            $date = $nightDate;
            $nightWorkers = $this->Fenotag->get_shaft_workers($vedom,$date,'night');
            if(!$nightWorkers) { $nightWorkers = null; }
            
            $otherWorkers = null;
         
         // Изчислявам вече
         $ourFails = $dayFails + $midFails + $nightFails + $otherFails;
         $facFails = $dayFacs  + $midFacs  + $nightFacs  + $otherFacs;
         $allFails = $ourFails + $facFails;
            
         $finalGood = abs($firstNo-$lastNo) - $ourFails - $facFails;
     //    if($hexInc)	{ $finalGood = $lastNo - $firstNo - $ourFails - $facFails; }
     //    else			{ $finalGood = abs($firstNo-$lastNo) - $ourFails - $facFails; }
         
         if($finalGood) { $yield = 100*round($ourFails/$finalGood,3); } else { $yield = 0; }

         $data = array(
               'item_id' => $item_id,
                'box_id' => $box_id,
               'feno_id' => $feno_id,
               'reel_id' => $reel_id,
               'machine' => $machine,
                'active' => $active,
                'hexInc' => $hexInc,
                 'width' => $width,
           
               'firstNo' => $firstNo,
             'firstTime' => $firstTime,
                'lastNo' => $lastNo,
              'lastTime' => $lastTime,
                
               'dayDate' => $dayDate,
              'dayFirst' => $dayFirst,
          'dayFirstTime' => $dayFirstTime,
               'dayLast' => $dayLast,
           'dayLastTime' => $dayLastTime,
              'dayFails' => $dayFails,
               'dayFacs' => $dayFacs,
            'dayWorkers' => $dayWorkers,
                 
               'midDate' => $midDate,
              'midFirst' => $midFirst,
          'midFirstTime' => $midFirstTime,
               'midLast' => $midLast,
           'midLastTime' => $midLastTime,
              'midFails' => $midFails,
               'midFacs' => $midFacs,
            'midWorkers' => $midWorkers,
                 
             'nightDate' => $nightDate,
            'nightFirst' => $nightFirst,
        'nightFirstTime' => $nightFirstTime,
             'nightLast' => $nightLast,
         'nightLastTime' => $nightLastTime,
            'nightFails' => $nightFails,
             'nightFacs' => $nightFacs,
          'nightWorkers' => $nightWorkers,
         
             'otherDate' => $otherDate,
            'otherFirst' => $otherFirst,
        'otherFirstTime' => $otherFirstTime,
             'otherLast' => $otherLast,
         'otherLastTime' => $otherLastTime,
            'otherFails' => $otherFails,
             'otherFacs' => $otherFacs,
         
              'ourFails' => $ourFails,
              'facFails' => $facFails,
             'finalGood' => $finalGood,
                 'yield' => $yield,
         
                  'page' => $page,
                 'width' => $width,
               'comment' => $comment,
                   'del' => 0   
                       );
 
         $success = $this->Fenotag->save_reel_id($data,$item_id);
      }
      else // нова ролка
      {
         $box_id  = $this->input->post("box_id");
         $feno_id = $this->input->post("feno_id");
         $reel_id = $this->input->post("reel_id");
         $machine = $this->input->post("machine");
         $active  = $this->input->post("is_active"); 
            if($active) { $active = 1; } 
            else { $active = 0; }
            
         $firstNo = $this->input->post("firstNo");
            $first_date = $this->input->post("first_date");
            $first_time = $this->input->post("first_time");
            $first_date = date("Y-m-d", strtotime($first_date));
            $firstTime  = "$first_date $first_time:00";
       
          $lastNo = $this->input->post("lastNo");
            $last_date = $this->input->post("last_date");
            $last_time = $this->input->post("last_time");
            $last_date = date("Y-m-d", strtotime($last_date));
            $lastTime  = "$last_date $last_time:00";
            
         $data = array(
                'box_id' => $box_id,
               'feno_id' => $feno_id,
               'reel_id' => $reel_id,
               'machine' => $machine,
                'active' => $active,
                
               'firstNo' => $firstNo,
             'firstTime' => $firstTime,
                'lastNo' => $lastNo,
              'lastTime' => $lastTime,
              
                   'del' => 0   
                       );
                        
         $success = $this->Fenotag->save_reel_id($data,false);
      
      }

      if($success)
      			{ echo json_encode(array('success'=>true,
                                        'message'=>$this->lang->line('items_successful_reel_edit'),
                                        'item_id' => $item_id
                                        ) ); 
               }
		else
			{ echo json_encode(array('success'=>false,
                                  'message'=>$this->lang->line('items_error_updating_multiple'),
                                  'item_id' => $item_id
                                  ) ); 
         }
      
	}
	
	// Ajax function from view_list
	function replace_fenoreel_row()
	{
		$item_id = $this->input->post('row_id');
		if($item_id>0)
		{
         $data_row = get_fenotag_row($item_id);
         if($data_row) { echo $data_row; }
		}
	}
	
	
	// standard print fenolist
	function print_fenolist($box_id=0,$feno_id=0,$reel_id=0,$firstNo=0)
	{
      if($box_id>0 and $feno_id and $reel_id>0 and $firstNo)
      {
         $data = array(
             "box_id" => $box_id,
            "feno_id" => $feno_id,
            "reel_id" => $reel_id,
            "firstNo" => $firstNo
                        );

         $this->load->view("fenotags/print_fenolist",$data);
         return true;
      }
	
      $this->view_list();
	}
	
	
	
	
/*	
$to = "bize@abv.bg";
$headers = "STYLER ONLINE SHOP ";
$subject = "STYLER PURCHASE for BiSOFT";
$text = "Zdravejte my friend,<br>";
      
$success = mail($to,$subject,$text,$headers);
if($success) { $success = 'OK'; } else { $success = 'FAILED'; }
      
      print_r("ok: $item_id / $success");
      die();
*/	
	

/* ==========================  MACHINE DELAYS - REPAIRS  ======================== */
	
	function view_repair($rep_id=0)
	{
      $user_id  = $this->BiSOFT_Model->get_person();
      $data = $row = array();
		
		if($rep_id)
		{ $row = $this->Fenotag->get_rep_id($rep_id); }
		
		$data = array(
         'rep_id' => $rep_id,
            'row' => $row );

      $this->load->view("fenotags/view_repRow",$data);
      return true;
   }
	

	function save_repair($rep_id=0)
	{
      $success = 1;
      if($rep_id!='-1')
      {
         $b1_reel  = strtoupper(trim($this->input->post("b1_reel"))); if(empty($b1_reel)) { $b1_reel = null; }
         $b1_day   = (int)trim($this->input->post("b1_day"));
         $b1_mid   = (int)trim($this->input->post("b1_mid"));
         $b1_night = (int)trim($this->input->post("b1_night"));

         $b2_reel  = strtoupper(trim($this->input->post("b2_reel"))); if(empty($b2_reel)) { $b2_reel = null; }
         $b2_day   = (int)trim($this->input->post("b2_day"));
         $b2_mid   = (int)trim($this->input->post("b2_mid"));
         $b2_night = (int)trim($this->input->post("b2_night"));  
  
         $b3_reel  = strtoupper(trim($this->input->post("b3_reel"))); if(empty($b3_reel)) { $b3_reel = null; }
         $b3_day   = (int)trim($this->input->post("b3_day"));
         $b3_mid   = (int)trim($this->input->post("b3_mid"));
         $b3_night = (int)trim($this->input->post("b3_night"));

         $b4_reel  = strtoupper(trim($this->input->post("b4_reel"))); if(empty($b4_reel)) { $b4_reel = null; }
         $b4_day   = (int)trim($this->input->post("b4_day"));
         $b4_mid   = (int)trim($this->input->post("b4_mid"));
         $b4_night = (int)trim($this->input->post("b4_night"));
         
         // допълнителните B-5 и B-6
         $b5_reel  = strtoupper(trim($this->input->post("b5_reel"))); if(empty($b5_reel)) { $b5_reel = null; }
         $b5_day   = (int)trim($this->input->post("b5_day"));
         $b5_mid   = (int)trim($this->input->post("b5_mid"));
         $b5_night = (int)trim($this->input->post("b5_night"));

         $b6_reel  = strtoupper(trim($this->input->post("b6_reel"))); if(empty($b6_reel)) { $b6_reel = null; }
         $b6_day   = (int)trim($this->input->post("b6_day"));
         $b6_mid   = (int)trim($this->input->post("b6_mid"));
         $b6_night = (int)trim($this->input->post("b6_night"));
         
         
         $comment  = trim($this->input->post("comment"));
         if(empty($comment)) { $comment = null; }
         
         $data = array(
               'rep_id' => $rep_id,
               'active' => 1,
               
              'b1_reel' => $b1_reel,
               'b1_day' => $b1_day,
               'b1_mid' => $b1_mid,
             'b1_night' => $b1_night,
             
              'b2_reel' => $b2_reel,
               'b2_day' => $b2_day,
               'b2_mid' => $b2_mid,
             'b2_night' => $b2_night,
             
              'b3_reel' => $b3_reel,
               'b3_day' => $b3_day,
               'b3_mid' => $b3_mid,
             'b3_night' => $b3_night,
             
              'b4_reel' => $b4_reel,
               'b4_day' => $b4_day,
               'b4_mid' => $b4_mid,
             'b4_night' => $b4_night,
         
              'b5_reel' => $b5_reel,
               'b5_day' => $b5_day,
               'b5_mid' => $b5_mid,
             'b5_night' => $b5_night,
             
              'b6_reel' => $b6_reel,
               'b6_day' => $b6_day,
               'b6_mid' => $b6_mid,
             'b6_night' => $b6_night,
         
              'comment' => $comment
                        );
         
         // запис.
         $success = $this->Fenotag->save_rep_id($data,$rep_id);
         
         // all calcs
         $month = $this->fenotag_lib->get_month();
         $vedom = 100 * (int)date("y") + $month;
         $all_totals = $this->Fenotag->get_sumRepairs($vedom);
         
         $b1_sum = $b2_sum = $b3_sum = $b4_sum = $b5_sum = $b6_sum = '-';
         if($all_totals)
         {
            $b1_sum = $all_totals->b1_sum; $b2_sum = $all_totals->b2_sum; $b3_sum = $all_totals->b3_sum;
            $b4_sum = $all_totals->b4_sum; $b5_sum = $all_totals->b5_sum; $b6_sum = $all_totals->b6_sum;
         }

      }


      if($success)
         { echo json_encode(array('success'=>true,
                                  'message'=>$this->lang->line('items_successful_machine_delay'),
                                  'rep_id' => $rep_id,
                                  'b1_sum' => $b1_sum, 'b2_sum' => $b2_sum, 'b3_sum' => $b3_sum,
                                  'b4_sum' => $b4_sum, 'b5_sum' => $b5_sum, 'b6_sum' => $b6_sum,
                                  ) ); 
         }
		else
			{ echo json_encode(array('success'=>false,
                                  'message'=>$this->lang->line('items_error_machine_delay'),
                                  'rep_id' => $rep_id,
                                  'b1_sum' => '','b2_sum' => '','b3_sum' => '',
                                  'b4_sum' => '','b5_sum' => '','b6_sum' => ''
                                  ) ); 
         }
   }
	
	// Ajax function from view_list
	function replace_repRow()
	{
		$rep_id = $this->input->post('row_id');
		if($rep_id>0)
		{
         $data_row = get_repair_row($rep_id);
         if($data_row) { echo $data_row; }
		}
	}
	
/* ==========================  End MACHINE DELAYS  ======================== */	
	
	
	
	
	
	
	
	
	
	
	function add_qty()
	{
		$qty = $this->input->post("qty");
		$user_id = $this->BiSOFT_Model->get_person();

			$feno = $this->fenotag_lib->get_feno();
			$order_id = $this->fenotag_lib->get_order(); if($order_id<0) {$order_id=0;}
			$machine = $this->fenotag_lib->get_machine();

		if(!empty($this->input->post("qty")) and $qty!=0 and $feno and $machine and $order_id>0)
		{
			$shift  = $this->fenotag_lib->get_shift();
			$date   = $this->BiSOFT_Model->get_user_mode_date();
			$vedom  = 'FENO_'.(int)date('Y',strtotime($date));
			$status = $this->Fenotag->get_machine_status($machine);

			// Спец. за Външна работа
			if($shift=='outer' and $order_id==2)
			{
				if($status=='1' or $status=='3')
					{ $qty = -abs($qty); }
				elseif($status!='5' and $status!='7')
					{ $qty = '0'; }
				$machine = 'out';
			}
			
			$feno_id = $this->Fenotag->get_feno_id($vedom,$date,$shift,$machine,$order_id,$status);

			if($qty!=0 and !$this->Fenotag->exists_feno($vedom,$date,$shift,$machine,$order_id,$status))
			{
				$data = array(
					'feno_id' => $feno_id,
					'order_id' => $order_id,
						 'date' => $date,
						'shift' => $shift,
					 'machine' => $machine,
					   "$feno" => $qty,
					 'user_id' => $user_id,
					  'status' => $status );

				$success = $this->Fenotag->save_vedom($data,$vedom);
			}
			elseif($qty!=0 and $this->Fenotag->exists_feno_id($feno_id,$vedom))
			{
				// това само добавя към др. маски бройки
				$data = array(
					'feno_id' => $feno_id,
					'order_id' => $order_id,
						 'date' => $date,
						'shift' => $shift,
					 'machine' => $machine,
                  "$feno" => $qty,
					 'user_id' => $user_id,
					  'status' => $status );

				$success = $this->Fenotag->save_vedom($data,$vedom);
			}
		}
		$this->view_list();
	}
	
	function add_pre()
	{
		$pre = (int)$this->input->post("presence");
		$bisoft_id = $this->fenotag_lib->get_worker();
		$worker  = $this->Fenotag->get_worker_name($bisoft_id);
		$shift   = $this->fenotag_lib->get_shift();
		$rabota  = $this->fenotag_lib->get_rabota();
		$user_id = $this->BiSOFT_Model->get_person();
		
		if($bisoft_id!='all' and $worker and $rabota)
		{
			$date   = $this->BiSOFT_Model->get_user_mode_date();
			$vedom = 'FENO_'.(int)date('Y',strtotime($date)).'_Pre';
			
			$status = 0;
			if($bisoft_id>5000) 
			{
            $status = 1;
            $worker_info = $this->Fenotag->get_worker_info($bisoft_id);
            if($worker_info) { $status = (int)$worker_info->status; }
         }
			$pre_id = $this->Fenotag->get_pre_id($vedom,$bisoft_id,$date,$shift);
			
			$data = array(
				  'pre_id' => $pre_id,
			  'bisoft_id' => $bisoft_id,
					 'date' => $date,
					'shift' => $shift,
				  'rabota' => $rabota,
					'HOURS' => round($pre/10,1),
				  'status' => $status );

			$success = $this->Fenotag->save_presence($data,$vedom);
		}
		
		$this->view_list();
	}
	
	function del_vedom_row($feno_id)
	{
		$date = $this->BiSOFT_Model->get_user_mode_date();
		$vedom = 'FENO_'.(int)date('Y',strtotime($date));
		$this->Fenotag->del_feno_id($vedom,$feno_id);
		$this->view_list();
	}
	
	function del_presence_row($pre_id)
	{
		$date = $this->BiSOFT_Model->get_user_mode_date();
		$vedom = 'FENO_'.(int)date('Y',strtotime($date)).'_Pre';
		$this->Fenotag->del_pre_id($vedom,$pre_id);
		$this->view_list();
	}
	
	function move_daily()
	{
	
		echo '... to be continued, one sunny day :)';
		die();
	
	}
	
	function add_daily_qty()
	{
		$vedom = 'FENO_Daily';
		$shift = "daily";
		$date = date('Y-m-d');
			
		$qty = (int)$this->input->post("qty");
		$user_id = $this->BiSOFT_Model->get_person();
			$feno = $this->fenotag_lib->get_feno();
			$order_id = $this->fenotag_lib->get_order(); if($order_id<0) {$order_id=0;}
			$machine = $this->fenotag_lib->get_machine();
		
		if(!empty($this->input->post("qty")) and $qty!=0 and $feno and $machine and $order_id>0)
		{
			$status 	 = $this->Fenotag->get_machine_status($machine);
			$feno_id = $this->Fenotag->get_feno_id($vedom,$date,$shift,$machine,$order_id,$status);

			if($qty!=0 and !$this->Fenotag->exists_feno($vedom,$date,$shift,$machine,$order_id,$status))
			{
				$data = array(
					'feno_id' => $feno_id,
					'order_id' => $order_id,
						 'date' => $date,
					'reg_date' => date('Y-m-d H:i'),
						'shift' => $shift,
					 'machine' => $machine,
                  "$feno" => $qty,
					 'user_id' => $user_id,
					  'status' => $status );

				$success = $this->Fenotag->save_daily($data);
			}
			elseif($qty!=0 and $this->Fenotag->exists_feno_id($feno_id,$vedom))
			{
				// това само добавя към др. маски бройки
				$data = array(
					'feno_id' => $feno_id,
					'order_id' => $order_id,
						 'date' => $date,
					'reg_date' => date('Y-m-d H:i'),
						'shift' => $shift,
					 'machine' => $machine,
                  "$feno" => $qty,
					 'user_id' => $user_id,
					  'status' => $status );

				$success = $this->Fenotag->save_daily($data);
			}
		}
		$this->view_list();
	}
	
	

	function complete_report()
	{
		$user_id = $this->BiSOFT_Model->get_person();
		$date  = $this->BiSOFT_Model->get_user_mode_date();
			$weekday = (int)date('N',strtotime($date));
		$vedom = 'FENO_'.(int)date('Y',strtotime($date));
		$shift = $this->fenotag_lib->get_shift();
		if($shift=='day') {$weekday .= 'd';}
		elseif($shift=='mid') {$weekday .= 'm';}
		elseif($shift=='night') {$weekday .= 'n';}
		elseif($shift=='outer') {$weekday .= '_';}
		
		
		$report_work = $this->Fenotag->get_vedom($vedom,$date,$shift);
		$fenos = array('7110','7111');

		if(count($report_work)>0)
		{
			// зареждаме СКЛАД МАСКИ
			$Sklad = array();
			$allSklad = $this->Fenotag->get_sklad();
			foreach($allSklad as $skl)
			{
				$status = $skl['status'];
				switch ($status) 
				{
					case '1': // zag : заготовки
						$Sklad['zag']['C110'] = $skl['C110'];
						$Sklad['zag']['C111'] = $skl['C111'];
						break;
						
					case '4': // to_rep
						$Sklad['to_rep']['m98100'] = '0';
						$Sklad['to_rep']['m98200'] = $skl['m98200'];
						$Sklad['to_rep']['m98210'] = $skl['m98210'];
						$Sklad['to_rep']['m98220'] = $skl['m98220'];
						$Sklad['to_rep']['m98230'] = $skl['m98230'];
						$Sklad['to_rep']['m98240'] = $skl['m98240'];
						$Sklad['to_rep']['m98250'] = $skl['m98250'];
						$Sklad['to_rep']['m98260'] = $skl['m98260'];
						$Sklad['to_rep']['m98270'] = $skl['m98270'];
						$Sklad['to_rep']['m98280'] = $skl['m98280'];
						$Sklad['to_rep']['m98290'] = '0';
						break;

						
					case '6': // rep : РЕМОНТ
						$Sklad['rep']['C110'] = $skl['C110'];
						$Sklad['rep']['C111'] = $skl['C111'];
						break;
						
					
					case '9': // exp : Екпедиция
						$Sklad['exp']['C110'] = $skl['C110'];
						$Sklad['exp']['C111'] = $skl['C111'];
						break;
				}
			} // foreach($allSklad

			// архивира склад ДО сл.отчитане
			$all_zag = 	implode(',',$Sklad['zag']);
			$all_izm = 	implode(',',$Sklad['izm']);
			$all_brak = implode(',',$Sklad['brak']);
			$all_to_rep = implode(',',$Sklad['to_rep']);
			$all_otkk = implode(',',$Sklad['otkk']);
			$all_rep = 	implode(',',$Sklad['rep']);
			$all_pack = implode(',',$Sklad['pack']);
			$all_out = 	implode(',',$Sklad['out']);
			$all_exp = 	implode(',',$Sklad['exp']);

			$sklad_data = array(
					'date' => $date,
				  'shift' => $shift,
				    'zag' => $all_zag,
				 'to_rep' => $all_to_rep,
					 'rep' => $all_rep,
					 'exp' => $all_exp,
					 'del' => 0 );

			// Saves SKLAD archieve.		 
			$this->Fenotag->save_sklad_arch($sklad_data);


			foreach($report_work as $work)
			{
				$status = $work['status'];
				$order  = $work['order_id'];
				if($status>0 and $status<10)
				{
					switch ($status) 
					{
							case '1': // zag : заготовки
								$Sklad['zag']['C110'] += $work['C110'];
								$Sklad['zag']['C111'] += $work['C111'];
								break;
							
							case '4': // to_rep : за ремонт
								$Sklad['rep']['m98200'] += $work['m98200']; $Sklad['izm']['m98200'] -= $work['m98200'];
								$Sklad['rep']['m98210'] += $work['m98210']; $Sklad['izm']['m98210'] -= $work['m98210'];
								$Sklad['rep']['m98220'] += $work['m98220']; $Sklad['izm']['m98220'] -= $work['m98220'];
								$Sklad['rep']['m98230'] += $work['m98230']; $Sklad['izm']['m98230'] -= $work['m98230'];
								$Sklad['rep']['m98240'] += $work['m98240']; $Sklad['izm']['m98240'] -= $work['m98240'];
								$Sklad['rep']['m98250'] += $work['m98250']; $Sklad['izm']['m98250'] -= $work['m98250'];
								$Sklad['rep']['m98260'] += $work['m98260']; $Sklad['izm']['m98260'] -= $work['m98260'];
								$Sklad['rep']['m98270'] += $work['m98270']; $Sklad['izm']['m98270'] -= $work['m98270'];
								$Sklad['rep']['m98280'] += $work['m98280']; $Sklad['izm']['m98280'] -= $work['m98280'];
								break;

							case '6': // rep РЕМОНТ
								$Sklad['rep']['m98200'] -= $work['m98200']; $Sklad['otkk']['m98200'] += $work['m98200'];
								$Sklad['rep']['m98210'] -= $work['m98210']; $Sklad['otkk']['m98210'] += $work['m98210'];
								$Sklad['rep']['m98220'] -= $work['m98220']; $Sklad['otkk']['m98220'] += $work['m98220'];
								$Sklad['rep']['m98230'] -= $work['m98230']; $Sklad['otkk']['m98230'] += $work['m98230'];
								$Sklad['rep']['m98240'] -= $work['m98240']; $Sklad['otkk']['m98240'] += $work['m98240'];
								$Sklad['rep']['m98250'] -= $work['m98250']; $Sklad['otkk']['m98250'] += $work['m98250'];
								$Sklad['rep']['m98260'] -= $work['m98260']; $Sklad['otkk']['m98260'] += $work['m98260'];
								$Sklad['rep']['m98270'] -= $work['m98270']; $Sklad['otkk']['m98270'] += $work['m98270'];
								$Sklad['rep']['m98280'] -= $work['m98280']; $Sklad['otkk']['m98280'] += $work['m98280'];
								break;
								
							case '7': // PACK
								if($order=='2') // от Подизпълнители
								{
									$Sklad['out']['m98100'] -= $work['m98100'];
									$Sklad['out']['m98200'] -= $work['m98200'];
									$Sklad['out']['m98210'] -= $work['m98210'];
									$Sklad['out']['m98220'] -= $work['m98220'];
									$Sklad['out']['m98230'] -= $work['m98230'];
									$Sklad['out']['m98240'] -= $work['m98240'];
									$Sklad['out']['m98250'] -= $work['m98250'];
									$Sklad['out']['m98260'] -= $work['m98260'];
									$Sklad['out']['m98270'] -= $work['m98270'];
									$Sklad['out']['m98280'] -= $work['m98280'];
									$Sklad['out']['m98290'] -= $work['m98290'];
								}
								else
								{
									$Sklad['otkk']['m98100'] -= $work['m98100'];
									$Sklad['otkk']['m98200'] -= $work['m98200'];
									$Sklad['otkk']['m98210'] -= $work['m98210'];
									$Sklad['otkk']['m98220'] -= $work['m98220'];
									$Sklad['otkk']['m98230'] -= $work['m98230'];
									$Sklad['otkk']['m98240'] -= $work['m98240'];
									$Sklad['otkk']['m98250'] -= $work['m98250'];
									$Sklad['otkk']['m98260'] -= $work['m98260'];
									$Sklad['otkk']['m98270'] -= $work['m98270'];
									$Sklad['otkk']['m98280'] -= $work['m98280'];
									$Sklad['otkk']['m98290'] -= $work['m98290'];
								}
									$Sklad['pack']['m98100'] += $work['m98100'];
									$Sklad['pack']['m98200'] += $work['m98200'];
									$Sklad['pack']['m98210'] += $work['m98210'];
									$Sklad['pack']['m98220'] += $work['m98220'];
									$Sklad['pack']['m98230'] += $work['m98230'];
									$Sklad['pack']['m98240'] += $work['m98240'];
									$Sklad['pack']['m98250'] += $work['m98250'];
									$Sklad['pack']['m98260'] += $work['m98260'];
									$Sklad['pack']['m98270'] += $work['m98270'];
									$Sklad['pack']['m98280'] += $work['m98280'];
									$Sklad['pack']['m98290'] += $work['m98290'];
								break;
						
							case '8': // Външна Работа
								if($order=='2') // ЗА Подизпълнители
								{
									$Sklad['out']['m98100'] -= $work['m98100'];
									$Sklad['out']['m98200'] -= $work['m98200'];
									$Sklad['out']['m98210'] -= $work['m98210'];
									$Sklad['out']['m98220'] -= $work['m98220'];
									$Sklad['out']['m98230'] -= $work['m98230'];
									$Sklad['out']['m98240'] -= $work['m98240'];
									$Sklad['out']['m98250'] -= $work['m98250'];
									$Sklad['out']['m98260'] -= $work['m98260'];
									$Sklad['out']['m98270'] -= $work['m98270'];
									$Sklad['out']['m98280'] -= $work['m98280'];
									$Sklad['out']['m98290'] -= $work['m98290'];
								}
								break;
						
							case '9': // exp
								if($order=='2')  // За Подизпълнители
								{
									$Sklad['exp']['m98100'] += $work['m98100'];
									$Sklad['pack']['m98100'] -= $work['m98100'];

									$Sklad['exp']['m98200'] += $work['m98200'];
									$Sklad['pack']['m98200'] -= $work['m98200'];

									$Sklad['exp']['m98210'] += $work['m98210'];
									$Sklad['pack']['m98210'] -= $work['m98210'];
									
									$Sklad['exp']['m98220'] += $work['m98220'];
									$Sklad['pack']['m98220'] -= $work['m98220'];
									
									$Sklad['exp']['m98230'] += $work['m98230'];
									$Sklad['pack']['m98230'] -= $work['m98230'];
									
									$Sklad['exp']['m98240'] += $work['m98240'];
									$Sklad['pack']['m98240'] -= $work['m98240'];
										
									$Sklad['exp']['m98250'] += $work['m98250'];
									$Sklad['pack']['m98250'] -= $work['m98250'];
										
									$Sklad['exp']['m98260'] += $work['m98260'];
									$Sklad['pack']['m98260'] -= $work['m98260'];
									
									$Sklad['exp']['m98270'] += $work['m98270'];
									$Sklad['pack']['m98270'] -= $work['m98270'];
									
									$Sklad['exp']['m98280'] += $work['m98280'];
									$Sklad['pack']['m98280'] -= $work['m98280'];

									$Sklad['exp']['m98290'] += $work['m98290'];
									$Sklad['pack']['m98290'] -= $work['m98290'];
								}
								else // за всички останали - пак така за сега ?!
								{
									$Sklad['exp']['m98100'] += $work['m98100'];
									$Sklad['pack']['m98100'] -= $work['m98100'];

									$Sklad['exp']['m98200'] += $work['m98200'];
									$Sklad['pack']['m98200'] -= $work['m98200'];

									$Sklad['exp']['m98210'] += $work['m98210'];
									$Sklad['pack']['m98210'] -= $work['m98210'];

									$Sklad['exp']['m98220'] += $work['m98220'];
									$Sklad['pack']['m98220'] -= $work['m98220'];
									
									$Sklad['exp']['m98230'] += $work['m98230'];
									$Sklad['pack']['m98230'] -= $work['m98230'];
									
									$Sklad['exp']['m98240'] += $work['m98240'];
									$Sklad['pack']['m98240'] -= $work['m98240'];
										
									$Sklad['exp']['m98250'] += $work['m98250'];
									$Sklad['pack']['m98250'] -= $work['m98250'];
										
									$Sklad['exp']['m98260'] += $work['m98260'];
									$Sklad['pack']['m98260'] -= $work['m98260'];
									
									$Sklad['exp']['m98270'] += $work['m98270'];
									$Sklad['pack']['m98270'] -= $work['m98270'];
									
									$Sklad['exp']['m98280'] += $work['m98280'];
									$Sklad['pack']['m98280'] -= $work['m98280'];	
									
									$Sklad['exp']['m98290'] += $work['m98290'];
									$Sklad['pack']['m98290'] -= $work['m98290'];								
								}
								break;
					}
				
				} // if($status>0
				
			} // foreach($report_work


	/* -------------------------- SAVE ------------------------------ */
			// Заготовки - НУЛИРАНЕ
			/*
			if($Sklad['zag']['m98200']<0) {$Sklad['zag']['m98200']=0;}
			if($Sklad['zag']['m98210']<0) {$Sklad['zag']['m98210']=0;}
			if($Sklad['zag']['m98220']<0) {$Sklad['zag']['m98220']=0;}
			if($Sklad['zag']['m98230']<0) {$Sklad['zag']['m98230']=0;}
			if($Sklad['zag']['m98240']<0) {$Sklad['zag']['m98240']=0;}
			if($Sklad['zag']['m98250']<0) {$Sklad['zag']['m98250']=0;}
			if($Sklad['zag']['m98260']<0) {$Sklad['zag']['m98260']=0;}
			if($Sklad['zag']['m98270']<0) {$Sklad['zag']['m98270']=0;}
			if($Sklad['zag']['m98280']<0) {$Sklad['zag']['m98280']=0;}
			if($Sklad['zag']['m98290']<0) {$Sklad['zag']['m98290']=0;}
			*/
			
			$data_zag = array(
				'status' => '1',
				'type' => 'zag',
				'C110' => $Sklad['zag']['C110'],
				'C111' => $Sklad['zag']['C111'],
				'date' => $date );
			$this->Fenotag->update_sklad($data_zag,1);
			
			
			$data_exp = array(
				'status' => '9',
				'type' => 'exp',
				'C110' => $Sklad['exp']['C110'],
				'C111' => $Sklad['exp']['C111'],
				'date' => $date );
			$this->Fenotag->update_sklad($data_exp,9);

			// Регистрация във Ведомостта SALDO
			$feno_id = $this->Fenotag->get_feno_id($vedom,$date,$shift,'SALDO',0);

			// SALDO
			if($shift!='outer') // нормално отчитане само EXP
			{
				$data = array(
					'feno_id' => $feno_id,
				 'order_id' => 0,
					  'date' => $date,
					 'shift' => $shift,
				  'machine' => 'SALDO',
					'C110' => $Sklad['exp']['C110'],
					'C111' => $Sklad['exp']['C111'],
					'user_id' => $user_id,
					'status' => '0' );
			}
			
			$success = $this->Fenotag->save_vedom($data,$vedom);
			
		} // if(count($report_work)>0

	$this->view_list();
	}
	
	function analyse_mode()
	{
		$analyse_mode = $this->input->post("analyse_mode");
		$this->fenotag_lib->set_analyse_mode($analyse_mode);
		$this->view_list();
	}	
	
	/* =============================== GET ARCHIEVE SKLAD ============================ */
	public function get_sklad_data($sklad_id=0)
	{
		if($sklad_id and $this->Fenotag->exists_sklad_id($sklad_id))
		{
			$sklad = $this->Fenotag->get_sklad_info($sklad_id);
			
			print_r($sklad);
	
			die();
		}
		$this->view_list();
	}
	
	function sklad_mode()
	{
		$sklad_mode = $this->input->post("sklad_mode");
		$this->fenotag_lib->set_sklad_mode($sklad_mode);
		$this->view_list();
	}
	
	function edit_sklad()
	{
		$sklad = array();
		$allSklad = $this->Fenotag->get_sklad();
		
		foreach($allSklad as $mck)
			{ 	
				$status = $mck['status'];
				$sklad['98100'][$status] = (int)$mck['m98100'];
				$sklad['98200'][$status] = (int)$mck['m98200'];
				$sklad['98210'][$status] = (int)$mck['m98210'];
				$sklad['98220'][$status] = (int)$mck['m98220'];
				$sklad['98230'][$status] = (int)$mck['m98230'];
				$sklad['98240'][$status] = (int)$mck['m98240'];
				$sklad['98250'][$status] = (int)$mck['m98250'];
				$sklad['98260'][$status] = (int)$mck['m98260'];
				$sklad['98270'][$status] = (int)$mck['m98270'];
				$sklad['98280'][$status] = (int)$mck['m98280'];
				$sklad['98290'][$status] = (int)$mck['m98290'];
			}

		$data = array(
		'm98100' => $sklad['98100']['9'],
		'm98200' => $sklad['98200']['9'],
		'm98210' => $sklad['98210']['9'],
		'm98220' => $sklad['98220']['9'],
		'm98230' => $sklad['98230']['9'],
		'm98240' => $sklad['98240']['9'],
		'm98250' => $sklad['98250']['9'],
		'm98260' => $sklad['98260']['9'],
		'm98270' => $sklad['98270']['9'],
		'm98280' => $sklad['98280']['9'],
		'm98290' => $sklad['98290']['9'],
		
		'out98100' => $sklad['98100']['8'],
		'out98200' => $sklad['98200']['8'],
		'out98210' => $sklad['98210']['8'],
		'out98220' => $sklad['98220']['8'],
		'out98230' => $sklad['98230']['8'],
		'out98240' => $sklad['98240']['8'],
		'out98250' => $sklad['98250']['8'],
		'out98260' => $sklad['98260']['8'],
		'out98270' => $sklad['98270']['8'],
		'out98280' => $sklad['98280']['8'],
		'out98290' => $sklad['98290']['8'],
		
		'brak98100' => $sklad['98100']['3'],
		'brak98200' => $sklad['98200']['3'],
		'brak98210' => $sklad['98210']['3'],
		'brak98220' => $sklad['98220']['3'],
		'brak98230' => $sklad['98230']['3'],
		'brak98240' => $sklad['98240']['3'],
		'brak98250' => $sklad['98250']['3'],
		'brak98260' => $sklad['98260']['3'],
		'brak98270' => $sklad['98270']['3'],
		'brak98280' => $sklad['98280']['3'],
		'brak98290' => $sklad['98290']['3']
				);
				
		$this->load->view("fenotags/edit_sklad", $data);
	}
	
	function save_sklad()
	{
			$data_exp = array(
				'status' => '9',
				'type' => 'exp',
				'm98100' => (int)$this->input->post("m98100"),
				'm98200' => (int)$this->input->post("m98200"),
				'm98210' => (int)$this->input->post("m98210"),
				'm98220' => (int)$this->input->post("m98220"),
				'm98230' => (int)$this->input->post("m98230"),
				'm98240' => (int)$this->input->post("m98240"),
				'm98250' => (int)$this->input->post("m98250"),
				'm98260' => (int)$this->input->post("m98260"),
				'm98270' => (int)$this->input->post("m98270"),
				'm98280' => (int)$this->input->post("m98280"),
				'm98290' => (int)$this->input->post("m98290"),
				  'date' => date('Y-m-d') );
			$this->Fenotag->update_sklad($data_exp,9);
	
			$data_pi = array(
				'status' => '8',
				'type' => 'out',
				'm98100' => (int)$this->input->post("out98100"),
				'm98200' => (int)$this->input->post("out98200"),
				'm98210' => (int)$this->input->post("out98210"),
				'm98220' => (int)$this->input->post("out98220"),
				'm98230' => (int)$this->input->post("out98230"),
				'm98240' => (int)$this->input->post("out98240"),
				'm98250' => (int)$this->input->post("out98250"),
				'm98260' => (int)$this->input->post("out98260"),
				'm98270' => (int)$this->input->post("out98270"),
				'm98280' => (int)$this->input->post("out98280"),
				'm98290' => (int)$this->input->post("out98290") );
			$this->Fenotag->update_sklad($data_pi,8);
	
			$data_brak = array(
				'status' => '3',
				'type' => 'brak',
				'm98100' => (int)$this->input->post("brak98100"),
				'm98200' => (int)$this->input->post("brak98200"),
				'm98210' => (int)$this->input->post("brak98210"),
				'm98220' => (int)$this->input->post("brak98220"),
				'm98230' => (int)$this->input->post("brak98230"),
				'm98240' => (int)$this->input->post("brak98240"),
				'm98250' => (int)$this->input->post("brak98250"),
				'm98260' => (int)$this->input->post("brak98260"),
				'm98270' => (int)$this->input->post("brak98270"),
				'm98280' => (int)$this->input->post("brak98280"),
				'm98290' => (int)$this->input->post("brak98290") );
			$this->Fenotag->update_sklad($data_brak,3);

		$this->view_list();
	}
	
	function del_daily_row($feno_id)
	{
		$date = $this->BiSOFT_Model->get_user_mode_date();
		$vedom = 'FENO_Daily';
		$this->Fenotag->del_feno_id($vedom,$feno_id);
		$this->view_list();
	}
	
	function clear_daily()
	{
		$this->Fenotag->clear_daily();
		$this->view_list();
	}
	
	function clear_feno_reel()
	{
		$this->fenotag_lib->clear_feno();
		$this->fenotag_lib->clear_reel();
		$this->view_list();
	}
	
	/* ============================ FENOTAGS IMPORT ================================= */
	function feno_csv_import()
	{
		$this->load->view("fenotags/csv_import", null);
	}

	function do_csv_import()
	{
		$msg = 'do_csv_import';
		$data = array();
		$failCodes = array();
		$successCode = array ();
		$success = 1;

		if ($_FILES['file_path']['error']!=UPLOAD_ERR_OK)
		{
			$msg = $this->lang->line('recvs_file_failed');
			$data['error'] = $msg;
			$this->view_list($data);
		}
		else
		{
         $default_box = (int)$this->Appconfig->get('fenoBox');
         $box = $this->fenotag_lib->get_box($default_box);
         $box_data = array();
			if (($handle = fopen($_FILES['file_path']['tmp_name'], "r")) !== FALSE)
			{
					$i=1;$line=1;
					while (($data = fgetcsv($handle)) !== FALSE) 
					{
						$feno  = trim($data[0]);
						$reel  = trim($data[1]);
						$width = trim($data[2]);
                $lastNo  = trim($data[3]);
                $firstNo = trim($data[4]);
						
					  $hexInc = 0;	
					  // само за HEXCODE reels
					  if($feno==="C118") 
					  { 
						 $hexInc  = 1;
						 $firstNo = hexdec($firstNo);
						 $lastNo  = hexdec($lastNo);
					  }
					  
						
					  $box_data = array(
                        'box_id' => $box,
                       'feno_id' => $feno,
                       'reel_id' => $reel,
                         'width' => $width,
								'hexInc' => $hexInc,
                       'firstNo' => $firstNo,
                        'lastNo' => $lastNo );

                  $success *= $this->Fenotag->save_reel_id($box_data,false);
						$i++;
					}
			}
			else 	
			{				
				$msg = $this->lang->line('recvs_file_failed');
				$data['error'] = $msg;
				$this->view_list();
			}
		}

	  if(count($failCodes) > 1)
	  { 	
			$msg = $this->lang->line('recvs_error_import') . count($failCodes) ."): ".implode(", ", $failCodes);
			$data['error'] = $msg;
	  }
	  elseif($success)
	  {
			$msg = $this->lang->line('recvs_successful_import').' Zebex';
			$data['success'] = $msg;
	  } 
	  
      $this->view_list();
	}
	

	
	
	
	
	
	
	// ================================== РЕАЛЕН СТАРТ =================================== //
	public function view_list($data=array())
	{
		$data = array();
		$viewKey = $this->Fenotag->who_are_you();
		$default_box = (int)$this->Appconfig->get('fenoBox');
		
		$data['date'] = $date = $this->BiSOFT_Model->get_user_mode_date();
		$vedom = 'FENO_'.(int)date('Y',strtotime($date));
		$vedompre = 'FENO_'.(int)date('Y',strtotime($date)).'_Pre';

		$data['location']  = $location = $this->BiSOFT_Model->get_location();
		$data['lang'] 		 = $this->config->item('language');
		$data['user_id'] 	 = $user_id = $this->BiSOFT_Model->get_person();
		$data['user_info'] = $this->Employee->get_logged_in_employee_info();
		
		$data['mode']      = $mode = $this->fenotag_lib->get_mode();
		$data['shift']     = $shift = $this->fenotag_lib->get_shift();
		$data['order']     = $order = $this->fenotag_lib->get_order();
		$data['box']       = $box = $this->fenotag_lib->get_box($default_box);
		$data['feno']      = $feno = $this->fenotag_lib->get_feno();
		$data['reel']      = $reel = $this->fenotag_lib->get_reel();
		$data['machine']   = $machine = $this->fenotag_lib->get_machine();
		$data['presence']  = $this->fenotag_lib->get_presence();
		$data['month']     = $month = $this->fenotag_lib->get_month();
		if(!$month) { $data['month'] = $month = (int)date('m'); $this->fenotag_lib->set_month($month); }
		$data['worker']    = $worker = $this->fenotag_lib->get_worker();
		$data['type_worker'] = $type_worker = $this->fenotag_lib->get_type_worker();
		
		// видове РЕЖИМИ НА РАБОТА    
      $data['modes']  = array(
             'orders' => 'ПОРЪЧКИ-КУТИИ',
				 'report' => 'ПРЕГЛЕД на Смяна',
            'repairs' => 'Справка ПРЕСТОЙ',
			  'presence' => 'ПРИСЪСТВИЕ',
			  'personal' => 'ПЕРСОНАЛ',
           'vedompre' => 'Седмично ПРИСЪСТВИЕ'
	//         'daily' => 'ТЕКУЩ ОТЧЕТ' 
                              );
		  
		if($viewKey)
		{
			$data['modes']['salary'] 	= 'Седмични ЗАРАБОТКИ';
			$data['modes']['monthpre'] = 'Месечно ПРИСЪСТВИЕ';
	//		$data['modes']['analyse'] 	= 'ИЗВАДКИ И АНАЛИЗИ';
	//		$data['modes']['sklad'] 	= 'Склад - Fenotags';
		}
		else
		{
         $data['modes']['monthpre'] = 'Месечно ПРИСЪСТВИЕ';
		}
				  

		// видове СМЯНИ
      $data['shifts'] = array(
				 'day' => 'Дневна',
				 'mid' => 'Междинна',
			  'night' => 'Нощна',
			  'other' => 'Допълн.',
			    'all' => 'Всички смени');

			  
		if($mode=='salary' or $mode=='vedompre')
		{ 
         $data['shifts'] = array(
               'day' => 'Дневна',
               'mid' => 'Междинна',
             'night' => 'Нощна',
               'all' => 'Всички смени');
		}
			  
		// видове РАБОТНИЦИ
      $data['type_workers'] = array(
          'styler' => '= STYLER =',
          'oncash' => 'на хонорар',
             'all' => 'ВСИЧКИ' );
			  
		// видове ПРИСЪСТВИЕ    
      $data['presences'] = array(
				 '10' => '1ч',
				 '15' => '1:30ч',
				 '20' => '2ч',
				 '25' => '2:30ч',
				 '30' => '3ч',
				 '35' => '3:30ч',
				 '40' => '4ч',
				 '45' => '4:30ч',
				 '50' => '5ч',
				 '55' => '5:30ч',
				 '60' => '6ч',
				 '65' => '6:30ч',
				 '70' => '7ч',
				 '75' => '7:30ч',
				 '80' => '- 8ч -',
				 '85' => '8:30ч',
				 '90' => '9ч',
				 '95' => '9:30ч',
				'100' => '10ч',
				'105' => '10:30ч',
				'110' => '11ч',
				'115' => '11:30ч',
				'120' => '12ч' );
				
				
		// месеците    
      $data['all_months'] = array(
				 '1' => 'януари',
				 '2' => 'февруари',
				 '3' => 'март',
				 '4' => 'април',
				 '5' => 'май',
				 '6' => 'юни',
				 '7' => 'юли',
				 '8' => 'август',
				 '9' => 'септември',
            '10' => 'октомври',
            '11' => 'ноември',
            '12' => 'декември' );
				
               
		// видове МАШИНИ
		$data['machines'] = array(
						  '0' => '= ВСИЧКИ МАШИНИ =',
                   'B1' => 'ПолуАвтомат-B1',
                   'B2' => 'ПолуАвтомат-B2',
                   'B3' => 'ПолуАвтомат-B3',
                   'B4' => 'ПолуАвтомат-B4'
                               );
		
		
      // видове BOXES
      $data['boxes'] = array(
            '20' => 'Кутия-20',
            '21' => 'Кутия-21',
            '22' => 'Кутия-22',
            '23' => 'Кутия-23',
            '24' => 'Кутия-24',
            '25' => 'Кутия-25',
            '26' => 'Кутия-26',
            '27' => 'Кутия-27',
            '28' => 'Кутия-28',
            '29' => 'Кутия-29',
            '30' => 'Кутия-30',
            '31' => 'Кутия-31',
            '32' => 'Кутия-32',
            '33' => 'Кутия-33',
            '34' => 'Кутия-34',
            '35' => 'Кутия-35',
            '36' => 'Кутия-36',
            '37' => 'Кутия-37',
            '38' => 'Кутия-38',
            '39' => 'Кутия-39',
            '40' => 'Кутия-40',
            '41' => 'Кутия-41',
            '42' => 'Кутия-42',
            '43' => 'Кутия-43',
            '44' => 'Кутия-44',
            '45' => 'Кутия-45',
            '46' => 'Кутия-46',
            '47' => 'Кутия-47',
            '48' => 'Кутия-48',
            '49' => 'Кутия-49',
            '50' => 'Кутия-50'
                             );
               
		// видове FENOs    
      $data['fenos'] = array(
                  '0' => '= ВСИЧКИ МОДЕЛИ =',
					'C110' => 'C110-w76',
			  'C110AMAG' => 'C110 AMAG-w92',
               'C111' => 'C111-w92',
               'C118' => 'C118-w76',
               '1070' => '1070-w76',
				 '1070FE' => '1070 FE-w76',
				'1070FeA' => '1070 FeA-w76',
             '1358FE' => '1358FE-w92',
             '1358SL' => '1358SL-w92',
              '1570S' => '1570S-w92',
             '2058FE' => '2058FE-w92',
             '2058SL' => '2058SL-w92',
             'ACLIMA' => 'ACLIMA-w76',
              'TGL25' => 'TGL25-w76',
									);
               
		// видове ОРДЕРИ
		$data['all_orders'] = $this->Fenotag->get_orders();
		$data['all_active_orders'] = $this->Fenotag->get_active_orders();

		
      $data['orders']['2'] = '- Подизпълнител -';
		$data['orders']['1'] = 'STYLER -> FENOtag';

		if($mode=='sklad')
		{ 
			$data['fenos']['all'] = '= ВСИЧКИ FENOTAGS =';
			$arch_info = $this->Fenotag->get_sklad_arch();
			$data['sklad_save'] = $this->fenotag_lib->get_sklad_mode(); 
			$data['sklad_saves']['0'] = 'РЕАЛЕН СКЛАД';
			if($arch_info)
			{
				foreach($arch_info as $arch)
				{
					$sklad_id = $arch['sklad_id'];
					$date_sh = date('d.m',strtotime($arch['date']));
					$shift = $arch['shift'];
						$shift_txt = 'дневна';
						if($shift=='mid') { $shift_txt = 'межд.'; }
						elseif($shift=='night') { $shift_txt = 'нощна'; }

					$data['sklad_saves'][$sklad_id] = "$date_sh / $shift_txt";
				}
			}
		}
               
		// видове РАБОТА 
		$data['rabota']  = $this->fenotag_lib->get_rabota();
      $data['rabotas'] = array(
					'0' => '= РАБОТА =',
				 'zag' => 'fenotags',
			 'repair' => 'маш.ремонт',
			  'other' => 'доп.работа' );         
               
      // хората ...
      $all_workers = $this->Fenotag->get_all_workers();
      $data['workers'] = array('all' => '= ИЗБЕРЕТЕ РАБОТНИК =');
      if($all_workers)
      {
         $data['workers']['styler'] = '========= STYLER =========';
			
			foreach($all_workers as $worker)
			{	
				$status = $worker['status'];
				if($status==1) // STYLER
				{
					$bisoft_id = $worker['bisoft_id'];
					if($bisoft_id)	
					{ $data['workers'][$bisoft_id] = $worker['name']; }
				}
			}
			
			$data['workers']['oncash'] = '========== други ==========';
			
			foreach($all_workers as $worker)
			{	
				$status = $worker['status'];
				if(!$status) // външни работници
				{
					$bisoft_id = $worker['bisoft_id'];
					if($bisoft_id)	
					{ $data['workers'][$bisoft_id] = $worker['name']; }
				}
			}
      }

      // зарежда деня ...
      $data['subtitle']  = 'дата: '.date('d.m.Y',strtotime($date));
      if($mode=='sklad') { $data['subtitle']  = 'дата: '.date('d.m.Y'); }
      
      $data['report_saldo_key'] = 0;
      $data['daily_saldo_key']  = 0;
      
      
      // Дневен Отчет
      if($mode=='report') 
      {
			$data['title'] = 'ПРЕГЛЕД НА ДНЕВНА СМЯНА';
			if($shift=='mid') { $data['title'] = 'ПРЕГЛЕД НА МЕЖДИННА СМЯНА'; }
			elseif($shift=='night') { $data['title'] = 'ПРЕГЛЕД НА НОЩНА СМЯНА'; }
			elseif($shift=='other') { $data['title'] = 'ПРЕГЛЕД НА ДОПЪЛНИТЕЛНА СМЯНА'; }
			elseif($shift=='all')   { $data['title'] = 'ПРЕГЛЕД НА ДЕНЯ'; }

         $data['report_work'] = $report_work = $this->Fenotag->get_box_shaft($box,$date,$shift);
			
      }
      elseif($mode=='daily') // Текущ Отчет
      {
			$data['title'] = 'ТЕКУЩ ОТЧЕТ';
			$shift=='daily';

			$data['daily_work'] = $daily_work = $this->Fenotag->get_daily();
			$data['daily_work_table'] = array(	 'zag'=>array('msk'=>0,'kids'=>0,'sum'=>0),
															 'izm'=>array('msk'=>0,'kids'=>0,'sum'=>0),
															'brak'=>array('msk'=>0,'kids'=>0,'sum'=>0),
														 'to_rep'=>array('msk'=>0,'kids'=>0,'sum'=>0),
															'otkk'=>array('msk'=>0,'kids'=>0,'sum'=>0),
															'rep'	=>array('msk'=>0,'kids'=>0,'sum'=>0),
															'pack'=>array('msk'=>0,'kids'=>0,'sum'=>0),
															'out'	=>array('msk'=>0,'kids'=>0,'sum'=>0),
															'exp'	=>array('msk'=>0,'kids'=>0,'sum'=>0) );
			if(count($daily_work)>0)
			{
				foreach($daily_work as $work)
				{
					$status = $work['status'];
					if($status>0 and $status<10)
					{
						$msk = $work['m98200'] + $work['m98220'] + $work['m98230'] + $work['m98240'] +
								 $work['m98250'] + $work['m98280'] + $work['m98290'] + $work['m98100'];
									
						// само детски
						$kids	= $work['m98210'] + $work['m98260'] + $work['m98270'];
						$qty = $msk + $kids;
						
						switch ($status) 
						{
							case '1': $data['daily_work_table']['zag']['sum']	 += $qty;
										 $data['daily_work_table']['zag']['msk'] 	 += $msk;
										 $data['daily_work_table']['zag']['kids']  += $kids; break;
							case '2': $data['daily_work_table']['izm']['sum']	 += $qty;
										 $data['daily_work_table']['izm']['msk'] 	 += $msk;
										 $data['daily_work_table']['izm']['kids']  += $kids; break;
							case '3': $data['daily_work_table']['brak']['sum']	 += $qty;
										 $data['daily_work_table']['brak']['msk']  += $msk;
										 $data['daily_work_table']['brak']['kids'] += $kids; break;
							case '4': $data['daily_work_table']['to_rep']['sum']	+= $qty;
										 $data['daily_work_table']['to_rep']['msk']  += $msk;
										 $data['daily_work_table']['to_rep']['kids'] += $kids; break;
							case '5': $data['daily_work_table']['otkk']['sum']	 += $qty;
										 $data['daily_work_table']['otkk']['msk']  += $msk;
										 $data['daily_work_table']['otkk']['kids'] += $kids; break;			 
							case '6': $data['daily_work_table']['rep']['sum']	 += $qty;
										 $data['daily_work_table']['rep']['msk'] 	 += $msk;
										 $data['daily_work_table']['rep']['kids']  += $kids; break;
							case '7': $data['daily_work_table']['pack']['sum']	 += $qty;
										 $data['daily_work_table']['pack']['msk']  += $msk;
										 $data['daily_work_table']['pack']['kids'] += $kids; break;		
							case '8': $data['daily_work_table']['out']['sum']	 += $qty;
										 $data['daily_work_table']['out']['msk'] 	 += $msk;
										 $data['daily_work_table']['out']['kids']  += $kids; break;
							case '9': $data['daily_work_table']['exp']['sum']	 += $qty;
										 $data['daily_work_table']['exp']['msk'] 	 += $msk;
										 $data['daily_work_table']['exp']['kids']  += $kids; break;
						}
					}
					
				} // foreach($daily_work

			} // if(count($daily_work)>0)

      }
      elseif($mode=='presence') 
		{ 
			$data['title'] = 'ПРИСЪСТВИЕ - FENOTAGS'; 
			$data['daily_presence'] = $this->Fenotag->get_presence($vedompre,$date,$shift);
			
			// специлно за таблицата на Силвия
			$daily_all = $this->Fenotag->get_vedom($vedom,$date,$shift);
			$data['daily_table'] = array('zag'=>0,'out'=>0);

			if(count($daily_all)>0)
			{
				foreach($daily_all as $work)
				{
					$status = $work['status'];
					if($status>0 and $status<10)
					{
						$qty = $work['C110'] + $work['C111'];
						switch ($status) 
						{
							case '1': $data['daily_table']['zag'] 	+= $qty; break;
							case '8': $data['daily_table']['out']	+= $qty; break;
						}
					}
					
				} // foreach($daily_all

			} // if(count($daily_work)>0)
			
		}
		elseif($mode=='personal') 
		{ 
         $status = $this->fenotag_lib->get_type_worker();
			$personal = $this->Fenotag->get_personal($status);
			$data['personal'] = $personal;
			$data['title'] = 'ПЕРСОНАЛ - FENOTAGS';
		}
      elseif($mode=='salary' or $mode=='vedompre') // седмично присъствие / заплати  
      {
			$startDay = $this->fenotag_lib->get_startDay();
			$endDay 	 = $this->fenotag_lib->get_endDay();
			if(!$startDay and !$endDay)
			{
				$toDay = date('Y-m-d');
				$weekDay = date('N', strtotime($toDay));
				$fixStDay  = $weekDay + 6;
				$fixEndDay = $weekDay;	

				$data['startDay'] = date('Y-m-d', mktime(0,0,0,date("m"),date("d")-$fixStDay,date("Y")));
				$data['endDay'] 	= date('Y-m-d', mktime(0,0,0,date("m"),date("d")-$fixEndDay,date("Y")));
			}
			else
			{
				$data['startDay'] = $startDay;
				$data['endDay'] 	= $endDay;
			}
			
			$this->fenotag_lib->set_startDay($data['startDay']);
			$this->fenotag_lib->set_endDay($data['endDay']);
      
			$data['subtitle'] = 'за период: '.date('d.m.Y',strtotime($data['startDay'])).' - '.date('d.m.Y',strtotime($data['endDay']));
			
			if($mode=='salary') { $data['title'] = 'СЕДМИЧНИ ЗАРАБОТКИ'; }
			else { $data['title'] = 'СЕДМИЧНО ПРИСЪСТВИЕ'; }
			
         if($shift=='day') { $data['title'] .= ' - ДНЕВНА СМЯНА'; }
			elseif($shift=='mid') { $data['title'] .= ' - МЕЖДИННА СМЯНА'; }
			elseif($shift=='night') { $data['title'] .= ' - НОЩНА СМЯНА'; }
			elseif($shift=='all') { $data['title'] .= ''; }
			$data['title'] .= ' - FENOTAGS';

			$data['salary'] = $data['allSalary'] = $perData = array();

			if($shift=='all')
			{
				$allSalary = $this->Fenotag->get_salary($vedompre,0,$type_worker,$data['startDay'],$data['endDay']);
				if(count($allSalary)>0)
				{
					$data['allSalary'] = $allSalary;
					foreach($allSalary as $row)
					{
						$bisoft_id = $row['bisoft_id'];
						$name  = trim($this->Fenotag->get_worker_name($bisoft_id));
						$hours = (float)$row['HOURS'];
						$sht = $row['shift'];
						
						if(!isset($perData[$name]))
							{ 
								$perData[$name]['night'] = 
								$perData[$name]['mid']   = 
								$perData[$name]['day']   = 0;
							}
								
							$perData[$name]['bisoft_id']  = $bisoft_id;
							if($sht=='day') 		 { $perData[$name]['day'] += $hours; }
							elseif($sht=='mid') 	 { $perData[$name]['mid'] += $hours; }
							elseif($sht=='night') { $perData[$name]['night'] += $hours; }
					}
				}
			}
			else
			{
				$allSalary = $this->Fenotag->get_salary($vedompre,$shift,$type_worker,$data['startDay'],$data['endDay']);
				if(count($allSalary)>0)
				{
					foreach($allSalary as $row)
					{
						$bisoft_id = $row['bisoft_id'];
						$name  = trim($this->Fenotag->get_worker_name($bisoft_id));
						$hours  = (float)$row['HOURS'];
						
						if(!isset($perData[$name]))
							{ 
								$perData[$name]['night'] = 
								$perData[$name]['mid']   = 
								$perData[$name]['day']   = 0;
							}
								
							$perData[$name]['bisoft_id']  = $bisoft_id;
							if($shift=='day') 		{ $perData[$name]['day'] += $hours; }
							elseif($shift=='mid') 	{ $perData[$name]['mid'] += $hours; }
							elseif($shift=='night') { $perData[$name]['night'] += $hours; }
					} // foreach($allSalary
				}
			}
			
			ksort($perData);	// сортира по име ...
			$data['salary'] = $perData;
		}
      elseif($mode=='monthpre') // месечно присъствие
      {
         
         $data['startDay'] = date('Y-m-d', mktime(0,0,0,$month,'1',date("Y")));
			$data['endDay'] 	= date('Y-m-d', mktime(0,0,0,$month,'31',date("Y")));
				
			if($month=='4' or $month=='6' or $month=='9' or $month=='11')
         { $data['endDay'] 	= date('Y-m-d', mktime(0,0,0,$month,'30',date("Y"))); }
			elseif($month=='2')
         { $data['endDay'] 	= date('Y-m-d', mktime(0,0,0,$month,'28',date("Y"))); }
			
			$startDay = $data['startDay'];
			$endDay   = $data['endDay'];

         $year  = date('Y');
         $vedom = "FENO_$year"."_Pre";
         $data['month_data'] = array();
         $status = $this->fenotag_lib->get_type_worker();
         
         $monthData = $this->Fenotag->get_pre_month($vedom,$startDay,$endDay,$status);
         if($monthData)
         {
            $id = $id_prev = 0;
            foreach($monthData as $row)
            {
               $id = $row['bisoft_id'];
               $day = (int)date('d',strtotime($row['date']));
               
               if(!isset($data['month_data'][$id]))
               {
                  $data['month_data'][$id] = array(
                     '1'=>'0','2'=>'0','3'=>'0','4'=>'0','5'=>'0','6'=>'0','7'=>'0','8'=>'0','9'=>'0','10'=>'0',
                     '11'=>'0','12'=>'0','13'=>'0','14'=>'0','15'=>'0','16'=>'0','17'=>'0','18'=>'0','19'=>'0',
                     '20'=>'0','21'=>'0','22'=>'0','23'=>'0','24'=>'0','25'=>'0','26'=>'0','27'=>'0','28'=>'0',
                     '29'=>'0','30'=>'0','31'=>'0' );
               }
               $data['month_data'][$id][$day] += $row['HOURS'];
            }
         }

         $data['title'] = 'МЕСЕЧНО ПРИСЪСТВИЕ - FENOTAGS';
			$data['subtitle'] = 'за период: '.date('d.m.Y',strtotime($data['startDay'])).' - '.date('d.m.Y',strtotime($data['endDay']));
      }
      elseif($mode=='sklad')    
      { 
			$data['Sklad'] = array();
			$data['title'] = 'СКЛАД - FENOTAGs';
			$data['allSklad'] = $allSklad = $this->Fenotag->get_sklad();

			foreach($allSklad as $mck)
			{ 	
				$status = $mck['status'];
				$data['Sklad']['C110'][$status] = (int)$mck['C110'];
				$data['Sklad']['C111'][$status] = (int)$mck['C111'];

			}
		}
		elseif($mode=='orders')   
		{   
         $data['boxes_info'] = array();
         $data['title_first_last'] = '';
         
         if(!$feno and !$reel and !$machine)
         { $data['boxes_info'] = $boxes_info = $this->Fenotag->get_all_inbox($box); }
         elseif($feno and !$reel and !$machine) // само по модел fenotag
         {
            $reel_info = $this->Fenotag->get_find_reel($box,$feno,0,0);
            $data['boxes_info'] = $boxes_info = $reel_info;
         }
         elseif($machine and !$feno and !$reel) // само по машина
         {
            $reel_info = $this->Fenotag->get_find_reel($box,0,0,$machine);
            $data['boxes_info'] = $boxes_info = $reel_info;
         }
         elseif($feno and $reel and !$machine) // това е за търсачката
         {
            $reel_info = $this->Fenotag->get_find_reel($box,$feno,$reel,0);
            $data['boxes_info'] = $boxes_info = $reel_info;
         }
         else
         { $data['boxes_info'] = $boxes_info = $this->Fenotag->get_all_inbox($box); }

         // get first - last
         $data['title_first_last'] = $this->Fenotag->get_first_last_reel($box);
         $data['title'] = "КУТИЯ - $box";
      }
      elseif($mode=='repairs')
      {
         $vedom = 100 * (int)date("y") + $month;
         $data['repairs_data'] = $this->Fenotag->get_vedom_repairs($vedom);
         $data['title'] = "СПРАВКА ЗА ПРЕСТОЙ НА МАШИНИТЕ";
         $data['subtitle'] = mb_strtoupper($data['all_months'][(int)$month]) . " - " . date("Y")." год.";
      }
      elseif($mode=='analyse')  
      { 
			$data['title'] = 'АНАЛИЗ НА ОТЧЕТИТЕ';
			$startDay = $this->fenotag_lib->get_startDay();
			$endDay 	 = $this->fenotag_lib->get_endDay();
			if(!$startDay and !$endDay)
			{
				$toDay = date('Y-m-d');
				$weekDay = date('N', strtotime($toDay));
				$fixStDay  = $weekDay + 6;
				$fixEndDay = $weekDay;	

				$data['startDay'] = date('Y-m-d', mktime(0,0,0,date("m"),date("d")-$fixStDay,date("Y")));
				$data['endDay'] 	= date('Y-m-d', mktime(0,0,0,date("m"),date("d")-$fixEndDay,date("Y")));
			}
			else
			{
				$data['startDay'] = $startDay;
				$data['endDay'] 	= $endDay;
			}
			
			$this->fenotag_lib->set_startDay($data['startDay']);
			$this->fenotag_lib->set_endDay($data['endDay']);
			
			$data['analyse_shift']  = $analyse_shift = $this->fenotag_lib->get_analyse_mode(); 
			$data['analyse_shifts'] = array(
					  '0' => 'ВСИЧКИ ОТЧЕТИ',
					'day' => 'Дневна Смяна',
					'mid' => 'Междинна Смяна',
				 'night' => 'Нощна Смяна',
				 'outer' => '= Външни =');
      
			$data['subtitle'] = 'за период: '.date('d.m.Y',strtotime($data['startDay'])).' - '.date('d.m.Y',strtotime($data['endDay']));
			
			// стойности - да се теглят от SKLAD
			$data['costs'] = $costs = array(
				'm100' => 0.15,
				'm200' => 0.0489,
				'm210' => 0.0587,
				'm220' => 0.0587,
				'm230' => 0.0587,
				'm240' => 0.0587,
				'm250' => 0.1560,
				'm260' => 0.0489,
				'm270' => 0.0489,
				'm280' => 0.0489,
				'm290' => 0.0535 );
				
			
			// ИЗВАДКИ
			$startDay = $data['startDay'];
			$endDay = $data['endDay'];
			
			$zags = $toreps = $reps = $exps = $cehs = $result = $totals = array(
				'm100' => 0, 'm200' => 0, 'm210' => 0, 'm220' => 0, 'm230' => 0, 'm240' => 0, 
				'm250' => 0, 'm260' => 0, 'm270' => 0, 'm280' => 0, 'm290' => 0 );
				
				
			$data['totals'] = array(
					'exp' => 0, 'exp_cost' => 0,
					 'in' => 0,  'in_cost' => 0,
					'out' => 0, 'out_cost' => 0,
					'zag' => 0, 'zag_cost' => 0,
								);	
			
			// ИЗВАДКИ ZAG = 1
			$all_zag = $this->Fenotag->get_vedom_period($analyse_shift,$startDay,$endDay,'1');
			if($all_zag) 
				{ 
					$zags = $all_zag[0]; 
					$data['zags'] = array(
						'm100'=>$zags['m100'], 'm200'=>$zags['m200'], 'm210'=>$zags['m210'], 'm220'=>$zags['m220'], 
						'm230'=>$zags['m230'], 'm240'=>$zags['m240'], 'm250'=>$zags['m250'], 'm260'=>$zags['m260'], 
						'm270'=>$zags['m270'], 'm280'=>$zags['m280'], 'm290'=>$zags['m290'] );
					$zags = $data['zags'];
					$data['totals']['zag'] = $zags['m100'] + $zags['m200'] + $zags['m210'] + $zags['m220'] + $zags['m230'] + 
													 $zags['m240'] + $zags['m250'] + $zags['m260'] + $zags['m270'] + $zags['m280'] + $zags['m290'];								 
				}
			
			// ИЗВАДКИ TO_REPAIR = 4
			$all_torep = $this->Fenotag->get_vedom_period($analyse_shift,$startDay,$endDay,'4');
			if($all_torep) 
				{ 
					$toreps = $all_torep[0]; 
					$data['toreps'] = array(
						'm100'=>$toreps['m100'], 'm200'=>$toreps['m200'], 'm210'=>$toreps['m210'], 'm220'=>$toreps['m220'], 
						'm230'=>$toreps['m230'], 'm240'=>$toreps['m240'], 'm250'=>$toreps['m250'], 'm260'=>$toreps['m260'], 
						'm270'=>$toreps['m270'], 'm280'=>$toreps['m280'], 'm290'=>$toreps['m290'] );
					$toreps = $data['toreps'];
				}
			else
				{
					$toreps = $data['toreps'] = array(
							'm100' => 0, 'm200' => 0, 'm210' => 0, 'm220' => 0, 'm230' => 0, 'm240' => 0, 
							'm250' => 0, 'm260' => 0, 'm270' => 0, 'm280' => 0, 'm290' => 0 );
				}
			
			// ИЗВАДКИ REPAIRED = 6
			$all_rep = $this->Fenotag->get_vedom_period($analyse_shift,$startDay,$endDay,'6');
			if($all_rep) 
				{ 
					$freps = $all_rep[0]; 
					$data['fromreps'] = array(
						'm100'=>$freps['m100'], 'm200'=>$freps['m200'], 'm210'=>$freps['m210'], 'm220'=>$freps['m220'], 
						'm230'=>$freps['m230'], 'm240'=>$freps['m240'], 'm250'=>$freps['m250'], 'm260'=>$freps['m260'], 
						'm270'=>$freps['m270'], 'm280'=>$freps['m280'], 'm290'=>$freps['m290'] );
					$freps = $data['fromreps'];
				}
			else
				{
					$freps = $data['fromreps'] = array(
							'm100' => 0, 'm200' => 0, 'm210' => 0, 'm220' => 0, 'm230' => 0, 'm240' => 0, 
							'm250' => 0, 'm260' => 0, 'm270' => 0, 'm280' => 0, 'm290' => 0 );
				}
				
			// RESULT from REPAIRS
			if($all_torep and $all_rep) 
				{ 
					$reps = $data['reps'] = array(
							'm100' => $toreps['m100'] - $freps['m100'],
							'm200' => $toreps['m200'] - $freps['m200'],
							'm210' => $toreps['m210'] - $freps['m210'],
							'm220' => $toreps['m220'] - $freps['m220'],
							'm230' => $toreps['m230'] - $freps['m230'],
							'm240' => $toreps['m240'] - $freps['m240'],
							'm250' => $toreps['m250'] - $freps['m250'],
							'm260' => $toreps['m260'] - $freps['m260'],
							'm270' => $toreps['m270'] - $freps['m270'],
							'm280' => $toreps['m280'] - $freps['m280'],
							'm290' => $toreps['m290'] - $freps['m290'] );
				}

				
			// ИЗВАДКИ OUT_ZAG - order_id = 2 zag (1)
			$all_out_zags = $this->Fenotag->get_vedom_period_outs($analyse_shift,$startDay,$endDay,'1');
			if($all_out_zags) 
				{ 
					$out_zag = $all_out_zags[0]; 
					$data['outs'] = array(
						'm100'=>$out_zag['m100'], 'm200'=>$out_zag['m200'], 'm210'=>$out_zag['m210'], 'm220'=>$out_zag['m220'], 
						'm230'=>$out_zag['m230'], 'm240'=>$out_zag['m240'], 'm250'=>$out_zag['m250'], 'm260'=>$out_zag['m260'], 
						'm270'=>$out_zag['m270'], 'm280'=>$out_zag['m280'], 'm290'=>$out_zag['m290'] );
					$out_zag = $data['outs'];
					$data['totals']['out'] = $out_zag['m100'] + $out_zag['m200'] + $out_zag['m210'] + $out_zag['m220'] + $out_zag['m230'] + 
													 $out_zag['m240'] + $out_zag['m250'] + $out_zag['m260'] + $out_zag['m270'] + $out_zag['m280'] + 
													 $out_zag['m290'];		
				}		
				
				
			// ИЗВАДКИ IN_OTKK - order_id = 2 otkk (5)
			$all_in_otkk  = $this->Fenotag->get_vedom_period_outs($analyse_shift,$startDay,$endDay,'5');
			if($all_in_otkk) 
			{ 
				$in_otkks = $all_in_otkk[0]; 
				$data['in_otkks'] = array(
						'm100'=>$in_otkks['m100'], 'm200'=>$in_otkks['m200'], 'm210'=>$in_otkks['m210'], 'm220'=>$in_otkks['m220'], 
						'm230'=>$in_otkks['m230'], 'm240'=>$in_otkks['m240'], 'm250'=>$in_otkks['m250'], 'm260'=>$in_otkks['m260'], 
						'm270'=>$in_otkks['m270'], 'm280'=>$in_otkks['m280'], 'm290'=>$in_otkks['m290'] );
				$in_otkks = $data['in_otkks'];
				$data['totals']['in'] = $in_otkks['m100'] + $in_otkks['m200'] + $in_otkks['m210'] + $in_otkks['m220'] + $in_otkks['m230'] + 
												$in_otkks['m240'] + $in_otkks['m250'] + $in_otkks['m260'] + $in_otkks['m270'] + $in_otkks['m280'] + 
												$in_otkks['m290'];
												
				$data['totals']['in_cost'] =  $in_otkks['m100'] * $costs['m100'] + 
														$in_otkks['m200'] * $costs['m200'] + 
														$in_otkks['m210'] * $costs['m210'] + 
														$in_otkks['m220'] * $costs['m220'] + 
														$in_otkks['m230'] * $costs['m230'] + 
														$in_otkks['m240'] * $costs['m240'] + 
														$in_otkks['m250'] * $costs['m250'] + 
														$in_otkks['m260'] * $costs['m260'] + 
														$in_otkks['m270'] * $costs['m270'] + 
														$in_otkks['m280'] * $costs['m280'] + 
														$in_otkks['m290'] * $costs['m290'];
			}

				
			// ИЗВАДКИ EXP = 9
			$all_exp = $data['exps'] = $this->Fenotag->get_vedom_period($analyse_shift,$startDay,$endDay,'9');
			if($all_exp) 
				{ 
					$exps = $all_exp[0]; 

					
					$data['exps'] = array(
						'm100'=>$exps['m100'] - $in_otkks['m100'], 'm200'=>$exps['m200'] - $in_otkks['m200'],
						'm210'=>$exps['m210'] - $in_otkks['m210'], 'm220'=>$exps['m220'] - $in_otkks['m220'], 
						'm230'=>$exps['m230'] - $in_otkks['m230'], 'm240'=>$exps['m240'] - $in_otkks['m240'],
						'm250'=>$exps['m250'] - $in_otkks['m250'], 'm260'=>$exps['m260'] - $in_otkks['m260'], 
						'm270'=>$exps['m270'] - $in_otkks['m270'], 'm280'=>$exps['m280'] - $in_otkks['m280'],
						'm290'=>$exps['m290'] - $in_otkks['m290'] );
						
					$data['exps']['m100'] = ($data['exps']['m100']<0) ? 0 : $data['exps']['m100'];
					$data['exps']['m200'] = ($data['exps']['m200']<0) ? 0 : $data['exps']['m200'];
					$data['exps']['m210'] = ($data['exps']['m210']<0) ? 0 : $data['exps']['m210'];
					$data['exps']['m220'] = ($data['exps']['m220']<0) ? 0 : $data['exps']['m220'];
					$data['exps']['m230'] = ($data['exps']['m230']<0) ? 0 : $data['exps']['m230'];
					$data['exps']['m240'] = ($data['exps']['m240']<0) ? 0 : $data['exps']['m240'];
					$data['exps']['m250'] = ($data['exps']['m250']<0) ? 0 : $data['exps']['m250'];
					$data['exps']['m260'] = ($data['exps']['m260']<0) ? 0 : $data['exps']['m260'];
					$data['exps']['m270'] = ($data['exps']['m270']<0) ? 0 : $data['exps']['m270'];
					$data['exps']['m280'] = ($data['exps']['m280']<0) ? 0 : $data['exps']['m280'];
					$data['exps']['m290'] = ($data['exps']['m290']<0) ? 0 : $data['exps']['m290'];
						
					$exps = $data['exps'];
					$data['totals']['exp'] = $exps['m100'] + $exps['m200'] + $exps['m210'] + $exps['m220'] + $exps['m230'] + 
													 $exps['m240'] + $exps['m250'] + $exps['m260'] + $exps['m270'] + $exps['m280'] + 
													 $exps['m290'];
													 
					$data['totals']['exp_cost'] =  $exps['m100'] * $costs['m100'] + 
															 $exps['m200'] * $costs['m200'] + 
															 $exps['m210'] * $costs['m210'] + 
															 $exps['m220'] * $costs['m220'] + 
															 $exps['m230'] * $costs['m230'] + 
															 $exps['m240'] * $costs['m240'] + 
															 $exps['m250'] * $costs['m250'] + 
															 $exps['m260'] * $costs['m260'] + 
															 $exps['m270'] * $costs['m270'] + 
															 $exps['m280'] * $costs['m280'] + 
															 $exps['m290'] * $costs['m290'];
				}
				
			// Резулатът
			$cehs['m100'] = $exps['m100'] - $in_otkks['m100']; $cehs['m100'] = ($cehs['m100']>0) ? $cehs['m100'] : 0;
			$cehs['m200'] = $exps['m200'] - $in_otkks['m200']; $cehs['m200'] = ($cehs['m200']>0) ? $cehs['m200'] : 0;
			$cehs['m210'] = $exps['m210'] - $in_otkks['m210']; $cehs['m210'] = ($cehs['m210']>0) ? $cehs['m210'] : 0;
			$cehs['m220'] = $exps['m220'] - $in_otkks['m220']; $cehs['m220'] = ($cehs['m220']>0) ? $cehs['m220'] : 0;
			$cehs['m230'] = $exps['m230'] - $in_otkks['m230']; $cehs['m230'] = ($cehs['m230']>0) ? $cehs['m230'] : 0;
			$cehs['m240'] = $exps['m240'] - $in_otkks['m240']; $cehs['m240'] = ($cehs['m240']>0) ? $cehs['m240'] : 0;
			$cehs['m250'] = $exps['m250'] - $in_otkks['m250']; $cehs['m250'] = ($cehs['m250']>0) ? $cehs['m250'] : 0;
			$cehs['m260'] = $exps['m260'] - $in_otkks['m260']; $cehs['m260'] = ($cehs['m260']>0) ? $cehs['m260'] : 0;
			$cehs['m270'] = $exps['m270'] - $in_otkks['m270']; $cehs['m270'] = ($cehs['m270']>0) ? $cehs['m270'] : 0;
			$cehs['m280'] = $exps['m280'] - $in_otkks['m280']; $cehs['m280'] = ($cehs['m280']>0) ? $cehs['m280'] : 0;
			$cehs['m290'] = $exps['m290'] - $in_otkks['m290']; $cehs['m290'] = ($cehs['m290']>0) ? $cehs['m290'] : 0;
			$data['ceh'] = $cehs;
		}
      else { $data['title'] = 'FENOTAGS'; }
      
      $data['headers'] = $this->fenotag_lib->getHeaders($mode);
      $data['uHeaders'] = $this->fenotag_lib->getUpHeaders($mode);
		$data['controller_name']=strtolower(get_class());		
		
		$this->load->view("fenotags/view_list", $data);
	}
	

} ?>
