<?php require_once ("Secure_area.php");

class Labels extends Secure_area 
{
	function __construct()
	{
		parent::__construct();
		$this->load->library('Label_lib');
	}
	
	function index()
	{
		$mode_menu = 'labels';
		$this->BiSOFT_Model->set_mode_menu($mode_menu);
      $this->view_barcode();
	}
	
	function change_mode()
	{
		$mode = $this->input->post("mode");
		$this->label_lib->set_mode($mode);
		$this->BiSOFT_Model->set_user_mode($mode);
	$this->view_barcode();
	}
	
	function change_PRICE()
	{
	
	$this->view_barcode();
	}

/* ================ */
	function clear_manu()
	{
      $mode = $this->label_lib->get_mode();
    	$this->label_lib->clear_all();
    	$this->label_lib->set_mode($mode);
   $this->view_barcode();
	}
	
	
	function search()
	{
		$search = $this->input->post("search");
		$this->add_label($search);
	}
	
	function add_label($item=0)
	{
		$data=array();$error=$item_number=$quantity=0;
		$success=1;
		$mode = $this->label_lib->get_mode();
				
		$item_number = $this->label_lib->label_input($item);
		if(!$item_number) {$error=0;}

		if($mode=='label_onlybarcodes') 
		{ $this->print_label_barcodes($item_number);}
		elseif($mode=='label_bultex')
		{ $this->complete_bultex($item);}
		elseif($mode=='label_acc')
		{ $this->print_label_acc($item_number,'acc');}
		elseif($mode=='label_needle')
		{ $this->print_label_acc($item_number,'needle');}
		elseif($mode=='label_scarf')
		{ $this->print_label_acc($item_number,'scarf');}
		else
		{
         if($this->label_lib->is_valid_item_number($item_number))
            { $success *= $this->label_lib->add_item($item_number,$quantity);}
         else	
				{ $data['error']=$this->lang->line('label_unable_to_add_item');}
         
         if($error) { $data['warning']=$this->lang->line('puskach_unable_to_add_item');}

         $this->view_barcode();
      }
	}
	

	function edit_item($line,$allow_sizes)
	{
		$data= array();$comment='';
		$mode = $this->label_lib->get_mode();

		$mode_price = 2;
		if($mode=='label_6' or $mode=='label_7' or $mode=='label_kris' or $mode=='label_vitality') 
			{ $mode_price = $this->input->post("mode_price"); }
			
		$this->label_lib->set_mode_price($mode_price);	

      $contents = $this->input->post("contents");		
	
		// КОЛИЧЕСТВО -------------------------- //
		$this->form_validation->set_rules('quantity', 'lang:items_quantity', 'required|numeric');
		if($allow_sizes)
		{
				$qty_1 	= (int)abs($this->input->post("q1"));
				$qty_2 	= (int)abs($this->input->post("q2"));
				$qty_3 	= (int)abs($this->input->post("q3"));
				$qty_4 	= (int)abs($this->input->post("q4"));
				$qty_5 	= (int)abs($this->input->post("q5"));
				$qty_6 	= (int)abs($this->input->post("q6"));
				$qty_7 	= (int)abs($this->input->post("q7"));
				$qty_8 	= (int)abs($this->input->post("q8"));
				$qty_9 	= (int)abs($this->input->post("q9"));
				$qty_max = (int)abs($this->input->post("q10"));
				$quantity = $qty_1+$qty_2+$qty_3+$qty_4+$qty_5+$qty_6+$qty_7+$qty_8+$qty_9+$qty_max;
		}
		else 
		{ 
		  $quantity = (int)abs($this->input->post("quantity")); 
		  $qty_1=$qty_2=$qty_3=$qty_4=$qty_5=$qty_6=$qty_7=$qty_8=$qty_9=$qty_max=0;
		}

		if ($this->form_validation->run()!=FALSE)
			{ $this->label_lib->edit_item( $line,$quantity,$allow_sizes,$contents,
							$qty_1,$qty_2,$qty_3,$qty_4,$qty_5,$qty_6,$qty_7,$qty_8,$qty_9,$qty_max);}
		else	
			{ $data['error']=$this->lang->line('common_error_item_edit');}

	// $this->view_barcode($data);
		$this->view_barcode();
	}


	function delete_item($line_item,$inum)
	{
		$this->label_lib->delete_item($line_item);
		if($inum) {$this->label_lib->add_item($inum);}
		$this->view_barcode();
	}
	
	
	function delete_counter($inum)
	{
      if($inum)
      {
         // item info 
         $item_info = $this->Item->get_item_info($inum);
         $collection = $item_info->collection;
         if ($collection>99) 
            { $vedom = 'items_plan';
            $item_plan = $this->Production->get_plan_item($inum,$collection);
            }
         else { $vedom=0;$item_plan=false;}
      
				$plan_id = $item_plan->plan_id;
				$plan_data = array(
					'plan_id' => $plan_id,
						'inum' => $inum,
						'coll' => $collection,
						'lqty' => 0,
					 'LABELS' => 0 );
			if($vedom) { $this->Label->update_plan_item($plan_data,$plan_id,$vedom);}
      }
     
		$this->view_barcode();
	}
	
	
	/* ================================== FINISH ============================= */
	function complete($lang)
	{
      $mode = $this->BiSOFT_Model->get_user_mode();
      if($mode=='label_villy') {$lang='villy';}
      $work = $this->label_lib->get_work();

		if(count($work)>0) 
			{ foreach ($work as $item) {$item_work = $item;} }

      $vedom = 'items_plan';
		$item_id = $item_work['id'];
		$inum = $item_work['inum'];
		$allow_sizes = $item_work['size'];
		if($allow_sizes)
		{  
		  $Qty = explode(',', $item_work['qty']);
        $qty = (int)$Qty[0];
         $q1 = (int)$Qty[1];
         $q2 = (int)$Qty[2];
         $q3 = (int)$Qty[3];
         $q4 = (int)$Qty[4];
         $q5 = (int)$Qty[5];
         $q6 = (int)$Qty[6];
         $q7 = (int)$Qty[7];
         $q8 = (int)$Qty[8];
         $q9 = (int)$Qty[9];
        $q10 = (int)$Qty[10];
		}
		else
		 { 
			$qty = (int)$item_work['qty'];
			$q1  = $q2 = $q3= $q4 = $q5 = $q6 = $q7 = $q8 = $q9 = $q10 = 0;   
		 }

      if($qty==0) 
      { 
         $this->label_lib->clear_all();
         header("Location: ".BHOME);
      }

      // item info 
		$item_info = $this->Item->get_item_info($inum);
		$collection = $item_info->collection;
		if ($collection>99) 
			{ $vedom = 'items_plan';
			  $item_plan = $this->Production->get_plan_item($inum,$collection);
			}
		else { $vedom=0;$item_plan=false;}
		
		$success = 1;
		$plan = 0;
		
		if($item_plan)
		{
			if($allow_sizes)
			{
				$label = explode(',',$item_plan->LABELS);
				if(count($label)<9)
					{$label=array('0'=>0,'1'=>0,'2'=>0,'3'=>0,'4'=>0,'5'=>0,'6'=>0,'7'=>0,'8'=>0,'9'=>0 );}
			
				$plan = explode(',',$item_plan->PLAN);
				$Qty  = explode(',',$item_work['qty']);
				$quantity = $item_lqty = (int)$Qty['0'];
			}
			else 
			{ 
				$quantity = $item_lqty = (int)$item_work['qty'];
				$label=array('0'=>0,'1'=>0,'2'=>0,'3'=>0,'4'=>0,'5'=>0,'6'=>0,'7'=>0,'8'=>0,'9'=>0 );
			}	

			if($quantity>0 and $item_plan->PLAN)
			{
				if($allow_sizes)
				{
					$t_qty_1 = (int)$Qty['1'] + (int)$label['0']; if(!$t_qty_1){$t_qty_1='';}
					$t_qty_2 = (int)$Qty['2'] + (int)$label['1']; if(!$t_qty_2){$t_qty_2='';}
					$t_qty_3 = (int)$Qty['3'] + (int)$label['2']; if(!$t_qty_3){$t_qty_3='';}
					$t_qty_4 = (int)$Qty['4'] + (int)$label['3']; if(!$t_qty_4){$t_qty_4='';}
					$t_qty_5 = (int)$Qty['5'] + (int)$label['4']; if(!$t_qty_5){$t_qty_5='';}
					$t_qty_6 = (int)$Qty['6'] + (int)$label['5']; if(!$t_qty_6){$t_qty_6='';}
					$t_qty_7 = (int)$Qty['7'] + (int)$label['6']; if(!$t_qty_7){$t_qty_7='';}
					$t_qty_8 = (int)$Qty['8'] + (int)$label['7']; if(!$t_qty_8){$t_qty_8='';}
					$t_qty_9 = (int)$Qty['9'] + (int)$label['8']; if(!$t_qty_9){$t_qty_9='';}
					$t_qty_max = (int)$Qty['10'] + (int)$label['9']; if(!$t_qty_max){$t_qty_max='';}

					$pqty = (int)$plan['0'] + (int)$plan['1'] + (int)$plan['2'] + (int)$plan['3'] + (int)$plan['4'] +
							  (int)$plan['5'] + (int)$plan['6'] + (int)$plan['7'] + (int)$plan['8'] + (int)$plan['9'];
								
					$lqty = (int)$t_qty_1 + (int)$t_qty_2 + (int)$t_qty_3 + (int)$t_qty_4 + (int)$t_qty_5 +
							  (int)$t_qty_6 + (int)$t_qty_7 + (int)$t_qty_8 + (int)$t_qty_9 + (int)$t_qty_max;
								
					// тук е със ИНТЕРВАЛИ.			
					$new_pusk = $t_qty_1.','.$t_qty_2.','.$t_qty_3.','.$t_qty_4.','.$t_qty_5.','.
									$t_qty_6.','.$t_qty_7.','.$t_qty_8.','.$t_qty_9.','.$t_qty_max;
								
					$plan_id = $item_plan->plan_id;
							
					$plan_data = array(
							'plan_id' => $plan_id,
								'inum' => $inum,
								'coll' => $collection,
								'pqty' => $pqty,
								'lqty' => $lqty,
							 'LABELS' => $new_pusk );
				}
				else // безразмерни
				{
						$bkk_sizes = $comment ;
						$plan_id = $item_plan->plan_id;
						$plan_data = array(
							'plan_id' => $plan_id,
								'inum' => $inum,
								'coll' => $collection,
								'lqty' => $lqty,
							 'LABELS' => 0 );
				}

				if($vedom) { $success *= $this->Label->update_plan_item($plan_data,$plan_id,$vedom); }
			}

		} // if($item_plan)
   
   $success = $this->print_label($inum,$qty,$q1,$q2,$q3,$q4,$q5,$q6,$q7,$q8,$q9,$q10,$lang);
	}
	
	
	/* ================================== FINISH ============================= */
	function complete_en()
	{
		$lang = 'en';
      $mode = $this->BiSOFT_Model->get_user_mode();
      $work = $this->label_lib->get_work();

		if(count($work)>0) 
			{ foreach ($work as $item) {$item_work = $item;} }

		$item_id = $item_work['id'];
		$inum = $item_work['inum'];
		$allow_sizes = $item_work['size'];
		
		$price = $this->input->post("item_price");
		$this->label_lib->set_mode_price($price);
		
		if($allow_sizes)
		{  
		  $Qty = explode(',', $item_work['qty']);
        $qty = (int)$Qty[0];
         $q1 = (int)$Qty[1];
         $q2 = (int)$Qty[2];
         $q3 = (int)$Qty[3];
         $q4 = (int)$Qty[4];
         $q5 = (int)$Qty[5];
         $q6 = (int)$Qty[6];
         $q7 = (int)$Qty[7];
         $q8 = (int)$Qty[8];
         $q9 = (int)$Qty[9];
        $q10 = (int)$Qty[10];
		}
		else
		 { 
			$qty = (int)$item_work['qty'];
			$q1  = $q2 = $q3= $q4 = $q5 = $q6 = $q7 = $q8 = $q9 = $q10 = 0;   
		 }

      if($qty==0) 
      { 
         $this->label_lib->clear_all();
         header("Location: ".BHOME);
      }

		$this->print_label($inum,$qty,$q1,$q2,$q3,$q4,$q5,$q6,$q7,$q8,$q9,$q10,$lang);
	}

	
	/* ========================= PRINT FINISH BARCODES ====================== */
   public function print_label_barcodes($inum)
   {
      if($inum)
      {
         $data=array('inum' => $inum);
         $this->load->view("labels/item_onlyBarcodes",$data);
      }
      else
      { $this->view_barcode(); }
   }	
	
	/* ========================= PRINT FINISH ACCESSOARIES ====================== */
   public function print_label_acc($inum,$type)
   {
		if(!isset($type)) { $type='acc'; }
      if($inum)
      {
         $proba = 0; // НЯМА размери
         $data=array( 'inum' => $inum,
							'proba' => $proba,
							 'type' => $type );
         $this->load->view("labels/item_label_acc_scarf",$data);
      }
      else
      {  $this->view_barcode(); }
   }
   
	/* ================================== FINISH VITALITY ============================= */
	function complete_vitality()
	{
		$work = $this->label_lib->get_work();

		if(count($work)>0) { foreach ($work as $item) {$item_work = $item;} }
		
		$inum = $item_work['inum'];
		$allow_sizes = $item_work['size'];
		if($allow_sizes)
		{
			  $Qty = explode(',',$item_work['qty']);
			  $qty = (int)$Qty[0];
				$q1 = (int)$Qty[1];
				$q2 = (int)$Qty[2];
				$q3 = (int)$Qty[3];
				$q4 = (int)$Qty[4];
				$q5 = (int)$Qty[5];
				$q6 = (int)$Qty[6];
				$q7 = (int)$Qty[7];
				$q8 = (int)$Qty[8];
				$q9 = (int)$Qty[9];
			  $q10 = (int)$Qty[10];
        }
        else // безразмерни ...
        {
				$qty = $item_work['qty'];
				$q1 = $q2 = $q3 = $q4 = $q5 = $q6 = $q7 = $q8 = $q9 = $q10 = 0;
        }

      if($qty==0) 
      { 
         $this->label_lib->clear_all();
         header('Location: '.BHOME);
      }
   
		$this->print_label($inum,$qty,$q1,$q2,$q3,$q4,$q5,$q6,$q7,$q8,$q9,$q10,'vitality');
	}	   
   
	
	/* ================================== FINISH KRIS ============================= */
	function complete_kris()
	{
		$work = $this->label_lib->get_work();

		if(count($work)>0) 
			{ foreach ($work as $item) {$item_work = $item;} }
		
		$inum = $item_work['inum'];
		$allow_sizes = $item_work['size'];
		if($allow_sizes)
		{
			  $Qty = explode(',',$item_work['qty']);
			  $qty = (int)$Qty[0];
				$q1 = (int)$Qty[1];
				$q2 = (int)$Qty[2];
				$q3 = (int)$Qty[3];
				$q4 = (int)$Qty[4];
				$q5 = (int)$Qty[5];
				$q6 = (int)$Qty[6];
				$q7 = (int)$Qty[7];
				$q8 = (int)$Qty[8];
				$q9 = (int)$Qty[9];
			  $q10 = (int)$Qty[10];
        }
        else // безразмерни ...
        {
				$qty = $item_work['qty'];
				$q1 = $q2 = $q3 = $q4 = $q5 = $q6 = $q7 = $q8 = $q9 = $q10 = 0;
        }

      if($qty==0) 
      { 
         $this->label_lib->clear_all();
         header('Location: '.BHOME);
      }
   
		$this->print_label($inum,$qty,$q1,$q2,$q3,$q4,$q5,$q6,$q7,$q8,$q9,$q10,'kris');
	}	

   public function print_label($inum,$qty,$q1,$q2,$q3,$q4,$q5,$q6,$q7,$q8,$q9,$q10,$lang)
   {
      if(empty($lang) or $lang=='bg' or $lang=='BG') {$lang='bg';}
      elseif($lang=='kris') {$lang='kris';}
      elseif($lang=='vitality') {$lang='vitality';}
      elseif($lang=='villy') {$lang='villy';}
      else {$lang='en';}
      
      $all_qty = $qty;
      $firstLabel = 1;
      $proba = 0;
      $price = 13;
      $price_en = 7.5;
      
      // размери
      $allow_sizes = $this->Item->get_allow_sizes($inum);
      if($allow_sizes and $qty>0)
      {  
         $size=0;
         if($q1) 
            {  $size=1;$cnt=$q1;
               do {
                     $data=array(
                  'firstLabel' => $firstLabel,
                        'inum' => $inum,
                     'all_qty' => $all_qty,
                         'qty' => $q1,
                        'size' => $size,
                       'proba' => $proba,
						  'price_en' => $price_en,
                        'lang' => $lang );
							if($lang=='en') { $this->load->view("labels/item_label_en",$data); }
							else { $this->load->view("labels/item_label",$data); }
							$firstLabel=0;$cnt--;
						}
						while($cnt!=0);
            }
         if($q2) 
            {  $size=2;$cnt=$q2;
               do {
                     $data=array(
                  'firstLabel' => $firstLabel,
                        'inum' => $inum,
                     'all_qty' => $all_qty,
                         'qty' => $q1,
                        'size' => $size,
                       'proba' => $proba,
						  'price_en' => $price_en,
                        'lang' => $lang );
							if($lang=='en') { $this->load->view("labels/item_label_en",$data); }
							else { $this->load->view("labels/item_label",$data); }
							$firstLabel=0;$cnt--;
						}
						while($cnt!=0);
            }
         if($q3) 
            {  $size=3;$cnt=$q3;
               do {
                     $data=array(
                  'firstLabel' => $firstLabel,
                        'inum' => $inum,
                     'all_qty' => $all_qty,
                         'qty' => $q1,
                        'size' => $size,
                       'proba' => $proba,
						  'price_en' => $price_en,
                        'lang' => $lang );
							if($lang=='en') { $this->load->view("labels/item_label_en",$data); }
							else { $this->load->view("labels/item_label",$data); }
							$firstLabel=0;$cnt--;
						}
						while($cnt!=0);
            }
         if($q4) 
            {  $size=4;$cnt=$q4;
               do {
                     $data=array(
                  'firstLabel' => $firstLabel,
                        'inum' => $inum,
                     'all_qty' => $all_qty,
                         'qty' => $q1,
                        'size' => $size,
                       'proba' => $proba,
						  'price_en' => $price_en,
                        'lang' => $lang );
							if($lang=='en') { $this->load->view("labels/item_label_en",$data); }
							else { $this->load->view("labels/item_label",$data); }
							$firstLabel=0;$cnt--;
						}
						while($cnt!=0);
            }
         if($q5) 
            {  $size=5;$cnt=$q5;
               do {
                     $data=array(
                  'firstLabel' => $firstLabel,
                        'inum' => $inum,
                     'all_qty' => $all_qty,
                         'qty' => $q1,
                        'size' => $size,
                       'proba' => $proba,
						  'price_en' => $price_en,
                        'lang' => $lang );
							if($lang=='en') { $this->load->view("labels/item_label_en",$data); }
							else { $this->load->view("labels/item_label",$data); }
							$firstLabel=0;$cnt--;
						}
						while($cnt!=0);
            }
         if($q6) 
            {  $size=6;$cnt=$q6;
               do {
                     $data=array(
                  'firstLabel' => $firstLabel,
                        'inum' => $inum,
                     'all_qty' => $all_qty,
                         'qty' => $q1,
                        'size' => $size,
                       'proba' => $proba,
						  'price_en' => $price_en,
                        'lang' => $lang );
							if($lang=='en') { $this->load->view("labels/item_label_en",$data); }
							else { $this->load->view("labels/item_label",$data); }
							$firstLabel=0;$cnt--;
						}
						while($cnt!=0);
            }
         if($q7) 
            {  $size=7;$cnt=$q7;
               do {
                     $data=array(
                  'firstLabel' => $firstLabel,
                        'inum' => $inum,
                     'all_qty' => $all_qty,
                         'qty' => $q1,
                        'size' => $size,
                       'proba' => $proba,
						  'price_en' => $price_en,
                        'lang' => $lang );
							if($lang=='en') { $this->load->view("labels/item_label_en",$data); }
							else { $this->load->view("labels/item_label",$data); }
							$firstLabel=0;$cnt--;
						}
						while($cnt!=0);
            }
         if($q8) 
            {  $size=8;$cnt=$q8;
               do {
                     $data=array(
                  'firstLabel' => $firstLabel,
                        'inum' => $inum,
                     'all_qty' => $all_qty,
                         'qty' => $q1,
                        'size' => $size,
                       'proba' => $proba,
						  'price_en' => $price_en,
                        'lang' => $lang );
							if($lang=='en') { $this->load->view("labels/item_label_en",$data); }
							else { $this->load->view("labels/item_label",$data); }
							$firstLabel=0;$cnt--;
						}
						while($cnt!=0);
            }
         if($q9) 
            {  $size=9;$cnt=$q9;
               do {
                     $data=array(
                  'firstLabel' => $firstLabel,
                        'inum' => $inum,
                     'all_qty' => $all_qty,
                         'qty' => $q1,
                        'size' => $size,
                       'proba' => $proba,
						  'price_en' => $price_en,
                        'lang' => $lang );
							if($lang=='en') { $this->load->view("labels/item_label_en",$data); }
							else { $this->load->view("labels/item_label",$data); }
							$firstLabel=0;$cnt--;
						}
						while($cnt!=0);
            }
         if($q10) 
            {  $size=10;$cnt=$q10;
               do {
                     $data=array(
                  'firstLabel' => $firstLabel,
                        'inum' => $inum,
                     'all_qty' => $all_qty,
                         'qty' => $q1,
                        'size' => $size,
                       'proba' => $proba,
						  'price_en' => $price_en,
                        'lang' => $lang );
							if($lang=='en') { $this->load->view("labels/item_label_en",$data); }
							else { $this->load->view("labels/item_label",$data); }
							$firstLabel=0;$cnt--;
						}
						while($cnt!=0);
            }
      }
      else 
      {  // безразмерни
         $size = 0;$firstLabel=1;$cnt=$qty;
         do { 
               $data=array(
						'firstLabel' => $firstLabel,
								'inum' => $inum,
							'all_qty' => $all_qty,
								 'qty' => $qty,
								'size' => $size,
							  'proba' => $proba,
						  'price_en' => $price_en,
								'lang' => $lang );
							if($lang=='en') { $this->load->view("labels/item_label_en",$data); }
							else { $this->load->view("labels/item_label",$data); }
							$firstLabel=0;$cnt--;
				}
            while($cnt!=0);
      }

   }
   
/* ================================== FINISH BULTEX ============================= */
	function complete_bultex($item)
	{
      $len_item = strlen($item);
      $size = (int)substr($item,-3,-1);

      if($len_item==13)  // 
      {
         if($size==0) {$size='';}
         $data=array(
            'item' => substr($item,-11),
         'barcode' => $this->Label->barcode_ean_20(substr($item,-11)),
            'size' => $size );

         $this->load->view("labels/item_label_bultex",$data);
      }
      else {$this->view_barcode();}
   }


	/* ================================== FINISH SATEN STYLER ============================= */
   function select_saten()
   {
 		$saten_mode = $this->input->post("mode_saten");
		$this->label_lib->set_saten_mode($saten_mode);
		$this->view_barcode();
   }	
	
	
	function complete_saten()
	{
      $saten = $this->label_lib->get_saten_mode();
      $proba=0;

      if($saten=='styler')
      {
         $q_code = $this->input->post("q_code");

         $data=array(
                'saten' => $saten,
               'q_code' => $q_code,
                'proba' => $proba );

         $this->load->view("labels/item_saten",$data);
      }
      elseif($saten=='effe')
      {
         $data=array(
               'saten' => $saten,
               'proba' => $proba );

         $this->load->view("labels/item_saten",$data);
      }
      elseif($saten=='der')
      {
         $q_type = $this->input->post("q_type");

         $data=array(
                'saten' => $saten,
               'q_type' => $q_type,
                'proba' => $proba );

         $this->load->view("labels/item_saten_der",$data);
      }
      elseif($saten=='vitality')
      {
         $q_code = 0;
         
         $data=array(
                'saten' => $saten,
               'q_code' => $q_code,
                'proba' => $proba );

         $this->load->view("labels/item_saten_vitality",$data);
      }
      elseif($saten)
      {
         $data=array(
               'saten'  => $saten,
               'proba'  => $proba );

         $this->load->view("labels/item_saten_com",$data);
      }
      else {$this->view_barcode();}
	}
	
   public function print_saten($inum, $qty, $q1,$q2,$q3,$q4,$q5,$q6,$q7,$q8,$q9,$q10, $contents, $lang)
   {
      if(empty($lang) or $lang=='bg' or $lang=='BG') {$lang='bg';}
      else {$lang='en';}
      
      $all_qty = $qty;
      $firstLabel = 1;
      $proba = 0;

      // размери
      $allow_sizes = $this->Item->get_allow_sizes($inum);
      if($allow_sizes and $qty>0)
      {  
         $size=0;
         if($q1) 
            {  $size=1;$cnt=$q1;
               do {
                     $data=array(
                  'firstLabel' => $firstLabel,
                        'inum' => $inum,
                     'all_qty' => $all_qty,
                         'qty' => $q1,
                        'size' => $size,
                    'contents' => $contents,
                       'proba' => $proba,
                        'lang' => $lang );
               $this->load->view("labels/item_saten",$data);$firstLabel=0;$cnt--;}
               while($cnt!=0);
            }
         if($q2) 
            {  $size=2;$cnt=$q2;
               do { 
                     $data=array(
                  'firstLabel' => $firstLabel,
                        'inum' => $inum,
                     'all_qty' => $all_qty,
                         'qty' => $q2,
                        'size' => $size,
                    'contents' => $contents,
                       'proba' => $proba,
                        'lang' => $lang );
               $this->load->view("labels/item_saten",$data);$firstLabel=0;$cnt--;}
               while($cnt!=0);
            }
         if($q3) 
            {  $size=3;$cnt=$q3;
               do { 
                     $data=array(
                  'firstLabel' => $firstLabel,
                        'inum' => $inum,
                     'all_qty' => $all_qty,
                         'qty' => $q3,
                        'size' => $size,
                    'contents' => $contents,
                       'proba' => $proba,
                        'lang' => $lang );
               $this->load->view("labels/item_saten",$data);$firstLabel=0;$cnt--;}
               while($cnt!=0);
            }
         if($q4) 
            {  $size=4;$cnt=$q4;
               do { 
                     $data=array(
                  'firstLabel' => $firstLabel,
                        'inum' => $inum,
                     'all_qty' => $all_qty,
                         'qty' => $q4,
                        'size' => $size,
                    'contents' => $contents,
                       'proba' => $proba,
                        'lang' => $lang );
               $this->load->view("labels/item_saten",$data);$firstLabel=0;$cnt--;}
               while($cnt!=0);
            }
         if($q5) 
            {  $size=5;$cnt=$q5;
               do { 
                     $data=array(
                  'firstLabel' => $firstLabel,
                        'inum' => $inum,
                     'all_qty' => $all_qty,
                         'qty' => $q5,
                        'size' => $size,
                    'contents' => $contents,
                       'proba' => $proba,
                        'lang' => $lang );
               $this->load->view("labels/item_saten",$data);$firstLabel=0;$cnt--;}
               while($cnt!=0);
            }
         if($q6) 
            {  $size=6;$cnt=$q6;
               do { 
                     $data=array(
                  'firstLabel' => $firstLabel,
                        'inum' => $inum,
                     'all_qty' => $all_qty,
                         'qty' => $q6,
                        'size' => $size,
                    'contents' => $contents,
                       'proba' => $proba,
                        'lang' => $lang );
               $this->load->view("labels/item_saten",$data);$firstLabel=0;$cnt--;}
               while($cnt!=0);
            }
         if($q7) 
            {  $size=7;$cnt=$q7;
               do { 
                     $data=array(
                  'firstLabel' => $firstLabel,
                        'inum' => $inum,
                     'all_qty' => $all_qty,
                         'qty' => $q7,
                        'size' => $size,
                    'contents' => $contents,
                       'proba' => $proba,
                        'lang' => $lang );
               $this->load->view("labels/item_saten",$data);$firstLabel=0;$cnt--;}
               while($cnt!=0);
            }
         if($q8) 
            {  $size=8;$cnt=$q8;
               do { 
                     $data=array(
                  'firstLabel' => $firstLabel,
                        'inum' => $inum,
                     'all_qty' => $all_qty,
                         'qty' => $q8,
                        'size' => $size,
                    'contents' => $contents,
                       'proba' => $proba,
                        'lang' => $lang );
               $this->load->view("labels/item_saten",$data);$firstLabel=0;$cnt--;}
               while($cnt!=0);
            }
         if($q9) 
            {  $size=9;$cnt=$q9;
               do { 
                     $data=array(
                  'firstLabel' => $firstLabel,
                        'inum' => $inum,
                     'all_qty' => $all_qty,
                         'qty' => $q9,
                        'size' => $size,
                    'contents' => $contents,
                       'proba' => $proba,
                        'lang' => $lang );
               $this->load->view("labels/item_saten",$data);$firstLabel=0;$cnt--;}
               while($cnt!=0);
            }
         if($q10) 
            {  $size=10;$cnt=$q10;
               do { 
                     $data=array(
                  'firstLabel' => $firstLabel,
                        'inum' => $inum,
                     'all_qty' => $all_qty,
                        'qty'  => $q10,
                        'size' => $size,
                    'contents' => $contents,
                       'proba' => $proba,
                        'lang' => $lang );
               $this->load->view("labels/item_saten",$data);$firstLabel=0;$cnt--;}
               while($cnt!=0);
            }
      }
      else 
      {  
         $size = 0;$firstLabel=1;$cnt=$qty;
         do { 
               $data=array(
            'firstLabel' => $firstLabel,
                  'inum' => $inum,
               'all_qty' => $all_qty,
                   'qty' => $qty,
                  'size' => $size,
              'contents' => $contents,
                 'proba' => $proba,
                  'lang' => $lang );

               $this->load->view("labels/item_saten",$data);$firstLabel=0;$cnt--;}
               while($cnt!=0);
      }

   }
	
	
	/* ================================== FINISH SATEN STYLER ============================= */
	function complete_saten_styler($ver)
	{
		$work = $this->label_lib->get_work();

		if(count($work)>0) 
			{ foreach ($work as $item) {$item_work = $item;} }
		
      $vedom = 'items_plan';
		$item_id = $item_work['id'];
		$inum = $item_work['inum'];
		$allow_sizes = $item_work['size'];
		$contents = $item_work['contents'];
      
		  $Qty = explode(',',$item_work['qty']);
        $qty = (int)$Qty[0];
         $q1 = (int)$Qty[1];
         $q2 = (int)$Qty[2];
         $q3 = (int)$Qty[3];
         $q4 = (int)$Qty[4];
         $q5 = (int)$Qty[5];
         $q6 = (int)$Qty[6];
         $q7 = (int)$Qty[7];
         $q8 = (int)$Qty[8];
         $q9 = (int)$Qty[9];
        $q10 = (int)$Qty[10];

      if($qty==0) 
      { 
         $this->label_lib->clear_all();
         header("Location: ".BHOME);
      }
   
   $this->print_saten_styler($inum,$qty,$q1,$q2,$q3,$q4,$q5,$q6,$q7,$q8,$q9,$q10,$contents,$ver,'bg');
	}	



   public function print_saten_styler( $inum, $qty, $q1,$q2,$q3,$q4,$q5,$q6,$q7,$q8,$q9,$q10, $contents, $ver, $lang )
   {
      if(empty($lang) or $lang=='bg' or $lang=='BG') {$lang='bg';}
      else {$lang='en';}
      
      $all_qty = $qty;
      $firstLabel = 1;
      $proba = 0;

      // размери
      $allow_sizes = $this->Item->get_allow_sizes($inum);
      if($allow_sizes and $qty>0)
      {  
         $size=0;
         if($q1) 
            {  $size=1;$cnt=$q1;
               do {
                     $data=array(
                  'firstLabel' => $firstLabel,
                        'inum' => $inum,
                     'all_qty' => $all_qty,
                         'qty' => $q1,
                        'size' => $size,
                    'contents' => $contents,
                       'proba' => $proba,
                        'lang' => $lang );
               $this->load->view("labels/item_saten_styler_".$ver,$data);$firstLabel=0;$cnt--;}
               while($cnt!=0);
            }
         if($q2) 
            {  $size=2;$cnt=$q2;
               do { 
                     $data=array(
                  'firstLabel' => $firstLabel,
                        'inum' => $inum,
                     'all_qty' => $all_qty,
                         'qty' => $q2,
                        'size' => $size,
                    'contents' => $contents,
                       'proba' => $proba,
                        'lang' => $lang );
               $this->load->view("labels/item_saten_styler_".$ver,$data);$firstLabel=0;$cnt--;}
               while($cnt!=0);
            }
         if($q3) 
            {  $size=3;$cnt=$q3;
               do { 
                     $data=array(
                  'firstLabel' => $firstLabel,
                        'inum' => $inum,
                     'all_qty' => $all_qty,
                         'qty' => $q3,
                        'size' => $size,
                    'contents' => $contents,
                       'proba' => $proba,
                        'lang' => $lang );
               $this->load->view("labels/item_saten_styler_".$ver,$data);$firstLabel=0;$cnt--;}
               while($cnt!=0);
            }
         if($q4) 
            {  $size=4;$cnt=$q4;
               do { 
                     $data=array(
                  'firstLabel' => $firstLabel,
                        'inum' => $inum,
                     'all_qty' => $all_qty,
                         'qty' => $q4,
                        'size' => $size,
                    'contents' => $contents,
                       'proba' => $proba,
                        'lang' => $lang );
               $this->load->view("labels/item_saten_styler_".$ver,$data);$firstLabel=0;$cnt--;}
               while($cnt!=0);
            }
         if($q5) 
            {  $size=5;$cnt=$q5;
               do { 
                     $data=array(
                  'firstLabel' => $firstLabel,
                        'inum' => $inum,
                     'all_qty' => $all_qty,
                         'qty' => $q5,
                        'size' => $size,
                    'contents' => $contents,
                       'proba' => $proba,
                        'lang' => $lang );
               $this->load->view("labels/item_saten_styler_".$ver,$data);$firstLabel=0;$cnt--;}
               while($cnt!=0);
            }
         if($q6) 
            {  $size=6;$cnt=$q6;
               do { 
                     $data=array(
                  'firstLabel' => $firstLabel,
                        'inum' => $inum,
                     'all_qty' => $all_qty,
                         'qty' => $q6,
                        'size' => $size,
                    'contents' => $contents,
                       'proba' => $proba,
                        'lang' => $lang );
               $this->load->view("labels/item_saten_styler_".$ver,$data);$firstLabel=0;$cnt--;}
               while($cnt!=0);
            }
         if($q7) 
            {  $size=7;$cnt=$q7;
               do { 
                     $data=array(
                  'firstLabel' => $firstLabel,
                        'inum' => $inum,
                     'all_qty' => $all_qty,
                         'qty' => $q7,
                        'size' => $size,
                    'contents' => $contents,
                       'proba' => $proba,
                        'lang' => $lang );
               $this->load->view("labels/item_saten_styler_".$ver,$data);$firstLabel=0;$cnt--;}
               while($cnt!=0);
            }
         if($q8) 
            {  $size=8;$cnt=$q8;
               do { 
                     $data=array(
                  'firstLabel' => $firstLabel,
                        'inum' => $inum,
                     'all_qty' => $all_qty,
                         'qty' => $q8,
                        'size' => $size,
                    'contents' => $contents,
                       'proba' => $proba,
                        'lang' => $lang );
               $this->load->view("labels/item_saten_styler_".$ver,$data);$firstLabel=0;$cnt--;}
               while($cnt!=0);
            }
         if($q9) 
            {  $size=9;$cnt=$q9;
               do { 
                     $data=array(
                  'firstLabel' => $firstLabel,
                        'inum' => $inum,
                     'all_qty' => $all_qty,
                         'qty' => $q9,
                        'size' => $size,
                    'contents' => $contents,
                       'proba' => $proba,
                        'lang' => $lang );
               $this->load->view("labels/item_saten_styler_".$ver,$data);$firstLabel=0;$cnt--;}
               while($cnt!=0);
            }
         if($q10) 
            {  $size=10;$cnt=$q10;
               do { 
                     $data=array(
                  'firstLabel' => $firstLabel,
                        'inum' => $inum,
                     'all_qty' => $all_qty,
                        'qty'  => $q10,
                        'size' => $size,
                    'contents' => $contents,
                       'proba' => $proba,
                        'lang' => $lang );
               $this->load->view("labels/item_saten_styler_".$ver,$data);$firstLabel=0;$cnt--;}
               while($cnt!=0);
            }
      }
      else 
      {  
         $size = 0;$firstLabel=1;$cnt=$qty;
         do { 
               $data=array(
            'firstLabel' => $firstLabel,
                  'inum' => $inum,
               'all_qty' => $all_qty,
                   'qty' => $qty,
                  'size' => $size,
              'contents' => $contents,
                 'proba' => $proba,
                  'lang' => $lang );

               $this->load->view("labels/item_saten_styler_".$ver,$data);$firstLabel=0;$cnt--;}
               while($cnt!=0);
      }

   }

	function quit_label()
	{
      $this->label_lib->clear_all();
      $this->view_barcode();
	}
		
	function save()
	{

	}

	// ================================== РЕАЛЕН СТАРТ =================================== //
	public function view_barcode()
	{
		$data = array();
		$data['id_No'] = $id_No = $this->config->item('my_account_number');
		
		$location = $this->BiSOFT_Model->get_location();
		$user_id  = $this->BiSOFT_Model->get_person();
		$mode     = $this->label_lib->get_mode($id_No);

		$data['mode']     = $mode;
		$data['location'] = $location;
		$data['koketna'] 	= '0';
		$data['lang'] 		= $this->config->item('language');
		$data['user_id'] 	= $user_id;
		$data['user_info'] = $this->Employee->get_logged_in_employee_info();


      if($id_No=='115752718') // STYLER
      {
         // видове ЕТИКЕТИ STYLER      
         $data['modes'] = array(
               'label_7' => $this->lang->line('manu_label_7'),
               'label_en' => $this->lang->line('manu_label_eng'),
               'label_6' => $this->lang->line('manu_label_6'),
               'label_saten' => $this->lang->line('manu_saten'),
               'label_fourlines' => $this->lang->line('manu_4lines'),
               'label_onlybarcodes' => $this->lang->line('manu_only_barcodes') );
            
         $data['modes']['saten40_styler'] = $this->lang->line('manu_saten40_STYLER');
         $data['modes']['saten_styler'] = $this->lang->line('manu_saten55_STYLER');
         $data['modes']['label_effe']   = $this->lang->line('manu_label_EFFE');
         $data['modes']['label_effe_2'] = $this->lang->line('manu_label_EFFE_2'); // това е ПЛЕЙС
         $data['modes']['label_bultex'] = $this->lang->line('manu_label_BULTEX');
         $data['modes']['label_acc']    = $this->lang->line('manu_label_acc');
         $data['modes']['label_shoes']  = $this->lang->line('manu_label_shoes');
         $data['modes']['label_needle'] = $this->lang->line('manu_label_needle');
         $data['modes']['label_scarf']  = $this->lang->line('manu_label_scarf');
         $data['modes']['label_kris']   = $this->lang->line('manu_label_KRIS');
         $data['modes']['label_vitality'] = $this->lang->line('manu_label_Vitality');
         $data['modes']['label_styler'] 	= $this->lang->line('manu_label_STYLER');
         
      }
      elseif($id_No=='115867485') // Villy Style
      {
         // видове ЕТИКЕТИ за Villy Style  
         $data['modes'] = array( 'label_villy' => $this->lang->line('manu_label_VillyStyle') );
      }
      else
      {  
         // видове ЕТИКЕТИ само за Hanna.     
         $data['modes'] = array(
               'label_7' => $this->lang->line('manu_label_7'),
               'label_6' => $this->lang->line('manu_label_6'),
               'label_saten' => $this->lang->line('manu_saten'),
               'label_fourlines' => $this->lang->line('manu_4lines'),
               'label_onlybarcodes' => $this->lang->line('manu_only_barcodes'),
               'label_bultex' => $this->lang->line('manu_label_BULTEX') );
      }
     
      // зарежда количката ...
		$data['work'] = $this->label_lib->get_work();
		$data['controller_name']=strtolower(get_class());

      if($mode=='label_6' or $mode=='label_effe' or $mode=='label_effe_2' or $mode=='label_onlybarcodes') 
         { $this->load->view("labels/view_label", $data);}
      elseif($mode=='label_7' or $mode=='label_shoes')
         { $this->load->view("labels/view_label_7", $data);}
      elseif($mode=='label_en' or $mode=='label_shoes')
         { $this->load->view("labels/view_label_en", $data);}
      elseif($mode=='label_villy')
         { $this->load->view("labels/view_label", $data);}
      elseif($mode=='saten40_styler') { $this->load->view("labels/view_saten40_styler", $data);}
      elseif($mode=='saten55_styler') { $this->load->view("labels/view_saten55_styler", $data);}
      elseif($mode=='saten_styler') { $this->load->view("labels/view_saten55_styler", $data);}
      elseif($mode=='label_fourlines') { $this->load->view("labels/fourlines_label", $data);}
      elseif($mode=='label_scarf')  { $this->load->view("labels/view_scarf", $data);}
      elseif($mode=='label_acc' or $mode=='label_needle') {$this->load->view("labels/view_acc", $data);}
		elseif($mode=='label_bultex') { $this->load->view("labels/view_label_bultex", $data);}
      elseif($mode=='label_kris' or $mode=='label_styler')  {$this->load->view("labels/view_label_kris", $data);}
      elseif($mode=='label_vitality') { $this->load->view("labels/view_vitality", $data);}
      elseif($mode=='label_saten') 
      { 
         $data['saten'] = $this->label_lib->get_saten_mode();
         $data['satens'] = array( '0' => '- ИЗБЕРЕТЕ САТЕНЕН ЕТИКЕТ -');
         
         if($id_No=='115752718') // само STYLER
         {
            $data['satens']['styler']  = 'сатен - съставен STYLER';
            $data['satens']['effe']    = 'сатен - съставен EFFE';
            $data['satens']['bultex']  = 'сатен - съставен БУЛТЕКС';
            $data['satens']['arido']   = 'сатен - съставен ARIDO';
            $data['satens']['der']     = 'сатен - съставен Der WALTER';
            $data['satens']['yogas']   = 'сатен - съставен YOGAS';
            $data['satens']['vitality'] = 'сатен - съставен VITALITY';
         }
         else
         {  $data['satens']['com'] = 'сатен - съставен'; }
                     
      $this->load->view("labels/view_saten", $data);
      }
      else {$this->view_barcode();}
	}	

} ?>
