<?php require_once ("Secure_area.php");

class Mackas extends Secure_area 
{
	function __construct()
	{
		parent::__construct();
		$this->load->library('Macka_lib');
	}
	
	function index()
	{
		$mode_menu = 'mackas';
		$this->BiSOFT_Model->set_mode_menu($mode_menu);
		$this->macka_lib->clear_all();
	//	$this->macka_lib->clear_mode();
      $this->view_list();
	}
	
	function clear_mode()
	{
		$this->macka_lib->clear_all();
		$this->view_list();
	}
	
	function change_mode()
	{
		$mode = $this->input->post("mode");
		$this->macka_lib->set_mode($mode);
		$this->BiSOFT_Model->set_user_mode($mode);
		$this->macka_lib->clear_presence();
		$this->macka_lib->clear_machine();
		$this->macka_lib->clear_macka();
		$this->view_list();
	}

	function change_shift()
	{
		$shift = $this->input->post("shift");
		$this->macka_lib->set_shift($shift);
		$this->macka_lib->clear_order();
		$this->macka_lib->clear_machine();
		$this->macka_lib->clear_macka();
		$this->macka_lib->clear_worker();
		// специално за Подизпълнители
		if($shift=='outer') { $this->macka_lib->set_order('2'); }
		$this->view_list();
	}
	
	function change_order()
	{
		$order = $this->input->post("order");
		$this->macka_lib->set_order($order);
		// специално за Подизпълнители
		if($order=='2') { $this->macka_lib->set_shift('outer'); }
		$this->view_list();
	}
	
	function change_presence()
	{
		$presence = $this->input->post("presence");
		$this->macka_lib->set_presence($presence);
		$this->view_list();
	}
	
	
	function change_month()
	{
		$month = $this->input->post("month");
		$this->macka_lib->set_month($month);
		$this->view_list();
	}
	
	function change_machine()
	{
		$machine = $this->input->post("machine");
		$this->macka_lib->set_machine($machine);
		$this->view_list();
	}	
	
	function change_macka()
	{
		$macka = $this->input->post("macka");
		$this->macka_lib->set_macka($macka);
		$this->view_list();
	}
	
	
	function change_worker()
	{
		$worker = $this->input->post("worker");
		$this->macka_lib->set_worker($worker);
		
		// set РАБОТА
		$worker_info = $this->Macka->get_worker_info($worker);
		if($worker_info)
		{
			$rabota = $worker_info->rabota;
			$this->macka_lib->set_rabota($rabota);
		}
		$this->view_list();
	}
	
	function change_type_worker()
	{
		$type_worker = $this->input->post("type_worker");
		$this->macka_lib->set_type_worker($type_worker);
		$this->view_list();
	}
	
	function change_rabota()
	{
		$rabota = $this->input->post("rabota");
		$this->macka_lib->set_rabota($rabota);
		$this->view_list();
	}
	
	function change_week()
	{
		$startDay = date('Y-m-d',strtotime($this->input->post("startDay")));
		$endDay 	 = date('Y-m-d',strtotime($this->input->post("endDay")));
		$this->macka_lib->set_startDay($startDay);
		$this->macka_lib->set_endDay($endDay);
		$this->view_list();
	}

	function change_worker_status($bisoft_id=7248)
	{
	
      $this->Macka->update_vedompre($bisoft_id);
      
   echo 'работник: '.$bisoft_id;   
	die();
	}
	
	
	function new_worker()
	{
		$max_worker = 1 + $this->Macka->get_max_worker();
		$day = $mid = '5.50'; $night = '6.25';
		$rabota  = 'izm';
		$rabotas = array(
				'zag' => 'заготовки',
				'izm' => 'изработка',
			  'pack' => 'пакетиране',
			'repair' => 'маш.ремонт',
			 'other' => 'доп.работа' );
				
		$type = 0;
		$types = array(
            '2' => 'ERA',
            '1' => 'STYLER',
				'0' => 'хонорар' );
	
		$data = array(
			'max_worker' => $max_worker,
				'rabotas' => $rabotas,
				 'rabota' => $rabota,
					'type' => $type,
				  'types' => $types,
				  	 'day' => $day,
					 'mid' => $mid,
				  'night' => $night );

	$this->load->view("mackas/new_worker",$data);
	}
	
	
	function edit_worker($bisoft_id=0)
	{
		$name = 'Непознат'; $type=0; $rabota='izm';
		$day = $mid = '5.50'; $night = '6.25';
		$rabotas = array(
				'zag' => 'заготовки',
				'izm' => 'изработка',
			  'pack' => 'пакетиране',
			'repair' => 'маш.ремонт',
			 'other' => 'доп.работа' );
						
		$types = array(
            '2' => 'ERA',
				'1' => 'STYLER',
				'0' => 'хонорар' );
						
		if($bisoft_id>0)
		{
			$worker_info = $this->Macka->get_worker($bisoft_id);
			if($worker_info)
			{
				$rabota = $worker_info->rabota;
				$name   = $worker_info->name;
				$type   = $worker_info->status;
				
				$day    = $worker_info->day;
				$mid    = $worker_info->mid;
				$night  = $worker_info->night;
			}
		}
			
		$data = array(
			 'bisoft_id' => $bisoft_id,
					'name' => $name,
				'rabotas' => $rabotas,
				 'rabota' => $rabota,
					'type' => $type,
				  'types' => $types,
					 'day' => $day,
					 'mid' => $mid,
				  'night' => $night );

		$this->load->view("mackas/edit_worker",$data);
	}
	
	function save_worker($bisoft_id='-1')
	{
		$success = 1;
		$viewKey = $this->Macka->who_are_you();
		if($bisoft_id=='-1')
		{ $bisoft_id = $this->input->post("bisoft_id"); }

			$status = 0;$this->input->post("type");
			if($bisoft_id > 5000) 
            { 
               $status = 1;
               $worker_info = $this->Macka->get_worker($bisoft_id);
               if($worker_info)
               { $status = $worker_info->status; }
            }
			
			$name   = trim(mb_convert_case($this->input->post("name"),MB_CASE_TITLE,"UTF-8"));
			$rabota = $this->input->post("rabota");
			
			if($viewKey) // за НАС
			{
				$day   = $this->input->post("day");
				$mid   = $this->input->post("mid");
				$night = $this->input->post("night");
			
				$worker_data = array(
				 'bisoft_id' => $bisoft_id,
						'name' => $name,
					 'rabota' => $rabota,
					 'status' => $status,
						 'day' => $day,
						 'mid' => $mid,
					  'night' => $night );
			}
			else // за София :)
			{
				$worker_data = array(
				 'bisoft_id' => $bisoft_id,
						'name' => $name,
					 'rabota' => $rabota,
					 'status' => $status );
			}
	
			$success *= $this->Macka->save_worker($worker_data);

		if ( $success )
			{ 	// Удачно регистриране ...
					echo json_encode(array( 'success'=>true,
													'bisoft_id' => $bisoft_id,
													'name' => $name,
													'rabota' => $rabota,
													'message'=>'Успешно редактирахте работник #'.$bisoft_id.' - '.$name ) );
			}
		else
			{
					echo json_encode(array( 'success'=>false,
													'bisoft_id' => $bisoft_id,
													'name' => $name,
													'rabota' => $rabota,
													'message'=>'ГРЕШКА при редактиране на работник #'.$bisoft_id.' - '.$name ) );
			}
	
	}	

	function get_worker_row($bisoft_id=0)
	{
		if(!$bisoft_id) { $bisoft_id = $this->input->post('row_id'); }
		$this->Macka->get_worker_row($bisoft_id,'Mackas');
	}

	
	function del_worker($bisoft_id)
	{
		$this->Macka->delete_worker($bisoft_id);
		$this->view_list();
	}

	
	

	function order_vedom_hrono($order_id=0)
	{
		$order = '';
			$order_info = $this->Macka->get_order_info($order_id);
			if($order_info) { $order = '- '.$order_info->client; }
		$title = 'ПОРЪЧКА № '.$order_id.' '.$order;
		
		$subtitle = ' ';
		$uHeaders = $this->macka_lib->getUpHeaders('orders');
		$Headers  = $this->macka_lib->getHeaders('mackas');
		$data = array(
					 'order_id' => $order_id,
						 'title' => $title,
					 'subtitle' => $subtitle,
					 'uHeaders' => $uHeaders,
					  'Headers' => $Headers,
						'm98100' => 0,	'm98200' => 0, 'm98210' => 0, 'm98220' => 0, 'm98230' => 0,
						'm98240' => 0,	'm98250' => 0, 'm98260' => 0, 'm98270' => 0,	'm98280' => 0,
						'm98290' => 0  
							);
							
		$hrono = array();
		
		if($order_id>0)
		{
			
			$date  = $this->BiSOFT_Model->get_user_mode_date();
			$vedom = 'MACKA_'.(int)date('Y',strtotime($date));
			$order_vedom_info = $this->Macka->get_order_vedom($vedom,$order_id);
			$order = $this->Macka->get_order_info($order_id);
			if($order)
			{
				$subtitle = '';
				if($order->m98100 > 0) {$subtitle .= ' 981xx-('.$order->m98100.' бр.);';}
				if($order->m98200 > 0) {$subtitle .= ' 98200-('.$order->m98200.' бр.);';}
				if($order->m98210 > 0) {$subtitle .= ' 98210-('.$order->m98210.' бр.);';}
				if($order->m98220 > 0) {$subtitle .= ' 98220-('.$order->m98220.' бр.);';}
				if($order->m98230 > 0) {$subtitle .= ' 98230-('.$order->m98230.' бр.);';}
				if($order->m98240 > 0) {$subtitle .= ' 98240-('.$order->m98240.' бр.);';}
				if($order->m98250 > 0) {$subtitle .= ' 98250-('.$order->m98250.' бр.);';}
				if($order->m98260 > 0) {$subtitle .= ' 98260-('.$order->m98260.' бр.);';}
				if($order->m98270 > 0) {$subtitle .= ' 98270-('.$order->m98270.' бр.);';}
				if($order->m98280 > 0) {$subtitle .= ' 98280-('.$order->m98280.' бр.);';}
				if($order->m98290 > 0) {$subtitle .= ' 98290-('.$order->m98290.' бр.);';}
			}
			
			if($order_vedom_info)
			{
				$m98100 = $m98200 = $m98210 = $m98220 = $m98230 = $m98240 = $m98250 = $m98260 = $m98270 = $m98280 = $m98290 =
						array(
						'zag' => 0,
						'izm' => 0,
					  'otkk' => 0,
					  'pack' => 0,
					'to_rep' => 0,
						'rep' => 0,
						'out' => 0,
						'exp' => 0 );
						
				// зареждам Нач.Салда ...		
				$N_Saldo = $order_info->NSaldo;
				if($N_Saldo!=null)
				{
					$NSaldo = json_decode($N_Saldo);
						$m200 = explode(',',$NSaldo->m200);
						$m210 = explode(',',$NSaldo->m210);
						$m220 = explode(',',$NSaldo->m220);
						$m230 = explode(',',$NSaldo->m230);
						$m240 = explode(',',$NSaldo->m240);
						$m250 = explode(',',$NSaldo->m250);
						$m260 = explode(',',$NSaldo->m260);
						$m270 = explode(',',$NSaldo->m270);
						$m280 = explode(',',$NSaldo->m280);
						$m290 = explode(',',$NSaldo->m290);
						
						// обратно за нач.натрупване
						$m98200['zag'] += $m200['0']; $m98200['izm'] += $m200['1']; $m98200['otkk'] += $m200['2'];
						$m98210['zag'] += $m210['0']; $m98210['izm'] += $m210['1']; $m98210['otkk'] += $m210['2'];
						$m98220['zag'] += $m220['0']; $m98220['izm'] += $m220['1']; $m98220['otkk'] += $m220['2'];
						$m98230['zag'] += $m230['0']; $m98230['izm'] += $m230['1']; $m98230['otkk'] += $m230['2'];
						$m98240['zag'] += $m240['0']; $m98240['izm'] += $m240['1']; $m98240['otkk'] += $m240['2'];
						$m98250['zag'] += $m250['0']; $m98250['izm'] += $m250['1']; $m98250['otkk'] += $m250['2'];
						$m98260['zag'] += $m260['0']; $m98260['izm'] += $m260['1']; $m98260['otkk'] += $m260['2'];
						$m98270['zag'] += $m270['0']; $m98270['izm'] += $m270['1']; $m98270['otkk'] += $m270['2'];
						$m98280['zag'] += $m280['0']; $m98280['izm'] += $m280['1']; $m98280['otkk'] += $m280['2'];
						$m98290['zag'] += $m290['0']; $m98290['izm'] += $m290['1']; $m98290['otkk'] += $m290['2'];
				}
		
				foreach($order_vedom_info as $row)
				{
					$status = $row['status'];
					switch($status)
					{
						// Заготовки
						case '1':
							$m98100['zag'] += $row['m98100'];
							$m98200['zag'] += $row['m98200'];
							$m98210['zag'] += $row['m98210'];
							$m98220['zag'] += $row['m98220'];
							$m98230['zag'] += $row['m98230'];
							$m98240['zag'] += $row['m98240'];
							$m98250['zag'] += $row['m98250'];
							$m98260['zag'] += $row['m98260'];
							$m98270['zag'] += $row['m98270'];
							$m98280['zag'] += $row['m98280'];
							$m98290['zag'] += $row['m98290'];
						break;

						// Изработени
						case '2':
							$m98100['izm'] += $row['m98100'];
							$m98200['izm'] += $row['m98200'];
							$m98210['izm'] += $row['m98210'];
							$m98220['izm'] += $row['m98220'];
							$m98230['izm'] += $row['m98230'];
							$m98240['izm'] += $row['m98240'];
							$m98250['izm'] += $row['m98250'];
							$m98260['izm'] += $row['m98260'];
							$m98270['izm'] += $row['m98270'];
							$m98280['izm'] += $row['m98280'];
							$m98290['izm'] += $row['m98290'];
						break;
						
						// За Ремонт
						case '4':
							$m98100['to_rep'] += $row['m98100'];
							$m98200['to_rep'] += $row['m98200'];
							$m98210['to_rep'] += $row['m98210'];
							$m98220['to_rep'] += $row['m98220'];
							$m98230['to_rep'] += $row['m98230'];
							$m98240['to_rep'] += $row['m98240'];
							$m98250['to_rep'] += $row['m98250'];
							$m98260['to_rep'] += $row['m98260'];
							$m98270['to_rep'] += $row['m98270'];
							$m98280['to_rep'] += $row['m98280'];
							$m98290['to_rep'] += $row['m98290'];
						break;
						// От Ремонт
						case '6':
							$m98100['rep'] += $row['m98100'];
							$m98200['rep'] += $row['m98200'];
							$m98210['rep'] += $row['m98210'];
							$m98220['rep'] += $row['m98220'];
							$m98230['rep'] += $row['m98230'];
							$m98240['rep'] += $row['m98240'];
							$m98250['rep'] += $row['m98250'];
							$m98260['rep'] += $row['m98260'];
							$m98270['rep'] += $row['m98270'];
							$m98280['rep'] += $row['m98280'];
							$m98290['rep'] += $row['m98290'];
						break;

						// ОТКК
						case '5': 
							$m98100['otkk'] += $row['m98100'];
							$m98200['otkk'] += $row['m98200'];
							$m98210['otkk'] += $row['m98210'];
							$m98220['otkk'] += $row['m98220'];
							$m98230['otkk'] += $row['m98230'];
							$m98240['otkk'] += $row['m98240'];
							$m98250['otkk'] += $row['m98250'];
							$m98260['otkk'] += $row['m98260'];
							$m98270['otkk'] += $row['m98270'];
							$m98280['otkk'] += $row['m98280'];
							$m98290['otkk'] += $row['m98290'];
						break;

						// Packing
						case '7': 
							$m98100['pack'] += $row['m98100'];
							$m98200['pack'] += $row['m98200'];
							$m98210['pack'] += $row['m98210'];
							$m98220['pack'] += $row['m98220'];
							$m98230['pack'] += $row['m98230'];
							$m98240['pack'] += $row['m98240'];
							$m98250['pack'] += $row['m98250'];
							$m98260['pack'] += $row['m98260'];
							$m98270['pack'] += $row['m98270'];
							$m98280['pack'] += $row['m98280'];
							$m98290['pack'] += $row['m98290'];
						break;						
						
						// Подизпълнители
						case '8':
							$m98100['out'] += $row['m98100'];
							$m98200['out'] += $row['m98200'];
							$m98210['out'] += $row['m98210'];
							$m98220['out'] += $row['m98220'];
							$m98230['out'] += $row['m98230'];
							$m98240['out'] += $row['m98240'];
							$m98250['out'] += $row['m98250'];
							$m98260['out'] += $row['m98260'];
							$m98270['out'] += $row['m98270'];
							$m98280['out'] += $row['m98280'];
							$m98290['out'] += $row['m98290'];
						break;

						// Експедиция
						case '9':
							$m98100['exp'] += $row['m98100'];
							$m98200['exp'] += $row['m98200'];
							$m98210['exp'] += $row['m98210'];
							$m98220['exp'] += $row['m98220'];
							$m98230['exp'] += $row['m98230'];
							$m98240['exp'] += $row['m98240'];
							$m98250['exp'] += $row['m98250'];
							$m98260['exp'] += $row['m98260'];
							$m98270['exp'] += $row['m98270'];
							$m98280['exp'] += $row['m98280'];
							$m98290['exp'] += $row['m98290'];
						break;
					} // switch($status)
					
					$hrono[$row['macka_id']] = $row;
					
				} // foreach($order_info
					
				$data = array(
					 'order_id' => $order_id,
						 'title' => $title,
					 'subtitle' => $subtitle,
					 'uHeaders' => $uHeaders,
					  'Headers' => $Headers,
						'm98100' => $m98100,
						'm98200' => $m98200,
						'm98210' => $m98210,
						'm98220' => $m98220,
						'm98230' => $m98230,
						'm98240' => $m98240,
						'm98250' => $m98250,
						'm98260' => $m98260,
						'm98270' => $m98270,
						'm98280' => $m98280,
						'm98290' => $m98290,
						 'hrono' => $hrono
								);
			} // if($order_info)
		} // if($order_id>0)

	$this->load->view("mackas/view_order_hrono",$data);
	}
	
	
	
	function new_order()
	{
		$max_order = 1 + $this->Macka->get_max_order();
		$data = array('order_id' => '-1' , 'max_order' => $max_order );
		$this->load->view("mackas/new_order",$data);
	}

	
	function edit_order($order_id)
	{
		if($order_id>0)
		{
			$order_info = $this->Macka->get_order_info($order_id);
			if($order_info)
			{
				$N_Saldo = $order_info->NSaldo;
				if($N_Saldo!=null) // зарежда параметри
				{
					$NSaldo = json_decode($N_Saldo);
						$m100 = 0;
						if(isset($NSaldo->m100)) { $m100 = explode(',',$NSaldo->m100); }
						$m200 = explode(',',$NSaldo->m200);
						$m210 = explode(',',$NSaldo->m210);
						$m220 = explode(',',$NSaldo->m220);
						$m230 = explode(',',$NSaldo->m230);
						$m240 = explode(',',$NSaldo->m240);
						$m250 = explode(',',$NSaldo->m250);
						$m260 = explode(',',$NSaldo->m260);
						$m270 = explode(',',$NSaldo->m270);
						$m280 = explode(',',$NSaldo->m280);
						$m290 = 0;
						if(isset($NSaldo->m290)) { $m290 = explode(',',$NSaldo->m290); }
				}
				else
				{ $m200 = $m210 = $m220 = $m230 = $m240 = $m250 = $m260 = $m270 = $m280 = $m290 = array('0'=>'0','1'=>'0','2'=>'0'); }
				
				$data = array(
				 'order_id' => $order_id,
					'active' => $order_info->active,
					'm98100' => $order_info->m98100,
					'm98200' => $order_info->m98200,
					'm98210' => $order_info->m98210,
					'm98220' => $order_info->m98220,
					'm98230' => $order_info->m98230,
					'm98240' => $order_info->m98240,
					'm98250' => $order_info->m98250,
					'm98260' => $order_info->m98260,
					'm98270' => $order_info->m98270,
					'm98280' => $order_info->m98280,
					'm98290' => $order_info->m98290,
					  'm200' => $m200,
					  'm210' => $m210,
					  'm220' => $m220,
					  'm230' => $m230,
					  'm240' => $m240,
					  'm250' => $m250,
					  'm260' => $m260,
					  'm270' => $m270,
					  'm280' => $m280,
					  'm290' => $m290,
					'client' => $order_info->client,
				'client_id' => $order_info->client_id,
				'startdate' => date('d.m.Y',strtotime($order_info->startdate)),
				  'expdate' => date('d.m.Y',strtotime($order_info->expdate)),
				  'comment' => $order_info->comment );

				$this->load->view("mackas/edit_order",$data);
			}
		}
		else // грешка
		{ $this->view_list(); }
	}
	
	function save_order($order_id='-1')
	{
		$error=0;$data=array();
		$new_order_key = 0;
		$expdate	= date('Y-m-d',strtotime($this->input->post("expdate")));
		$active = (int)$this->input->post("is_active");
		$client_id = (int)$this->input->post("client_id");
		if($order_id=='-1') 
			{ 
				$order_id = (int)$this->input->post("order_id"); 
				if($this->Macka->exists_order($order_id)) {$error=1;}
				$new_order_key = 1;
			}
		
		if($client_id and !$error)
		{
			$NSaldo = null;
			if(!$new_order_key) // допълва нач.салда
			{
				$zag200 = (int)$this->input->post("zag98200");
				$izm200 = (int)$this->input->post("izm98200");
				$otkk200 = (int)$this->input->post("otkk98200");
				$M200 = $zag200.','.$izm200.','.$otkk200;
				
				$zag210 = (int)$this->input->post("zag98210");
				$izm210 = (int)$this->input->post("izm98210");
				$otkk210 = (int)$this->input->post("otkk98210");
				$M210 = $zag210.','.$izm210.','.$otkk210;
				
				$zag220 = (int)$this->input->post("zag98220");
				$izm220 = (int)$this->input->post("izm98220");
				$otkk220 = (int)$this->input->post("otkk98220");
				$M220 = $zag220.','.$izm220.','.$otkk220;
				
				$zag230 = (int)$this->input->post("zag98230");
				$izm230 = (int)$this->input->post("izm98230");
				$otkk230 = (int)$this->input->post("otkk98230");
				$M230 = $zag230.','.$izm230.','.$otkk230;
				
				$zag240 = (int)$this->input->post("zag98240");
				$izm240 = (int)$this->input->post("izm98240");
				$otkk240 = (int)$this->input->post("otkk98240");
				$M240 = $zag240.','.$izm240.','.$otkk240;
				
				$zag250 = (int)$this->input->post("zag98250");
				$izm250 = (int)$this->input->post("izm98250");
				$otkk250 = (int)$this->input->post("otkk98250");
				$M250 = $zag250.','.$izm250.','.$otkk250;
				
				$zag260 = (int)$this->input->post("zag98260");
				$izm260 = (int)$this->input->post("izm98260");
				$otkk260 = (int)$this->input->post("otkk98260");
				$M260 = $zag260.','.$izm260.','.$otkk260;
				
				$zag270 = (int)$this->input->post("zag98270");
				$izm270 = (int)$this->input->post("izm98270");
				$otkk270 = (int)$this->input->post("otkk98270");
				$M270 = $zag270.','.$izm270.','.$otkk270;
				
				$zag280 = (int)$this->input->post("zag98280");
				$izm280 = (int)$this->input->post("izm98280");
				$otkk280 = (int)$this->input->post("otkk98280");
				$M280 = $zag280.','.$izm280.','.$otkk280;
				
				$zag290 = (int)$this->input->post("zag98290");
				$izm290 = (int)$this->input->post("izm98290");
				$otkk290 = (int)$this->input->post("otkk98290");
				$M290 = $zag290.','.$izm290.','.$otkk290;
				
				$Macka_NC = array(
						'm200' => $M200,
						'm210' => $M210,
						'm220' => $M220,
						'm230' => $M230,
						'm240' => $M240,
						'm250' => $M250,
						'm260' => $M260,
						'm270' => $M270,
						'm280' => $M280,
						'm290' => $M290 );
						
				$NSaldo = json_encode($Macka_NC);
			}
			
			$m98100 = (int)$this->input->post("m98100");
			$m98200 = (int)$this->input->post("m98200");
			$m98210 = (int)$this->input->post("m98210");
			$m98220 = (int)$this->input->post("m98220");
			$m98230 = (int)$this->input->post("m98230");
			$m98240 = (int)$this->input->post("m98240");
			$m98250 = (int)$this->input->post("m98250");
			$m98260 = (int)$this->input->post("m98260");
			$m98270 = (int)$this->input->post("m98270");
			$m98280 = (int)$this->input->post("m98280");
			$m98290 = (int)$this->input->post("m98290");
			
			$data = array(
			 'order_id' => (int)$order_id,
			'startdate' => date('Y-m-d'),
			  'expdate' => $expdate,
				'active' => $active,
				'm98100' => $m98100,
				'm98200' => $m98200,
				'm98210' => $m98210,
				'm98220' => $m98220,
				'm98230' => $m98230,
				'm98240' => $m98240,
				'm98250' => $m98250,
				'm98260' => $m98260,
				'm98270' => $m98270,
				'm98280' => $m98280,
				'm98290' => $m98290,
				'NSaldo' => $NSaldo,
				'client' => $this->input->post("client"),
			'client_id' => $client_id,
			  'comment' => $this->input->post("comment") );
			
			$success = $this->Macka->save_order($data,$order_id);	
		}
		else
		{
			echo 'дублирана поръчка: '.$order_id;
			$data=array('error'=>'дублирана поръчка: '.$order_id);
			die();
		}

		$this->view_list($data);
	}

	
	function search()
	{
		$search = $this->input->post("search");
		$this->view_list();
	}
	
	function add_qty()
	{
		$qty = (int)$this->input->post("qty");
		$user_id = $this->BiSOFT_Model->get_person();
			$macka = $this->macka_lib->get_macka();
			$order_id = $this->macka_lib->get_order(); if($order_id<0) {$order_id=0;}
			$machine = $this->macka_lib->get_machine();

		if(!empty($this->input->post("qty")) and $qty!=0 and $macka and $machine and $order_id>0)
		{
			$shift = $this->macka_lib->get_shift();
			$date = $this->BiSOFT_Model->get_user_mode_date();
			$vedom = 'MACKA_'.(int)date('Y',strtotime($date));
			$status 	 = $this->Macka->get_machine_status($machine);

			// Спец. за Външна работа
			if($shift=='outer' and $order_id==2)
			{
				if($status=='1' or $status=='3')
					{ $qty = -abs($qty); }
				elseif($status!='5' and $status!='7')
					{ $qty = '0'; }
				$machine = 'out';
			}
			
			$macka_id = $this->Macka->get_macka_id($vedom,$date,$shift,$machine,$order_id,$status);

			if($qty!=0 and !$this->Macka->exists_macka($vedom,$date,$shift,$machine,$order_id,$status))
			{
				$data = array(
					'macka_id' => $macka_id,
					'order_id' => $order_id,
						 'date' => $date,
						'shift' => $shift,
					 'machine' => $machine,
					'm'.$macka => $qty,
					 'user_id' => $user_id,
					  'status' => $status );

				$success = $this->Macka->save_vedom($data,$vedom);
			}
			elseif($qty!=0 and $this->Macka->exists_macka_id($macka_id,$vedom))
			{
				// това само добавя към др. маски бройки
				$data = array(
					'macka_id' => $macka_id,
					'order_id' => $order_id,
						 'date' => $date,
						'shift' => $shift,
					 'machine' => $machine,
					'm'.$macka => $qty,
					 'user_id' => $user_id,
					  'status' => $status );

				$success = $this->Macka->save_vedom($data,$vedom);
			}
		}
		$this->view_list();
	}
	
	function add_pre()
	{
		$pre = (int)$this->input->post("presence");
		$bisoft_id = $this->macka_lib->get_worker();
		$worker  = $this->Macka->get_worker_name($bisoft_id);
		$shift   = $this->macka_lib->get_shift();
		$rabota  = $this->macka_lib->get_rabota();
		$user_id = $this->BiSOFT_Model->get_person();
		
		if($bisoft_id!='all' and $worker and $rabota)
		{
			$date   = $this->BiSOFT_Model->get_user_mode_date();
			$vedom = 'MACKA_'.(int)date('Y',strtotime($date)).'_Pre';
			
			$status = 0;
			if($bisoft_id>5000) 
			{
            $status = 1;
            $worker_info = $this->Macka->get_worker_info($bisoft_id);
            if($worker_info) { $status = (int)$worker_info->status; }
         }
			$pre_id = $this->Macka->get_pre_id($vedom,$bisoft_id,$date,$shift);
			
			$data = array(
				  'pre_id' => $pre_id,
			  'bisoft_id' => $bisoft_id,
					 'date' => $date,
					'shift' => $shift,
				  'rabota' => $rabota,
					'HOURS' => round($pre/10,1),
				  'status' => $status );

			$success = $this->Macka->save_presence($data,$vedom);
		}
		
		$this->view_list();
	}
	
	function del_vedom_row($macka_id)
	{
		$date = $this->BiSOFT_Model->get_user_mode_date();
		$vedom = 'MACKA_'.(int)date('Y',strtotime($date));
		$this->Macka->del_macka_id($vedom,$macka_id);
		$this->view_list();
	}
	
	function del_presence_row($pre_id)
	{
		$date = $this->BiSOFT_Model->get_user_mode_date();
		$vedom = 'MACKA_'.(int)date('Y',strtotime($date)).'_Pre';
		$this->Macka->del_pre_id($vedom,$pre_id);
		$this->view_list();
	}
	
	function move_daily()
	{
	
		echo '... to be continued, one sunny day :)';
		die();
	
	}
	
	function add_daily_qty()
	{
		$vedom = 'MACKA_Daily';
		$shift = "daily";
		$date = date('Y-m-d');
			
		$qty = (int)$this->input->post("qty");
		$user_id = $this->BiSOFT_Model->get_person();
			$macka = $this->macka_lib->get_macka();
			$order_id = $this->macka_lib->get_order(); if($order_id<0) {$order_id=0;}
			$machine = $this->macka_lib->get_machine();
		
		if(!empty($this->input->post("qty")) and $qty!=0 and $macka and $machine and $order_id>0)
		{
			$status 	 = $this->Macka->get_machine_status($machine);
			$macka_id = $this->Macka->get_macka_id($vedom,$date,$shift,$machine,$order_id,$status);

			if($qty!=0 and !$this->Macka->exists_macka($vedom,$date,$shift,$machine,$order_id,$status))
			{
				$data = array(
					'macka_id' => $macka_id,
					'order_id' => $order_id,
						 'date' => $date,
					'reg_date' => date('Y-m-d H:i'),
						'shift' => $shift,
					 'machine' => $machine,
					'm'.$macka => $qty,
					 'user_id' => $user_id,
					  'status' => $status );

				$success = $this->Macka->save_daily($data);
			}
			elseif($qty!=0 and $this->Macka->exists_macka_id($macka_id,$vedom))
			{
				// това само добавя към др. маски бройки
				$data = array(
					'macka_id' => $macka_id,
					'order_id' => $order_id,
						 'date' => $date,
					'reg_date' => date('Y-m-d H:i'),
						'shift' => $shift,
					 'machine' => $machine,
					'm'.$macka => $qty,
					 'user_id' => $user_id,
					  'status' => $status );

				$success = $this->Macka->save_daily($data);
			}
		}
		$this->view_list();
	}
	
	

	function complete_report()
	{
		$user_id = $this->BiSOFT_Model->get_person();
		$date  = $this->BiSOFT_Model->get_user_mode_date();
			$weekday = (int)date('N',strtotime($date));
		$vedom = 'MACKA_'.(int)date('Y',strtotime($date));
		$shift = $this->macka_lib->get_shift();
		if($shift=='day') {$weekday .= 'd';}
		elseif($shift=='mid') {$weekday .= 'm';}
		elseif($shift=='night') {$weekday .= 'n';}
		elseif($shift=='outer') {$weekday .= '_';}
		
		
		$report_work = $this->Macka->get_vedom($vedom,$date,$shift);
		$mackas = array('98100','98200','98210','98220','98230','98240','98250','98260','98270','98280','98290');

		if(count($report_work)>0)
		{
			// зареждаме СКЛАД МАСКИ
			$Sklad = array();
			$allSklad = $this->Macka->get_sklad();
			foreach($allSklad as $skl)
			{
				$status = $skl['status'];
				switch ($status) 
				{
					case '1': // zag : заготовки
						$Sklad['zag']['m98100'] = '0';
						$Sklad['zag']['m98200'] = $skl['m98200'];
						$Sklad['zag']['m98210'] = $skl['m98210'];
						$Sklad['zag']['m98220'] = $skl['m98220'];
						$Sklad['zag']['m98230'] = $skl['m98230'];
						$Sklad['zag']['m98240'] = $skl['m98240'];
						$Sklad['zag']['m98250'] = $skl['m98250'];
						$Sklad['zag']['m98260'] = $skl['m98260'];
						$Sklad['zag']['m98270'] = $skl['m98270'];
						$Sklad['zag']['m98280'] = $skl['m98280'];
						$Sklad['zag']['m98290'] = '0';
						break;
						
					case '2': // izm : изработени
						$Sklad['izm']['m98100'] = '0';
						$Sklad['izm']['m98200'] = $skl['m98200'];
						$Sklad['izm']['m98210'] = $skl['m98210'];
						$Sklad['izm']['m98220'] = $skl['m98220'];
						$Sklad['izm']['m98230'] = $skl['m98230'];
						$Sklad['izm']['m98240'] = $skl['m98240'];
						$Sklad['izm']['m98250'] = $skl['m98250'];
						$Sklad['izm']['m98260'] = $skl['m98260'];
						$Sklad['izm']['m98270'] = $skl['m98270'];
						$Sklad['izm']['m98280'] = $skl['m98280'];
						$Sklad['izm']['m98290'] = '0';
						break;
						
					case '3': // brak
						$Sklad['brak']['m98100'] = '0';
						$Sklad['brak']['m98200'] = $skl['m98200'];
						$Sklad['brak']['m98210'] = $skl['m98210'];
						$Sklad['brak']['m98220'] = $skl['m98220'];
						$Sklad['brak']['m98230'] = $skl['m98230'];
						$Sklad['brak']['m98240'] = $skl['m98240'];
						$Sklad['brak']['m98250'] = $skl['m98250'];
						$Sklad['brak']['m98260'] = $skl['m98260'];
						$Sklad['brak']['m98270'] = $skl['m98270'];
						$Sklad['brak']['m98280'] = $skl['m98280'];
						$Sklad['brak']['m98290'] = '0';
						break;
						
					case '4': // to_rep
						$Sklad['to_rep']['m98100'] = '0';
						$Sklad['to_rep']['m98200'] = $skl['m98200'];
						$Sklad['to_rep']['m98210'] = $skl['m98210'];
						$Sklad['to_rep']['m98220'] = $skl['m98220'];
						$Sklad['to_rep']['m98230'] = $skl['m98230'];
						$Sklad['to_rep']['m98240'] = $skl['m98240'];
						$Sklad['to_rep']['m98250'] = $skl['m98250'];
						$Sklad['to_rep']['m98260'] = $skl['m98260'];
						$Sklad['to_rep']['m98270'] = $skl['m98270'];
						$Sklad['to_rep']['m98280'] = $skl['m98280'];
						$Sklad['to_rep']['m98290'] = '0';
						break;
						
					case '5': // otkk : ОТКК
						$Sklad['otkk']['m98100'] = $skl['m98100'];
						$Sklad['otkk']['m98200'] = $skl['m98200'];
						$Sklad['otkk']['m98210'] = $skl['m98210'];
						$Sklad['otkk']['m98220'] = $skl['m98220'];
						$Sklad['otkk']['m98230'] = $skl['m98230'];
						$Sklad['otkk']['m98240'] = $skl['m98240'];
						$Sklad['otkk']['m98250'] = $skl['m98250'];
						$Sklad['otkk']['m98260'] = $skl['m98260'];
						$Sklad['otkk']['m98270'] = $skl['m98270'];
						$Sklad['otkk']['m98280'] = $skl['m98280'];
						$Sklad['otkk']['m98290'] = $skl['m98290'];
						break;
						
					case '6': // rep : РЕМОНТ
						$Sklad['rep']['m98100'] = '0';
						$Sklad['rep']['m98200'] = $skl['m98200'];
						$Sklad['rep']['m98210'] = $skl['m98210'];
						$Sklad['rep']['m98220'] = $skl['m98220'];
						$Sklad['rep']['m98230'] = $skl['m98230'];
						$Sklad['rep']['m98240'] = $skl['m98240'];
						$Sklad['rep']['m98250'] = $skl['m98250'];
						$Sklad['rep']['m98260'] = $skl['m98260'];
						$Sklad['rep']['m98270'] = $skl['m98270'];
						$Sklad['rep']['m98280'] = $skl['m98280'];
						$Sklad['rep']['m98290'] = '0';
						break;

					case '7': // pack : Пакетиране
						$Sklad['pack']['m98100'] = $skl['m98100'];
						$Sklad['pack']['m98200'] = $skl['m98200'];
						$Sklad['pack']['m98210'] = $skl['m98210'];
						$Sklad['pack']['m98220'] = $skl['m98220'];
						$Sklad['pack']['m98230'] = $skl['m98230'];
						$Sklad['pack']['m98240'] = $skl['m98240'];
						$Sklad['pack']['m98250'] = $skl['m98250'];
						$Sklad['pack']['m98260'] = $skl['m98260'];
						$Sklad['pack']['m98270'] = $skl['m98270'];
						$Sklad['pack']['m98280'] = $skl['m98280'];
						$Sklad['pack']['m98290'] = $skl['m98290'];
						break;
						
					case '8': // out : Подизпълнители
						$Sklad['out']['m98100'] = $skl['m98100'];
						$Sklad['out']['m98200'] = $skl['m98200'];
						$Sklad['out']['m98210'] = $skl['m98210'];
						$Sklad['out']['m98220'] = $skl['m98220'];
						$Sklad['out']['m98230'] = $skl['m98230'];
						$Sklad['out']['m98240'] = $skl['m98240'];
						$Sklad['out']['m98250'] = $skl['m98250'];
						$Sklad['out']['m98260'] = $skl['m98260'];
						$Sklad['out']['m98270'] = $skl['m98270'];
						$Sklad['out']['m98280'] = $skl['m98280'];
						$Sklad['out']['m98290'] = $skl['m98290'];
						break;
					
					case '9': // exp : Екпедиция
						$Sklad['exp']['m98100'] = $skl['m98100'];
						$Sklad['exp']['m98200'] = $skl['m98200'];
						$Sklad['exp']['m98210'] = $skl['m98210'];
						$Sklad['exp']['m98220'] = $skl['m98220'];
						$Sklad['exp']['m98230'] = $skl['m98230'];
						$Sklad['exp']['m98240'] = $skl['m98240'];
						$Sklad['exp']['m98250'] = $skl['m98250'];
						$Sklad['exp']['m98260'] = $skl['m98260'];
						$Sklad['exp']['m98270'] = $skl['m98270'];
						$Sklad['exp']['m98280'] = $skl['m98280'];
						$Sklad['exp']['m98290'] = $skl['m98290'];
						break;
				}
			} // foreach($allSklad

			// архивира склад ДО сл.отчитане
			$all_zag = 	implode(',',$Sklad['zag']);
			$all_izm = 	implode(',',$Sklad['izm']);
			$all_brak = implode(',',$Sklad['brak']);
			$all_to_rep = implode(',',$Sklad['to_rep']);
			$all_otkk = implode(',',$Sklad['otkk']);
			$all_rep = 	implode(',',$Sklad['rep']);
			$all_pack = implode(',',$Sklad['pack']);
			$all_out = 	implode(',',$Sklad['out']);
			$all_exp = 	implode(',',$Sklad['exp']);

			$sklad_data = array(
					'date' => $date,
				  'shift' => $shift,
				    'zag' => $all_zag,
				    'izm' => $all_izm,
				   'brak' => $all_brak,
				 'to_rep' => $all_to_rep,
					'otkk' => $all_otkk,
					 'rep' => $all_rep,
					'pack' => $all_pack,
					 'out' => $all_out,
					 'exp' => $all_exp,
					 'del' => 0 );

			// Saves SKLAD archieve.		 
			$this->Macka->save_sklad_arch($sklad_data);


			foreach($report_work as $work)
			{
				$status = $work['status'];
				$order  = $work['order_id'];
				if($status>0 and $status<10)
				{
					switch ($status) 
					{
							case '1': // zag : заготовки
									$Sklad['zag']['m98200'] += $work['m98200'];
									$Sklad['zag']['m98210'] += $work['m98210'];
									$Sklad['zag']['m98220'] += $work['m98220'];
									$Sklad['zag']['m98230'] += $work['m98230'];
									$Sklad['zag']['m98240'] += $work['m98240'];
									$Sklad['zag']['m98250'] += $work['m98250'];
									$Sklad['zag']['m98260'] += $work['m98260'];
									$Sklad['zag']['m98270'] += $work['m98270'];
									$Sklad['zag']['m98280'] += $work['m98280'];
									
								if($order=='2')
								{
									$Sklad['out']['m98200'] -= $work['m98200'];
									$Sklad['out']['m98210'] -= $work['m98210'];
									$Sklad['out']['m98220'] -= $work['m98220'];
									$Sklad['out']['m98230'] -= $work['m98230'];
									$Sklad['out']['m98240'] -= $work['m98240'];
									$Sklad['out']['m98250'] -= $work['m98250'];
									$Sklad['out']['m98260'] -= $work['m98260'];
									$Sklad['out']['m98270'] -= $work['m98270'];
									$Sklad['out']['m98280'] -= $work['m98280'];
								}
								break;
							
							case '2': // izm : изработени маски
								$Sklad['izm']['m98200'] += $work['m98200']; $Sklad['zag']['m98200'] -= $work['m98200'];
								$Sklad['izm']['m98210'] += $work['m98210']; $Sklad['zag']['m98210'] -= $work['m98210'];
								$Sklad['izm']['m98220'] += $work['m98220']; $Sklad['zag']['m98220'] -= $work['m98220'];
								$Sklad['izm']['m98230'] += $work['m98230']; $Sklad['zag']['m98230'] -= $work['m98230'];
								$Sklad['izm']['m98240'] += $work['m98240']; $Sklad['zag']['m98240'] -= $work['m98240'];
								$Sklad['izm']['m98250'] += $work['m98250']; $Sklad['zag']['m98250'] -= $work['m98250'];
								$Sklad['izm']['m98260'] += $work['m98260']; $Sklad['zag']['m98260'] -= $work['m98260'];
								$Sklad['izm']['m98270'] += $work['m98270']; $Sklad['zag']['m98270'] -= $work['m98270'];
								$Sklad['izm']['m98280'] += $work['m98280']; $Sklad['zag']['m98280'] -= $work['m98280'];
								break;
								
							//	БРАК case '3': break;
							case '3': 
								if($order=='2') // външни - САМО заготовки
								{
									$Sklad['brak']['m98200'] -= $work['m98200']; $Sklad['zag']['m98200'] += $work['m98200'];
									$Sklad['brak']['m98210'] -= $work['m98210']; $Sklad['zag']['m98210'] += $work['m98210'];
									$Sklad['brak']['m98220'] -= $work['m98220']; $Sklad['zag']['m98220'] += $work['m98220'];
									$Sklad['brak']['m98230'] -= $work['m98230']; $Sklad['zag']['m98230'] += $work['m98230'];
									$Sklad['brak']['m98240'] -= $work['m98240']; $Sklad['zag']['m98240'] += $work['m98240'];
									$Sklad['brak']['m98250'] -= $work['m98250']; $Sklad['zag']['m98250'] += $work['m98250'];
									$Sklad['brak']['m98260'] -= $work['m98260']; $Sklad['zag']['m98260'] += $work['m98260'];
									$Sklad['brak']['m98270'] -= $work['m98270']; $Sklad['zag']['m98270'] += $work['m98270'];
									$Sklad['brak']['m98280'] -= $work['m98280']; $Sklad['zag']['m98280'] += $work['m98280'];
								}
								break;
							
							case '4': // to_rep : за ремонт
								$Sklad['rep']['m98200'] += $work['m98200']; $Sklad['izm']['m98200'] -= $work['m98200'];
								$Sklad['rep']['m98210'] += $work['m98210']; $Sklad['izm']['m98210'] -= $work['m98210'];
								$Sklad['rep']['m98220'] += $work['m98220']; $Sklad['izm']['m98220'] -= $work['m98220'];
								$Sklad['rep']['m98230'] += $work['m98230']; $Sklad['izm']['m98230'] -= $work['m98230'];
								$Sklad['rep']['m98240'] += $work['m98240']; $Sklad['izm']['m98240'] -= $work['m98240'];
								$Sklad['rep']['m98250'] += $work['m98250']; $Sklad['izm']['m98250'] -= $work['m98250'];
								$Sklad['rep']['m98260'] += $work['m98260']; $Sklad['izm']['m98260'] -= $work['m98260'];
								$Sklad['rep']['m98270'] += $work['m98270']; $Sklad['izm']['m98270'] -= $work['m98270'];
								$Sklad['rep']['m98280'] += $work['m98280']; $Sklad['izm']['m98280'] -= $work['m98280'];
								break;
								
							case '5': // otkk : ниво СЛЕД ОТКК ?!
								if($order=='2') // от Подизпълнители (външни)
								{
									$Sklad['out']['m98100'] -= $work['m98100'];
									$Sklad['out']['m98200'] -= $work['m98200'];
									$Sklad['out']['m98210'] -= $work['m98210'];
									$Sklad['out']['m98220'] -= $work['m98220'];
									$Sklad['out']['m98230'] -= $work['m98230'];
									$Sklad['out']['m98240'] -= $work['m98240'];
									$Sklad['out']['m98250'] -= $work['m98250'];
									$Sklad['out']['m98260'] -= $work['m98260'];
									$Sklad['out']['m98270'] -= $work['m98270'];
									$Sklad['out']['m98280'] -= $work['m98280'];
									$Sklad['out']['m98290'] -= $work['m98290'];
								}
								else // от изработените (вътрешни)
								{
									$Sklad['izm']['m98200'] -= $work['m98200'];
									$Sklad['izm']['m98210'] -= $work['m98210'];
									$Sklad['izm']['m98220'] -= $work['m98220'];
									$Sklad['izm']['m98230'] -= $work['m98230'];
									$Sklad['izm']['m98240'] -= $work['m98240'];
									$Sklad['izm']['m98250'] -= $work['m98250'];
									$Sklad['izm']['m98260'] -= $work['m98260'];
									$Sklad['izm']['m98270'] -= $work['m98270'];
									$Sklad['izm']['m98280'] -= $work['m98280'];
								}
								
								$Sklad['otkk']['m98200'] += $work['m98200'];
								$Sklad['otkk']['m98210'] += $work['m98210'];
								$Sklad['otkk']['m98220'] += $work['m98220'];
								$Sklad['otkk']['m98230'] += $work['m98230'];
								$Sklad['otkk']['m98240'] += $work['m98240'];
								$Sklad['otkk']['m98250'] += $work['m98250'];
								$Sklad['otkk']['m98260'] += $work['m98260'];
								$Sklad['otkk']['m98270'] += $work['m98270'];
								$Sklad['otkk']['m98280'] += $work['m98280'];
								break;

							case '6': // rep РЕМОНТ
								$Sklad['rep']['m98200'] -= $work['m98200']; $Sklad['otkk']['m98200'] += $work['m98200'];
								$Sklad['rep']['m98210'] -= $work['m98210']; $Sklad['otkk']['m98210'] += $work['m98210'];
								$Sklad['rep']['m98220'] -= $work['m98220']; $Sklad['otkk']['m98220'] += $work['m98220'];
								$Sklad['rep']['m98230'] -= $work['m98230']; $Sklad['otkk']['m98230'] += $work['m98230'];
								$Sklad['rep']['m98240'] -= $work['m98240']; $Sklad['otkk']['m98240'] += $work['m98240'];
								$Sklad['rep']['m98250'] -= $work['m98250']; $Sklad['otkk']['m98250'] += $work['m98250'];
								$Sklad['rep']['m98260'] -= $work['m98260']; $Sklad['otkk']['m98260'] += $work['m98260'];
								$Sklad['rep']['m98270'] -= $work['m98270']; $Sklad['otkk']['m98270'] += $work['m98270'];
								$Sklad['rep']['m98280'] -= $work['m98280']; $Sklad['otkk']['m98280'] += $work['m98280'];
								break;
								
							case '7': // PACK
								if($order=='2') // от Подизпълнители
								{
									$Sklad['out']['m98100'] -= $work['m98100'];
									$Sklad['out']['m98200'] -= $work['m98200'];
									$Sklad['out']['m98210'] -= $work['m98210'];
									$Sklad['out']['m98220'] -= $work['m98220'];
									$Sklad['out']['m98230'] -= $work['m98230'];
									$Sklad['out']['m98240'] -= $work['m98240'];
									$Sklad['out']['m98250'] -= $work['m98250'];
									$Sklad['out']['m98260'] -= $work['m98260'];
									$Sklad['out']['m98270'] -= $work['m98270'];
									$Sklad['out']['m98280'] -= $work['m98280'];
									$Sklad['out']['m98290'] -= $work['m98290'];
								}
								else
								{
									$Sklad['otkk']['m98100'] -= $work['m98100'];
									$Sklad['otkk']['m98200'] -= $work['m98200'];
									$Sklad['otkk']['m98210'] -= $work['m98210'];
									$Sklad['otkk']['m98220'] -= $work['m98220'];
									$Sklad['otkk']['m98230'] -= $work['m98230'];
									$Sklad['otkk']['m98240'] -= $work['m98240'];
									$Sklad['otkk']['m98250'] -= $work['m98250'];
									$Sklad['otkk']['m98260'] -= $work['m98260'];
									$Sklad['otkk']['m98270'] -= $work['m98270'];
									$Sklad['otkk']['m98280'] -= $work['m98280'];
									$Sklad['otkk']['m98290'] -= $work['m98290'];
								}
									$Sklad['pack']['m98100'] += $work['m98100'];
									$Sklad['pack']['m98200'] += $work['m98200'];
									$Sklad['pack']['m98210'] += $work['m98210'];
									$Sklad['pack']['m98220'] += $work['m98220'];
									$Sklad['pack']['m98230'] += $work['m98230'];
									$Sklad['pack']['m98240'] += $work['m98240'];
									$Sklad['pack']['m98250'] += $work['m98250'];
									$Sklad['pack']['m98260'] += $work['m98260'];
									$Sklad['pack']['m98270'] += $work['m98270'];
									$Sklad['pack']['m98280'] += $work['m98280'];
									$Sklad['pack']['m98290'] += $work['m98290'];
								break;
						
							case '8': // Външна Работа
								if($order=='2') // ЗА Подизпълнители
								{
									$Sklad['out']['m98100'] -= $work['m98100'];
									$Sklad['out']['m98200'] -= $work['m98200'];
									$Sklad['out']['m98210'] -= $work['m98210'];
									$Sklad['out']['m98220'] -= $work['m98220'];
									$Sklad['out']['m98230'] -= $work['m98230'];
									$Sklad['out']['m98240'] -= $work['m98240'];
									$Sklad['out']['m98250'] -= $work['m98250'];
									$Sklad['out']['m98260'] -= $work['m98260'];
									$Sklad['out']['m98270'] -= $work['m98270'];
									$Sklad['out']['m98280'] -= $work['m98280'];
									$Sklad['out']['m98290'] -= $work['m98290'];
								}
								break;
						
							case '9': // exp
								if($order=='2')  // За Подизпълнители
								{
									$Sklad['exp']['m98100'] += $work['m98100'];
									$Sklad['pack']['m98100'] -= $work['m98100'];

									$Sklad['exp']['m98200'] += $work['m98200'];
									$Sklad['pack']['m98200'] -= $work['m98200'];

									$Sklad['exp']['m98210'] += $work['m98210'];
									$Sklad['pack']['m98210'] -= $work['m98210'];
									
									$Sklad['exp']['m98220'] += $work['m98220'];
									$Sklad['pack']['m98220'] -= $work['m98220'];
									
									$Sklad['exp']['m98230'] += $work['m98230'];
									$Sklad['pack']['m98230'] -= $work['m98230'];
									
									$Sklad['exp']['m98240'] += $work['m98240'];
									$Sklad['pack']['m98240'] -= $work['m98240'];
										
									$Sklad['exp']['m98250'] += $work['m98250'];
									$Sklad['pack']['m98250'] -= $work['m98250'];
										
									$Sklad['exp']['m98260'] += $work['m98260'];
									$Sklad['pack']['m98260'] -= $work['m98260'];
									
									$Sklad['exp']['m98270'] += $work['m98270'];
									$Sklad['pack']['m98270'] -= $work['m98270'];
									
									$Sklad['exp']['m98280'] += $work['m98280'];
									$Sklad['pack']['m98280'] -= $work['m98280'];

									$Sklad['exp']['m98290'] += $work['m98290'];
									$Sklad['pack']['m98290'] -= $work['m98290'];
								}
								else // за всички останали - пак така за сега ?!
								{
									$Sklad['exp']['m98100'] += $work['m98100'];
									$Sklad['pack']['m98100'] -= $work['m98100'];

									$Sklad['exp']['m98200'] += $work['m98200'];
									$Sklad['pack']['m98200'] -= $work['m98200'];

									$Sklad['exp']['m98210'] += $work['m98210'];
									$Sklad['pack']['m98210'] -= $work['m98210'];

									$Sklad['exp']['m98220'] += $work['m98220'];
									$Sklad['pack']['m98220'] -= $work['m98220'];
									
									$Sklad['exp']['m98230'] += $work['m98230'];
									$Sklad['pack']['m98230'] -= $work['m98230'];
									
									$Sklad['exp']['m98240'] += $work['m98240'];
									$Sklad['pack']['m98240'] -= $work['m98240'];
										
									$Sklad['exp']['m98250'] += $work['m98250'];
									$Sklad['pack']['m98250'] -= $work['m98250'];
										
									$Sklad['exp']['m98260'] += $work['m98260'];
									$Sklad['pack']['m98260'] -= $work['m98260'];
									
									$Sklad['exp']['m98270'] += $work['m98270'];
									$Sklad['pack']['m98270'] -= $work['m98270'];
									
									$Sklad['exp']['m98280'] += $work['m98280'];
									$Sklad['pack']['m98280'] -= $work['m98280'];	
									
									$Sklad['exp']['m98290'] += $work['m98290'];
									$Sklad['pack']['m98290'] -= $work['m98290'];								
								}
								break;
					}
				
				} // if($status>0
				
			} // foreach($report_work


	/* -------------------------- SAVE ------------------------------ */
			// Заготовки - НУЛИРАНЕ
			/*
			if($Sklad['zag']['m98200']<0) {$Sklad['zag']['m98200']=0;}
			if($Sklad['zag']['m98210']<0) {$Sklad['zag']['m98210']=0;}
			if($Sklad['zag']['m98220']<0) {$Sklad['zag']['m98220']=0;}
			if($Sklad['zag']['m98230']<0) {$Sklad['zag']['m98230']=0;}
			if($Sklad['zag']['m98240']<0) {$Sklad['zag']['m98240']=0;}
			if($Sklad['zag']['m98250']<0) {$Sklad['zag']['m98250']=0;}
			if($Sklad['zag']['m98260']<0) {$Sklad['zag']['m98260']=0;}
			if($Sklad['zag']['m98270']<0) {$Sklad['zag']['m98270']=0;}
			if($Sklad['zag']['m98280']<0) {$Sklad['zag']['m98280']=0;}
			if($Sklad['zag']['m98290']<0) {$Sklad['zag']['m98290']=0;}
			*/
			
			$data_zag = array(
				'status' => '1',
				'type' => 'zag',
				'm98100' => 0,  
				'm98200' => $Sklad['zag']['m98200'],
				'm98210' => $Sklad['zag']['m98210'],
				'm98220' => $Sklad['zag']['m98220'],
				'm98230' => $Sklad['zag']['m98230'],
				'm98240' => $Sklad['zag']['m98240'],
				'm98250' => $Sklad['zag']['m98250'],
				'm98260' => $Sklad['zag']['m98260'],
				'm98270' => $Sklad['zag']['m98270'],
				'm98280' => $Sklad['zag']['m98280'],
				'm98290' => 0,
				'date' => $date );
			$this->Macka->update_sklad($data_zag,1);
			
			
			// Изработване
			$data_izm = array(
				'status' => '2',
				  'type' => 'izm',
				'm98100' => 0,
				'm98200' => $Sklad['izm']['m98200'],
				'm98210' => $Sklad['izm']['m98210'],
				'm98220' => $Sklad['izm']['m98220'],
				'm98230' => $Sklad['izm']['m98230'],
				'm98240' => $Sklad['izm']['m98240'],
				'm98250' => $Sklad['izm']['m98250'],
				'm98260' => $Sklad['izm']['m98260'],
				'm98270' => $Sklad['izm']['m98270'],
				'm98280' => $Sklad['izm']['m98280'],
				'm98290' => 0,
				'date' => $date );
			$this->Macka->update_sklad($data_izm,2);

			
			// Брак
			$data_brak = array(
				'status' => '3',
				  'type' => 'brak',
				'm98100' => 0,
				'm98200' => $Sklad['brak']['m98200'],
				'm98210' => $Sklad['brak']['m98210'],
				'm98220' => $Sklad['brak']['m98220'],
				'm98230' => $Sklad['brak']['m98230'],
				'm98240' => $Sklad['brak']['m98240'],
				'm98250' => $Sklad['brak']['m98250'],
				'm98260' => $Sklad['brak']['m98260'],
				'm98270' => $Sklad['brak']['m98270'],
				'm98280' => $Sklad['brak']['m98280'],
				'm98290' => 0,
				'date' => $date );
			$this->Macka->update_sklad($data_brak,3);

			
			// OTKK
			$data_otkk = array(
				'status' => '5',
				  'type' => 'otkk',
				'm98100' => 0,
				'm98200' => $Sklad['otkk']['m98200'],
				'm98210' => $Sklad['otkk']['m98210'],
				'm98220' => $Sklad['otkk']['m98220'],
				'm98230' => $Sklad['otkk']['m98230'],
				'm98240' => $Sklad['otkk']['m98240'],
				'm98250' => $Sklad['otkk']['m98250'],
				'm98260' => $Sklad['otkk']['m98260'],
				'm98270' => $Sklad['otkk']['m98270'],
				'm98280' => $Sklad['otkk']['m98280'],
				'm98290' => 0,
				'date' => $date );
			$this->Macka->update_sklad($data_otkk,5);
			
			
			// Ремонт
			if($Sklad['rep']['m98200']<0) {$Sklad['rep']['m98200']=0;}
			if($Sklad['rep']['m98210']<0) {$Sklad['rep']['m98210']=0;}
			if($Sklad['rep']['m98220']<0) {$Sklad['rep']['m98220']=0;}
			if($Sklad['rep']['m98230']<0) {$Sklad['rep']['m98230']=0;}
			if($Sklad['rep']['m98240']<0) {$Sklad['rep']['m98240']=0;}
			if($Sklad['rep']['m98250']<0) {$Sklad['rep']['m98250']=0;}
			if($Sklad['rep']['m98260']<0) {$Sklad['rep']['m98260']=0;}
			if($Sklad['rep']['m98270']<0) {$Sklad['rep']['m98270']=0;}
			if($Sklad['rep']['m98280']<0) {$Sklad['rep']['m98280']=0;}
			
			$data_rep = array(
				'status' => '6',
				'type' => 'rep',
				'm98100' => 0,
				'm98200' => $Sklad['rep']['m98200'],
				'm98210' => $Sklad['rep']['m98210'],
				'm98220' => $Sklad['rep']['m98220'],
				'm98230' => $Sklad['rep']['m98230'],
				'm98240' => $Sklad['rep']['m98240'],
				'm98250' => $Sklad['rep']['m98250'],
				'm98260' => $Sklad['rep']['m98260'],
				'm98270' => $Sklad['rep']['m98270'],
				'm98280' => $Sklad['rep']['m98280'],
				'm98290' => 0,
				'date' => $date
						);
			$this->Macka->update_sklad($data_rep,6);
			
			// Пакетиране
			$data_pack = array(
				'status' => '7',
				'type' => 'pack',
				'm98100' => $Sklad['pack']['m98100'],
				'm98200' => $Sklad['pack']['m98200'],
				'm98210' => $Sklad['pack']['m98210'],
				'm98220' => $Sklad['pack']['m98220'],
				'm98230' => $Sklad['pack']['m98230'],
				'm98240' => $Sklad['pack']['m98240'],
				'm98250' => $Sklad['pack']['m98250'],
				'm98260' => $Sklad['pack']['m98260'],
				'm98270' => $Sklad['pack']['m98270'],
				'm98280' => $Sklad['pack']['m98280'],
				'm98290' => $Sklad['pack']['m98290'],
				'date' => $date );
			$this->Macka->update_sklad($data_pack,7);
			

			// Подизпълнители
			if($Sklad['out']['m98100']<0) {$Sklad['out']['m98100']=0;}
			if($Sklad['out']['m98200']<0) {$Sklad['out']['m98200']=0;}
			if($Sklad['out']['m98210']<0) {$Sklad['out']['m98210']=0;}
			if($Sklad['out']['m98220']<0) {$Sklad['out']['m98220']=0;}
			if($Sklad['out']['m98230']<0) {$Sklad['out']['m98230']=0;}
			if($Sklad['out']['m98240']<0) {$Sklad['out']['m98240']=0;}
			if($Sklad['out']['m98250']<0) {$Sklad['out']['m98250']=0;}
			if($Sklad['out']['m98260']<0) {$Sklad['out']['m98260']=0;}
			if($Sklad['out']['m98270']<0) {$Sklad['out']['m98270']=0;}
			if($Sklad['out']['m98280']<0) {$Sklad['out']['m98280']=0;}
			if($Sklad['out']['m98290']<0) {$Sklad['out']['m98290']=0;}
			
			$data_pack = array(
				'status' => '8',
				'type' => 'out',
				'm98100' => $Sklad['out']['m98100'],
				'm98200' => $Sklad['out']['m98200'],
				'm98210' => $Sklad['out']['m98210'],
				'm98220' => $Sklad['out']['m98220'],
				'm98230' => $Sklad['out']['m98230'],
				'm98240' => $Sklad['out']['m98240'],
				'm98250' => $Sklad['out']['m98250'],
				'm98260' => $Sklad['out']['m98260'],
				'm98270' => $Sklad['out']['m98270'],
				'm98280' => $Sklad['out']['m98280'],
				'm98290' => $Sklad['out']['m98290'],
				'date' => $date );
			$this->Macka->update_sklad($data_pack,8);

			
			$data_exp = array(
				'status' => '9',
				'type' => 'exp',
				'm98100' => $Sklad['exp']['m98100'],
				'm98200' => $Sklad['exp']['m98200'],
				'm98210' => $Sklad['exp']['m98210'],
				'm98220' => $Sklad['exp']['m98220'],
				'm98230' => $Sklad['exp']['m98230'],
				'm98240' => $Sklad['exp']['m98240'],
				'm98250' => $Sklad['exp']['m98250'],
				'm98260' => $Sklad['exp']['m98260'],
				'm98270' => $Sklad['exp']['m98270'],
				'm98280' => $Sklad['exp']['m98280'],
				'm98290' => $Sklad['exp']['m98290'],
				'date' => $date );
			$this->Macka->update_sklad($data_exp,9);

			// Регистрация във Ведомостта SALDO
			$macka_id = $this->Macka->get_macka_id($vedom,$date,$shift,'SALDO',0);

			// SALDO
			if($shift!='outer') // нормално отчитане само EXP
			{
				$data = array(
					'macka_id' => $macka_id,
				 'order_id' => 0,
					  'date' => $date,
					 'shift' => $shift,
				  'machine' => 'SALDO',
					'm98100' => $Sklad['exp']['m98100'],
					'm98200' => $Sklad['exp']['m98200'],
					'm98210' => $Sklad['exp']['m98210'],
					'm98220' => $Sklad['exp']['m98220'],
					'm98230' => $Sklad['exp']['m98230'],
					'm98240' => $Sklad['exp']['m98240'],
					'm98250' => $Sklad['exp']['m98250'],
					'm98260' => $Sklad['exp']['m98260'],
					'm98270' => $Sklad['exp']['m98270'],
					'm98280' => $Sklad['exp']['m98280'],
					'm98290' => $Sklad['exp']['m98290'],
					'user_id' => $user_id,
					'status' => '0' );
			}
			else // само за Подизпълнители ниво '8'
			{
				$data = array(
					'macka_id' => $macka_id,
					'order_id' => 0,
						'date' => $date,
						'shift' => 'outer',
					'machine' => 'SALDO',
					'm98100' => $Sklad['out']['m98100'],
					'm98200' => $Sklad['out']['m98200'],
					'm98210' => $Sklad['out']['m98210'],
					'm98220' => $Sklad['out']['m98220'],
					'm98230' => $Sklad['out']['m98230'],
					'm98240' => $Sklad['out']['m98240'],
					'm98250' => $Sklad['out']['m98250'],
					'm98260' => $Sklad['out']['m98260'],
					'm98270' => $Sklad['out']['m98270'],
					'm98280' => $Sklad['out']['m98280'],
					'm98290' => $Sklad['out']['m98290'],
					'user_id' => $user_id,
					'status' => '0' );
			}
			
			$success = $this->Macka->save_vedom($data,$vedom);
			
		} // if(count($report_work)>0

	$this->view_list();
	}
	
	function analyse_mode()
	{
		$analyse_mode = $this->input->post("analyse_mode");
		$this->macka_lib->set_analyse_mode($analyse_mode);
		$this->view_list();
	}	
	
	/* =============================== GET ARCHIEVE SKLAD ============================ */
	public function get_sklad_data($sklad_id=0)
	{
		if($sklad_id and $this->Macka->exists_sklad_id($sklad_id))
		{
			$sklad = $this->Macka->get_sklad_info($sklad_id);
			
			print_r($sklad);
	
			die();
		}
		$this->view_list();
	}
	
	function sklad_mode()
	{
		$sklad_mode = $this->input->post("sklad_mode");
		$this->macka_lib->set_sklad_mode($sklad_mode);
		$this->view_list();
	}
	
	function edit_sklad()
	{
		$sklad = array();
		$allSklad = $this->Macka->get_sklad();
		
		foreach($allSklad as $mck)
			{ 	
				$status = $mck['status'];
				$sklad['98100'][$status] = (int)$mck['m98100'];
				$sklad['98200'][$status] = (int)$mck['m98200'];
				$sklad['98210'][$status] = (int)$mck['m98210'];
				$sklad['98220'][$status] = (int)$mck['m98220'];
				$sklad['98230'][$status] = (int)$mck['m98230'];
				$sklad['98240'][$status] = (int)$mck['m98240'];
				$sklad['98250'][$status] = (int)$mck['m98250'];
				$sklad['98260'][$status] = (int)$mck['m98260'];
				$sklad['98270'][$status] = (int)$mck['m98270'];
				$sklad['98280'][$status] = (int)$mck['m98280'];
				$sklad['98290'][$status] = (int)$mck['m98290'];
			}

		$data = array(
		'm98100' => $sklad['98100']['9'],
		'm98200' => $sklad['98200']['9'],
		'm98210' => $sklad['98210']['9'],
		'm98220' => $sklad['98220']['9'],
		'm98230' => $sklad['98230']['9'],
		'm98240' => $sklad['98240']['9'],
		'm98250' => $sklad['98250']['9'],
		'm98260' => $sklad['98260']['9'],
		'm98270' => $sklad['98270']['9'],
		'm98280' => $sklad['98280']['9'],
		'm98290' => $sklad['98290']['9'],
		
		'out98100' => $sklad['98100']['8'],
		'out98200' => $sklad['98200']['8'],
		'out98210' => $sklad['98210']['8'],
		'out98220' => $sklad['98220']['8'],
		'out98230' => $sklad['98230']['8'],
		'out98240' => $sklad['98240']['8'],
		'out98250' => $sklad['98250']['8'],
		'out98260' => $sklad['98260']['8'],
		'out98270' => $sklad['98270']['8'],
		'out98280' => $sklad['98280']['8'],
		'out98290' => $sklad['98290']['8'],
		
		'brak98100' => $sklad['98100']['3'],
		'brak98200' => $sklad['98200']['3'],
		'brak98210' => $sklad['98210']['3'],
		'brak98220' => $sklad['98220']['3'],
		'brak98230' => $sklad['98230']['3'],
		'brak98240' => $sklad['98240']['3'],
		'brak98250' => $sklad['98250']['3'],
		'brak98260' => $sklad['98260']['3'],
		'brak98270' => $sklad['98270']['3'],
		'brak98280' => $sklad['98280']['3'],
		'brak98290' => $sklad['98290']['3']
				);
				
		$this->load->view("mackas/edit_sklad", $data);
	}
	
	function save_sklad()
	{
			$data_exp = array(
				'status' => '9',
				'type' => 'exp',
				'm98100' => (int)$this->input->post("m98100"),
				'm98200' => (int)$this->input->post("m98200"),
				'm98210' => (int)$this->input->post("m98210"),
				'm98220' => (int)$this->input->post("m98220"),
				'm98230' => (int)$this->input->post("m98230"),
				'm98240' => (int)$this->input->post("m98240"),
				'm98250' => (int)$this->input->post("m98250"),
				'm98260' => (int)$this->input->post("m98260"),
				'm98270' => (int)$this->input->post("m98270"),
				'm98280' => (int)$this->input->post("m98280"),
				'm98290' => (int)$this->input->post("m98290"),
				  'date' => date('Y-m-d') );
			$this->Macka->update_sklad($data_exp,9);
	
			$data_pi = array(
				'status' => '8',
				'type' => 'out',
				'm98100' => (int)$this->input->post("out98100"),
				'm98200' => (int)$this->input->post("out98200"),
				'm98210' => (int)$this->input->post("out98210"),
				'm98220' => (int)$this->input->post("out98220"),
				'm98230' => (int)$this->input->post("out98230"),
				'm98240' => (int)$this->input->post("out98240"),
				'm98250' => (int)$this->input->post("out98250"),
				'm98260' => (int)$this->input->post("out98260"),
				'm98270' => (int)$this->input->post("out98270"),
				'm98280' => (int)$this->input->post("out98280"),
				'm98290' => (int)$this->input->post("out98290") );
			$this->Macka->update_sklad($data_pi,8);
	
			$data_brak = array(
				'status' => '3',
				'type' => 'brak',
				'm98100' => (int)$this->input->post("brak98100"),
				'm98200' => (int)$this->input->post("brak98200"),
				'm98210' => (int)$this->input->post("brak98210"),
				'm98220' => (int)$this->input->post("brak98220"),
				'm98230' => (int)$this->input->post("brak98230"),
				'm98240' => (int)$this->input->post("brak98240"),
				'm98250' => (int)$this->input->post("brak98250"),
				'm98260' => (int)$this->input->post("brak98260"),
				'm98270' => (int)$this->input->post("brak98270"),
				'm98280' => (int)$this->input->post("brak98280"),
				'm98290' => (int)$this->input->post("brak98290") );
			$this->Macka->update_sklad($data_brak,3);

		$this->view_list();
	}
	
	function del_daily_row($macka_id)
	{
		$date = $this->BiSOFT_Model->get_user_mode_date();
		$vedom = 'MACKA_Daily';
		$this->Macka->del_macka_id($vedom,$macka_id);
		$this->view_list();
	}
	
	function clear_daily()
	{
		$this->Macka->clear_daily();
		$this->view_list();
	}
	
	// ================================== РЕАЛЕН СТАРТ =================================== //
	public function view_list($data=array())
	{
	//	$data = array();
		$viewKey = $this->Macka->who_are_you();
		$data['date'] = $date = $this->BiSOFT_Model->get_user_mode_date();
		$vedom = 'MACKA_'.(int)date('Y',strtotime($date));
		$vedompre = 'MACKA_'.(int)date('Y',strtotime($date)).'_Pre';
		
		$data['location']  = $location = $this->BiSOFT_Model->get_location();
		$data['lang'] 		 = $this->config->item('language');
		$data['user_id'] 	 = $user_id = $this->BiSOFT_Model->get_person();
		$data['user_info'] = $this->Employee->get_logged_in_employee_info();
		
		$data['mode']  = $mode = $this->macka_lib->get_mode();
		$data['shift'] = $shift = $this->macka_lib->get_shift();
		$data['order'] = $order = $this->macka_lib->get_order();
		$data['macka'] = $macka = $this->macka_lib->get_macka();
		$data['machine'] 	= $machine = $this->macka_lib->get_machine();
		$data['presence'] = $this->macka_lib->get_presence();
		$data['month']    = $month = $this->macka_lib->get_month();
		if(!$month) { $data['month'] = $month = (int)date('m'); }
		$data['worker'] 	= $worker = $this->macka_lib->get_worker();
		$data['type_worker'] = $type_worker = $this->macka_lib->get_type_worker();
		
		// видове РЕЖИМИ НА РАБОТА    
      $data['modes'] = array(
			  
				  'daily' => 'ТЕКУЩ ОТЧЕТ',
				 'report' => 'ОТЧЕТ на Смяна',
			  'presence' => 'ПРИСЪСТВИЕ',
				 'orders' => 'ПОРЪЧКИ',
			  'personal' => 'ПЕРСОНАЛ',
			  'vedompre' => 'Седмично ПРИСЪСТВИЕ' );
				  
		if($viewKey)
		{
			$data['modes']['salary'] 	= 'Седмични ЗАРАБОТКИ';
         $data['modes']['monthpre'] = 'Месечно ПРИСЪСТВИЕ';
			$data['modes']['analyse'] 	= 'ИЗВАДКИ И АНАЛИЗИ';
			$data['modes']['sklad'] 	= 'Склад - МАСКИ';
		}
		else
		{
         $data['modes']['monthpre'] = 'Месечно ПРИСЪСТВИЕ';
			$data['modes']['analyse'] 	= 'ИЗВАДКИ ЗА ПЕРИОД';
			$data['modes']['sklad'] 	= 'Склад - МАСКИ'; 
		}
				  
		// видове СМЯНИ
		if($mode=='presence')
		{
			$data['shifts'] = array(
				 'day' => 'Дневна',
				 'mid' => 'Междинна',
			  'night' => 'Нощна' );
		}
		else
		{
			$data['shifts'] = array(
				 'day' => 'Дневна',
				 'mid' => 'Междинна',
			  'night' => 'Нощна' );
		}

			  
		if($mode=='salary' or $mode=='vedompre')
		{ 
			$data['shifts']['all'] = '= ВСИЧКО =';
		}
		elseif($mode=='report')
		{ $data['shifts']['outer'] = '- Външни -'; }
			  
		// видове РАБОТНИЦИ
      $data['type_workers'] = array(
             'era' => '= ERA =',
          'styler' => '= STYLER =',
          'oncash' => 'на хонорар',
             'all' => 'ВСИЧКИ' );
			  
		// видове ПРИСЪСТВИЕ    
      $data['presences'] = array(
				 '10' => '1ч',
				 '15' => '1:30ч',
				 '20' => '2ч',
				 '25' => '2:30ч',
				 '30' => '3ч',
				 '35' => '3:30ч',
				 '40' => '4ч',
				 '45' => '4:30ч',
				 '50' => '5ч',
				 '55' => '5:30ч',
				 '60' => '6ч',
				 '65' => '6:30ч',
				 '70' => '7ч',
				 '75' => '7:30ч',
				 '80' => '- 8ч -',
				 '85' => '8:30ч',
				 '90' => '9ч',
				 '95' => '9:30ч',
				'100' => '10ч',
				'105' => '10:30ч',
				'110' => '11ч',
				'115' => '11:30ч',
				'120' => '12ч' );
               
		// месеците    
      $data['all_months'] = array(
				 '1' => 'януари',
				 '2' => 'февруари',
				 '3' => 'март',
				 '4' => 'април',
				 '5' => 'май',
				 '6' => 'юни',
				 '7' => 'юли',
				 '8' => 'август',
				 '9' => 'септември',
            '10' => 'октомври',
            '11' => 'ноември',
            '12' => 'декември' );               
               
		// видове МАШИНИ
		if($shift!='outer')
		{
			$data['machines'] = array(
						  '0' => '= РАБОТНО МЕСТО =',
               'auto_1' => '(Автомат-1)',
               'auto_2' => '(Автомат-2)',
               'auto_4' => '(Автомат-4) детски',
               'auto_6' => '(Автомат-6) детски',
               'line_1' => 'Линия-1',
               'line_2' => 'Линия-2',
               'line_3' => 'Линия-3',
               'line_4' => 'Линия-4 детска',
               'line_5' => 'Линия-5 детска',
               'line_6' => 'Линия-6 детска',
				  'sling_1' => 'Ръчна Ластик-1',
				  'sling_2' => 'Ръчна Ластик-2',
				  'sling_3' => 'Ръчна Ластик-3',
				 'asling_1' => 'Автомат Ластик-1',
				 'asling_2' => 'Автомат Ластик-2',
				 'asling_3' => 'Автомат Ластик-3',
			//			 '-1' => '-----------------',
				'to_repair' => 'за РЕМОНТ +',
					  'otkk' => 'ОТКК',
				 'repaired' => 'от РЕМОНТ -',
					  'pack' => 'Ръчно Пакетиране',
				 'autopack' => 'Пакетираща Машина',
						'exp' => '= ЗА ЕКСПЕДИЦИЯ =');
		}
		else // само за Подизпълнители
		{
			$data['machines'] = array(
						  '0' => '= ОПЕРАЦИЯ =',
               'auto_1' => 'от Заготовки',
					  'otkk' => 'към ОТКК',
					  'pack' => 'към Пакетиране',
					    '-1' => '---------------',
				 'zag_brak' => 'БРАК заготовки',
			//	 'rep_brak' => 'БРАК от ремонт' 
				 );
		}
               
		// видове MACKA    
      $data['mackas'] = array(
						 '0' => '= МОДЕЛ МАСКИ =',
					'98100' => '981xx - Маски РЪЧНИ',
               '98200' => '98200 - Маски БЯЛИ IIR',
               '98210' => '98210 - Детски ПЕЧАТ IIR',
               '98220' => '98220 - Маски MIX многоцв.IIR',
               '98230' => '98230 - Маски ЧЕРНА IIR',
               '98240' => '98240 - Маски РОЗОВИ IIR',
               '98250' => '98250 - Маски Ср.ЙОНИ IIR',
               '98260' => '98260 - Детски многоцв.IIR',
               '98270' => '98270 - Детски СИНИ IIR',
               '98280' => '98280 - Маски СИНИ IIR',
               '98290' => '98290 - Маски FFP2' 
									);
               
		// видове ПОРЪЧКИ
		$data['all_orders'] = $this->Macka->get_orders(date("Y"));
		$data['all_active_orders'] = $this->Macka->get_active_orders();

		if($shift!='outer')
		{
			// ОРДЕРИ - всичко без ВЪНШНИ
			$data['orders'] = array('-1'=>'= ПОРЪЧКА =');
			foreach($data['all_active_orders'] as $ord)
			{
				$eachOrder   = $ord['order_id'];
				$client_info = $this->Macka->get_order_info($eachOrder);
				if($client_info)
				{ $data['orders'][$eachOrder] = $eachOrder.' - '.$client_info->client; }
			}
		}
		else
		{ $data['orders']['2'] = '- Подизпълнител -'; }
		
	//	$data['orders']['2'] = '- Подизпълнител -';
		$data['orders']['1'] = '= STYLER Екип =';

		if($mode=='sklad')
		{ 
			$data['mackas']['all'] = '= ВСИЧКИ МАСКИ =';
			$arch_info = $this->Macka->get_sklad_arch();
			$data['sklad_save'] = $this->macka_lib->get_sklad_mode(); 
			$data['sklad_saves']['0'] = 'РЕАЛЕН СКЛАД';
			if($arch_info)
			{
				foreach($arch_info as $arch)
				{
					$sklad_id = $arch['sklad_id'];
					$date_sh = date('d.m',strtotime($arch['date']));
					$shift = $arch['shift'];
						$shift_txt = 'дневна';
						if($shift=='mid') { $shift_txt = 'межд.'; }
						elseif($shift=='night') { $shift_txt = 'нощна'; }
						elseif($shift=='outer') { $shift_txt = 'външна'; }

					$data['sklad_saves'][$sklad_id] = "$date_sh / $shift_txt";
				}
			}
		}
               
		// видове РАБОТА 
		$data['rabota']  = $this->macka_lib->get_rabota();
      $data['rabotas'] = array(
					'0' => '= РАБОТА =',
				 'zag' => 'заготовки',
				 'izm' => 'изработване',
				'pack' => 'пакетиране',
			 'repair' => 'маш.ремонт',
			  'other' => 'доп.работа' );         
               
      // хората ...
      $all_workers = $this->Macka->get_all_workers();
      $data['workers'] = array('all' => '= ИЗБЕРЕТЕ РАБОТНИК =');
      if($all_workers)
      {
         $data['workers']['era'] = '========== ERA ===========';
			foreach($all_workers as $worker)
			{	
				$status = $worker['status'];
				if($status==2) // ERA
				{
					$bisoft_id = $worker['bisoft_id'];
					if($bisoft_id)	
					{ $data['workers'][$bisoft_id] = $worker['name']; }
				}
			}
			
			$data['workers']['styler'] = '========= STYLER =========';
			
			foreach($all_workers as $worker)
			{	
				$status = $worker['status'];
				if($status==1) // STYLER
				{
					$bisoft_id = $worker['bisoft_id'];
					if($bisoft_id)	
					{ $data['workers'][$bisoft_id] = $worker['name']; }
				}
			}
			
			$data['workers']['oncash'] = '========== други ==========';
			
			foreach($all_workers as $worker)
			{	
				$status = $worker['status'];
				if(!$status) // външни работници
				{
					$bisoft_id = $worker['bisoft_id'];
					if($bisoft_id)	
					{ $data['workers'][$bisoft_id] = $worker['name']; }
				}
			}
      }

      // зарежда деня ...
      $data['subtitle']  = 'дата: '.date('d.m.Y',strtotime($date));
      if($mode=='sklad') { $data['subtitle']  = 'дата: '.date('d.m.Y'); }
      
      $data['report_saldo_key'] = 0;
      $data['daily_saldo_key']  = 0;
      if($mode=='report') // Дневен Отчет
      {
			$data['title'] = 'ОТЧЕТ НА ДНЕВНА СМЯНА';
			if($shift=='mid') { $data['title'] = 'ОТЧЕТ НА МЕЖДИННА СМЯНА'; }
			elseif($shift=='night') { $data['title'] = 'ОТЧЕТ НА НОЩНА СМЯНА'; }
			elseif($shift=='outer') { $data['title'] = 'ОТЧЕТ НА ПОДИЗПЪЛНИТЕЛИ'; }
			
			$data['report_saldo'] = $this->Macka->get_report_saldo($vedom,$date,$shift);
			if($data['report_saldo']) 
			{
				$data['title'] = '<b style="color:#b00;">'.$data['title'].'</b>';
				$data['report_saldo_key'] = 1; 
			}
			
			$data['report_work'] = $report_work = $this->Macka->get_vedom($vedom,$date,$shift);
			$data['report_work_table'] = array(	'zag'=>array('msk'=>0,'kids'=>0,'sum'=>0),
															'izm'=>array('msk'=>0,'kids'=>0,'sum'=>0),
															'brak'=>array('msk'=>0,'kids'=>0,'sum'=>0),
															'to_rep'=>array('msk'=>0,'kids'=>0,'sum'=>0),
															'otkk'=>array('msk'=>0,'kids'=>0,'sum'=>0),
															'rep'	=>array('msk'=>0,'kids'=>0,'sum'=>0),
															'pack'=>array('msk'=>0,'kids'=>0,'sum'=>0),
															'out'	=>array('msk'=>0,'kids'=>0,'sum'=>0),
															'exp'	=>array('msk'=>0,'kids'=>0,'sum'=>0) );
			if(count($report_work)>0)
			{
				foreach($report_work as $work)
				{
					$status = $work['status'];
					if($status>0 and $status<10)
					{
						// нормални маски
						$msk = $work['m98200'] + $work['m98220'] + $work['m98230'] + $work['m98240'] +
								 $work['m98250'] + $work['m98280'] + $work['m98290'] + $work['m98100'];
									
						// само детски
						$kids	= $work['m98210'] + $work['m98260'] + $work['m98270'];
						
						$qty = $msk + $kids;
						
						switch ($status) 
						{
							case '1': $data['report_work_table']['zag']['sum']	 	+= $qty;
										 $data['report_work_table']['zag']['msk'] 	+= $msk;
										 $data['report_work_table']['zag']['kids']	+= $kids; break;
							case '2': $data['report_work_table']['izm']['sum']		+= $qty;
										 $data['report_work_table']['izm']['msk']		+= $msk;
										 $data['report_work_table']['izm']['kids']	+= $kids; break;
							case '3': $data['report_work_table']['brak']['sum']	+= $qty;
										 $data['report_work_table']['brak']['msk']	+= $msk;
										 $data['report_work_table']['brak']['kids']	+= $kids; break;
							case '4': $data['report_work_table']['to_rep']['sum']	+= $qty;
										 $data['report_work_table']['to_rep']['msk'] += $msk;
										 $data['report_work_table']['to_rep']['kids']+= $kids; break;
							case '5': $data['report_work_table']['otkk']['sum']	+= $qty;
										 $data['report_work_table']['otkk']['msk']	+= $msk;
										 $data['report_work_table']['otkk']['kids']	+= $kids; break;			 
							case '6': $data['report_work_table']['rep']['sum']		+= $qty;
										 $data['report_work_table']['rep']['msk'] 	+= $msk;
										 $data['report_work_table']['rep']['kids']	+= $kids; break;
							case '7': $data['report_work_table']['pack']['sum']	+= $qty;
										 $data['report_work_table']['pack']['msk']	+= $msk;
										 $data['report_work_table']['pack']['kids']	+= $kids; break;		
							case '8': $data['report_work_table']['out']['sum']	 	+= $qty;
										 $data['report_work_table']['out']['msk'] 	+= $msk;
										 $data['report_work_table']['out']['kids']  	+= $kids; break;
							case '9': $data['report_work_table']['exp']['sum']	 	+= $qty;
										 $data['report_work_table']['exp']['msk'] 	+= $msk;
										 $data['report_work_table']['exp']['kids']  	+= $kids; break;
						}
					}
					
				} // foreach($report_work

			} // if(count($report_work)>0)
			
      }
      elseif($mode=='daily') // Текущ Отчет
      {
			$data['title'] = 'ТЕКУЩ ОТЧЕТ - МАСКИ';
			$shift=='daily';

			$data['daily_work'] = $daily_work = $this->Macka->get_daily();
			$data['daily_work_table'] = array(	 'zag'=>array('msk'=>0,'kids'=>0,'sum'=>0),
															 'izm'=>array('msk'=>0,'kids'=>0,'sum'=>0),
															'brak'=>array('msk'=>0,'kids'=>0,'sum'=>0),
														 'to_rep'=>array('msk'=>0,'kids'=>0,'sum'=>0),
															'otkk'=>array('msk'=>0,'kids'=>0,'sum'=>0),
															'rep'	=>array('msk'=>0,'kids'=>0,'sum'=>0),
															'pack'=>array('msk'=>0,'kids'=>0,'sum'=>0),
															'out'	=>array('msk'=>0,'kids'=>0,'sum'=>0),
															'exp'	=>array('msk'=>0,'kids'=>0,'sum'=>0) );
			if(count($daily_work)>0)
			{
				foreach($daily_work as $work)
				{
					$status = $work['status'];
					if($status>0 and $status<10)
					{
						$msk = $work['m98200'] + $work['m98220'] + $work['m98230'] + $work['m98240'] +
								 $work['m98250'] + $work['m98280'] + $work['m98290'] + $work['m98100'];
									
						// само детски
						$kids	= $work['m98210'] + $work['m98260'] + $work['m98270'];
						$qty = $msk + $kids;
						
						switch ($status) 
						{
							case '1': $data['daily_work_table']['zag']['sum']	 += $qty;
										 $data['daily_work_table']['zag']['msk'] 	 += $msk;
										 $data['daily_work_table']['zag']['kids']  += $kids; break;
							case '2': $data['daily_work_table']['izm']['sum']	 += $qty;
										 $data['daily_work_table']['izm']['msk'] 	 += $msk;
										 $data['daily_work_table']['izm']['kids']  += $kids; break;
							case '3': $data['daily_work_table']['brak']['sum']	 += $qty;
										 $data['daily_work_table']['brak']['msk']  += $msk;
										 $data['daily_work_table']['brak']['kids'] += $kids; break;
							case '4': $data['daily_work_table']['to_rep']['sum']	+= $qty;
										 $data['daily_work_table']['to_rep']['msk']  += $msk;
										 $data['daily_work_table']['to_rep']['kids'] += $kids; break;
							case '5': $data['daily_work_table']['otkk']['sum']	 += $qty;
										 $data['daily_work_table']['otkk']['msk']  += $msk;
										 $data['daily_work_table']['otkk']['kids'] += $kids; break;			 
							case '6': $data['daily_work_table']['rep']['sum']	 += $qty;
										 $data['daily_work_table']['rep']['msk'] 	 += $msk;
										 $data['daily_work_table']['rep']['kids']  += $kids; break;
							case '7': $data['daily_work_table']['pack']['sum']	 += $qty;
										 $data['daily_work_table']['pack']['msk']  += $msk;
										 $data['daily_work_table']['pack']['kids'] += $kids; break;		
							case '8': $data['daily_work_table']['out']['sum']	 += $qty;
										 $data['daily_work_table']['out']['msk'] 	 += $msk;
										 $data['daily_work_table']['out']['kids']  += $kids; break;
							case '9': $data['daily_work_table']['exp']['sum']	 += $qty;
										 $data['daily_work_table']['exp']['msk'] 	 += $msk;
										 $data['daily_work_table']['exp']['kids']  += $kids; break;
						}
					}
					
				} // foreach($daily_work

			} // if(count($daily_work)>0)

      }
      elseif($mode=='presence') 
		{ 
			$data['title'] = 'ПРИСЪСТВИЕ - МАСКИ'; 
			$data['daily_presence'] = $this->Macka->get_presence($vedompre,$date,$shift);
			
			// специлно за таблицата на Силвия
			$daily_all = $this->Macka->get_vedom($vedom,$date,$shift);
			$data['daily_table'] = array('zag'=>0,'izm'=>0,'pack'=>0,'out'=>0);

			if(count($daily_all)>0)
			{
				foreach($daily_all as $work)
				{
					$status = $work['status'];
					if($status>0 and $status<10)
					{
						$qty = $work['m98200'] + $work['m98210'] + $work['m98220'] + $work['m98230'] + $work['m98240'] +
								 $work['m98250'] + $work['m98260'] + $work['m98270'] + $work['m98280'] + $work['m98290'] +
								 $work['m98100'];
						switch ($status) 
						{
							case '1': $data['daily_table']['zag'] 	+= $qty; break;
							case '2': $data['daily_table']['izm']  += $qty; break;
							case '5': $data['daily_table']['pack'] += $qty; break;
							case '7': $data['daily_table']['pack']	+= $qty; break;
							case '8': $data['daily_table']['out']	+= $qty; break;
						}
					}
					
				} // foreach($daily_all

			} // if(count($daily_work)>0)
			
		}
		elseif($mode=='personal') 
		{ 
         $status = $this->macka_lib->get_type_worker();
			$personal = $this->Macka->get_personal($status);
			$data['personal'] = $personal;
			$data['title'] = 'ПЕРСОНАЛ - МАСКИ';
		}
      elseif($mode=='salary' or $mode=='vedompre')   
      {
			$startDay = $this->macka_lib->get_startDay();
			$endDay 	 = $this->macka_lib->get_endDay();
			if(!$startDay and !$endDay)
			{
				$toDay = date('Y-m-d');
				$weekDay = date('N', strtotime($toDay));
				$fixStDay  = $weekDay + 6;
				$fixEndDay = $weekDay;	

				$data['startDay'] = date('Y-m-d', mktime(0,0,0,date("m"),date("d")-$fixStDay,date("Y")));
				$data['endDay'] 	= date('Y-m-d', mktime(0,0,0,date("m"),date("d")-$fixEndDay,date("Y")));
			}
			else
			{
				$data['startDay'] = $startDay;
				$data['endDay'] 	= $endDay;
			}
			
			$this->macka_lib->set_startDay($data['startDay']);
			$this->macka_lib->set_endDay($data['endDay']);
      
			$data['subtitle'] = 'за период: '.date('d.m.Y',strtotime($data['startDay'])).' - '.date('d.m.Y',strtotime($data['endDay']));
			
			if($mode=='salary') { $data['title'] = 'СЕДМИЧНИ ЗАРАБОТКИ'; }
			else { $data['title'] = 'СЕДМИЧНО ПРИСЪСТВИЕ'; }
         if($shift=='day') { $data['title'] .= ' - ДНЕВНА СМЯНА'; }
			elseif($shift=='mid') { $data['title'] .= ' - МЕЖДИННА СМЯНА'; }
			elseif($shift=='night') { $data['title'] .= ' - НОЩНА СМЯНА'; }
			elseif($shift=='all') { $data['title'] .= ''; }
			$data['title'] .= ' - МАСКИ';

			$data['salary'] = $data['allSalary'] = $perData = array();

			if($shift=='all')
			{
				$allSalary = $this->Macka->get_salary($vedompre,0,$type_worker,$data['startDay'],$data['endDay']);
				if(count($allSalary)>0)
				{
					$data['allSalary'] = $allSalary;
					foreach($allSalary as $row)
					{
						$bisoft_id = $row['bisoft_id'];
						$name  = trim($this->Macka->get_worker_name($bisoft_id));
						$hours = (float)$row['HOURS'];
						$sht = $row['shift'];
						
						if(!isset($perData[$name]))
							{ 
								$perData[$name]['night'] = 
								$perData[$name]['mid']   = 
								$perData[$name]['day']   = 0;
							}
								
							$perData[$name]['bisoft_id']  = $bisoft_id;
							if($sht=='day') 		 { $perData[$name]['day'] += $hours; }
							elseif($sht=='mid') 	 { $perData[$name]['mid'] += $hours; }
							elseif($sht=='night') { $perData[$name]['night'] += $hours; }
					}
				}
			}
			else
			{
				$allSalary = $this->Macka->get_salary($vedompre,$shift,$type_worker,$data['startDay'],$data['endDay']);
				if(count($allSalary)>0)
				{
					foreach($allSalary as $row)
					{
						$bisoft_id = $row['bisoft_id'];
						$name  = trim($this->Macka->get_worker_name($bisoft_id));
						$hours  = (float)$row['HOURS'];
						
						if(!isset($perData[$name]))
							{ 
								$perData[$name]['night'] = 
								$perData[$name]['mid']   = 
								$perData[$name]['day']   = 0;
							}
								
							$perData[$name]['bisoft_id']  = $bisoft_id;
							if($shift=='day') 		{ $perData[$name]['day'] += $hours; }
							elseif($shift=='mid') 	{ $perData[$name]['mid'] += $hours; }
							elseif($shift=='night') { $perData[$name]['night'] += $hours; }
					} // foreach($allSalary
				}
			}
			
			ksort($perData);	// сортира по име ...
			$data['salary'] = $perData;
		}
      elseif($mode=='monthpre') // месечно присъствие
      {
         $data['startDay'] = date('Y-m-d', mktime(0,0,0,$month,'1',date("Y")));
			$data['endDay'] 	= date('Y-m-d', mktime(0,0,0,$month,'31',date("Y")));
				
			if($month=='4' or $month=='6' or $month=='9' or $month=='11')
         { $data['endDay'] 	= date('Y-m-d', mktime(0,0,0,$month,'30',date("Y"))); }
			elseif($month=='2')
         { $data['endDay'] 	= date('Y-m-d', mktime(0,0,0,$month,'28',date("Y"))); }
			
			$startDay = $data['startDay'];
			$endDay   = $data['endDay'];

         $yearPre  = date('Y');
         $vedomPre = "MACKA_$yearPre"."_Pre";
         $data['month_data'] = array();
         // $status = $this->macka_lib->get_type_worker();
         
         $monthData = $this->Macka->get_pre_month($vedomPre,$startDay,$endDay,$type_worker);
         if($monthData)
         {
            $id = $id_prev = 0;
            foreach($monthData as $row)
            {
               $id = $row['bisoft_id'];
               $day = (int)date('d',strtotime($row['date']));
               
               if(!isset($data['month_data'][$id]))
               {
                  $data['month_data'][$id] = array(
                     '1'=>'0','2'=>'0','3'=>'0','4'=>'0','5'=>'0','6'=>'0','7'=>'0','8'=>'0','9'=>'0','10'=>'0',
                     '11'=>'0','12'=>'0','13'=>'0','14'=>'0','15'=>'0','16'=>'0','17'=>'0','18'=>'0','19'=>'0',
                     '20'=>'0','21'=>'0','22'=>'0','23'=>'0','24'=>'0','25'=>'0','26'=>'0','27'=>'0','28'=>'0',
                     '29'=>'0','30'=>'0','31'=>'0' );
               }
               $data['month_data'][$id][$day] += $row['HOURS'];
            }
         }

         $data['title'] = 'МЕСЕЧНО ПРИСЪСТВИЕ - МАСКИ';
			$data['subtitle'] = 'за период: '.date('d.m.Y',strtotime($data['startDay'])).' - '.date('d.m.Y',strtotime($data['endDay']));
      }
      elseif($mode=='sklad')    
      { 
			$data['Sklad'] = array();
			$data['title'] = 'СКЛАД - МАСКИ';
			$data['allSklad'] = $allSklad = $this->Macka->get_sklad();

			foreach($allSklad as $mck)
			{ 	
				$status = $mck['status'];
				$data['Sklad']['98100'][$status] = (int)$mck['m98100'];
				$data['Sklad']['98200'][$status] = (int)$mck['m98200'];
				$data['Sklad']['98210'][$status] = (int)$mck['m98210'];
				$data['Sklad']['98220'][$status] = (int)$mck['m98220'];
				$data['Sklad']['98230'][$status] = (int)$mck['m98230'];
				$data['Sklad']['98240'][$status] = (int)$mck['m98240'];
				$data['Sklad']['98250'][$status] = (int)$mck['m98250'];
				$data['Sklad']['98260'][$status] = (int)$mck['m98260'];
				$data['Sklad']['98270'][$status] = (int)$mck['m98270'];
				$data['Sklad']['98280'][$status] = (int)$mck['m98280'];
				$data['Sklad']['98290'][$status] = (int)$mck['m98290'];
			}
		}
		elseif($mode=='orders')   
		{ $data['title'] = 'ПОРЪЧКИ - МАСКИ'; }
      elseif($mode=='analyse')  
      { 
			$data['title'] = 'АНАЛИЗ НА ОТЧЕТИТЕ';
			$startDay = $this->macka_lib->get_startDay();
			$endDay 	 = $this->macka_lib->get_endDay();
			if(!$startDay and !$endDay)
			{
				$toDay = date('Y-m-d');
				$weekDay = date('N', strtotime($toDay));
				$fixStDay  = $weekDay + 6;
				$fixEndDay = $weekDay;	

				$data['startDay'] = date('Y-m-d', mktime(0,0,0,date("m"),date("d")-$fixStDay,date("Y")));
				$data['endDay'] 	= date('Y-m-d', mktime(0,0,0,date("m"),date("d")-$fixEndDay,date("Y")));
			}
			else
			{
				$data['startDay'] = $startDay;
				$data['endDay'] 	= $endDay;
			}
			
			$this->macka_lib->set_startDay($data['startDay']);
			$this->macka_lib->set_endDay($data['endDay']);
			
			$data['analyse_shift']  = $analyse_shift = $this->macka_lib->get_analyse_mode(); 
			$data['analyse_shifts'] = array(
					  '0' => 'ВСИЧКИ ОТЧЕТИ',
					'day' => 'Дневна Смяна',
					'mid' => 'Междинна Смяна',
				 'night' => 'Нощна Смяна',
				 'outer' => '= Външни =');
      
			$data['subtitle'] = 'за период: '.date('d.m.Y',strtotime($data['startDay'])).' - '.date('d.m.Y',strtotime($data['endDay']));
			
			// стойности - да се теглят от SKLAD
			$data['costs'] = $costs = array(
				'm100' => 0.15,
				'm200' => 0.0489,
				'm210' => 0.0587,
				'm220' => 0.0587,
				'm230' => 0.0587,
				'm240' => 0.0587,
				'm250' => 0.1560,
				'm260' => 0.0489,
				'm270' => 0.0489,
				'm280' => 0.0489,
				'm290' => 0.0535 );
				
			
			// ИЗВАДКИ
			$startDay = $data['startDay'];
			$endDay = $data['endDay'];
			
			$zags = $toreps = $reps = $exps = $cehs = $result = $totals = array(
				'm100' => 0, 'm200' => 0, 'm210' => 0, 'm220' => 0, 'm230' => 0, 'm240' => 0, 
				'm250' => 0, 'm260' => 0, 'm270' => 0, 'm280' => 0, 'm290' => 0 );
				
				
			$data['totals'] = array(
					'exp' => 0, 'exp_cost' => 0,
					 'in' => 0,  'in_cost' => 0,
					'out' => 0, 'out_cost' => 0,
					'zag' => 0, 'zag_cost' => 0,
								);	
			
			// ИЗВАДКИ ZAG = 1
			$all_zag = $this->Macka->get_vedom_period($analyse_shift,$startDay,$endDay,'1');
			if($all_zag) 
				{ 
					$zags = $all_zag[0]; 
					$data['zags'] = array(
						'm100'=>$zags['m100'], 'm200'=>$zags['m200'], 'm210'=>$zags['m210'], 'm220'=>$zags['m220'], 
						'm230'=>$zags['m230'], 'm240'=>$zags['m240'], 'm250'=>$zags['m250'], 'm260'=>$zags['m260'], 
						'm270'=>$zags['m270'], 'm280'=>$zags['m280'], 'm290'=>$zags['m290'] );
					$zags = $data['zags'];
					$data['totals']['zag'] = $zags['m100'] + $zags['m200'] + $zags['m210'] + $zags['m220'] + $zags['m230'] + 
													 $zags['m240'] + $zags['m250'] + $zags['m260'] + $zags['m270'] + $zags['m280'] + $zags['m290'];								 
				}
			
			// ИЗВАДКИ TO_REPAIR = 4
			$all_torep = $this->Macka->get_vedom_period($analyse_shift,$startDay,$endDay,'4');
			if($all_torep) 
				{ 
					$toreps = $all_torep[0]; 
					$data['toreps'] = array(
						'm100'=>$toreps['m100'], 'm200'=>$toreps['m200'], 'm210'=>$toreps['m210'], 'm220'=>$toreps['m220'], 
						'm230'=>$toreps['m230'], 'm240'=>$toreps['m240'], 'm250'=>$toreps['m250'], 'm260'=>$toreps['m260'], 
						'm270'=>$toreps['m270'], 'm280'=>$toreps['m280'], 'm290'=>$toreps['m290'] );
					$toreps = $data['toreps'];
				}
			else
				{
					$toreps = $data['toreps'] = array(
							'm100' => 0, 'm200' => 0, 'm210' => 0, 'm220' => 0, 'm230' => 0, 'm240' => 0, 
							'm250' => 0, 'm260' => 0, 'm270' => 0, 'm280' => 0, 'm290' => 0 );
				}
			
			// ИЗВАДКИ REPAIRED = 6
			$all_rep = $this->Macka->get_vedom_period($analyse_shift,$startDay,$endDay,'6');
			if($all_rep) 
				{ 
					$freps = $all_rep[0]; 
					$data['fromreps'] = array(
						'm100'=>$freps['m100'], 'm200'=>$freps['m200'], 'm210'=>$freps['m210'], 'm220'=>$freps['m220'], 
						'm230'=>$freps['m230'], 'm240'=>$freps['m240'], 'm250'=>$freps['m250'], 'm260'=>$freps['m260'], 
						'm270'=>$freps['m270'], 'm280'=>$freps['m280'], 'm290'=>$freps['m290'] );
					$freps = $data['fromreps'];
				}
			else
				{
					$freps = $data['fromreps'] = array(
							'm100' => 0, 'm200' => 0, 'm210' => 0, 'm220' => 0, 'm230' => 0, 'm240' => 0, 
							'm250' => 0, 'm260' => 0, 'm270' => 0, 'm280' => 0, 'm290' => 0 );
				}
				
			// RESULT from REPAIRS
			if($all_torep and $all_rep) 
				{ 
					$reps = $data['reps'] = array(
							'm100' => $toreps['m100'] - $freps['m100'],
							'm200' => $toreps['m200'] - $freps['m200'],
							'm210' => $toreps['m210'] - $freps['m210'],
							'm220' => $toreps['m220'] - $freps['m220'],
							'm230' => $toreps['m230'] - $freps['m230'],
							'm240' => $toreps['m240'] - $freps['m240'],
							'm250' => $toreps['m250'] - $freps['m250'],
							'm260' => $toreps['m260'] - $freps['m260'],
							'm270' => $toreps['m270'] - $freps['m270'],
							'm280' => $toreps['m280'] - $freps['m280'],
							'm290' => $toreps['m290'] - $freps['m290'] );
				}

				
			// ИЗВАДКИ OUT_ZAG - order_id = 2 zag (1)
			$all_out_zags = $this->Macka->get_vedom_period_outs($analyse_shift,$startDay,$endDay,'1');
			if($all_out_zags) 
				{ 
					$out_zag = $all_out_zags[0]; 
					$data['outs'] = array(
						'm100'=>$out_zag['m100'], 'm200'=>$out_zag['m200'], 'm210'=>$out_zag['m210'], 'm220'=>$out_zag['m220'], 
						'm230'=>$out_zag['m230'], 'm240'=>$out_zag['m240'], 'm250'=>$out_zag['m250'], 'm260'=>$out_zag['m260'], 
						'm270'=>$out_zag['m270'], 'm280'=>$out_zag['m280'], 'm290'=>$out_zag['m290'] );
					$out_zag = $data['outs'];
					$data['totals']['out'] = $out_zag['m100'] + $out_zag['m200'] + $out_zag['m210'] + $out_zag['m220'] + $out_zag['m230'] + 
													 $out_zag['m240'] + $out_zag['m250'] + $out_zag['m260'] + $out_zag['m270'] + $out_zag['m280'] + 
													 $out_zag['m290'];		
				}		
				
				
			// ИЗВАДКИ IN_OTKK - order_id = 2 otkk (5)
			$all_in_otkk  = $this->Macka->get_vedom_period_outs($analyse_shift,$startDay,$endDay,'5');
			if($all_in_otkk) 
			{ 
				$in_otkks = $all_in_otkk[0]; 
				$data['in_otkks'] = array(
						'm100'=>$in_otkks['m100'], 'm200'=>$in_otkks['m200'], 'm210'=>$in_otkks['m210'], 'm220'=>$in_otkks['m220'], 
						'm230'=>$in_otkks['m230'], 'm240'=>$in_otkks['m240'], 'm250'=>$in_otkks['m250'], 'm260'=>$in_otkks['m260'], 
						'm270'=>$in_otkks['m270'], 'm280'=>$in_otkks['m280'], 'm290'=>$in_otkks['m290'] );
				$in_otkks = $data['in_otkks'];
				$data['totals']['in'] = $in_otkks['m100'] + $in_otkks['m200'] + $in_otkks['m210'] + $in_otkks['m220'] + $in_otkks['m230'] + 
												$in_otkks['m240'] + $in_otkks['m250'] + $in_otkks['m260'] + $in_otkks['m270'] + $in_otkks['m280'] + 
												$in_otkks['m290'];
												
				$data['totals']['in_cost'] =  $in_otkks['m100'] * $costs['m100'] + 
														$in_otkks['m200'] * $costs['m200'] + 
														$in_otkks['m210'] * $costs['m210'] + 
														$in_otkks['m220'] * $costs['m220'] + 
														$in_otkks['m230'] * $costs['m230'] + 
														$in_otkks['m240'] * $costs['m240'] + 
														$in_otkks['m250'] * $costs['m250'] + 
														$in_otkks['m260'] * $costs['m260'] + 
														$in_otkks['m270'] * $costs['m270'] + 
														$in_otkks['m280'] * $costs['m280'] + 
														$in_otkks['m290'] * $costs['m290'];
			}

				
			// ИЗВАДКИ EXP = 9
			$all_exp = $data['exps'] = $this->Macka->get_vedom_period($analyse_shift,$startDay,$endDay,'9');
			if($all_exp) 
				{ 
					$exps = $all_exp[0]; 

					
					$data['exps'] = array(
						'm100'=>$exps['m100'] - $in_otkks['m100'], 'm200'=>$exps['m200'] - $in_otkks['m200'],
						'm210'=>$exps['m210'] - $in_otkks['m210'], 'm220'=>$exps['m220'] - $in_otkks['m220'], 
						'm230'=>$exps['m230'] - $in_otkks['m230'], 'm240'=>$exps['m240'] - $in_otkks['m240'],
						'm250'=>$exps['m250'] - $in_otkks['m250'], 'm260'=>$exps['m260'] - $in_otkks['m260'], 
						'm270'=>$exps['m270'] - $in_otkks['m270'], 'm280'=>$exps['m280'] - $in_otkks['m280'],
						'm290'=>$exps['m290'] - $in_otkks['m290'] );
						
					$data['exps']['m100'] = ($data['exps']['m100']<0) ? 0 : $data['exps']['m100'];
					$data['exps']['m200'] = ($data['exps']['m200']<0) ? 0 : $data['exps']['m200'];
					$data['exps']['m210'] = ($data['exps']['m210']<0) ? 0 : $data['exps']['m210'];
					$data['exps']['m220'] = ($data['exps']['m220']<0) ? 0 : $data['exps']['m220'];
					$data['exps']['m230'] = ($data['exps']['m230']<0) ? 0 : $data['exps']['m230'];
					$data['exps']['m240'] = ($data['exps']['m240']<0) ? 0 : $data['exps']['m240'];
					$data['exps']['m250'] = ($data['exps']['m250']<0) ? 0 : $data['exps']['m250'];
					$data['exps']['m260'] = ($data['exps']['m260']<0) ? 0 : $data['exps']['m260'];
					$data['exps']['m270'] = ($data['exps']['m270']<0) ? 0 : $data['exps']['m270'];
					$data['exps']['m280'] = ($data['exps']['m280']<0) ? 0 : $data['exps']['m280'];
					$data['exps']['m290'] = ($data['exps']['m290']<0) ? 0 : $data['exps']['m290'];
						
					$exps = $data['exps'];
					$data['totals']['exp'] = $exps['m100'] + $exps['m200'] + $exps['m210'] + $exps['m220'] + $exps['m230'] + 
													 $exps['m240'] + $exps['m250'] + $exps['m260'] + $exps['m270'] + $exps['m280'] + 
													 $exps['m290'];
													 
					$data['totals']['exp_cost'] =  $exps['m100'] * $costs['m100'] + 
															 $exps['m200'] * $costs['m200'] + 
															 $exps['m210'] * $costs['m210'] + 
															 $exps['m220'] * $costs['m220'] + 
															 $exps['m230'] * $costs['m230'] + 
															 $exps['m240'] * $costs['m240'] + 
															 $exps['m250'] * $costs['m250'] + 
															 $exps['m260'] * $costs['m260'] + 
															 $exps['m270'] * $costs['m270'] + 
															 $exps['m280'] * $costs['m280'] + 
															 $exps['m290'] * $costs['m290'];
				}
				
			// Резулатът
			$cehs['m100'] = $exps['m100'] - $in_otkks['m100']; $cehs['m100'] = ($cehs['m100']>0) ? $cehs['m100'] : 0;
			$cehs['m200'] = $exps['m200'] - $in_otkks['m200']; $cehs['m200'] = ($cehs['m200']>0) ? $cehs['m200'] : 0;
			$cehs['m210'] = $exps['m210'] - $in_otkks['m210']; $cehs['m210'] = ($cehs['m210']>0) ? $cehs['m210'] : 0;
			$cehs['m220'] = $exps['m220'] - $in_otkks['m220']; $cehs['m220'] = ($cehs['m220']>0) ? $cehs['m220'] : 0;
			$cehs['m230'] = $exps['m230'] - $in_otkks['m230']; $cehs['m230'] = ($cehs['m230']>0) ? $cehs['m230'] : 0;
			$cehs['m240'] = $exps['m240'] - $in_otkks['m240']; $cehs['m240'] = ($cehs['m240']>0) ? $cehs['m240'] : 0;
			$cehs['m250'] = $exps['m250'] - $in_otkks['m250']; $cehs['m250'] = ($cehs['m250']>0) ? $cehs['m250'] : 0;
			$cehs['m260'] = $exps['m260'] - $in_otkks['m260']; $cehs['m260'] = ($cehs['m260']>0) ? $cehs['m260'] : 0;
			$cehs['m270'] = $exps['m270'] - $in_otkks['m270']; $cehs['m270'] = ($cehs['m270']>0) ? $cehs['m270'] : 0;
			$cehs['m280'] = $exps['m280'] - $in_otkks['m280']; $cehs['m280'] = ($cehs['m280']>0) ? $cehs['m280'] : 0;
			$cehs['m290'] = $exps['m290'] - $in_otkks['m290']; $cehs['m290'] = ($cehs['m290']>0) ? $cehs['m290'] : 0;
			$data['ceh'] = $cehs;
		}
      else { $data['title'] = 'МАСКИ'; }
      
      $data['headers'] = $this->macka_lib->getHeaders($mode);
      $data['uHeaders'] = $this->macka_lib->getUpHeaders($mode);
		$data['controller_name']=strtolower(get_class());
	
		
		$this->load->view("mackas/view_list", $data);
	}
	

} ?>
