<?php require_once ("Secure_area.php");

class Marketings extends Secure_area
{
	function __construct()
	{
		parent::__construct();
		$this->load->library('Online_lib');
	}
	
	function index()
	{
		$mode_menu = 'marketings';
		$this->BiSOFT_Model->set_mode_menu($mode_menu);
		$this->online_eShop('B2680s91q');
	}
	
	/* ========================== NORMAL REFRESH ======================== */
	public function _refresh()
	{
		$this->admin_database(); die();
	}
	
	function change_mode()
	{
		$mode = $this->input->post("mode");
		$this->online_lib->set_mode($mode);
	$this->admin_database(0);
	}
	
	
	function change_collection()
	{
		$collection = $this->input->post("collection");
		$this->online_lib->set_collection($collection);
	$this->admin_database(0);
	}
	
	function change_item_filter()
	{
		$item_filter = $this->input->post("item_filter");
		$this->online_lib->set_item_filter($item_filter);
	$this->admin_database(0);
	}

	function change_facebook_cat()
	{
		$cat = $this->input->post("category");
		$this->online_lib->set_facebook_cat($cat);
	$this->admin_database(0);
	}	
	
	function change_eMAG_cat()
	{
		$category = $this->input->post("category");
		$this->online_lib->set_eMAG_cat($category);
	$this->admin_database(0);
	}
	
	function change_keyNew($inum=0,$coll=0)
	{
		if($inum>0 && $coll>0) // set to '0'
		{ $this->OnLine->change_keyNEW($inum,$coll,0);}
	$this->admin_database(0);
	}

   function admin_switch_NEW($coll=0,$key_NEW=0)
   {
      if($coll)
      { $this->OnLine->set_collection_NEW($coll,$key_NEW);}
   $this->admin_database(0);
   }
   
	function change_keyPROMO($inum=0,$coll=0)
	{
		if($inum>0 && $coll>0) // set to '0'
		{ $this->OnLine->change_keyPROMO($inum,$coll,0);}
	$this->admin_database(0);
	}
   
   function admin_switch_PROMO($collection,$key_PROMO)
   {
		$key_PROMO = 0;
      if($collection)
      { $this->OnLine->set_collection_PROMO($collection,$key_PROMO);}
   $this->admin_database(0);
   }
   
   function admin_switch_BLACK($collection,$key_BLACK)
   {
		$key_BLACK = 0;
      if($collection)
      { $this->OnLine->set_collection_BLACK($collection,$key_BLACK);}
   $this->admin_database(0);
   }
   
	
	function search_user($mode='guests')
	{
		$brand_category = 2;
		$user = mb_strtolower($this->input->post("user"));
		
		if($user and ($mode=='users' or $mode=='guests') )
		{
			$client_data = $search_data = array();
			
			if($mode=='users') { $search_data = $this->Marketing->search_user($user); }
			elseif($mode=='guests') { $search_data = $this->Marketing->search_guest($user); }
			
			if($search_data)
			{
				foreach($search_data as $client)
				{
					$name = $client['name'];
					$surname = $client['surname'];
					$valid = 'user';
					$date  = date('d.m.Y',strtotime($client['reg_date_time']));
					if(strtotime($client['reg_date_time'])<1400008000) { $date='-'; }
					
					$email = $client['uguomu'];
					$names = "$name $surname";
					$vedom_link = "marketings/get_client_info/$email/$names";
				
					$client_data[] = array(
									'id' => $client['client_id'],
								'names' => $names,
								'email' => $email,
								'phone' => $client['phone'],
							 'address' => $client['address'],
							 'courier' => $client['courier'],
							'reg_time' => $date,
							  'status' => $valid,
							   'vedom' => 'виж' );
				}
					
			require_once(APPPATH."plugins/marketing/admin_database_start.php");
			$data['mode'] = $mode;
			$data['user'] = $user;
			$data['all_users'] = count($search_data);
			$data['client_data'] = $client_data;
			$data['view_search_item'] = 1; 
			$data['title'] = ($mode=='users') ? "ПОТРЕБИТЕЛИ" : "ГОСТИ";
			$data['headers'] = $this->OnLine->getUsersColumns($brand_category);
			$data['sales_txt'] = '';

			$this->load->view('marketing/view_users_searched',$data);
			}
		}

	// ГРЕШКА = out
	header('Location: '.BISOFT.'index.php/marketings/admin_database');
	}
	
	
	function pages($page=1)
	{
		$cat = $this->online_lib->get_category();
		$this->catalog_admin($cat,$page,1,0);
	}
	
/* =================================== ONLINE ADMINISTRATION =================================== */
	function online_eShop($user=0) // само от BiSOFT вход //
	{
		$email = $this->OnLine->get_person_info($user)->email;
		$config['langs'] = array('bg','en');
		$this->online_lib->set_mobile(0);
		$this->online_lib->set_user($email);
		$this->online_lib->set_bisoft($user);
		$this->online_lib->get_language();
		$this->online_lib->get_category();
		$this->online_lib->get_pages();
		$this->online_lib->clear_token();
		$this->online_lib->clear_delivery();
		$this->online_lib->clear_giftcard();
		$this->online_lib->empty_cart();
	//	$this->catalog_admin('all');
		$this->admin_database(0);
	}
	
	function catalog_admin($category=0,$page=1,$edit_key=1,$error=0)
	{
			$key_new = 1; // за нов дизайн ?! 0 = СТАР дизайн :)
			
			$this->online_lib->set_mode('sales');
			
		// чисти при смяна на категория //
			$old_category = $this->online_lib->get_category();
			if($category!=$old_category) 
				{
					$this->online_lib->clear_prices();
					$this->online_lib->clear_sizes();
					$this->online_lib->clear_color();
				}
				
			$edit_key = 1;
			$token=0 ;
			$promo_box=0;
			
			if(!$error) {$error = '';}
			elseif($error==1) {$error="ГРЕШКА: НЯМА АРТИКУЛ";}
			elseif($error==2) {$error="ГРЕШКА: ЗАПИС АРТИКУЛ DB";}
			elseif($error==3) {$error="СЪЩЕСТВУВА АРТИКУЛ";}
			elseif($error==4) {$error="ГРЕШКА: НЕЗАДАДЕН ЦВЯТ";}
			elseif($error==5) {$error="ГРЕШКА: НЯМА КАТЕГОРИЯ";}
			elseif($error==6) {$error="ГРЕШКА: НЯМА ЗАДАДЕНА КОЛЕКЦИЯ";}

			// ... вика САМО admin
		require_once(APPPATH."plugins/marketing/online_admin_catalog.php");
	}
	
	function bisoft_back() // user_logout
	{	
		$this->online_lib->set_user(0);
		$this->online_lib->empty_cart();
		$this->online_lib->clear_token();
		$this->online_lib->clear_delivery();
		$this->online_lib->clear_giftcard();

		// да се връща ли в BiSOFT ? ------- //
		if(!$this->online_lib->get_bisoft())
			{ $this->index();}
		else
			{ header('Location: '.BHOME); }
	}

		
	function search_admin()
	{ require_once(APPPATH."plugins/marketing/search_admin.php");}


	function admin_select_item($item_number, $symbol='a', $model=0, $edit_key=0, $error='')
	{ require_once(APPPATH."plugins/marketing/admin_select_item.php");}	
	

	function admin_protect($token=0)
	{
		$user  = $this->online_lib->get_user();
		$admin = $this->OnLine->get_admin($user);
		if ($admin) 	// проверка на TOKEN code //
			{
				$token_error=$this->online_lib->check_token($token);
				if ($token_error) 
					{ 
						$this->online_lib->set_user(0);
						$this->online_catalog('all',0,1,$token_error,0);
					} // хайде майничка OUT //
				$token = $this->online_lib->get_token();
			}
	return $token;
	}

	function admin_edit($token=0)
	{
		// Начална инициализация ...
		$user  = $this->online_lib->get_user();
		$admin = $this->OnLine->get_admin($user);
		if($admin) {$edit_key=1;} // само администратори правят корекции.
		else {die();}

		$this->catalog_admin('all');
		die();
	}

	
	function admin_change_position($item_number)
	{
		$position = $this->input->post("change_position");
		$category = $this->online_lib->get_category(); 
		if(!is_numeric($position)) { $position = 0;}

		$item_data=array(
			'item_number' => $item_number,
				'position' => $position	);

		$this->OnLine->save_online_item($item_data,$item_number);
		$this->catalog_admin($category);
	}


	function admin_add_item()
	{ require_once(APPPATH."plugins/marketing/admin_add_item.php");}


	function admin_delete_item($item_number)
	{
		$this->OnLine->delete_online_item($item_number);
		$category = $this->online_lib->get_category();
		$this->catalog_admin($category);
	}

	
	function admin_view_item($item_number)
	{ require_once(APPPATH."plugins/marketing/admin_view_item.php");}

	function view_wrong_item($item_number)
	{ require_once(APPPATH."plugins/marketing/view_item.php");}

	function save_item_page($item_number)
	{
      require_once(APPPATH."plugins/marketing/save_item_page.php");
      header("Location: ".BISOFT."index.php/marketings/admin_select_item/$item_number/a/0/0");
	}

	function edit_small_item($item_number,$small_item,$position)
	{
      header("Location: ".BISOFT."index.php/marketings/admin_select_item/$item_number/a/0/1");
	}
	
   function censorship($search_user='all',$feed_id=0,$status=0)
   {
      $censor = 0;
      if($status==0) {$censor = 1;}
      elseif($status==1) {$censor = -1;}
      elseif($status==-1) {$censor = 1;}
      
      $this->OnLine->save_review_censor($feed_id,$censor);
   
   $this->admin_database(0,$search_user);
   }
  
 
   
/* ======================== QUICK ORDERS =============================== */   
   
   function view_quick_order($order_id=0,$status=0)
   {
      require_once(APPPATH."plugins/marketing/view_quick_order.php");
   }
   
   function save_online_quick_order($order_id=0,$status=0)
   {
      require_once(APPPATH."plugins/marketing/save_quick_order.php");
      $this->admin_database(0);  // да се махне после ...
   }
   
   
/* ======================== RETURN REQUESTS =============================== */   
   
   function view_return($return_id=0,$status=0)
   {
      require_once(APPPATH."plugins/marketing/view_return_request.php");
   }
   
   function save_return_request($return_id=0,$status=0)
   {
      require_once(APPPATH."plugins/marketing/save_return_request.php");
      $this->admin_database(0);  // да се махне после ...
   }

   
   
 /* ========================================= TREND FUNCTIONS ==================================== */
	
	
	public function test_eShop_link($remote=1)
	{
		if($remote) // Trend Test => http://trend.styler.bg/counter.txt
		{
			$optArray = array( CURLOPT_URL => "http://trend.styler.bg/counter.txt",
									 CURLOPT_RETURNTRANSFER => TRUE );
		}
		else // localhost Test => http://trend.localhost/counter.txt
		{
			$optArray = array( CURLOPT_URL => "trend.localhost/counter.txt",
									 CURLOPT_RETURNTRANSFER => TRUE );
		}
		
		$ch = curl_init();
		curl_setopt_array($ch, $optArray);
		$result = (int) curl_exec($ch);
		
		if($result>200) { return 1; }
		else { return 0; }

	}
	
	function toDie($key=0)
	{
		echo '<b style="color:red;font-size:160%;"> (BiSOFT-Marketings)<br>FATAL ERROR -> DIE ...</b><br><br><i>'.$key.'</i>'; // $this->load->view("error");
		die();
	}   
	
	
 // --------------------- SKLAD FEED -------------------- //
	public function update_sklad()
	{
		$success = 1;
		$all_items = $this->Marketing->check_online_items();
		if($all_items)
		{ 
			foreach($all_items as $item)
			{
				$inum = (int) $item['item_number'];
				$item_info = $this->Marketing->get_item_info($inum);
				$skl_info  = $this->Marketing->get_sklad_info($inum);
				
				if($item_info and $skl_info)
				{
					$qty = $skl_info->qty;
					$allow_sizes = $item_info->allow_sizes;
					
					if($allow_sizes)
					{
						$sizes = $allow_sizes.', '.$skl_info->q1.','.$skl_info->q2.','.$skl_info->q3.','.
                                             $skl_info->q4.','.$skl_info->q5.','.$skl_info->q6.','.
                                             $skl_info->q7.','.$skl_info->q8.','.$skl_info->q9.','.
                                             $skl_info->q10.',';
					}
					else { $sizes=$allow_sizes;} // = 0
					
					$item_data = array(
						'item_number' => $inum,
						'coll' => $skl_info->coll,
						'cat'  => $skl_info->cat,
						'price_2' => $skl_info->price_2,
						'price_3' => $skl_info->price_3,
						'qty' => $qty,
						'sizes' => $sizes,
						'item_care' => $item_info->item_care );
					$success *= $this->Marketing->update_eShop_sklad($item_data);
				}
				else 
				{ echo 'нямам информация за №'.$inum.'<br>'; }
			} // foreach($all_items
		} // if($all_items)

	// Send the Sklad to eShop другия бутон ...
		$this->admin_database(0);
	}
	
	
	public function feed_sklad()
	{
		$success = 1;
		
		// chdir('../bisoft_data/zebex');

		
	$file_dir  = str_replace('/bisoft','/bisoft_data/zebex', getcwd());
	$file_name = "$file_dir/sklad.txt";
	

	$cVal = 13;
	$cVal1 = 18;
	$cVal2 = 12;
	
	// Check if a text file exists. If not create one and initialize it to zero.
		if (!file_exists($file_name)) 
		{
			$f = fopen($file_name, "w");
			fwrite($f,"sklad\n");
			chmod($file_name, 0777);
		//	fclose($f);
		}
		else
		{
			$f = fopen($file_name, "a");
			chmod($file_name, 0777);
				fwrite($f, $cVal."\n");
				fwrite($f, $cVal1."\n");
				fwrite($f, $cVal2."\n");
		}
		
		
		fclose($f);
		
		die('END');
		
		
		// chdir('../../bisoft');
		
			$f = fopen($file_name,"r");
			$counterVal = fread($f, filesize($file_name));
			fclose($f);
		
		$this->admin_database(0);
	}
	
	public function back_eShop_sale($data)
	{
		if($data)
		{ $doc = explode('~',$data); }
		
		print_r($doc);
		
		die();
	}
	

   
/* ============= eSHOP SALES ============= */	
	public function get_eShop_sale()
	{
		$remote = 1; // 0 - local / 1 - eShop (live)
		$error = 0;

		if($this->test_eShop_link()) // $remote
		{
			$doc_number = $this->input->post("docNumber");
			if($doc_number>1900000000 and $doc_number<9000000000) // Любка да не сгреши, само м/у 2019г. и 2090г.
			{
				$vedom = 'V'.substr($doc_number,0,4);
				$docN_exists = $this->TrendModel->exists_doc_in_vedom($doc_number,$vedom);
				if(!$docN_exists)
				{
					if($remote) // eShop - Trend
						{ $mainPath = "http://trend.styler.bg/index.php/Trends"; }
					else  // local
						{ $mainPath = "http://trend.styler.bg/index.php/Trends"; }

					$cert = substr(md5('STYLER'),0,10).substr(md5('STYLER'),-10);
					$oper = 'sale';
					$db  	= $vedom;
					$dbi  = $vedom.'_items';
					$docN = $doc_number;
					$err 	= 0;
					
					if($remote) // eShop - Trend
						{ $bp = "http://style.bg/bisoft/index.php/Marketings/eShop_sale"; }
					else  // local
						{ $bp = "http://localhost/bisoft/index.php/Marketings/eShop_sale"; }

					$export_to_url = $mainPath.'/get_info';
					$requestData = array(
						'cert' => $cert,
						'oper' => $oper,
						  'db' => $db,
						 'dbi' => $dbi,
						'docN' => $docN,
						  'bp' => $bp,
						 'err' => $err );

				//	$back_path = 	md5('http://localhost/bisoft/index.php/Marketings/back_eShop_sale');	 
				//	redirect("http://localhost/eShop/index.php/Marketings/get_order_info/$back_path/$doc_number");
 
					// is cURL installed yet?
					if (!function_exists('curl_init')) { die('Sorry cURL is not installed!'); }

					$ch = curl_init();
					curl_setopt($ch, CURLOPT_URL, $export_to_url );
					curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
					curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
					curl_setopt($ch, CURLOPT_HEADER, 0);
					curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); // 1 -
					curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST');
					curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($requestData));
					
					$result = curl_exec($ch);
					curl_close($ch);
					
					if(!$result) { $error = '<br><br><b style="color:red;">ERROR</b>'; }

					$data = json_decode($result);
					if($data and !$error)
					{
						$items = explode(',',$data->items);

						// малко настройки ...
						$success = 1;
						$taxed = 1;
						
						$mode_id = $data->mode_id;
						$doc_number = $data->doc_number;
						$doc_date = $data->doc_date;
						$client = $data->client;
						$client_id = $data->client_id;

						$delivery = abs($data->delivery);
						$mode = 'online_sale';
						if($mode_id=='OMB') {$mode = 'online_return';$delivery = -abs($data->delivery);}
						
						// $eShop_doc_id ???
				
						$doc_data = array(
								'mode'	=> $mode,
							  'mode_id' => $mode_id,
						  'mode_price' => '1',
						'doc_number'	=> $doc_number,
							 'doc_date' => $doc_date,
							
							'total_qty'	=> $data->total_qty,
							'total_sum'	=> $data->total_sum,
					 'total_discount' => $data->total_discount,
								 'taxed' => $taxed,
						 'total_taxes' => $data->total_taxes,
						
							 'delivery' => $delivery,
						'delivery_txt'	=> $data->delivery_txt,
							
							'giftcard'	=> $data->giftcard,
							'giftowner' => $data->giftowner,
						'giftprocent'	=> $data->giftprocent,
							'giftvalue'	=> $data->giftvalue,
								
							'pay_group' => $data->pay_group,
							 'pay_type' => $data->pay_type,
						  'pay_amount' => $data->pay_amount,
							'pay_sale'	=> '0', // очакваме плащане затова '0' ?!
							  'pay_vat' => '0',
							  'due_sum' => $data->due_sum,
							'currency'	=> '1',
					'currency_rate'	=> '1.0000',
							'brand'		=> 1,	
							'order_id'	=> $data->order_id,
						 'supplier_id' => 0,
							'client_id' => $client_id,
								'client'	=> $client,
						'employee_id'	=> 3, // само 3-тия човек.
							 'employee' => $data->employee,
						  'date_start' => $data->date_start,
							'comment'	=> $data->comment,
							'location'	=> 0 );
					
					$vedom = 'V'.substr($doc_number,0,4);
					$doc_id = $this->TrendModel->save_eShop_doc($doc_data,$vedom);
		
					$line = 1;
					if($items)
					{
						$inums = array();
						foreach($items as $item)
						{
							$discount = $allow_sizes = 0;
							$inum = (int)substr($item,0,5);
							$size = (int)substr($item,5,1);
							$qty  = (int)substr($item,-1);
							if($qty==0) {$discount=100;$qty=1;}

							$item_info = $this->TrendModel->get_item_info($inum);
							if($item_info) {$allow_sizes=$item_info->allow_sizes;}
							
							$Qty = array();
							$item_name = $Qty[0] = $qty;
							$Qty[1]= $Qty[2]=$Qty[3]=$Qty[4]=$Qty[5]=$Qty[6]=$Qty[7]=$Qty[8]=$Qty[9]=$Qty[10]='';
							
							for($x=1;$x<11;$x++)
							{ 
								if($size==0 and $allow_sizes) {$size=10;}
								if($x==$size) { $Qty[$x] = $qty;}
								$item_name .= ','.$Qty[$x];
							}
						
							$item_name .= ','.$client.',0';
							if(!$this->OnLine->get_black_friday())
							{ $price_skl = (float)$this->OnLine->get_item_price($inum,0); }
							else { $price_skl = (float)$this->OnLine->get_black_price($inum,0); }
							
							$price = round($price_skl/1.2,7);
							$costsale = round((100-$discount)*$price/100,7);
							$taxes = round($price_skl-$price,7);
							if($discount==100) {$taxes=0;}
							
							$doc_items = array(
								 'doc_id' => $doc_id,
									'line' => $line,
								'mode_id' => $mode_id,
							'doc_number' => $doc_number,
							  'doc_date' => $data->doc_date,
						  'item_number' => $inum,
							 'item_name' => $item_name,
							  'item_qty' => $qty,
					 'item_unit_price' => $price,
						'item_discount' => $discount,
							'item_taxes' => $taxes,
							  'costsale' => $costsale,
								  'brand' => 1,
							  'order_id' => 0, // $order_id,
						  'supplier_id' => 0,
							 'client_id' => $data->client_id,
							  'location' => 0	);

							// doc for item
							$success *= $this->TrendModel->save_eShop_items($doc_items,$vedom);
							// sklad update
							$success *= $this->save_to_sklad($inum,$Qty,$mode_id);
				  
						$line++;
						}
					} // if($items)

					//	if($success) {$success='Успешно заредихте Поръчка #'.$doc_number.' / '.date('d.m.Y',strtotime($doc_date)).' от eShop ... ';}
						
					} // if($data)
				}
				else // if(!$docN_exists)
				{ $error = 'Този документ вече е въведен в БД !?'; }
			}
			else // if($doc_number>1900000000 ...
			{ $error = $doc_number.' -> ГРЕШЕН НОМЕР на документ преди 2019 / или след 2090 ?'; }
		}
		else // if($this->test_eShop_link())
		{ $error = 'Няма връзка с eShop ?!'; }

	// и успешно се връщаме в BiSOFT-a :)
	$this->admin_database($error);
	}
	
	function save_to_sklad($inum,$Qty,$mode_id)
	{
		$success = 1;
		$skl_data = $this->Marketing->get_sklad_item($inum);
		if($skl_data)
		{
				$qty=$q1=$q2=$q3=$q4=$q5=$q6=$q7=$q8=$q9=$q10=0;
				if($mode_id!='OMB') // за OM и OMi
					{
						$q1 = (int)$skl_data->q1-(int)$Qty[1]; if($q1==0){$q1='';}
						$q2 = (int)$skl_data->q2-(int)$Qty[2]; if($q2==0){$q2='';}
						$q3 = (int)$skl_data->q3-(int)$Qty[3]; if($q3==0){$q3='';}
						$q4 = (int)$skl_data->q4-(int)$Qty[4]; if($q4==0){$q4='';}
						$q5 = (int)$skl_data->q5-(int)$Qty[5]; if($q5==0){$q5='';}
						$q6 = (int)$skl_data->q6-(int)$Qty[6]; if($q6==0){$q6='';}
						$q7 = (int)$skl_data->q7-(int)$Qty[7]; if($q7==0){$q7='';}
						$q8 = (int)$skl_data->q8-(int)$Qty[8]; if($q8==0){$q8='';}
						$q9 = (int)$skl_data->q9-(int)$Qty[9]; if($q9==0){$q9='';}
						$q10 = (int)$skl_data->q10-(int)$Qty[10]; if($q10==0){$q10='';}
					
						$qty = (int)$skl_data->qty - (int)$Qty[0];
					}
				elseif($mode_id=='OMB') // само за ВЪРНАТА
					{
						$q1 = (int)$skl_data->q1+(int)$Qty[1]; if($q1==0){$q1='';}
						$q2 = (int)$skl_data->q2+(int)$Qty[2]; if($q2==0){$q2='';}
						$q3 = (int)$skl_data->q3+(int)$Qty[3]; if($q3==0){$q3='';}
						$q4 = (int)$skl_data->q4+(int)$Qty[4]; if($q4==0){$q4='';}
						$q5 = (int)$skl_data->q5+(int)$Qty[5]; if($q5==0){$q5='';}
						$q6 = (int)$skl_data->q6+(int)$Qty[6]; if($q6==0){$q6='';}
						$q7 = (int)$skl_data->q7+(int)$Qty[7]; if($q7==0){$q7='';}
						$q8 = (int)$skl_data->q8+(int)$Qty[8]; if($q8==0){$q8='';}
						$q9 = (int)$skl_data->q9+(int)$Qty[9]; if($q9==0){$q9='';}
						$q10 = (int)$skl_data->q10+(int)$Qty[10]; if($q10==0){$q10='';}
					
						$qty = (int)$skl_data->qty + (int)$Qty[0];
					}

				$item_data = array(
					'item_id' => $skl_data->item_id,
						'inum' => $inum,
						 'qty' => $qty,
						  'q1' => $q1,'q2'=>$q2,'q3'=>$q3,'q4'=>$q4,'q5'=>$q5,
						  'q6' => $q6,'q7'=>$q7,'q8'=>$q8,'q9'=>$q9,'q10'=>$q10,
						 'skl' => 0,
						 'del' => 0 );

				$success *= $this->Marketing->update_sklad($item_data);
				return $success;
			}
			else { return 0; }
	}

	
	// пренарежда позициите на БД.
	function items_reposition()
	{
		$all_item = $this->Marketing->get_items_pos();
		$pos = 1;
		if($all_item)
		{
			foreach($all_item as $item)
			{
				if($item['qty']>0)
				{
					$item['position'] = $pos;
					$pos++;
				}
				else { $item['position'] = 0; }
				$success = $this->Marketing->update_eShop_sklad($item);
			}
		}
		$this->admin_database(0,'БД - актуализирана по позиции');
	}
   

// ======================================================================================== //
// ----------------------------------- REALEN START DATA BASES ----------------------------- //

	function admin_database($error=0) // $token=0,$search_user='all' // ,$success=0
	{
		$user  = $this->online_lib->get_user();
		$admin = $this->OnLine->get_admin($user);

		if (!$admin) // филтър за НЕ-administrators //
			{ 
			//	$this->Onlines->online_catalog('all',0); 
				header('Location: '.BHOME);
			}
			

      require_once(APPPATH."plugins/marketing/admin_database_start.php");

		// select what view to run ...
		$view_database = "marketing/view_db";
		switch ($mode) 
		{
         case 'sales': // ======================= Sales ========================= //
               require_once(APPPATH."plugins/marketing/switch_sales.php");break;
               
         case 'orders': // ==================== Quick Orders ========================= //
               require_once(APPPATH."plugins/marketing/switch_orders.php");
               $view_database = "marketing/view_orders"; break;
               
         case 'returns': // ===================== Returns ========================= //
               require_once(APPPATH."plugins/marketing/switch_returns.php");
               $view_database = "marketing/view_returns"; break;

         case 'items': // ======================= Items ========================= //
               require_once(APPPATH."plugins/marketing/switch_items.php");
               $view_database = "marketing/view_items";
               break;

         case 'collections': // =================== Collections ==================== //
               require_once(APPPATH."plugins/marketing/switch_collections.php");break;
               
         case 'users': // =================== Users ==================== //
               require_once(APPPATH."plugins/marketing/switch_users.php");break;
               
         case 'guests': // =================== Guests ==================== //
               require_once(APPPATH."plugins/marketing/switch_guests.php");break;

         case 'subscribers':  // =================== Subscribers ==================== //
               require_once(APPPATH."plugins/marketing/switch_subscribers.php");break;

         case 'admins':  // =================== Admins ==================== //
               require_once(APPPATH."plugins/marketing/switch_admins.php");break;

         case 'giftcards':  // =================== Giftcards ==================== //
               require_once(APPPATH."plugins/marketing/switch_giftcards.php");break;
               
         case 'reviews':  // =================== Reviews ==================== //
               require_once(APPPATH."plugins/marketing/switch_reviews.php");
               $view_database = "marketing/view_reviews"; 
               break;

			case 'marketC': // ============== Export for market Connect =============== //
					require_once(APPPATH."plugins/marketing/switch_marketC.php");break;
					
      // case 'export': // =================== Export for eMAG-s ==================== //
      //      require_once(APPPATH."plugins/marketing/switch_eMAG_export.php");break;
      
			case 'export_bg':
					require_once(APPPATH."plugins/marketing/switch_eMAG_export_bg.php");break;
			case 'export_ro':
					require_once(APPPATH."plugins/marketing/switch_eMAG_export_ro.php");break;
               
         case 'export_fb':
               require_once(APPPATH."plugins/marketing/switch_facebook_feed.php");break;

         case 'settings': // =================== Settings ==================== // 
               require_once(APPPATH."plugins/marketing/switch_settings.php");
               $view_database = "marketing/view_settings";break;

         default: $view_database = "marketing/view_db";
		} // End of Switch.
		$data['today_sales'] = $today_sales;
		$data['sales_txt'] 	= $sales_txt;

	$this->load->view($view_database,$data);
	}

	
	function admin_save_settings()
	{ 
      require_once(APPPATH."plugins/marketing/admin_save_settings.php");
		$this->online_lib->set_mode('select');
		$token = $this->online_lib->get_token();
      $this->admin_database($token);
	}

	function cancel_mode()
	{
    	$this->online_lib->clear_all();
		$this->admin_database(1);
	}

	
	// ПЕЧАТ на Всички ПРОДАЖБИ
	public function online_sale_print($doc_number)
	{ 
		$this->online_sale_reg($doc_number);
		require_once(APPPATH."plugins/marketing/online_sale_print.php");
	}
	
	
	public function online_sale_reg($doc_number) 
	{	
		// регистрация на delivery -> KACA
		$vedomPack = 'V'.substr($doc_number, 0, -6);
		$document_info = $this->BiSOFT_Model->get_info_by_docNumber($doc_number,$vedomPack)->row_array();
		
		$courier = "СПИДИ"; $courier_id = '122'; // default SPEEDY
		if($document_info['client_data']) 
		{
         $client_data = json_decode($document_info['client_data']);
         if($client_data) { $courier = $client_data->courier; if($courier=='ECONT') { $courier = 'ЕКОНТ'; $courier_id = '121'; } }
		}

		$delivery = $document_info['delivery'];
		if($document_info and $delivery>0)
		{
			$delivery_base = round($delivery/1.2,5);
			$delivery_vat  = round($delivery-$delivery_base,5);
			
			$vedomNow  = 'V'.date('ym');
			$courier_docnum = date('ym').substr($doc_number,-4);
			
			$kaca_data = array(
			'doc_number' => $courier_docnum,
			  'doc_date' => date('Y-m-d'), 
					'mode' => 'razhod_ship',
				'mode_id' => 'KRz',
			'mode_price' => 1,

			 'total_qty' => 1,
			 'total_sum' => -abs($delivery_base),
		  'total_taxes' => -abs($delivery_vat),
				  'taxed' => 1,
			
			 'pay_group' => 'H',
			  'pay_type' => 'непл. '.$document_info['delivery'].'лв.',
		   'pay_amount' => -abs($delivery),

		  'supplier_id' => $courier_id,
			  'supplier' => $courier,
		  'employee_id' => 3,
			  'employee' => 'Силвия Каневска',
			   'comment' => "$courier-#".$doc_number,
			  'location' => 0 );

			$this->BiSOFT_Model->save_document($vedomNow,$kaca_data);
			
			// сега да нулираме доставката
			$doc_id = $document_info['doc_id'];
			$doc_data = array(
					'doc_id' => $doc_id,
				 'delivery' => -abs($delivery) );
					
			$this->BiSOFT_Model->update_document($doc_data, $doc_id, $vedomPack);
		}

		//  регистрация на ЗЕЛЕНО - ИЗПРАТЕНО ...
      $status = 1; // ИЗПРАТЕНА
      $inum   = 0;
      $this->OnLine->save_SaleItems_status($doc_number,$inum,$status);
	return true;
	}
	
	public function online_change_reg($doc_number,$inum=0,$status=0) 
	{	
      if($inum==0) {return false;}
      $status++; if($status>4) {$status=1;}
      $this->OnLine->save_SaleItems_status($doc_number,$inum,$status);

	$this->admin_database(0);
	}
	
/* ====================================== End of View Sales ============================================ */



/* ======================= COURIERS ======================== */

	function apiRequest($apiURL, $jsonData)
   {
		// Initiate cURL
		$curl = curl_init($apiURL);
				
		// Encode the array into JSON.
		$jsonDataEncoded = json_encode($jsonData);
			
		// Set curl options
		curl_setopt($curl, CURLOPT_POST, 1); // Tell cURL that we want to send a POST request.
		curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false); // Verify the peer's SSL certificate.
		curl_setopt($curl, CURLOPT_RETURNTRANSFER, true); // Stop showing results on the screen.
		curl_setopt($curl, CURLOPT_CONNECTTIMEOUT, 5); // The number of seconds to wait while trying to connect. Use 0 to wait indefinitely.
		curl_setopt($curl, CURLOPT_HTTPHEADER, array('Content-Type: application/json')); // Set the content type to application/json
		curl_setopt($curl, CURLOPT_POSTFIELDS, $jsonDataEncoded); // Attach our encoded JSON string to the POST fields.
		
		// Get the response
		$jsonResponse = curl_exec($curl);
				
		if ( $jsonResponse === FALSE) 
			{ exit("cURL Error: ".curl_error($curl)); } 
			
		return($jsonResponse);
   }

	function update_SPEEDY_offices()
	{
		// =================== BULGARIAN ================= //
		$jsonData = array(
			'userName' => '1995131',
			'password' => '7989988266',
			'language' => 'BG',
			'countryId' => 100, // BULGARIA
								);
						
		// Find Office Request
		$jsonResponse = $this->apiRequest('https://api.speedy.bg/v1/location/office/', $jsonData);
		$jsonResponse = json_decode($jsonResponse, true);
	
		foreach($jsonResponse['offices'] as $office)
		{
			$courier = 'SPEEDY';
			$office_id = $office['id'];
			$name = $office['name'];
			$siteId = $office['siteId'];
			
				$city 	 = $office['address']['siteName'];
				$postCode = $office['address']['postCode'];
				$address  = $office['address']['fullAddressString'];
			
			$courier_data = array(
				  'courier' => $courier,
				'office_id' => $office_id,
					  'name' => $name,
					'siteId' => $siteId,
					  'city' => $city,
				 'postCode' => $postCode,
				  'address' => $address,
						'del' => 0 );
			
			$success = $this->Marketing->save_courier_office($courier_data);
		}
		
		// ================  ENGLISH  ================ //
				$jsonData = array(
			'userName' => '1995131',
			'password' => '7989988266',
			'language' => 'EN',
			'countryId' => 100, // BULGARIA
								);
						
		// Find Office Request
		$jsonResponse = $this->apiRequest('https://api.speedy.bg/v1/location/office/', $jsonData);
		$jsonResponse = json_decode($jsonResponse, true);
	
		foreach($jsonResponse['offices'] as $office)
		{
			$courier = 'SPEEDY';
			$office_id = $office['id'];
			$name_en   = $office['name'];
			$siteId    = $office['siteId'];
			
				$city_en    = $office['address']['siteName'];
				$postCode   = $office['address']['postCode'];
				$address_en = $office['address']['fullAddressString'];
			
			$courier_data = array(
				  'courier' => $courier,
				'office_id' => $office_id,
				  'name_en' => $name_en,
					'siteId' => $siteId,
				  'city_en' => $city_en,
				 'postCode' => $postCode,
			  'address_en' => $address_en,
						'del' => 0 );
			
			$success = $this->Marketing->save_courier_office($courier_data);
		}
		
		$token = $this->online_lib->get_token();
		$this->admin_database($token);
	}
	
	
	function update_ECONT_offices()
	{
		$offices = array();
		$json = file_get_contents("http://ee.econt.com/services/Nomenclatures/NomenclaturesService.getOffices.json");
		// http://ee.econt.com/services/Nomenclatures/NomenclaturesService.getCities.json
		$jsonData = json_decode($json);
		
		if($jsonData)
		{
			foreach($jsonData->offices as $office)
			{
				$id = $office->id;
				$name = $office->name;
				$name_en = $office->nameEn;
				$addresses = $office->address;
				if($addresses)
				{
					$city_data = $addresses->city;
					if($city_data->country)
					{
						$country_data = $city_data->country;
						if($country_data)
						{
							$country = $country_data->code2;
							if($country=="BG")
							{
								$city = $city_data->name;
								$city_en = $city_data->nameEn;
								$postcode = $city_data->postCode;
								
								$address = $addresses->fullAddress;
								
								$offices[$id] = array(
									'courier' => 'ECONT',
								 'office_id' => $id,
										'name' => $name,
									'name_en' => $name_en,
									 'siteId' => '',
										'city' => $city,
									'city_en' => $city_en,
								  'postcode' => $postcode,
								   'address' => $address,
								'address_en' => '',
										 'del' => 0 );
								
							} // if($country=="BG")
						} // if($country_data)
					} // if($city_data->country))
				} // if($addresses)
			} // foreach($jsonData->offices
		} // if($jsonData)

		if($offices)
		{
			foreach($offices as $id=>$office)
			{ $success = $this->Marketing->save_courier_office($office); }
		} // if($offices)
		
		$token = $this->online_lib->get_token();
		$this->admin_database($token);
	}


/* ======================== TRANSLATORS ======================== */	
	
	function view_GR()
	{
      $lang = 'GR';
      $data = array(
         'lang' => $lang,
      
      
                  );
                  
     $this->load->view('marketing/view_GR', $data);
	}
	
	function translate_GR()
	{
      $items = $this->OnLine->load_item_names();
      $lang = 'EN';
      $data = array(
          'lang' => $lang,
         'items' => $items );
      
      $this->load->view('marketing/export_google_translate', $data);
	}

	function load_lang_DB($lang="EN")
	{
      $file = fopen("/var/www/html/items_$lang.txt", "r");
         $content = fread($file,filesize("/var/www/html/items_$lang.txt")); // fread($file,"100");
      fclose($file);
	
      $items = array();
      $data = explode('#',$content);
	
      foreach($data as $row)
      {
         $item = explode('~',$row);
         
         $inum = (int)$item[0];
         $name = $item[1];
         $description = $item[2];
         $color   = $item[3];
         $content = $item[4];
         
         if($inum > 0 and $inum < 99000)
         {
            $data = array(
            'item_number' => $inum,
                   'name' => $name,
            'description' => $description,
                'content' => $content,
                  'color' => $color,
                'deleted' => 0 );
            
         
          $this->OnLine->save_items_lang_DB($data,"_en");
         
            print_r($data);
            echo '<br>'; 
         
         }
         
     /*    
      print_r($item);
      echo '<br>';   
         
      echo "$inum = $name ($color) / $description / $content";
         
         echo '<br><br>';
      */
      
      }
	
      
	
	die();
	
	
	}
	

/* ======================== eMAG EXPORTER ======================== */
	function admin_export_emag($item_number=-1)
	{ require_once(APPPATH."plugins/marketing/export_eMAG.php");die();}

	function search_emag_item()
	{
		$item_number = $this->input->post("search_item");
		// записва обратно в базата ...
		$this->OnLine->save_settings('item_number', $item_number);
		$this->online_lib->set_mode('export');
		$token = $this->online_lib->get_token();
	$this->admin_database($token);
	}

	function select_emag_item($item_eMAG)
	{
		$item_number = substr($item_eMAG,0,-1);
		$item_size	 = substr($item_eMAG,-1);
		// записва обратно в базата ...
		$this->OnLine->save_settings('item_number', $item_number);
		$this->OnLine->save_settings('item_category', $category_id);
		$this->OnLine->save_settings('item_color', $item_color);
		$this->OnLine->save_settings('item_image', $item_image);

		$this->online_lib->set_mode('export');
		$token = $this->online_lib->get_token();
	$this->admin_database($token);
	}

	function end_admin_export_emag()
	{
		$this->online_lib->set_mode('export');
		$token = $this->online_lib->get_token();
	$this->admin_database($token);
	}
	
	
/* ======================= import_eMAG България ========================== */
	function zebex_import_BG($cat=0)
	{
		$data=array('cat'=>$cat);
		$this->load->view("marketing/zebex_import_bg", $data);
	}
	
	function import_eMAG_BG($cat=0)
	{  require_once(APPPATH."plugins/marketing/import_eMAG_BG.php");
		$token = $this->online_lib->get_token();
	$this->admin_database($token);
	}
	
	function compare_eMAG_BG($cat=0)
	{ require_once(APPPATH."plugins/marketing/compare_eMAG_BG.php");die();}
	
	function clear_eMAG_BG($cat=0)
	{  $this->Marketing->clear_EmagBG($cat);
		$token = $this->online_lib->get_token();
	$this->admin_database($token);
	}
	
/* ======================= import_eMAG Romania ========================== */
	function zebex_import_Ro($cat=0)
	{
		$data=array('cat'=>$cat);
		$this->load->view("marketing/zebex_import_ro", $data);
	}
	
	function import_eMAG_Ro($cat=0)
	{  require_once(APPPATH."plugins/marketing/import_eMAG_Ro.php");
		$token = $this->online_lib->get_token();
	$this->admin_database($token);
	}
	
	function compare_eMAG_Ro($cat=0)
	{ require_once(APPPATH."plugins/marketing/compare_eMAG_Ro.php");die();}
	
	function clear_eMAG_Ro($cat=0)
	{  $this->Marketing->clear_EmagRo($cat);
		$token = $this->online_lib->get_token();
	$this->admin_database($token);
	}
	
/* ========================= FACBOOK FEEDs =========================
	public function get_facebook_feed($cat=0)
	{
		echo 'Facebook Feed ...'; die();
	}
 */	
 
 
	function move_subscribers()
	{
      $ctr = $nocrt = 0;
		$subscr_data = $this->Marketing->getOcmuData();
		if($subscr_data)
		{
			foreach($subscr_data as $subscr)
			{
            $uguomu = $subscr['uguomu'];
				if(!$this->Marketing->exists_uguomu($uguomu))
				{
               $client_data = array(
               'client_id' => 1000000 + $subscr['client_id'],
                  'client' => $subscr['client'],
                  'status' => 'subscriber',
                 'ip_addr' => $subscr['ip_addr'],
                  'uguomu' => $subscr['uguomu'],
               'subscribe' => 1,
           'reg_date_time' => $subscr['reg_date_time'],
                 'deleted' => 0 );
			
               $succ = $this->Marketing->save_to_xopa($client_data);
				
               if($succ)
               {
                  echo $subscr['client'].'<br>';
                  print_r($client_data);
				
                  echo '<br><br>';
               }
               
               $ctr++;
               
            }
            else // no account
            {
               $client_data = array(
                     'uguomu' => $subscr['uguomu'],
                  'subscribe' => 1,
                    'deleted' => 0 );
			
               $succ = $this->Marketing->update_xopa($client_data);
				
               echo $subscr['client'].' - <b style="color:red;">NO ACCOUNT </b> <br>';
               print_r($client_data);
				
               echo '<br><br>';
               $nocrt++;
            }
            
		
		
			}
		} // if($subscr_data)
		
		echo "<br><br>само subscribers: $ctr";
		echo "<br><br>нямат account: $nocrt<br>";

	die();
	
	}
	
	
	function move_ocmu()
	{
		$ctr = 0;
		$ocmu_data = $this->Marketing->getOcmuData();
		if($ocmu_data)
		{
			foreach($ocmu_data as $ocm)
			{
				$uguomu = $ocm['uguomu'];
				if(!$this->Marketing->exists_uguomu($uguomu))
				{
					$client_data = array(
						'uguomu' => $uguomu,
					'client_id' => $ocm['client_id'],
						'client' => $ocm['client'],
						  'name' => $ocm['name'],
					  'surname' => $ocm['surname'],
						'status' => $ocm['status'],
					  'ip_addr' => $ocm['ip_addr'],
						  'city' => $ocm['city'],
					  'address' => $ocm['address'],
						 'phone' => $ocm['phone'],
			  'reg_date_time' => $ocm['reg_date_time'],
					  'deleted' => 0 );
				
			//	$succ = $this->Marketing->save_to_subscribes($client_data);
				$succ = $this->Marketing->save_to_xopa($client_data);
					
				//	echo $subscr['client'].' - ';
				if($succ)
				{
					print_r($client_data);
					echo '<br><br>';
				}
               $ctr++;
				}
		
			}
		}
		
	echo "всичко: $ctr";
	die();
	
	}

	

	function get_client_info($dbase,$id) // $email=0,$names=0 / $dbase='users'
	{
      $data = array();

      if($dbase=="users")
       { $xopa = $this->Marketing->get_Xopa_byID($id); }
      elseif($dbase=="guests")
       { $xopa = $this->Marketing->get_Ocmu_byID($id); }

		if($xopa)
		{
         $client = $xopa->client;
         $email  = $xopa->uguomu;

         if($email)
         {
            // ОБЩА СУМА
           $all_suma = 0;
           $now_year = (int)date("Y");
           $xopa_data = '';
           
           $year=2015; // старт 2015  -  край: тек.месец от година -> СЕГА ?!
           while( $year <= $now_year )
			  { $all_suma += $this->show_OM_veddata($email,$year); $year++; }

           $suma = round($all_suma,0);
           
            echo "<br>
                  <div style='background:black;color:white;padding:8px;font-size:150%;'>ВСИЧКО = <b>$suma</b> лв.</div>";           
           
           return true;
         }
		}

      return false;
	}
	
	
	function show_OM_veddata($email,$year)
	{
		$all_suma = 0;
      $data = array();
      $ved  = 100*($year - 2000) + 1; 
      
      $limit = $ved + 12;
      if( $ved===(100*date("y")+1) ) { $limit = $ved + (int)date("m"); }

      echo "<div style='font-size:125%;'>";
      while( $ved < $limit )
      {
        $vedom = "V".$ved;
        $xopa_data = $this->Marketing->check_OM_vedom($vedom,$email);
        if($xopa_data)
        { // echo "Данни от $vedom:";
          foreach($xopa_data as $xop)
          {
            $doc_id   = $xop['doc_id'];
            $mode_id  = $xop['mode_id'];
            $doc_num  = $xop['doc_number'];
            $doc_date = date('d.m.Y',strtotime($xop['doc_date']));
            $suma     = to_dot(round($xop['total_sum'],2));
            
            $all_suma += $xop['total_sum'];
            
            echo "<br>
                  <div style='background:#555;padding:4px;color:white;margin-bottom:4px;'>
                     $doc_date &nbsp;&nbsp; $mode_id - $doc_num = <b>$suma</b> лв.
                  </div>" ;

            $xop_items = $this->Marketing->get_OM_vedom_items($vedom,$doc_id);
            if($xop_items)
            {
               foreach($xop_items as $item)
               {
                  $inum    = $item['item_number'];
                  $item_online = $this->OnLine->get_online_item($inum);
                  
                  $name    = ''; 
                  if($item_online) { $name = $item_online->name_bg; } // взима от online
                  else { $name = $this->Item->get_name($inum); } // ако НЕ взима от базата
                  
                  $price   = to_dot(round(1.2*$item['item_unit_price'],2));
                  $qty     = $item['item_qty'];
                  $sizes   = $item['item_name'];
                  $size    = '';
                  if($sizes)
                  {
                  	$Qties  = explode(',',$sizes);
                  	$size   = $this->OnLine->get_mySize($inum,$Qties);
                     if(!empty($size)) { $size = " / размер: <b style='color:#604;'>$size</b>"; } else { $size = ''; }
                  }
                  
                  echo "<b style='color:#005;'>$inum</b> - $name - $qty x <b>$price лв.</b> $size<br>";
               } // foreach($xop_items
            } // if($xop_items)
          } // foreach($xopa_data
          
          $data[] = $xopa_data;
        }
        $ved++;
      } // while(
      echo "</div>";
            
      return $all_suma;
	}
	
	
	function get_all_mails_now()
	{	
      $data_mails = $this->Marketing->get_all_emails();
      foreach($data_mails as $email)
      {      
         $client_id = $email['client_id'];
         $new_email = strtolower($email['uguomu']);
         $data = array(
            'client_id' => $client_id,
               'uguomu' => $new_email,
              'deleted' => 0 );
      
      
         $succ = $this->Marketing->update_email($data);
         if($succ) { $succ = ' - OK'; }
         else { $succ = ' - FAIL'; }
         
         print_r($data.' result: '.$succ);
         echo "<br>";
         
         
        // die();
      }
      die();
	}
	
	function get_all_OM_year($year=2022)
	{
      $month=1;
      
      while($month < 13)
      {
         $data = array();
         $ved  = 100*($year - 2000) + $month; 
      //    $limit = $ved + 12;
      //    $all_suma = 0;
         $vedom = "V".$ved;
         $data_OM = $this->Marketing->get_OM_vedom($vedom);
      
         echo "<br>year: $year / $month<br>$vedom ";

         if($data_OM)
         {
            echo " is <b>OK</b><br>================<br>";
            
            foreach($data_OM as $doc)
            {
               $email = $doc['employee'];
               // $client_service = $doc['employee_id'];
               $email_key = 0;
               if($email=="Любка Топалова" or $email=="Йорданка Начева") { $email_key = 1; }
               
               if( !$email_key and (!$email or !$this->Marketing->exists_email_xopa($email)) ) 
               { echo "<span style='color:red;'>$email - липсва в БД ?!</span><br>"; }

                  $doc_id     = $doc['doc_id'];
                  $mode_id    = $doc['mode_id'];
                  $doc_num    = $doc['doc_number'];
                  $doc_date   = $doc['doc_date'];
                  $client     = trim(mb_convert_case($doc['client'],MB_CASE_TITLE,"UTF-8"));
                  
                  
                  // try to find mobile
                  $old_mobile = substr($doc['comment'],-10);
                  
                  $client_id  = $doc['client_id'];if(null==$client_id) { $client_id=1000000; }
                  $mobile = 0; 
                  
                  $client_info = $this->Marketing->get_client_info_email($email);
                  if($client_info)
                  {
                     if($client_id==1000000)
                     { $client_id = $client_info->client_id; }
                     $mobile = $client_info->phone;
                  }
                  
                  if(true) // $client_id
                  {
                     $inum =  $sizes =  $qty = $price = 0;
                     $items = $this->Marketing->get_OM_vedom_items($vedom,$doc_id);
                     if($items)
                     {
                        foreach($items as $item)
                        {
                           $inum = $item['item_number'];
                        // $sizes = $item['item_name'];
                           $sizes = $this->BiSOFT_Model->get_named_sizes( $inum, $item['item_name']);
                           
                           
                           $qty = $item['item_qty']; if($mode_id=="OMB") { $qty = - abs($item['item_qty']); }
                           $price = round(1.2 * $item['item_unit_price'],2);
                           
                           $cat = $coll = 0;
                           $skl = $this->Item->get_sklad_info($inum,0);
                           if($skl)
                           {
                              $cat  = $skl->cat;
                              $coll = $skl->coll;
                           }
                           
                        //  if(!$mobile) { $mobile = $old_mobile; }
                           
                           $data = array(
                            'email' => $email,
                        'client_id' => $client_id,
                           'client' => $client,
                           'mobile' => $mobile,
                              
                             'inum' => $inum,
                              'cat' => $cat,
                             'coll' => $coll,
                              'qty' => $qty,
                            'price' => $price,
                            'sizes' => $sizes,
                           
                           'doc_id' => $doc_id,
                          'doc_num' => $doc_num,
                         'doc_date' => $doc_date,
                          'mode_id' => $mode_id,
                              'del' => 0 );
                  
                           $vedom_OM = "onlines_$year";
                           $success = $this->Marketing->save_OM_record($data,$vedom_OM);

                        } // foreach($items
                     } // if($items)
                  } // if($client_id)

            }
         } // $data_OM
         else { echo ' => this DB does NOT EXISTS ?!<br>
         =============================================
         <br>'; }
	
      $month++;
      } // while
	
	}
	
	function exists_OM_record($email=0,$inum=0,$doc_number=0)
	{
	
	
	
      return 0;
	}
	
	function exists_email_xopa($email=0)
	{
      if($email)
      {
	
	
	
      }
      else{ return 0; }
	}
	
	
	// set to DB records
	function set_DB_records($year)
	{ require_once(APPPATH."plugins/marketing/set_DB_records.php");die(); }	
	
	
	
	
	function get_mobile_clients()
	{
      $users = array();
      $client_data = $this->Marketing->get_clients_by_mobile();
      if($client_data)
      {
         $last_mobile = 0;
         $total = 0;
         foreach($client_data as $cli)
         {
            $mobile = $cli['phone'];
            $len_mobile = strlen($mobile);
            if($len_mobile==10 and (substr($mobile,0,2)=='08' or substr($mobile,0,2)=='09'))
            {
               $email  = $cli['uguomu'];
               $client = $cli['client'];
               $city   = $cli['city'];
            
               if($email and $email!="shop.styler.bg")
               {
                  $vedom = '2022';
                  $vData = $this->Marketing->get_from_onlines_vedom($vedom,$email);
                  if($vData) { $total += $vData->total; }
               
                  $vedom = '2021';
                  $vData = $this->Marketing->get_from_onlines_vedom($vedom,$email);
                  if($vData) { $total += $vData->total; }

                  $vedom = '2020';
                  $vData = $this->Marketing->get_from_onlines_vedom($vedom,$email);
                  if($vData) { $total += $vData->total; }
                
                  $vedom = '2019';
                  $vData = $this->Marketing->get_from_onlines_vedom($vedom,$email);
                  if($vData) { $total += $vData->total; } 
                  
                  $vedom = '2018';
                  $vData = $this->Marketing->get_from_onlines_vedom($vedom,$email);
                  if($vData) { $total += $vData->total; }  
                  
                  $vedom = '2017';
                  $vData = $this->Marketing->get_from_onlines_vedom($vedom,$email);
                  if($vData) { $total += $vData->total; } 
                  
                  $vedom = '2016';
                  $vData = $this->Marketing->get_from_onlines_vedom($vedom,$email);
                  if($vData) { $total += $vData->total; }  
               
               
                  if($mobile == $last_mobile) 
                  {
                     if($total>0)
                     {
                        $users[$mobile]['client'] = $client;
                        $users[$mobile]['email']  = $email;
                        $users[$mobile]['city']   = $city;
                        $users[$mobile]['total'] += $total;
                     }
                     $total = 0;
                  }
                  else // new record
                  {
                     $users[$mobile] = array(
                        'client' => $client,
                         'email' => $email,
                          'city' => $city,
                         'total' => $total                
                                 );

                     $total = 0;
                  }
               
               
               
               }

               // next ...
               $last_mobile = $mobile;
            }
         }
      }
      
      
      foreach($users as $mob=>$user)
      {
         $client = $user['client'];
         $city   = $user['city'];
         $email  = $user['email'];
         $total  = round($user['total'],0);
         
         if($total>10)
         {
            echo "$mob ~ $client ~ $city ~ $email ~ $total";
            echo "<br>\n";
         }
      
      }
      
      
      
      
      
     // print_r($users);
      
      return true;
	}
	


/* ======================== OTHER EXPORTERS ======================== */

	public function export_users()
	{
		// взима от база 'ХОРА'
		$users_table = $this->OnLine->get_all_users();
	
		// взима от база 'ОСТИ'
		//	$users_table = $this->OnLine->get_all_guests();
		$data = array('users_table' => $users_table );
		$this->load->view('marketing/export_users_Excel',$data);
	}
	
	// eBorica response
	public function eBorica_resp($doc_number=0,$total=0,$resp=0)
	{
		$data=array(
			'brand' 		 => 'STYLER',
			'doc_number' => $doc_number,
			'total' 		 => round($total/100,2),
			'resp'  		 => $resp );

		$this->load->view("onlines/thankyou_eBorica",$data);
		die();
	}
	
	// Facebook
	public function fb_item_feed($inum=0)
	{ $cat = 0; require_once(APPPATH."plugins/marketing/export_Facebook.php");die();}

	public function fb_shop_feed($cat=0)
	{ $inum=0; require_once(APPPATH."plugins/marketing/export_Facebook.php");}
	
	public function fb_auto_feed() // използва се отгоре ?!
	{ $inum=$cat=0;require_once(APPPATH."plugins/marketing/export_Facebook.php");}
	
	
	
/*	
	public function getShop()
	{ require_once(APPPATH."plugins/marketing/export_ShopBG.php");die();}

	public function getShopEN()
	{ require_once(APPPATH."plugins/marketing/export_ShopEN.php");die();}

	public function getShopMyMall($lang='bg')
	{ require_once(APPPATH."plugins/marketing/export_MyMall.php");die();}
	
	public function getShop_BFashion($lang='bg')
	{
		$now_time = date('H:i:s');
		if($now_time < date('08:55:00') or $now_time > date('16:55:00')) 
			{ 
				require_once(APPPATH."plugins/marketing/export_bFashion.php");
				die();
			}
		else
			{ 	require_once(APPPATH."plugins/marketing/export_bFashion_NO.php");
				die();
			}
	}

	public function getGoogleAds()
	{ require_once(APPPATH."plugins/marketing/export_GoogleAds.php");die();}	
	
	public function getShopExcel()
	{ require_once(APPPATH."plugins/marketing/export_Excel.php");die();}
	
	public function export_xNet($item=0)
	{ require_once(APPPATH."plugins/marketing/export_xNet.php");die();}
	
	public function export_pazaruvaj()
	{ $inum=$cat=0;require_once(APPPATH."plugins/marketing/export_Pazaruvaj.php");die();}
	
	public function export_nap()
	{ $inum=$cat=0;require_once(APPPATH."plugins/marketing/export_NAP.php");die();}
	
	public function export_glami()
	{ $inum=$cat=0;require_once(APPPATH."plugins/marketing/export_Glami.php");die();}
	
	public function export_bsi()
	{ $inum=$cat=0;require_once(APPPATH."plugins/marketing/export_BSI.php");die();}
	
	public function export_dsa()
	{ $inum=$cat=0;require_once(APPPATH."plugins/marketing/export_DSA.php");die();}

	public function getDoffi($lang='bg')
	{ require_once(APPPATH."plugins/marketing/export_Doffi.php");die();}
	
	public function getMarketC()
	{ require_once(APPPATH."plugins/marketing/export_marketC.php");die();}
*/	


/* ====================== OLD NOT USED =================== */

/*
	public function getShop_HiperMag($lang='bg')
	{ require_once(APPPATH."plugins/marketing/export_HiperMag.php");die();}
	
	public function getShop_tria($lang='bg')
	{ require_once(APPPATH."plugins/marketing/export_Tria.php");die();}
	
	public function getShopEversayEN()
	{ $this->getShopEversay('en');}
*/	
	
/* ================= ADMIN FUNCTIONS ===================== */	
	public function filter_online_items()
	{ $inum=$cat=0;require_once(APPPATH."plugins/marketing/filter_online_items.php");die();}

} ?>
