<?php require_once ("Secure_area.php");

class Orders extends Secure_area 
{
	function __construct()
	{
		parent::__construct();	
	}
	
	function index()
	{
		$mode_menu = 'orders';
		$this->BiSOFT_Model->set_mode_menu($mode_menu);
		$this->refresh(0);
	}


	function add_collection()
	{
	$this->refresh(0);
	}

	function change_collection()
	{
		$assort = $this->input->post("collection");
		$this->BiSOFT_Model->set_mode_assort($assort);
	$this->refresh(0);
	}


	function change_customer()
	{
		$customer = $this->input->post("customer");
		$this->BiSOFT_Model->set_user_client($customer);
	$this->refresh(0);
	}

   function change_LABEL($inum=-1,$coll=0)
   {
      if($inum>0 and $coll>99)
      {
         $label = $this->input->post("label");
         $plan_data=array(
               'inum'  => $inum,
               'coll'  => $coll,
               'label' => $label );

         $this->Order->save_plan_inum($inum,$coll,$plan_data);
      }
   $this->select_item($inum);
   }

   
	function select_item($item_number)
	{ require_once(APPPATH."plugins/orders/orders_select_item.php"); }
	

	function new_order($order_id)
	{ require_once(APPPATH."plugins/orders/orders_new_order.php"); }


	function save_new_order( $vedomPack)
	{ require_once(APPPATH."plugins/orders/orders_save_new_order.php"); }
	

	public function view_order($order_id,$key_New)
	{ require_once(APPPATH."plugins/orders/orders_view_order.php"); }


	public function save_order($order_id)
	{ require_once(APPPATH."plugins/orders/orders_save_order.php"); }


	public function print_order($order_id, $key_print)
	{ require_once(APPPATH."plugins/orders/orders_print_order.php"); }

	
	function produced_items($order_id, $key_print)
	{ require_once(APPPATH."plugins/orders/orders_produced_items.php"); }
	
	
	function left_items($order_id, $key_print)
	{ require_once(APPPATH."plugins/orders/orders_left_items.php"); }


	function missing_items($order_id, $key_print)
	{ require_once(APPPATH."plugins/orders/orders_missing_items.php"); }
	
	
	function left_items_view($inum)
	{ require_once(APPPATH."plugins/orders/orders_left_items_view.php"); }

	

	
	function add_schedule()
	{
		$data['schedule'] = array();
		
		// вземам си всички КЛИЕНТИ
		$data['customers'] = array('0' => '= ИЗБЕРЕТЕ КЛИЕНТ =');
		foreach ($this->Customer->get_all()->result() as $customer)
		{ 
			$company_name = $customer->company_name;
			if(strlen($company_name)>70) { $company_name = substr($company_name,0,68).' ...'; }
			$data['customers'][$customer->bisoft_id] = $company_name; 
		}
		$this->load->view("orders/edit_schedule", $data);
	}
	
	
	
	function edit_schedule($schedule)
	{
		$data['schedule'] = $this->Order->get_schedule($schedule);
		
		// вземам си всички КЛИЕНТИ
		$data['customers'] = array('0' => '= ИЗБЕРЕТЕ КЛИЕНТ =');
		foreach ($this->Customer->get_all()->result() as $customer)
		{ 
			$company_name = $customer->company_name;
			if(strlen($company_name)>70) { $company_name = substr($company_name,0,68).' ...'; }
			$data['customers'][$customer->bisoft_id] = $company_name; 
		}

		$this->load->view("orders/edit_schedule", $data);		
	}
	
	
	function save_schedule($schedule)
	{
		$client_id = $this->input->post('client_id');
		$client_info = $this->Customer->get_info_by_bisoft_id($client_id);
		$client = $client_info->company_name;
		
		$data = array(
				'client_id' => $client_id,
					'client' => $client,
					
			  'order_date' => date('Y-m-d', strtotime($this->input->post('order_date'))),	
			  'visit_date' => date('Y-m-d', strtotime($this->input->post('visit_date'))).' '.
									date('H:i:s', strtotime($this->input->post('visit_time'))),
		
					'status' => ($this->input->post('status')) ? 1 : 0,
				  'comment' => $this->input->post('comment'),
						'del' => 0 );
						
		if($schedule>0) { $data['order_list'] = $schedule; }
		else { $schedule = false; }
		
		$this->Order->save_schedule($data,$schedule);

		header("Location: ".BISOFT."index.php/orders/schedule");
	}
	
	function delete_schedule($order_list)
	{
		$data = array('order_list'=>$order_list,'del'=>1);
		$this->db->trans_start();
			$this->Order->save_schedule($data,$order_list);
		$this->db->trans_complete();
		header("Location: ".BISOFT."index.php/orders/schedule");
	}


// ============== EDIT ORDERS ===========  //
	function edit($order_id)
	{
		$data = array();
		$mode = '1';
		$vedomPack = 'orders';
		$data['vedomPack'] = $vedomPack;

		$data['doc_info'] = $this->Order->get_info($order_id)->row_array();

		// вземам си всички ОПЕРАТОРИ
		$data['employees'] = array();
		foreach ( $this->Employee->get_all()->result() as $employee)
				  { $data['employees'][$employee->person_id] = $employee->first_name . ' '. $employee->last_name; }
		
	$this->load->view('orders/edit', $data);
	}


	function save($order_id, $vedomPack)
	{
		$mode =  '1';
		$order_info	 	= $this->Order->get_order_info($order_id);
		$order_number 	= $order_info->order_number;

		$employee_id 	= $this->input->post('employee_id');
		$employee	 	= $this->Employee->get_info($employee_id)->first_name
							 .' '. $this->Employee->get_info($employee_id)->last_name;
		$order_date 	= date('Y-m-d', strtotime($this->input->post('order_date')));
		$deadline 		= date('Y-m-d', strtotime($this->input->post('deadline')));

		// малко сметки ...
		$order_calc = $this->Order->calculate_order($order_id,$vedomPack);
		$total_discount = $order_info->total_discount;
		$avance = $order_info->avance;
			 $total_qty = $order_calc['total_qty'];
			 $total_sum = $order_calc['total_sum'];

		$all_total = round( ( 100 - $total_discount ) * $total_sum / 100, 2) - $avance;

		$order_data = array(
				'order_number' 	=> $order_number,
				'order_date' 		=> $order_date,
				'mode' 				=> $mode,
				'deadline'			=> $deadline,
				'total_qty' 		=> $total_qty,
				'total_sum' 		=> $total_sum,
				'total_discount'	=> $total_discount,
				'avance'				=> $this->input->post('avance'),
				'all_total'			=> $all_total,
				'employee_id' 		=> $employee_id,
				'employee' 			=> $employee,
				'comment' 			=> $this->input->post('comment')
			);

			$items_data = array(
				'order_number'  	=> $order_number,
				'deadline'			=> $deadline
			);

		// актуализира items ...
		$vedomItems = $vedomPack.'_items';

		if ($this->Order->update($order_data, $order_id, $vedomPack) and 
			 $this->Order->update_items($items_data, $order_id, $vedomItems) )
			{ echo json_encode(array('success'=>true,'message'=>$this->lang->line('sales_successfully_updated')));}
		else
			{ echo json_encode(array('success'=>false,'message'=>$this->lang->line('sales_unsuccessfully_updated')));}

	}


	function delete($order_id)
	{
		$order_info = $this->Order->get_order_info($order_id);
		$yearPack 	= 'orders_'.$order_info->mode_year;

		$data = array();
		if ($this->Order->delete($order_id, $yearPack))
			{ $data['success'] = $this->lang->line('sales_delete_successful');}
		else
			{ $data['error'] = $this->lang->line('sales_delete_unsuccessful');}

	// $this->load->view('orders/delete', $data);
	$this->refresh();
	}

// ================= END Edit Order ===================  //
	


// ================= ADD NEW LINE ================== //

	function add_new_line($order_id)
	{
		$item_number = $this->input->post('new_inum');

		if($item_number<=0 or empty($item_number) or !is_numeric($item_number))
			{ header('Location: '.BISOFT.'index.php/orders/view_order/'.$order_id.'/1');}
		$order_info	 = $this->Order->get_order_info($order_id);
		$mode			 = $order_info->mode;
		$yearPack	 = 'orders_'.$order_info->mode_year;

		// check collection = НЕ РАБОТИ ?!
		$item_coll = $this->Item->get_collection_id($item_number);
		$coll = $order_info->coll;
		if($item_coll!=$coll)
			{ header('Location: '.BISOFT.'index.php/orders/view_order/'.$order_id.'/1');}

		if (!$this->Order->item_exists($order_id, $item_number, $yearPack) and $item_number!=0)
		{
			$item_info   = $this->Item->get_item_info($item_number);
			$sklad_info  = $this->Item->get_sklad_info($item_number,0);

			$line = 1 + $order_info->lines;

			$qty_1 = $this->input->post('qty_1'); if (!$qty_1) {$qty_1='';}
			$qty_2 = $this->input->post('qty_2'); if (!$qty_2) {$qty_2='';}
			$qty_3 = $this->input->post('qty_3'); if (!$qty_3) {$qty_3='';}
			$qty_4 = $this->input->post('qty_4'); if (!$qty_4) {$qty_4='';}
			$qty_5 = $this->input->post('qty_5'); if (!$qty_5) {$qty_5='';}
			$qty_6 = $this->input->post('qty_6'); if (!$qty_6) {$qty_6='';}
			$qty_7 = $this->input->post('qty_7'); if (!$qty_7) {$qty_7='';}
			$qty_8 = $this->input->post('qty_8'); if (!$qty_8) {$qty_8='';}
			$qty_9 = $this->input->post('qty_9'); if (!$qty_9) {$qty_9='';}
			$qty_10 = $this->input->post('qty_10'); if (!$qty_10) {$qty_10='';}

			// Проверка за размери.
			$all_qty = (int)$qty_1 + (int)$qty_2 + (int)$qty_3 + (int)$qty_4 + (int)$qty_5
						+ (int)$qty_6 + (int)$qty_7 + (int)$qty_8 + (int)$qty_9 + (int)$qty_10;
			if (!$all_qty) { $all_qty = (int)$this->input->post('all_qty'); }

			// изчислявам totals:
			$item_price = $sklad_info->price;
			$item_discount = (int)$item_info->item_discount;
			$item_total = round( ( 100 - $item_discount ) * $item_price * $all_qty / 100, 2);

			$items_data = array(
					'order_id' 			=> $order_id,
					'order_number' 	=> $order_info->order_number,
					'mode' 				=> $mode,
					'line'	=> $line,

					'inum' 	=> $item_number,
					'price' 	=> $item_price,
					'dsc' 	=> $item_discount,
					'total' 	=> $item_total,

					'qty' 	=> $all_qty,
					'q1' 		=> $qty_1,
					'q2' 		=> $qty_2,
					'q3' 		=> $qty_3,
					'q4' 		=> $qty_4,
					'q5' 		=> $qty_5,
					'q6' 		=> $qty_6,
					'q7' 		=> $qty_7,
					'q8' 		=> $qty_8,
					'q9' 		=> $qty_9,
					'q10'		=> $qty_10,
				
					'client_id'	=> $order_info->client_id,
					'coll'		=> $order_info->coll	);
			
					
			$this->Order->insert_line_item($items_data, $yearPack);

			// малко сметки ...
			$order_calc = $this->Order->calculate_order($order_id,$yearPack);

			$total_discount = $order_info->dsc;
			$avance = $order_info->avance;
			$total_qty = (int)$order_calc['total_qty'];
			$total_sum = $order_calc['total_sum'];

			$all_total = round( ( 100 - $total_discount ) * $total_sum / 100 - $avance, 2);

			$order_data = array(
						'lines' => $line,
						'qty'	  => $total_qty,
						'sum'	  => $total_sum,
						'total' => $all_total );
						
			$this->Order->update($order_data, $order_id);
		}
		else
		{
			echo 'WRONG ORDER. ERROR ?!';
		}

		header('Location: '.BISOFT.'index.php/orders/view_order/'.$order_id.'/1');
	}


	function save_new_line($order_id)
	{
		$order_info	 = $this->Order->get_order_info($order_id);
		$mode			 = $order_info->mode;
		$yearPack	 = 'orders_'.$order_info->mode_year;
		$item_number = $this->input->post('item_number');
	
	if (!$this->Order->item_exists($order_id, $item_number, $yearPack))
		{
			$item_info   = $this->Item->get_item_info($item_number);
			$sklad_info  = $this->Item->get_sklad_info($item_number,0);

			$line = 1 + $order_info->lines;

			$qty_1 = $this->input->post('qty_1'); if (!$qty_1) {$qty_1='';}
			$qty_2 = $this->input->post('qty_2'); if (!$qty_2) {$qty_2='';}
			$qty_3 = $this->input->post('qty_3'); if (!$qty_3) {$qty_3='';}
			$qty_4 = $this->input->post('qty_4'); if (!$qty_4) {$qty_4='';}
			$qty_5 = $this->input->post('qty_5'); if (!$qty_5) {$qty_5='';}
			$qty_6 = $this->input->post('qty_6'); if (!$qty_6) {$qty_6='';}
			$qty_7 = $this->input->post('qty_7'); if (!$qty_7) {$qty_7='';}
			$qty_8 = $this->input->post('qty_8'); if (!$qty_8) {$qty_8='';}
			$qty_9 = $this->input->post('qty_9'); if (!$qty_9) {$qty_9='';}
			$qty_max = $this->input->post('qty_max'); if (!$qty_max) {$qty_max='';}

			// Проверка за размери.
			$all_qty = (int)$qty_1 + (int)$qty_2 + (int)$qty_3 + (int)$qty_4 + (int)$qty_5
						+ (int)$qty_6 + (int)$qty_7 + (int)$qty_8 + (int)$qty_9 + (int)$qty_max;
			if (!$all_qty) { $all_qty = (int)$this->input->post('item_qty'); }

			// изчислявам totals:
			$item_price = $sklad_info->price;
			$item_discount = (int)$item_info->item_discount;
			$item_total = round( ( 100 - $item_discount ) * $item_price * $all_qty / 100, 2);

			$items_data = array(
				'order_id' 			=> $order_id,
				'order_number' 	=> $order_info->order_number,
				'mode' 				=> $mode,
				'line'	=> $line,

				'inum' 	=> $item_number,
				'price' 	=> $item_price,
				'dsc' 	=> $item_discount,
				'total' 	=> $item_total,

				'qty' 	=> $all_qty,
				'q1' 		=> $qty_1,
				'q2' 		=> $qty_2,
				'q3' 		=> $qty_3,
				'q4' 		=> $qty_4,
				'q5' 		=> $qty_5,
				'q6' 		=> $qty_6,
				'q7' 		=> $qty_7,
				'q8' 		=> $qty_8,
				'q9' 		=> $qty_9,
				'q10'		=> $qty_max,

				'client_id'	=> $order_info->client_id,
				'coll'		=> $order_info->coll	);


		$this->Order->insert_line_item($items_data, $yearPack);

		// малко сметки ...
		$order_calc = $this->Order->calculate_order($order_id,$yearPack);

		$total_discount = (int)$order_info->dsc;
		$avance = $order_info->avance;
		$total_qty = (int)$order_calc['total_qty'];
		$total_sum = $order_calc['total_sum'];

		$all_total = round( ( 100 - $total_discount ) * $total_sum / 100 - $avance, 2);

		$order_data = array(
				'lines' => $line,
				'qty'	  => $total_qty,
				'sum'	  => $total_sum,
				'total' => $all_total );

			if ( $this->Order->update($order_data, $order_id) )
			{
				if ( $this->Order->update($order_data, $order_id))
					{ echo json_encode(array('success'=>true,'message'=>$this->lang->line('reports_add_line_success').
							$item_number.' - '.$item_info->name));}
				else
					{ echo json_encode(array('success'=>false,'message'=>$this->lang->line('reports_edit_line_unsuccess')));}

			}
			else
			{ echo json_encode(array('success'=>false,'message'=>$this->lang->line('reports_edit_line_unsuccess')));}

		} // if item exists
		else
		{ echo json_encode(array('success'=>false,'message'=>$this->lang->line('reports_new_line_unsuccess')));}
		
	}
// ================== END Add New Line ============== //



// ================= EDIT LINE ================  //

	function edit_line_item($order_id, $line)
	{
		$data = array();
		$order_info	 = $this->Order->get_order_info($order_id);
		$data['collection_id'] = $order_info->coll;
		$data['collection'] = $this->Order->get_info_collection($order_info->coll)->collection_bg;

		$yearPack = 'orders_'.$order_info->mode_year;

		$data['vedomPack'] = $yearPack;
		$data['line'] = $line;
		$data['status']	= 1;
		$data['user_id'] = $this->BiSOFT_Model->get_person();

		$data['line_item_info'] = $this->Order->get_info_line($order_id, $line, $yearPack);
		$inum = $data['line_item_info']->inum;
		$data['item_info'] = $this->Item->get_item_info($inum);
		$data['customer'] = $this->Customer->get_info_by_bisoft_id($data['line_item_info']->client_id)->company_name;

	$this->load->view('orders/edit_item', $data);
	}


	function save_line_item($order_id, $line)
	{
		$order_info	 = $this->Order->get_order_info($order_id);
		$mode			 = $order_info->mode;
		$yearPack	 = 'orders_'.$order_info->mode_year;

		$item_number = $this->input->post('item_number');
		$item_info	 = $this->Item->get_item_info($item_number);
		$allow_sizes = $this->Item->get_allow_sizes($item_number);

			$qty_1 = $this->input->post('qty_1'); if (!$qty_1) {$qty_1='';}
			$qty_2 = $this->input->post('qty_2'); if (!$qty_2) {$qty_2='';}
			$qty_3 = $this->input->post('qty_3'); if (!$qty_3) {$qty_3='';}
			$qty_4 = $this->input->post('qty_4'); if (!$qty_4) {$qty_4='';}
			$qty_5 = $this->input->post('qty_5'); if (!$qty_5) {$qty_5='';}
			$qty_6 = $this->input->post('qty_6'); if (!$qty_6) {$qty_6='';}
			$qty_7 = $this->input->post('qty_7'); if (!$qty_7) {$qty_7='';}
			$qty_8 = $this->input->post('qty_8'); if (!$qty_8) {$qty_8='';}
			$qty_9 = $this->input->post('qty_9'); if (!$qty_9) {$qty_9='';}
			$qty_max = $this->input->post('qty_max'); if (!$qty_max) {$qty_max='';}

			// Проверка за размери Поръчка.
			$all_qty = (int)$qty_1 + (int)$qty_2 + (int)$qty_3 + (int)$qty_4 + (int)$qty_5 
						+ (int)$qty_6 + (int)$qty_7 + (int)$qty_8 + (int)$qty_9 + (int)$qty_max;
			if ( !$all_qty and $allow_sizes==0 ) 
				{ $all_qty = (int)$this->input->post('item_qty'); }

			$iqty_1 = $this->input->post('iqty_1'); if (!$iqty_1) {$iqty_1='';}
			$iqty_2 = $this->input->post('iqty_2'); if (!$iqty_2) {$iqty_2='';}
			$iqty_3 = $this->input->post('iqty_3'); if (!$iqty_3) {$iqty_3='';}
			$iqty_4 = $this->input->post('iqty_4'); if (!$iqty_4) {$iqty_4='';}
			$iqty_5 = $this->input->post('iqty_5'); if (!$iqty_5) {$iqty_5='';}
			$iqty_6 = $this->input->post('iqty_6'); if (!$iqty_6) {$iqty_6='';}
			$iqty_7 = $this->input->post('iqty_7'); if (!$iqty_7) {$iqty_7='';}
			$iqty_8 = $this->input->post('iqty_8'); if (!$iqty_8) {$iqty_8='';}
			$iqty_9 = $this->input->post('iqty_9'); if (!$iqty_9) {$iqty_9='';}
			$iqty_max = $this->input->post('iqty_max'); if (!$iqty_max) {$iqty_max='';}

			// Проверка за размери Изпълнение.
			$all_iqty = (int)$iqty_1 + (int)$iqty_2 + (int)$iqty_3 + (int)$iqty_4 + (int)$iqty_5
						 + (int)$iqty_6 + (int)$iqty_7 + (int)$iqty_8 + (int)$iqty_9 + (int)$iqty_max;
			if ( !$all_iqty and $allow_sizes==0 )
				{ $all_iqty = (int)$this->input->post('item_iqty'); }

			// изчислявам totals:
			$item_price = $this->input->post('item_price');
			$item_discount = (int)$this->input->post('item_discount');
			$item_total = round( ( 100 - $item_discount ) * $item_price * $all_qty / 100, 2);

		$items_data = array(
			'order_id' 			=> $order_id,
			'order_number' 	=> $order_info->order_number,
			'mode' 				=> $order_info->mode,
			'line' 				=> $line,

			'inum'	=> $item_number,
			'price'	=> $item_price,
			'dsc'		=> $item_discount,
			'total'	=> $item_total,

			'qty' => $all_qty,
			'q1'	=> $qty_1,
			'q2'	=> $qty_2,
			'q3'	=> $qty_3,
			'q4'	=> $qty_4,
			'q5'	=> $qty_5,
			'q6'	=> $qty_6,
			'q7'	=> $qty_7,
			'q8'	=> $qty_8,
			'q9'	=> $qty_9,
			'q10' => $qty_max,

			'iqty' => $all_iqty,
			'iq1'  => $iqty_1,
			'iq2'  => $iqty_2,
			'iq3'  => $iqty_3,
			'iq4'  => $iqty_4,
			'iq5'  => $iqty_5,
			'iq6'  => $iqty_6,
			'iq7'  => $iqty_7,
			'iq8'  => $iqty_8,
			'iq9'  => $iqty_9,
			'iq10' => $iqty_max,

			'bqty' => (int)$this->input->post('item_bqty') 
					);

		$this->Order->update_line_item($items_data, $order_id, $mode, $line, $yearPack);

		// малко сметки ...
		$order_calc = $this->Order->calculate_order($order_id,$yearPack);

		$total_dsc = (int)$order_info->dsc;
		$avance = $order_info->avance;
			 $total_qty = (int)$order_calc['total_qty'];
			 $total_sum = $order_calc['total_sum'];

		$all_total = round( ( 100 - $total_dsc ) * $total_sum / 100 - $avance, 2);

		$order_data = array(
				'qty'	  => (int)$total_qty,
				'sum'	  => $total_sum,
				'total' => $all_total );

		if ( $this->Order->update($order_data, $order_id) )
			{ 
			  $order_IP = $order_id.str_pad($line, 3, "0", STR_PAD_LEFT);
			  echo json_encode(array(
				'success'	=> true,
				'order_id'	=> $order_id,
				'line'		=> $line,
				'line_id'	=> $order_IP,
				
				'item_qty'  => $all_qty,
				'item_q1'	=> $qty_1,
				'item_q2'	=> $qty_2,
				'item_q3'	=> $qty_3,
				'item_q4'	=> $qty_4,
				'item_q5'	=> $qty_5,
				'item_q6'	=> $qty_6,
				'item_q7'	=> $qty_7,
				'item_q8'	=> $qty_8,
				'item_q9'	=> $qty_9,
				'item_q10'	=> $qty_max,
				
				'total_qty' => $total_qty,
				'total_sum' => $all_total,
				
				'message'	=> $this->lang->line('items_item_number').' '.$item_number.' ... '.$this->lang->line('reports_edit_line_success')));
			}
		else
			{ echo json_encode(array(
				'success'	=> false,
				'order_id'	=> $order_id,
				'line'		=> $line,
				'message'	=> $this->lang->line('reports_edit_line_unsuccess')));}
	}


	function delete_line_item($order_id, $line)
	{
		$collection_id = $this->BiSOFT_Model->get_mode_assort();
		$mode_year		= (int) '20'.substr($collection_id,0,2);
		$yearPack		= 'orders_'.$mode_year;

		// реално изтрива реда ...
		$this->Order->delete_line_item($order_id, $line, $yearPack);

		// малко сметки ...
		$order_info	= $this->Order->get_order_info($order_id);
		$order_calc = $this->Order->calculate_order($order_id,$yearPack);

		$total_dsc = (int)$order_info->dsc;
		$avance = $order_info->avance;
			 $total_qty = (int)$order_calc['total_qty'];
			 $total_sum = $order_calc['total_sum'];

		$all_total = round( ( 100 - $total_dsc ) * $total_sum / 100 - $avance, 2);

		$order_data = array(
				'qty'	  => $total_qty,
				'sum'	  => $total_sum,
				'total' => $all_total );

		$this->Order->update($order_data, $order_id);

	// $this->refresh();
	$this->view_order($order_id);
	}


	// for AJAX да се направи ...
	function get_order_row()
	{
		$row_id = $this->input->post('row_id');
			$line	 = (int)substr($row_id,-3);
			$order_id = round($row_id/1000,0);
			
		$order_info	 = $this->Order->get_order_info($order_id);
		$yearPack	 = 'orders_'.$order_info->mode_year;

		$LineItem = $this->Order->get_item_from_order($yearPack,$order_id,$line);

			$rqty_1 = (int)$LineItem->qty_1 - (int)$LineItem->iqty_1; if(!$rqty_1) {$rqty_1 = '';}
			$rqty_2 = (int)$LineItem->qty_2 - (int)$LineItem->iqty_2; if(!$rqty_2) {$rqty_2 = '';}
			$rqty_3 = (int)$LineItem->qty_3 - (int)$LineItem->iqty_3; if(!$rqty_3) {$rqty_3 = '';}
			$rqty_4 = (int)$LineItem->qty_4 - (int)$LineItem->iqty_4; if(!$rqty_4) {$rqty_4 = '';}
			$rqty_5 = (int)$LineItem->qty_5 - (int)$LineItem->iqty_5; if(!$rqty_5) {$rqty_5 = '';}
			$rqty_6 = (int)$LineItem->qty_6 - (int)$LineItem->iqty_6; if(!$rqty_6) {$rqty_6 = '';}
			$rqty_7 = (int)$LineItem->qty_7 - (int)$LineItem->iqty_7; if(!$rqty_7) {$rqty_7 = '';}
			$rqty_8 = (int)$LineItem->qty_8 - (int)$LineItem->iqty_8; if(!$rqty_8) {$rqty_8 = '';}
			$rqty_9 = (int)$LineItem->qty_9 - (int)$LineItem->iqty_9; if(!$rqty_9) {$rqty_9 = '';}
			$rqty_10 = (int)$LineItem->qty_max - (int)$LineItem->iqty_max; if(!$rqty_10) {$rqty_10 = '';}
			
			$item=array(
			'order_id' => $order_id,
				'line' => $line,
				'inum' => $LineItem->item_number,
				'price' => $LineItem->item_price,
				'qty' => (int)$LineItem->item_qty - (int)$LineItem->iqty,
					'q1' => $rqty_1,
					'q2' => $rqty_2,
					'q3' => $rqty_3,
					'q4' => $rqty_4,
					'q5' => $rqty_5,
					'q6' => $rqty_6,
					'q7' => $rqty_7,
					'q8' => $rqty_8,
					'q9' => $rqty_9,
				  'q10' => $rqty_10 );
			
			$data_row = get_order_row( $item , $this );
			echo $data_row;
	}
	
// ============== ITEM PLANNING ===============  //

	function plan_item($item_id, $collection_id)
	{
		$data = array();

	$this->load->view('orders/plan_item', $data);
	}

	function save_plan_item($item_number,$collection_id='0')
	{
		$item_pqty = $item_tqty = $item_sqty = $patt = $plan = $pusk = 0;
		if($collection_id==0) 
		  { $collection_id = $this->Item->get_collection_id($item_number);}

		$p_qty_1=$p_qty_2=$p_qty_3=$p_qty_4=$p_qty_5=$p_qty_6=$p_qty_7=$p_qty_8=$p_qty_9=$p_qty_max='';
		$t_qty_1=$t_qty_2=$t_qty_3=$t_qty_4=$t_qty_5=$t_qty_6=$t_qty_7=$t_qty_8=$t_qty_9=$t_qty_max='';
		$s_qty_1=$s_qty_2=$s_qty_3=$s_qty_4=$s_qty_5=$s_qty_6=$s_qty_7=$s_qty_8=$s_qty_9=$s_qty_max='';
		
		$allow_sizes = $this->Item->get_allow_sizes($item_number);
		
		if($allow_sizes)
		{	// Проверка на ПЛАНИРАНОТО.
			$pq1 = $this->input->post('p_qty_1'); if (!$pq1) {$pq1='';}
			$pq2 = $this->input->post('p_qty_2'); if (!$pq2) {$pq2='';}
			$pq3 = $this->input->post('p_qty_3'); if (!$pq3) {$pq3='';}
			$pq4 = $this->input->post('p_qty_4'); if (!$pq4) {$pq4='';}
			$pq5 = $this->input->post('p_qty_5'); if (!$pq5) {$pq5='';}
			$pq6 = $this->input->post('p_qty_6'); if (!$pq6) {$pq6='';}
			$pq7 = $this->input->post('p_qty_7'); if (!$pq7) {$pq7='';}
			$pq8 = $this->input->post('p_qty_8'); if (!$pq8) {$pq8='';}
			$pq9 = $this->input->post('p_qty_9'); if (!$pq9) {$pq9='';}
			$pq10 = $this->input->post('p_qty_max'); if (!$pq10) {$pq10='';}

			$item_pqty = (int)$pq1 + (int)$pq2 + (int)$pq3 + (int)$pq4 + (int)$pq5 
						  + (int)$pq6 + (int)$pq7 + (int)$pq8 + (int)$pq9 + (int)$pq10;
			$plan = $pq1.','.$pq2.','.$pq3.','.$pq4.','.$pq5.','.$pq6.','.$pq7.','.$pq8.','.$pq9.','.$pq10;
		}
		else { $item_pqty = (int)$this->input->post('item_pqty'); }

		if($allow_sizes)
		{	// Проверка на КРОЯЛНО.
			$tq1 = $this->input->post('t_qty_1'); if (!$tq1) {$tq1='';}
			$tq2 = $this->input->post('t_qty_2'); if (!$tq2) {$tq2='';}
			$tq3 = $this->input->post('t_qty_3'); if (!$tq3) {$tq3='';}
			$tq4 = $this->input->post('t_qty_4'); if (!$tq4) {$tq4='';}
			$tq5 = $this->input->post('t_qty_5'); if (!$tq5) {$tq5='';}
			$tq6 = $this->input->post('t_qty_6'); if (!$tq6) {$tq6='';}
			$tq7 = $this->input->post('t_qty_7'); if (!$tq7) {$tq7='';}
			$tq8 = $this->input->post('t_qty_8'); if (!$tq8) {$tq8='';}
			$tq9 = $this->input->post('t_qty_9'); if (!$tq9) {$tq9='';}
			$tq10 = $this->input->post('t_qty_max'); if (!$tq10) {$tq10='';}

			$item_tqty = (int)$tq1 + (int)$tq2 + (int)$tq3 + (int)$tq4 + (int)$tq5 
						  + (int)$tq6 + (int)$tq7 + (int)$tq8 + (int)$tq9 + (int)$tq10;
			$patt = $tq1.','.$tq2.','.$tq3.','.$tq4.','.$tq5.','.$tq6.','.$tq7.','.$tq8.','.$tq9.','.$tq10;
		}
		else { $item_tqty = $this->input->post('item_tqty'); }		
		
		if($allow_sizes)
		{	// Проверка на ПУСНАТОТО.
			$sq1 = $this->input->post('s_qty_1'); if (!$sq1) {$sq1='';}
			$sq2 = $this->input->post('s_qty_2'); if (!$sq2) {$sq2='';}
			$sq3 = $this->input->post('s_qty_3'); if (!$sq3) {$sq3='';}
			$sq4 = $this->input->post('s_qty_4'); if (!$sq4) {$sq4='';}
			$sq5 = $this->input->post('s_qty_5'); if (!$sq5) {$sq5='';}
			$sq6 = $this->input->post('s_qty_6'); if (!$sq6) {$sq6='';}
			$sq7 = $this->input->post('s_qty_7'); if (!$sq7) {$sq7='';}
			$sq8 = $this->input->post('s_qty_8'); if (!$sq8) {$sq8='';}
			$sq9 = $this->input->post('s_qty_9'); if (!$sq9) {$sq9='';}
			$sq10 = $this->input->post('s_qty_max'); if (!$sq10) {$sq10='';}

			$item_sqty = (int)$sq1 + (int)$sq2 + (int)$sq3 + (int)$sq4 + (int)$sq5
						  + (int)$sq6 + (int)$sq7 + (int)$sq8 + (int)$sq9 + (int)$sq10;
			$pusk = $sq1.','.$sq2.','.$sq3.','.$sq4.','.$sq5.','.$sq6.','.$sq7.','.$sq8.','.$sq9.','.$sq10;
		}
		else { $item_sqty = $this->input->post('item_sqty'); }

		$plan_data = array(
			'inum' => $item_number,
			'coll' => $collection_id,
			'pqty' => $item_pqty,
			'PLAN' => $plan,
			'tqty' => $item_tqty,
			'PATT' => $patt,
			'sqty' => $item_sqty,
			'PUSK' => $pusk );			
					
			$success = $this->Order->save_plan_inum($item_number,$collection_id,$plan_data);

	$this->select_item($item_number);
	}


// ================ РАЗПЕЧАТКА ================== //
	function print_vedom()
	{
		$key_print=1;
		redirect('orders/refresh/'.$key_print);
	}
	
	function print_collection()
	{ require_once(APPPATH."plugins/orders/orders_print_collection.php"); }
	
	
	function schedule()
	{ require_once(APPPATH."plugins/orders/orders_schedule.php"); }	
	

// ================= IMPORT ПОРЪЧКИ ============== //
	function bisoft_import()
	{ require_once(APPPATH."plugins/orders/orders_bisoft_import.php"); }


// ================= REFRESH ===================  //

	function refresh($key_print)
	{ require_once(APPPATH."plugins/orders/orders_refresh.php"); }

	
} ?>
