<?php require_once ("Secure_area.php"); 

class Productions extends Secure_area
{
	function __construct()
	{
		parent::__construct('Productions');
		$this->load->library('Production_lib');
	}
	
	function index()
	{	// ПРОИЗВОДСТВО САМО за '0'-та //
		if($this->BiSOFT_Model->get_location()) {redirect('Home');}

		$this->BiSOFT_Model->clear_production();
		$mode_menu = 'productions';
		$this->BiSOFT_Model->set_mode_menu($mode_menu);
		$data=array();
		$this->_reload($data);
	}
	
	function search()
	{
		require_once(APPPATH."plugins/production/production_search.php");
	}	
	
	function item_search()
	{
		$suggestions = $this->Item->get_item_search_suggestions($this->input->post('q'),$this->input->post('limit'));
		$suggestions = array_merge($suggestions, $this->Item_kit->get_item_kit_search_suggestions($this->input->post('q'),$this->input->post('limit')));
		echo implode("\n",$suggestions);
	}


	function employee_search()
	{
      $location = $this->BiSOFT_Model->get_location();
      $mode = $this->BiSOFT_Model->get_user_mode();

		if ( $mode == 'manu_dneven' or $mode == 'manu_present' or $mode == 'manu_effekt' )
			{ $suggestions = $this->Consignee->get_consignee_search_suggestions($this->input->post('q'),$this->input->post('limit'));}

	echo implode("\n",$suggestions);
	}


	function select_employee()
	{
		$employee = $this->input->post("mode_employee");
		$this->production_lib->set_employee($employee);
		$this->production_lib->remove_worktime();
		$data=array();
	$this->_reload($data);
	}

	function remove_employee()
	{
		$this->production_lib->remove_employee();
		$data=array();
	$this->_reload($data);
	}

	function techno_search()
	{
		$suggestions = $this->Production->get_techno_search_suggestions($this->input->post('q'),$this->input->post('limit'));
		echo implode("\n",$suggestions);
	}
	
	function select_techno()
	{
		$this->BiSOFT_Model->set_mode_assort(0);
		$tech_id = $this->input->post("techno");
		$data=array('db_cat_techno'=>$tech_id);
	$this->_reload($data);
	}
	
	function select_in_techno($item_number=0,$type=0)
	{
		$data=array('item_number'=>$item_number,'type'=>$type);
	$this->_reload($data);
	}	

	function change_mode()
	{
		$mode = $this->input->post("mode");
		$this->production_lib->set_mode($mode);
		$this->BiSOFT_Model->set_user_mode($mode);
		$this->production_lib->remove_item_type();
		$data=array();
	$this->_reload($data);
	}
		
	function change_otkk_period()
	{
		$period= $this->input->post("period");
		$this->BiSOFT_Model->set_user_date(0);
		$this->production_lib->set_otkk_period($period);
		$data=array();
	$this->_reload($data);
	}

	function change_select_mode()
	{
      $mode = $this->input->post("mode_select");
		$this->production_lib->set_select_mode($mode);
		$data=array();
	$this->_reload($data);
	}	
	
	function change_patt_mode()
	{
		// $patt_mode = $this->input->post("patt_mode");
		$patt_mode = $this->production_lib->get_patt_mode();
		if($patt_mode==100) {$patt_mode=0;}
		else {$patt_mode=100;}
		
		$this->production_lib->set_patt_mode($patt_mode);
		$data=array();
	$this->_reload($data);
	}
	
	function change_patts_period($inum)
	{
      $vedom = $this->input->post("period");
		$this->production_lib->set_patt_period($vedom);
		if($this->production_lib->get_patt_cat()!='all') {$inum=0;}
	$this->dneven_kroiki($vedom,$inum);
	}
	
	function change_from_period()
	{
      $period = $this->input->post("from_period");
		$this->production_lib->set_from_period($period);
      $year = $this->input->post("from_year");
      $this->BiSOFT_Model->set_user_year($year);
		$data=array();
	$this->_reload($data);
	}
	
	function change_to_period()
	{
      $period = $this->input->post("to_period");
		$this->production_lib->set_to_period($period);
		$data=array();
	$this->_reload($data);
	}

	
	function change_kroika_period()
	{
      $period = $this->input->post("kr_period");
		$this->production_lib->set_kr_period($period);
		$data=array();
	$this->_reload($data);
	}
	

	function change_calc_PM()
	{
		$calc_PM = $this->production_lib->get_calc_PM();
		if($calc_PM) {$calc_PM=0;} else {$calc_PM=1;}
		$this->production_lib->set_calc_PM($calc_PM);
		$data=array();
	$this->_reload($data);
	}
	
	
	function show_hide_DATE()
	{
		if ( !$this->production_lib->get_dateKey() ) 
				{ !$this->production_lib->set_dateKey(); }
		else	{ !$this->production_lib->clear_dateKey(); }
		$data=array();
	$this->_reload($data);
	}

	function change_YEAR()
	{
		$c_day = date('d', strtotime( $this->BiSOFT_Model->get_user_mode_date() ));
		$c_month = date('m', strtotime( $this->BiSOFT_Model->get_user_mode_date() ));
		$c_year = $this->input->post("mode_year");
		  $m_limit = $this->BiSOFT_Model->get_month_limit($c_month,$c_year);
		  if($c_day>$m_limit) {$c_day=$m_limit;}
		  
		$mode_date = "$c_year-$c_month-$c_day";
		$this->BiSOFT_Model->set_user_date($mode_date);
		$this->BiSOFT_Model->set_user_year($c_year);
		$this->production_lib->remove_worktime();
		$data=array();
	$this->_reload($data);
	}

	function change_MONTH()
	{
		$c_month = $this->input->post("mode_month");
		$c_year  = date('y', strtotime( $this->BiSOFT_Model->get_user_mode_date() ));
		$c_day = date('d', strtotime( $this->BiSOFT_Model->get_user_mode_date() ));
		  $m_limit = $this->BiSOFT_Model->get_month_limit($c_month,$c_year);
		  if($c_day>$m_limit) {$c_day=$m_limit;}
		  
		$mode_date = "$c_year-$c_month-$c_day";
		$this->BiSOFT_Model->set_user_date($mode_date);
		$this->production_lib->remove_worktime();
		$data=array();
	$this->_reload($data);
	}

	function change_DAY()
	{
		$c_day = $this->input->post("mode_day");
		$c_month = date('m', strtotime( $this->BiSOFT_Model->get_user_mode_date() ));
		$c_year = date('y', strtotime( $this->BiSOFT_Model->get_user_mode_date() ));
		$mode_date = "$c_year-$c_month-$c_day";
		$this->BiSOFT_Model->set_user_date($mode_date);
		$this->production_lib->remove_worktime();
		$data=array();
	$this->_reload($data);
	}


	function change_PRESENCE()
	{
      require_once(APPPATH."plugins/production/production_change_PRESENCE.php");
		$data=array();
	$this->_reload($data);
	}

// ================================= Change Category =========================== //

	function change_category()
	{
		$db_cat = $this->input->post("db_cat");
		$this->BiSOFT_Model->set_mode_assort($db_cat);
		$data=array();
	$this->_reload($data);
	}

// ================================= Change Collection =========================== //

	function change_collection()
	{
		$collection_id = $this->input->post('collection_id');
		$this->BiSOFT_Model->set_mode_assort($collection_id);
		$data=array();
	$this->_reload($data);
	}
	
	function change_order_mode()
	{
		$order_mode = $this->input->post("order_mode");
		$this->production_lib->set_mode_orders($order_mode);	
		$data=array();
	$this->_reload($data);
	}
	
	
// ================================= Edit_tech_HB ========================== //
	function edit_tech_HB($job_id)
	{
		if ($job_id)
			{
				$salary = $this->input->post("set_salary");
				$job_min = round( $salary / 10084 , 4);

				$job_data = array(
					'job_id'  => $job_id,
					'job_min' => $job_min,
					'salary'  => $salary
									);
			$this->Production->update_tech_HB($job_data, $job_id);
			}
		$data=array();
	$this->_reload($data);
	}

	function delete_tech_HB($job_id)
	{
		if ($job_id)
			{
				$job_data = array(
					'job_id'  => $job_id,
					'deleted' => 1	);
			$this->Production->update_tech_HB($job_data, $job_id);
			}
		$data=array();
	$this->_reload($data);
	}


// ================================= Edit_tech_DB ========================== //
	function edit_tech_DB($tech_id, $k)
	{
		if ($tech_id > 0)
			{
				$hb = 'HB_'.$k;
				$HB_k = $this->input->post('set_HB_'.$k);

				$tech_data = array(
					'tech_id' => $tech_id,
						   $hb => $HB_k );

			$this->Production->update_tech_DB($tech_data, $tech_id);
			}
			
		$this->BiSOFT_Model->set_mode_assort(0);
		$data=array('db_cat_techno'=>$tech_id);
		
	$this->_reload($data);
	}

	function delete_tech_DB($tech_id=0)
	{
		if ($tech_id)
			{
				$tech_data = array(
					'tech_id'  => $tech_id,
					'deleted'  => 1 );

			$this->Production->update_tech_DB($tech_data, $tech_id);
			}
		$data=array();
	$this->_reload($data);
	}

	function edit_techDB_line( $tech_id )
	{
		$tech_info = $this->Techno->get_techdb($tech_id);
		$data = array(
				'tech_id' => $tech_id,
			 'tech_info' => $tech_info	);

	$this->load->view('production/edit_techDB_line',$data);
	}

	function edit_techDB_line_name( $tech_id, $line )
	{
		if ($tech_id > 0)
			{
				$tech_name = $this->input->post('set_name_'.$line);

				$tech_data = array(
					'tech_id' => $tech_id,
				 'tech_name' => $tech_name	);

			$this->Production->update_tech_DB($tech_data, $tech_id);
			}

		$this->BiSOFT_Model->set_mode_assort(0);
		$data=array('db_cat_techno'=>$tech_id);	

	$this->_reload($data);
	}
	
	
	function edit_techDB_line_job( $tech_id, $line )
	{
		if ($tech_id > 0)
			{
				$job_id = $this->input->post('set_job_id');

				$tech_data = array(
					'tech_id' => $tech_id,
					 'job_id' => $job_id	);

			$this->Production->update_tech_DB($tech_data, $tech_id);
			}

		$this->BiSOFT_Model->set_mode_assort(0);
		$data=array('db_cat_techno'=>$tech_id);	

	$this->_reload($data);
	}

	
	function edit_techDB_line_pm( $tech_id, $line )
	{
		if ($tech_id > 0)
			{
				$pm = $this->input->post('set_pm');

				$tech_data = array(
					'tech_id' => $tech_id,
					 'pm' => $pm	);

			$this->Production->update_tech_DB($tech_data, $tech_id);
			}

		$this->BiSOFT_Model->set_mode_assort(0);
		$data=array('db_cat_techno'=>$tech_id);	

	$this->_reload($data);
	}
	

	function save_techDB_line($tech_id)
	{
      require_once(APPPATH."plugins/production/production_save_techDB_line.php");
	}

	
	function add_tech_id()
	{
      require_once(APPPATH."plugins/production/production_add_tech_id.php");
      $this->_reload($data);
	}


	function add_item()
	{
		$item_inf = $this->Production->get_item_and_type($this->input->post('item'));
		$item_number = $item_inf['item'];
		$type = $item_inf['type'];
		$data = array('item_number'=>$item_number,'type'=>$type);

		// зарежда модела в сесията ...
		$this->production_lib->set_mode_item($item_number);
		$this->production_lib->set_mode_item_type($type);

	$this->_reload($data);
	}


	function add_barcode($bisoft_id)
	{
		$data=array();
		$mode = $this->production_lib->get_mode();
		$barcode_item = $this->input->post("item");

	$this->_reload($data);
	}
	
	function print_tech_id($tech_id)
	{
      require_once(APPPATH."plugins/production/production_print_tech_id.php");
	}
	
// ----------------------------- END edit_tech_DB ------------------------- //

	
/* =============================== BKK =================================== */
	function add_pattern($pattern)
	{ 
      $data = array();
      $data['user_id'] = $user_id = $this->BiSOFT_Model->get_person();
      echo 'add new patt'.$patt_id;
   }

   // new and edit pattern
	function edit_pattern($pattern, $patt_mode)
	{
      require_once(APPPATH."plugins/production/production_edit_pattern.php");
      $this->load->view("production/edit_pattern",$data);
	}
	
	function save_pattern($pattern=-1)
	{
      require_once(APPPATH."plugins/production/production_save_pattern.php");
	}

	
	function delete_pattern($pattern)
	{
      $data = array();
      echo 'DELETE patt: '.$pattern;
	$this->_reload($data);
	}


/* ------------------------------- BKK ПУСКАЧ -------------------------------- */
	function add_BKK()
	{ require_once(APPPATH."plugins/production/production_add_BKK.php");}
	
	
	function complete_bkk($BKK)
	{ require_once(APPPATH."plugins/production/production_complete_bkk.php");}
	

	function find_end_BKK()
	{
      require_once(APPPATH."plugins/production/production_find_end_BKK.php");

	}	
	
	//  ---------------------------  Приключва БКК -------------------------- //	
	function finish_bkk()
	{
      require_once(APPPATH."plugins/production/production_finish_bkk.php");
      $this->_reload($data);	
	}	
	
	// Принтира BKK карта ...
	function print_bkks($item_number,$MK_id,$qty,$bkk_sizes)
	{
      if(!$item_number or !$MK_id) { $this->_reload();}
      require_once(APPPATH."plugins/production/production_print_bkks.php");
	}


	function print_from_bkk_vedom($item_number,$mk,$qty)
	{
		$bkk_info = $this->Production->get_bkk_item($item_number,$mk);
		$sizes=$bkk_info->start_sizes;
		if($item_number and $mk and $qty)
			{ $this->print_bkks($item_number,$mk,$qty,$sizes);}
		else	
			{ die('ERROR:'); }
	}
	
	function uncompleted_bkk()
	{
		$limit=1000;
		$bkk_list = $this->Production->find_uncompleted_bkk($limit);

		$data['bkk_list'] = $bkk_list;

	$this->load->view("production/bkk_uncompleted",$data);
	}	
	
	
/* =================================== BMK ПУСКАЧ =================================== */
	function add_BMK()
	{ require_once(APPPATH."plugins/production/production_add_BMK.php");}

	function complete_bmk($BMK)
	{ require_once(APPPATH."plugins/production/production_complete_bmk.php");}

	function print_from_bmk_vedom($item_number,$type,$mk,$qty)
	{
		$bmk_info = $this->Production->get_bmk_item($item_number,$type,$mk);
		$sizes=$bmk_info->start_sizes;
	$this->print_bmks($item_number,$type,$mk,$qty,$sizes);
	}
	
	function uncompleted_bmk()
	{
		$limit=1000;
		$bmk_list = $this->Production->find_uncompleted_bmk($limit);
		$data['bmk_list'] = $bmk_list;

	$this->load->view("production/bmk_uncompleted",$data);
	}

/*  ======================================= OTKK level-7 =================================== */	
	function complete_otkk($OTKK)
	{ require_once(APPPATH."plugins/production/production_complete_otkk.php");}
	

/*  ======================================= СКЛАД - ГП 999 =================================== */
	function find_sklad_BMK()
	{ require_once(APPPATH."plugins/production/production_find_sklad_BMK.php");}
	
	//  ---------------------------  Приключва БМК в Склад-ГП -------------------------- //	
	function finish_sklad_bmk()
	{ require_once(APPPATH."plugins/production/production_finish_sklad_bmk.php");}
	
	
	
/*  ======================================= ДНЕВЕН ОТЧЕТ =================================== */	
//  ------------------------  отчита ТРУД-а на Работник по БМК и БКК ----------------------- //
	function trud_from_BMK($search)
	{ 
		require_once(APPPATH."plugins/production/production_trud_from_BMK.php");    
		$this->_reload($data);
	}
	
	// редакция на БKК от trud_from_BKK ------------------------------ //
	function edit_bkk_qty($bisoft_id,$bkk_id,$pm)
	{
      require_once(APPPATH."plugins/production/production_edit_bkk_qty.php");
      $this->_reload($data);
	}
	
	// изтриване на БKК от trud_from_BKK ----------------------------------- //
	function delete_worker_bkk($bisoft_id,$bkk_id,$bkk_erase)
	{
      require_once(APPPATH."plugins/production/production_delete_worker_bkk.php");
      $this->_reload($data);
	}	
	
	
	// ========================  редакция на БМК от trud_from_BMK ===================================== //
	function edit_bmk_qty($bisoft_id,$bmk_id,$pm,$pm_manu)
	{
      require_once(APPPATH."plugins/production/production_edit_bmk_qty.php");
      $this->_reload($data);
	}
	

	// изтриване на БМК от trud_from_BMK ----------------------------------- //
	function delete_worker_bmk($bisoft_id,$bmk_id,$bmk_erase)  // ,$bmk_PM=0
	{
      require_once(APPPATH."plugins/production/production_delete_worker_bmk.php");
      $this->_reload($data);
	}
	
	function print_workerlist($bisoft_id)
	{
		$firma = $this->BiSOFT_Model->get_firma_key();
		if($firma['styler']) // само STYLER - малки етикети.
		{
			$row_numbers = 12;
			$worker_name = $this->Employee->get_names($bisoft_id);
			$data = array(	'bisoft_id' => $bisoft_id,
								'worker_name' => $worker_name,
								'row_numbers' => $row_numbers );
			$this->load->view("production/print_workerlist", $data);
		}
		else // да се коригира = Villy Style
		{
			$row_numbers = 1;
			$worker_name = $this->Employee->get_names($bisoft_id);
			$data = array(	'bisoft_id' => $bisoft_id,
								'worker_name' => $worker_name,
								'row_numbers' => $row_numbers );
			$this->load->view("production/print_vs_workerlist", $data);
		}
	}

	// временно спрян - работеща функция.
	function select_worker($worker)
	{
		if($worker>1000)
		{
		  $this->production_lib->set_employee($worker);
		  $this->production_lib->remove_worktime();
		}
		
		$data=array();
	$this->_reload($data);
	}
	
	
/* ================================== ПРЕИЗЧИСЛЯВАНЕ НА РАБОТНИКА ========================= */
	function recalculate_worker( $bisoft_id, $vedom )
	{ require_once(APPPATH."plugins/production/production_recalculate_worker.php"); }	

	function show_view_works()
	{
		if( true )
         { echo json_encode(array('success'=>true,'message'=>$this->lang->line('config_saved_successfully')));}
		else
         { echo json_encode(array('success'=>false,'message'=>$this->lang->line('config_saved_unsuccessfully')));}	
	}
	
	
	// функция за пълно ТОТАЛНО ПРЕИЗЧИСЛЯВАНЕ НА ЦЕЛИЯТ ТРУД =========================== //
	function dneven_recalculate( $vedom, $repKey )
	{
		foreach ($this->Production->get_all_norma_workers()->result() as $worker)
			{ $bisoft_ids[$worker->bisoft_id] = $worker->first_name .' '. $worker->last_name;}
			
		$headers_errors = array(

				$this->lang->line('dnv_title_oper_error'), // 1
				$this->lang->line('dnv_title_date'), 		 // 2
				$this->lang->line('dnv_title_BMK'), 		 // 3
				'PM', 		// 4
				$this->lang->line('dnv_title_code_TM'),	 // 5
				$this->lang->line('dnv_title_TM'), 			 // 6
				'HB' ); // 7
		
		$data = array(
			 "main_title" => $this->lang->line('dnv_worker_full_month'),
		"headers_errors" => $headers_errors,
					"vedom" => $vedom,
				  "repKey" => $repKey,
			 "bisoft_ids" => $bisoft_ids );
				 
	$this->load->view("production/recalc_with_errors",$data);	
	}


	function dneven_totals($vedom)
	{
	  $this->production_lib->set_dnvTable(0);
		$data=array();
	$this->_reload($data);
	}	
	
	function dneven_presence($vedom)
	{
	  $this->production_lib->set_dnvTable(1);
		$data=array();
	$this->_reload($data);
	}
	
	function dneven_salary($vedom)
	{
	  $this->production_lib->set_dnvTable(2);
		$data=array();
	$this->_reload($data);
	}

	
	function dneven_efficiency($vedom)
	{
	  $this->production_lib->set_dnvTable(3);
		$data=array();
	$this->_reload($data);
	}	

	// ========================= АНАЛИЗ НА МЕСЕЧЕН ОТЧЕТ КРОЯЛНО ====================== //
	function dneven_kroiki( $vedom, $item_number )
	{
      require_once(APPPATH."plugins/production/production_dneven_kroiki.php");
      $this->load->view("production/view_patterns",$data);   
	}

	
	function view_patts_item( $vedom, $inum )
	{
      $inum = $this->input->post("item");
      if(is_numeric($inum) and $inum>999 and $inum<100000)
         { $this->production_lib->set_patt_cat('all');}
      elseif(is_numeric($inum) and $inum>0 and $inum<100) // група
         { $this->production_lib->set_patt_cat('all');}
      else
         { $inum=0;}
	$this->dneven_kroiki($vedom,$inum);
	}
	
	
	function change_view_patts_cat($vedom)
	{
      $inum=0;
      $cat = $this->input->post("category");
		$this->production_lib->set_patt_cat($cat);
	$this->dneven_kroiki($vedom,$inum);
	}
	
	
/* --------------------------- BKK VEDOM -------------------------- */
	function view_bkk($bkk_id,$bisoft_id)
	{
      require_once(APPPATH."plugins/production/production_view_bkk.php");
      $this->load->view("production/view_bkk",$data);
	}


	function edit_view_bkk($bkk_id)
	{
      require_once(APPPATH."plugins/production/production_edit_view_bkk.php");
      $this->_reload($data);	
	}


	function delete_bkk($bkk_id)
	{
		$data=array('bkk_id'=>$bkk_id,'deleted'=>1);
		$this->Production->save_bkk($data,$bkk_id);
      $this->_reload($data);
	}
/* --------------------------- END of BKK -------------------------------- */

	
	
/* --------------------------- BMK VEDOM -------------------------- */
	function view_bmk($bmk_id,$bisoft_id)
	{
      require_once(APPPATH."plugins/production/production_view_bmk.php");
      $this->load->view("production/view_bmk",$data);
	}
	
	function edit_view_bmk($bmk_id)
	{
      require_once(APPPATH."plugins/production/production_edit_view_bmk.php");
      $this->_reload($data);	
	}

	function delete_bmk($bmk_id)
	{
		$data=array('bmk_id'=>$bmk_id,'deleted'=>1);
		$this->Production->save_bmk($data,$bmk_id);
      $this->_reload($data);
	}
/* --------------------------- END of BMK -------------------------------- */


	function uncompleted_techno()
	{
      require_once(APPPATH."plugins/production/production_uncompleted_techno.php");
      $this->load->view("production/techno_uncompleted",$data);
	}	


	function add()
	{
      require_once(APPPATH."plugins/production/production_add.php");
      $this->_reload($data);
	}


	function edit_item( $line, $allow_sizes )
	{
      require_once(APPPATH."plugins/production/production_edit_item.php");
      $this->_reload($data);
	}


	function delete_item($line_item)
	{
		$this->production_lib->delete_item($line_item);
		$data=array();
	$this->_reload($data);
	}

	
	function edit($doc_id,$mode)
	{
		$data = array();
	$this->_reload($data);
	}
	

	function edit_line_item($doc_id, $line, $vedomPack)
	{
		$data = array();
	$this->_reload($data);
	}

	
	function delete($doc_id,$vedomPack)
	{
		$data = array();
	$this->_reload($data);
	}

	
	function save($doc_id, $mode)
	{
		$data = array();
	$this->_reload($data);
	}

	
	function save_line_item($doc_id, $line, $vedomPack)
	{
		$data = array();
	$this->_reload($data);
	}

	
	function load_from_old_BiSOFT($item_number,$type)
	{
		$data=array();
		$success = $this->Techno->import_techno($item_number,$type);
		if($success)
			{
				$data['item_number'] = $item_number;
				$data['type'] = $type;
			}
	$this->_reload($data);
	}


/* --------------------------- ПРОМЕНИ ТЕХНОЛОГИЯ-------------------------- */
	function start_techno($item_number,$type)
	{
		$data=array('item_number'=>$item_number,'type' => $type);
      $this->_reload($data);
	}

	
	function close_techno()
	{
		$data=array('item_number'=>0,'type' =>0);
      $this->_reload($data);
	}

	
	function delete_from_techlist($item_number,$type)
	{
		$data=array('item_number'=>$item_number,'type'=>$type,'tech_date'=>date('Y-m-d'),'deleted'=>1);
		$this->Techno->save_item_techlist($data,$item_number,$type);
		$data=array('item_number'=>0,'type'=>0);
      $this->_reload($data);
	}

	
	function change_tech_values($item_number,$type)
	{
		$data=array('item_number'=>$item_number,'type'=>$type);
      $this->_reload($data);
	}

	
	function change_takt($item_number,$type)
	{
		$data=array('item_number'=>$item_number,'type' => $type);
      $this->_reload($data);
	}

	
	function change_seria($item_number,$type)
	{
		$seria = $this->input->post("seria");
		if(!is_numeric($seria)) {$seria=0;}
		if($seria>50) {$seria=50;}
		if($seria<-50) {$seria=-50;}
		$data = array(
			'item_number'=>$item_number,
					 'type'=>$type,
					'seria'=>$seria );
		$this->Techno->save_techno($data,$item_number,$type);
		$this->Techno->calculate_techno($item_number,$type);
		$data=array('item_number'=>$item_number,'type' => $type);
		
      $this->_reload($data);
	}

	
	function add_PM($item_number,$type)
	{
		$data=array('item_number'=>$item_number,'type' => $type);
      $this->load->view("production/add_tech_PM",$data);
	}

	function save_tech_PM($item_number,$type)
	{
		$PM_new = $this->input->post("tech_PM");
		$result = $this->Techno->check_techno_PM($item_number,$type,$PM_new);
		if(!$result) // само когато няма РМ
			{
				$data_PM = array(
							'PM' => $PM_new,
					  'PM_pos' => 0,
						 'manu' => 0 );

				$this->Techno->add_techno_PM($data_PM,$item_number,$type);
			}
		$data=array('item_number'=>$item_number,'type' => $type);
		
      $this->_reload($data);
	}

	function change_PM($item_number,$type,$PM_pos)
	{
      require_once(APPPATH."plugins/production/production_change_PM.php");
      $this->_reload($data);
	}

	function add_new_PM_pos($item_number,$type,$PM_pos)
	{
		$PM		  = substr($PM_pos,0,-1);
		$line_PM	  = substr($PM_pos,-1);

		$data_PM = array(
					'PM' => $PM,
			  'PM_pos' => $line_PM,
				 'manu' => -1 );
				 
		$this->Techno->change_techno_PM($data_PM,$item_number,$type);
		$data=array('item_number'=>$item_number, 'type'=>$type);
	$this->_reload($data);
	}

	function delete_PM_pos($item_number,$type,$PM_pos)
	{
		$PM		  = substr($PM_pos,0,-1);
		$line_PM	  = substr($PM_pos,-1);
		if($PM!='1' && $PM!='99' or $line_PM!='0')
			{
				$data_PM = array(
							'PM' => $PM,
					  'PM_pos' => $line_PM,
						 'manu' => -1 );
				$this->Techno->delete_techno_PM($data_PM,$item_number,$type);
			}
		$data=array('item_number'=>$item_number, 'type'=>$type);
	$this->_reload($data);
	}

	function new_techno()
	{
		$this->load->view("production/new_techno");
	}

	function save_new_techno()
	{
      require_once(APPPATH."plugins/production/production_save_new_techno.php");
      $this->_reload($data);
	}

	function copy_PM_from_techno($item_number,$type)
	{
		$data=array('item_number'=>$item_number, 'type'=>$type);
	$this->load->view("production/copy_PM_fromT",$data);
	}

	function save_copy_PM_from_techno($item_number,$type)
	{
      require_once(APPPATH."plugins/production/production_save_copy_PM_from_techno.php");
      $this->_reload($data);
	}

	// Принтира BMK карта ...
	function print_bmks($item_number,$type,$MK_id,$qty,$bmk_sizes)
	{ require_once(APPPATH."plugins/production/production_print_bmks.php");}
	

// ------------------------------ ORDERS -------------------------------- //	
	function select_orders_item($item_number)
	{ require_once(APPPATH."plugins/production/production_select_orders_item.php");}
	
	
	function recalc_orders($collection_id)
	{
		if($collection_id>0) 
			{ 
				// НЕ РАБОТИ !!!
				// да се промени - РАБОТИ СЪС СТАРИ БАЗИ ...
				// $this->production_lib->recalculate_order_vedom($collection_id); 
			}
		$data=array();
	$this->_reload($data);
	}
	
	function back_from_orders()
	{
		$this->production_lib->set_mode("manu_db");
		$data=array();
	$this->_reload($data);
	}


/* ----------------- БАЗА ДАННИ ПРОИЗВОДСТВО ТЪРСАЧКА НА АРТИКУЛИ ---------------------- */
	function new_dbmanu() { }
	
	function view_hide_dbmanu($item_number,$keyV)
	{
      if($keyV) {$keyV=0;} else {$keyV=1;}
      $data=array('item_number'=>$item_number,'keyV'=>$keyV);
	$this->_reload($data);
	}

	function select_dbmanu_item($inum)
	{
      $limit = 1000;
      $start_date = date('Y-01-01');
      $item_bkk_data  = $this->Production->get_all_bkk($inum,$limit);
      $item_bmk_data  = $this->Production->get_all_bmk($inum,0,$limit);
      $item_dost_exp_data = $this->Item->get_item_from_vedoms($inum,0,$start_date);
      require_once(APPPATH."plugins/production/production_select_dbmanu_item.php");
	}
	
	function dbmanu_refresh($item_number,$keyV)
	{
      require_once(APPPATH."plugins/production/production_dbmanu_refresh.php");
      $this->_reload($data);
	}	

	function dbmanu_item_search($keyV)
	{
      $item_number = $this->input->post('item');
      if($item_number>0 and $item_number<100) {$data=array('item_number'=>$item_number,'keyV'=>$keyV);} // group
      elseif($item_number>999 and $item_number<100000) {$data=array('item_number'=>$item_number,'keyV'=>$keyV);} // item
      else {$data=array('item_number'=>0,'keyV'=>$keyV);} // NULL

	$this->_reload($data);
	}

	
// ------------------------------ TABLE (Zebex) Import -------------------------------- //
	function zebex_import()
	{ $this->load->view("production/zebex_import", null); }

	function do_zebex_import()
	{
		$data=array();
		$mode = $this->production_lib->get_mode();
		switch ($mode) 
      {
			case 'manu_skladgp': 
					require_once(APPPATH."plugins/production/production_skladgp.php"); 
					break;
		
			case 'manu_dneven': 
					require_once(APPPATH."plugins/production/production_trud_from_zebex_BMK.php");
					$data=array('success'=>$success_txt);
					break;
      }

	$this->_reload($data);
	}


	function goto_mode($mode)
	{
		$this->production_lib->set_mode($mode);
		$this->BiSOFT_Model->set_user_mode($mode);
		$this->production_lib->remove_item_type();
		
		$this->BiSOFT_Model->clear_production();
		$mode_menu = 'productions';
		$this->BiSOFT_Model->set_mode_menu($mode_menu);
		
		$data=array();
		
	$this->_reload($data);
	}
	
	
// ======================================================================================== //
// ---------------------------------------- REALEN START ---------------------------------- //
	function _reload($data)
	{
		$this->load->model('Employee');
		$mode = 'manu_db';
      require_once(APPPATH."plugins/production/production_start_values.php");
      
		// select what view to run ...
		$data['controller_name']=strtolower(get_class());
		$product_view = "production/production_view";
		switch ($mode) 
		{
         case 'manu_db': // База Данни ПРОИЗВОДСТВО
					require_once(APPPATH."plugins/production/production_start_manudb.php");
               $product_view = "production/dbmanu_view";  
               break;

         case 'manu_minutes': // База Данни Минутни Разценки
               $data['tech_HB'] = $this->Production->get_all_tech_HB();
               $product_view = "production/tech_HB";  
               break;
               
         case 'manu_pattdb': // База Данни Кройки Шаблони
               $data['patterns']  = $this->Production->get_all_patterns();
               $data['patt_mode'] = $this->production_lib->get_patt_mode();
               
               $data['all_patts'] = array();
               $all_patts = $this->Production->get_db_patts($data['patt_mode']);
               foreach($all_patts as $patt)  { $data['all_patts'][$patt['patt_id']]=$patt['name'];}
               $product_view = "production/pattern_DB";  
               break;

         case 'manu_techdb': // База Данни Техн.Операции
               if(!isset($data['db_cat_techno'])) {$data['db_cat_techno']=1000;}
               if($data['db_cat_techno']>1000 and $data['db_cat_techno']<9001) {}
               else  {$data['db_cat_techno']=0;}
               $data['tech_DB'] = $this->Production->get_all_tech_DB($db_cat,$data['db_cat_techno']);
               $product_view = "production/tech_DB";  
               break;

         case 'manu_tech': // Технологии
               $data['tech_HB'] = $this->Production->get_all_tech_HB();
               if (!isset($data['item_number'])) { $data['item_number']=0;}
               $product_view = "production/techno_view";  
               break;

         case 'manu_pattern':  // КРОЯЧ
               $bkk_id = $this->Production->get_max_bkk_id(); // брояч 1001-9999 ?!
               if(!$bkk_id) // ако е стигнал 9999 ?!
                  { $bkk_id = $this->Production->get_free_bkk_id();}
               $data['BKK']  = $bkk_id; 
               $product_view = "production/pattern_view";
               break;
               
         case 'manu_pattend':  // ПРИКЛЮЧВАНЕ БКК
               $bkk_id = $this->Production->get_max_bkk_id(); // брояч 1001-9999 ?!
               if(!$bkk_id) // ако е стигнал 9999 ?!
                  { $bkk_id = $this->Production->get_free_bkk_id();}
               $data['BKK']  = $bkk_id; 
               $product_view = "production/pattend_view";
               break;
               
         case 'manu_puskach':  // ПУСКАЧ
               // $this->Techno->bisoft_import_techno_db();  // специално за ВМЪКВАНЕ НА DB //
               $bmk_id = $this->Production->get_max_bmk_id(); // брояч 1001-9999 ?!
               if(!$bmk_id) // ако е стигнал 9999 ?!
                  { $bmk_id = $this->Production->get_free_bmk_id();}
               $data['BMK']  = $bmk_id; 
               $product_view = "production/puskach_view";
               break;
               
         case 'manu_otkk':  // OTKK
					require_once(APPPATH."plugins/production/production_otkk_start_values.php");
               $product_view = "production/otkk_view";
               break;

         case 'manu_skladgp':  // Склад-ГП
               $bmk_id = $this->Production->get_max_bmk_id(); // брояч 1001-9999 ?!
               if(!$bmk_id) // ако е стигнал 9999 ?!
                  { $bmk_id = $this->Production->get_free_bmk_id();}
               $data['BMK'] = $bmk_id;
               $product_view = "production/skladgp_view";
               break;
               
         case 'manu_vedokk':  // Ведомост БКК
               require_once(APPPATH."plugins/production/production_start_manu_vedokk.php");
               $product_view = "production/bkk_view";
               break;
               
         case 'manu_vedomk':  // Ведомост БМК
               require_once(APPPATH."plugins/production/production_start_manu_vedomk.php");
               $product_view = "production/bmk_view";
               break;
               
         case 'manu_orders':  // Ведомост ПОРЪЧКИ
               require_once(APPPATH."plugins/production/production_start_manu_orders.php");
               $product_view = "production/print_orders";
               break;

         case 'manu_dneven':  // Дневен ОТЧЕТ
               $data['view_remove_doc'] = 1;
               // добавя всичко нужно за картата на работника към $data.
               $data['GroupPM'] = $GroupPM = $this->production_lib->get_calc_PM();
               $calcKey=1;
               $data = $this->production_lib->get_dneven_data($data,$calcKey);
               $data['holidays']  = $this->BiSOFT_Model->get_month_holidays($data['mode_month'],$data['mode_year']);
               $data['dnv_table'] = $this->production_lib->get_dnvTable();
               $product_view = "production/dvn_view";
               break;

         default: $product_view = "production/production_view";
		} // End of Switch $mode.

	$this->load->view($product_view,$data);
	}

	function cancel_manu()
	{
    	$this->production_lib->clear_all();
		$this->_reload();
	}
	
	function clear_manu()
	{
      $mode = $this->production_lib->get_mode();
    	$this->production_lib->clear_all();
    	$this->production_lib->set_mode($mode);
		$this->_reload();
	}


} // ======================== КРАЙ НА ПРОИЗВОДСТВОТО ============================ //
?>
