<?php require_once ("Shops_area.php");

class Shops extends Shops_area
{
	function __construct()
	{
		parent::__construct('Shops');
		$this->load->library('Shop_lib');
	}

	function index($list='0')
	{
		$mode_menu = 'shops';
		$this->BiSOFT_Model->set_mode_menu($mode_menu);
		
		$data=array('list'=>$list);
		$this->_reload($data);
	}

	function change_mode()
	{
		$mode = $this->input->post("mode");
		$this->shop_lib->set_mode($mode);
		$this->BiSOFT_Model->set_user_mode($mode);
	$this->_reload();
	}

	function change_category()
	{
		$category = $this->input->post("category");
		$this->shop_lib->set_category($category);
	$this->_reload();
	}
	
	function show_hide_DATE()
	{
		if ( !$this->shop_lib->get_dateKey() ) 
				{ $this->shop_lib->set_dateKey(); }
		else	{ $this->shop_lib->clear_dateKey(); }
	$this->_reload();
	}

	function change_YEAR()
	{
		$c_day = date('d', strtotime( $this->shop_lib->get_date() ));
		$c_month = date('m', strtotime( $this->shop_lib->get_date() ));
		$c_year = $this->input->post("mode_year");
		  $m_limit = $this->BiSOFT_Model->get_month_limit($c_month,$c_year);
		  if($c_day>$m_limit) {$c_day=$m_limit;}
		  if($c_year<2018) {$c_year=2018;}
		$mode_date = "$c_year-$c_month-$c_day";
		$this->shop_lib->set_date($mode_date);
	$this->_reload();
	}

	function change_MONTH()
	{
		$c_day = date('d', strtotime( $this->shop_lib->get_date() ));
		$c_month = $this->input->post("mode_month");
		$c_year = date('y', strtotime( $this->shop_lib->get_date() ));
         if($c_month>date('m') and date('y')==$c_year) {$c_month=date('m');}
		  $m_limit = $this->BiSOFT_Model->get_month_limit($c_month,$c_year);
		  if($c_day>$m_limit) {$c_day=$m_limit;}
		$mode_date = "$c_year-$c_month-$c_day";
		$this->shop_lib->set_date($mode_date);
	$this->_reload();
	}

	function change_DAY()
	{
		$c_day = $this->input->post("mode_day");
		$c_month = date('m', strtotime( $this->shop_lib->get_date() ));
		$c_year = date('y', strtotime( $this->shop_lib->get_date() ));
		  $m_limit = $this->BiSOFT_Model->get_month_limit($c_month,$c_year);
		  if($c_day>$m_limit and date('y')==$c_year) {$c_day=$m_limit;}
		$mode_date = "$c_year-$c_month-$c_day";
		$this->shop_lib->set_date($mode_date);
	$this->_reload();
	}


	function change_PRICE()
	{
		$mode_price = $this->input->post("mode_price");
		$this->shop_lib->set_mode_price($mode_price);
		$this->BiSOFT_Model->set_user_price($mode_price);
	$this->_reload();
	}


	function change_VALUTA()
	{
		$mode_valuta = $this->input->post("mode_valuta");
		$this->shop_lib->set_mode_valuta($mode_valuta);
	$this->_reload();
	}


	function change_PRINTON()
	{
		$mode_print = $this->input->post("mode_print");
		$this->shop_lib->set_mode_print($mode_print);
	$this->_reload();
	}


	function change_PAYMENT()
	{
		$payment_type = $this->input->post("payment_type");
		$this->shop_lib->set_mode_payment($payment_type);
	$this->_reload();
	}

	function search()
	{
		$search=$this->input->post('search');
		if(is_numeric($search) and $search>0)
		{
         $this->_reload($data=array('inum'=>$search));
      }
      else
      {  $this->_reload($data=array('error'=>'ГРЕШКА ... НЯМАТЕ ТАКЪВ АРТИКУЛ ?!')); }
	}

/*	
	function search()
	{
		$item = $this->input->post("search");
		$this->add($item);
	$this->_reload();
	}
*/

	//Alain Multiple Payments
	function add_payment()
	{		
		$data = array();
		$mode = $this->shop_lib->get_mode();
		$location = $this->Employee->get_client_location();
		
		$this->form_validation->set_rules( 'amount_tendered', 'lang:sales_amount_tendered', 'numeric' );
		
		if ( $this->form_validation->run() == FALSE )
		{
			$data['error']=$this->lang->line('sales_must_enter_numeric');
 		$this->_reload( $data );
		}
		
		$payment_type = $this->input->post( 'payment_type' );
      $payment_amount = $this->input->post('amount_tendered');
		
		// Errors
		if( !$this->shop_lib->add_payment( $payment_type, $payment_amount ) )
		  { $data['error']='Unable to Add Payment! Please try again!';}

	$this->_reload($data);
	}

	//Alain Multiple Payments
	function delete_payment( $payment_id )
	{
		$this->shop_lib->delete_payment( $payment_id );
		$this->_reload();
	}


	function add_item_from_google ($item_number, $size=0)
	{
			$q = array(); 
			$q[1]=$q[2]=$q[3]=$q[4]=$q[5]=$q[6]=$q[7]=$q[8]=$q[9]=$q[10]=0;
			$q[$size] = 1;
			// adds items to cart
			$this->shop_lib->add_item($item_number, 1, 0, 0,
												$q[1], $q[2], $q[3], $q[4], $q[5],
												$q[6], $q[7], $q[8], $q[9], $q[10] );
	$this->_reload();
	}


	function add($barcode_item=0)
	{
		$data=array();
		$result_success = 'OK';
		$mode = $this->shop_lib->get_mode();
		$barcode_item = $this->input->post("item");
		$exist_item = $this->Item->exists_in_items($barcode_item);
		$location = $skl = $this->Employee->get_client_location();

		if($this->shop_lib->is_valid_barcode($barcode_item)) // test for barCode
		  {	// това ще да е грешка от липса на размер ?!?!?
			 if(!$this->shop_lib->add_item_barcode($barcode_item,1))
			 { $data['error']=$this->lang->line('sales_size_fail');}
		  }
		elseif($this->shop_lib->is_valid_item_number($barcode_item) and $exist_item)
		  {
			 $result_success = $this->shop_lib->add_item($barcode_item,0);
			 if ( $result_success != 'OK' )	// проверявам за вид на грешката
			 {
				  if ( $result_success == 'S' )
						  { $data['error']=$this->lang->line('sales_size_fail');}
				  else	{ $data['error']=$this->lang->line('sales_unable_to_add_item');}
			 }
		  }
		elseif(!$exist_item)
		{ $data['error']=$this->lang->line('sales_unable_to_add_item').' '.$barcode_item;}
		
		if($result_success != 'OK' && $this->Item->exists_in_shops($barcode_item,$skl)) 
		{ 
         $item_id = $this->Item->get_shop_info($barcode_item,$skl)->item_id;
         if($this->shop_lib->out_of_stock($item_id))
         {
            if( $mode != 'shop_return') 
               { $data['info'] = $this->lang->line('sales_quantity_less_than_zero').' '.$barcode_item;}
         }
		}
		
	$this->_reload($data);
	}

	
/* ----------------------------------------------------------------------- */
	function edit_sale($inum,$line)
	{
      $data['location'] = $data['skl'] = $skl = $this->Employee->get_client_location();
      if(!$this->Item->exists_in_shops($inum,$skl)) {echo 'НЯМА ТАКЪВ АРТИКУЛ ?!';die();}

		$giftvalue = 0;
		$data['mode'] = $mode = $this->shop_lib->get_mode();
		$consignee = $this->BiSOFT_Model->get_user_mode_client();

		$data['inum'] = $inum;
		$data['line'] = $line;
		$data['name'] = $this->Item->get_name($inum);
		$data['cart_info'] = $cart_info = $this->shop_lib->get_cart_item($line);
		$data['skl_info']  = $this->Item->get_shop_info($inum,$skl);
		$data['item_info'] = $this->Item->get_item_info($inum);
		
		// събира всички останали dropdowns ...
		$data = $this->Item->get_all_dropdowns($data);	
	$this->load->view("shops/form_editsale",$data);
	}
	
	
	function save_edit_item($line)
	{
		$success = 1; $item_name = '';
		$skl	= $this->BiSOFT_Model->get_location();
		$mode = $this->shop_lib->get_mode();
		$to_delete = $this->input->post('deleted');
		
		if($to_delete) 
		{$this->shop_lib->delete_item($line);} // изтрива артикула
		else
		{
			$data = array();
			$mode_price = '99';
			
			$inum = $this->shop_lib->get_item_inum($line);
			$cart_item = $this->shop_lib->get_cart_item($line);

			$skl_info  = $this->Item->get_shop_info($inum,$skl);
			$item_info = $this->Item->get_blanka_info($inum);
			$item_name = $item_info->name;
				$allow_sizes = $item_info->allow_sizes;
				if($allow_sizes=='105') {$allow_sizes=0;}

			// ЦЕНИ ---------------------------- //
			$mprice = $this->input->post('mode_price');
			$price  = $this->input->post('price');
			
			if($mode_price=='99') 
				{$this->form_validation->set_rules('price', 'lang:items_price', 'required|numeric');}

			if (!is_numeric($price)) { str_replace(',', '.', $price); $price = round($price,2);}
			if ($mode == 'shop_sale' or $mode == 'shop_return') 
				{ $price = abs($price);}

			// ОТСТЪПКИ ----------------------- //
			$discount = $this->input->post("discount");
			if ( $discount == '') { $discount = 0;}
			if (!is_numeric($discount)) 
				{ str_replace(',', '.', $discount);
				str_replace('%', '', $discount);}

			$this->form_validation->set_rules('quantity', 'lang:items_quantity', 'required|numeric');

			if($allow_sizes)
			{
					$q1=abs($this->input->post("q1"));
					$q2=abs($this->input->post("q2"));
					$q3=abs($this->input->post("q3"));
					$q4=abs($this->input->post("q4"));
					$q5=abs($this->input->post("q5"));
					$q6=abs($this->input->post("q6"));
					$q7=abs($this->input->post("q7"));
					$q8=abs($this->input->post("q8"));
					$q9=abs($this->input->post("q9"));
					$q10=abs($this->input->post("q10"));
					
			$quantity = $q1+$q2+$q3+$q4+$q5+$q6+$q7+$q8+$q9+$q10;
			}
			else
			{ $quantity = abs($this->input->post("quantity"));
			  $q1=$q2=$q3=$q4=$q5=$q6=$q7=$q8=$q9=$q10=0;
			}
			
			// при празна бланка изтрива ?!
			if($quantity==0) 
			{ $this->shop_lib->delete_item($line);} // изтрива артикула
			else
			{
				if ($this->form_validation->run() != FALSE)
					{ $this->shop_lib->edit_item($line,$quantity,$allow_sizes,$price,$mprice,$discount,
															$q1,$q2,$q3,$q4,$q5,$q6,$q7,$q8,$q9,$q10);}
				else
					{ $data['error']=$this->lang->line('sales_error_editing_item');}
				
				if($this->shop_lib->out_of_stock($this->shop_lib->get_item_id($line)))
					{
					if ( $mode != 'shop_return' ) 
						{ $data['info'] = '#'.$inum.': '.$this->lang->line('sales_quantity_less_than_zero');}
					}
			} // if($quantity==0)
		} // if to_delete ?
			
		$amount_due = $this->shop_lib->get_amount_due($mode);
		$all_qty = $this->shop_lib->get_all_qty();
			
		// AJAX answer ...	
		if($success)
		{			
			echo json_encode(array('success'=>true,
										  'message'=>$this->lang->line('items_successful_updating').' '.$item_name,
										  'amount_due'=>$amount_due,
										  'all_qty'=>$all_qty,
										  'line_id'=>$line ) );
		}
		else // failure
		{	
			echo json_encode(array('success'=>false,'message'=>$this->lang->line('items_error_adding_updating').' '.
			$item_name,'line_id'=>-1));
		}

	}
	
	
	function get_item_line()
	{
		$line_id = $this->input->post('row_id');
		$item = $this->shop_lib->get_cart_item_info($line_id);
		if($item!='-1')
			{  $data_row = get_cart_row($item,$this);
				echo $data_row;
			}
		else 
			{	if($this->shop_lib->count_cart()) 
					{ echo '';}
				else 
					{ echo "<tr><td colspan='17'><div class='warning_noitems' style='background-color:rgba(230,230,100,0.35);padding:10px;'>".
							 $this->lang->line('sales_no_items_in_cart')."</div></td></tr>"; 
					}
			}
	}
	
	
	function delete_item($line)
	{
		$this->shop_lib->delete_item($line);
	$this->_reload();
	}


	// ------------------------------------------------- COMPLETE ------------------------------- //
	function complete()
	{
      $location = $this->Employee->get_client_location();
		$person_report = 1;
		if(!$this->Employee->has_permission('reports',$this->Employee->get_logged_in_employee_info()->person_id))
			{ $person_report = 0; }

		$mode = $this->shop_lib->get_mode();
		$data['mode'] = $mode;
		
		$data['cart'] = $this->shop_lib->get_cart();
		$data['mode_price'] = 99;
		
		$data['subtotal']	= to_currency_no_money($this->shop_lib->get_real_subtotal($mode));

		// определям ДДС-то ....
		$taxed = 0;
		$mode_price = $data['mode_price'];
		if ( $mode_price == 'vat') { $taxed=1;}
		$data['taxed'] = $taxed;

		$data['tax_VAT']	= to_currency_no_money($this->shop_lib->get_tax_VAT($mode,$taxed));
		$data['currency']	= $this->config->item('currency_symbol');
		$data['all_qty']	= $this->shop_lib->get_all_qty();

			//изтегля и разпределя атрибутите на документа  ..
			$doc_date 	= date('Y-m-d', strtotime( $this->BiSOFT_Model->get_user_mode_date() ));
			$data['transaction_time']= date('Y-m-d');

			$vedom		= $this->BiSOFT_Model->get_vedom($mode);
			$doc_number	= $this->BiSOFT_Model->get_shop_document_number($mode); // взима НОВ номер ...
			$doc_name	= $this->BiSOFT_Model->get_document_title($mode);


		$emp_info=$this->Employee->get_logged_in_client_info();
		$employee_id=$emp_info->person_id;
		$data['employee']=$emp_info->first_name.' '.$emp_info->last_name;

		$data['payments']=$this->shop_lib->get_payments($mode);
		$data['amount_change']=to_currency($this->shop_lib->get_amount_due($mode,$taxed) * -1);
	
		// Определям КЛИЕНТА
		$bisoft_id = $emp_info->bisoft_id;
         $data['customer']=$data['employee'];
			$data['customer_company']=$emp_info->company;
			$data['customer_discount']=$customer_discount=0;

		$data['total'] = to_currency_no_money($this->shop_lib->get_total($mode,0,0));

		//SAVE sale to database
		$data['doc_id'] = $this->Shop->save_shop(
												$data['cart'], 
												$mode, 
												$data['all_qty'], 
												$data['subtotal'],
												$doc_number, 
												$doc_name,	
												$bisoft_id,
												$data['customer_company'], 
												$customer_discount, 
												$employee_id, 
												$data['payments'], 
												'');

		$doc_id = $data['doc_id'];

		if ($doc_id == 'doc-1')
		{ $data['error_message'] = $this->lang->line('sales_transaction_failed');}

		// определяме Ведомостта и вид на ПЕЧАТ...
		$vedomPack = 'S'.date('ym', strtotime($doc_date));
		$print_type = $this->shop_lib->get_mode_print();

		$this->shop_lib->clear_all();
		$this->_reload();
/*
		// викам съответния документ
		if ( !$person_report ) 
			{ $this->_reload();}
		else
			{  header("Location: ".BISOFT."index.php/shops/receipt/$doc_id/$vedomPack/$print_type/$mode");
			}
*/
	}
	

	// за всички документи ------------------------------ RECEIPT не работи за сега ---------//
	function receipt($doc_id,$vedomPack,$print_type='prices',$mode='sale')
	{
		$user_id   = $this->BiSOFT_Model->get_person();
		$sale_info = $this->Shop->get_info($doc_id,$vedomPack)->row_array();
		$location  = $sale_info['location'];
		$mode = $sale_info['mode'];

		if ($mode=='online_sale')
			{ $this->shop_lib->copy_online_sale($doc_id,$vedomPack);}
		else
			{ $this->shop_lib->copy_entire_sale($doc_id,$vedomPack);}

		$taxed = $sale_info['taxed'];		
		if($taxed==1 and $mode=='sale')
		{
			$mode='online_sale';
			$this->shop_lib->set_mode($mode);
			$data['mode'] = $mode;
		}
		else // всички нормални документи ...
		{
			$this->shop_lib->set_mode($mode);
			$data['mode'] = $mode;
		}

		$data['cart']		= $this->shop_lib->get_cart();
		$data['mode_price'] = $this->shop_lib->get_mode_price();
		$data['subtotal']	= to_currency_no_money($this->shop_lib->get_subtotal());
		$data['taxes']		= $this->shop_lib->get_taxes();
		$data['tax_VAT']	= $taxed;
		$data['currency']	= ' лв.'; // $this->config->currency_symbol;
		$data['all_qty']	= $this->shop_lib->get_all_qty();

		// определям ДДС-то ....
		$data['taxed']		= $taxed;

		//изтегля и разпределя атрибутите на документа  ..
			$vedom		= $this->BiSOFT_Model->get_vedom($mode);
			$doc_name	= $this->BiSOFT_Model->get_document_title($mode);
			$doc_number	= $sale_info['doc_number'];
			$doc_date 	= $sale_info['doc_date'];


		$data['transaction_time']= $sale_info['doc_date'];
		$bisoft_id = $sale_info['client_id'];
		$location_id = $location;
		if(isset($sale_info['location']) and $sale_info['location']!=0) { $location_id = $sale_info['location'];}

		if	( $location != 0)
			{ $data['magazin_name'] = $this->Consignee->get_info_by_bisoft_id($location)->company_name;}
		elseif ($mode=='shop_sale' or $mode=='consi_sale')
			{ $data['magazin_name'] = $this->Consignee->get_info_by_bisoft_id($location_id)->company_name;}
		
		$emp_info=$this->Employee->get_info($sale_info['employee_id']);
		$data['payment_type']	= $sale_info['pay_type'];
		$data['payments']			= $sale_info['pay_type'];
		if($mode=='shop_sale' and $user_id < 11) 
			{$data['payments']='<u>'.to_dot($sale_info['pay_sale']).$this->Appconfig->get('currency_symbol').'</u>';}
		
		$data['amount_change']	= to_currency($this->shop_lib->get_amount_due($mode,$taxed) * -1);
		$data['employee']			= $sale_info['employee'];
		$data['employee_id']		= $sale_info['employee_id'];
		$data['location']			= $sale_info['location'];
		$data['comment']			= $sale_info['comment'];
			
		if($mode=='online_sale' or $mode=='online_return')
			{
				$data['online'] 			= $sale_info['client'];
				$data['online_address'] = $sale_info['comment'];
				$data['online_email'] 	= $sale_info['employee']; if($mode=='online_return') {$data['online_email']='';}
				$data['online_tax'] 		= $sale_info['total_taxes'];
				$data['online_track'] 	= $sale_info['order_id'];
			}
		elseif($bisoft_id > 0)
			{
				if ( $mode=='consi_sale' or $mode=='shop_sale' )
						{ $cust_info=$this->Consignee->get_info_by_bisoft_id($bisoft_id);}
				else	{ $cust_info=$this->Customer->get_info_by_bisoft_id($bisoft_id);}
			
				$data['customer']=$cust_info->company_person;
				$data['customer_company']=$cust_info->company_name;
				$data['customer_account_number']=$cust_info->account_number;
				$data['customer_taxable']=$cust_info->taxable;
					if($taxed) {$data['online_tax']=$sale_info['total_taxes'];}  // за Online eMAG	
				$data['customer_address']='';
			} 

		$customer_discount = $sale_info['total_discount'];
		$data['customer_discount'] = $customer_discount;

		$data['total'] = to_currency_no_money($this->shop_lib->get_total($mode,$customer_discount,$taxed));

		$data['receipt_name'] 	= $doc_name;
		$data['receipt_number'] = $doc_number;
		$data['receipt_date'] 	= date('d.m.Y', strtotime($data['transaction_time']));
		$data['receipt_time'] 	= date('d.m.Y H:i');
		$data['print_date'] 		= date('H:i / d.m.Y', strtotime($sale_info['date_start']));
		$data['bisoft_id'] 		= $bisoft_id;
		$data['vedomPack'] 		= 'S'.date('ym', strtotime($doc_date));
				
		$data['allow_prices'] = 0;
		if ($print_type == 'sizes_prices') { $data['allow_prices']=1;}

		if ($print_type=='prices') 
			{ $this->load->view("bisoft/blanka_prices",$data);}
		elseif ($print_type=='sizes' or $print_type=='sizes_prices')
			{ $this->load->view("bisoft/blanka_sizes",$data);}

	$this->shop_lib->clear_all();
	}


	function cancel_sale()
	{
		$this->shop_lib->clear_all();
		$this->_reload();
	}
    
    
	function print_to($mode='sale')
	{  // тук трябва да е друго нещо ...
		$this->complete();
	}


	function edit($doc_id,$vedomPack,$print_type,$mode)
	{
		$data = array();
		$data['vedomPack'] = $vedomPack;
		$data['print_type'] = $print_type;

		$data['doc_info'] = $this->Shop->get_info($doc_id,$vedomPack)->row_array();

		if($mode=='shop_sale' or $mode=='shop_return')
		{
			// вземам си всички КОНСИГНАТОРИ
			$data['customers'] = array();
			foreach ($this->Consignee->get_all()->result() as $consignee)
				{ $data['customers'][$consignee->bisoft_id] = $consignee->company_name;}
		}
		else
		{
			// вземам си всички КЛИЕНТИ
			$data['customers'] = array('' => $this->lang->line('reports_edit_noclient'));
			foreach ($this->Customer->get_all()->result() as $customer)
				{ $data['customers'][$customer->bisoft_id] = $customer->company_name;}
		}

		// вземам си всички ОПЕРАТОРИ
		$data['employees'] = array();
		foreach ($this->Employee->get_all()->result() as $employee)
			{ $data['employees'][$employee->person_id] = $employee->first_name . ' '. $employee->last_name;}

		$data['mode'] = $data['doc_info']['mode'];
		$data['location'] = $data['doc_info']['location'];
		$data['type_docs'] = array(
			'shop_sale' 	=> $this->lang->line('sales_shop_sale'),
			'shop_return' 	=> $this->lang->line('sales_shop_return') );
		
	$this->load->view('shops/edit', $data);
	}


	function delete($doc_id,$vedomPack)
	{
		$data = array();
		if ($this->Shop->delete($doc_id,$vedomPack))
			{ $data['success'] = $this->lang->line('sales_delete_successful');}
		else
			{ $data['error'] = $this->lang->line('sales_delete_unsuccessful');}
	$this->load->view('shops/delete', $data);
	}
	

	function save($doc_id, $vedomPack, $mode='shop_sale')
	{
		$doc_date 		= $this->input->post('doc_date');
		$vedomPack_new	= 'S'. date('ym', strtotime($doc_date));

		if ($mode!='online_sale')
			{ 
				$mode =  $this->input->post('type_doc'); 
				$employee_id 	= $this->input->post('employee_id');
				$employee	 	= $this->Employee->get_info($employee_id)->first_name
							 .' '. $this->Employee->get_info($employee_id)->last_name;
			}

			$mode_id = $this->BiSOFT_Model->get_pay_group( $mode );

			$taxed  = $this->input->post('taxed') ? 1 : 0;
			$valuta = '1';
			$valuta_rate = '1.0000';

			if($mode=='shop_sale' or $mode=='shop_return') // САМО ЗА МАГАЗИНИТЕ ...
			{
				$client_id = $this->input->post('client_id') ? $this->input->post('client_id') : 0;
				if ( $client_id == 0 ) { $client = '';}
				else { $client = $this->Consignee->get_info_by_bisoft_id($this->input->post('client_id'))->company_name;}
				$location = $this->input->post('client_id') ? $this->input->post('client_id') : 0;

				$doc_data = array(
					'doc_date' 		=> date('Y-m-d', strtotime($doc_date)),
					'mode' 			=> $mode,
					'mode_id' 		=> $mode_id,
					'client_id' 	=> $client_id,
					'client' 		=> $client,
					'total_qty' 	=> $this->input->post('total_qty'),
					'total_sum' 	=> $this->input->post('total_sum'),
				'total_discount'	=> $this->input->post('total_discount'),
					'pay_group'		=> $this->input->post('pay_group'),
					'pay_type' 		=> $this->input->post('pay_type'),
					'pay_amount'	=> $this->input->post('pay_amount'),
					'pay_sale'		=> $this->input->post('pay_sale'),
					'due_sum'		=> $this->input->post('due_sum'),
					'taxed' 			=> $taxed,
					'total_taxes' 	=> $this->input->post('total_taxes'),
					'employee_id' 	=> $employee_id,
					'employee' 		=> $employee,
					'comment' 		=> $this->input->post('comment'),
					'location' 		=> $location
				);

				$items_data = array(
					'doc_date' 		=> date('Y-m-d', strtotime($doc_date)),
					'mode_id' 		=> $mode_id,
					'item_taxes' 	=> $taxed,
					'client_id' 	=> $client_id,
					'location' 		=> $location
				);
			}
			elseif($mode=='online_sale') // за online Shop ------------------- //
			{
				$doc_data = array(
					'doc_date' 		=> date('Y-m-d', strtotime($doc_date)),
					'mode' 			=> $mode,
					'total_qty' 	=> $this->input->post('total_qty'),
					'total_sum' 	=> $this->input->post('total_sum'),
				'total_discount'	=> $this->input->post('total_discount'),
					'pay_group'		=> $this->input->post('pay_group'),
					'pay_type' 		=> $this->input->post('pay_type'),
					'pay_amount'	=> $this->input->post('pay_amount'),
					'pay_sale'		=> $this->input->post('pay_sale'),
					'due_sum'		=> $this->input->post('due_sum'),
					'taxed' 			=> $taxed,
					'total_taxes' 	=> $this->input->post('total_taxes'),
					'order_id' 		=> $this->input->post('order_id'),
					'comment' 		=> $this->input->post('comment')
				);

				$items_data = array(
					'doc_date' 		=> date('Y-m-d', strtotime($doc_date)),
					'item_taxes' 	=> $taxed
										);
			}
			else  // за ВСИЧКИ ДОКУМЕНТИ, освен Магазините и online Shop-a ...
			{
				$location	= $this->input->post('location');
				$bank_mode	= 1;
				$order_id	= '';

				$client_id = $this->input->post('client_id') ? $this->input->post('client_id') : 0;
				if ( $client_id == 0 ) { $client = '';}
				else { $client = $this->Customer->get_info_by_bisoft_id($this->input->post('client_id'))->company_name;}

				$doc_data = array(
					'doc_date' 		=> date('Y-m-d', strtotime($doc_date)),
					'mode' 			=> $mode,
					'mode_id' 		=> $mode_id,
					'mode_price'	=> $bank_mode,
					'client_id' 	=> $client_id,
					'client' 		=> $client,
					'total_qty' 	=> $this->input->post('total_qty'),
					'total_sum' 	=> $this->input->post('total_sum'),
				'total_discount'	=> $this->input->post('total_discount'),
					'pay_group'		=> $this->input->post('pay_group'),
					'pay_type' 		=> $this->input->post('pay_type'),
					'pay_amount'	=> $this->input->post('pay_amount'),
					'pay_sale'		=> $this->input->post('pay_sale'),
					'due_sum'		=> $this->input->post('due_sum'),

					'currency'		=> $valuta,
					'currency_rate'=> $valuta_rate,

					'taxed' 			=> $taxed,
					'total_taxes' 	=> $this->input->post('total_taxes'),
					'employee_id' 	=> $employee_id,
						'order_id' 	=> $order_id,
					'employee' 		=> $employee,
					'location' 		=> $location,
					'comment' 		=> $this->input->post('comment')
				);

				$items_data = array(
					'doc_date' 		=> date('Y-m-d', strtotime($doc_date)),
					'mode_id' 		=> $mode_id,
					'item_taxes' 	=> $taxed,
					'client_id' 	=> $client_id,
					'location' 		=> $location
				);
			}


		/* ================================================ */
		if ($vedomPack==$vedomPack_new)
		{ // действа САМО при ДАТА в същия месец //

			// актуализира items ...
			$vedomItems = $vedomPack.'_items';
		
			if ($this->Shop->update($doc_data, $doc_id, $vedomPack) and 
				 $this->Shop->update_items($items_data, $doc_id, $vedomItems) )
				{ echo json_encode(array('success'=>true,'message'=>$this->lang->line('sales_successfully_updated')));}
			else
				{ echo json_encode(array('success'=>false,'message'=>$this->lang->line('sales_unsuccessfully_updated')));}
				
		}
	else // действа САМО при промяна на ДАТА //
		{
			// актуализира items ...
			$vedomItems = $vedomPack.'_items';
			$this->Shop->update_items($items_data, $doc_id, $vedomItems);

			// премества items ...
			$vedomItems_new = $vedomPack_new.'_items';
			$this->BiSOFT_Model->set_user_date(date('Y-m-d H:i:s',strtotime($doc_date)));
			$doc_number	= $this->BiSOFT_Model->get_document_number($mode); // взима НОВ номер ...
			$doc_data['doc_number'] = $doc_number;

		$this->db->trans_start(); // --> отваря запис към БАЗАТА ... -->> 
			// вкарва данните от Документа в Месечната База Данни ... //
			$this->db->insert( $vedomPack_new, $doc_data);
			$newdoc_id = $this->db->insert_id();

			$old_item_data = $this->Shop->get_sale_items($doc_id,$vedomPack);
			foreach($old_item_data->result_array() as $line=>$item)
			{
				$item['doc_id'] = $newdoc_id;
				$item['doc_number'] = $doc_number;
				$item['doc_date'] = date('Y-m-d', strtotime($doc_date));
				$this->db->insert($vedomItems_new,$item);
			}
		$this->db->trans_complete();
		
			if($this->delete($doc_id,$vedomPack)) // маха всичко старо //
				{ echo json_encode(array('success'=>true,'message'=>$this->lang->line('sales_successfully_moved')));}
			else
				{ echo json_encode(array('success'=>false,'message'=>$this->lang->line('sales_unsuccessfully_updated')));}
		}

	} // край

	
	// ================= AJAX edit vedom line ... ======================== //
	function edit_line_item($doc_idx)
	{
		$line   = (int)substr($doc_idx,-3);
		$doc_id = (int)substr($doc_idx,0,-7);
		$vedom  = (int)substr($doc_idx,-7,-3);
			$vedomPack = 'S'.$vedom;

		$data = array();
		$data['user_id']	 = $this->BiSOFT_Model->get_person();
		$data['vedomPack'] = $vedomPack;
		$data['line'] = $line;
		$data['doc_idx'] 	 = $doc_idx;
		$data['item_info'] = $item_info = $this->BiSOFT_Model->get_doc_item($doc_idx);
		$data['doc_info']  = $doc_info  = $this->BiSOFT_Model->get_info_by_doc_id($doc_id,$vedomPack)->row();
		$data['location']  = $location  = $item_info->location;
		
		$data['giftcard']  = 0;
		$data['giftprocent'] = $data['giftvalue'] = 0;
		$mode = $item_info->mode_id;
		$commision = 0;

		if($mode=='SE' or $mode=='BP')
		{
			$commision 	 = $this->Consignee->get_info_by_bisoft_id($location)->commision;
			$commision_L = $this->Consignee->get_info_by_bisoft_id($location)->commision_L;
			$data['giftcard'] = $giftcard = $doc_info->giftcard;
			$data['giftprocent'] = $giftprocent = $doc_info->giftprocent;
			$data['giftvalue'] = $giftvalue = $doc_info->giftvalue;
			
			// изчислява как ще се отчита магазина ?!
			if($commision==0 or empty($commision)) 
				{  $data['commision'] = 0;} 
			else
				{
					$data['commision'] = $commision_L;
					if($item_info->item_discount == 0 and $giftcard == 0 and $giftprocent == 0) 
						{ $data['commision'] = $commision;}
				}
		}

		// събира всички останали dropdowns ...
		$data = $this->Item->get_all_dropdowns($data);		
	$this->load->view('shops/edit_line_item', $data);
	}
	
	
	function save_line_item($doc_idx)
	{
		$line   = (int)substr($doc_idx,-3);
		$doc_id = (int)substr($doc_idx,0,-7);
		$vedom  = (int)substr($doc_idx,-7,-3);
			$vedomPack = 'S'.$vedom;
		
		$doc_info = $this->BiSOFT_Model->get_info_by_doc_id($doc_id,$vedomPack)->row();
			$mode_id  = $doc_info->mode_id;
			$client   = $doc_info->client;

		$to_delete = $this->input->post('deleted');
		$inum = $this->input->post('item_number');
		$allow_sizes = $this->Item->get_allow_sizes($inum);

		$item_qty = $this->input->post('item_qty');
		$item_name = '';
				
		if($allow_sizes) 
			{	 
				$q1 = ($this->input->post('qty_1')!=0) ? $this->input->post('qty_1') : '';
				$q2 = ($this->input->post('qty_2')!=0) ? $this->input->post('qty_2') : '';
				$q3 = ($this->input->post('qty_3')!=0) ? $this->input->post('qty_3') : '';
				$q4 = ($this->input->post('qty_4')!=0) ? $this->input->post('qty_4') : '';
				$q5 = ($this->input->post('qty_5')!=0) ? $this->input->post('qty_5') : '';
				$q6 = ($this->input->post('qty_6')!=0) ? $this->input->post('qty_6') : '';
				$q7 = ($this->input->post('qty_7')!=0) ? $this->input->post('qty_7') : '';
				$q8 = ($this->input->post('qty_8')!=0) ? $this->input->post('qty_8') : '';
				$q9 = ($this->input->post('qty_9')!=0) ? $this->input->post('qty_9') : '';
				$q10 = ($this->input->post('qty_10')!=0) ? $this->input->post('qty_10') : '';
				
				$item_qty = $q1+$q2+$q3+$q4+$q5+$q6+$q7+$q8+$q9+$q10;
				
				$item_name = $item_qty.','.$q1.','.$q2.','.$q3.','.$q4.','.$q5.
											  ','.$q6.','.$q7.','.$q8.','.$q9.','.$q10.','.$client;
			}
			
			$items_data = array(
						'doc_id' => $doc_id,
						  'line' => $line,
				 'item_number' => $inum,
			'item_unit_price' => $this->input->post('item_unit_price'),
			  'item_discount' => $this->input->post('item_discount'),
					 'costsale' => $this->input->post('costsale'),
					 'item_qty' => $item_qty,
					'item_name' => $item_name,
					  'deleted' => $to_delete );

		if ($this->BiSOFT_Model->update_line_item($items_data,$doc_idx))
			{
				$calc_data = $this->BiSOFT_Model->recalc_document($doc_idx);
				// $calc_data = array();
			
				echo json_encode(array(
					'success'	=> true,
					'doc_row'	=> $doc_id.$vedom,
					'line'		=> $line,
					'line_id'	=> $doc_id.$vedom.str_pad($line, 3, "0", STR_PAD_LEFT),
					
					'qty_doc'   => $calc_data['qty_doc'],
					'sum_doc'   => $calc_data['sum_doc'],
					'dsc_doc'   => $calc_data['dsc_doc'],
					'all_doc'   => $calc_data['all_doc'],
					'tax_doc'   => $calc_data['tax_doc'],
				  'amount_doc' => $calc_data['amount_doc'],
				  'client_doc' => $calc_data['client_doc'],
					'cost_doc'  => $calc_data['cost_doc'],
					
					'total_sum' => $calc_data['total_sum'],
					'total_dsc' => $calc_data['total_pay']-$calc_data['total_sum'], // $calc_data['total_dsc'],
					'total_vat' => $calc_data['total_vat'],				
					'total_pay' => $calc_data['total_pay'],
					'total_qty' => $calc_data['total_qty'],
				  'total_cost' => $calc_data['total_cost'],				
					
					'message'	=> 'арт.'.$inum.' ... '.$this->lang->line('reports_edit_line_success')));
			}
		else
			{ 	echo json_encode(array(
					'success'	=> false,
					'doc_idx'	=> $doc_idx,
					'line'		=> $line,			
					'message'	=> $this->lang->line('reports_edit_line_unsuccess')));
			}
	}
	
	
	function get_document_row()
	{
		$doc_idx = $this->input->post('row_id');
		$line    = (int)substr($doc_idx,-3);
		$doc_id  = (int)substr($doc_idx,0,-7);
		$vedom   = (int)substr($doc_idx,-7,-3);
			$vedomPack = 'S'.$vedom;
			
		$doc_info = $this->BiSOFT_Model->get_info_by_doc_id($doc_id,$vedomPack)->row();
			$giftprocent = $doc_info->giftprocent;
			$giftvalue   = $doc_info->giftvalue;
			
		$item_info = $this->BiSOFT_Model->get_doc_item($doc_idx);
		$allow_sizes = $this->Item->get_allow_sizes($item_info->item_number);
		if($item_info->deleted==0)
			{
				$Qty = array();
				if($allow_sizes)
					{ $Qty = explode(',',$item_info->item_name); }
				else 
					{ $Qty[1]=$Qty[2]=$Qty[3]=$Qty[4]=$Qty[5]=$Qty[6]=$Qty[7]=$Qty[8]=$Qty[9]=$Qty[10]=0;
					  $Qty[0]=$item_info->item_qty;}
				
				$rqty_1 = $Qty[1]; if(!$rqty_1) {$rqty_1 = '';}
				$rqty_2 = $Qty[2]; if(!$rqty_2) {$rqty_2 = '';}
				$rqty_3 = $Qty[3]; if(!$rqty_3) {$rqty_3 = '';}
				$rqty_4 = $Qty[4]; if(!$rqty_4) {$rqty_4 = '';}
				$rqty_5 = $Qty[5]; if(!$rqty_5) {$rqty_5 = '';}
				$rqty_6 = $Qty[6]; if(!$rqty_6) {$rqty_6 = '';}
				$rqty_7 = $Qty[7]; if(!$rqty_7) {$rqty_7 = '';}
				$rqty_8 = $Qty[8]; if(!$rqty_8) {$rqty_8 = '';}
				$rqty_9 = $Qty[9]; if(!$rqty_9) {$rqty_9 = '';}
				$rqty_10 = $Qty[10]; if(!$rqty_10) {$rqty_10 = '';}
			
				$item=array(
				 'controller' => 'Shops',
					  'vedom'  => $vedom,
				    'mode_id' => $item_info->mode_id,
					  'doc_id' => $doc_id,
						 'line' => $line,
						 'inum' => $item_info->item_number,
					   'price' => $item_info->item_unit_price,
						  'qty' => $item_info->item_qty,
						  'dsc' => $item_info->item_discount,
						  'tax' => $item_info->item_taxes,
				'giftprocent' => $giftprocent,
				  'giftvalue' => $giftvalue,
					'costsale' => $item_info->costsale,
							'q1' => $rqty_1,
							'q2' => $rqty_2,
							'q3' => $rqty_3,
							'q4' => $rqty_4,
							'q5' => $rqty_5,
							'q6' => $rqty_6,
							'q7' => $rqty_7,
							'q8' => $rqty_8,
							'q9' => $rqty_9,
						  'q10' => $rqty_10 );

				$data_row = get_vedom_row( $item , "Shops" );
				echo $data_row;
			}
			else {echo '';}
	}


	// не се използва ...
	function delete_line_item($doc_id, $line, $vedomPack)
	{ 
		$this->Shop->delete_line_item($doc_id, $line, $vedomPack);
	}

	
	function _payments_cover_total()
	{
		$total_payments = 0;
		foreach($this->shop_lib->get_payments() as $payment)
			{ $total_payments += $payment['payment_amount'];}
	return true;
	}


// -------------------------- Функции за Магазини > 100 --------------------------------- //
	function view_sale($item_number)
	{
		$data['skl']  = $location = $this->Employee->get_client_location();
		$data['inum'] = $item_number;		
		$data['name'] = $this->Item->get_name($item_number);
		$data['skl_info'] = $this->Item->get_sklad_info($item_number,$data['skl']);
		$data['item_info'] = $this->Item->get_item_info($item_number);
		// събира всички останали dropdowns ...
		$data = $this->Item->get_all_dropdowns($data);	
	$this->load->view("items/form_sale",$data);
	}
	
	
	/* =================== SKLAD EXP ===================== */
	function sklad_mag_100($inum=0)
	{	
		$this->load->model('reports/Client_shop_sklad');
		$model = $this->Client_shop_sklad;

		// взимам си категориите
		$categories = array( '0' => '-- '.$this->lang->line('items_all_categories').' --' );
		foreach ($this->Item->get_item_categories()->result() as $category)
			{ $categories[$category->cat_id] = $category->category_bg;}
      $category = $this->shop_lib->get_category();
		
		$tabular_data = array();
		$report_data = $model->getData(array('inum'=>$inum,'category'=>$category));

		$data['location'] = $location = $this->Employee->get_client_location();
		$this->BiSOFT_Model->set_user_client($location);

		$total_qty = $total_sum = 0;
		foreach($report_data as $row)
		{
			$inum = $row['inum'];
			$item_info = $this->Item->get_item_info($inum);
				$item_name 	 = $item_info->name;			
				$allow_sizes = $item_info->allow_sizes;
				if($inum<4000 or $inum>98000) {$allow_sizes=0;}
		
			if ($allow_sizes) {$width='width:780';}
			else {$width = 'width:360';}
			
			$item_link = anchor('shops/view_shops_item/'.$inum.'/width:760/height:470',  // link
							$inum,
							array('class'=>'thickbox item_button none','title'=>$this->lang->line('items_update')) );
			
			$vedom_link = anchor( 'shops/items_shops_details/'.$inum.'/'.$width,  // link
							$this->lang->line('items_shop_vedom'),
							array('class'=>'thickbox','title'=>$this->lang->line('items_shop_item_vedom')) );

         $price = 2 * round($row['price']*(100-$row['dsc'])/100,2);

		   $tabular_data[] = array(
					$item_link,
					$item_name,
					$row['q1'],$row['q2'],$row['q3'],$row['q4'],$row['q5'],
					$row['q6'],$row['q7'],$row['q8'],$row['q9'],$row['q10'],
					$row['qty'], 
					to_dot($price),
					$vedom_link );

			$total_qty += $row['qty'];
			$total_sum += $row['qty'] * $price;
		}

		if($category) {$subtitle = 'категория: <b>'.$categories[$category].'</b>';}
		else {$subtitle = '';}
		$data = array(
					"mode"  => 'sklad',
					"modes" => array(
											'shop_sale'	 	=> $this->lang->line('sales_shop_sale'),
											'shop_return'	=> $this->lang->line('sales_shop_return'),
											'sklad'			=> $this->lang->line('sales_shop_items'),
											'dneven'			=> $this->lang->line('sales_shop_daily'),
                                 'outv'		   => $this->lang->line('sales_shop_outv'),
                                 'inv'		      => $this->lang->line('sales_shop_inv') ),
               "category"     => $category,
               "categories"   => $categories,
					"title" 			=> $this->lang->line('reports_inventory_summary_report'),
					"subtitle" 		=> $subtitle,
					"headers" 		=> $model->getDataColumns(),
					"shop"         => $this->Customer->get_customer_name($location),
					"data" 			=> $tabular_data,
					"summary_data" => $model->getSummaryData(array()),
					"export_excel" => 0,
					"total_qty" 	=> $total_qty,
					"total_sum" 	=> to_dot($total_sum),
					"location" 		=> $location );

	$this->load->view("shops/sklad_view",$data);
	}
	
	//BiSOFT Inventory Details
	function items_shops_details($inum)
	{	
		$data['inum'] = $inum;
		$data['skl']  = $data['location'] = $this->Employee->get_client_location();
		$data['name'] = $this->Item->get_name($inum);
		$data['skl_info']  = $this->Item->get_shop_info($inum,$data['skl']);
		$data['item_info'] = $this->Item->get_item_info($inum);
		$data['vedom_pack'] = $this->BiSOFT_Model->get_shops_vedom();
		$data['vedom_year'] = date('Y');

	$this->load->view("shops/items_shops_details",$data);
	}
	
	function view_shops_item($inum)
	{
		$data['skl']  = $skl = $this->Employee->get_client_location();
		$data['inum'] = $inum;
		$data['name'] = $this->Item->get_name($inum);
		$data['skl_info'] = $this->Item->get_shop_info($inum,$skl);
		$data['sgp_info'] = $this->Item->get_sklad_info($inum,0);
		$data['item_id'] = $data['skl_info']->item_id;
		$data['user_id'] = 0;
		$data['item_info'] = $this->Item->get_item_info($inum);
		
		// събира всички останали dropdowns ...
		$data = $this->Item->get_all_dropdowns($data);
		
	$this->load->view("shops/form_shop",$data);
	}
	
	
	function save_shop_item($item_id=-1)
	{	
		$success=1;
		$location = $this->Employee->get_client_location();
		$user_id  = 0;
		$skl_info = $this->Item->get_shop_idx($item_id);
		$inum		 = $skl_info->inum;
		$item_info = $this->Item->get_item_info($inum);
		
         $allow_sizes = $item_info->allow_sizes;
         $qty = $this->input->post('quantity');	
		
      $q1=$q2=$q3=$q4=$q5=$q6=$q7=$q8=$q9=$q10='';
		if($allow_sizes and $allow_sizes!='105')
			{ // размерите ...
            $q1 = ($this->input->post('qty_1')!=0) ? $this->input->post('qty_1') : '';	
            $q2 = ($this->input->post('qty_2')!=0) ? $this->input->post('qty_2') : '';	
            $q3 = ($this->input->post('qty_3')!=0) ? $this->input->post('qty_3') : '';	
            $q4 = ($this->input->post('qty_4')!=0) ? $this->input->post('qty_4') : '';	
            $q5 = ($this->input->post('qty_5')!=0) ? $this->input->post('qty_5') : '';	
            $q6 = ($this->input->post('qty_6')!=0) ? $this->input->post('qty_6') : '';	
            $q7 = ($this->input->post('qty_7')!=0) ? $this->input->post('qty_7') : '';	
            $q8 = ($this->input->post('qty_8')!=0) ? $this->input->post('qty_8') : '';	
            $q9 = ($this->input->post('qty_9')!=0) ? $this->input->post('qty_9') : '';	
            $q10 = ($this->input->post('qty_10')!=0) ? $this->input->post('qty_10') : '';
            
            $qty=$q1+$q2+$q3+$q4+$q5+$q6+$q7+$q8+$q9+$q10;
         }

		$input_data=array('item_id'=>$item_id,'inum'=>$this->input->post('item_number'),
								'name'=>$this->input->post('name'),'qty'=>$qty,
								'q1'=>$q1,'q2'=>$q2,'q3'=>$q3,'q4'=>$q4,'q5'=>$q5,
								'q6'=>$q6,'q7'=>$q7,'q8'=>$q8,'q9'=>$q9,'q10'=>$q10,
								'qmin'=>$item_info->qmin,'qmax'=>$item_info->qmax,
								'cat'=>$this->Item->get_cat_id($item_info->category),
								'category'=>$item_info->category,
								'coll'=>$item_info->collection,
								'allow'=>$allow_sizes,
								'price'  => $this->input->post('price'),
								'cost'=> $this->input->post('cost'),
                        'skl'=>$location );
							
		$result = $this->Item->save_shops_pack($input_data);
		$success *= $result['success'];

		if($success)
		{	
				//правя си служебно -> ИЗРАВНИТЕЛНА БЕЛЕЖКА
				$inum = $input_data['inum'];
				
				$quantity = $skl_info ? $qty - $skl_info->qty : $qty;
				$new_qty  = $qty - $skl_info->qty;

			// Удачно регистриране ...
			echo json_encode(array('success'=>true,'message'=>$this->lang->line('items_successful_updating').
			' '.$input_data['inum'].' '.$input_data['name'],'item_id'=>$item_id));	
		}
		else //failure
		{
			echo json_encode(array('success'=>false,'message'=>$this->lang->line('items_error_adding_updating').
			' '.$input_data['inum'].' '.$input_data['name'],'item_id'=>-1));
		}	
	}
	

	
	/* ============================== DNEVEN OTCHET =========================== */
	function dneven_mag_100()
	{
		$data['location'] = $location = $this->Employee->get_client_location();
		$this->BiSOFT_Model->set_user_client($location);
		
		$person_report = 1;
		$data['person_report'] = $person_report;

		$dateKey = $this->shop_lib->get_dateKey();

		$this->load->model('reports/Shops_daily_sales');
		$model = $this->Shops_daily_sales;

		$daily_date = $this->shop_lib->get_date();

		$daily_tab_data = array();
		$report_data = $model->getData(array('start_date' => $daily_date, 'sale_type' => 'all'));

		$all_qty = $all_total = $all_cost = $all_cash = $all_bank = 0;
	    foreach($report_data as $row)
	    {
			$skl_info  = $this->Item->get_shop_info($row['item_number'],$location);
			$item_name = $this->Item->get_inum_name($row['item_number']);
			$allow_sizes = $this->Item->get_allow_sizes($row['item_number']);
			if ($person_report) { $price_I = $row['item_unit_price'];}
			else { $price_I = $skl_info->price; } // тук ЛЪЖЕМ Магазина с цена-Iгр.?!?

			$payment = $model->getPayment(array('start_date'=>$daily_date, 'doc_id' => $row['doc_id']));
			
			$mSuma = round($row['item_unit_price'] * (100 - $row['item_discount']) / 100, 4);
			
			$item_discount = '';
			if(intval($row['item_discount']) != 0) { $item_discount = $row['item_discount'].'%';}
			
			$vedom = 'S'.date('ym',strtotime($daily_date));
			$pay_vid = $this->BiSOFT_Model->get_document_pay_group($vedom,$row['doc_id']);
			
			$all_qty += $row['item_qty'];		
			$all_total += $row['item_qty'] * $mSuma;
			$all_cost  += $row['item_qty'] * $row['costsale'];
			
			if($pay_vid=='P') {$all_cash += $row['item_qty'] * $row['costsale'];}
			elseif($pay_vid=='kC' or $pay_vid=='dC') {$all_bank += $row['item_qty'] * $row['costsale'];}
			elseif($pay_vid=='BP') {$all_cash -= abs($row['item_qty'] * $row['costsale']);}

		$Qty = array();
		if($allow_sizes)
         { $Qty = explode(',',$row['item_name']);}
      else
         { $Qty = array('0'=>$row['item_qty'],'1'=>'','2'=>'','3'=>'','4'=>'','5'=>'','6'=>'','7'=>'','8'=>'','9'=>'','10'=>'');}
			
		$daily_tab_data[] = array(
				$row['item_number'], 
				$item_name,
				$Qty[1],$Qty[2],$Qty[3],$Qty[4],$Qty[5],
				$Qty[6],$Qty[7],$Qty[8],$Qty[9],$Qty[10],
				$row['item_qty'],
				to_currency_no_money($price_I),
				$item_discount,
				to_currency_no_money($mSuma),
				to_currency_no_money($mSuma * $row['item_qty']),
				to_currency_no_money($row['costsale'] * $row['item_qty']),
				$pay_vid,
				$row['mode_id'],
				$row['location'] );
	    }

		$data = array(
			"mode" 			=> 'dneven',
			"modes"			=> array(
											'shop_sale'	 	=> $this->lang->line('sales_shop_sale'),
											'shop_return'	=> $this->lang->line('sales_shop_return'),
											'sklad'			=> $this->lang->line('sales_shop_items'),
											'dneven'			=> $this->lang->line('sales_shop_daily'),
                                 'outv'		   => $this->lang->line('sales_shop_outv'),
                                 'inv'		      => $this->lang->line('sales_shop_inv') ),
			"title" 			=> $this->lang->line('reports_daily_sales_report'),
			"subtitle" 		=> date('d.m.Y', strtotime($daily_date)),
			"headers" 		=> $model->getDataColumns(),
			"shop"         => $this->Customer->get_customer_name($location),
			"data" 			=> $daily_tab_data,
			"dateKey"		=> $dateKey,
			"summary_data" => $model->getSummaryData(array()),
			"export_excel" => 0,
			"person_report"=> $person_report,
			"total_qty" 	=> $all_qty,
			"total_sum" 	=> to_dot(round($all_total,1)),
			"total_cost" 	=> to_dot(round($all_cost,1)),
			"total_cash"	=> to_dot(round($all_cash,1)),
			"total_bank"	=> to_dot(round($all_bank,1))
									);

		$data['modes_years']=array();
		if(date("Y")==2017)
         { $data['modes_years'][2017]='2017';}
      else
         {  for($k=0;$k<2;$k++) // установява само тек. и предходна година.
               { $data['modes_years'][date("Y")-$k] = date("Y")-$k;}
         }
		
		$data['modes_months'] = array(
			'01' => $this->lang->line('cal_january'),
			'02' => $this->lang->line('cal_february'),
			'03' => $this->lang->line('cal_march'),
			'04' => $this->lang->line('cal_april'),
			'05' => $this->lang->line('cal_mayl'),
			'06' => $this->lang->line('cal_june'),
			'07' => $this->lang->line('cal_july'),
			'08' => $this->lang->line('cal_august'),
			'09' => $this->lang->line('cal_september'),
			'10' => $this->lang->line('cal_october'),
			'11' => $this->lang->line('cal_november'),
			'12' => $this->lang->line('cal_december')	);

		$data['modes_days'] = array();
		for($k=1;$k<=31;$k++) { $data['modes_days'][$k] = $k;}

		$data['mode_day']		= (int) date('d', strtotime( $this->shop_lib->get_date() ));
		$data['mode_month']	= (int) date('m', strtotime( $this->shop_lib->get_date() ));
		$data['mode_year']	= (int) date('Y', strtotime( $this->shop_lib->get_date() ));

	$this->load->view("shops/shop_daily_table",$data);
	}


	function sklad_dneven_home()
	{	
    	$this->shop_lib->clear_all();
		$this->BiSOFT_Model->clear_user_modes();
	$this->_reload();
	}

	
	/* ============================== DNEVNIK SALES =========================== */
	function dnevnik_outv()
	{
		$data['location'] = $location = $this->Employee->get_client_location();
		$this->BiSOFT_Model->set_user_client($location);
		
		$person_report = 1;
		$data['person_report'] = $person_report;

		$dateKey = $this->shop_lib->get_dateKey();

		$this->load->model('reports/Shops_daily_sales');
		$model = $this->Shops_daily_sales;

		$daily_date = $this->shop_lib->get_date();

		$daily_tab_data = array();
		$report_data = $model->getMonthData(array('start_date' => $daily_date, 'sale_type' => 'all'));

		$all_qty = $all_total = $all_cost = $all_cash = $all_bank = 0;
		
	   foreach($report_data as $row)
	   {
			$skl_info  = $this->Item->get_shop_info($row['item_number'],$location);
			$item_name = $this->Item->get_inum_name($row['item_number']);
			$allow_sizes = $this->Item->get_allow_sizes($row['item_number']);
			if ($person_report) { $price_I = $row['item_unit_price'];}
			else { $price_I = $skl_info->price; } // тук ЛЪЖЕМ Магазина с цена-Iгр.?!?

			$payment = $model->getPayment(array('start_date'=>$daily_date, 'doc_id' => $row['doc_id']));
			
			$mSuma = round($row['item_unit_price'] * (100 - $row['item_discount']) / 100, 4);
			
			$item_discount = '';
			if(intval($row['item_discount']) != 0) { $item_discount = $row['item_discount'].'%';}
			
			$vedom = 'S'.date('ym',strtotime($daily_date));
			$pay_vid = $this->BiSOFT_Model->get_document_pay_group($vedom,$row['doc_id']);
			
			$all_qty += $row['item_qty'];		
			$all_total += $row['item_qty'] * $mSuma;
			$all_cost  += $row['item_qty'] * $row['costsale'];
			
			if($pay_vid=='P') {$all_cash += $row['item_qty'] * $row['costsale'];}
			elseif($pay_vid=='kC' or $pay_vid=='dC') {$all_bank += $row['item_qty'] * $row['costsale'];}
			elseif($pay_vid=='BP') {$all_cash -= abs($row['item_qty'] * $row['costsale']);}

			$Qty = array();
			if($allow_sizes)
				{ $Qty = explode(',',$row['item_name']);}
			else
				{ $Qty = array('0'=>$row['item_qty'],'1'=>'','2'=>'','3'=>'','4'=>'','5'=>'','6'=>'','7'=>'','8'=>'','9'=>'','10'=>'');}

			$item_link = anchor('shops/view_shops_item/'.$row['item_number'].'/width:760/height:470',  // link
								$row['item_number'],
								array('class'=>'thickbox item_button none','title'=>$this->lang->line('items_update')) );
								
         $daily_tab_data[] = array(
               date('d.m.Y',strtotime($row['doc_date'])),
               $item_link, 
               $item_name,
               $Qty[1],$Qty[2],$Qty[3],$Qty[4],$Qty[5],
               $Qty[6],$Qty[7],$Qty[8],$Qty[9],$Qty[10],
               $row['item_qty'],
               to_currency_no_money($mSuma),
               to_currency_no_money($mSuma * $row['item_qty']),
               $pay_vid,
               $row['mode_id'] );
	   }

	   $months = $this->Shop->get_months();
	    
		$data = array(
			"mode" 			=> 'outv',
			"modes"			=> array(
											'shop_sale'	 	=> $this->lang->line('sales_shop_sale'),
											'shop_return'	=> $this->lang->line('sales_shop_return'),
											'sklad'			=> $this->lang->line('sales_shop_items'),
											'dneven'			=> $this->lang->line('sales_shop_daily'),
                                 'outv'		   => $this->lang->line('sales_shop_outv'),
                                 'inv'		      => $this->lang->line('sales_shop_inv') ),
			"title" 			=> $this->lang->line('reports_sales_summary_report'),
			"subtitle" 		=> $months[date('m', strtotime($daily_date))].' '.date('Y', strtotime($daily_date)),
			"headers" 		=> $model->getMonthColumns(),
			"shop"         => $this->Customer->get_customer_name($location),
			"data" 			=> $daily_tab_data,
			"dateKey"		=> $dateKey,
			"summary_data" => $model->getSummaryData(array()),
			"export_excel" => 0,
			"person_report"=> $person_report,
			"total_qty" 	=> $all_qty,
			"total_sum" 	=> to_dot(round($all_total,1)),
			"total_cost" 	=> to_dot(round($all_cost,1)),
			"total_cash"	=> to_dot(round($all_cash,1)),
			"total_bank"	=> to_dot(round($all_bank,1)) );

		$data['modes_years']=array();
		if(date("Y")==2018)
         { $data['modes_years'][2018]='2018';}
      else
         {  for($k=0;$k<2;$k++) // установява само тек. и предходна година.
               { $data['modes_years'][date("Y")-$k] = date("Y")-$k;}
         }
		
		$data['modes_months'] = $months;

		$data['modes_days'] = array();
		for($k=1;$k<=31;$k++) { $data['modes_days'][$k] = $k;}

		$data['mode_day']		= (int) date('d', strtotime( $this->shop_lib->get_date() ));
		$data['mode_month']	= (int) date('m', strtotime( $this->shop_lib->get_date() ));
		$data['mode_year']	= (int) date('Y', strtotime( $this->shop_lib->get_date() ));

	$this->load->view("shops/shop_daily_table",$data);
	}	

	
	/* ============================== DNEVNIK RECEIVES =========================== */
	function dnevnik_inv()
	{
		$data['location'] = $location = $this->Employee->get_client_location();
		$this->BiSOFT_Model->set_user_client($location);

		$dateKey = $this->shop_lib->get_dateKey();

		$this->load->model('reports/Shops_daily_sales');
		$model = $this->Shops_daily_sales;

		$daily_date = $this->shop_lib->get_date();

		$daily_tab_data = array();
		$report_data = $model->getMonthDostavki(array('start_date' => $daily_date, 'sale_type' => 'all'));

		$all_qty = $all_total = $all_cost = $all_cash = $all_bank = 0;
	    foreach($report_data as $row)
	    {
			$skl_info  = $this->Item->get_shop_info($row['item_number'],$location);
			$item_name = $this->Item->get_inum_name($row['item_number']);
			$allow_sizes = $this->Item->get_allow_sizes($row['item_number']);
			$price_I = $row['item_unit_price'];

			$payment = $model->getPayment(array('start_date'=>$daily_date, 'doc_id' => $row['doc_id']));
			
			$mSuma = round($row['item_unit_price'] * (100 - $row['item_discount']) / 100, 4);
			
			$item_discount = '';
			if(intval($row['item_discount']) != 0) { $item_discount = $row['item_discount'].'%';}
			
			$vedom = 'S'.date('ym',strtotime($daily_date));
			$pay_vid = $this->BiSOFT_Model->get_document_pay_group($vedom,$row['doc_id']);
			
			$all_qty += $row['item_qty'];		
			$all_total += $row['item_qty'] * $mSuma;
			$all_cost  += $row['item_qty'] * $row['costsale'];
			
			if($pay_vid=='P') {$all_cash += $row['item_qty'] * $row['costsale'];}
			elseif($pay_vid=='kC' or $pay_vid=='dC') {$all_bank += $row['item_qty'] * $row['costsale'];}
			elseif($pay_vid=='BP') {$all_cash -= abs($row['item_qty'] * $row['costsale']);}

			$Qty = array();
			if($allow_sizes)
				{ $Qty = explode(',',$row['item_name']);}
			else
				{ $Qty = array('0'=>$row['item_qty'],'1'=>'','2'=>'','3'=>'','4'=>'','5'=>'','6'=>'','7'=>'','8'=>'','9'=>'','10'=>'');}

			$item_link = anchor('shops/view_shops_item/'.$row['item_number'].'/width:760/height:470',  // link
								$row['item_number'],
								array('class'=>'thickbox item_button none','title'=>$this->lang->line('items_update')) );
							
			$daily_tab_data[] = array(
						date('d.m.Y',strtotime($row['doc_date'])),
						$item_link,
						$item_name,
						$Qty[1],$Qty[2],$Qty[3],$Qty[4],$Qty[5],
						$Qty[6],$Qty[7],$Qty[8],$Qty[9],$Qty[10],
						$row['item_qty'],
						to_currency_no_money($mSuma),
						to_currency_no_money($mSuma * $row['item_qty']),
						$pay_vid,
						$row['mode_id'] );
	    }

      $months = $this->Shop->get_months();
	    
		$data = array(
			"mode" 			=> 'inv',
			"modes"			=> array(
											'shop_sale'	 	=> $this->lang->line('sales_shop_sale'),
											'shop_return'	=> $this->lang->line('sales_shop_return'),
											'sklad'			=> $this->lang->line('sales_shop_items'),
											'dneven'			=> $this->lang->line('sales_shop_daily'),
                                 'outv'		   => $this->lang->line('sales_shop_outv'),
                                 'inv'		      => $this->lang->line('sales_shop_inv') ),
			"title" 			=> $this->lang->line('reports_recvs_summary_report'),
			"subtitle" 		=> $months[date('m', strtotime($daily_date))].' '.date('Y', strtotime($daily_date)),
			"headers" 		=> $model->getMonthColumns(),
			"shop"         => $this->Customer->get_customer_name($location),
			"data" 			=> $daily_tab_data,
			"dateKey"		=> $dateKey,
			"summary_data" => $model->getSummaryData(array()),
			"export_excel" => 0,
			"total_qty" 	=> $all_qty,
			"total_sum" 	=> to_dot(round($all_total,1)),
			"total_cost" 	=> to_dot(round($all_cost,1)),
			"total_cash"	=> to_dot(round($all_cash,1)),
			"total_bank"	=> to_dot(round($all_bank,1)) );
		
		$data['modes_years']=array();
		if(date("Y")==2018)
         { $data['modes_years'][2018]='2018';}
      else
         {  for($k=0;$k<2;$k++) // установява само тек. и предходна година.
               { $data['modes_years'][date("Y")-$k] = date("Y")-$k;}
         }
		
		$data['modes_months'] = $months;

		$data['modes_days'] = array();
		for($k=1;$k<=31;$k++) { $data['modes_days'][$k] = $k;}

		$data['mode_day']		= (int) date('d', strtotime( $this->shop_lib->get_date() ));
		$data['mode_month']	= (int) date('m', strtotime( $this->shop_lib->get_date() ));
		$data['mode_year']	= (int) date('Y', strtotime( $this->shop_lib->get_date() ));

	$this->load->view("shops/shop_daily_table",$data);
	}
	
	
	function about_DATE()
	{
		$mode = $this->BiSOFT_Model->get_user_mode();
		if ($mode != 'sklad')
			{
				if ( !$this->shop_lib->get_dateKey() ) 
					{ !$this->shop_lib->set_dateKey(); }
				else	
					{ !$this->shop_lib->clear_dateKey(); }
			}
	$this->_reload();
	}
// ------------------- Край на Магазини ----------------- //




// ======================================================================== //
// -------------------------------- REALEN START -------------------------- //

	function _reload($data=array('inum'=>0))
	{
      $data['location'] = $location = $this->Employee->get_client_location();
		$this->BiSOFT_Model->set_user_client($location);
		
		$inum = 0;
		if(isset($data['inum']) and $data['inum']>0) {$inum=$data['inum'];}
		if(isset($data['error'])) {$error=$data['error'];}
		
		$person_id = $this->Employee->get_logged_in_client_info()->person_id;
		$person_info = $this->Employee->get_client_info($person_id);
		$data['customer'] = $person_info->first_name.' '.$person_info->last_name;
		$data['customer_company'] = $person_info->company;
		$data['shop'] = $this->Customer->get_customer_name($location);
			
		$key_CKP = $person_report = 0;
		$data['person_report'] = $person_report;

		$data['dateKey'] = $dateKey = $this->shop_lib->get_dateKey();
		$data['cur_date'] = $this->shop_lib->get_date();
	
		// зарежда количката ...
		$data['cart']	= $this->shop_lib->get_cart();

		// зарежда размерите ...
		$data['size_grid']= $this->BiSOFT_Model->get_sizes('grid_1');
		$data['size_table']= $this->BiSOFT_Model->get_sizes('grid_3');
		$data['size_table_top']= $this->BiSOFT_Model->get_sizes('grid_4');

		$mode = $this->shop_lib->get_mode();
		$this->BiSOFT_Model->set_user_mode($mode);

		$data['modes']=array(
				'shop_sale'	 	=> $this->lang->line('sales_shop_sale'),
				'shop_return'	=> $this->lang->line('sales_shop_return'),
				'sklad'			=> $this->lang->line('sales_shop_items'),
				'dneven'			=> $this->lang->line('sales_shop_daily'),
				'outv'		   => $this->lang->line('sales_shop_outv'),
				'inv'		      => $this->lang->line('sales_shop_inv') );

		$data['modes_prices']=array(
				99	=> $this->lang->line('sales_unit_price'),
				1	=> $this->lang->line('sales_price').'-I',
				2	=> $this->lang->line('sales_price').'-II',
				3	=> $this->lang->line('sales_price').'-III',
				4	=> $this->lang->line('sales_price').'-IV',
				5	=> $this->lang->line('sales_price').'-V' );
				
		$data['payment_key']=$this->lang->line('sales_cash');		
		$data['payment_options']=array(
						$this->lang->line('sales_cash') => $this->lang->line('sales_cash'),
						$this->lang->line('sales_debit') => $this->lang->line('sales_debit'),
						$this->lang->line('sales_credit') => $this->lang->line('sales_credit'),
						$this->lang->line('sales_by_bank') => $this->lang->line('sales_by_bank'),
						$this->lang->line('sales_check') => $this->lang->line('sales_check'),
						$this->lang->line('sales_epay') => $this->lang->line('sales_epay'),
						$this->lang->line('sales_paypal') => $this->lang->line('sales_paypal'),
						$this->lang->line('sales_not_paid') => $this->lang->line('sales_not_paid') );

		$data['modes_prints']=array(
			'prices'	=> $this->lang->line('reports_print_prices'),
			'sizes'	=> $this->lang->line('reports_print_sizes'),
			'sizes_prices' => $this->lang->line('reports_print_sizes_prices') );

		$data['modes_years']=array();
		if(date("Y")==2017)
         { $data['modes_years'][2017]='2017';}
      else
         {  for($k=0;$k<2;$k++) // установява само тек. и предходна година.
               { $data['modes_years'][date("Y")-$k] = date("Y")-$k;}
         }
			
		$data['modes_months'] = $this->Shop->get_months();

		$data['mode']			= $mode;
		$data['mode_day']		= (int) date('d', strtotime( $data['cur_date'] ));
		$data['mode_month']	= (int) date('m', strtotime( $data['cur_date'] ));
		$data['mode_year']	= (int) date('Y', strtotime( $data['cur_date'] ));
		// $data['cur_date']		= date('d.m.Y', strtotime( $this->BiSOFT_Model->get_user_mode_date() ));

		$m_limit = $this->BiSOFT_Model->get_month_limit($data['mode_month'],$data['mode_year']);
		$data['modes_days'] = array();
		for($k=1;$k<=$m_limit;$k++) { $data['modes_days'][$k]=$k;}

		$data['subtotal']		= to_currency_no_money($this->shop_lib->get_subtotal());
		
		$this->shop_lib->set_mode_price(1);
		$data['mode_print']	= $this->shop_lib->get_mode_print();
		$mode_price	= $this->shop_lib->get_mode_price();
		$data['mode_price']	= $mode_price;

		// определям ДДС-то ....
		$taxed = 0;
		if ( $mode_price == 100 or $mode_price == 102) { $taxed = 1;}
		$data['taxed']			= $taxed;

		$data['tax_VAT']		= to_currency_no_money($this->shop_lib->get_tax_VAT($mode,$taxed));
		$data['currency']		= $this->config->item('currency_symbol');

		$data['all_qty']		= $this->shop_lib->get_all_qty();
		$data['items_module_allowed'] = 1;
		$data['total']	= to_currency_no_money($this->shop_lib->get_total($mode,0,$taxed));
		$data['payments']		= $this->shop_lib->get_payments();
		$data['payments_cover_total'] = $this->_payments_cover_total();
		$data['payments_total']= $this->shop_lib->get_payments_total();
		$data['amount_due']	= $this->shop_lib->get_amount_due($mode,$taxed);

		if (isset($error)) { $data['error'] = $error;}
		
		$config['base_url'] = site_url('/shops/index');
		$config['total_rows'] = $this->shop_lib->count_cart();
		$config['per_page'] = '12';		
		$config['num_links'] = 2;
		$config['uri_segment'] = 3;
		$this->pagination->initialize($config);
		$data['controller_name']=strtolower(get_class());
		$data['form_width']=$this->get_form_width();

		
		
	if ($mode=='sklad') 
		{ $this->sklad_mag_100($inum);}
	elseif ($mode=='dneven') 
		{ $this->dneven_mag_100();}
	elseif ($mode=='outv') 	
		{ $this->dnevnik_outv();}
	elseif ($mode=='inv') 	
		{ $this->dnevnik_inv();}
	else  // за всички останали режими ...
		{ $this->load->view("shops/register",$data);}
	}
// ----------------------------------------------------------------------------- //
	/* ----	get the width for the add/edit form ---- */
	function get_form_width()
	{ return 360;}

	/* ----	get the width for the add/edit form ---- */
	function get_form_full_width()
	{ return 780;}
	
}
?>
