<?php // require_once ("Secure_area.php");
		require_once ("Person_controller.php");

class Trzs extends Person_controller
{
	function __construct()
	{
		parent::__construct('Trzs');
		$this->load->library('Trz_lib');
	}
	
	function index()
	{
		$mode_menu = 'trzs';
		$this->BiSOFT_Model->set_mode_menu($mode_menu);
		$this->trz_lib->set_firma(1);
		header("Location: ".BISOFT."index.php/trzs/personal");
	}

	function personal()
	{
		$mode_menu = 'trzs';
		$this->BiSOFT_Model->set_mode_menu($mode_menu);
		$config['base_url'] = site_url('/trzs/personal');
		$config['total_rows'] = $this->TRZ->count_all();
		$config['per_page'] = 1000;
		$config['uri_segment'] = 3;
		$this->pagination->initialize($config);
		
		$data['mode'] = $this->trz_lib->get_mode();
					
		// определяме за коя фирма ?!
		$data['firma'] = $firma = $this->trz_lib->get_firma();
		$data['modes_firma'] = array(
				'1' => $this->config->item('company'),
				'2' => $this->config->item('2_company') );
				
		$dateKey = $this->trz_lib->get_dateKey();
		$data['dateKey'] = 1;

		$data['modes_years']=array();
		for($k=0;$k<2;$k++) { $data['modes_years'][date("Y")-$k] = date("Y")-$k;}

		$data['modes_months'] = array(
			'01' => '&nbsp;'.$this->lang->line('cal_january'),
			'02' => '&nbsp;'.$this->lang->line('cal_february'),
			'03' => '&nbsp;'.$this->lang->line('cal_march'),
			'04' => '&nbsp;'.$this->lang->line('cal_april'),
			'05' => '&nbsp;'.$this->lang->line('cal_mayl'),
			'06' => '&nbsp;'.$this->lang->line('cal_june'),
			'07' => '&nbsp;'.$this->lang->line('cal_july'),
			'08' => '&nbsp;'.$this->lang->line('cal_august'),
			'09' => '&nbsp;'.$this->lang->line('cal_september'),
			'10' => '&nbsp;'.$this->lang->line('cal_october'),
			'11' => '&nbsp;'.$this->lang->line('cal_november'),
			'12' => '&nbsp;'.$this->lang->line('cal_december')	);
			
		if($data['mode']=='presence')
			{ $data['modes_months'][0]  = '< ОТПУСКИ >'; 
			  $data['modes_months'][98] = '< НЕПЛАТЕНИ >';
			  $data['modes_months'][99] = '< КАЛЕНДАР >';
			} 
			
		$curr_day = strtotime( $this->BiSOFT_Model->get_user_mode_date() );
		$data['cur_date']		= date('d.m.Y', $curr_day);
		$data['mode_month']	= date('m',  $curr_day);
		$data['mode_year']	= date('Y',  $curr_day);
		$data['vedom']			= date('ym', $curr_day);	
		
		$data['mode_norma'] = $class_id = $this->trz_lib->get_norma();
		$data['modes_norma'] = array(
			'all' 		=> '&nbsp;&nbsp;'.$this->lang->line('common_work_class_ALL'),
			'admins' 	=> '&nbsp;&nbsp;'.$this->lang->line('common_work_Slujitels'),
			'workers' 	=> '&nbsp;&nbsp;'.$this->lang->line('common_work_Workers'),
			'shoppers' 	=> '&nbsp;&nbsp;'.$this->lang->line('common_work_Shoppers'),
			'fired' 		=> '&nbsp;&nbsp;'.$this->lang->line('common_work_Fired'),
			'others' 	=> '&nbsp;&nbsp;'.$this->lang->line('common_work_Others')	);

	   $data['user_id'] = $this->BiSOFT_Model->get_person();		
		$data['controller_name']=strtolower(get_class());
		$data['form_width'] = $this->get_form_width();
		$selected_workers = $this->TRZ->get_all_class_id( $class_id, $firma, $config['per_page'], $this->uri->segment( $config['uri_segment'] ) );
		
		$totals = $this->trz_lib->calculate_totals($selected_workers->result_array(), $data['vedom'] );
			$data['total_hours'] 	= to_dot($totals['total_hours']);
			$data['total_worked'] 	= to_dot($totals['total_worked']);
			$data['total_avance'] 	= to_dot($totals['total_avance']);
			$data['total_taxes'] 	= to_dot($totals['total_taxes']);
			$data['total_sum'] 		= to_dot($totals['total_sum']);
		
		$data['manage_table']=get_employee_manage_table( $selected_workers, $this );
		
// print_r($data);		
// die();	

	$this->load->view('trzs/personal',$data);
	}

	
	
	function change_MODE($mode)
	{	
		$this->trz_lib->set_mode($mode);	
		$this->personal();
	}

	function change_FIRMA()
	{
		$firma_id = intval($this->input->post("mode_firma"));
		$this->trz_lib->set_firma($firma_id);
		$this->personal();
	}

	function change_NORMA()
	{
		$norma = $this->input->post("mode_norma");
		$this->trz_lib->set_norma($norma);
		$this->personal();
	}
	

	function change_YEAR()
	{
		$c_day = date('d', strtotime( $this->BiSOFT_Model->get_user_mode_date() ));
		$c_month = date('m', strtotime( $this->BiSOFT_Model->get_user_mode_date() ));
		$c_year = $this->input->post("mode_year");
		$mode_date = "$c_year-$c_month-01";
		$this->BiSOFT_Model->set_user_date($mode_date);
		$this->BiSOFT_Model->set_user_year($c_year);
	$this->personal();
	}

	function change_MONTH()
	{
		$c_day = date('d', strtotime( $this->BiSOFT_Model->get_user_mode_date() ));
		$c_month = $this->input->post("mode_month");
		$c_year = date('y', strtotime( $this->BiSOFT_Model->get_user_mode_date() ));
		
		$now_Year = date('Y', strtotime( $this->BiSOFT_Model->get_user_mode_date() ));
		
		if($c_month=='0') { $this->annual_holidays($now_Year);}
		elseif($c_month=='98') { $this->annual_notpaid($now_Year);}
		elseif($c_month=='99') { $this->annual_calendar($now_Year);}
		else
		{
			$mode_date = "$c_year-$c_month-01";
			$this->BiSOFT_Model->set_user_date($mode_date);
			$this->personal();
		}
	}

	// ОТПУСКИ ----------------------------------------- //	
	function annual_holidays($year)
	{
		$config['per_page'] = 1000;
		$config['uri_segment'] = 3;
		$this->pagination->initialize($config);
		
		$firma = $this->trz_lib->get_firma();
		$class_id = $this->trz_lib->get_norma();
		$selected_workers = $this->TRZ->get_all_class_id( $class_id, $firma, $config['per_page'], $this->uri->segment( $config['uri_segment'] ) )->result_array();

		$headers = array(
		  $this->lang->line('cal_jan'),$this->lang->line('cal_feb'),$this->lang->line('cal_mar'),
		  $this->lang->line('cal_apr'),$this->lang->line('cal_may'),$this->lang->line('cal_jun'),
		  $this->lang->line('cal_jul'),$this->lang->line('cal_aug'),$this->lang->line('cal_sep'),
		  $this->lang->line('cal_oct'),$this->lang->line('cal_nov'),$this->lang->line('cal_dec') );
		  
		$table = '<table class="tablesorter" id="sortable_table"><thead><tr>';
			$table .= '<th width="4%" style="background-color:#cca;border:1px solid #222;z-index:100;">'.$this->lang->line('dnv_title_code').'</th>';
			$table .= '<th width="20%" style="background-color:#cca;border:1px solid #222;z-index:100;">'.$this->lang->line('dnv_title_name_family').'</th>';
			$table .= '<th width="5%" style="background-color:#cca;border:1px solid #222;z-index:100;">('.($year-1).$this->lang->line('cal_year').')</th>';
			$table .= '<th width="5%" style="background-color:#cca;border:1px solid #222;z-index:100;">'.$this->lang->line('cal_polaga').'</th>';
			foreach($headers as $header) {$table.='<th width="4%" style="background-color:#ace;">'.$header.'</th>';}
			$table .= '<th width="5%" style="background-color:#cca;border:1px solid #222;z-index:1000;">'.$this->lang->line('cal_polzva').'</th>';
			$table .= '<th width="5%" style="background-color:#cca;border:1px solid #222;z-index:1000;">'.$this->lang->line('cal_ocmamak').'</th>';
			
		$table .= '</tr></thead><tbody>';
		$line_id = 0;
		
		foreach($selected_workers as $worker)
		{
			$line_id++;
			$all_days = $worker['holidays'];if($all_days==0) {$all_days='';}
			$all_last = $worker['holidays_last'];if($all_last==0) {$all_last='';}
			$holidays = 0;
			$bisoft_id = $worker['bisoft_id'];
			if($bisoft_id!=7000 and $bisoft_id!=7001 and $bisoft_id!=7002 and $bisoft_id!=7003 and $bisoft_id!=7004 and $bisoft_id!=7005)
			{
            $worker_link = anchor('trzs/edit_holidays/'.$year.'/'.$bisoft_id.'/'.$line_id.'/width:500/height:200',  // link
                                    $bisoft_id,
                                    array('class'=>'thickbox','title'=>$worker['first_name'].' '.$worker['last_name']) );
            $worker_name_link = anchor('trzs/edit_holidays/'.$year.'/'.$bisoft_id.'/'.$line_id.'/width:460/height:180',  // link
                                    $worker['first_name'].' '.$worker['last_name'],
                                    array('class'=>'thickbox none black','title'=>$worker['first_name'].' '.$worker['last_name']) );
            
            $table .= '<tr id="line_'.$line_id.'">';
            $table .= '<th style="text-align:center;border:1px solid #222;" class="techno_button"><b style="color:#004;">'.$worker_link.'</b></th>';
            $table .= '<th style="text-align:left;font-weight:normal;border:1px solid #222;padding-left:5px;" class="techno_button">'.$worker_name_link.'</th>';
            
            $table .= '<th style="text-align:center;background-color:#aab;color:#500;border:1px solid #222;"><span id="last_'.$bisoft_id.'">'.
                        $all_last.'</span></th>'; // пренос от предната година
            $table .= '<th style="text-align:center;background-color:#aab;color:#440;border:1px solid #222;"><span id="now_'.$bisoft_id.'">'.
                        $all_days.'</span></th>';
			
            for($m=1;$m<=12;$m++)
            {
               $mHoliDays = 0;
               $period = (int)substr($year,-2).str_pad($m,2,"0",STR_PAD_LEFT);
               $vedom  = 'T'.$period;
               
               if($this->TRZ->exists_trz($bisoft_id,$vedom,$period))
                  {  $now_TM = $this->TRZ->get_info_trz($bisoft_id,$vedom,$period)->TM;
                     if(null!=$now_TM and json_decode( $this->TRZ->get_info_trz($bisoft_id,$vedom,$period)->TM ) ) 
                        { $mHoliDays = json_decode( $this->TRZ->get_info_trz($bisoft_id,$vedom,$period)->TM )->holiDays;}
                  }
               $holidays += (int)$mHoliDays;
               
               $show_holiday='';
               if($mHoliDays>0) {$show_holiday=$mHoliDays;}
               $table .= '<td style="text-align:center;color:#222;">'.$show_holiday.'</td>';
            }
            
            $rezult = (int)$all_last + (int)$all_days - (int)$holidays; if($rezult=='0') {$rezult='-';}
            if($holidays==0) {$holidays='-';}
            $table .= '<th style="text-align:center;background-color:#cc9;color:#005;font-size:110%;border:1px solid #222;z-index:100;"><b>'.$holidays.'</b></th>';
            $table .= '<th style="text-align:center;background-color:#ccb;color:#040;font-size:110%;border:1px solid #222;z-index:100;"><b><span id="all_'.$bisoft_id.'">'.
                        $rezult.'</span></b></th>';
            $table .= '</tr>';
			}
		}

		$table.='</tbody></table><br>'; // край
							 
		$data=array( 'title' => $this->lang->line('cal_annual_holidays').$year,'table' => $table);

		$this->load->view("trzs/print_holidays",$data);
	}

	function edit_holidays($year,$bisoft_id,$line_id)
	{
		$worker_info = $this->Person->get_info_by_bisoft_id($bisoft_id);
		$employee_id = $worker_info->person_id;
		$empl_info = $this->TRZ->get_info($employee_id);
		
		$data=array(
			'year' => $year,
			'bisoft_id' => $bisoft_id,
			'line_id'	=> $line_id,
			'worker_info' => $worker_info,
			'empl_info' => $empl_info );

	$this->load->view("trzs/edit_holidays",$data);
	}
	
	
	function save_holidays($year,$bisoft_id,$line_id)
	{
		$holidays_last = $this->input->post('last_year');
		$holidays = $this->input->post('now_year');
	
		$worker_data=array(
			'bisoft_id' => $bisoft_id,
			'holidays'  => $holidays,
			'holidays_last' => $holidays_last );

		if($this->TRZ->save_bisoft_id($worker_data,$bisoft_id))
		{
			echo json_encode(array(
					'success'	=> true,
					'line_id'	=> 'line_'.$line_id,
					'bisoft_id'	=> $bisoft_id,
					'holidays'	=> $holidays,
					'holidays_last' => $holidays_last,
					'message'	=> $this->lang->line('reports_edit_line_success')));
		}
		else
		{
			echo json_encode(array(
					'success'	=> false,
					'bisoft_id'	=> $bisoft_id,
					'message'	=> $this->lang->line('reports_edit_line_unsuccess')));
		}
	}
	

	// НЕПЛАТЕНИ ----------------------------------------- //
	function annual_notpaid($year)
	{
		$config['per_page'] = 1000;
		$config['uri_segment'] = 3;
		$this->pagination->initialize($config);
		
		$firma = $this->trz_lib->get_firma();
		$class_id = $this->trz_lib->get_norma();
		$selected_workers = $this->TRZ->get_all_class_id( $class_id, $firma, $config['per_page'], $this->uri->segment( $config['uri_segment'] ) )->result_array();

		$headers = array(
		  $this->lang->line('cal_jan'),$this->lang->line('cal_feb'),$this->lang->line('cal_mar'),
		  $this->lang->line('cal_apr'),$this->lang->line('cal_may'),$this->lang->line('cal_jun'),
		  $this->lang->line('cal_jul'),$this->lang->line('cal_aug'),$this->lang->line('cal_sep'),
		  $this->lang->line('cal_oct'),$this->lang->line('cal_nov'),$this->lang->line('cal_dec') );
		  
		$table = '<table class="tablesorter" id="sortable_table"><thead><tr>';
			$table .= '<th width="4%">'.$this->lang->line('dnv_title_code').'</th>';
			$table .= '<th width="20%">'.$this->lang->line('dnv_title_name_family').'</th>';
			foreach($headers as $header) {$table.='<th width="4%" style="background-color:#ace;">'.$header.'</th>';}
			$table .= '<th width="5%">'.$this->lang->line('cal_total').'</th>';
			
		$table .= '</tr></thead><tbody>';
		
		foreach($selected_workers as $worker)
		{
			$notpaid = 0;
			$bisoft_id = $worker['bisoft_id'];
			if($bisoft_id!=7000 and $bisoft_id!=7001 and $bisoft_id!=7002 and $bisoft_id!=7003 and $bisoft_id!=7004 and $bisoft_id!=7005)
			{
            $table .= '<tr>';
            $table .= '<td style="text-align:center;color:#226;"><b>'.$bisoft_id.'</b></td>';
            $table .= '<td style="text-align:left;">'.$worker['first_name'].' '.$worker['last_name'].'</td>';
            
            for($m=1;$m<=12;$m++)
            {
               $mDays = 0;
               $period = (int) substr($year,-2).str_pad($m,2,"0",STR_PAD_LEFT);
               $vedom  = 'T'.$period;
               
               $m_data = null;
               if($this->TRZ->exists_trz($bisoft_id,$vedom,$period))
                  { $m_data = json_decode( $this->TRZ->get_info_trz($bisoft_id,$vedom,$period)->PM );}
                  
               if(null!=$m_data and $m_data)
               {
                  foreach($m_data as $wDay) { if($wDay=='но') {$mDays += 1;} }
               }
               
               $notpaid += $mDays;
               $show_notpaid='';
               if($mDays>0) {$show_notpaid=$mDays;}
               $table .= '<td style="text-align:center;color:#222;">'.$show_notpaid.'</td>';
            }

            $rezult = $notpaid;if(!$rezult) {$rezult='';}
            $table .= '<th style="text-align:center;border:1px solid #222;background-color:#ccd;color:#a00;font-size:130%;"><b>'.$rezult.'</b></th>';
            $table .= '</tr>';
			}
		}

		$table.='</tbody></table><br>'; // край
							 
		$data=array( 'title' => $this->lang->line('cal_annual_notpaid').$year,'table' => $table);

	$this->load->view("trzs/print_holidays",$data);
	}	
	
	
	// CALENDAR ----------------------------------------- //
	function annual_calendar($year)
	{
		$backcol = array(
			'0'=>'background-color:#999;',
			'1'=>'background-color:#c1c33b;',
			'2'=>'background-color:#f34b42;');
		  
		$table  = '<table class="tablesorter" id="sortable_table"><tbody>';
		
		$end_year = 100 * substr($year,-2);
		for($p=1;$p<=12;$p++)
		{
			$period = (int) ($end_year + $p);
			$wdays = $this->BiSOFT_Model->calendar_get($period)[0];
			
			switch($p)
			{
				case '1': $mLimit=31; $mName=$this->lang->line('cal_january'); break; 
				case '2': $mLimit=28; $mName=$this->lang->line('cal_february'); break;
				case '3': $mLimit=31; $mName=$this->lang->line('cal_march'); break;
				case '4': $mLimit=30; $mName=$this->lang->line('cal_april'); break;
				case '5': $mLimit=31; $mName=$this->lang->line('cal_mayl'); break;
				case '6': $mLimit=30; $mName=$this->lang->line('cal_june'); break;
				case '7': $mLimit=31; $mName=$this->lang->line('cal_july'); break;
				case '8': $mLimit=31; $mName=$this->lang->line('cal_august'); break;
				case '9': $mLimit=30; $mName=$this->lang->line('cal_september'); break;
				case '10': $mLimit=31; $mName=$this->lang->line('cal_october'); break;
				case '11': $mLimit=30; $mName=$this->lang->line('cal_november'); break;
				case '12': $mLimit=31; $mName=$this->lang->line('cal_december'); break;
				default : $mLimit=31; $mName=$this->lang->line('cal_january');
			}
			
			$r_year = $year/4 - round($year/4,0);
			if($p==2 and !$r_year) {$mLimit=29;}
			
			if($wdays)
			{
				$table .= '<tr style="height:35px;">';
				$table .= '<td style="background-color:#ddd;">'.$mName.'</td>';
				for($x=1;$x<=$mLimit;$x++) 
					{ $table .= '<td width="3%" style="text-align:center;'.$backcol[$wdays['d'.$x]].'">'.
									anchor('trzs/annual_calendar_change/'.$period.'/'.$x.'/'.$wdays['d'.$x], $x).'</td>';}
				$table .= '</tr>';
			}
			else
			{
				$table .= 	 "<tr style='height:18px;'>";
					$table .= "<td style='background-color:#ddd;'>$mName</td>";
					$table .= "<td colspan='31'>няма информация</td>";
				$table .= 	 "</tr>";
			}
		}

		$table.='</tbody></table>'; // край
		$table.='<br><div id="square_text_place_left"><span class="squre_yellow"></span>
			 <span class="squre_text">'.$this->lang->line('dnv_title_sat_sun').
			 '</span></div><div id="square_text_place_right">
			 <span class="squre_red"></span><span class="squre_text">'.
			 $this->lang->line('dnv_title_holiday').'</span></div>';

		$data=array(
			'controller' => strtolower(get_class()),
			'title' => $this->lang->line('cal_annual_calendar').$year,
			'table' => $table );
	
	$this->load->view("trzs/print_calendar",$data);
	}

	function annual_calendar_change($period,$day,$status)
	{
      if($status!=2)
      {
         $status++;if($status==2){$status=0;}
         $data = array('period' => $period,'d'.$day => $status );
         $this->BiSOFT_Model->calendar_update($period,$data);
		}
		$year = '20'.substr($period,0,2);
		
	$this->annual_calendar($year);
	}
	
	
	/* Returns employee table data rows. This will be called with AJAX. */
	function search()
	{
		$search=$this->input->post('search');
		$data_rows=get_employee_manage_table_data_rows($this->TRZ->search($search),$this);
		echo $data_rows;
	}
	
	/* Returns table data row for WORK. This will be called with AJAX. */
	function get_row()
	{
		$person_id = $this->input->post('row_id');
		$data_row=get_employee_data_row($this->TRZ->get_info($person_id),$this);
		echo $data_row;
	}	
	
	/*	Gives search suggestions based on what is being searched for */
	function suggest()
	{
		$suggestions = $this->TRZ->get_search_suggestions($this->input->post('q'),$this->input->post('limit'));
		echo implode("\n",$suggestions);
	}
	
	/* Loads the employee edit form */
	function view($employee_id=-1)
	{
		$data['person_info'] = $this->TRZ->get_info($employee_id);
		$data['user_id'] 	= $this->BiSOFT_Model->get_person();
		$data['status']	= $employee_id;
		$data['modes_norma'] = array(
			'1' => $this->lang->line('common_work_slujitel'),
			'9' => $this->lang->line('common_work_snorma'),
			'7' => $this->lang->line('common_work_worker'),
			'8' => $this->lang->line('common_work_wnorma'),
			'5' => $this->lang->line('common_work_whelp'),
			'3' => $this->lang->line('common_work_shopper'),
			'4' => $this->lang->line('common_work_honorar'),
			'2' => $this->lang->line('common_work_mamas'),
			'6' => $this->lang->line('common_work_temp'),
			'0' => $this->lang->line('common_work_out')	);
			
			// определяме в коя фирма ?!
		$data['firma'] = $firma = $this->trz_lib->get_firma();
		$data['modes_firmas'] = array(
				'1' => $this->config->item('company'),
				'2' => $this->config->item('2_company') );
			
	$this->load->view("trzs/form",$data);
	}

	/* Inserts/updates an employee */
	function save($employee_id=-1)
	{
      $bisoft_id = $this->input->post('bisoft_id');
      $bisoft_id_max = 9999;
		$firma = $this->input->post('firma');
		$norma = $this->input->post('norma');
		$job_title = trim(mb_convert_case($this->input->post("job_title"),MB_CASE_TITLE,"UTF-8"));
		// определяме на нов номер
		if($employee_id=='-1' and $bisoft_id=='N E W')
		{
         if($norma=='1' or $norma=='3' or $norma=='9') // служител - магазинер
         {
            $bisoft_id = 9000; $bisoft_id_max = 9999;
         }
         elseif($norma=='7' or $norma=='8') // работник - работник на норма
         {
            $bisoft_id = 7000; $bisoft_id_max = 7999;
            // да се оправи после ...
            if(strlen($job_title)>2)
            {
               if(mb_substr($job_title,0,2)=='Кр' or mb_substr($job_title,0,2)=='кр' 
                  or mb_substr($job_title,0,2)=='Ба' or mb_substr($job_title,0,2)=='ба')
                  { $bisoft_id = 6000; $bisoft_id_max = 6999;}
               elseif(mb_substr($job_title,0,2)=='Гл' or mb_substr($job_title,0,2)=='гл')
                  { $bisoft_id = 8000; $bisoft_id_max = 8999;}
            }
         }
         elseif($norma=='4' or $norma=='5' or $norma=='6') // спомаг. - хонорар - временен
         {
            $bisoft_id = 5000; $bisoft_id_max = 5999;
         }
         else {$bisoft_id = 0;} // няма номер
         
         $bisoft_id = $this->TRZ->check_free_bisoft_id($bisoft_id,$bisoft_id_max);
		}

      $unit_location = $this->input->post('oper_BiSOFT');
      if(!$unit_location) {$unit_location=0;}
	
		$first_name  = trim(mb_convert_case($this->input->post("first_name"),MB_CASE_TITLE,"UTF-8"));
		$middle_name = trim(mb_convert_case($this->input->post("middle_name"),MB_CASE_TITLE,"UTF-8"));
		$last_name	 = trim(mb_convert_case($this->input->post("last_name"),MB_CASE_TITLE,"UTF-8"));
		
		$country = trim(mb_convert_case($this->input->post("country"),MB_CASE_TITLE,"UTF-8"));
		$city 	= trim($this->input->post("city"));
		$address = trim($this->input->post("address"));
	
		$person_data = array(
			'bisoft_id'			=> $bisoft_id,
			'egn_id'				=> $this->input->post('egn_id'),
			'first_name'		=> $first_name,
			'middle_name'		=> $middle_name,
			'last_name'			=> $last_name,
			'company'			=> $this->config->item('company'),
			'email'				=> $this->input->post('email'),
			'phone_number'		=> $this->input->post('phone_number'),
			'address'			=> $address,
			'city'				=> $city,
			'zip'					=> $this->input->post('zip'),
			'country'			=> $country,
			'location'			=> $this->input->post('location'),
			'norma'				=> $norma,
			'comments'			=> $this->input->post('comments')  );

		$employee_data=array(
			'bisoft_id'			=> $bisoft_id,
			'job_id'				=> $this->input->post('job_id'),
			'job_title'			=> $job_title,
			'job_time'			=> $this->input->post('job_time'),
			'work_time'			=> $this->input->post('work_time'),
			'doc_salary'		=> $this->input->post('doc_salary'),
			'id_number'			=> $this->input->post('id_number'),
			'id_issued'			=> $this->input->post('id_issued'),
			'education'			=> $this->input->post('education'),
			'location'			=> $this->input->post('location'),
			'unit_location'   => $unit_location,
			'firma'				=> $firma,
			'comments'			=> $this->input->post('comments')  );

		if ($employee_id == -1) // само за Нов Работник
			{ 
            $employee_data['username']='w'.$bisoft_id;
            if($unit_location and $bisoft_id>5000 and $bisoft_id<8999) {$employee_data['unit_location']=0;}
            if($unit_location and $bisoft_id>9000 and $bisoft_id<9999) {$employee_data['password']=md5('bisoft');}
            $employee_data['from_period']=$employee_data['in_company_time']=date('ym');
            $employee_data['mode_date']=date('Y-m-d');
            $employee_data['deleted']=0;
			}
			
		// записва в БД Employee ...
		if($this->TRZ->save($person_data,$employee_data,$employee_id))
		{
			//New employee
			if($employee_id==-1)
			{
				echo json_encode(array('success'=>true,'message'=>$this->lang->line('employees_successful_adding').
				" $first_name $last_name",'person_id'=>$employee_data['person_id']));
			}
			else //previous employee
			{
				echo json_encode(array('success'=>true,'message'=>$this->lang->line('employees_successful_updating').
				" $first_name $last_name",'person_id'=>$employee_id));
			}
		}
		else//failure
		{	
			echo json_encode(array('success'=>false,'message'=>$this->lang->line('employees_error_adding_updating').
			" $first_name $last_name",'person_id'=>-1));
		}
	}

	
	/*	This deletes employees from the employees table */
	function delete()
	{
		$employees_to_delete=$this->input->post('ids');
		
		if($this->Employee->delete_list($employees_to_delete))
		{
			echo json_encode(array('success'=>true,'message'=>$this->lang->line('employees_successful_deleted').' '.
			count($employees_to_delete).' '.$this->lang->line('employees_one_or_multiple')));
		}
		else
		{
			echo json_encode(array('success'=>false,'message'=>$this->lang->line('employees_cannot_be_deleted')));
		}
	}
	
	
	
/* ============================================= PRESENCE ======================================== */
	
	/* Loads the employee PRESENCE form */
	function presence($person_id)
	{
		$data['months']  = $this->trz_lib->get_months();
		// универсална за зареждане на ПРИСЪСТВИЕ
		$data = $this->TRZ->load_presence($person_id,$data);
	$this->load->view("trzs/form_presence",$data);
	}

	function save_presence($person_id=-1)
	{
		// събирам си данните ...
		$presence_input = array(
			'1' => $this->input->post('day_1'),  '2' => $this->input->post('day_2'),  '3' => $this->input->post('day_3'),
			'4' => $this->input->post('day_4'),  '5' => $this->input->post('day_5'),  '6' => $this->input->post('day_6'),
			'7' => $this->input->post('day_7'),  '8' => $this->input->post('day_8'),  '9' => $this->input->post('day_9'),
		  '10' => $this->input->post('day_10'),'11' => $this->input->post('day_11'),'12' => $this->input->post('day_12'),
		  '13' => $this->input->post('day_13'),'14' => $this->input->post('day_14'),'15' => $this->input->post('day_15'),
		  '16' => $this->input->post('day_16'),'17' => $this->input->post('day_17'),'18' => $this->input->post('day_18'),
		  '19' => $this->input->post('day_19'),'20' => $this->input->post('day_20'),'21' => $this->input->post('day_21'),
		  '22' => $this->input->post('day_22'),'23' => $this->input->post('day_23'),'24' => $this->input->post('day_24'),
		  '25' => $this->input->post('day_25'),'26' => $this->input->post('day_26'),'27' => $this->input->post('day_27'),
		  '28' => $this->input->post('day_28'),'29' => $this->input->post('day_29'),'30' => $this->input->post('day_30'),
		  '31' => $this->input->post('day_31')	);
					
		$comment  = $this->input->post('comment');
		$onHours  = $this->input->post('onHours'); 
		if($onHours==0 or empty($onHours)) {$onHours='';}
		
		// основната част
		$success=1;
		$person_info = $this->TRZ->get_info($person_id);
		$bisoft_id = $person_info->bisoft_id;
		$name = $person_info->first_name.' '.$person_info->last_name;

		$period = date('ym', strtotime( $this->BiSOFT_Model->get_user_mode_date() ) );
		$vedom  = 'T'.$period;
		
		// прехвърля данни за калкулация
		$other_data = array(
					'onHours' => $onHours,
					'comment' => $comment );
		
		// калкулира ПРИСЪСТВИЕТО ============================= //
		$data = $this->TRZ->calculate_presence($person_id,$period,$presence_input,$other_data);
		
		$all_SUMA = isset($data['trz_data']->trz_worked) ? $data['trz_data']->trz_worked : ''; if($all_SUMA=='') {$all_SUMA=0;}
		$all_DAYS = isset($data['trz_data']->trz_days) ? $data['trz_data']->trz_days : ''; if($all_DAYS=='') {$all_DAYS=0;}
		$Avance	 = isset($data['trz_data']->avance) ? $data['trz_data']->avance : ''; if($Avance=='') {$Avance=0;}
		$Salary	 = isset($data['trz_data']->salary) ? $data['trz_data']->salary : ''; if($Salary=='') {$Salary=0;}		
		
		$all_data = array(
			  'bisoft_id' => $bisoft_id,
				  'period' => $period,
					 'name' => $name,
				'all_SUMA' => $all_SUMA,
				'all_DAYS' => $all_DAYS,
				  'Avance' => $Avance,
				  'Salary' => $Salary,
					   'PM' => isset($data['presence']) ? json_encode($data['presence']) : null,
					   'TM' => isset($data['trz_data']) ? json_encode($data['trz_data']) : null 
								);		  
	
		// записваме в Централната Ведомост за Месеца ...
		$success *= $this->TRZ->save_work($all_data,$bisoft_id,$vedom,$period);
		
		if($success)
			{ echo json_encode(array('success'=>true,'message'=>$this->lang->line('employees_success_update').$name,'person_id'=>$person_id));
			}
		else//failure
			{ echo json_encode(array('success'=>false,'message'=>$this->lang->line('employees_error_update').$name,'person_id'=>-1));}
	}

/* ============================================= END PRESENCE ======================================== */




	
/* ============================================= SALARY ======================================== */
	
	/* Loads the employee WORK form */
	function salary($person_id)
	{
		$data['months'] = $this->trz_lib->get_months();
		// универсална за зареждане на ПРИСЪСТВИЕ
		$data = $this->TRZ->load_salary($person_id,$data);			 
	$this->load->view("trzs/form_salary",$data);
	}

	
	function save_salary($person_id)
	{
		$person_info = $this->TRZ->get_info($person_id);
		$name = $person_info->first_name.' '.$person_info->last_name;
		$bisoft_id = $person_info->bisoft_id;
		
		$period = date('ym', strtotime( $this->BiSOFT_Model->get_user_mode_date() ) );
		$vedom  = 'T'.$period;
		
		$trz_input = array(
		   'base_salary' => $this->input->post('base_salary'),
			 'trz_class'  => $this->input->post('trz_class'),
			 'trz_taxes'  => $this->input->post('trz_taxes'),
		 'trz_saturday'  => $this->input->post('trz_saturday'),
			 'trz_prevod' => $this->input->post('trz_prevod'),
			 'trz_travel' => $this->input->post('trz_travel'),
			 'trz_plus'   => $this->input->post('trz_plus'),
			 'trz_minus'  => $this->input->post('trz_minus'),
			 'sickSum'    => $this->input->post('sickSum'),
			 'onHours'    => $this->input->post('onHours'),
			 'comment'	  => $this->input->post('comment'),
			 'avance' 	  => $this->input->post('trz_avance') );

		// изчисляваме Финално ЗАПЛАТАТА ...
		$trz_data = $this->TRZ->calculate_salary($person_id,$trz_input,$period);
		
		$base_salary = isset($trz_data->base_salary) ? $trz_data->base_salary : 0; 
		if ($base_salary>0) // записва Новата base_salary
			{
			
			}
		
		$all_SUMA = isset($trz_data->trz_worked) ? $trz_data->trz_worked : 0; if($all_SUMA=='') {$all_SUMA=0;}
		$all_DAYS = isset($trz_data->trz_days) ? $trz_data->trz_days : 0; if($all_DAYS=='') {$all_DAYS=0;}
		$Avance	 = isset($trz_data->avance) ? $trz_data->avance : 0; if($Avance=='') {$Avance=0;}
		$Salary	 = isset($trz_data->salary) ? $trz_data->salary : 0; if($Salary=='') {$Salary=0;}

		$data = array(
			'bisoft_id' => $bisoft_id,
				'period' => $period,
				  'name' => $name,
					 'TM' => isset($trz_data) ? json_encode($trz_data) : null,
			 'all_SUMA' => $all_SUMA,
			 'all_DAYS' => $all_DAYS,
				'Avance' => $Avance,
				'Salary' => $Salary );

		  // записваме в Централната Ведомост за Месеца ...
		  $success = $this->TRZ->save_work($data,$bisoft_id,$vedom,$period);
		
		if($success)
			{ 
				$class_id = $this->trz_lib->get_norma();
				$selected_workers = $this->TRZ->get_all_class_id($class_id);
				$calc_data = $this->trz_lib->calculate_totals($selected_workers->result_array(),$period);
			
				echo json_encode(array(
					'success'=>true,
					'person_id'	=> $person_id,
					 'total_hours' => to_dot($calc_data['total_hours']),
					'total_worked' => to_dot($calc_data['total_worked']),				
					'total_avance' => to_dot($calc_data['total_avance']),				
				    'total_taxes' => to_dot($calc_data['total_taxes']),
						'total_sum' => to_dot($calc_data['total_sum']),
					'message'=>$this->lang->line('employees_success_update').$name ));
			}
		else//failure
		   { echo json_encode(array(
					'success'=>false,
					'message'=>$this->lang->line('employees_error_update').$name,
					'person_id'=>-1));
			}
	}

/* ============================================= END SALARY ======================================== */

	/* Loads the employee WORK form */
	function fish($person_id=-1,$period)
	{
		$data['months'] = $this->trz_lib->get_months();
		// универсална за зареждане на ПРИСЪСТВИЕ
		$data = $this->TRZ->load_salary($person_id,$data);
	$this->load->view("trzs/print_fish",$data);
	}
	
	/* Saves Fish to FISH form */
	function save_fish($person_id=-1)
	{
		$success = 1;
	
		// записва в Централна БД ...
		// $success *= $this->TRZ->save_work($trz_data,$bisoft_id,$vedom,$period);
		
		if($success)
			{ echo json_encode(array('success'=>true,'message'=>$this->lang->line('employees_success_update').$name,'person_id'=>$person_id)); }
		else//failure
			{ echo json_encode(array('success'=>false,'message'=>$this->lang->line('employees_error_update').$name,'person_id'=>-1));}
	}

	/* Prints 1 FISH - не работи още */
	function print_fishes($person_id)
	{
		$row_numbers = 1;
		$data['months'] = $this->trz_lib->get_months();
		// универсална за зареждане на ПРИСЪСТВИЕ
		$data = $this->TRZ->load_salary($person_id,$data);
	$this->load->view("trzs/print_fish",$data);	
	}
	
	/* Prints */
	function print_vedom($firma,$mode,$period)
	{
	//	$mode  = $this->trz_lib->get_mode();
	//	$firma = intval($this->trz_lib->get_firma());
		$class_id = $this->trz_lib->get_norma();
		$selected_workers = $this->TRZ->get_all_class_id( $class_id, $firma);
		if($mode=='presence') {$title='ВЕДОМОСТ ПРИСЪСТВИЕ';}
		elseif($mode=='salary') {$title='ВЕДОМОСТ ЗАПЛАТИ';}
		else {$title='ПЕРСОНАЛ';}
		
		$months = array(
			'01' => $this->lang->line('cal_january'),
			'02' => $this->lang->line('cal_february'),
			'03' => $this->lang->line('cal_march'),
			'04' => $this->lang->line('cal_april'),
			'05' => $this->lang->line('cal_mayl'),
			'06' => $this->lang->line('cal_june'),
			'07' => $this->lang->line('cal_july'),
			'08' => $this->lang->line('cal_august'),
			'09' => $this->lang->line('cal_september'),
			'10' => $this->lang->line('cal_october'),
			'11' => $this->lang->line('cal_november'),
			'12' => $this->lang->line('cal_december')	);
			
		$firma_name = $this->Appconfig->get('company');
		$EIK   = $this->Appconfig->get('my_account_number');
		if($firma==2)
		{
         $firma_name = $this->Appconfig->get('2_company');
			$EIK   = $this->Appconfig->get('2_my_account_number');
		}
			
		$data=array(
			 'title' => $title,
		 'subtitle' => 'за '.$months[substr($period,-2)].' 20'.substr($period,0,2),
     'firma_name' => $firma_name,
            'EIK' => $EIK,
			'people' => $selected_workers );

		if($mode=='presence') {$this->load->view("trzs/print_presence",$data);}
		elseif($mode=='salary') {$this->load->view("trzs/print_salary",$data);}
		elseif($mode=='main') {$this->load->view("trzs/print_personal",$data);}
		else {$this->personal();}
	}
	
	
	function export_Excel($firma,$mode,$period)
	{
	//	$mode  = $this->trz_lib->get_mode();
	//	$firma = intval($this->trz_lib->get_firma());
		$class_id = $this->trz_lib->get_norma();
		$selected_workers = $this->TRZ->get_all_class_id( $class_id, $firma);
		if($mode=='presence') { $title='ВЕДОМОСТ ПРИСЪСТВИЕ'; }
		elseif($mode=='salary') { $title='ВЕДОМОСТ ЗАПЛАТИ'; }
		else { $title='ПЕРСОНАЛ'; }

		$months = array(
			'01' => $this->lang->line('cal_january'),
			'02' => $this->lang->line('cal_february'),
			'03' => $this->lang->line('cal_march'),
			'04' => $this->lang->line('cal_april'),
			'05' => $this->lang->line('cal_mayl'),
			'06' => $this->lang->line('cal_june'),
			'07' => $this->lang->line('cal_july'),
			'08' => $this->lang->line('cal_august'),
			'09' => $this->lang->line('cal_september'),
			'10' => $this->lang->line('cal_october'),
			'11' => $this->lang->line('cal_november'),
			'12' => $this->lang->line('cal_december')	);
			
		$firma_name = $this->Appconfig->get('company');
		$EIK   = $this->Appconfig->get('my_account_number');
		if($firma==2)
		{
         $firma_name = $this->Appconfig->get('2_company');
			$EIK   = $this->Appconfig->get('2_my_account_number');
		}
			
		$data=array(
			 'title' => $title,
		 'subtitle' => 'за '.$months[substr($period,-2)].' 20'.substr($period,0,2),
     'firma_name' => $firma_name,
            'EIK' => $EIK,
         'period' => $period,
			'people' => $selected_workers );
		
		$data['export_excel'] = 1;	

		if($mode=='salary') {$this->load->view("trzs/excel_salary",$data);}
		else {$this->personal();}
	}
	
	/*	get the width for the add/edit form */
	function get_form_width()
	{ return 650;}
	

}
?>
