<?php

class Ebook_lib
{
	var $CI;

  	function __construct()
	{
		$this->CI =& get_instance();
	}

	//User
	function get_user() 
	{ if(!$this->CI->session->userdata('user'))
			$this->set_user('0');
	return $this->CI->session->userdata('user');
	}

	function set_user($user) 
	{ $this->CI->session->set_userdata('user', $user);}

	function clear_user() 	
	{ $this->CI->session->unset_userdata('user');}
	

	//BiSOFT
	function get_bisoft() 
	{ if(!$this->CI->session->userdata('bisoft'))
			$this->set_bisoft('0');
	return $this->CI->session->userdata('bisoft');
	}

	function set_bisoft($bisoft) 
	{ $this->CI->session->set_userdata('bisoft', $bisoft);}	


	//Mobile
	function get_mobile() 
	{ if(!$this->CI->session->userdata('mobile'))
			$this->set_mobile('0');
	return $this->CI->session->userdata('mobile');
	}

	function set_mobile($isMobile) 
	{ $this->CI->session->set_userdata('mobile', $isMobile);}


	//Language
	function get_language() 
	{ if(!$this->CI->session->userdata('language'))
		 {
			$category = $this->CI->OnLine->get_text('category');
			if(!$category)
				{ $this->set_language('_en');} // Hanna-UK
			else
				{ $this->set_language('_bg');}
		 }
	return $this->CI->session->userdata('language');
	}

	function set_language($lang) 
	{ $this->CI->session->set_userdata('language', $lang);}


	//Category
	function get_category() 
	{ if(!$this->CI->session->userdata('category'))
			$this->set_category('all');
	return $this->CI->session->userdata('category');
	}

	function set_category($category) 
	{ $this->CI->session->set_userdata('category', $category);}

	function clear_category() 	
	{ $this->CI->session->unset_userdata('category');}


	//Pages
	function get_pages() 
	{ 
		if(!$this->CI->session->userdata('pages'))
			{ $this->set_pages('1'); }
	return $this->CI->session->userdata('pages');
	}

	function set_pages($pages) 
	{ $this->CI->session->set_userdata('pages', $pages);}

	function clear_pages() 	
	{ 
		$this->CI->session->unset_userdata('pages');
	}

	//Comment
	function get_comment() 
	{ return $this->CI->session->userdata('comment');}

	function set_comment($comment) 
	{ $this->CI->session->set_userdata('comment', $comment);}

	function clear_comment() 	
	{ $this->CI->session->unset_userdata('comment');}


// ================================= MODES ============================= //
	function get_mode()
	{	$default_mode = 'catalog';
		if(!$this->CI->session->userdata('ebook_mode'))
			{ $this->set_mode($default_mode);}
	return $this->CI->session->userdata('ebook_mode');
	}

	function set_mode($mode)
	{ $this->CI->session->set_userdata('ebook_mode',$mode);}

	
	public function get_size_info($item_number,$item_info)
	{
		if($item_number<4000 or $item_number>98000) {$allow_sizes=0;}
		$allow_sizes=$item_info->allow_sizes;
		
		$group = $allow_sizes;
		if (!is_numeric($group) 
				and $group != 'S'  and $group != 's' 
				and $group != 'XS' and $group != 'xs' 
				and $group != 'J'  and $group != 'j'
				and $group != 'c46'
				and $group != 'UK'
				and $group != 'EN') 
			{ $group = 40;} // слагам си стандартни размери ...

		$sizes = array ( // празна база ?! //
						'1'	=> '',
						'2'	=> '',
						'3'	=> '',
						'4'	=> '',
						'5'	=> '',
						'6'	=> '',
						'7'	=> '',
						'8'	=> '',
						'9'	=> '',
						'10'	=> '' );

		if ($allow_sizes or $group>100)
		{ 
			if ( $group=='S' or $group=='s' ) 
				{ $sizes = array (
						'1'	=> 'S',
						'2'	=> 'M',
						'3'	=> 'L',
						'4'	=> 'XL',
						'5'	=> '2XL',
						'6'	=> '3XL',
						'7'	=> '4XL',
						'8'	=> '5XL',
						'9'	=> '6XL',
						'10'	=> '7XL' ); 
				}
			elseif ( $group=='XS' or $group=='xs' ) 
				{ $sizes = array (
						'1'	=> 'S',
						'2'	=> 'M',
						'3'	=> 'L',
						'4'	=> 'XL',
						'5'	=> '2XL',
						'6'	=> '3XL',
						'7'	=> '4XL',
						'8'	=> '5XL',
						'9'	=> '6XL',
						'10'	=> 'XS' ); 
				}
			elseif ( $group=='J' or $group=='j' ) 
				{ $sizes = array (
						'1'	=> '30',
						'2'	=> '31',
						'3'	=> '32',
						'4'	=> '33',
						'5'	=> '34',
						'6'	=> '36',
						'7'	=> '38',
						'8'	=> '40',
						'9'	=> '42',
						'10'	=> 'max' ); 
				}
			elseif ( $group=='c46' ) 
				{ $sizes = array (
						'1'	=> '46',
						'2'	=> '48',
						'3'	=> '50',
						'4'	=> '52',
						'5'	=> '54',
						'6'	=> '56',
						'7'	=> '58',
						'8'	=> '60',
						'9'	=> '62',
						'10'	=> '64' );
				}
			else
				{  $ctr = 2;
					switch ($group) 
						{
							case 'UK': $size = 6;  break;	 		
							case 'EN': $size = 36; break;
							case '6':  $size = 6; break;
							case '8':  $size = 8; break;
							case '28': $size = 30; break;
							case '30': $size = 30; break;
							case '40': $size = 40; break;
							case 'c40': $size = 46; break;
							case '48': $size = 50; break;
							case '50': $size = 50; break;
							case '60': $size = 60; break;
							case '92': $size = 92; $ctr = 12; break;
							case '105': $size = 105; $ctr = 5; break;
							default  : $size = 40; break;
						}

					if($group == 105) // само КОЛАНИ //
					{
						for($k=1;$k<8;$k++)	{$sizes[$k]=$size+$ctr*($k-1);}
					}
					elseif($group=='28') // само където 28=max !?
					{
						for($k=1;$k<10;$k++)	{$sizes[$k]=$size+$ctr*($k-1);}
						$sizes[10]='28';
					}
					elseif($group=='48') // само където 48=max !?
					{
						for($k=1;$k<10;$k++)	{$sizes[$k]=$size+$ctr*($k-1);}
						$sizes[10]='48';
					}
					elseif($group == 140) // само КОЛАНИ //
					{
						$sizes[1]  ='140';
						$sizes[2]  ='150';
						$sizes[3]  ='160';
					}
					else 
					{ 
						for($k=1;$k<10;$k++)	{$sizes[$k]=$size+$ctr*($k-1);}
						$sizes[10]='max';
					}
				}
				
         $sizes['allow_sizes'] = $allow_sizes;
         $sizes['qmin'] = $item_info->qmin;
         $sizes['qmax']	= $item_info->qmax;
		}
		else {$sizes['allow_sizes']=$sizes['qmin']=$sizes['qmax']=0;}
	
	return $sizes;
	}
	
} ?>
