<?php
class Kaca_lib
{
	var $CI;

  	function __construct()
	{
		$this->CI =& get_instance();
	}

// -------------------------- modes ----------------------------------
	function get_mode()
	{
	if(!$this->CI->session->userdata('kaca_mode'))
		{	$this->set_mode('kaca'); }

	return $this->CI->session->userdata('kaca_mode');
	}

	function set_mode($mode)
	{ $this->CI->session->set_userdata('kaca_mode', $mode);}

	
// -------------------------- firmas ----------------------------------
	function get_firma()
	{
      if(!$this->CI->session->userdata('kaca_firma'))
         {	$this->set_firma('0'); }

	return $this->CI->session->userdata('kaca_firma');
	}

	function set_firma($firma)
	{ $this->CI->session->set_userdata('kaca_firma', $firma);}


// -------------------------- periods ----------------------------------
	function get_period()
	{
	if(!$this->CI->session->userdata('kaca_period'))
		{	$this->set_period('by_date_month'); }

	return $this->CI->session->userdata('kaca_period');
	}

	function set_period($period)
	{ $this->CI->session->set_userdata('kaca_period', $period);}
	
	function clear_period()
	{ $this->CI->session->unset_userdata('kaca_period');}


// -------------------------- CART ----------------------------------	
	function get_cart()
	{
		if(!$this->CI->session->userdata('kaca_cart'))
			$this->set_cart(array());

	return $this->CI->session->userdata('kaca_cart');
	}

	function set_cart($cart_data)
	{ $this->CI->session->set_userdata('kaca_cart',$cart_data);}

// ----------------------- DATE KEY---------------------- //
	function get_dateKey() 
	{
		if	(!$this->CI->session->userdata('kaca_date_key'))
			{ return 0;}
	return 1;
	}

	function set_dateKey() 
	{ $this->CI->session->set_userdata('kaca_date_key', 1);}

	function clear_dateKey() 	
	{ $this->CI->session->unset_userdata('kaca_date_key');}

	
	
// -------------------------- CLIENT-MODE ---------------------- //
	function get_client_mode()
	{
		if(!$this->CI->session->userdata('kaca_client_mode'))
			$this->set_client_mode('customer');
		return $this->CI->session->userdata('kaca_client_mode');
	}

	function set_client_mode($client_mode)
	{ $this->CI->session->set_userdata('kaca_client_mode',$client_mode);}
	
	
	function clear_client_mode()
	{ $this->CI->session->unset_userdata('kaca_client_mode');}
	

// -------------------------- CUSTOMER ---------------------- //
	function get_customer()
	{
		if(!$this->CI->session->userdata('kaca_customer'))
			$this->set_customer(-1);
		return $this->CI->session->userdata('kaca_customer');
	}

	function set_customer($customer_id)
	{ $this->CI->session->set_userdata('kaca_customer',$customer_id);}

	function remove_customer()
	{
		$this->CI->session->unset_userdata('kaca_customer');
		$this->CI->BiSOFT_Model->set_user_client(0);
	}


// -------------------------- CONSIGNEE ---------------------- //
	function get_consignee()
	{
		if(!$this->CI->session->userdata('kaca_consignee'))
			$this->set_consignee(-1);
	return $this->CI->session->userdata('kaca_consignee');
	}

	function set_consignee($consignee_id)
	{ $this->CI->session->set_userdata('kaca_consignee',$consignee_id);}

	function remove_consignee()
	{
		$this->CI->session->unset_userdata('kaca_consignee');
		$this->CI->BiSOFT_Model->set_user_client(0);
	}
	
	
// -------------------------- SUPPLIER ---------------------- //
	function get_supplier()
	{
		if(!$this->CI->session->userdata('kaca_supplier'))
			$this->set_supplier(-1);
		return $this->CI->session->userdata('kaca_supplier');
	}

	function set_supplier($supplier_id)
	{ $this->CI->session->set_userdata('kaca_supplier',$supplier_id);}

	function remove_supplier()
	{
		$this->CI->session->unset_userdata('kaca_supplier');
		$this->CI->BiSOFT_Model->set_user_client(0);
	}
	
	
	// Multiple Payments
	function get_payments()
	{
		if( !$this->CI->session->userdata( 'kaca_payments' ) )
			$this->set_payments( array( ) );

		return $this->CI->session->userdata('kaca_payments');
	}

	function set_payments($payments_data)
	{
		$this->CI->session->set_userdata('kaca_payments',$payments_data);
	}

	function empty_payments()
	{ $this->CI->session->unset_userdata('kaca_payments'); }
	
	
	// Comments
	function get_comment() 
	{ return $this->CI->session->userdata('kaca_comment'); }


	function set_comment($comment) 
	{ $this->CI->session->set_userdata('kaca_comment', $comment);}

	function clear_comment() 	
	{ $this->CI->session->unset_userdata('kaca_comment'); }
	

	function get_email_receipt() 
	{ return $this->CI->session->userdata('kaca_email_receipt');}


	function set_email_receipt($email_receipt) 
	{ $this->CI->session->set_userdata('kaca_email_receipt', $email_receipt);}


	function clear_email_receipt() 	
	{ $this->CI->session->unset_userdata('kaca_email_receipt');}



// -------- Multiple Payments ----------------------------------------

	function add_payment( $payment_id, $payment_amount )
	{
		$payments = $this->get_payments();
		$payment = array( $payment_id=>
		array(
			'payment_type' => $payment_id,
			'payment_amount' => $payment_amount
			)
		);

		//payment_method already exists, add to payment_amount
		if( isset( $payments[$payment_id] ) )
		{
			$payments[$payment_id]['payment_amount'] += $payment_amount;
		}
		else
		{	//add to existing array
			$payments += $payment;
		}

		$this->set_payments( $payments );
	return true;
	}


	function edit_payment($payment_id,$payment_amount)
	{
		$payments = $this->get_payments();
		if(isset($payments[$payment_id]))
		{
			$payments[$payment_id]['payment_type'] = $payment_id;
			$payments[$payment_id]['payment_amount'] = $payment_amount;
			$this->set_payments($payment_id);
		}
	return false;
	}


	function delete_payment( $payment_id )
	{
		$payments = $this->get_payments();
		unset( $payments[urldecode( $payment_id )] );
		$this->set_payments( $payments );
	}




	function get_payments_total($mode)
	{
		$subtotal = 0;
		foreach($this->get_payments() as $payments)
		{
		    $subtotal += $payments['payment_amount'];
		}

	return to_currency_no_money($subtotal);
	}


	function get_amount_due($mode,$taxed)
	{
		$customer_discount = $this->get_customer_discount();
		$amount_due		= 0;

		$payment_total = round($this->get_payments_total($mode),2);
		$sales_total	= round($this->get_total($mode,$customer_discount,$taxed),2);

		$amount_due = to_currency_no_money ( $sales_total - $payment_total );

		return $amount_due;
	}
// -------- end of Payments ----------------




// ------------------------------ Prices ----------------------------- //
	function get_mode_price()
	{
		if	(!$this->CI->session->userdata('kaca_mode_price'))
			{ 
			$mode = $this->get_mode();
			$new_mode = 99;

			if($this->CI->config->item('vat')==1 and ($mode='invoice' or $mode='invoice_ki' or $mode='invoice_di') ) 
				{ $new_mode = 100;}

			$this->set_mode_price($new_mode);
			}

	return $this->CI->session->userdata('kaca_mode_price');
	}

	function set_mode_price($mode_price)
	{
		$this->CI->session->set_userdata('kaca_mode_price',$mode_price);
	}


// ------------------------------ Type Payment ----------------------------- //
	function get_mode_payment()
	{
		if	(!$this->CI->session->userdata('kaca_mode_payment'))
			{ $this->set_mode_payment($this->CI->lang->line('common_cash'));}

	return $this->CI->session->userdata('kaca_mode_payment');
	}

	function set_mode_payment($type_payment)
	{
		$this->CI->session->set_userdata('kaca_mode_payment',$type_payment);
	}


// ------------------------------ Printons ----------------------------- //
	function get_mode_print()
	{
		if(!$this->CI->session->userdata('kaca_mode_print'))
			$this->set_mode_print('prices');

		return $this->CI->session->userdata('kaca_mode_print');
	}

	function set_mode_print($mode_print)
	{
		$this->CI->session->set_userdata('kaca_mode_print',$mode_print);
	}





	// само за KACA
	function add_kaca_item( $item_number, $quantity, $price, $item_discount)
	{
		$mode = $this->get_mode();
		$item_id = $this->CI->Item->get_item_id_invoice($item_number);
		if(!$item_id) {return false;}

		//Get all items in the cart so far...
		$items = $this->get_cart();

        	$maxkey=0;                  	// Highest key so far
        	$itemalreadyinsale=FALSE;     // We did not find the item yet.
		$insertkey=0;                    // Key to use for new entry.
		$updatekey=0;                    // Key to use to update(quantity)

		foreach ($items as $item)
		{
			if($maxkey <= $item['line'])
				{ $maxkey = $item['line'];}

			if($item['item_id']==$item_id)
				{ $itemalreadyinsale=TRUE;
				  $updatekey=$item['line'];
				}
		}

		$insertkey=$maxkey+1;

		$item_price = $price!=null ? $price: $this->CI->Item->get_info_invoice($item_id)->unit_price;
		if ($mode == 'invoice_ki') { $item_price = -abs($item_price);}
		if ($mode == 'invoice_di') { $item_price = abs($item_price);}

		//array/cart records are identified by $insertkey and item_id is just another field.
		$item = array(($insertkey)=>
			array(
				'item_id'=>$item_id,
				'line'=>$insertkey,
				'name'=>$this->CI->Item->get_info_invoice($item_id)->name,
				'item_number'=>$this->CI->Item->get_info_invoice($item_id)->item_number,

				'quantity'=>$quantity,
				'item_discount'=>$item_discount,
				'allow_sizes'=>0,
				'price'=>$item_price )
					);

		//Item already exists
		if($itemalreadyinsale)
			{ $items[$updatekey]['quantity']+=$quantity;} // добавя безразмерни кол-ва.
		else //add to existing array
			{ $items+=$item; }

		$this->set_cart($items);

	return true;
	}

	
	function delete_item($line)
	{
		$items=$this->get_cart();
		unset($items[$line]);
		$this->set_cart($items);
	}

	function empty_cart()
	{
		$this->CI->session->unset_userdata('kaca_cart');
	}


	function clear_mode_price()
	{
		$this->CI->session->unset_userdata('kaca_mode_price');
	}

	function clear_mode_print()
	{
		$this->CI->session->unset_userdata('kaca_mode_print');
	}

	function clear_mode()
	{
		$this->CI->session->unset_userdata('kaca_mode');
	}

	function clear_all()
	{
	//	$this->clear_mode();
		$this->clear_dateKey();
		$this->empty_cart();
		$this->clear_comment();
		$this->clear_email_receipt();
		$this->empty_payments();
		$this->clear_mode_price();
		$this->clear_mode_print();
		$this->remove_customer();
		$this->remove_consignee();
		$this->remove_supplier();
		$this->clear_client_mode();
		$this->clear_period();		
	}

	function get_customer_discount()
	{
		$customer_id = $this->get_customer();
		$customer_discount = $this->CI->Customer->get_info($customer_id)->discount;
		if ($customer_discount == '') { return 0;}

	return $customer_discount;
	}

	function get_supplier_discount()
	{
		$supplier_id = $this->get_supplier();
		$supplier_discount = $this->CI->Supplier->get_info($supplier_id)->discount;
		if ($supplier_discount == '') { return 0;}

	return $supplier_discount;
	}


/* --------------------------------- PRIHOD --------------------------------- */
	function get_prihod_range($label)
	{
		if(!$label)
		{
			$type_docs = array(
					'prihod_cash'		=> $this->CI->lang->line('kaca_prihod_cash'),
					'prihod_invoice' 	=> $this->CI->lang->line('kaca_prihod_invoice'),
					'prihod_nalojen' 	=> $this->CI->lang->line('kaca_prihod_nalojen'),
					'prihod'				=> $this->CI->lang->line('kaca_prihod_all'),
					'prihod_macka_zags' => $this->CI->lang->line('kaca_prihod_macka_zags'),
					'prihod_feno_expedition' => $this->CI->lang->line('kaca_prihod_feno_expedition'),
					'prihod_memo' 		=> $this->CI->lang->line('kaca_by_memo') );
		}
		elseif($label=='consi')
		{
			$type_docs = array(
					'prihod_shop'		=> $this->CI->lang->line('kaca_prihod_shop'),
					'prihod_nalojen' 	=> $this->CI->lang->line('kaca_prihod_nalojen'),
					'prihod_courier' 	=> $this->CI->lang->line('kaca_prihod_courier'),
					'prihod_duePyco' 	=> $this->CI->lang->line('kaca_prihod_duePyco'),
					'prihod_pyco' 		=> $this->CI->lang->line('kaca_prihod_pyco'),
					'prihod'				=> $this->CI->lang->line('kaca_prihod_all'),
					'prihod_memo' 		=> $this->CI->lang->line('kaca_by_memo') );
		}
		elseif($label=='suppl')
		{
			$type_docs = array(
					'prihod_cash'		=> $this->CI->lang->line('kaca_prihod_cash'),
					'prihod_invoice' 	=> $this->CI->lang->line('kaca_prihod_invoice'),
					'prihod_courier' 	=> $this->CI->lang->line('kaca_prihod_courier'),
					'prihod'				=> $this->CI->lang->line('kaca_prihod_all'),
					'prihod_macka_zags' => $this->CI->lang->line('kaca_prihod_macka_zags'),
					'prihod_feno_expedition' => $this->CI->lang->line('kaca_prihod_feno_expedition'),
					'prihod_memo' 		=> $this->CI->lang->line('kaca_by_memo') );
		}
		else
		{
			$type_docs = array(
					'prihod_cash'		=> $this->CI->lang->line('kaca_prihod_cash'),
					'prihod'				=> $this->CI->lang->line('kaca_prihod_all'),
					'prihod_memo' 		=> $this->CI->lang->line('kaca_by_memo') );
		}
		
	return $type_docs;
	}

/* --------------------------------- RAZHOD --------------------------------- */
	function get_razhod_range($label)
	{
		$type_docs = array(
				'razhod_due' 		=> $this->CI->lang->line('kaca_razhod_due'),
				'razhod' 			=> $this->CI->lang->line('kaca_razhod_all'),
				'razhod_mat' 		=> $this->CI->lang->line('kaca_razhod_mat'),
				'razhod_matadd' 	=> $this->CI->lang->line('kaca_razhod_matadd'),
				'razhod_matwork' 	=> $this->CI->lang->line('kaca_razhod_matwork'),
				'razhod_matpack' 	=> $this->CI->lang->line('kaca_razhod_mat_pack'),
				'razhod_matship' 	=> $this->CI->lang->line('kaca_razhod_mat_ship'),
				'razhod_matax' 	=> $this->CI->lang->line('kaca_razhod_mat_tax'),
				'razhod_goods' 	=> $this->CI->lang->line('kaca_razhod_goods'),
				'razhod_goodship' => $this->CI->lang->line('kaca_razhod_goods_ship'),
				'razhod_goodstax' => $this->CI->lang->line('kaca_razhod_goods_tax'),
				'razhod_packs'		=> $this->CI->lang->line('kaca_razhod_packs'),
				'razhod_office'	=> $this->CI->lang->line('kaca_razhod_office'),
				'razhod_gsm' 		=> $this->CI->lang->line('kaca_razhod_gsm'),
				'razhod_fuel' 		=> $this->CI->lang->line('kaca_razhod_fuel'),
				'razhod_ship' 		=> $this->CI->lang->line('kaca_razhod_ship'),
				'razhod_account' 	=> $this->CI->lang->line('kaca_razhod_account'),
				'razhod_taxes' 	=> $this->CI->lang->line('kaca_razhod_taxes'),
				'razhod_credit' 	=> $this->CI->lang->line('kaca_razhod_credit'),
				'razhod_banktax' 	=> $this->CI->lang->line('kaca_razhod_banktax'),
				'razhod_court' 	=> $this->CI->lang->line('kaca_razhod_court'),
				'razhod_customs' 	=> $this->CI->lang->line('kaca_razhod_customs'),
				'razhod_insurance'=> $this->CI->lang->line('kaca_razhod_insurance'),
				'razhod_machine'  => $this->CI->lang->line('kaca_razhod_machine'),
				'razhod_service' 	=> $this->CI->lang->line('kaca_razhod_service'),
                  'discount'	=> $this->CI->lang->line('kaca_razhod_discount'),
				'razhod_favour' 	=> $this->CI->lang->line('kaca_razhod_favour'),
				'razhod_tok' 		=> $this->CI->lang->line('kaca_razhod_tok'),
				'razhod_build'		=> $this->CI->lang->line('kaca_razhod_build'),
				'razhod_naem' 		=> $this->CI->lang->line('kaca_razhod_naem'),
				'razhod_salary' 	=> $this->CI->lang->line('kaca_razhod_salary'),
				'razhod_pyco' 		=> $this->CI->lang->line('kaca_razhod_pyco'),
				'razhod_work' 		=> $this->CI->lang->line('kaca_razhod_work'),
				'razhod_market' 	=> $this->CI->lang->line('kaca_razhod_market'),
				'razhod_trips' 	=> $this->CI->lang->line('kaca_razhod_trips'),
				'razhod_present' 	=> $this->CI->lang->line('kaca_razhod_present'),
				'razhod_promo' 	=> $this->CI->lang->line('kaca_razhod_promo'),
				'razhod_notpaid' 	=> $this->CI->lang->line('kaca_razhod_notpaid'),
				'razhod_memo' 		=> $this->CI->lang->line('kaca_by_memo'),
				
				'-1'=> '--------------------  МАСКИ  --------------------',

				'razhod_macka_zags'			=> $this->CI->lang->line('kaca_razhod_macka_zags'),
				'razhod_macka_materials'	=> $this->CI->lang->line('kaca_razhod_macka_materials'),
				'razhod_macka_labour'		=> $this->CI->lang->line('kaca_razhod_macka_labour'),
				'razhod_macka_work'			=> $this->CI->lang->line('kaca_razhod_macka_work'),
				'razhod_macka_favours'		=> $this->CI->lang->line('kaca_razhod_macka_favours'),
				'razhod_macka_tok_buk'		=> $this->CI->lang->line('kaca_razhod_macka_tok_buk'),
				'razhod_macka_transport'	=> $this->CI->lang->line('kaca_razhod_macka_transport'),
				'razhod_macka_machines'		=> $this->CI->lang->line('kaca_razhod_macka_machines'),
				'razhod_macka_stores'		=> $this->CI->lang->line('kaca_razhod_macka_stores'),
				
				'-2'=> '-------------------  FENOTAGS  --------------------',
				
				'razhod_feno_materials'	   => $this->CI->lang->line('kaca_razhod_feno_materials'),
				'razhod_feno_labour'		   => $this->CI->lang->line('kaca_razhod_feno_labour'),
				'razhod_feno_favours'		=> $this->CI->lang->line('kaca_razhod_feno_favours'),
				'razhod_feno_tok_buk'		=> $this->CI->lang->line('kaca_razhod_feno_tok_buk'),
				'razhod_feno_transport'	   => $this->CI->lang->line('kaca_razhod_feno_transport'),
				'razhod_feno_machines'		=> $this->CI->lang->line('kaca_razhod_feno_machines'),
				'razhod_feno_stores'		   => $this->CI->lang->line('kaca_razhod_feno_stores'),
				
				'-3'=> '--------------------  ЛЕПЕНКИ  --------------------',
				
				'razhod_sticker_labour'	   => $this->CI->lang->line('kaca_razhod_sticker_labour'),
				'razhod_sticker_materials' => $this->CI->lang->line('kaca_razhod_sticker_materials'),
				'razhod_sticker_favours'   => $this->CI->lang->line('kaca_razhod_sticker_favours'),
				'razhod_sticker_transport' => $this->CI->lang->line('kaca_razhod_sticker_transport'),
				'razhod_sticker_GP'        => $this->CI->lang->line('kaca_razhod_sticker_GP')

							);

	return $type_docs;
	}

	function get_kaca_operation($mode)
	{  
		$kaca_oper='';
		switch ($mode) 
			{
				case 'prihod': 			$kaca_oper = $this->CI->lang->line('kaca_prihod_all');  	  break;
				case 'prihod_invoice': 	$kaca_oper = $this->CI->lang->line('kaca_prihod_invoice'); break;
				case 'prihod_cash': 		$kaca_oper = $this->CI->lang->line('kaca_prihod_cash');	  break;
				case 'prihod_vat': 		$kaca_oper = $this->CI->lang->line('kaca_prihod_cash_vat');	break;
				case 'prihod_sale': 		$kaca_oper = $this->CI->lang->line('kaca_prihod_sale');	  break;
				case 'prihod_shop': 		$kaca_oper = $this->CI->lang->line('kaca_prihod_shop');	  break;
				case 'prihod_courier': 	$kaca_oper = $this->CI->lang->line('kaca_prihod_courier'); break;
				case 'prihod_duePyco': 	$kaca_oper = $this->CI->lang->line('kaca_prihod_duePyco'); break;
				case 'prihod_pyco': 		$kaca_oper = $this->CI->lang->line('kaca_prihod_pyco'); break;
				case 'prihod_notpaid':	$kaca_oper = $this->CI->lang->line('kaca_prihod_notpaid'); break;
				case 'prihod_memo': 		$kaca_oper = $this->CI->lang->line('kaca_by_memo');		  break;

				case 'razhod_due': 		$kaca_oper = $this->CI->lang->line('kaca_razhod_due');	  break;
				case 'razhod_mat': 		$kaca_oper = $this->CI->lang->line('kaca_razhod_mat');	  break;
				case 'razhod_matadd': 	$kaca_oper = $this->CI->lang->line('kaca_razhod_matadd');  break;
				case 'razhod_matwork': 	$kaca_oper = $this->CI->lang->line('kaca_razhod_matwork'); break;
				case 'razhod_matpack': 	$kaca_oper = $this->CI->lang->line('kaca_razhod_mat_pack');break;
				case 'razhod_matship': 	$kaca_oper = $this->CI->lang->line('kaca_razhod_mat_ship');break;
				case 'razhod_matax': 	$kaca_oper = $this->CI->lang->line('kaca_razhod_mat_tax'); break;
				case 'razhod_goods': 	$kaca_oper = $this->CI->lang->line('kaca_razhod_goods');   break;
				case 'razhod_goodship': $kaca_oper = $this->CI->lang->line('kaca_razhod_goods_ship'); break;
				case 'razhod_goodstax': $kaca_oper = $this->CI->lang->line('kaca_razhod_goods_tax');  break;
				case 'razhod_machine': 	$kaca_oper = $this->CI->lang->line('kaca_razhod_machine'); break;
				case 'razhod_service': 	$kaca_oper = $this->CI->lang->line('kaca_razhod_service'); break;
				case 'razhod_favour': 	$kaca_oper = $this->CI->lang->line('kaca_razhod_favour');  break;
				case 'razhod_packs': 	$kaca_oper = $this->CI->lang->line('kaca_razhod_packs');	  break;
				case 'razhod_office': 	$kaca_oper = $this->CI->lang->line('kaca_razhod_office');  break;
				case 'razhod_ship': 		$kaca_oper = $this->CI->lang->line('kaca_razhod_ship');    break;
				case 'razhod_customs': 	$kaca_oper = $this->CI->lang->line('kaca_razhod_customs'); break;
				case 'razhod_taxes': 	$kaca_oper = $this->CI->lang->line('kaca_razhod_taxes');	  break;
				case 'razhod_account': 	$kaca_oper = $this->CI->lang->line('kaca_razhod_account'); break;
				case 'razhod_insurance': $kaca_oper = $this->CI->lang->line('kaca_razhod_insurance'); break;
				case 'razhod_credit': 	$kaca_oper = $this->CI->lang->line('kaca_razhod_credit');  break;
				case 'razhod_banktax': 	$kaca_oper = $this->CI->lang->line('kaca_razhod_banktax'); break;
				case 'razhod_court': 	$kaca_oper = $this->CI->lang->line('kaca_razhod_court');   break;
				case 'razhod_tok': 		$kaca_oper = $this->CI->lang->line('kaca_razhod_tok');	  break;
				case 'razhod_build': 	$kaca_oper = $this->CI->lang->line('kaca_razhod_build');	  break;
				case 'razhod_naem': 		$kaca_oper = $this->CI->lang->line('kaca_razhod_naem');    break;
				case 'razhod_fuel': 		$kaca_oper = $this->CI->lang->line('kaca_razhod_fuel');	  break;
				case 'razhod_gsm': 		$kaca_oper = $this->CI->lang->line('kaca_razhod_gsm');	  break;
				case 'razhod_salary': 	$kaca_oper = $this->CI->lang->line('kaca_razhod_salary');  break;
				case 'razhod_pyco': 		$kaca_oper = $this->CI->lang->line('kaca_razhod_pyco');    break;
				case 'razhod_work': 		$kaca_oper = $this->CI->lang->line('kaca_razhod_work');	  break;
				case 'razhod_market': 	$kaca_oper = $this->CI->lang->line('kaca_razhod_market');  break;
				case 'razhod_promo': 	$kaca_oper = $this->CI->lang->line('kaca_razhod_promo');	  break;
				case 'razhod_trips': 	$kaca_oper = $this->CI->lang->line('kaca_razhod_trips');   break;
				case 'razhod_present': 	$kaca_oper = $this->CI->lang->line('kaca_razhod_present'); break;
				case 'razhod': 			$kaca_oper = $this->CI->lang->line('kaca_razhod_all');	  break;
				case 'razhod_notpaid': 	$kaca_oper = $this->CI->lang->line('kaca_razhod_notpaid'); break;
				case 'razhod_memo': 		$kaca_oper = $this->CI->lang->line('kaca_by_memo');		  break;

				case 'prihod_macka_zags': 		 $kaca_oper = $this->CI->lang->line('kaca_prihod_macka_zags'); 	  break;
				case 'razhod_macka_zags': 		 $kaca_oper = $this->CI->lang->line('kaca_razhod_macka_zags'); 	  break;
				case 'razhod_macka_materials': $kaca_oper = $this->CI->lang->line('kaca_razhod_macka_materials'); break;
				case 'razhod_macka_labour': 	 $kaca_oper = $this->CI->lang->line('kaca_razhod_macka_labour');	  break;
				case 'razhod_macka_work': 	 	 $kaca_oper = $this->CI->lang->line('kaca_razhod_macka_work');	  	  break;
				case 'razhod_macka_favours': 	 $kaca_oper = $this->CI->lang->line('kaca_razhod_macka_favours');	  break;
				case 'razhod_macka_tok_buk': 	 $kaca_oper = $this->CI->lang->line('kaca_razhod_macka_tok_buk');	  break;
				case 'razhod_macka_transport': $kaca_oper = $this->CI->lang->line('kaca_razhod_macka_transport'); break;
				case 'razhod_macka_machines':  $kaca_oper = $this->CI->lang->line('kaca_razhod_macka_machines');  break;
				case 'razhod_macka_stores': 	 $kaca_oper = $this->CI->lang->line('kaca_razhod_macka_stores');	  break;
				
				case 'prihod_feno_expedition': $kaca_oper = $this->CI->lang->line('kaca_prihod_feno_expedition'); break;
				case 'razhod_feno_materials':  $kaca_oper = $this->CI->lang->line('kaca_razhod_feno_materials');  break;
				case 'razhod_feno_labour': 	 $kaca_oper = $this->CI->lang->line('kaca_razhod_feno_labour');	  break;
				case 'razhod_feno_favours': 	 $kaca_oper = $this->CI->lang->line('kaca_razhod_feno_favours');	  break;
				case 'razhod_feno_tok_buk': 	 $kaca_oper = $this->CI->lang->line('kaca_razhod_feno_tok_buk');	  break;
				case 'razhod_feno_transport':  $kaca_oper = $this->CI->lang->line('kaca_razhod_feno_transport');  break;
				case 'razhod_feno_machines':   $kaca_oper = $this->CI->lang->line('kaca_razhod_feno_machines');   break;
				case 'razhod_feno_stores': 	 $kaca_oper = $this->CI->lang->line('kaca_razhod_feno_stores');	  break;
				
				case 'razhod_sticker_labour':     $kaca_oper = $this->CI->lang->line('kaca_razhod_sticker_labour');    break;
				case 'razhod_sticker_materials':  $kaca_oper = $this->CI->lang->line('kaca_razhod_sticker_materials'); break;
				case 'razhod_sticker_favours':    $kaca_oper = $this->CI->lang->line('kaca_razhod_sticker_favours');   break;
				case 'razhod_sticker_transport':  $kaca_oper = $this->CI->lang->line('kaca_razhod_sticker_transport'); break;
				case 'razhod_sticker_GP':         $kaca_oper = $this->CI->lang->line('kaca_razhod_sticker_GP');        break;

				case 'sale':		 		$kaca_oper = $this->CI->lang->line('kaca_prihod_sale');	  break;
				case 'sale_return':		$kaca_oper = $this->CI->lang->line('kaca_razhod_sale');    break;
				case 'shop_sale':	 		$kaca_oper = $this->CI->lang->line('kaca_prihod_shop');    break;
				case 'shop_return':		$kaca_oper = $this->CI->lang->line('kaca_razhod_shop');    break;
				case 'recv':		 		$kaca_oper = $this->CI->lang->line('kaca_razhod_items');   break;
				case 'recv_return': 		$kaca_oper = $this->CI->lang->line('kaca_razhod_items_return');break;
				case 'recv_mat':			$kaca_oper = $this->CI->lang->line('kaca_razhod_mat');	  break;
				case 'discount': 			$kaca_oper = $this->CI->lang->line('kaca_razhod_discount'); break;

				case 'invoice': 			$kaca_oper = $this->CI->lang->line('sales_receipt_invoice');    break;
				case 'invoice_ki': 		$kaca_oper = $this->CI->lang->line('sales_receipt_invoice_ki'); break;
				case 'invoice_di': 		$kaca_oper = $this->CI->lang->line('sales_receipt_invoice_di'); break;
				case 'invoice_pr': 		$kaca_oper = $this->CI->lang->line('sales_receipt_invoice_pr'); break;

			default: $kaca_oper = '';
			}

	return $kaca_oper;
	}

/* --------------------------------- TOTALS --------------------------------- */
	function get_taxes()
	{
		$customer_id = $this->get_customer();
		$customer = $this->CI->Customer->get_info($customer_id);

		//Do not charge sales tax if we have a customer that is not taxable
		if (!$customer->taxable and $customer_id!=-1)
		{
		   return array();
		}

		$taxes = array();
		foreach($this->get_cart() as $line=>$item)
		{
			$tax_info = $this->CI->Item_taxes->get_info($item['item_id']);

			foreach($tax_info as $tax)
			{
				$name = $tax['percent'].'% ' . $tax['name'];
				$tax_amount=round(($item['price']*$item['quantity']-$item['price']*$item['quantity']*$item['item_discount']/100)*(($tax['percent'])/100),4);

				if (!isset($taxes[$name]))
               { $taxes[$name]=0;}
				$taxes[$name] += $tax_amount;
			}
		}
	return $taxes;
	}


	function get_subtotal($mode)
	{
		$mode_price = $this->get_mode_price();
		$subtotal = 0;
		foreach($this->get_cart() as $item)
		{
			$item_price = $item['price'];
			$subtotal += $item['quantity'] * round( $item_price*(100-$item['item_discount'])/100, 4);
		}
		if ( $mode == 'razhod' ) //тук се вкарат само РАЗХОДА
			{ $subtotal = -abs($subtotal);}

	return $subtotal;
	}


	function get_tax_VAT( $mode, $taxed )
	{
		$subtotal = $this->get_subtotal();

		// добавяме ДДС-то ....
		$tax_VAT	= 0;

		if ( $mode == 'invoice' or $mode == 'invoice_ki' or $mode == 'invoice_di' or $mode == 'invoice_pr' or $mode == 'proforma')
			{ $tax_VAT = round( 20 * $subtotal / 100, 4);}

		if ( !isset($taxed) or $taxed == 0 ) { $tax_VAT	= 0;}

	return $tax_VAT;
	}


	function get_total($mode,$customer_discount,$taxed)
	{
		$subtotal = $this->get_subtotal();

		// вадим отстъпките -
		// $customer_discount = $this->get_customer_discount();
	if ($mode=='invoice' or $mode=='invoice_ki' or $mode=='invoice_di' or $mode=='invoice_pr' or $mode=='proforma') 
		  { $total = $subtotal;}	
	else { $total = round( $subtotal * ( 100 - $customer_discount ) / 100, 4);}

		// добавяме таксите +
		foreach($this->get_taxes() as $tax)
			{ $total += $tax;}

		// добавяме ДДС-то +
		$total += $this->get_tax_VAT($mode,$taxed);

	return $total;
	}


	function get_all_qty()
	{
		$all_qty = 0;
		foreach($this->get_cart() as $item)
			{ $all_qty += $item['quantity'];}
	return $all_qty;
	}

	
} ?>
