<?php
class Label_lib
{
	var $CI;

  	function __construct()
	{
		$this->CI =& get_instance();
	}



// -------------------------- modes ---------------------------------- //

	function get_mode($id_No='0')
	{
		if(!$this->CI->session->userdata('labels'))
		{
         if($id_No=='115867485') {$this->set_mode('label_villy');}
         else {$this->set_mode('label_7');} // STYLER и ХАННА
		}

	return $this->CI->session->userdata('labels');
	}

	function set_mode($mode)
	{ $this->CI->session->set_userdata('labels', $mode);}
	
	function clear_mode()
	{ $this->CI->session->unset_userdata('labels');}

// -------------------------- prices ---------------------------- //	
	function get_mode_price()
	{
		if(!$this->CI->session->userdata('label_price'))
			{ $this->set_mode_price('2'); }

	return $this->CI->session->userdata('label_price');
	}

	function set_mode_price($mode_price)
	{ $this->CI->session->set_userdata('label_price', $mode_price);}
	
	function clear_mode_price()
	{ $this->CI->session->unset_userdata('label_price');}
	
	
// -------------------------- saten ---------------------------- //		
	function get_saten_mode()
	{
		if(!$this->CI->session->userdata('saten_mode'))
			{	$this->set_saten_mode('0'); }

	return $this->CI->session->userdata('saten_mode');
	}

	function set_saten_mode($mode)
	{ $this->CI->session->set_userdata('saten_mode', $mode);}
	
	function clear_saten_mode()
	{ $this->CI->session->unset_userdata('saten_mode');}
	
	
	// Cart = worl
	function get_work()
	{
		if(!$this->CI->session->userdata('work'))
			$this->set_work(array());
	return $this->CI->session->userdata('work');
	}

	function set_work($work_data)
	{ $this->CI->session->set_userdata('work',$work_data);}

	function empty_work()
	{ $this->CI->session->unset_userdata('work');}


	function clear_all()
	{
		$this->clear_mode();
		$this->clear_mode_price();
		$this->clear_saten_mode();
		$this->empty_work();
	}

	

// валидира всички вкарвания от ПУСКАЧ на ЕТИКЕТИТЕ.
	function label_input($item)
	{
		if(!is_numeric($item))	
		  { 
			 $item = str_replace(array('.', ',', '=', ';', ':', '-', '+', '/', '|', '\\', '@', '%', '^', '#', '&', '!', '$', '*', '(', ')', '~'), '', $item);
		  }
		$length = strlen($item);
		$item_number = $type =0;
		  
		if(!is_numeric($item) or $length<5 or $length>6) {return 0;}

		if($length == 5)
		  { 
			 $item_number = (int) trim($item);
			 $type  = 1;
		  }
		elseif($length == 6)
		  { 
			 $item_number = (int) trim(substr($item,0,5));
			 $type  = (int) substr($item,-1);
		  }		  

	return $item_number;
	}
	
	
	function is_valid_item_number($barcode_item) 
	{

	   if (!is_numeric($barcode_item)) { return false; }

	   $lenBarcode = strlen($barcode_item);
	   if ($lenBarcode <  4 or $lenBarcode > 7 ) { return false; }
	
	return true;
	}


	function is_valid_barcode($barcode_item)
	{ //barCode validation
		$lenBarcode = strlen($barcode_item);
		if ($lenBarcode <  8) { return false; }
		if ($lenBarcode >  8 and $lenBarcode < 12) { return false; }
		if ($lenBarcode > 14) { return false; }
		if (is_numeric(!$barcode_item)) { return false; }
	return true;
	}


	function add_item_barcode($barcode_item,$quantity=1)
	{ //barCode #
	$lenBarcode = strlen($barcode_item);
	$item_number = 0;
	$barcode = substr($barcode_item,0,-1);

	$qty = array();
	    $qty[1] = 0; $qty[2] = 0; $qty[3] = 0; $qty[4] = 0; $qty[5] = 0;
	    $qty[6] = 0; $qty[7] = 0; $qty[8] = 0; $qty[9] = 0; $qty[0] = 0;

		// EAN-8 Code table - checks 5-7 digit item numbers
		if ($lenBarcode == 8 ) { $item_number = (int) $barcode;}

		// EAN-13 Code table
		if ($lenBarcode == 13 ) {
		// checks 380 = Bulgaria Code table
		   $barcode_380 = substr($barcode_item,0,3);
		   if ($barcode_380 == '380') { $item_number = (int) substr($barcode_item,-6,-1); }
		   else { // else 380
			// Normal 13 bit code
			$barcode = substr($barcode_item,1,-1);
			$item_number = (int) substr($barcode,0,-4);
			$size_qty = (int) substr($barcode,9,10);
			$sizeQty = 0;

			if ($size_qty > 0 and $size_qty < 10) { $qty[$size_qty] = $quantity;}
			elseif ($size_qty == 10) { $qty[0] = $quantity; }
			else { 
				// различните размерни групи .....
				if ($size_qty > 10 and $size_qty < 40 ) { $sizeQty = -1;}
				if ($size_qty > 39 and $size_qty < 60 ) { $sizeQty = 19;}
				if ($size_qty > 59 and $size_qty < 80 ) { $sizeQty = 29;}
				if ($size_qty > 79 and $size_qty < 100) { $sizeQty = 39;}

				if ($size_qty > 10 and $size_qty < 100) 
				   {$size_qty = floor($size_qty/2) - $sizeQty;}

				if ($size_qty > 9) { $qty[0] = $quantity; }
				elseif ($size_qty == 0) { }
				else { $qty[$size_qty] = $quantity; }
			     }
			} // end of else 380
		}

		// BiSOFT internal Code table 12 (-leading 0)
		if ($lenBarcode == 12 ) {
			$item_number = (int) substr($barcode,0,-4);
			$size_qty = (int) substr($barcode,9,10);
			$sizeQty = 0;

			if ($size_qty > 0 and $size_qty < 10) { $qty[$size_qty] = $quantity;}
			elseif ($size_qty == 10) { $qty[0] = $quantity; }
			else { 
				// различните размерни групи .....
				if ($size_qty > 10 and $size_qty < 40 ) { $sizeQty = -1;}
				if ($size_qty > 39 and $size_qty < 60 ) { $sizeQty = 19;}
				if ($size_qty > 59 and $size_qty < 80 ) { $sizeQty = 29;}
				if ($size_qty > 79 and $size_qty < 100) { $sizeQty = 39;}

				if ($size_qty > 10 and $size_qty < 100) 
				   {$size_qty = floor($size_qty/2) - $sizeQty;}

				if ($size_qty > 9) { $qty[0] = $quantity; }
				elseif ($size_qty == 0) { }
				else { $qty[$size_qty] = $quantity; }
			     }
		}

		$item_test_data = array(
				'quantity' 		=> $quantity,
					'qty_1'	   => $qty[1],
					'qty_2'	   => $qty[2],
					'qty_3'	   => $qty[3],
					'qty_4'	   => $qty[4],
					'qty_5'	   => $qty[5],
					'qty_6'	   => $qty[6],
					'qty_7'	   => $qty[7],
					'qty_8'	   => $qty[8],
					'qty_9'	   => $qty[9],
					'qty_max'	=> $qty[0] );

	// когато всичко е ОК !!!
	$this->add_item($item_number, $quantity,
		$qty[1], $qty[2], $qty[3], $qty[4], $qty[5],
		$qty[6], $qty[7], $qty[8], $qty[9], $qty[0]);

	return true;
	}
	
	
	function add_item( $item_number, $qty=0,
				$q1=0, $q2=0, $q3=0, $q4=0, $q5=0,
				$q6=0, $q7=0, $q8=0, $q9=0, $q10=0)
	{
		$location = 0;
		$mode = $this->get_mode();
		if(!$this->CI->Item->exists_in_items($item_number)) {return false;}

		$skl_info  = $this->CI->Item->get_sklad_info($item_number,0);
		$item_info = $this->CI->Item->get_all_info($item_number);
		$sizes	  = $this->CI->Item->get_sizes($item_number);
		  $item_id = $skl_info->item_id;
		  $allow_sizes = $item_info->allow_sizes;
		  
		  // категория = name
		  $cat_id = $this->CI->Item->get_cat_id($item_info->category);
        if($cat_id) {$name = $this->CI->Item->get_cat_name($cat_id);}
        else {$name = ' - НЯМА ИМЕ -';}
		  
		  // price
		  $price=$price_2=$skl_info->price_2;
		  $price_3=$skl_info->price_3;
		  if($price_3!=0 and $price_3<$price_2) 
          {$price=$price_3;}
	  
		$items = $this->get_work();
		$maxkey=$insertkey=$updatekey=0;
		$itemalreadyinsale=FALSE;

		foreach ($items as $item)
		{
			if($maxkey <= $item['line'])
			{ $maxkey=$item['line'];}

			if($item['id']==$item_id)
			{
				$itemalreadyinsale=TRUE;
				$updatekey=$item['line'];
			}
		}

		$insertkey=$maxkey+1;
		
		if($allow_sizes)
		{ $all_sizes = $qty.','.$q1.','.$q2.','.$q3.','.$q4.','.$q5.
							','.$q6.','.$q7.','.$q8.','.$q9.','.$q10;
		}
		else {$all_sizes = $qty;}

		//array/cart = work records are identified by $insertkey and item_id is just another field.
		$item = array(($insertkey)=>
						array(
						  'line'=>$insertkey,
						  'id'=>$item_id,
						  'name'=>$name,
						  'inum'=>$item_number,
						  'price'=>$price,
						  'size'=>$allow_sizes,
						  'contents'=>$item_info->item_contents,
						  'qty'=> $all_sizes )
								);

		//Item already exists
		if($itemalreadyinsale)
		{
			if($allow_sizes)
			{  // добавя размерни кол-ва.
			  $items[$updatekey]['q1'] += (int)$q1;
			  $items[$updatekey]['q2'] += (int)$q2;
			  $items[$updatekey]['q3'] += (int)$q3;
			  $items[$updatekey]['q4'] += (int)$q4;
			  $items[$updatekey]['q5'] += (int)$q5;
			  $items[$updatekey]['q6'] += (int)$q6;
			  $items[$updatekey]['q7'] += (int)$q7;
			  $items[$updatekey]['q8'] += (int)$q8;
			  $items[$updatekey]['q9'] += (int)$q9;
			  $items[$updatekey]['q10'] += (int)$q10;
			  $items[$updatekey]['qty'] += (int)$qty;
			}
			else { $items[$updatekey]['qty'] += (int)$qty; } // добавя безразмерни кол-ва.
		}
		else //add to existing array
		{ $items += $item; }
	
		$items += $item;

	return $this->set_work($items);
	}
	
	
	function edit_item( $line, $quantity, $allow_sizes, $contents, $q1,$q2,$q3,$q4,$q5,$q6,$q7,$q8,$q9,$q10)
	{
		$items = $this->get_work();
		if(isset($items[$line]))
		{
			if($allow_sizes)
			{ $items[$line]['qty'] = $quantity.','.$q1.','.$q2.','.$q3.','.$q4.','.$q5.
														  ','.$q6.','.$q7.','.$q8.','.$q9.','.$q10;
			}
			else
			{ $items[$line]['qty'] = $quantity;}

			$items[$line]['contents'] = $contents;

			$this->set_work($items);
		}
	return false;
	}
	
	
	function delete_item($line)
	{
		$items=$this->get_work();
		unset($items[$line]);
		$this->set_work($items);
	}
	
} ?>
