<?php class Production_lib
  {
	var $CI;
	
  	function __construct()
	{ $this->CI =& get_instance();}

	// Cart = Work
	function get_work()
	{
		if(!$this->CI->session->userdata('work'))
			$this->set_work(array());
	return $this->CI->session->userdata('work');
	}

	function set_work($work_data)
	{ $this->CI->session->set_userdata('work',$work_data);}

	function empty_work()
	{ $this->CI->session->unset_userdata('work');}
	
	
	// Comment
	function get_comment() 
	{ return $this->CI->session->userdata('comment');}

	function set_comment($comment) 
	{ $this->CI->session->set_userdata('comment', $comment);}

	function clear_comment() 	
	{ $this->CI->session->unset_userdata('comment');}


// -------------------------- MODES ---------------------------------- //
	function get_mode()
	{
	$location = $this->CI->Employee->get_logged_in_employee_info()->location;
	$default_mode = 'manu_db';

		if(!$this->CI->session->userdata('manu_mode'))
			{	
				$this->set_mode($default_mode);
				$this->remove_employee();
			}
	return $this->CI->session->userdata('manu_mode');
	}

	function set_mode($mode)
	{ $this->CI->session->set_userdata('manu_mode',$mode);}
	
	function clear_mode()
	{ $this->CI->session->unset_userdata('manu_mode');}
	
	
	
	function get_select_mode()
	{ 
      if(!$this->CI->session->userdata('manu_select_mode'))
			{$this->set_select_mode('0');}
	return $this->CI->session->userdata('manu_select_mode');
	}

	function set_select_mode($mode)
	{ $this->CI->session->set_userdata('manu_select_mode',$mode);}	

	
	function clear_all_modes()
	{ $this->CI->session->unset_userdata('manu_mode');$this->CI->session->unset_userdata('manu_select_mode');}
	
	
// -------------------------- PATTERN MODE ---------------------------------- //
	function get_patt_mode()
	{
		if(!$this->CI->session->userdata('patt_mode'))
			{	$this->set_patt_mode(0);}
	return $this->CI->session->userdata('patt_mode');
	}

	function set_patt_mode($mode)
	{ $this->CI->session->set_userdata('patt_mode',$mode);}

	function clear_patt_mode()
	{ $this->CI->session->unset_userdata('patt_mode');}
	
	
	function get_patt_cat()
	{
		if(!$this->CI->session->userdata('patt_cat'))
			{	$this->set_patt_cat('all');}
	return $this->CI->session->userdata('patt_cat');
	}

	function set_patt_cat($cat)
	{ $this->CI->session->set_userdata('patt_cat',$cat);}

	function clear_patt_cat()
	{ $this->CI->session->unset_userdata('patt_cat');}
	
	
	function get_patt_period()
	{
		if(!$this->CI->session->userdata('patt_period'))
			{	$this->set_patt_period('T'.date('ym'));}
	return $this->CI->session->userdata('patt_period');
	}

	function set_patt_period($period)
	{ $this->CI->session->set_userdata('patt_period',$period);}

	function clear_patt_period()
	{ $this->CI->session->unset_userdata('patt_period');}
	
	
	// Periods for dbmanu // 
	function get_kr_period()
	{
		if(!$this->CI->session->userdata('kr_period'))
			{	$this->set_kr_period('0');}
	return $this->CI->session->userdata('kr_period');
	}

	function set_kr_period($period)
	{ $this->CI->session->set_userdata('kr_period',$period);}

	function clear_kr_period()
	{ $this->CI->session->unset_userdata('kr_period');}
	

	// from period
	function get_from_period()
	{
		if(!$this->CI->session->userdata('from_period'))
			{	$this->set_from_period(date('m'));}
	return $this->CI->session->userdata('from_period');
	}

	function set_from_period($period)
	{ $this->CI->session->set_userdata('from_period',$period);}

	// to period
	function get_to_period()
	{
		if(!$this->CI->session->userdata('to_period'))
			{	$this->set_to_period(date('m'));}
	return $this->CI->session->userdata('to_period');
	}

	function set_to_period($period)
	{ $this->CI->session->set_userdata('to_period',$period);}
	
	
	function clear_all_periods()
	{ $this->CI->session->unset_userdata('from_period');$this->CI->session->unset_userdata('to_period');}
	
	
	function get_otkk_period()
	{
		if(!$this->CI->session->userdata('otkk_period'))
			{	$this->set_otkk_period('0');}
	return $this->CI->session->userdata('otkk_period');
	}

	function set_otkk_period($period)
	{ $this->CI->session->set_userdata('otkk_period',$period);}

	function clear_otkk_period()
	{ $this->CI->session->unset_userdata('otkk_period');}


	// --------------------------- DATE KEY------------------------------ //
	function get_dateKey() 
	{ if(!$this->CI->session->userdata('date_key'))
		 { return false;}
	return true;
	}

	function set_dateKey() 
	{ $this->CI->session->set_userdata('date_key', 1);}

	function clear_dateKey() 	
	{ $this->CI->session->unset_userdata('date_key');}



	// -------------------------- EMPLOYEE ---------------------- //
	function get_employee()
	{	if(!$this->CI->session->userdata('employee'))
			$this->set_employee(-1);
	return $this->CI->session->userdata('employee');
	}

	function set_employee($bisoft_id)
	{ $this->CI->session->set_userdata('employee',$bisoft_id);}

	function remove_employee()
	{ $this->CI->session->unset_userdata('employee');}



	// -------------------------- WorkTime ---------------------- //
	function get_worktime()
	{
		if(!$this->CI->session->userdata('worktime'))
			$this->set_worktime(8);
	return $this->CI->session->userdata('worktime');
	}

	function set_worktime($worktime)
	{ $this->CI->session->set_userdata('worktime',$worktime);}

	function remove_worktime()
	{ $this->CI->session->unset_userdata('worktime');}


	// -------------------------- DNV TABLE ---------------------- //
	function get_dnvTable()
	{
		if(!$this->CI->session->userdata('dnvTable'))
			$this->set_dnvTable(0);
	return $this->CI->session->userdata('dnvTable');
	}

	function set_dnvTable($table)
	{ $this->CI->session->set_userdata('dnvTable',$table);}

	function remove_dnvTable()
	{ $this->CI->session->unset_userdata('dnvTable');}
	
	
// ------------------------------ Printons ----------------------------- //

	function get_mode_print()
	{	if(!$this->CI->session->userdata('manu_prn'))
			$this->set_mode_print('sizes');

		return $this->CI->session->userdata('manu_prn');
	}

	function set_mode_print($mode_print)
	{ $this->CI->session->set_userdata('manu_prn',$mode_print);}
	
	function remove_print_mode()
	{ $this->CI->session->unset_userdata('manu_prn');}
	
// ------------------------------ items ----------------------------- //

	function get_mode_item()
	{	if(!$this->CI->session->userdata('manu_item'))
			$this->set_mode_item(0);
		return $this->CI->session->userdata('manu_item');
	}

	function set_mode_item($item)
	{ $this->CI->session->set_userdata('manu_item',$item);}	
	
	function get_mode_item_type()
	{	if(!$this->CI->session->userdata('manu_itype'))
			{$this->set_mode_item_type(0);}
		return $this->CI->session->userdata('manu_itype');
	}

	function set_mode_item_type($type)
	{ $this->CI->session->set_userdata('manu_itype',$type);}
	
	function remove_item_type()
	{ $this->CI->session->unset_userdata('manu_item');
	  $this->CI->session->unset_userdata('manu_itype');}
	
// ------------------------------ orders ----------------------------- //
	function get_mode_orders()
	{	if(!$this->CI->session->userdata('manu_orders'))
			{$this->set_mode_orders('all');}
		return $this->CI->session->userdata('manu_orders');
	}
	
	function set_mode_orders($type)
	{ $this->CI->session->set_userdata('manu_orders',$type);}	

	function remove_mode_orders()
	{ $this->CI->session->unset_userdata('manu_orders');}
	
// ------------------------------ Calc PM ----------------------------- //
	function get_calc_PM()
	{	if(!$this->CI->session->userdata('manu_calc_PM'))
			{ $this->set_calc_PM('0'); }
		return $this->CI->session->userdata('manu_calc_PM');
	}
	
	function set_calc_PM($type)
	{ $this->CI->session->set_userdata('manu_calc_PM',$type);}	

	function remove_calc_PM()
	{ $this->CI->session->unset_userdata('manu_calc_PM');}


	function clear_all()
	{
		$this->clear_all_modes();
		$this->clear_dateKey();
		$this->clear_patt_mode();
		$this->clear_patt_cat();
		$this->clear_patt_period();
		$this->clear_kr_period();
		$this->clear_all_periods();
		$this->empty_work();
		$this->clear_comment();
		$this->remove_employee();
		$this->remove_dnvTable();
		$this->remove_worktime();
		$this->remove_print_mode();
		$this->remove_item_type();
		$this->remove_mode_orders();
		$this->remove_calc_PM();
	}
	
	

/* ------------------------------------ DNEVEN DATA  ----------------------------------- */
   function get_dneven_data(&$data,$calcKey=0)
	{	
      require_once(APPPATH."plugins/production/production_lib_get_dneven_data.php");	
      return $data;
	 }

	// валидира всички вкарвания в Дн.Отчет 
	function dneven_input($bmk)
	{
      if(!is_numeric($bmk))	
		  { $bmk = str_replace(array('.', '=', '-' ), '', $bmk);}
		$length = strlen($bmk);

		if(!is_numeric($bmk) or $length>17 or $length<4) {return 0;}
		
		$bmk_data  = array();
      $tech_code = $tech_add = $qty = $bkk_key = 0;

		if($length == 4) // когато се вкарва кратка Манипулация
		  { 
			 $tech_code = trim($bmk);
			 $tech_add  = 1;
			 $qty = 1;
		  }
		elseif($length == 5) // когато се вкарва само Манипулация
		  { 
			 $tech_code = trim(substr($bmk,0,4));
			 $tech_add  = (int) substr($bmk,-1);
			 $qty = 1;
		  }
		elseif($length == 7) // когато се вкарва Манипулация от Ведомостта
		  { 
			 $tech_code = trim(substr($bmk,0,4));
			 $tech_add  = (int) substr($bmk,4,1);
			 $qty = (int) substr($bmk,-2);
		  }
		elseif($length == 8) // когато се вкарва Манипулация от Barcode четец
		  { 
			 $tech_code = trim(substr($bmk,0,4));
			 $tech_add  = (int) substr($bmk,4,1);
			 $qty = (int) substr($bmk,5,2);
		  }
		elseif($length == 11) // БМК когато се вкарва 11р. код ръчно
		  { 
			 $bmk = str_pad($bmk,11,"0",STR_PAD_LEFT);		  
			 $bmk = trim(substr($bmk,0,11));
		  }
		elseif($length == 12) // БМК когато се вкарва 12р. + код/Ч
		  { 
			 $bmk = str_pad($bmk,11,"0",STR_PAD_LEFT);		  
			 $bmk = trim(substr($bmk,0,11));
		  }  
		elseif($length == 13) // БМК от ZEBEX -> EAN-13
		  { 
		  	 // когато е БКК ?! НОВО !!!
          if(substr($bmk,0,1)=='9')
            { $bkk_key = 1; $bmk = substr($bmk,-12);} // значи е БКК
          else
            { $bmk = substr($bmk,1,11);}
		  }
      elseif($length == 14) // когато е БМК и има Кол-во
		  {
            $qty = (int) substr($bmk,-3);
		  }
		elseif($length == 15) // когато е BMK и има Кол-во
		  { 
			 $bmk = substr($bmk,1,11);
			 $qty = (int) substr($bmk,-3);
		  }
		elseif($length == 16) // когато е BKK и има Кол-во
		  { 
		  	 // когато е БКК ?! НОВО !!!
          if(substr($bmk,0,1)=='_')
            {  
               $bkk_key = 1;
               $bmk = substr($bmk,1,11);
               $qty = (int) substr($bmk,-3);
            }
		  }
		else { return 0;}  
		  
		if(!$tech_code and !$bkk_key)
		  {
			 $item_number = (int) substr($bmk,0,5);
			 $type = (int) substr($bmk,5,1);
			 $mk = (int) substr($bmk,6,2);
			 $pm = (int) substr($bmk,8,2);
			 $pm_s = (int) substr($bmk,10,1);
		  }
		elseif($tech_code and !$bkk_key) // има код Техно БД и не е BKK
		  {
			 $item_number = $type = $mk = $pm = $pm_s = 0;
		  }
      elseif($bkk_key and !$tech_code) // е BKK
        {
          $type = $pm_s = 0;
          $item_number = (int) substr($bmk,0,5);
          $mk = (int) substr($bmk,5,3);
          $pm = (int) substr($bmk,8,3);
        }
		else
		  { $item_number = $type = $mk = $pm = $pm_s = 0;}
		  
		$bmk_data = array(
			 'item_number' => $item_number,
					  'type' => $type,
						 'mk' => $mk,
						 'pm' => $pm,
					  'pm_s' => $pm_s,
				 'tech_key' => $tech_code,
				 'tech_add' => $tech_add,
				  'bkk_key' => $bkk_key,
					   'qty' => $qty );

   return $bmk_data;   
	}
	

	// валидира кроячно в Дн.Отчет 
	function dneven_input_bkk($bkk)
	{
		if(!is_numeric($bkk)) { $bkk = str_replace(array('.', '=', '-', '_'), '', $bkk);}
		$length = strlen($bkk);
		  
		if(!is_numeric($bkk) or $length>16 or $length<13) {return 0;}
		
		$tech_code = $tech_add = $qty = $type = $pm_s = 0;
		$bkk_key = 1;

         $item_number = (int) substr($bkk,0,5);
         $mk = (int) substr($bkk,5,3);
         $pm = (int) substr($bkk,8,3);
         $qty = (int) substr($bkk,-3);
		
		$bkks = array(
			 'item_number' => $item_number,
					  'type' => $type,
						 'mk' => $mk,
						 'pm' => $pm,
					  'pm_s' => $pm_s,
				 'tech_key' => $tech_code,
				 'tech_add' => $tech_add,
				  'bkk_key' => $bkk_key,
					   'qty' => $qty );
	return $bkks;
	}
	

	// преизчислява БМК от Дневен Отчет НЕ РАБОТИ има COMPRESSED долу ?!?!?!? ----------------- //
	function dneven_bmk_recalc_ORG($bisoft_id=0,$vedom=0,$repKey=0)
	{
      require_once(APPPATH."plugins/production/production_lib_dneven_bmk_recalc_ORG.php");
      return $result;
	}

	
	function dneven_bmk_recalc($bisoft_id=0,$vedom=0,$repKey=0)
	{
      require_once(APPPATH."plugins/production/production_lib_dneven_bmk_recalc.php");
      return $result;
   }
	
	function add_any_bmk( $inum, $qty=0, $type=1, $mk=1,
				$q1=0, $q2=0, $q3=0, $q4=0, $q5=0, $q6=0, $q7=0, $q8=0, $q9=0, $q10=0)
	{
		$success = 1;
      require_once(APPPATH."plugins/production/production_lib_add_any_bmk.php");
		return $success;
	}	
	
/* ------------------------------------ END DNEVEN DATA  ----------------------------------- */
	
	function add_item( $item_number, $qty=0, $type=1, $mk=1,
				$q1=0, $q2=0, $q3=0, $q4=0, $q5=0, $q6=0, $q7=0, $q8=0, $q9=0, $q10=0)
	{
		$success = 1;
      require_once(APPPATH."plugins/production/production_lib_add_item.php");
	// return $this->set_work($items);
		return $success;
	}

	
	function out_of_stock($item_id)
	{
		if(!$item_id) { return false; }

		$item = $this->CI->Item->get_sklad_idx($item_id);
		$quanity_added = $this->get_quantity_already_added($item_id);
		
		if ($item->quantity + $quanity_added < 0) { return true;	}
		
	return false;
	}
	

	function get_quantity_already_added($item_id)
	{
		$items = $this->get_work();
		$quanity_already_added = 0;
		foreach ($items as $item)
		{
			if	( $item['id']==$item_id ) { $quanity_already_added+=$item['qty'];}
		}
	return $quanity_already_added;
	}	


	function get_item_id($line_to_get)
	{
		$items = $this->get_work();
		foreach ($items as $line=>$item)
		{
			if ( $line == $line_to_get ) { return $item['id'];}
		}
	return -1;
	}


	function edit_item( $line, $quantity, $allow_sizes,
			$q1,$q2,$q3,$q4,$q5,$q6,$q7,$q8,$q9,$q10,$comment='')
	{
		$items = $this->get_work();
		if(isset($items[$line]))
		{
		//	if(!$item_name=='') { $items[$line]['name'] = $item_name;}

			if($allow_sizes)
            { $items[$line]['qty'] = $quantity.','.$q1.','.$q2.','.$q3.','.$q4.','.$q5.
                                             ','.$q6.','.$q7.','.$q8.','.$q9.','.$q10;
            }
			else { $items[$line]['qty'] = $quantity;}
			
			$items[$line]['comment'] = $comment;

		$this->set_work($items);
		}
	return false;
	}


// ------------------------------- BarCodes  ------------------------------------- //
   // валидира всички вкарвания от ПУСКАЧ 
	function puskach_input($item)
	{
		if(!is_numeric($item))	
		  { 
			 $item = str_replace(array('.', ',', '=', ';', ':', '-', '+', '/', '|', '\\', '@', '%', '^', '#', '&', '!', '$', '*', '(', ')', '~'), '', $item);
		  }
		$length = strlen($item);
		$item_number = $type =0;
		  
		if(!is_numeric($item) or $length<5 or $length>6) {return 0;}

		if($length == 5)
		  { 
			 $item_number = (int) trim($item);
			 $type  = 1;
		  }
		elseif($length == 6)
		  { 
			 $item_number = (int) trim(substr($item,0,5));
			 $type  = (int) substr($item,-1);
		  }		  

		$items = array('item_number' => $item_number,
                     'type' => $type );
	return $items;
	}

   // валидира всички вкарвания от СКЛАД-ГП
	function skladgp_input($item)
	{
		if(!is_numeric($item))	
		  { 
			 $item = str_replace(array('.', ',', '=', ';', ':', '-', '+', '/', '|', '\\', '@', '%', '^', '#', '&', '!', '$', '*', '(', ')', '~'), '', $item);
		  }
		$length = strlen($item);
		$item_number = $type = $mk = $bmk_id = $pm = 0;
		  
		if(!is_numeric($item) or $length<7 or $length>13) {return 0;}

		if($length == 7)
		  { 
			 $item_number = (int) substr($item,0,4);
			 $type = substr($item,4,1);			 
			 $mk  = (int) substr($item,-2);
		  }
		elseif($length == 8)
		  { 
			 $item_number = (int) substr($item,0,5);
			 $type = substr($item,5,1);
			 $mk  = (int) substr($item,-2);
		  }
		elseif($length == 13)
		  { 
			 $item_number = (int) substr($item,0,6);
			 $type = substr($item,6,1);
			 $mk  = (int) substr($item,7,2);
			 $pm  = (int) substr($item,9,3);
		  }

		if($item_number!=0 and $type!=0 and $mk!=0)
		  { $bmk_id = $this->CI->Production->get_bmk_id($item_number,$type,$mk);
			 if($bmk_id > 1000) {}
			 else {$bmk_id=0;}
		  }
		  
		$bmk_data = array(
			 'item_number' => $item_number,
					  'type' => $type,
						 'mk' => $mk,
						 'pm' => $pm,
					'bmk_id' => $bmk_id );  

	return $bmk_data;
	}
	
	
   // валидира всички приключвания на БКК
	function finish_bkk_input($item)
	{
		if(!is_numeric($item))	
		  { 
			 $item = str_replace(array('.', ',', '=', ';', ':', '-', '+', '/', '|', '\\', '@', '%', '^', '#', '&', '!', '$', '*', '(', ')', '~'), '', $item);
		  }
		$length = strlen($item);
		$item_number = $mk = $bkk_id = $pm = 0;
		  
		if(!is_numeric($item) or $length<7 or $length>13) {return 0;}

		if($length == 7)
		  { 
			 $item_number = (int) substr($item,0,4);			 
			 $mk  = (int) substr($item,-3);
		  }
		elseif($length == 8)
		  { 
			 $item_number = (int) substr($item,0,5);
			 $mk  = (int) substr($item,-3);
		  }
		elseif($length == 12)
		  { 
			 $item_number = (int) substr($item,0,5);
			 $mk  = (int) substr($item,5,3);
			 $pm  = (int) substr($item,8,3);
		  }
		elseif($length == 13)
		  { 
			 $item_number = (int) substr($item,0,6);
			 $mk  = (int) substr($item,6,3);
			 $pm  = (int) substr($item,9,3);
		  }

		if($item_number!=0 and $mk!=0)
		  { $bkk_id = $this->CI->Production->get_bkk_id($item_number,$mk);
			 if($bkk_id > 1000) {}
			 else {$bkk_id=0;}
		  }
		  
		$bkk_data = array(
			 'item_number' => $item_number,
						 'mk' => $mk,
						 'pm' => $pm,
					'bkk_id' => $bkk_id );  

	return $bkk_data;
	}	
	
	
	function is_valid_item_number($barcode_item) 
	{
	   if (!is_numeric($barcode_item)) { return false; }
	   $lenBarcode = strlen($barcode_item);
	   if ($lenBarcode <  4 or $lenBarcode > 7 ) { return false; }
	
	return true;
	}


	function is_valid_barcode($barcode_item)
	{ //barCode validation
		$lenBarcode = strlen($barcode_item);
		if ($lenBarcode <  8) { return false; }
		if ($lenBarcode >  8 and $lenBarcode < 12) { return false; }
		if ($lenBarcode > 14) { return false; }
		if (is_numeric(!$barcode_item)) { return false; }
	return true;
	}


	function add_item_barcode($barcode_item,$quantity=1,$type=1,$mk=1)
	{ 
      require_once(APPPATH."plugins/production/production_lib_add_item_barcode.php");
      return true;
	}

	
	function check_item_sizes($item_number,$item_data,$mode='manu') 
   {
      require_once(APPPATH."plugins/production/production_lib_check_item_sizes.php");
		if ($key_for_error == 1) {return false;}
      else {return true;}
	}

	// Пълно Преизчисляване на ORDERS // $this->CI->
	public function recalculate_order_vedom($collection_id='-1')
	{
      require_once(APPPATH."plugins/production/production_lib_recalculate_order_vedom.php");
      return $success;
	}
	

	function get_item_expeditions($inum=0,$from_vedom=0)
	{
      $data=array('qty'=>0,'end_date'=>0);
      if($inum and $from_vedom)
      {
         $vedom = $from_vedom;
         $end_vedom = date('ym');
         
         do
         {  $Ved = 'V'.$vedom.'_items';
            $exp_data = $this->CI->Production->get_item_exp($inum,$Ved);
            if($exp_data)
            {
               $data['end_date']  = $exp_data->doc_date;
               $data['qty']      += $exp_data->qty;
            }
         $vedom++;
         }
         while($vedom <= $end_vedom);
      }
   return $data;
	}
	
	
/* ================================ СПОМАГАТЕЛНИ ПРЕРАБОТКИ ================================ */
	function change_all_kks($person=0,$vedom=0)
	{
      require_once(APPPATH."plugins/production/production_lib_change_all_kks.php");
      return 1;
   }

	function return_entire_manu($receipt_doc_id)
	{
		//POS #
		$pieces = explode(' ',$receipt_doc_id);
		$doc_id = $pieces[1];

		$this->empty_work();
		$this->clear_mode_price();
		$this->remove_employee();

		foreach($this->CI->Production->get_manu_items($doc_id)->result() as $row)
         { $this->add_item($row->item_id,-$row->item_qty);}
         
		$this->set_employee($this->CI->Production->get_employee($doc_id)->person_id);
	}
	

	function copy_entire_manu($doc_id, $vedomPack, $mode='manu_db')
	{
		$this->empty_work();
		$this->clear_mode_price();
		$this->remove_employee();

		foreach($this->CI->Production->get_manu_items($doc_id, $vedomPack, $mode)->result() as $row)
		{
			$this->add_item(
					$row->item_number,
					$row->item_qty,
					1,1,
					$row->qty_1, $row->qty_2, $row->qty_3, $row->qty_4, $row->qty_5,
					$row->qty_6, $row->qty_7, $row->qty_8, $row->qty_9, $row->qty_max );
		}

	if ( $mode != 'manu_db' and $mode != 'manu_techno')
		{ $this->set_employee($this->CI->Production->get_employee($doc_id,$vedomPack)->person_id);}
	}
	
	function delete_item($line)
	{
		$items=$this->get_work();
		unset($items[$line]);
		$this->set_work($items);
	}

	function get_subtotal($mode='manu')
	{
		$subtotal = 0;
		foreach($this->get_work() as $item)
		{	
			$inum = $item['inum'];
			$Qty  = explode(',',$item['qty']);
			$quantity = (int)$Qty[0];
			$price 	 = (float)$item['price'];
			if($mode=='manu_skladgp') { $price = (float)$this->CI->Item->get_sklad_info($inum)->cost; }
			
			$subtotal += $quantity * $price;
		}
	return $subtotal;
	}
	
	function get_total()
	{
		$total = 0;
		foreach($this->get_work() as $item)
			{ }
	return $total;
	}

	function get_all_qty()
	{
		$all_qty = 0;
		foreach($this->get_work() as $item)
			{ $all_qty += (int)$item['qty'];}
		return $all_qty;
	}

} ?>
