<?php
class Techno_lib
{
	var $CI;

  	function __construct()
	{
		$this->CI =& get_instance();
	}

	function get_cart()
	{
		if(!$this->CI->session->userdata('cart'))
			$this->set_cart(array());

	return $this->CI->session->userdata('cart');
	}

	function set_cart($cart_data)
	{
		$this->CI->session->set_userdata('cart',$cart_data);
	}
	
	function get_comment() 
	{
		return $this->CI->session->userdata('comment');
	}

	function set_comment($comment) 
	{
		$this->CI->session->set_userdata('comment', $comment);
	}

	function clear_comment() 	
	{
		$this->CI->session->unset_userdata('comment');
	}
	








/* ---------------------------------- СТАРИ РАБОТЕЩИ ------------------------------------ */

	function get_subtotal()
	{
		$mode_price = $this->get_mode_price();
		$subtotal = 0;
		foreach($this->get_cart() as $item)
		{
			$item_price = $item['price'];
			$subtotal += $item['quantity'] * round( $item_price*(100-$item['item_discount'])/100, 4);
		}
	return $subtotal;
	}


	function get_total($mode='recv',$supplier_discount=0)
	{
		$subtotal = $this->get_subtotal();
		$total = round( $subtotal * ( 100 - $supplier_discount ) / 100, 4);
	return $total;
	}


	function get_all_qty()
	{
		$all_qty = 0;
		foreach($this->get_cart() as $item)
			{ $all_qty += $item['quantity'];}
		return $all_qty;
	}


}
?>
