<?php
class Ebook extends CI_Model 
{

	public function get_my_iP()
	{
		$query = $this->db->get_where('bisoft', array('key' => 'my_iP'), 1);
		if( $query->num_rows() == 1 )	{ return $query->row()->value; }
	return '';
	}

	public function isMobile()
	{
      // $this->load->library('Bisoft_lib');
      if($this->bisoft_lib->check_mobile())
         {
            $isMobile = $this->bisoft_lib->get_mobile();
            @define('isMobile',$isMobile);
         return $isMobile;
         }
	
      $isMobile = 0; // DESKTOP
      $tablet_browser = 0;
      $mobile_browser = 0;

      if (preg_match('/(tablet|ipad|playbook)|(android(?!.*(mobi|opera mini)))/i', strtolower($_SERVER['HTTP_USER_AGENT'])))
         { $tablet_browser++;}

      if (preg_match('/(up.browser|up.link|mmp|symbian|smartphone|midp|wap|phone|android|iemobile)/i', strtolower($_SERVER['HTTP_USER_AGENT'])))
         { $mobile_browser++;}

      if ((strpos(strtolower($_SERVER['HTTP_ACCEPT']),'application/vnd.wap.xhtml+xml') > 0) or ((isset($_SERVER['HTTP_X_WAP_PROFILE']) or isset($_SERVER['HTTP_PROFILE']))))
         { $mobile_browser++;}

      $mobile_ua = strtolower(substr($_SERVER['HTTP_USER_AGENT'], 0, 4));
      $mobile_agents = array(
         'w3c ','acs-','alav','alca','amoi','audi','avan','benq','bird','blac',
         'blaz','brew','cell','cldc','cmd-','dang','doco','eric','hipt','inno',
         'ipaq','java','jigs','kddi','keji','leno','lg-c','lg-d','lg-g','lge-',
         'maui','maxo','midp','mits','mmef','mobi','mot-','moto','mwbp','nec-',
         'newt','noki','palm','pana','pant','phil','play','port','prox',
         'qwap','sage','sams','sany','sch-','sec-','send','seri','sgh-','shar',
         'sie-','siem','smal','smar','sony','sph-','symb','t-mo','teli','tim-',
         'tosh','tsm-','upg1','upsi','vk-v','voda','wap-','wapa','wapi','wapp',
         'wapr','webc','winw','winw','xda ','xda-');

      if (in_array($mobile_ua,$mobile_agents)) 
         { $mobile_browser++;}

      if (strpos(strtolower($_SERVER['HTTP_USER_AGENT']),'opera mini') > 0)
         { $mobile_browser++;
            //Check for tablets on opera mini alternative headers
            $stock_ua = strtolower(isset($_SERVER['HTTP_X_OPERAMINI_PHONE_UA'])?$_SERVER['HTTP_X_OPERAMINI_PHONE_UA']:(isset($_SERVER['HTTP_DEVICE_STOCK_UA'])?$_SERVER['HTTP_DEVICE_STOCK_UA']:''));
            if (preg_match('/(tablet|ipad|playbook)|(android(?!.*mobile))/i', $stock_ua)) 
               { $tablet_browser++;}
         }

      if ($tablet_browser > 0) // tablet devices
         { $isMobile = 2;}
      else if ($mobile_browser > 0) // mobile devices
         { $isMobile = 1;}
      else // everything else
         { $isMobile = 0;}
         
      if($isMobile==2) {$isMobile = 0;}
      @define('isMobile',$isMobile);
      
      $this->bisoft_lib->set_mobile($isMobile);
      $this->bisoft_lib->block_mobile();
      
	return $isMobile;
	}

	public function get_onlineDir()
	{
		$query = $this->db->get_where('eShop_online_data', array('key' => 'onlineDir'), 1);
		if( $query->num_rows() == 1 )	{ return $query->row()->text_data; }
	return '';
	}

	function exists_user($user)
	{
		$this->db->from('online_xopa');
		$this->db->where('uguomu',$user);
		$query = $this->db->get();
	return ($query->num_rows()==1);
	}


	function is_logged_in()
	{
		return $this->session->userdata('person_id')!=false;
	}
	

	function get_logged_user()
	{
		if($this->is_logged_in())
		{
			return $this->get_logged_info($this->session->userdata('person_id'));
		}
	return false;
	}

	/*
	Gets information about a particular employee
	*/
	function get_logged_info($employee_id)
	{
		$this->db->from('employees');	
		$this->db->join('people', 'people.person_id = employees.person_id');
		$this->db->where('employees.person_id',$employee_id);
		$query = $this->db->get();
		
		if($query->num_rows()==1)
		{
			return $query->row();
		}
		else
		{
			//Get empty base parent object, as $employee_id is NOT an employee
			$person_obj=parent::get_info(-1);
			
			//Get all the fields from employee table
			$fields = $this->db->list_fields('employees');
			
			//append those fields to base parent object, we we have a complete empty object
			foreach ($fields as $field)
			{
				$person_obj->$field='';
			}
			
			return $person_obj;
		}
	}
	
	function get_person_info($person_id)
	{
		$query = $this->db->get_where('people', array('person_id' => $person_id), 1);
		if($query->num_rows()==1) { return $query->row();}
		else
		{	//create object with empty properties.
			$fields = $this->db->list_fields('people');
			$person_obj = new stdClass;
			foreach ($fields as $field) {	$person_obj->$field='';}
		return $person_obj;
		}
	}
	
	
	function exists_email($email)
	{
		$this->db->from('online_xopa');
		$this->db->where('uguomu',$email);
		$query = $this->db->get();
	return ($query->num_rows()==1);
	}	
	
	function get_user_info($email)
	{
		$this->db->from('online_xopa');
		$this->db->where('uguomu',$email);
		$query = $this->db->get();
	if($query->num_rows()==1)
		{ return $query->row();}
	else
		{ return false;}
	}
	
	function get_admin($email)
	{
		$success=0;
		if($this->exists_email($email))
		{
			$this->db->from('online_xopa');
			$this->db->where('uguomu',$email);
			$this->db->where('status','admin');
			$query = $this->db->get();
			if ($query->num_rows()==1) {$success=1;}
		}
	return $success;
	}
	
	function get_names($user)
	{
		$user_names='';
		if ( $user and $this->exists_email($user) ) // ако има в Базата ?! //
			{ $user_names = $this->get_user_info($user)->name;
			  $user_names .= ' '.$this->get_user_info($user)->surname;}
	return $user_names;
	}	

	function load_header_data()
	{
		// Начална инициализация ...
		$user  = $this->ebook_lib->get_user();
		$admin = $this->get_admin($user);
		$user_names = $this->get_names($user);
		$lang = $this->ebook_lib->get_language();
		
		$label_db_bg = 'БАЗИ ДАННИ';
		$label_db_en = 'DATA BASES';
		$label_edit_bg = 'РЕДАКЦИЯ';
		$label_edit_en = 'EDITOR';
		$main_title = 'eBOOKs';
		
		$data = array(
			 'main_title' => $main_title,
					 'lang' => $lang,
					 'user' => $user,
					'admin' => $admin,
			 'user_names' => $user_names,
			'label_db_bg' => $label_db_bg,
			'label_db_en' => $label_db_bg,
		 'label_edit_bg' => $label_edit_bg,
		 'label_edit_en' => $label_edit_bg,	
						);
	return $data;
	}
	
	function get_text($key)
	{
		$query = $this->db->get_where( 'eShop_online_data', array('key' => $key), 1);
		if($query->num_rows()==1)
			{ return $query->row()->text_data;}
		else
			{ return "";}
	}
	
	function get_collection_names($collection_id)
	{
		$this->db->from('collections');
		$this->db->where('key',$collection_id);
		$this->db->where('deleted',0);
		$query = $this->db->get();
		if($query->num_rows()==1)
			{ return $query->row();}
		else
			{ return 0;}
	}
	
	function get_category_name($category)
	{
		$this->db->from('category');
		$this->db->where('key',$category);
		$this->db->where('deleted',0);
		$query = $this->db->get();
		if($query->num_rows()==1)
			{ return $query->row();}
		else
			{ return 0;}
	}
	
/* ===================================item_number ============================ */
	function exists_by_number($item_number)
	{
		$this->db->from('items');
		$this->db->where('item_number',$item_number);
		$this->db->where('location',0);
		$query = $this->db->get();
	return ($query->num_rows()==1);
	}

	function exists_ebook_item($item_number)
	{
		$this->db->from('online_items');
		$this->db->where('item_number',$item_number);
		$this->db->where('ebook',1);
		$query = $this->db->get();
	return ($query->num_rows()==1);
	}
	
	function get_info($item_number)
	{
		$this->db->from('items');
		$this->db->where('item_number',$item_number);
		$query = $this->db->get();
	if($query->num_rows()==1)
		{ return $query->row();}
	else
		{ return false;}
	}
	
	function get_sklad_info($item_number)
	{
		$this->db->from('sklad');
		$this->db->where('inum',$item_number);
		$this->db->where('skl',0);
		$query = $this->db->get();
		if($query->num_rows()==1){return $query->row();}
		else{return 0;}
	}
	
	/*	-------------------------------- GET SIZES ------------------------------ */
	function get_size_info($item_number)
	{
		$item_info = $this->get_info($item_number);
	return $this->ebook_lib->get_size_info($item_number,$item_info);
	}


// =============================== GET eBOOK from ONLINE DB ================================== //

	function get_all_ebook_items($limit=20,$offset=0)
	{
		$this->db->from('online_items');
		$this->db->where('ebook', 1);
		$this->db->order_by('position', 'desc');
		$this->db->limit($limit);
		$this->db->offset($offset);
		$query = $this->db->get();
	return $query->result_array();
	}
	
	function get_ebook_collection($coll_id)
	{
		$this->db->from('online_items');
		$this->db->where('coll', $coll_id);
		$this->db->where('ebook', 1);		
		$this->db->order_by('item_number', 'desc');
		$query = $this->db->get();
	return $query->result_array();
	}
	
	
	function get_ebook_item($item_number)
	{
		$this->db->from('online_items');
		$this->db->where('item_number',$item_number);
		$this->db->where('ebook', 1);
		$query = $this->db->get();
	if($query->num_rows()==1)
		{ return $query->row();}
	else
		{ return false;}
	}

	function delete_ebook_item($item_number)
	{
		$this->db->from('online_items');
		$this->db->where('item_number',$item_number);	

	return $this->db->update('online_items', array('item_number' => $item_number, 'ebook' => 0));
	}

/* --------------------------------- SAVE ONLINE-ITEM ------------------------------ */

	function save_ebook_item(&$item_data,$item_number=false)
	{	
		if (!$item_number or !$this->exists_ebook_item($item_number))
		{
			if($this->db->insert('online_items',$item_data))
			{
				$item_data['item_number']=$this->db->insert_id();
				return true;
			}
		return false;
		}
		$this->db->where('item_number', $item_number);
	return $this->db->update('online_items',$item_data);
	}

/* ================================= SAVE SETTINGS ============================= */	
	function save_settings( $key, $text_data )
	{	
		$this->db->trans_start();
			$data = array('key'=>$key, 'text_data'=>$text_data);
			$this->db->where('key', $key);
			$this->db->update('eShop_online_data', $data);
		$this->db->trans_complete();
	return $this->db->trans_status();
	}

	function get_visits()
	{
		$query = $this->db->get_where( 'eShop_online_data', array('key' => 'visits'), 1);
		if($query->num_rows()==1)
			{ return $query->row()->text_data;}
		else
			{ return "";}
	return "";
	}
	
	// WebCounter
	public function visits_counter()
	{
		$counterVal = $this->get_visits();

		// Has visitor been counted in this session?
		// If not, increase counter value by one
		if(!isset($_SESSION['hasVisited']))
		{
			$_SESSION['hasVisited']="yes";
			$counterVal++;
			$this->save_visits($counterVal);
		}

	return $counterVal;
	}
	
}
?>
