<?php
class Inventory extends CI_Model 
{	

	function insert( $inventory_data, $mode )
	{
		$vedom_pack = $this->BiSOFT_Model->get_vedom();
	return true;
	}
	
	function insert_docs( $docs_data )
	{
		$db_docs = 'V'. date('ym');
		$this->db->trans_start();
			// вкарва данните от Документа в База Данни ... //
			$this->db->insert( $db_docs, $docs_data);
			$doc_id = $this->db->insert_id();  // от тук си взимам номерчето на документа
		$this->db->trans_complete();
	return $doc_id;
	}


	function insert_docs_items( $inv_data )
	{
		$db_docs_items = 'V'. date('ym') . '_items';
		$this->db->trans_start();
			// вкарва данните от Документа в База Данни ... //
			$this->db->insert( $db_docs_items, $inv_data);
		$this->db->trans_complete();
	return true;
	}



	function find_vedom( $mode )
	{
		 $vedom = 'docs';

			switch ($mode)
				{
			//  за ПРОДАЖБИ и всички 'sales' документи
				case 'sale': 				$vedom = 'sales';		break;  // Централна и Годишна База ПРОДАЖБИ
				case 'sale_return':		$vedom = 'sales';		break;

			//  за ДОСТАВКИ и всички 'recvs' документи
				case 'recv': 				$vedom = 'recvs';		break;  // Централна и Годишна База ДОСТАВКИ
				case 'recv_return':		$vedom = 'recvs';		break;

			//  за ФАКТУРИ и всички 'invoices' документи
				case 'invoice':			$vedom = 'invoices';	break;  // Централна и Годишна База ФАКТУРИ
				case 'invoice_ki':		$vedom = 'invoices';	break;
				case 'invoice_di':		$vedom = 'invoices';	break;
				case 'invoice_pr':		$vedom = 'invoices';	break;

			//  за ПРОДАЖБИ МАГАЗИНИ 'sales' документи
				case 'shop_sale': 		$vedom = 'sales';		break;  // Централна и Годишна База ПРОДАЖБИ
				case 'shop_return':		$vedom = 'sales';		break;

			//  за ДОСТАВКИ МАГАЗИНИ 'recv' документи
				case 'shop_recv': 		$vedom = 'consi';		break;  // Централна и Годишна База ПРОДАЖБИ
				case 'shop_return':		$vedom = 'consi';		break;

			//  за КОНСИНАЦИЯ МАГАЗИНИ 'consi' документи
				case 'consi': 				$vedom = 'consi';		break;  // Централна и Годишна База ПРОДАЖБИ
				case 'consi_return':		$vedom = 'consi';		break;

				case 'docs':				$vedom = 'docs';		break;

				default: $vedom = 'docs';
				}

	return $vedom;
	}


	function get_inventory_hrono_item( $item_number, $curr_vedom, $date_start, $date_end )
	{	
	$location = $this->BiSOFT_Model->get_location();

		$this->db->from($curr_vedom);
		$this->db->where('item_number', $item_number);
		$this->db->where('deleted',0);
		$this->db->where('doc_date BETWEEN "'. $date_start . '" and "'. $date_end .'"');

		if ( $location == 0 ) 
			{ $this->db->where("mode_id in ('MK', 'D', 'BD', 'E', 'BE', 'OM', 'OMi', 'C', 'CB', 'AB', 'KIT', 'BL')"); }

		else // location = SHOP
			{ 
				$this->db->where("mode_id in ('SE', 'BP', 'C', 'CB', 'BL')");
				$this->db->where("location",$location);  // нова корекция НЕПРОВЕРЕНА ....
			}

		$this->db->order_by("doc_date", "asc");

	return $this->db->get();		
	}


	function get_inventory_data_for_item( $item_number, $curr_vedom, $mode_id )
	{	
		$location = $this->Employee->get_logged_in_employee_info()->location;
		$skl = $this->BiSOFT_Model->get_user_mode_client();

		$this->db->from($curr_vedom);
		$this->db->where('item_number', $item_number);
		$this->db->where('deleted',0);

		if ( $mode_id == 'ALL' )
			{ 
				$this->db->where("mode_id in ('BL', 'KIT', 'Of', 'AB', 'R')");
				$this->db->where("location",$skl);  // нова корекция НЕПРОВЕРЕНА ....
			}
		else
			{ 
				if ($mode_id=='E' and $skl==0) { $this->db->where("mode_id in ('E', 'BE', 'OM', 'OMi', 'OMB')");}
				elseif ($mode_id=='SE') { $this->db->where("mode_id in ('SE', 'BP')");}
				elseif ($mode_id=='C')  { $this->db->where("mode_id in ('C', 'CB')");}
				elseif ($mode_id=='D' and $skl==0)  { $this->db->where("mode_id in ('D', 'BD')");}
				else { $this->db->where("mode_id", $mode_id);}
			}

		if ( $skl != 0 ) 
			{ $this->db->where("location",$skl); }

		$this->db->order_by("doc_date", "asc");
		
		$rezult = $this->db->get();
		if($rezult) {return $rezult;}
		else {return false;}
	}


	function get_inventory_shop_item( $item_number, $location, $curr_vedom, $mode_id )
	{	
		$this->db->from($curr_vedom);
		$this->db->where('item_number', $item_number);
		$this->db->where('deleted',0);

		if ( $mode_id == 'ALL' )
			{ $this->db->where("mode_id in ('BL', 'Of', 'AB', 'R')");
			  $this->db->where("location",$location);  // нова корекция НЕПРОВЕРЕНА ....
			}
		else
			{ 
				if 	 ($mode_id=='SE')	{ $this->db->where("mode_id in ('SE', 'BP')");}
				elseif ($mode_id=='C')	{ $this->db->where("mode_id in ('C', 'CB')");}
				else 							{ $this->db->where("mode_id", $mode_id);}
			}

		$this->db->where("location",$location);
		$this->db->order_by("doc_date", "asc");

	return $this->db->get();		
	}

	function get_inventory_for_shops_item( $item_number, $location, $curr_vedom, $mode_id )
	{	
		$this->db->from($curr_vedom);
		$this->db->where('item_number', $item_number);
		$this->db->where('deleted',0);

		if ( $mode_id == 'ALL' )
			{ $this->db->where("mode_id in ('BL', 'AB', 'R')"); }
		else
			{ 
				if 	 ($mode_id=='SE')	{ $this->db->where("mode_id in ('SE', 'BP')"); }
				elseif ($mode_id=='E')	{ $this->db->where("mode_id in ('E', 'EB')"); }
				else 							{ $this->db->where("mode_id", $mode_id); }
			}

		$this->db->where("location",$location);
		$this->db->order_by("doc_date", "asc");

	return $this->db->get();		
	}

	function get_inventory_data_for_material( $mat_number, $curr_vedom, $mode_id )
	{	
		$location = $this->BiSOFT_Model->get_location();

		$this->db->from($curr_vedom);
		$this->db->where('mat_number', $mat_number);
		$this->db->where('deleted',0);

		if ( $mode_id == 'ALL' )
			{ $this->db->where("mode_id in ('BL', 'AB', 'R', 'prM')");}
		else
			{ $this->db->where("mode_id", $mode_id); }

		$this->db->order_by("doc_date", "asc");

	return $this->db->get();		
	}


	function get_inventory_data_for_client( $client_id, $curr_vedom, $mode_id, $item_number )
	{	
	$this->db->from($curr_vedom);

		if ( $mode_id == 'ALL' )
			{ $this->db->where("mode_id in ('BL', 'Of', 'AB', 'R')");}
		else
			{ 
				if ($mode_id=='E') { $this->db->where("mode_id in ('E', 'BE', 'OM', 'OMi', 'OMB')");}
				elseif ($mode_id=='SE') { $this->db->where("mode_id in ('SE', 'BP')");}
				elseif ($mode_id=='C') { $this->db->where("mode_id in ('C', 'CB')");}
				elseif ($mode_id=='D') { $this->db->where("mode_id in ('D', 'BD')");}
				elseif ($mode_id=='F') { $this->db->where("mode_id in ('F', 'Ki', 'Di', 'Pr')");}
				else { $this->db->where("mode_id", $mode_id);}
			}

		$this->db->where('client_id', $client_id);
		if(is_numeric($item_number) and $item_number>9999) { $this->db->where("item_number", $item_number); }
		$this->db->where('deleted',0);
		$this->db->order_by("doc_date, item_number", "asc");
	return $this->db->get();
	}


	function get_inventory_data_for_sales( $client_id, $curr_vedom, $mode_id,$item_number )
	{	
		$this->db->from($curr_vedom);
		$this->db->where("mode_id in ('E', 'BE', 'OM', 'OMi', 'OMB')");
		$this->db->where("client_id", $client_id);
		if(is_numeric($item_number) and $item_number>9999) { $this->db->where("item_number", $item_number); }
		$this->db->where('deleted',0);
		$this->db->order_by("doc_date, item_number", "asc");
	return $this->db->get();
	}


	function get_inventory_data_for_shops( $client_id, $curr_vedom, $mode_id, $item_number )
	{	
		$this->db->from($curr_vedom);
		$this->db->where("mode_id in ('SE', 'BP')");
		$this->db->where("location", $client_id);
		if(is_numeric($item_number) and $item_number>9999) { $this->db->where("item_number", $item_number); }
		$this->db->where('deleted',0);
		$this->db->order_by("doc_date, item_number", "asc");
	return $this->db->get();
	}

	function get_inventory_data_client_kaca( $client_id, $curr_vedom)
	{	
		$this->db->from($curr_vedom);
		$this->db->where("mode_id in ('KPr', 'F', 'Ki', 'Di')");
		$this->db->where('client_id', $client_id);
		$this->db->where('deleted',0);
		$this->db->order_by("doc_date, doc_number", "asc");
	return $this->db->get();
	}	
	
	
	function get_inventory_data_for_suppliers( $supplier_id, $curr_vedom, $mode_id, $item_number )
	{	
		$this->db->from($curr_vedom);
		$this->db->where("mode_id in ('D', 'BD')");
		$this->db->where("supplier_id", $supplier_id);
		if(is_numeric($item_number) and $item_number>9999) { $this->db->where("item_number", $item_number); }
		$this->db->where('deleted',0);
		$this->db->order_by("doc_date, item_number", "asc");
	return $this->db->get();
	}
	
	function get_inventory_data_for_subconts( $subcont_id, $curr_vedom, $item_number )
	{	
		$this->db->from($curr_vedom);
		$this->db->where("mode_id in ('D', 'BD')");
		$this->db->where("supplier_id", $subcont_id);
		if(is_numeric($item_number) and $item_number>9999) { $this->db->where("item_number", $item_number); }
		$this->db->where('deleted',0);
		$this->db->order_by("doc_date, item_number", "asc");
	return $this->db->get();
	}
	
	function get_mats_for_subconts( $subcont_id, $curr_vedom )
	{	
		$this->db->from($curr_vedom);
	//	$this->db->where("mode_id", "prM");
	//	$this->db->where("mode", "promat");
		$this->db->where("mode_id in ('prM', 'dM')");
		$this->db->where("mode in ('promat', 'dostav')");

		$this->db->where("subcont_id", $subcont_id);
		$this->db->where('deleted',0);
		$this->db->order_by("doc_date", "asc");
	return $this->db->get();
	}

	function get_kaca_for_subconts( $subcont_id, $curr_vedom )
	{	
		$this->db->from($curr_vedom);
		$this->db->where("mode_id", "KRz");
		$this->db->where("supplier_id", $subcont_id);
		$this->db->where('deleted',0);
		$this->db->order_by("doc_date", "asc");
	return $this->db->get();
	}
	
	
	
	function get_sklad_for_client( $skl, $qty )
	{	
		$this->db->from('sklad');
		$this->db->where('skl',$skl);
		$this->db->where('del',0);
		if($qty) { $this->db->where('qty != 0');} // изважда реални артикули при 1
		$this->db->order_by("inum", "asc");
	return $this->db->get();
	}

	function get_real_sklad_for_client( $skl, $category, $collection, $group, $size )
	{	
		$this->db->from('sklad');
		$this->db->where('skl',$skl);
		$this->db->where('del',0);

		if($category) {$this->db->where('cat',$category);}
		if($collection) {$this->db->where('coll',$collection);}
				
		if($group) 
		{
			$min_item = (int) ($group*1000-1);
			$max_item = (int) ($min_item+1001);
			$this->db->where("inum > $min_item and inum < $max_item");
		}
		
		if($size)
		{
			$q = $this->check_size_to_find($size);
			if($q!='-1'){$this->db->where("$q > 0");}
		}
	
		if($collection==0 and $group==0 and $size==0)
		{ $this->db->where('qty != 0');}
		
		$this->db->order_by("inum", "asc");
	return $this->db->get();
	}
	
	function get_all_sklad_for_client( $skl, $category, $collection, $group, $size )
	{	
		$this->db->from('sklad');
		$this->db->where('skl',$skl);
		$this->db->where('del',0);

		if($category) {$this->db->where('cat',$category);}
		if($collection) {$this->db->where('coll',$collection);}
				
		if($group) 
		{
			$min_item = (int) ($group*1000-1);
			$max_item = (int) ($min_item+1001);
			$this->db->where("inum > $min_item and inum < $max_item");
		}
		
		if($size)
		{
			$q = $this->check_size_to_find($size);
			if($q!='-1'){$this->db->where("$q > 0");}
		}
		
		$this->db->order_by("inum", "asc");
	return $this->db->get();
	}
	
	function check_size_to_find($size)
	{
		$q='-1';
			if($size=='S'   or $size=='6'  or $size=='30' or $size=='50') 	{$q='q1';}
			if($size=='M'   or $size=='8'  or $size=='32' or $size=='52') 	{$q='q2';}
			if($size=='L'   or $size=='10' or $size=='34' or $size=='54') 	{$q='q3';}
			if($size=='XL'  or $size=='12' or $size=='36' or $size=='56') 	{$q='q4';}
			if($size=='2XL' or $size=='14' or $size=='38' or $size=='58') 	{$q='q5';}
			if($size=='3XL' or $size=='16' or $size=='40' or $size=='60') 	{$q='q6';}
			if($size=='4XL' or $size=='18' or $size=='42' or $size=='62') 	{$q='q7';}
			if($size=='5XL' or $size=='20' or $size=='44' or $size=='64') 	{$q='q8';}
			if($size=='6XL' or $size=='22' or $size=='46' or $size=='66') 	{$q='q9';}
			if($size=='max' or $size=='24' or $size=='48' or $size=='68') 	{$q='q10';}
	return $q;
	}

	function delete_item_from_sklad( $skl, $inum )
	{	
		$this->db->from('sklad');$this->db->where('skl',$skl);
	return $this->db->delete('sklad', array('inum' => $inum));
	}

	function get_item_google( $inum, $skl )
	{
		$this->db->from('sklad');
		$this->db->where('inum',$inum);
		$this->db->where('skl',$skl);
		$this->db->where('del',0);
	return $this->db->get();
	}

}
?>
