<?php 

class Marketing extends CI_Model 
{

	function exists()
	{	

	}
	

	function get_all()
	{
	
	}

	
	function get()
	{

	}
	

	function save()
	{	

	}
	
/* ======================= LOGS ========================== */
	function save_log($log_text)
	{
      $dirLOGS  = '/var/www/html/logs/bisoft/';
      $log_file = date("Y-m-d")."_BiSOFT_Logs.txt";
         // Check if a text file exists.
         if (!file_exists($dirLOGS.$log_file)) 
         {
            $date = date("d.m.Y");
            $f = fopen($dirLOGS.$log_file, "w");
            fwrite($f,"- $date BiSOFT log file -\n");
            fclose($f);
         }
         
         $time_now = date("H:i:s");
         $ip = $_SERVER['REMOTE_ADDR'];
         $logText = "$time_now   ip:$ip\t ".$log_text."\n";
         
         $f = fopen($dirLOGS.$log_file, "a");
			fwrite($f, $logText);
			fclose($f);
	
      return true;
	}
	
	
	public function vendor_feed_log($vendor,$success=0)
	{
      $log_text = "($vendor feed)\t $success";
      $this->save_log($log_text);
      $this->session->sess_destroy();
      return true;
	}
	
	
	public function getAuditDocs($vedom,$limit=0)
	{
		$this->db->from($vedom);
		$this->db->where("mode_id in ('OM','OMi')");
      $this->db->where('deleted',0);
      if($limit>0) {$this->db->limit($limit);}
      $this->db->order_by('doc_number','asc');
   return $this->db->get()->result_array();
	}

	public function getAuditItems($vedom,$doc_id)
	{
		$this->db->from($vedom.'_items');
		$this->db->where('doc_id',$doc_id);
      $this->db->where('deleted',0);
      $this->db->order_by('line','asc');
   return $this->db->get()->result_array();
	}

	public function getAuditReturns($vedom,$limit=0)
	{
		$this->db->from($vedom);
		$this->db->where('mode_id','OMB');
      $this->db->where('deleted',0);
      if($limit>0) {$this->db->limit($limit);}
      $this->db->order_by('doc_number','asc');
   return $this->db->get()->result_array();
	}
	

	function search_user($user=0)
	{
		if($user)
		{
			$this->db->from('eShop_online_xopa');
			$this->db->where('status','user');
			$this->db->where("(name LIKE '%".$this->db->escape_like_str($user)."%' or 
			surname LIKE '%".$this->db->escape_like_str($user)."%' or 
			client LIKE '%".$this->db->escape_like_str($user)."%') and deleted=0");
			return $this->db->get()->result_array();
		}
		else { return array(); }
	}
	
	
	function search_guest($guest=0)
	{
		if($guest)
		{
			$this->db->from('eShop_online_xopa');
			$this->db->where('status','guest');
			$this->db->where("(name LIKE '%".$this->db->escape_like_str($guest)."%' or 
			surname LIKE '%".$this->db->escape_like_str($guest)."%' or 
			client LIKE '%".$this->db->escape_like_str($guest)."%') and deleted=0");
			return $this->db->get()->result_array();
		}
		else { return array(); }
	}
	
	
	function exists_in_sklad($inum)
	{
		$this->db->from('sklad');
		$this->db->where('inum',$inum);
		$this->db->where('skl',0);
		$this->db->where('del',0);
		$query = $this->db->get();
	return ($query->num_rows()==1);
	}
	
	function get_sklad_item($inum)
	{
		$this->db->select(	
				  'inum,
				   item_id,
					qty,
					q1,q2,q3,q4,q5,q6,q7,q8,q9,q10,
					skl,
					del',false);
		$this->db->from('sklad');
		$this->db->where('inum',$inum);
		$this->db->where('skl',0);
		$this->db->where('del',0);
		$query = $this->db->get();
		if($query->num_rows()==1)
			{ return $query->row();}
		else
			{ return 0;}
	}
	
	function update_sklad($item_data)
	{	
		$inum = $item_data['inum'];
		$this->db->where('inum',$inum);
		$this->db->where('skl',0);
	return $this->db->update('sklad',$item_data);
	}
	
	
/* ----------------------------------------- eShop SKLAD FEEDS ----------------------------- */
	function exists_in_onlines($item_number)
	{
		$this->db->from('eShop_online_items');
		$this->db->where('item_number',$item_number);
		$query = $this->db->get();
	return ($query->num_rows()==1);
	}	

	function check_online_items()
	{
         $this->db->select('
					item_number,
					deleted', false);
         $this->db->from('eShop_online_items');
   //    $this->db->where('deleted', 0);
         $this->db->order_by('item_number', 'asc');
   return $this->db->get()->result_array();
	}
	
	function get_online_items($inum=0,$cat=0)
	{
         $this->db->from('eShop_online_items');
         if($cat>0) { $this->db->where('cat',$cat);}
         if($inum>0) { $this->db->where('inum',$inum);}
         $this->db->where('deleted = 0');
         $this->db->order_by('inum', 'asc');
   return $this->db->get()->result_array();
	}

	function get_item_info($item_number)
	{
		$this->db->select(	
				  'item_number,
					collection,
					category,
					item_care,
					allow_sizes',false);

		$this->db->from('items');
		$this->db->where('item_number',$item_number);
		$query = $this->db->get();
		if($query->num_rows()==1)
			{ return $query->row();}
		else
			{ return 0;}
	}
	
	function get_sklad_info($inum)
	{	
		$this->db->from('sklad');
		$this->db->where('inum',$inum);
		$this->db->where('skl',0);
		$query = $this->db->get();
		if($query->num_rows()==1)
			{ return $query->row(); }
		else
			{ return 0; }
	}

	
	/* Returns all online items position */
	function get_items_pos()
	{
		$this->db->select(
				  'item_number,
					qty,
					position,
					deleted',false);
		$this->db->from('eShop_online_items');
		$this->db->where('deleted',0);
		$this->db->order_by('position', 'acs');
	return $this->db->get()->result_array();
	}
	

	function update_eShop_sklad($item_data)
	{	$inum=$item_data['item_number'];
		$this->db->where('item_number',$inum);
	return $this->db->update('eShop_online_items',$item_data);
	}

	
/* ---------------------- COURIERS ---------------------- */
	public function exists_in_couriers($courier,$office_id)
	{
		$this->db->from('eShop_online_couriers');
		$this->db->where('courier',$courier);
		$this->db->where('office_id',$office_id);
		$query = $this->db->get();
	return ($query->num_rows()==1);
	}	
	
	public function get_courier_office($courier='SPEEDY',$office_id=0)
	{
	/*
         $this->db->select('
					courier_id,
					courier,
					office_id,
					name,
					siteId,
					city,
					postCode,
					address,
					del', false);
	*/
         $this->db->from('eShop_online_couriers');
         if($courier) { $this->db->where('courier',$courier);}
         if($office_id) { $this->db->where('office_id',$office_id);}
         $this->db->where('del',0);
         $this->db->order_by('office_id', 'asc');

   return $this->db->get()->result_array();
	}
	
	public function save_courier_office(&$courier_data)
	{	
		$courier 	= $courier_data['courier'];
		$office_id  = $courier_data['office_id'];
		if(!$this->exists_in_couriers($courier,$office_id))
			{  return $this->db->insert('eShop_online_couriers',$courier_data); }
		else
			{
				$this->db->where('courier',$courier);
				$this->db->where('office_id',$office_id);
				return $this->db->update('eShop_online_couriers',$courier_data);
			}
	}	
	
	
	
/* ----------------------------------------- eMAG Bulgaria items ----------------------------- */
	public function getFacebookHead()
	{ return array(
				'арт. #',
				'наименование / описание',
				'категория',
				'цена',
				'активен' );
	}


	public function exists_in_facebook($inum)
	{
		$this->db->from('facebook');
		$this->db->where('inum',$inum);
		$query = $this->db->get();
	return ($query->num_rows()==1);
	}	
	
	public function getFacebookData($cat=0,$inum=0)
	{
         $this->db->select('
					inum,
					name,
					cat,
					price,
					status', false);
               
         $this->db->from('facebook');
         if($cat>0) { $this->db->where('cat',$cat);}
         if($inum>0) { $this->db->where('inum',$inum);}
         $this->db->where('deleted = 0');
         $this->db->order_by('inum', 'asc');

   return $this->db->get()->result_array();
	}
	
	public function save_facebook_item(&$item_data)
	{	$inum=$item_data['inum'];
		if(!$this->exists_in_facebook($inum))
			{return $this->db->insert('facebook',$item_data);}
		$this->db->where('inum',$inum);
	return $this->db->update('facebook',$item_data);
	}
	
	public function clear_facebook($cat=0)
	{	
		if($cat>0)
		{
			$this->db->trans_start();
				$this->db->delete( 'facebook', array('cat' => $cat));
			$this->db->trans_complete();
		}
		else // всичко трием
		{
			$this->db->trans_start();
				$this->db->where('cat > 0');
				$this->db->delete('facebook');
			$this->db->trans_complete();
		}
		
	return $this->db->trans_status();
	}
	
	

/* ----------------------------------------- eMAG Bulgaria items ----------------------------- */
	public function getEmagBGhead()
	{ return array(
				'кат.',
				'арт. #',
				'код id',
				'eMAG #',
				'наименование / описание',
				'акт.',
				'к-во',
				'цена' );
	}
	
	public function getEmagBGcomp()
	{ return array(
				'акт',
				'кат.',
				'арт #',
				'код id',
				'eMAG #',
				'наименование / описание',
				'к-во',
				'цена ЛВ.',
				'к-во',
				'цена ЛВ.' );
	}

	public function exists_in_eMAG_BG($inum)
	{
		$this->db->from('eShop_online_eMAG_BG');
		$this->db->where('inum',$inum);
		$query = $this->db->get();
	return ($query->num_rows()==1);
	}	
	
	public function getEmagBGdata($cat=0,$inum=0,$limit=0)
	{
         $this->db->select('
					cat,
					inum,
					code,
					eMAG,
					name,
					status,
					qty,
					price', false);
               
         $this->db->from('eShop_online_eMAG_BG');
         if($cat>0) { $this->db->where('cat',$cat);}
         if($inum>0) { $this->db->where('inum',$inum);}
         if($limit>0) { $this->db->where("price > $limit");}
         $this->db->where('deleted = 0');
         $this->db->order_by('inum', 'asc');

   return $this->db->get()->result_array();
	}
	
	public function exists_eMAG_BG($eMAG)
	{
		$this->db->from('eShop_online_eMAG_BG');
		$this->db->where('eMAG',$eMAG);
		$query = $this->db->get();
	return ($query->num_rows()==1);
	}	
	
	public function save_EmagBGitem(&$item_data)
	{	$eMAG=$item_data['eMAG'];
		if(!$this->exists_eMAG_BG($eMAG))
			{return $this->db->insert('eShop_online_eMAG_BG',$item_data);}
		$this->db->where('eMAG',$eMAG);
	return $this->db->update('eShop_online_eMAG_BG',$item_data);
	}
	
	public function clear_EmagBG($cat=0)
	{	
		if($cat>0)
		{
			$this->db->trans_start();
				$this->db->delete( 'eShop_online_eMAG_BG', array('cat' => $cat));
			$this->db->trans_complete();
		}
		else // всичко трием
		{
			$this->db->trans_start();
				$this->db->where('cat > 0');
				$this->db->delete('eShop_online_eMAG_BG');
			$this->db->trans_complete();
		}
		
	return $this->db->trans_status();
	}
	
	
	
/* ----------------------------------------- eMAG Romania items ----------------------------- */
	public function getEmagRoHead()
	{ return array(
				'cat',
				'item #',
				'code id',
				'eMAG #',
				'item name / description',
				'act',
				'qty',
				'price' );
	}
	
	public function getEmagRoComp()
	{ return array(
				'act',
				'cat',
				'item #',
				'code id',
				'eMAG #',
				'item name / description',
				'qty',
				'price Lei',
				'qty',
				'price Lei' );
	}

	public function exists_in_eMAG_Ro($inum)
	{
		$this->db->from('eShop_online_eMAG_Ro');
		$this->db->where('inum',$inum);
		$query = $this->db->get();
	return ($query->num_rows()==1);
	}	
	
	public function getEmagRoData($cat=0,$inum=0,$limit=0)
	{
         $this->db->select('
					cat,
					inum,
					code,
					eMAG,
					name,
					status,
					qty,
					price', false);
               
         $this->db->from('eShop_online_eMAG_Ro');
         if($cat>0) { $this->db->where('cat',$cat);}
         if($inum>0) { $this->db->where('inum',$inum);}
         if($limit>0) { $this->db->where("price > $limit");}
         $this->db->where('deleted = 0');
         $this->db->order_by('inum', 'asc');

   return $this->db->get()->result_array();
	}
	
	public function exists_eMAG_Ro($eMAG)
	{
		$this->db->from('eShop_online_eMAG_Ro');
		$this->db->where('eMAG',$eMAG);
		$query = $this->db->get();
	return ($query->num_rows()==1);
	}	
	
	public function save_EmagRoItem(&$item_data)
	{	$eMAG=$item_data['eMAG'];
		if(!$this->exists_eMAG_Ro($eMAG))
			{return $this->db->insert('eShop_online_eMAG_Ro',$item_data);}
		$this->db->where('eMAG',$eMAG);
	return $this->db->update('eShop_online_eMAG_Ro',$item_data);
	}

	
	public function clear_EmagRo($cat=0)
	{	
		if($cat>0)
		{
			$this->db->trans_start();
				$this->db->delete( 'eShop_online_eMAG_Ro', array('cat' => $cat));
			$this->db->trans_complete();
		}
		else // всичко трием
		{
			$this->db->trans_start();
				$this->db->where('cat > 0');
				$this->db->delete('eShop_online_eMAG_Ro');
			$this->db->trans_complete();
		}
		
	return $this->db->trans_status();
	}	
	

/* ==================== Математика за СЪОТВЕТСТВИЕ на eMAG items ====================== */
	function compare_inum_eMAG($item_comp,$type='bg')
	{
		$data = 0;
		$skl_qty = $skl_price = $size_qty = $price_2 = $price_3 = 0;
		$rate_LEI = 2.4;
		
		$inum = $item_comp['inum'];
		$skl_info = $this->Item->get_sklad_info($inum,0);
		
		if($skl_info)
		{
			$eMAG_qty 	= $item_comp['eMAG_qty'];
			$eMAG_price = $item_comp['eMAG_price'];
			
			$size = $item_comp['size'];
			switch($size)
					{
						case '1':$size_qty=$skl_info->q1;break;
						case '2':$size_qty=$skl_info->q2;break;
						case '3':$size_qty=$skl_info->q3;break;
						case '4':$size_qty=$skl_info->q4;break;
						case '5':$size_qty=$skl_info->q5;break;
						case '6':$size_qty=$skl_info->q6;break;
						case '7':$size_qty=$skl_info->q7;break;
						case '8':$size_qty=$skl_info->q8;break;
						case '9':$size_qty=$skl_info->q9;break;
					}
			if(empty($size_qty)) {$size_qty=0;}
			
			$skl_qty = $skl_info->qty;
			if($skl_qty>0)
			{
				$skl_price = $price_2 = $skl_info->price_2;
				$price_3 = $skl_info->price_3;
				if($price_3>0 and $price_3<$price_2) {$skl_price = $price_3;}
				
				// махаме ДДС-то.
				if($type=='bg') 
					{ $skl_price = round($skl_price/1.2,2);}
				elseif($type=='ro') 
					{ $skl_price = round($rate_LEI*$skl_price/1.2,2);}
				
					$result = 0;
					// има ли промяна в QTY ?!
					if($size_qty==0 and $eMAG_qty>0) {$result=1;}
					elseif($size_qty>3 and $eMAG_qty>3) {$result=0;}
					elseif(abs($size_qty-$eMAG_qty)>3 and $eMAG_qty>0) {$result=1;}
					elseif($size_qty>2 and $eMAG_qty==0) {$result=1;}
					
					// има ли промяна в PRICE ?!
					if( abs(round($skl_price,0)-round($eMAG_price,0))>1 and $size_qty>3 and $eMAG_qty>1) {$result=1;}
					elseif(abs(round($skl_price,0)-round($eMAG_price,0))==0 and $size_qty>3 and $eMAG_qty>1) {$result=0;}
					
				if($result)
					{ $data = array('qty'=>$size_qty, 'price'=>$skl_price); }
				else 
					{ $data = 0; }

			} // if($skl_qty)

		} // if($skl_info)
		else { $data = 0; }
		
	return $data;
	}

	
/* ================================ ONLINE DASHBOARD ================================== */

	public function exists_client($client_id)
	{
		$this->db->from('eShop_online_xopa');
		$this->db->where('client_id',$client_id);
		$query = $this->db->get();
	return ($query->num_rows()==1);
	}
	
	public function exists_uguomu($uguomu)
	{
		$this->db->from('eShop_online_xopa');
		$this->db->where('uguomu',$uguomu);
		$query = $this->db->get();
	return ($query->num_rows()==1);
	}	
	
	function getXopa_byEmail($uguomu=0)
	{
      if($uguomu)
      {
         $this->db->select('
					client_id,
					client,
					name,
					surname,
					status,
					ip_addr,
					uguomu,
					city,
					address,
					phone,
					reg_date_time,
					deleted', false);
               
         $this->db->from('eShop_online_xopa');
         $this->db->where('status','user'); // 
         $this->db->where('deleted = 0');
         $this->db->where('uguomu',$uguomu);
         $query = $this->db->get();
         if($query->num_rows()==1)
         {
            return $this->db->get()->result_array();
         }
      }
      else { return 0; }
	}
	
	
	function get_Xopa_byID($id=0)
	{
      if($id)
      {
         $this->db->select('
					client_id,
					client,
					name,
					surname,
					status,
					ip_addr,
					uguomu,
					city,
					address,
					phone,
					reg_date_time,
					deleted', false);
               
         $this->db->from('eShop_online_xopa');
         $this->db->where('status','user'); 
         $this->db->where('client_id',$id);
         $this->db->where('deleted = 0');
         $query = $this->db->get();

         if($query->num_rows()==1)
         {
            return $query->row();
         }
      }
      else { return 0; }
	}
	
	
	function get_Ocmu_byID($id=0)
	{
      if($id)
      {
         $this->db->select('
					client_id,
					client,
					name,
					surname,
					status,
					ip_addr,
					uguomu,
					city,
					address,
					phone,
					reg_date_time,
					deleted', false);
               
         $this->db->from('eShop_online_xopa');
         $this->db->where('status','guest'); 
         $this->db->where('client_id',$id);
         $this->db->where('deleted = 0');
         $query = $this->db->get();

         if($query->num_rows()==1)
         {
            return $query->row();
         }
      }
      else { return 0; }
	}
	
	
	function getOcmuData()
	{
         $this->db->select('
					client_id,
					client,
					name,
					surname,
					status,
					ip_addr,
					uguomu,
					city,
					address,
					phone,
					reg_date_time,
					deleted', false);
               
         $this->db->from('eShop_online_xopa');
         $this->db->where('status','guest'); // 
         $this->db->where('deleted = 0');
         $this->db->order_by('uguomu', 'asc');

   return $this->db->get()->result_array();
	}
	
	public function save_to_xopa(&$client_data)
	{	$client_id=$client_data['client_id'];
		if(!$this->exists_client($client_id))
		{ return $this->db->insert('eShop_online_xopa',$client_data); }
	//	$this->db->where('client_id',$client_id);
	//	return $this->db->update('eShop_online_xopa',$client_data);
      return false;
	}
	
	public function update_xopa(&$client_data)
	{	$uguomu=$client_data['uguomu'];
		if($this->exists_uguomu($uguomu))
		{ 
         $this->db->where('uguomu',$uguomu);
         return $this->db->update('eShop_online_xopa',$client_data); 
      }

	}	
	
	public function save_to_subscribes(&$client_data)
	{	$client_id=$client_data['client_id'];
		if(!$this->exists_client($client_id))
		{ return $this->db->insert('eShop_online_xopa',$client_data); }
	//	$this->db->where('client_id',$client_id);
	//	return $this->db->update('eShop_online_xopa',$client_data);
      return false;
	}
	
	
	public function saveOcmuData(&$client_data)
	{	$client_id=$client_data['client_id'];
		if(!$this->exists_client($client_id))
		{ return $this->db->insert('eShop_online_xopa',$client_data); }
		
		$this->db->where('client_id',$client_id);
		return $this->db->update('eShop_online_xopa',$client_data);
	}	
	
	public function clear_old_record($client_id=0)
	{	
		if($client_id>0)
		{
			$this->db->trans_start();
				$this->db->delete( 'eShop_online_xopa', array('client_id' => $client_id));
			$this->db->trans_complete();
			return $this->db->trans_status();
		}
		
		return 0;
	}	
	
	
	
	
/* ================================ ONLINE VEDOMS ================================== */
	
	function exists_client_email($email,$vedom)
	{
		$this->db->from($vedom);
		$this->db->where('email',$email);
		$query = $this->db->get();
		return ($query->num_rows()==1);
	}
	
	function exists_email_xopa($email=0)
	{
      if($email)
      {
         $this->db->from('eShop_online_xopa');
         $this->db->where('uguomu',$email);
         $this->db->where('deleted = 0');
         $query = $this->db->get();
         return ($query->num_rows()==1);
      }
      else { return 0; }
	}
	
	
	function get_client_info_email($email=0)
	{
      if($email)
      {
         $client_id = 0;
         $this->db->from('eShop_online_xopa');
         $this->db->where('uguomu',$email);
         $this->db->where('deleted = 0');
         $query = $this->db->get();
         if($query->num_rows()==1)
         { return $query->row(); }
         else { return 0; }
      }
      else { return 0; }
	}
	
	// export all mails
	function get_all_emails()
	{
      $this->db->select('client_id, client, uguomu, deleted', false);
      $this->db->from('eShop_online_xopa');
      $this->db->where('deleted',0);
  //  $this->db->order_by('uguomu', 'asc');
      $this->db->order_by('client_id', 'asc');
      return $this->db->get()->result_array();
	}
	
	
	function update_email($data)
	{
      $client_id = $data['client_id'];
      if($client_id)
      {
         $this->db->where('client_id',$client_id);
         return $this->db->update('eShop_online_xopa',$data);
      }
      else { return 0; }
	}
	
	
	// export all mails
	function get_clients_by_mobile()
	{
      $this->db->select('client_id, client, status, uguomu, phone, city, deleted', false);
      $this->db->from('eShop_online_xopa');
      $this->db->where('phone > 0');
      $this->db->where('deleted',0);
      $this->db->order_by('phone', 'asc');
      $this->db->order_by('client_id', 'asc');
      return $this->db->get()->result_array();
	}
	
	
	
	function get_OM_vedom($vedom)
	{
		if($this->db->table_exists($vedom))
		{
         $this->db->select('
					doc_id,
					mode_id,
					doc_number,
					doc_date,
					total_qty,
					total_sum,
					total_discount,
					client_id,
					client,
					employee_id,
					employee,
					comment,
					location,
					deleted', false);
               
         $this->db->from($vedom);
         $this->db->where("mode_id in ('OM', 'OMi', 'OMB')");
         $this->db->where('location', 0);
         $this->db->where('deleted', 0);
         $this->db->order_by('doc_id', 'asc');

         return $this->db->get()->result_array();
      }
      return false;
	}
	
	function get_OM_vedom_items($vedom,$doc_id=0)
	{
		if($doc_id)
		{
         $this->db->select('
					doc_id,
					mode_id,
					doc_number,
					doc_date,
					item_number,
					item_name,
					item_unit_price,
					item_qty,
					client_id,
					location,
					deleted', false);
         $this->db->from($vedom.'_items');
         $this->db->where('doc_id',$doc_id);
         $this->db->where('location', 0);
         $this->db->where('deleted', 0);
			$query = $this->db->get();
			if($query->num_rows()>0)
			{ return $query->result_array(); }
			else { return 0; }
		}
		return 0;
	}

	function check_OM_vedom($vedom,$email=0)
	{
		if($vedom and $email)
		{
         $this->db->select('
					doc_id,
					mode_id,
					doc_number,
					doc_date,
					total_sum,
					total_qty,
					client,
					client_id,
					giftcard,
					giftprocent,
					employee,
					comment,
					location,
					deleted', false);
         $this->db->from($vedom);
         $this->db->where("mode_id in ('OM', 'OMi', 'OMB')");
         $this->db->where('employee',$email);
         $this->db->where('location', 0);
         $this->db->where('deleted', 0);
			$query = $this->db->get();
			if($query->num_rows()>0)
			{ return $query->result_array(); }
			else { return 0; }
		}
		return 0;
	}	
	
	function exists_OM_record($vedom,$email,$doc_num,$inum)
	{
      $this->db->from($vedom);
      $this->db->where('email',$email);
      $this->db->where('doc_num',$doc_num);
      $this->db->where('inum',$inum);
      $this->db->where('del', 0);
      $query = $this->db->get();
      return ($query->num_rows()==1);
	}
	
	
	function save_OM_record(&$data,$vedom)
	{	
		$email = $data['email'];
		$doc_num = $data['doc_num'];
		$inum = $data['inum'];

		if(!$this->exists_OM_record($vedom,$email,$doc_num,$inum))
		{  return $this->db->insert($vedom,$data); }
		else
		{
         $this->db->where('email',$email);
         $this->db->where('doc_num',$doc_num);
         $this->db->where('inum',$inum);
         return $this->db->update($vedom,$data);
      }
	}
	

	function save_onlines_year(&$client_data,$vedom)
	{	
		$email = $client_data['email'];

		if(!$this->exists_client_email($email,$vedom))
		{ return $this->db->insert($vedom,$client_data); }
		
		$this->db->where('email',$email);
		return $this->db->update($vedom,$client_data);
	}
	
		
   function get_from_onlines_vedom($vedom,$email=0)
	{
		if($vedom and $email)
		{
         $this->db->select('
					sale_id,
					mode_id,
					email,
					sum(qty*price) as total,
					del', false);
         $this->db->from("onlines_$vedom");
         $this->db->where("mode_id in ('OM', 'OMi', 'OMB')");
         $this->db->where('email',$email);
         $this->db->where('del', 0);
			$query = $this->db->get();
			if($query->num_rows()==1)
			{ return $query->row(); } // $query->result_array();
			else { return 0; }
		}
		return 0;
	}	
	
	
	
	/* ======================== RECORDS =========================== */
	// export all mails
	function get_all_clients_info()
	{
      $this->db->select('client, uguomu, phone, city, country, deleted', false);
      $this->db->from('eShop_online_xopa');
      $this->db->where('deleted',0);
      $this->db->order_by('uguomu', 'asc');
      return $this->db->get()->result_array();
	}	
	
	
	function exists_record($email)
	{
      $this->db->from('eShop_online_records');
      $this->db->where('uguomu',$email);
      $this->db->where('del', 0);
      $query = $this->db->get();
      return ($query->num_rows()==1);
	}
	
	function get_all_records()
	{
		$this->db->from('eShop_online_records');
		$this->db->where('del', 0);
		$query = $this->db->get();
		if($query->num_rows()>0)
		{ return $query->result_array(); }
		else { return 0; }
	}
	
	
	function get_year_records($year)
	{
		if($year>2015)
		{
         $this->db->select("
					client_id,
					uguomu,
					client,
					mobile,
					country,
					city,
					orders_$year,
					qty_$year,
					total_$year,
					last_$year,
					del", false);
			$this->db->from('eShop_online_records');
			$this->db->where("qty_$year > 0");
			$this->db->where('del', 0);
			$query = $this->db->get();
			if($query->num_rows()>0)
			{ return $query->result_array(); }
			else { return 0; }
		}
		return 0;
	}	
	
	function get_record($email)
	{
		if($email and $this->exists_record($email))
		{
			$this->db->from('eShop_online_records');
			$this->db->where('uguomu',$email);
			$this->db->where('del', 0);
			$query = $this->db->get();
			if($query->num_rows()==1)
			{ return $query->row(); }
			else { return 0; }
		}
		return 0;
	}
	
	
	function save_record(&$data)
	{	
		$email = $data['uguomu'];

		if(null!=$email)
		{
			if(!$this->exists_record($email))
			{  return $this->db->insert('eShop_online_records',$data); }
			else
			{
				$this->db->where('uguomu',$email);
				return $this->db->update('eShop_online_records',$data);
			}
		}
		return 0;
	}
	
	
	function rec_to_DB($all_sales,$year)
	{
		if($all_sales)
		{
				foreach($all_sales as $rec)
				{
					$email = $rec['employee'];
					if($email and $email!='shop@styler.bg')
					{
						// update record
						if($this->exists_record($email))
						{
							$client_info = $this->get_record($email);
							if($client_info)
							{
								switch($year)
								{
									case '2023' : 
											$orders = 1 + $client_info->orders_2023;
											$qty	  = $rec['total_qty'] + $client_info->qty_2023;
											$total  = to_dot( $rec['total_sum'] + $client_info->total_2023);
											break;
											
									case '2022' : 
											$orders = 1 + $client_info->orders_2022;
											$qty	  = $rec['total_qty'] + $client_info->qty_2022;
											$total  = to_dot( $rec['total_sum'] + $client_info->total_2022);
											break;
								
									case '2021' : 
											$orders = 1 + $client_info->orders_2021;
											$qty	  = $rec['total_qty'] + $client_info->qty_2021;
											$total  = to_dot( $rec['total_sum'] + $client_info->total_2021);
											break;

									case '2020' : 
											$orders = 1 + $client_info->orders_2020;
											$qty	  = $rec['total_qty'] + $client_info->qty_2020;
											$total  = to_dot( $rec['total_sum'] + $client_info->total_2020);
											break;

									case '2019' : 
											$orders = 1 + $client_info->orders_2019;
											$qty	  = $rec['total_qty'] + $client_info->qty_2019;
											$total  = to_dot( $rec['total_sum'] + $client_info->total_2019);
											break;

									case '2018' : 
											$orders = 1 + $client_info->orders_2018;
											$qty	  = $rec['total_qty'] + $client_info->qty_2018;
											$total  = to_dot( $rec['total_sum'] + $client_info->total_2018);
											break;

									case '2017' : 
											$orders = 1 + $client_info->orders_2017;
											$qty	  = $rec['total_qty'] + $client_info->qty_2017;
											$total  = to_dot( $rec['total_sum'] + $client_info->total_2017);
											break;

									case '2016' : 
											$orders = 1 + $client_info->orders_2016;
											$qty	  = $rec['total_qty'] + $client_info->qty_2016;
											$total  = to_dot( $rec['total_sum'] + $client_info->total_2016);
											break;
								}

								$recData = array(
										"uguomu" => $email,
										"client" => $client_info->client,
										
								"orders_$year" => $orders,
									"qty_$year" => (int)$qty,
								"total_$year" => $total,
								"last_$year" => $rec['doc_date'],

														);

									
									$success = 0;
									if($qty>0)
									{ $success = $this->save_record($recData); }
							
							}
							else // ГРЕШКА 
							{  }
							
							
						// echo "<br>има го : $email";
						
						
						}
						
						else // нов запис
						{
							$country = $city = $mobile = '';
							
							// зарежда то DB = eShop_xopa
							if($this->exists_email_xopa($email))
							{
								$client_info = $this->get_client_info_email($email);
								if($client_info)
								{
									if($client_info->phone) { $mobile = $client_info->phone; }
									if($client_info->city) { $city = $client_info->city; }
									if($client_info->country) { $country = $client_info->country; }
								}
							}
							
							if($city=='') { $city = $rec['comment']; }
							if($country=='') { $country = 'България'; }

									$recData = array(
										"uguomu" => $email,
										"client" => $rec['client'],
									
								"orders_$year" => 1,
									"qty_$year" => (int)$rec['total_qty'],
								"total_$year" => to_dot($rec['total_sum']),
								"last_$year" => $rec['doc_date'],
								
										"mobile" => $mobile,
										"city" => $city,
									"country" => $country
															);
						
									$success = 0;
									if($rec['total_qty']>0)
									{ $success = $this->save_record($recData); }

						} // else // нов запис

					}
				} // foreach($all_sales
		
			return true;
		}
	return 0;
	
	}
	
}
?>
