<?php class OnLine extends CI_Model 
{
	public function get_my_iP()
	{
		$query = $this->db->get_where('bisoft', array('key' => 'my_iP'), 1);
		if( $query->num_rows() == 1 )	{ return $query->row()->value; }
		return "";
	}

	function blacklist_ip_exists()
	{
		$result=0;
		$ip_address = $this->input->ip_address();
		$my_iP=$this->get_my_iP();
		$key='blacklist_ip';
		$black_list = array('key'=>$key, 'text_data'=>$ip_address );
		$query = $this->db->get_where('eShop_online_data', array('key'=>$key),1);
		$ips = explode(",",$query->row()->text_data);
		for($i=0;$i<count($ips);$i++)
			{ if ($ip_address==trim($ips[$i]) && $ip_address!=$my_iP && trim($ips[$i])!='127.0.0.1') {$result=1;} }
	return $result;
	}

	function add_to_blacklist_ip($ip_address=0)
	{
		$ip_address = $this->input->ip_address();
		$my_iP=$this->get_my_iP();
		if($ip_address!='127.0.0.1' && $ip_address!=$my_iP && !$this->blacklist_ip_exists()) 
		{
			$key='blacklist_ip';
			$black_list = array( 'key' => $key,
										'text_data' => $ip_address );
			$query = $this->db->get_where('eShop_online_data', array('key'=>$key),1);
			$ips_arr = $query->row()->text_data;
			$ips_arr .= ', '.$ip_address;

			$black_list = array( 'key' => $key,
										'text_data' => $ips_arr);
		// проверка дали съществува  ?! //
		if ($query->num_rows()==1)
			{ $this->db->where('key', $key);
			  $this->db->update('eShop_online_data',$black_list);}
		else // нов запис //
			{ $this->db->insert('eShop_online_data',$black_list);}
		}
	}
/*    ============================ OLD isMobile detection =========================== //
      
      if($key) // and $this->online_lib->get_mobile()=='-1'
      { $isMobile = (bool)preg_match('#\b(ip(hone|od|ad)|android|opera m(ob|in)i|windows (phone|ce)|blackberry|tablet'.
                    '|s(ymbian|eries60|amsung)|p(laybook|alm|rofile/midp|laystation portable)|nokia|fennec|htc[\-_]'.
                    '|mobile|up\.browser|[1-4][0-9]{2}x[1-4][0-9]{2})\b#i', $_SERVER['HTTP_USER_AGENT'] );
        if(!$isMobile) {$isMobile=0;} else {$isMobile=1;}
        $this->online_lib->set_mobile($isMobile);
        @define('isMobile',$isMobile);
      }
      else 
      {
         $isMobile = $this->online_lib->get_mobile();
         @define('isMobile',$isMobile);
      }
*/

	public function isMobile()
	{
      if($this->online_lib->check_mobile())
         {
            $isMobile = $this->online_lib->get_mobile();
            @define('isMobile',$isMobile);
         return $isMobile;
         }
	
      $isMobile = 0; // DESKTOP
      $tablet_browser = 0;
      $mobile_browser = 0;

      if (preg_match('/(tablet|ipad|playbook)|(android(?!.*(mobi|opera mini)))/i', strtolower($_SERVER['HTTP_USER_AGENT'])))
         { $tablet_browser++;}

      if (preg_match('/(up.browser|up.link|mmp|symbian|smartphone|midp|wap|phone|android|iemobile)/i', strtolower($_SERVER['HTTP_USER_AGENT'])))
         { $mobile_browser++;}

      if ((strpos(strtolower($_SERVER['HTTP_ACCEPT']),'application/vnd.wap.xhtml+xml') > 0) or ((isset($_SERVER['HTTP_X_WAP_PROFILE']) or isset($_SERVER['HTTP_PROFILE']))))
         { $mobile_browser++;}

      $mobile_ua = strtolower(substr($_SERVER['HTTP_USER_AGENT'], 0, 4));
      $mobile_agents = array(
         'w3c ','acs-','alav','alca','amoi','audi','avan','benq','bird','blac',
         'blaz','brew','cell','cldc','cmd-','dang','doco','eric','hipt','inno',
         'ipaq','java','jigs','kddi','keji','leno','lg-c','lg-d','lg-g','lge-',
         'maui','maxo','midp','mits','mmef','mobi','mot-','moto','mwbp','nec-',
         'newt','noki','palm','pana','pant','phil','play','port','prox',
         'qwap','sage','sams','sany','sch-','sec-','send','seri','sgh-','shar',
         'sie-','siem','smal','smar','sony','sph-','symb','t-mo','teli','tim-',
         'tosh','tsm-','upg1','upsi','vk-v','voda','wap-','wapa','wapi','wapp',
         'wapr','webc','winw','winw','xda ','xda-');

      if (in_array($mobile_ua,$mobile_agents)) 
         { $mobile_browser++;}

      if (strpos(strtolower($_SERVER['HTTP_USER_AGENT']),'opera mini') > 0)
         { $mobile_browser++;
            //Check for tablets on opera mini alternative headers
            $stock_ua = strtolower(isset($_SERVER['HTTP_X_OPERAMINI_PHONE_UA'])?$_SERVER['HTTP_X_OPERAMINI_PHONE_UA']:(isset($_SERVER['HTTP_DEVICE_STOCK_UA'])?$_SERVER['HTTP_DEVICE_STOCK_UA']:''));
            if (preg_match('/(tablet|ipad|playbook)|(android(?!.*mobile))/i', $stock_ua)) 
               { $tablet_browser++;}
         }

      if ($tablet_browser > 0) // tablet devices
         { $isMobile = 2;}
      else if ($mobile_browser > 0) // mobile devices
         { $isMobile = 1;}
      else // everything else
         { $isMobile = 0;}
         
      if($isMobile==2) {$isMobile = 0;}
      @define('isMobile',$isMobile);
      
      $this->online_lib->set_mobile($isMobile);
      $this->online_lib->block_mobile();
      
	return $isMobile;
	}

/* ================ BARCODES ================== */	
	
	public function get_barcode_checksum($digits=0) 
	{ 
		$check_digit = 0;
      if($digits and strlen($digits)==12)
      {
			$digits =(string)$digits;
			$even_sum = $digits[1] + $digits[3] + $digits[5] + $digits[7] + $digits[9] + $digits[11];
			$even_sum_three = $even_sum * 3;
			$odd_sum = $digits[0] + $digits[2] + $digits[4] + $digits[6] + $digits[8] + $digits[10];
			$total_sum = $even_sum_three + $odd_sum;
			$next_ten = (ceil($total_sum/10))*10;
			$check_digit = $next_ten - $total_sum;
		}

	return $digits . $check_digit;
	}
	
	
	public function get_onlineDir()
	{
		$query = $this->db->get_where('eShop_online_data', array('key' => 'onlineDir'), 1);
		if( $query->num_rows() == 1 )	{ return $query->row()->text_data; }
		return "";
	}

	function exists_user($user)
	{
		$this->db->from('eShop_online_xopa');
		$this->db->where('uguomu',$user);
		$query = $this->db->get();
	return ($query->num_rows()==1);
	}
	
	
	function is_logged_in()
	{ return $this->session->userdata('person_id')!=false;}
	

	function get_logged_user()
	{	if($this->is_logged_in())
		{ return $this->get_logged_info($this->session->userdata('person_id'));}
	return false;
	}

	/*	Gets information about a particular guest */
	function get_logged_info($employee_id)
	{
		$this->db->from('employees');	
		$this->db->join('people', 'people.person_id = employees.person_id');
		$this->db->where('employees.person_id',$employee_id);
		$query = $this->db->get();
		
		if($query->num_rows()==1) {return $query->row();}
		else
		{	$person_obj=parent::get_info(-1);
			$fields = $this->db->list_fields('employees');
			foreach ($fields as $field) {$person_obj->$field='';}
		return $person_obj;
		}
	}


	function get_black_friday()
	{
      $result = 0;
      if(!$this->get_text('black_friday_procent')) { return 0; }
		$bFriday_start = (int)date('ymd',strtotime($this->get_text('black_friday_start')));
		$bFriday_stop  = (int)date('ymd',strtotime($this->get_text('black_friday_stop')));
		$date_now = (int)date('ymd');
		if($date_now>=$bFriday_start and $date_now<=$bFriday_stop) {$result=1;}
	return $result;
	}
	
	function get_saleDisc()
	{
      $result = 0;
      if(!$this->get_text('sale_discount_procent')) { return 0; }
		$saleDisc_start = (int)date('ymd',strtotime($this->get_text('sale_discount_start')));
		$saleDisc_stop  = (int)date('ymd',strtotime($this->get_text('sale_discount_stop')));
		$date_now = (int)date('ymd');
		if($date_now>=$saleDisc_start and $date_now<=$saleDisc_stop) {$result=1;}
	return $result;
	}
	
	function get_three4two()
	{
      $result = 0;
      if(!$this->get_text('three4two_key')) { return 0; }
		$three4two_start = (int)date('ymd',strtotime($this->get_text('three4two_start')));
		$three4two_stop  = (int)date('ymd',strtotime($this->get_text('three4two_stop')));
		$date_now = (int)date('ymd');
		if($date_now>=$three4two_start and $date_now<=$three4two_stop) {$result=1;}
	return $result;
	}
	
	function allow_three4two()
	{
      // ако е 1 -> разрешава на ВСИЧКИ Магазини без Красьо да играят 3=2.
		return $this->get_text('three4two_key');
	}
	
// =============================== ONLINE ================================== //
	function exists_online_item($item_number)
	{
		$this->db->from('eShop_online_items');
		$this->db->where('item_number',$item_number);
		$query = $this->db->get();
	return ($query->num_rows()==1);
	}

	// тества САМО key_new
	function check_active_new($item_number)
	{
		$this->db->from('eShop_online_items');
		$this->db->where('item_number',$item_number);
		$this->db->where('key_new',1);
		$this->db->where('deleted',0);
		$query = $this->db->get();
	return ($query->num_rows()==1);
	}
	
	// тества САМО category_id
	function check_active_category($item_number,$cat=0)
	{
		$this->db->from('eShop_online_items');
		$this->db->where('item_number',$item_number);
		$this->db->where('cat',$cat);
		$this->db->where('deleted',0);
		$query = $this->db->get();
	return ($query->num_rows()==1);
	}	
	
	// тази функция се ползва за BiSOFT търсачката и в колекции.
	function is_active_online_item($item_number)
	{
		$this->db->from('eShop_online_items');
		$this->db->where('item_number',$item_number);
		$this->db->where('deleted',0);
		$query = $this->db->get();
	return ($query->num_rows()==1);
	}
	
	function get_active_online_item($item_number)
	{
		$this->db->from('eShop_online_items');
		$this->db->where('item_number',$item_number);
		$this->db->where('deleted',0);
		$query = $this->db->get();
      if($query->num_rows()==1) { return $query->row();}
   return 0;
	}
	
	function get_online_item($item_number)
	{
		$this->db->from('eShop_online_items');
		$this->db->where('item_number',$item_number);
		$query = $this->db->get();
      if($query->num_rows()==1) { return $query->row();}
   return 0;
	}
	

	function get_online_item_name($item_number)
	{
		$this->db->from('eShop_online_items');
		$this->db->where('item_number',$item_number);
		$query = $this->db->get();
      if($query->num_rows()==1) { return $query->row()->name_bg;}
   return 0;
	}
	
	function get_online_item_name_en($item_number)
	{
		$this->db->from('eShop_online_items');
		$this->db->where('item_number',$item_number);
		$query = $this->db->get();
      if($query->num_rows()==1) { return $query->row()->name_en;}
   return 0;
	}


	function get_online_item_names($inum,$lang="_bg")
	{
		$this->db->from('eShop_online_items'.$lang);
		$this->db->where('item_number',$inum);
		$query = $this->db->get();
      if($query->num_rows()==1) { return $query->row();}
   return 0;
	}
	
	function get_online_item_EN($inum,$lang="EN")
	{
      $lng = strtolower($lang);
		$this->db->from("eShop_online_items_$lng");
		$this->db->where('item_number',$inum);
		$query = $this->db->get();
      if($query->num_rows()==1) { return $query->row();}
   return 0;
	}	
	
	
	
	
	
	function exists_lang_DB($inum,$lang="_en")
	{
      $this->db->from('eShop_online_items'.$lang);
      $this->db->where('item_number',$inum);
		$query = $this->db->get();
      if($query->num_rows()==1) { return true; }
      else { return false; }
	}
	
	
	function save_items_lang_DB(&$data,$lang="_en")
	{
      $inum = $data['item_number'];
		if (!$inum or !$this->exists_lang_DB($inum,$lang))
		{
			if($this->db->insert('eShop_online_items'.$lang,$data))
			{ $data['id']=$this->db->insert_id();return true;}
		return false;
		}
		$this->db->where('item_number',$inum);
	return $this->db->update('eShop_online_items'.$lang,$data);
	}
	
	
	
	
	
	
	// =============== използва се за Google Translator =============== //
	function load_item_names($lang="_bg")
	{
		$this->db->from('eShop_online_items'.$lang);
		$this->db->where('deleted',0);
		$query = $this->db->get();
      if($query->num_rows()>0) { return $query->result_array(); }
   return 0;
	}
	
	
	

	function get_online_item_groupColor($item_number)
	{
		$this->db->from('eShop_online_items');
		$this->db->where('item_number',$item_number);
		$query = $this->db->get();
      if($query->num_rows()==1) { return $query->row()->group_color;}
   return 0;
	}
	
	function get_online_item_name_color($item_number,$lang='bulgarian')
	{
		$this->db->from('eShop_online_items');
		$this->db->where('item_number',$item_number);
		$query = $this->db->get();
      if($query->num_rows()==1)
         { 
            if($lang=='bulgarian')
               {$item_name =$query->row()->name_bg.' '.$query->row()->color_bg;}
            else
               {$item_name =$query->row()->name_en.' '.$query->row()->color_en;}	  
         return $item_name;
         }
   return false;
	}

	function get_item_picDir($item)
	{
		$picDir = '_0x/';
		if($item > 9999 and $item < 100000)
		{
		  $item_1st_L = substr($item,0,1);
		  switch($item_1st_L)
		  {
			 case '1': $picDir = '_1x/'; break;
			 case '2': $picDir = '_2x/'; break;
			 case '3': $picDir = '_3x/'; break;
			 case '4': $picDir = '_4x/'; break;
			 case '5': $picDir = '_5x/'; break;
			 case '6': $picDir = '_6x/'; break;
			 case '7': $picDir = '_7x/'; break;
			 case '8': $picDir = '_8x/'; break;
			 case '9': $picDir = '_9x/'; break;
		  }
		}
	return $picDir;
	}
	
	function delete_online_item($item_number)
	{
		$this->db->from('eShop_online_items');
		$this->db->where('item_number',$item_number);	
	return $this->db->update('eShop_online_items', array('item_number' => $item_number, 'deleted' => 1));
	}

	function exists_giftemail($email)
	{
		$this->db->from('giftcards');
		$this->db->where('uguomu',$email);
		$query = $this->db->get();
	return ($query->num_rows()==1);
	}

	function count_all_items($cat=0,$qty=0)
	{
		$this->db->from('eShop_online_items');
		if($cat!='0') {$this->db->where('cat',$cat);}
		if($qty) {$this->db->where('qty > 0');}
		$this->db->where('deleted',0);
	return $this->db->count_all_results();
	}	
	
	
	function count_all_new_items($qty=0)
	{
		$this->db->from('eShop_online_items');
		$this->db->where('key_new',1);
		if($qty) {$this->db->where('qty > 0');}
		$this->db->where('deleted',0);
	return $this->db->count_all_results();
	}
	
	function count_all_sale_items($qty=0)
	{
		$this->db->from('eShop_online_items');
		$this->db->where('price_3 > 0');
		if($qty) {$this->db->where('qty > 0');}
		$this->db->where('deleted',0);
	return $this->db->count_all_results();
	}
	
	
	function count_all_style_items($style=0)
	{
		$this->db->from('eShop_online_items');
		$this->db->where('style',$style);
		$this->db->where('qty > 0');
		$this->db->where('deleted',0);
	return $this->db->count_all_results();
	}
	
	
	/* Returns all online items */
	function get_all_items($limit=10000,$offset=0,$qty=0)
	{
		$this->db->from('eShop_online_items');
		if($qty) {$this->db->where('qty > 0');}
		$this->db->where('deleted',0);
		$this->db->order_by('position', 'desc');
		$this->db->limit($limit);
		$this->db->offset($offset);
	return $this->db->get();
	}
	
	/* Returns all NEW online items */
	function get_all_new_items($limit=10000,$offset=0,$qty=0)
	{
		$this->db->from('eShop_online_items');
		$this->db->where('key_new',1);
		$this->db->where('deleted',0);
		if($qty) {$this->db->where('qty > 0');}
		$this->db->order_by('position', 'desc');
		$this->db->limit($limit);
		$this->db->offset($offset);
	return $this->db->get();
	}

	/* Returns category online items */
	function get_all_catitems($cat=0,$limit=10000,$offset=0,$qty=0)
	{
		$this->db->from('eShop_online_items');
		if($cat) {$this->db->where('cat',$cat);}
		if($qty) {$this->db->where('qty > 0');}
		$this->db->where('deleted',0);
		$this->db->order_by('position', 'desc');
		$this->db->limit($limit);
		$this->db->offset($offset);
	return $this->db->get();
	}
	
	/* Returns all NEW online items */
	function get_all_style_items($style,$limit=10000,$offset=0,$qty=0)
	{
		$this->db->from('eShop_online_items');
		$this->db->where('style',$style);
		$this->db->where('deleted',0);
		$this->db->where('qty > 0');
		$this->db->order_by('position', 'desc');
		$this->db->limit($limit);
		$this->db->offset($offset);
	return $this->db->get();
	}	
	
	/* Returns accessory items */
	function get_all_accs($limit=10000,$offset=0)
	{
		$this->db->from('eShop_online_items');
		$this->db->where('deleted',0);
		$this->db->where('cat > 900');
		$this->db->where('qty > 0');
		$this->db->order_by('position', 'desc');
		$this->db->limit($limit);
		$this->db->offset($offset);
	return $this->db->get();
	}
	
	// не се използва ...
	function get_collections()
	{
		$this->db->from('collections');
		$this->db->where('deleted = 0');
		$this->db->order_by("key", "asc");
	return $this->db->get();		
	}

/* ===================== SHOPS ======================= */	
	
/* ===================== Key NEW ======================= */
	function change_keyNEW($inum=0,$coll=0,$key_NEW=0)
	{
		$item_data=array(
			'item_number' => $inum,
                'coll' => $coll,
				 'key_new' => $key_NEW);
				 
		$this->db->from('eShop_online_items');	 
		$this->db->where('item_number',$inum);
		$this->db->where('deleted',0);
	return $this->db->update('eShop_online_items',$item_data);	
	}

	function set_collection_NEW($coll=0,$key_NEW=0)
	{
		$this->db->where('coll',$coll);
		$this->db->where('deleted',0);
		$coll_data=array('coll'=>$coll,'key_new'=>$key_NEW);
	return $this->db->update('eShop_online_items',$coll_data);	
	}

	function reset_keyNEW($inum=0)
	{
		$item_data=array(
			'item_number' => $inum,
				 'key_new' => 0 );
				 
		$this->db->from('eShop_online_items');	 
		$this->db->where('item_number',$inum);
	return $this->db->update('eShop_online_items',$item_data);	
	}
	
/* ===================== Key PROMO ======================= */
	function change_keyPROMO($inum=0,$coll=0,$key_PROMO=0)
	{
		$item_data=array(
			'item_number' => $inum,
                'coll' => $coll,
				   'promo' => $key_PROMO);
				 
		$this->db->from('eShop_online_items');	 
		$this->db->where('item_number',$inum);
		$this->db->where('deleted',0);
	return $this->db->update('eShop_online_items',$item_data);	
	}
	
	function reset_keyPROMO($inum=0)
	{
		$item_data=array(
			'item_number' => $inum,
				   'promo' => 0 );
				 
		$this->db->from('eShop_online_items');	 
		$this->db->where('item_number',$inum);
	return $this->db->update('eShop_online_items',$item_data);	
	}
	
	function set_collection_PROMO($coll,$key_PROMO)
	{
		$this->db->where('coll',$coll);
		$this->db->where('deleted',0);
		$coll_data=array('coll'=>$coll,'promo'=>$key_PROMO);
	return $this->db->update('eShop_online_items',$coll_data);	
	}
	
	function set_collection_BLACK($coll,$key_BLACK)
	{
		$this->db->where('coll',$coll);
		$this->db->where('deleted',0);
		$coll_data=array('coll'=>$coll,'black_price'=>$key_BLACK);
	return $this->db->update('eShop_online_items',$coll_data);	
	}
	
	
/* ===================================item_number ============================ */
	function exists_by_number($item_number)
	{
		$this->db->from('items');
		$this->db->where('item_number',$item_number);
		$this->db->where('location',0);
		$query = $this->db->get();
	return ($query->num_rows()==1);
	}
	
	function get_info($item_number)
	{
		$this->db->from('items');
		$this->db->where('item_number',$item_number);
		$query = $this->db->get();
      if($query->num_rows()==1) { return $query->row();}
   return false;
	}
	
	/* справки от складовете */
	function exists_in_sklad($inum)
	{
      $this->db->from('sklad');
      $this->db->where('inum',$inum);
      $this->db->where('skl',0);
      $query=$this->db->get();
      if($query->num_rows()==1) {return true;}
      else {return false;}
	}
	
	/* проверка на sklad */
	function check_in_sklad()
	{
		$this->db->select(
				  'inum,
					qty,
					price_2,
					price_3',false);
      $this->db->from('sklad');
      $this->db->where('qty > 0');
      $this->db->where('deleted',0);
      $this->db->order_by('inum','asc');
		$query=$this->db->get();
		if($query->num_rows()>0) {return $query;}
      else {return 0;}
	}		
	
	/* извадка на sklad */
	function get_sklad()
	{
      $this->db->from('sklad');
      $this->db->where('qty > 0');
		$query=$this->db->get();
		if($query->num_rows()>0) {return $query;}
      else {return 0;}
	}	
	
	/* извадка от sklad на артикул */
	function get_sklad_info($inum)
	{
      $this->db->from('sklad');
      $this->db->where('inum',$inum);
      $this->db->where('skl',0);
		$query=$this->db->get();
		if($query->num_rows()==1) {return $query->row();}
      else {return 0;}
	}
	
	/*	Updates an item in SKLAD */
	function update_sklad($skl_data,$inum)
	{
		if (!$this->exists_in_sklad($inum)){return 0;}
		$this->db->where('inum',$inum);
	return $this->db->update('sklad',$skl_data);
	}
	
	
/* ------------------ ONLINE SKLAD ----------------------- */
	function exists_in_online_sklad($item_number)
	{
      $this->db->from('eShop_online_items');
      $this->db->where('item_number',$item_number);
      $query=$this->db->get();
      if($query->num_rows()==1) {return true;}
      else {return 0;}
	}
	
	
	function get_online_sklad()
	{
      $this->db->from('eShop_online_items');
      $this->db->where('qty > 0');
		$query=$this->db->get();
		if($query->num_rows()>0) {return $query;}
      else {return 0;}
	}	


	/*	Updates an item in ONLINE SKLAD */
	function update_online_sklad($item_data,$item_number)
	{
		if (!$this->exists_in_online_sklad($item_number)){return 0;}
		$this->db->where('item_number',$item_number);
	return $this->db->update('eShop_online_items',$item_data);
	}	
/* ------------------ END ONLINE SKLAD ----------------------- */	
	
	
	/* Returns all users */
	function get_all_users()
	{
		$this->db->select(
				  'uguomu,
					client,
					phone,
					address',false);
		
		$this->db->from('eShop_online_xopa');
		$this->db->where('deleted',0);
		$this->db->order_by('uguomu', 'asc');
	return $this->db->get()->result_array();
	}
	
	/* Returns all guests */
	function get_all_guests()
	{
		$this->db->select(
				  'uguomu,
					client,
					phone,
					status,
					address',false);
		
		$this->db->from('eShop_online_xopa');
		$this->db->where('status','guest');
		$this->db->where('deleted',0);
		$this->db->order_by('uguomu', 'asc');
	return $this->db->get()->result_array();
	}
	
	
/* ==================== CATEGORIES ======================= */	
	function get_cat_id($key)
	{
		$query = $this->db->get_where('category', array('key' => $key), 1);
		if($query->num_rows()==1)
		{ return $query->row()->cat_id;}
	return 0;
	}

	function get_all_categories()
	{
		$this->db->from('category');
		$this->db->order_by("key", "asc");
	return $this->db->get();		
	}
	
	public function get_cat_name($cat_id='0')
	{
		if($cat_id>0)
      {  $this->db->from('category');
			$this->db->where('cat_id',$cat_id);
			$this->db->where('deleted = 0');
			$query = $this->db->get();
			if($query->num_rows()==1)
				  { return $query->row()->category_bg;}
			else { return '';}
		}
		else { return '';}
	}
	
	public function get_cat_name_en($cat_id='0')
	{
		if($cat_id>0)
      {  $this->db->from('category');
			$this->db->where('cat_id',$cat_id);
			$this->db->where('deleted = 0');
			$query = $this->db->get();
			if($query->num_rows()==1)
				  { return $query->row()->category_en;}
			else { return '';}
		}
		else { return '';}
	}
	
	public function get_cat_name_gr($cat_id='0')
	{
		if($cat_id>0)
      {  $this->db->from('category');
			$this->db->where('cat_id',$cat_id);
			$this->db->where('deleted = 0');
			$query = $this->db->get();
			if($query->num_rows()==1)
				  { return $query->row()->category_gr;}
			else { return '';}
		}
		else { return '';}
	}
	
	public function get_cat_name_ro($cat_id='0')
	{
		if($cat_id>0)
      {  $this->db->from('category');
			$this->db->where('cat_id',$cat_id);
			$this->db->where('deleted = 0');
			$query = $this->db->get();
			if($query->num_rows()==1)
				  { return $query->row()->category_ro;}
			else { return '';}
		}
		else { return '';}
	}
	
	
	
	public function get_cat_key($key=0,$lang='_bg')
	{
		if($key)
		{
			$this->db->from('category');
			$this->db->where('key',$key);
			$this->db->where('deleted = 0');
			$query = $this->db->get();
			if($query->num_rows()==1)
				  { 
                  if($lang=='_bg') {return $query->row()->category_bg;}
                  elseif($lang=='_en') {return $query->row()->category_en;}
              }
			else { return '';}
		}
		else { return '';}
	}
	
	public function get_cat_desc($key=0,$lang='_bg')
	{
		if($key)
		{
			$this->db->from('category');
			$this->db->where('key',$key);
			$this->db->where('deleted = 0');
			$query = $this->db->get();
			if($query->num_rows()==1)
				  { 
                  if($lang=='_bg') {return $query->row()->description_bg;}
                  elseif($lang=='_en') {return $query->row()->description_en;}
              }
			else { return '';}
		}
		else { return '';}
	}
	
	function get_item_style($inum)
	{
		$style = 0;
		$item_online = $this->get_online_item($inum);
		if($item_online)
		{ $style = $item_online->style; }
	return $style;
	}
	
/* ==================== CATEGORIES ======================= */	
	
	
	
	
	// много важна function ?!
	function get_item_price($inum)
	{
		$item_online = $this->get_online_item($inum);
		if($item_online)
		{
			$price_2 = $item_online->price_2;
			$price_3 = $item_online->price_3;
			$price = ($price_3 > 0) ? $price_3 : $price_2;
		}
		else { $price = 0; }
	return to_dot($price);
	}

	// само за eMAG exporter ....
	function get_price_2($inum)
	{
		$item_online = $this->get_online_item($inum);
		if($item_online) { $price = $item_online->price_2; }
		else { $price = 0; }
	return to_dot($price);
	}
	
	// само за eMAG exporter ....
	function get_price_3($inum)
	{
		$item_online = $this->get_online_item($inum);
		if($item_online) { $price = $item_online->price_3; }
		else { $price = 0; }
	return to_dot($price);
	}
	

	function get_black_price($inum,$skl)
	{
      $price = $price_2 = $price_3 = 0;
		$item_online = $this->get_online_item($inum);
		if($item_online)
		{
         $price_2 = (float)$item_online->price_2;
         $price_3 = (float)$item_online->price_3;
      }
		
		if ( (int)$price_3 > 0 ) { $price = $price_3;}
		else { $price = $price_2;}
		
		$bFriday_pro = (int)$this->get_text('black_friday_procent');
		if($this->get_black_friday() and $item_online)
		{
         if($bFriday_pro>0)
         {
				$black_price = (float)$item_online->black_price;
				$price_pro = round((100-$bFriday_pro)*$price_2/100,1);
         }
         else { $black_price = $price_pro = 0; }
         
         // ако има BlackPrice
         if($black_price>0) 
         {
            $price = $black_price;
            if($price_pro < $black_price) { $price = $price_pro; }
         }
         // ако НЯМА BlackPrice
         else
         {  $price = $price_pro; }
         
         // последно изравняване към III цена
         if( $price > $price_3 and $price_3 > 0 ) { $price = $price_3;}
      }
      else
      {
         $skl_info = $this->get_sklad_info($inum,0);
			if($skl_info) { $price_2 = (float)$skl_info->price_2; }
			if($bFriday_pro>0)
			{
				$price_pro = round((100-$bFriday_pro)*$price_2/100,1);
				$price = $price_pro;
         }
         else
         {
				if ( (int)$price_3 > 0 ) { $price = $price_3;}
				else { $price = $price_2;}
         }
      }

	return to_dot($price);
	}
	

	function get_saleDisc_price($inum)
	{
      $price = $saleDisc_pro = 0;
		$item_online = $this->get_online_item($inum);
		if($item_online) { $iprice = $this->get_item_price($inum); }

		if($this->get_saleDisc() and $item_online)
		{
			$iprice  = $this->get_price_2($inum);
			$price_3 = $this->get_price_3($inum);
         $saleDisc_pro = $this->get_text('sale_discount_procent');
         if($saleDisc_pro>0)
				{ $price = round((100-$saleDisc_pro)*$iprice/100,1); }
			else
				{ $price = $iprice; }
			
			if($price_3>0 and $price_3<$price)
				{ $price = $price_3; }
      }

	return to_dot($price);
	}

	function get_item_color($rgb)
	{
		$this->db->from('colors');
		$this->db->where('rgb',$rgb);
		$query = $this->db->get();
      if($query->num_rows()==1) { return $query->row();}
   return false;
	}

	function get_max_item_position()
	{
		$this->db->select('max(position) as max_position', false);
		$this->db->from('eShop_online_items');
		$this->db->where('deleted',0);
		$rezult = $this->db->get()->result_array();
	return $rezult['0']['max_position'];
	}

/* ======================================= SEARCH =============================== */
	/*	Get search suggestions to find items */
	function get_search_suggestions($search,$limit=25)
	{
		$suggestions = array();
	
		$this->db->from('eShop_online_items');
		$this->db->where('deleted',0);
		$this->db->like('name_bg', $search);
		$this->db->order_by("name_bg", "asc");
		$by_name_bg = $this->db->get();
		foreach($by_name_bg->result() as $row)
		{ $suggestions[]=$row->item_number.'|'.$row->name_bg;}

		$this->db->from('eShop_online_items');
		$this->db->where('deleted',0);
		$this->db->like('name_en', $search);
		$this->db->order_by("name_en", "asc");
		$by_name_en = $this->db->get();
		foreach($by_name_en->result() as $row)
		{ $suggestions[]=$row->item_number.'|'.$row->name_en;}
	
		$this->db->from('eShop_online_items');
		$this->db->where('deleted',0);
		$this->db->like('color_bg', $search);
		$this->db->order_by("color_bg", "asc");
		$by_color_bg = $this->db->get();
		foreach($by_color_bg->result() as $row)
		{ $suggestions[]=$row->item_number.'|'.$row->color_bg;}

		$this->db->from('eShop_online_items');
		$this->db->where('deleted',0);
		$this->db->like('color_en', $search);
		$this->db->order_by("color_en", "asc");
		$by_color_en = $this->db->get();
		foreach($by_color_en->result() as $row)
		{ $suggestions[]=$row->item_number.'|'.$row->name_en;}

		$this->db->from('eShop_online_items');
		$this->db->where('deleted',0);
		$this->db->like('keywords', $search);
		$this->db->order_by("keywords", "asc");
		$by_keywords = $this->db->get();
		foreach($by_keywords->result() as $row)
		{ $suggestions[]=$row->item_number.'|'.$row->keywords;}

		//only return $limit suggestions
		if(count($suggestions > $limit))
		{ $suggestions = array_slice($suggestions, 0, $limit);}

	return $suggestions;
	}

	function search($search)
	{
		$this->db->from('eShop_online_items');
		$this->db->where("(
		item_number LIKE '%".$this->db->escape_like_str($search)."%' or
		name_bg LIKE '%".$this->db->escape_like_str($search)."%' or 
		name_en LIKE '%".$this->db->escape_like_str($search)."%' or 
		color_bg LIKE '%".$this->db->escape_like_str($search)."%' or 
		color_en LIKE '%".$this->db->escape_like_str($search)."%' or
		keywords LIKE '%".$this->db->escape_like_str($search)."%') and deleted=0");
		$this->db->order_by("item_number", "desc");
	return $this->db->get();
	}

	function search_allitems($search)
	{
		$this->db->from('items');
		$this->db->where('item_number',$search);
	return $this->db->get();
	}

	
/* ======================================= GRABO =============================== */
	function exists_grabo_code($code=0)
	{
		$this->db->from('eShop_grabo');
		$this->db->where('code',$code);
		$query = $this->db->get();
	return ($query->num_rows()==1);
	}
	
	function get_grabo_code($code=0)
	{
		$this->db->from('eShop_grabo');
		$this->db->where('code',$code);
		$this->db->where('del',0);
		$query = $this->db->get();
		if($query->num_rows()==1){return $query->row();}
		else{return 0;}
	}

	function save_grabo_code( &$grabo_data, $code=0)
	{
		if (!$code or !$this->exists_grabo_code($code))
		{
			if($this->db->insert('eShop_grabo',$grabo_data))
			{ $grabo_data['grabo_id']=$this->db->insert_id();return true;}
		return false;
		}
		$this->db->where('code', $code);
	return $this->db->update('eShop_grabo',$grabo_data);
	}
	
	
/* ======================================= eMAG =============================== */
	function exists_eMAG_item($item_eMAG)
	{
		$this->db->from('eShop_online_eMAG');
		$this->db->where('item_eMAG',$item_eMAG);
		$query = $this->db->get();
	return ($query->num_rows()==1);
	}
	
	function exists_eMAG_our_item($inum)
	{
		$this->db->from('eShop_online_eMAG');
		$this->db->where('item_number',$inum);
		$this->db->where('status',1);
		$this->db->where('deleted',0);
		$query = $this->db->get();
	return ($query->num_rows()>0);
	}

	public function get_all_eMAG_items()
	{
		$this->db->from('eShop_online_eMAG');
		$this->db->where('deleted',0);
		$this->db->order_by('item_eMAG', 'acs');
	return $this->db->get();
	}	
	
	function get_eMAG_items($item_number)
	{
		$this->db->from('eShop_online_eMAG');
		$this->db->where('item_number',$item_number);
		$this->db->where('deleted',0);
		$this->db->order_by('item_eMAG', 'acs');
	return $this->db->get();
	}

	function save_eMAG_item( &$item_data, $item_eMAG=false)
	{
		if (!$item_eMAG or !$this->exists_eMAG_item($item_eMAG))
		{
			if($this->db->insert('eShop_online_eMAG',$item_data))
			{ $item_data['item_eMAG']=$this->db->insert_id();return true;}
		return false;
		}
		$this->db->where('item_eMAG', $item_eMAG);
	return $this->db->update('eShop_online_eMAG',$item_data);
	}

/* ===================================== USERS - ADMINS ============================== */
	function exists_email($email)
	{
		$this->db->from('eShop_online_xopa');
		$this->db->where('uguomu',$email);
		$query = $this->db->get();
	return ($query->num_rows()==1);
	}
	
	
	function get_admin($email)
	{
		$success=0;
		if($this->exists_email($email))
		{
			$this->db->from('eShop_online_xopa');
			$this->db->where('uguomu',$email);
			$this->db->where('status','admin');
			$query = $this->db->get();
			if ($query->num_rows()==1) {$success=1;}
		}
	return $success;
	}
	
	function get_shop($email)
	{
		if($this->exists_email($email))
		{
			$this->db->from('eShop_online_xopa');
			$this->db->where('uguomu',$email);
			$this->db->where('status','shop');
			$query = $this->db->get();
			if ($query->num_rows()==1) {return $query->row()->ip_addr;}
			else { return 0; }
		}
	return 0;
	}

	function get_person_info($person_id)
	{
		$query = $this->db->get_where('people', array('person_id' => $person_id), 1);
		if($query->num_rows()==1) { return $query->row();}
		else
		{	//create object with empty properties.
			$fields = $this->db->list_fields('people');
			$person_obj = new stdClass;
			foreach ($fields as $field) {	$person_obj->$field='';}
		return $person_obj;
		}
	}



	function send_to_email($email,$title,$msg)
	{
		$this->load->library('email');
		$config['mailtype'] = 'html';				
		$this->email->initialize($config);
		$this->email->from($this->config->item('email'), $this->config->item('company_eng'));
		$this->email->to($email); 
		$this->email->subject($title);
		$this->email->message($msg);	
		$success=$this->email->send();
	return $success;
	}

	function get_user_info($email)
	{
		$this->db->from('eShop_online_xopa');
		$this->db->where('uguomu',$email);
		$query = $this->db->get();
      if($query->num_rows()==1) { return $query->row();}
   return false;
	}

	function get_user_name($user,$admin=0)
	{
		$user_name='';
		if ( $user and $this->exists_email($user) ) // ако има в Базата ?! //
			{ $user_name = $this->get_user_info($user)->name;}
		elseif ($admin) // когато е само от BiSOFT - admin.
			{ $user_name = $this->get_user_info($user)->name;}
	return $user_name;
	}

	function get_names($user)
	{
		$user_names='';
		if ( $user and $this->exists_email($user) ) // ако има в Базата ?! //
			{ $user_names = $this->get_user_info($user)->name;
			  $user_names .= ' '.$this->get_user_info($user)->surname;}
	return $user_names;
	}

	function get_user_email($email)
	{
		$this->db->from('eShop_online_xopa');
		$this->db->where('uguomu',$email);
		$query = $this->db->get();
      if($query->num_rows()==1) { return $query->row();}
   return false;
	}

	function get_user_by_id($client_id)
	{
		$this->db->from('eShop_online_xopa');
		$this->db->where('client_id',$client_id);
		$query = $this->db->get();
      if($query->num_rows()==1) { return $query->row();}
   return false;
	}
/* ===================================== END USERS - ADMINS ============================== */


/* ===================================== GUESTS ============================== */
	function exists_guest($guest)
	{
		$this->db->from('eShop_online_xopa');
		$this->db->where('uguomu',$guest);
		$this->db->where('status','guest');
		$query = $this->db->get();
	return ($query->num_rows()==1);
	}

	function get_guest($email)
	{
		$success=0;
		if($this->exists_guest($email))
		{
			$this->db->from('eShop_online_xopa');
			$this->db->where('uguomu',$email);
			$this->db->where('status','guest');
			$query = $this->db->get();
			if ($query->num_rows()==1) {$success=1;}
		}
	return $success;
	}


	function get_guest_info($email)
	{
		$this->db->from('eShop_online_xopa');
		$this->db->where('uguomu',$email);
		$this->db->where('status','guest');
		$query = $this->db->get();
      if($query->num_rows()==1) 
      { return $query->row();}
   return 0;
	}

	function get_guest_name($guest=0)
	{
		$guest_name='';
		if ( $guest and $this->exists_guest($guest) ) // ако има в Базата ?! //
			{ $guest_name = $this->get_guest_info($guest)->name;}
	return $guest_name;
	}

	function get_guest_names($guest=0)
	{
		$guest_names = '';
		if ( $guest and $this->exists_guest($guest) ) // ако има в Базата ?! //
			{ $guest_names = $this->get_guest_info($guest)->name;
			  $guest_names .= ' '.$this->get_guest_info($guest)->surname;}
	return $guest_names;
	}

	function get_guest_by_id($guest_id=0)
	{
		$this->db->from('eShop_online_xopa');
		$this->db->where('client_id',$guest_id);
		$this->db->where('status','guest');
		$query = $this->db->get();
      if($query->num_rows()==1) {return $query->row();}
   return false;
	}
	
	function save_guest( &$guest_data, $guest=false)
	{	
		if (!$guest or !$this->exists_guest($guest))
		{
			if($this->db->insert('eShop_online_xopa',$guest_data))
			{ $guest_data['uguomu']=$this->db->insert_id();return true;}
		return false;
		}
		$this->db->where('uguomu', $guest);
	return $this->db->update('eShop_online_xopa',$guest_data);
	}
	
/* ===================================== END GUESTS ============================== */


/* =========================================   GIFT CARDS ========================= */
	function get_giftcard($giftcard)
	{
		$this->db->from('giftcards');
		$this->db->where('giftcard_number',$giftcard);
		$this->db->where('deleted',0);
		$query = $this->db->get();
      if($query->num_rows()==1) { return $query->row();}
   return false;
	}

	function exists_giftcard($giftcard)
	{
		$this->db->from('giftcards');
		$this->db->where('giftcard_number',$giftcard);
		$this->db->where('deleted',0);
		$query = $this->db->get();
      if($query->num_rows()==1) { return true;}
   return false;
	}

	function save_giftcard($data,$giftcard)
	{	
		if (!$giftcard or !$this->exists_giftcard($giftcard))
		{
			if($this->db->insert('giftcards',$data))
			{ $data['giftcard_number']=$this->db->insert_id();return true;}
		return false;
		}
		$this->db->where('giftcard_number', $giftcard);
	return $this->db->update('giftcards', $data);
	}
	
	
/* ================================== Feedbacks =============================== */
	function exists_feedback($feedback_id,$censor=0)
	{
		$this->db->from('eShop_online_feedback');
		$this->db->where('feedback_id',$feedback_id);
		$this->db->where('deleted',0);
		if($censor) {$this->db->where('censor',$censor);}
		$query = $this->db->get();
      if($query->num_rows()==1) { return true;}
   return false;
	}
	
	function exists_fb_item($item_number=0,$client_id=0,$censor=0)
	{
		$this->db->from('eShop_online_feedback');
		$this->db->where('item_number',$item_number);
		$this->db->where('client_id',$client_id);
		$this->db->where('deleted',0);
		if($censor) {$this->db->where('censor',$censor);}
		$query = $this->db->get();
      if($query->num_rows()==1) { return true;}
   return false;
	}
	
	function get_feedback($item_number=0,$client_id=0,$censor=1)
	{
		$this->db->from('eShop_online_feedback');
		$this->db->where('item_number',$item_number);
		$this->db->where('deleted',0);
		if($client_id){$this->db->where('client_id',$client_id);}
      if($censor>0){$this->db->where('censor',$censor);}
		$this->db->order_by('date','desc');
		$query = $this->db->get();
      if($query->num_rows()==0) { return false;}
   return $query->result_array();
	}

	function save_feedback(&$data)
	{	
		$this->db->insert('eShop_online_feedback',$data);
	return true;
	}
	
	function update_feedback($data,$item_number,$client_id)
	{
		$this->db->where('item_number', $item_number);
		$this->db->where('client_id', $client_id);
		$this->db->update('eShop_online_feedback',$data);

	return true;
	}
	
	function update_rating($item_number)
	{
      $item_rating = $status = 0;
      $all_ratings = $this->get_feedback($item_number,0,0);
      if($all_ratings)
      {
         $sum_rate = 0;
         $qty = count($all_ratings);
         foreach($all_ratings as $rate){$sum_rate += $rate['rating'];}
         $item_rating = round($sum_rate/$qty,0);
      }
      
      if($item_rating)
      {
         $data=array('item_number'=>$item_number,'rating'=>$item_rating,'rateQty'=>$qty);
         $this->db->trans_start();
            $this->db->where('item_number',$item_number);
            $this->db->update('eShop_online_items',$data);
         $this->db->trans_complete();
         $status = $this->db->trans_status();
      }
   return $status;
	}

/* ================================== Quick Orders =============================== */
	function exists_order($order_id)
	{
		$this->db->from('eShop_online_orders');
		$this->db->where('order_id',$order_id);
		$this->db->where('deleted',0);
		$query = $this->db->get();
      if($query->num_rows()==1) { return true;}
   return false;
	}
	
	function get_order($order_id,$item_number=0)
	{
		$this->db->from('eShop_online_orders');
		$this->db->where('order_id',$order_id);
		$this->db->where('deleted',0);
		if($item_number){$this->db->where('item_number',$item_number);}
		$this->db->order_by('date','desc');
		$query = $this->db->get();
      if($query->num_rows()==0) { return false;}
   return $query->result_array();
	}

	function save_order(&$data,$order_id=false)
	{	
		if (!$order_id or !$this->exists_order($order_id))
		{
			if($this->db->insert('eShop_online_orders',$data))
			{ $data['order_id']=$this->db->insert_id();return true;}
		return false;
		}
		$this->db->where('order_id', $order_id);
	return $this->db->update('eShop_online_orders', $data);
	}	
	
/* ================================== Check Emails =============================== */
	function check_email_password($email,$password)
	{	
		$user=0;
		if ($user_info=$this->get_user_email($email))
			{ $user_pasw=$user_info->MauHu4ku;
				if (!empty($user_pasw)) { if($user_pasw==$password) {$user=$email;} }
			}
		else {$user=0;}
	return $user;
	}

/* ================================== SAVE ================================== */	
	function save_user( &$user_data, $user=false)
	{	
		if (!$user or !$this->exists_user($user))
		{
			if($this->db->insert('eShop_online_xopa',$user_data))
			{ $user_data['uguomu']=$this->db->insert_id();return true;}
		return false;
		}
		$this->db->where('uguomu', $user);
	return $this->db->update('eShop_online_xopa',$user_data);
	}

/* --------------------------------- SAVE ITEM ------------------------------ */
	/*	Inserts or updates a item to any store	*/
	function save_item(&$item_data,$item_number=false)
	{	
		if (!$item_number or !$this->exists_by_number($item_number))
		{
			if($this->db->insert('items',$item_data))
			{ $item_data['item_number']=$this->db->insert_id();return true;}
		return false;
		}
		$this->db->where('item_number', $item_number);
	return $this->db->update('items',$item_data);
	}

/* --------------------------------- SAVE ONLINE-ITEM ------------------------------ */

	function save_online_item(&$item_data,$item_number=false)
	{	
		if(!$item_number or !$this->exists_online_item($item_number))
		{
			if($this->db->insert('eShop_online_items',$item_data))
			{ $item_data['item_number']=$this->db->insert_id();return true;}
			else { return false; }
		}
		else
		{
			$this->db->where('item_number', $item_number);
			return $this->db->update('eShop_online_items',$item_data);
		}
	}
	
	function exists_online_item_lang($item_number,$lang='_bg')
	{
		$this->db->from('eShop_online_items'.$lang);
		$this->db->where('item_number',$item_number);
		$this->db->where('deleted',0);
		$query = $this->db->get();
      if($query->num_rows()==1) { return true;}
   return false;
	}
	
	function save_online_item_lang(&$item_data,$item_number=false,$lang='_bg')
	{	
		if(!$item_number or !$this->exists_online_item_lang($item_number,$lang))
		{
			if($this->db->insert('eShop_online_items'.$lang,$item_data))
			{ $item_data['item_number']=$this->db->insert_id();return true;}
			else { return false; }
		}
		else
		{
			$this->db->where('item_number', $item_number);
			return $this->db->update('eShop_online_items'.$lang,$item_data);
		}
	}
	
	
	function save_item_names(&$item_data,$item_number=false,$lang='BG')
	{	
		if(!$item_number or !$this->exists_online_item($item_number))
		{
			if($this->db->insert('eShop_online_items',$item_data))
			{ $item_data['item_number']=$this->db->insert_id();return true;}
			else { return false; }
		}
		else
		{
			$this->db->where('item_number', $item_number);
			return $this->db->update('eShop_online_items',$item_data);
		}
	}


/* ================================= SAVE GIFTCARD ============================= */	
	function save_giftemail( &$gift_data, $email=false)
	{	
		if (!$email or !$this->exists_giftemail($email))
		{
			if($this->db->insert('giftcards',$gift_data))
			{ $user_data['uguomu']=$this->db->insert_id();return true;}
		return false;
		}
		$this->db->where('uguomu', $email);
	return $this->db->update('giftcards',$gift_data);
	}

/* ================================= SAVE SETTINGS ============================= */	
	function save_settings( $key, $text_data )
	{	
		$this->db->trans_start();
			$data = array('key'=>$key, 'text_data'=>$text_data);
			$this->db->where('key', $key);
			$this->db->update('eShop_online_data', $data);
		$this->db->trans_complete();
	return $this->db->trans_status();
	}

/* ================================== SAVE SALE ================================== */
	function save_sale( $items, $sale_data )
	{	
		if(count($items)==0) { return -1;}
		$sklad_ns = 0;
      require_once(FCPATH."online/plugins/save_sale.php");
	return $doc_number;
	} // end of "save_sale"
/* ================================= END SAVE SALE ================================ */

	
/*	-------------------------------- GET SIZES ------------------------------ */
	function get_allow_sizes($item_number)
	{
		$item_info = $this->get_online_item($item_number);
		if($item_info and isset($item_info->sizes)) 
			{ $sizeQty = explode(',',$item_info->sizes);$allow_sizes = $sizeQty[0]; } // размерни
		else 
			{ $allow_sizes = 0; } // безразмерни
	return $allow_sizes;
	}

	/*	Gets SIZES about any item */
	function get_size_info($item_number)
	{
		$allow_sizes = $this->get_allow_sizes($item_number);
	return $this->online_lib->get_size_info($item_number,$allow_sizes);
	}


	function get_mySize( $item_number,$Qty=array() )
	{ 
		$size='';
		$allow_sizes = $this->get_allow_sizes($item_number);
		$all_sizes = $this->get_size_info($item_number);
		if($allow_sizes and $Qty)
		{
         for($i=1;$i<11;$i++) { if($Qty[$i]>0) {$size=$all_sizes[$i];} }
      }
	return $size;
	}
/*	============================= END GET SIZES ============================== */




/*	=========================== Data Bases =========================== */

/* ------------------------------------- SALES ----------------------------- */
	public function getSalesColumns($key=1)
	{ return $this->online_lib->getSalesColumns($key);}

	public function getSalesData()
	{
		$period = date('ym');
		$doc_data_old = array();
	// тегля от ПРЕДНАТА База Данни //
		if ( date('m')>1 ) 
			{ $vedom_old='V'.($period-1);} // работи от Февруари-Декември тек.година //
		else
			{ $vedom_old='V'.(date('y')-1).'12';} // прихваща Декември предната година //
			
		$this->db->select('
				mode_id,	
				doc_number,
				doc_date,
				client,
				total_qty,
				total_sum,
				pay_type,
				pay_amount,
				pay_sale,
				delivery, delivery_txt,
				employee,
				date_start,
				comment',	false);

		$this->db->from($vedom_old);
		$this->db->where('mode_id in ("OM", "OMi", "OMB")');
		$this->db->where('pay_sale',0);
		$this->db->where('deleted',0);
		$this->db->order_by('doc_id', 'asc');
		$doc_data_old = $this->db->get()->result_array();

	// тегля от СЕГАШНА База Данни //	
		$vedom_now='V'. $period;
		$doc_data_now = array();
		$this->db->select('
				mode_id,	
				doc_number,
				doc_date,
				client,
				total_qty,
				total_sum,
				pay_type,
				pay_amount,
				pay_sale,
				delivery, delivery_txt,
				employee,
				date_start,
				comment',	false);

			$this->db->from($vedom_now);
			$this->db->where('mode_id in ("OM", "OMi", "OMB")');
			$this->db->where('pay_sale',0);
			$this->db->where('deleted',0);
			$this->db->order_by('doc_id', 'asc');
			$doc_data_now = $this->db->get()->result_array();

	return array_merge($doc_data_old,$doc_data_now);;
	}


	public function getSaleItemsColumns($key)
	{ return $this->online_lib->getSaleItemsColumns($key);}

	public function getSaleItemsData($vedom,$doc_number)
	{
		$db_sales 		 = $vedom;
		$db_sales_items = $db_sales.'_items';

		$this->db->select('
				line,
				item_number,
				item_name,
				item_qty,
				item_unit_price,
				item_discount,
				item_taxes,
				costsale,
				order_id,
				supplier_id,
				mode_id,
				deleted', false);

		$this->db->from($db_sales_items);
		$this->db->where('doc_number',$doc_number);
		$this->db->where('mode_id in ("OM", "OMi", "OMB")');
		$this->db->where('deleted = 0');

		$this->db->order_by('line', 'asc');

	return $this->db->get()->result_array();
	}
	
	public function save_SaleItems_status($doc_number,$inum=0,$status=0)
	{
		$db_items = 'V'.substr($doc_number,0,4).'_items';
		if($inum)
         { 
           $data = array('doc_number' => $doc_number, 'item_number' => $inum, 'supplier_id' => $status );
           $this->db->where('item_number', $inum);
         }
      else
         { $data = array('doc_number' => $doc_number, 'supplier_id' => $status );}        

      $this->db->where('doc_number', $doc_number);
      $this->db->where('deleted', 0);

	return $this->db->update($db_items, $data);
	}



/* ----------------------------------------- ITEMS ----------------------------- */
	public function getItemsColumns($key=1)
	{ return $this->online_lib->getItemsColumns($key);}

	public function getItemsData()
	{
		$this->db->from('eShop_online_items');
		$this->db->where('deleted = 0');
		$this->db->order_by('item_number', 'acs');
	return $this->db->get()->result_array();
	}

/* ------------------------------- КОЛЕКЦИИ ----------------------------- */
	public function getCollectionsColumns($key=1)
	{ return $this->online_lib->getCollectionsColumns($key);}

	
	public function getCollectionsData($coll)
	{
		$this->db->from('eShop_online_items');
		$this->db->where('coll',$coll);
		$this->db->where('deleted',0);
		$this->db->order_by('item_number');
	return $this->db->get()->result_array();
	}
	
	public function getCollectionsSklad($coll)
	{
		$this->db->from('sklad');
		$this->db->where('coll',$coll);
		$this->db->where('skl',0);
		$this->db->where('qty > 0');
		$this->db->where('del',0);
		$this->db->order_by('inum');
	return $this->db->get()->result_array();
	}
	
/* ----------------------------------- USERS ---------------------------- */	

	public function getUsersColumns($key=1)
	{ return $this->online_lib->getUsersColumns($key);}

	public function getUsersData($user='all')
	{
		$this->db->select('
				client_id,
				client,
				name,
				surname,
				uguomu,
				phone,
				address,
				courier,
				reg_date_time,
				subscribe,
				status',	false);

		$this->db->from('eShop_online_xopa');
		$this->db->where('status', 'user');

		if ($user!='all')
			{
				$this->db->where("(
				client LIKE '%".$this->db->escape_like_str($user)."%' or
				name LIKE '%".$this->db->escape_like_str($user)."%' or
				surname LIKE '%".$this->db->escape_like_str($user)."%') AND deleted = 0");
			}

		$this->db->order_by('client_id', 'desc');

		return $this->db->get()->result_array();
	}

/* ----------------------------------- GUESTS ---------------------------- */
	public function getGuestsColumns($key=1)
	{ return $this->online_lib->getGuestsColumns($key);}

	public function getGuestsData($user='all')
	{
		$this->db->select('
				client_id,
				client,
				name,
				surname,
				uguomu,
				phone,
				address,
				courier,
				reg_date_time,
				subscribe,
				status',	false);

		$this->db->from('eShop_online_xopa');
		$this->db->where('status', 'guest');

		if ($user!='all')
			{
				$this->db->where("(
				client LIKE '%".$this->db->escape_like_str($user)."%' or 
				uguomu LIKE '%".$this->db->escape_like_str($user)."%' or
				name LIKE '%".$this->db->escape_like_str($user)."%' or
				surname LIKE '%".$this->db->escape_like_str($user)."%') AND deleted = 0");
			}

		$this->db->order_by('reg_date_time', 'desc');

		return $this->db->get()->result_array();
	}

/* ----------------------------------- SUBSCRIBERS ---------------------------- */
	public function getSubscribersColumns($key=1)
	{ return $this->online_lib->getSubscribersColumns($key);}

	public function getSubscribersData($user='all')
	{
		$this->db->select('
				client_id,
				client,
				status,
				ip_addr,
				uguomu,
				comments,
				reg_date_time',	false);

		$this->db->from('eShop_online_xopa');
		$this->db->where('subscribe','1');
		$this->db->where('deleted',0);

		if ($user!='all')
			{				
				$this->db->where("(
				client LIKE '%".$this->db->escape_like_str($user)."%' or 
				uguomu LIKE '%".$this->db->escape_like_str($user)."%') AND deleted = 0");
			}

		$this->db->order_by('client', 'asc');

	return $this->db->get()->result_array();
	}

	public function getAdminColumns($key=1)
	{ return $this->online_lib->getAdminColumns($key);}

	public function getAdminData()
	{
		$this->db->select('
				client_id,	
				name,
				surname,
				uguomu,
				phone,
				address,
				reg_date_time,
				subscribe',	false);

		$this->db->from('eShop_online_xopa');
		$this->db->where('deleted = 0');
		$this->db->where('status','admin');
		$this->db->order_by('client_id', 'asc');

	return $this->db->get()->result_array();
	}

	public function getGiftcardsColumns($key=1)
	{ return $this->online_lib->getGiftcardsColumns($key);}

	public function getGiftcardsData()
	{
		$this->db->select('
				giftcard_id,
				giftcard_number,	
				owner,
				uguomu,
				cost,
				value,
				deleted',	false);

		$this->db->from('giftcards');
		$this->db->where('deleted = 0');
		$this->db->order_by('giftcard_id', 'asc');

	return $this->db->get()->result_array();
	}

	public function getReviewsColumns($key=1)
	{ return $this->online_lib->getReviewsColumns($key);}
	
	public function getReviewsData($user='all',$censor=0)
	{
		$this->db->select('
				feedback_id,
				date,
				item_number,
				rating,
				feedback,
				client,
				client_id,
				email,
				censor',	false);

		$this->db->from('eShop_online_feedback');
		if($censor) {$this->db->where('censor', '0');}

		if ($user!='all')
			{
				$this->db->where("(client LIKE '%".$this->db->escape_like_str($user)."%') AND deleted = 0");
			}

		$this->db->order_by('date', 'desc');
	return $this->db->get()->result_array();
	}
	
	function save_review_censor($feed=0,$censor=0)
	{
		$data = array('feedback_id'=>$feed, 'censor'=>$censor);
		$this->db->where('feedback_id', $feed);
	return $this->db->update('eShop_online_feedback', $data);
	}
	
	
/* ====================== Orders ======================= */	
	public function exists_quick_order($order_id)
	{
		$this->db->from('eShop_online_orders');
		$this->db->where('order_id',$order_id);
		$query = $this->db->get();
	return ($query->num_rows()==1);
	}
	
	public function get_quick_order($order_id)
	{
		$this->db->from('eShop_online_orders');
		$this->db->where('order_id',$order_id);
		$this->db->where('deleted',0);
		$query = $this->db->get();
		if($query->num_rows()==0) 
         { return false;}
      else
         { return $query->result_array();}
	}
	
	public function getOrdersColumns($key=1)
	{ return $this->online_lib->getOrdersColumns($key);}
	
	public function getOrdersData($status=0)
	{
		$this->db->from('eShop_online_orders');
		$this->db->where('deleted', '0');
		if($status) {$this->db->where('status', '0');}
		$this->db->order_by('date', 'desc');
	return $this->db->get()->result_array();
	}
	
	function update_order_status($order_id=0,$status=0)
	{
		$data = array('order_id'=>$order_id, 'status'=>$status, 'deleted'=>0);
		$this->db->where('order_id', $order_id);
	return $this->db->update('eShop_online_orders', $data);
	}

	public function check_myOrders($mobile=0,$item_number=0)
	{
		$this->db->from('eShop_online_orders');
		$this->db->where('status', '0');
		if($mobile) {$this->db->where('mobile', $mobile);}
		if($item_number) {$this->db->where('item_number', $item_number);}
		$query = $this->db->get();
	return ($query->num_rows()>0);
	}
	
	
/* ====================  Returns  ====================== */	
	public function exists_return_request($return_id)
	{
		$this->db->from('eShop_online_returns');
		$this->db->where('return_id',$return_id);
		$query = $this->db->get();
	return ($query->num_rows()==1);
	}
	
	public function get_return_request($return_id)
	{
		$this->db->from('eShop_online_returns');
		$this->db->where('return_id',$return_id);
		$this->db->where('deleted',0);
		$query = $this->db->get();
		if($query->num_rows()==0) 
         { return false;}
      else
         { return $query->result_array();}
	}
	
	public function getReturnsColumns($key=1)
	{ return $this->online_lib->getReturnsColumns();}
	
	public function getReturnsData($status=0)
	{
		$this->db->from('eShop_online_returns');
		$this->db->where('deleted', '0');
		if($status) {$this->db->where('status', '0');}
		$this->db->order_by('date', 'desc');
	return $this->db->get()->result_array();
	}
	
	function update_return_status($return_id=0,$status=0)
	{
		$data = array('return_id'=>$return_id, 'status'=>$status, 'deleted'=>0);
		$this->db->where('return_id', $return_id);
	return $this->db->update('eShop_online_returns', $data);
	}
	
/* ================= ШЛЯКАВИЦА Converter ==================== */
	public function get_product_url($inum=0,$lang='BG')
	{
      $link = 0;
      $lng = strtolower($lang);

      if($inum>9999 and $inum<98000)
      {
         $item_info = $this->get_online_item((int)$inum);
         if($item_info)
			{

            // само на български
				$iname = str_replace(array("=", "-", '"', '"', "\'", "/" , '\"'), '', $item_info->name_bg);
				
				if($lang=='GR') 
				{ 
               $item_info_EN = $this->get_online_item_EN($inum,"gr");
               if($item_info_EN) { $iname = str_replace(array("=", "-", '"', '"', "\'", "/" , '\"'), '', $item_info_EN->name); }
            }
            elseif($lang=='RO')
				{ 
               $item_info_EN = $this->get_online_item_EN($inum,"ro");
               if($item_info_EN) { $iname = str_replace(array("=", "-", '"', '"', "\'", "/" , '\"'), '', $item_info_EN->name); }
            }
            elseif($lang=='EN')
            { $iname = str_replace(array("=", "-", '"', '"', "\'", "/" , '\"'), '', $item_info->name_en); }

            // сгобяваме
				$eng_name = $this->text_transfer($iname); // реално САМО за българския е нужно ...
				$icat     = $this->get_cat_url($item_info->cat);
            $link     = "$lng/$icat/$eng_name-$inum";          
         }
         else { $link = 0; }
      }
      return $link;
	}
	
	public function text_transfer($txt=0)
	{
      $en_txt = '';
      if($txt)
      {
         $txt = str_replace(array('=', ';', ':', '+', '\'', ',', '/', '|', '\\', '%', '^',
                                      '#', '"', '&', '!', '$', '*', '(', ')', '~'), '', 
                                      trim($txt) );
         
         $cyr = array(' ', 'а','б','в','г','д','е','ё','ж','з','и','й','к','л','м','н','о','п','р','с','т','у', 
                     'ф','х','ц','ч','ш','щ','ъ', 'ы','ь', 'э', 'ю','я',
                     'А','Б','В','Г','Д','Е','Ё','Ж','З','И','Й','К','Л','М','Н','О','П','Р','С','Т','У',
                     'Ф','Х','Ц','Ч','Ш','Щ','Ъ', 'Ы','Ь', 'Э', 'Ю','Я' );

         $lat = array( '-','a','b','v','g','d','e','e','zh','z','i','y','k','l','m','n','o','p','r','s','t','u',
                     'f' ,'h' ,'ts' ,'ch','sh' ,'sht' ,'a', 'yi', 'y', 'e' ,'yu' ,'ya','A','B','V','G','D','E','E','Zh',
                     'Z','I','Y','K','L','M','N','O','P','R','S','T','U',
                     'F' ,'H' ,'Ts' ,'Ch','Sh' ,'Sht' ,'A' ,'AI' ,'Y', 'E', 'Yu' ,'Ya' );

         $en_txt = str_replace($cyr, $lat, $txt);
      }
      return mb_strtolower($en_txt);
	}
	
	
   public function get_cat_url($cat_id=0)
	{
      $cat_txt = '';
      if($cat_id)
      {
				switch($cat_id)
				{
					case '0':   $cat_txt = ""; break;
					case '100': $cat_txt = "blazers"; break;
					case '101': $cat_txt = "blouses"; break;
					case '102': $cat_txt = "tshirts"; break;
					case '104': $cat_txt = "cardigan"; break;
					case '105': $cat_txt = "kidstop"; break;
					case '106': $cat_txt = "knitwear"; break;
					case '120': $cat_txt = "shirts-long-sleeve"; break;
					case '121': $cat_txt = "shirts-short-sleeve"; break;
					
					case '500': $cat_txt = "jeans"; 	break;
					case '501': $cat_txt = "pants-sport"; break;
					case '502': $cat_txt = "pants"; 	break;
					case '503': $cat_txt = "shorts"; 	break;
				
					case '602': $cat_txt = "spring-jackets"; break;
					case '705': $cat_txt = "winter-jackets"; break;
					case '700': $cat_txt = "suits"; break;
					case '701': $cat_txt = "suitshirt"; break;
					case '702': $cat_txt = "vest"; break;
			//		case '709': $cat_txt = "elegant"; break;
					case '710': $cat_txt = "sport"; break;
					case '801': $cat_txt = "coats"; break;
					
					case '990': $cat_txt = "ties"; break;
					case '982': $cat_txt = "bowties"; break;
					case '971': $cat_txt = "shoes"; break;
					case '981': $cat_txt = "belts"; break;
					case '986': $cat_txt = "scarves"; break;
					case '987': $cat_txt = "socks"; break;
					case '988': $cat_txt = "suspenders"; break;
					case '979': $cat_txt = "tiepins"; break;
					case '983': $cat_txt = "gloves"; break;
					case '972': $cat_txt = "mstickers"; break;
					case '976': $cat_txt = "pajamas"; break;
					case '961': $cat_txt = "mackapack"; break;
					
					case '709': $cat_txt = "abiturient"; break;
				}
      } // if($catKey)
      return $cat_txt;
	}
	
	
	
/* -------------------------- End  шлякавица ------------------------- */	
	
	
	
/* --------------------- ePay functions --------------------------- */
	function hmac($algo,$data,$passwd)
	{
			/* md5 and sha1 only */
			$algo=strtolower($algo);
			$p=array('md5'=>'H32','sha1'=>'H40');
			if(strlen($passwd)>64) $passwd=pack($p[$algo],$algo($passwd));
			if(strlen($passwd)<64) $passwd=str_pad($passwd,64,chr(0));

			$ipad=substr($passwd,0,64) ^ str_repeat(chr(0x36),64);
			$opad=substr($passwd,0,64) ^ str_repeat(chr(0x5C),64);

			return($algo($opad.pack($p[$algo],$algo($ipad.$data))));
	}	
	
/* ----------------------------------------- eMAG items ----------------------------- */
	public function getEmagHead($key=1)
	{ return $this->online_lib->getEmagHead($key);}

	public function exists_in_eMAG($item_number)
	{
		$this->db->from('eShop_online_eMAG');
		$this->db->where('item_number',$item_number);
		$query = $this->db->get();
	return ($query->num_rows()>=1);
	}	
	
	public function getEmagData($item_number=0)
	{
         $this->db->select('
               status,
               item_size,
               item_eMAG,	
               item_number,
               item_name,
               item_category,
               item_color,
               item_sleeve,
               item_print,
               item_image', false);

         $this->db->from('eShop_online_eMAG');
         if($item_number>0) { $this->db->where('item_number',$item_number);}
         $this->db->where('deleted = 0');
         $this->db->order_by('item_eMAG', 'asc');

   return $this->db->get()->result_array();
	}

/*	============================= COMMON PAGES ============================== */
	// WebCounter
	public function visits_counter()
	{
		$counterVal = $this->get_visits();
		if(!isset($_SESSION['hasVisited']))
		{
			$_SESSION['hasVisited']="yes";
			$counterVal++;
			$this->save_visits($counterVal);
		}
	return $counterVal;
	}

	function get_visits()
	{
		$query = $this->db->get_where( 'eShop_online_data', array('key' => 'visits'), 1);
		if($query->num_rows()==1)
			{ return $query->row()->text_data;}
		else
			{ return "";}
	return "";
	}

	function save_visits($counter=0)
	{
		$data = array('key'=>'visits', 'text_data'=>$counter);
		$this->db->where('key', 'visits');
	return $this->db->update('eShop_online_data', $data);
	}

	function get_text($key)
	{
		$query = $this->db->get_where( 'eShop_online_data', array('key' => $key), 1);
		if($query->num_rows()==1) {return $query->row()->text_data;}
	return "";
	}

	function save_common_page( $page, $data )
	{
		$key = $page.'_bg';
		$page_bg = array( 'key' => $key,'text_data' => $data['page_bg'] );
		// проверка дали съществува BG key ?! //
		$query = $this->db->get_where('eShop_online_data', array('key'=>$key),1);
		if ($query->num_rows()==1)
			{ $this->db->where('key', $key);
			  $this->db->update('eShop_online_data',$page_bg);}
		else // нов запис //
			{ $this->db->insert('eShop_online_data',$page_bg);}
		
		$key = $page.'_en';
		$page_en = array( 'key' => $key,'text_data' => $data['page_en'] );
		// проверка дали съществува EN key ?! //
		$query = $this->db->get_where('eShop_online_data', array('key'=>$key),1);
		if ($query->num_rows()==1)
			{ $this->db->where('key', $key);
			  $this->db->update('eShop_online_data',$page_en);}
		else // нов запис //
			{ $this->db->insert('eShop_online_data',$page_en);}
	}
	

	function save_logs($file=0,$txt='')
	{
	   // $dirLOGs = '../Logs/';chdir($dirLOGs);
	   $dirLOGs = '../bFashion/';chdir($dirLOGs);
      $myfile = fopen($file, "a") or die("Unable to open file!");
         fwrite($myfile, "\n". $txt);
         fclose($myfile);       
   return true;
	}
	
	function test_subName($name_test=0,$ip_address=0)
	{ 
		$hack=1;
		$bcat = $this->get_text('category');
		if($name_test and $ip_address)
		{
			$incode = strtoupper(mb_detect_encoding(trim($name_test)));
			$str_len = strlen(trim($name_test));
			
			if($bcat==0 and $incode=='ASCII' and $str_len<12) {$hack=0;} // HANNA
			elseif($bcat==1 and $incode=='UTF-8' and $str_len<12) {$hack=0;} // VILLY STYLE
			elseif($bcat==2 and $incode=='UTF-8') {$hack=0;} // STYLER
			elseif($bcat==2 and $incode=='ASCII' and $str_len<8) {$hack=0;} // STYLER ?!?
		}
	return $hack;
	}
	

} ?>
