<?php class Recv extends CI_Model
{
	function exists($doc_id, $vedomPack)
	{  
	$db_recvs = $vedomPack;
		$this->db->from($db_recvs);
		$this->db->where('doc_id',$doc_id);
		$query = $this->db->get();
	return ($query->num_rows()==1);
	}

	public function get_info($doc_id, $vedomPack, $mode='recv')
	{  
		$this->db->from($vedomPack);
		$this->db->where('doc_id',$doc_id);
	return $this->db->get();
	}

	public function get_info_line($doc_id, $line, $vedomPack)
	{  
		$this->db->from($vedomPack.'_items');
		$this->db->where('doc_id', $doc_id);
		$this->db->where('line', $line);
	return $this->db->get();
	}

	function update($doc_data, $doc_id, $vedomPack)
	{  
		$this->db->where('doc_id', $doc_id);
		$success = $this->db->update( $vedomPack, $doc_data );
	return $success;
	}

	function update_items($items_data, $doc_id, $vedomItems)
	{  
		$this->db->where('doc_id', $doc_id);
		$success = $this->db->update( $vedomItems, $items_data );
	return $success;
	}

	function update_line_item($items_data, $doc_num, $line)
	{  
		$vedomPack = 'V'.substr($doc_num,0,4).'_items';
		$this->db->where('doc_number', $doc_num);
		$this->db->where('line', $line);
		$success = $this->db->update( $vedomPack, $items_data );
	return $success;
	}

	
	/* ================== КОНСИГНАТОРИ НАЧ.САЛДА =================== */
	function exists_supplier_due($supplier_id,$period)
	{
		if($period>2017) 
		{
			$this->db->from('saldo');
			$this->db->where('supplier_id',$supplier_id);
			$this->db->where('period',$period);
			$query = $this->db->get();
			return ($query->num_rows()==1);
		}
		else { return '0';}
	}
	
	function get_all_suppliers_due($period)
	{
		if($this->db->table_exists('saldo'))
		{
			$this->db->from('saldo');
			if($period>2017) {$this->db->where('period',$period);}
			$this->db->where('supplier_id > 0');
			$this->db->where('deleted',0);
			$query = $this->db->get();
			if($query->num_rows()>0)
				{ return $query->result_array();}
			else	{ return '0';}
		}
		else { return '0';}
	}
	
	function get_supplier_due($bisoft_id,$period)
	{
		if($this->db->table_exists('saldo'))
		{
			$this->db->from('saldo');
			$this->db->where('supplier_id',$bisoft_id);
			if($period>2017) {$this->db->where('period',$period);}
			$this->db->where('deleted',0);
			$query = $this->db->get();
			if($query->num_rows()==1)
				{ return $query->row();}
			else	{ return '0';}
		}
		else { return '0';}
	}
	
	function save_supplier_due(&$due_data)
	{	$supplier_id=$due_data['supplier_id'];$period=$due_data['period'];
		if($this->db->table_exists('saldo'))
		{
			if(!$this->exists_supplier_due($supplier_id,$period))
				{return $this->db->insert('saldo',$due_data);}
			$this->db->where('supplier_id',$supplier_id);$this->db->where('period',$period);
			return $this->db->update('saldo',$due_data);
		}
		return '0';
	}

	

	// -------------------------------------- РЕГИСТРАЦИЯ ------------------------------------//
	function save( $items, $mode, $total_qty, $kit ,$subtotal, $doc_number, $doc_name, 
			$bisoft_id, $supplier_discount, $employee_id, $payments, $comment)
	{
		if(!$items) {return -1;}
		if(count($items)==0 or $mode=='qtynote') {return -1;}
		
		if(null===$mode) { $mode='recv'; }
		$doc_id = false;
		
		$vedom = $this->BiSOFT_Model->get_vedom();
		$location = $this->BiSOFT_Model->get_location();
		$location_id = $location; // $this->BiSOFT_Model->get_mode_location();
		$commision_key = 0;
		$client_id = 0;

		if( $mode == 'consi' or $mode == 'consi_return') 
			{ $location_id = $this->BiSOFT_Model->get_mode_location();}
		
    	$db_recvs 		 = 'V'.date('ym', strtotime( $this->BiSOFT_Model->get_user_mode_date() ));
		$db_recvs_items = $db_recvs . '_items';
			$db_delivers 			= 'delivers';
			$db_delivers_items 	= $db_delivers . '_items';
		$doc_date 	= $this->BiSOFT_Model->get_user_mode_date();
		$doc_name	= $this->BiSOFT_Model->get_document_title($mode);	 // заглавието
		$mode_id 	= $this->BiSOFT_Model->get_pay_group($mode);			 // index-a 'Е', 'P'
		$pay_group  = $pay_type = $payment_types = $client_name = $supplier_name = '';
		$total_sum  = $subtotal; $supplier_id=0;

		$order_id = null;
		$kit_data = array();
		if(empty($bisoft_id)) { $bisoft_id = $this->BiSOFT_Model->get_mode_location(); }
		
		if( $mode=='manu' or $mode=='macka' or $mode=='stock' or $mode=='brak' or $mode=='qtynote') 
		{	$bisoft_id=0; $client_name=''; }
		elseif( $mode=='kit' )
		{	
			$bisoft_id = 0; 
			$client_name='';
			$order_id  = abs($kit); 
			
			if($kit > 0) // за комплектоване
			{
				$total_qty = abs($total_qty);
				$total_sum = abs($total_sum);
				$subtotal  = abs($subtotal);
			}
			else // за разкомплектоване
			{
				$total_qty = -abs($total_qty);
				$total_sum = -abs($total_sum);
				$subtotal  = -abs($subtotal);
			}
		}
		elseif( $mode=='shop_sgp' )
		{ 	
			$bisoft_id = $location;
			$client_id = $bisoft_id;
			$client_name = $this->Consignee->get_info_by_bisoft_id($bisoft_id)->company_name;
		}
		elseif ( $bisoft_id > 0 )
		{ 
			if( $mode=='recv' or $mode=='recv_return')  // Доставчик САМО
			{ 	$client_name 	= '';
				$client_id = 0;
				$supplier_name	= $this->Supplier->get_info_by_bisoft_id($bisoft_id)->company_name;
				$supplier_id	= $bisoft_id;
				$this->BiSOFT_Model->supplier_rating($bisoft_id,$subtotal);
			}
			elseif ( $mode=='consi' or $mode=='consi_return')  // Магазин САМО
			{	$client_name = $this->Consignee->get_info_by_bisoft_id($bisoft_id)->company_name;
				$client_id = $bisoft_id;
				if($this->Consignee->get_info_by_bisoft_id($bisoft_id)->status=='comis') {$commision_key = 1;}
			}
		} // end elseif 'bisoft_id' > 0 ...
		
		// зареждаме имената на Оператора ......
		$employee_name	=	$this->Employee->get_id_names($employee_id);
		$total_discount = $supplier_discount;

		// върната стока и всички (-) като цяло ...
		if( $mode=='consi_return' or $mode=='recv_return' or $mode=='shop_sgp' or $mode=='brak')
			{ 
				$total_qty = -abs($total_qty);
				$total_sum = -abs($total_sum);
				$subtotal  = -abs($subtotal);
				if($mode!='brak')	
					{ $pay_type = $this->lang->line('reports_returns');}
				else 
					{ $pay_type = $this->lang->line('reports_braked');}
			}

			
		if($comment==0 or empty(trim($comment))) {$comment='';}
		
		$mode_doc = $mode;
		if($mode=='macka') { $mode_doc = 'manu'; }

		// зареждам основните параметри на Главния документ ......
		$recvs_data = array(
				'mode'				=> $mode_doc,
				'mode_id'			=> $mode_id,
				'doc_number'		=> $doc_number,
				'doc_date' 			=> $doc_date,
				'total_qty'			=> $total_qty,
				'total_sum'			=> $subtotal,
				'total_discount'	=> $total_discount,
				'taxed'				=> 0,
				'pay_group'			=> '',
				'pay_type'			=> $pay_type,
				'pay_amount'		=> $total_sum,
				'order_id'			=> $order_id,
				'client_id'			=> $client_id,
				'client'				=> $client_name,
				'supplier_id'		=> $supplier_id,
				'supplier'			=> $supplier_name,
				'employee_id'		=> $employee_id,
				'employee'			=> $employee_name,
				'comment'			=> $comment,
				'location'			=> $location_id );
		
		// само за ВЪРНАТА Склад-ГП от Магазина ?!
		$recvs_delivery = $recvs_data;
		if( $mode=='shop_sgp' and $location != 0 )
			{ 
			  $recvs_delivery['mode'] = 'consi_return';
			  $recvs_delivery['mode_id'] = 'BC';
			  $recvs_delivery['total_qty'] = abs($total_qty);
			  $recvs_delivery['total_sum'] = abs($subtotal);
			  $recvs_delivery['pay_amount'] = abs($total_sum);
			  $recvs_delivery['location'] = 0; 
         }
 
//------------------------ записва в Базите Данни ---------------------- //
	$this->db->trans_start(); // --> отваря запис към БАЗАТА ...-->> 
			// вкарва данните на Главният Документ в База Данни 'V2004' //
			$this->db->insert( $db_recvs, $recvs_data);
			$doc_id = $this->db->insert_id();  // номерчето на документа

			$delivery_id = 0;
			if ( $mode == 'shop_sgp' and $location != 0)
				{
					$this->db->insert( $db_delivers, $recvs_delivery);
					$delivery_id = $this->db->insert_id();  // взимам номер от буфера
				}
// =================== започва обработка на всички артикули от количката =================== //
	$this->load->library('recv_lib');
	$mode_price = $this->recv_lib->get_mode_price();


if($items)
{
	foreach($items as $line=>$item)  // сканира количката ...
	{
		$inum=$item['inum'];$skl=$item['skl'];
		$name='Н-Е-И-З-Е-С-Т-Е-Н __ А-Р-Т-И-К-У-Л';$allow_sizes=0;
		$skl_info=$this->Item->get_sklad_info($inum,$skl);
		$item_info=$this->Item->get_blanka_info($inum);
		if($item_info)
		{
			$name=$this->Item->get_name($inum);
			$allow_sizes=$item_info->allow_sizes;
			if($allow_sizes=='105' and $inum<10000) {$allow_sizes=0;} // само за стари артикули 1017 т.н.
		}

		$Qty=array();$order_sizes=array();
		if ($allow_sizes)
		{ 
			$quantity=$item['qty'];
			if($mode=='balance' or $mode=='revision' or $mode=='kit')
			{
				$qty_1 = (!$item['q1']) ? '' : $item['q1']; $q1 = (int)$qty_1;
				$qty_2 = (!$item['q2']) ? '' : $item['q2']; $q2 = (int)$qty_2;
				$qty_3 = (!$item['q3']) ? '' : $item['q3']; $q3 = (int)$qty_3;
				$qty_4 = (!$item['q4']) ? '' : $item['q4']; $q4 = (int)$qty_4;
				$qty_5 = (!$item['q5']) ? '' : $item['q5']; $q5 = (int)$qty_5;
				$qty_6 = (!$item['q6']) ? '' : $item['q6']; $q6 = (int)$qty_6;
				$qty_7 = (!$item['q7']) ? '' : $item['q7']; $q7 = (int)$qty_7;
				$qty_8 = (!$item['q8']) ? '' : $item['q8']; $q8 = (int)$qty_8;
				$qty_9 = (!$item['q9']) ? '' : $item['q9']; $q9 = (int)$qty_9;
				$qty_max = (!$item['q10']) ? '' : $item['q10']; $q10 = (int)$qty_max;
			}
			else
			{  $mK=1;
				if($mode=='consi_return' or $mode=='recv_return' or $mode=='shop_sgp' or $mode=='brak') { $mK=-1; }
				$quantity = $mK * abs($quantity);
				$qty_1 = (!$item['q1']) ? '' : $mK*abs($item['q1']); $q1 = (int)$qty_1;
				$qty_2 = (!$item['q2']) ? '' : $mK*abs($item['q2']); $q2 = (int)$qty_2;
				$qty_3 = (!$item['q3']) ? '' : $mK*abs($item['q3']); $q3 = (int)$qty_3;
				$qty_4 = (!$item['q4']) ? '' : $mK*abs($item['q4']); $q4 = (int)$qty_4;
				$qty_5 = (!$item['q5']) ? '' : $mK*abs($item['q5']); $q5 = (int)$qty_5;
				$qty_6 = (!$item['q6']) ? '' : $mK*abs($item['q6']); $q6 = (int)$qty_6;
				$qty_7 = (!$item['q7']) ? '' : $mK*abs($item['q7']); $q7 = (int)$qty_7;
				$qty_8 = (!$item['q8']) ? '' : $mK*abs($item['q8']); $q8 = (int)$qty_8;
				$qty_9 = (!$item['q9']) ? '' : $mK*abs($item['q9']); $q9 = (int)$qty_9;
				$qty_max = (!$item['q10']) ? '' : $mK*abs($item['q10']); $q10 = (int)$qty_max;
			}
			
			$sizeQty = $q1+$q2+$q3+$q4+$q5+$q6+$q7+$q8+$q9+$q10;
		
			$order_sizes = array(
				'q1'	=> $q1,
				'q2'	=> $q2,
				'q3'	=> $q3,
				'q4'	=> $q4,
				'q5'	=> $q5,
				'q6'	=> $q6,
				'q7'	=> $q7,
				'q8'	=> $q8,
				'q9'	=> $q9,
				'q10'	=> $q10,
				'item_qty'  => $sizeQty );
		}
		else // безразмерни
		{
			$quantity=$sizeQty=$item['qty'];
			$q1=$q2=$q3=$q4=$q5=$q6=$q7=$q8=$q9=$q10=0;
			$qty_1=$qty_2=$qty_3=$qty_4=$qty_5=$qty_6=$qty_7=$qty_8=$qty_9=$qty_max='';
			if ($mode=='balance' or $mode=='revision' or $mode=='kit') { }
			/*
			elseif($mode=='kit')
			{ if($kit<0) { $quantity = - abs($quantity); } }
			*/
			else
			{  $mK=1;
				if($mode=='consi_return' or $mode=='recv_return' or $mode=='shop_sgp' or $mode=='brak') {$mK=-1;}
				$quantity = $mK * abs($quantity);
			}
			$order_sizes = array( 'item_qty' => $quantity );	
		}
		
		$item_discount = (int)$item['dsc'];
		$item_price = (float)$item['price'];
		
		if($mode!='shop_sgp' && $mode!='consi_return' && $mode!='brak')
		{
			switch ($mode_price) 
				{
					case '1': $item_price = (float)$skl_info->price;   break;
					case '2': $item_price = (float)$skl_info->price_2; break;
					case '3': $item_price = (float)$skl_info->price_3; break;
					case '4': $item_price = (float)$skl_info->price_4; break;
					case '5': $item_price = (float)$skl_info->price_5; break;
					default:  $item_price = (float)$item['price'];
				}
		}
			
		if(($mode=='manu' or $mode=='macka') and !(int)$item['price']) {$item_price = (float)$skl_info->cost;}
		if($mode=='consi') //  and $commision_key !!! ВНИМАНИЕ !!!
			{
				$item_price 	= (float)$item['price'];
				$item_discount = (float)$item['dsc'];
			}
			
		$recvs_items_data = array(
			'doc_id'			=> $doc_id,
			'line'			=> $item['line'],
			'mode_id' 		=> $mode_id,
			'doc_number' 	=> $doc_number,
			'doc_date' 		=> $doc_date,
			'item_number'	=> $inum,
			'item_name'		=> "$sizeQty,$qty_1,$qty_2,$qty_3,$qty_4,$qty_5,$qty_6,$qty_7,$qty_8,$qty_9,$qty_max",
			'item_qty'		=> $quantity,
			'item_unit_price'	=> abs($item_price),
			'item_discount'	=> $item_discount,
			'item_taxes'	=> 0,
			'order_id'		=> $order_id,
			'client_id'		=> $client_id,
			'supplier_id'	=> $supplier_id,
			'location'		=> $location_id );

			$this->db->insert( $db_recvs_items, $recvs_items_data);

			// режимите на работа.	
			if($mode=='consi')
			{	
				$shop_price = round( $item_price * (100 - (float)$item['dsc']) / 100 , 8 );
				$costsale   = $shop_price;
				$disc = 0;
				if($commision_key) 
						{
							$shop_price = $item['price'];
							$costsale 	= round( (float)$item['price'] * (100 - (float)$item['dsc']) / 100 , 8 );
							$disc = (float)$item['dsc'];
						}

				if (!$this->Item->exists_in_sklad( $inum, $bisoft_id) and $location==0) // и сме в СГП
					{	// NEW Stock	
						$item_coll = 101;
						$item_cat  = 900;
						// взема от централен склад
						$item_data = $this->Item->get_sklad_info($inum,0);
						if($item_data)
						{
							$item_coll = $item_data->coll;
							$item_cat  = $item_data->cat;
						}
					
						$shops_data = array(
							  'inum' => $inum,
								'qty'	=> $quantity,
								'q1'	=> $qty_1,
								'q2'	=> $qty_2,
								'q3'	=> $qty_3,
								'q4'	=> $qty_4,
								'q5'	=> $qty_5,
								'q6'	=> $qty_6,
								'q7'	=> $qty_7,
								'q8'	=> $qty_8,
								'q9'	=> $qty_9,
								'q10'	=> $qty_max,
							 'price' => $shop_price,
							 'cost'  => $costsale,
							 'dsc'	=> $disc,
							 'coll'	=> $item_coll,
							 'cat'	=> $item_cat,
							 'skl'	=> $bisoft_id );

						if ( !$this->Item->save_sklad($shops_data) )
							{ echo 'ERROR Consi SHOP-DB:'.$bisoft_id; die();} // има грешка
					}
				else // UPDATE of Stock
					{	$old_data = $this->Item->get_sklad_info($inum,$bisoft_id);
						if($old_data)
						{
							$old_qty = $old_data->qty;
							$old_q1  = (int)$old_data->q1; $old_q2 = (int)$old_data->q2; $old_q3 = (int)$old_data->q3;
							$old_q4  = (int)$old_data->q4; $old_q5 = (int)$old_data->q5; $old_q6 = (int)$old_data->q6;
							$old_q7  = (int)$old_data->q7; $old_q8 = (int)$old_data->q8; $old_q9 = (int)$old_data->q9;
							$old_q10 = (int)$old_data->q10;
						}
						else
						{  $old_q1=$old_q2=$old_q3=$old_q4=$old_q5=$old_q6=$old_q7=$old_q8=$old_q8=$old_q10=0;}

						$shop_q1 = $old_q1 + $q1;
						$shop_q2 = $old_q2 + $q2;
						$shop_q3 = $old_q3 + $q3;
						$shop_q4 = $old_q4 + $q4;
						$shop_q5 = $old_q5 + $q5;
						$shop_q6 = $old_q6 + $q6;
						$shop_q7 = $old_q7 + $q7;
						$shop_q8 = $old_q8 + $q8;
						$shop_q9 = $old_q9 + $q9;
						$shop_q10 = $old_q10 + $q10;
						
						$costsale = $old_data->cost;
						$disc = (int)$old_data->dsc;
						if($costsale > $shop_price) {$costsale = $shop_price;} // една хитра проверчица на цените ?!
						if($commision_key) {$shop_price = $old_data->price;}
						
						$shops_data = array(
							'inum' => $inum,
								'qty'	=> $old_data->qty + $quantity,
								'q1'	=> (!$shop_q1) ? '' : $shop_q1,
								'q2'	=> (!$shop_q2) ? '' : $shop_q2,
								'q3'	=> (!$shop_q3) ? '' : $shop_q3,
								'q4'	=> (!$shop_q4) ? '' : $shop_q4,
								'q5'	=> (!$shop_q5) ? '' : $shop_q5,
								'q6'	=> (!$shop_q6) ? '' : $shop_q6,
								'q7'	=> (!$shop_q7) ? '' : $shop_q7,
								'q8'	=> (!$shop_q8) ? '' : $shop_q8,
								'q9'	=> (!$shop_q9) ? '' : $shop_q9,
								'q10' => (!$shop_q10) ? '' : $shop_q10,
							 'price' => $shop_price,
							 'cost'  => $costsale,
								'dsc'	=> $disc,
								'skl'	=> $bisoft_id );

						if ( !$this->Item->save_sklad($shops_data) )
							{ echo 'ERROR SHOP-DB'.$bisoft_id; die();} // има някаква грешка
					}
					
				$order_sizes=array(
				'q1'	=> $q1,
				'q2'	=> $q2,
				'q3'	=> $q3,
				'q4'	=> $q4,
				'q5'	=> $q5,
				'q6'	=> $q6,
				'q7'	=> $q7,
				'q8'	=> $q8,
				'q9'	=> $q9,
				'q10'	=> $q10,
				'qty' => $quantity );
				
				// отчита ПОРЪЧКА по артикул //
				$this->Order->save_sale_order($inum, $this->Item->get_item_info($inum)->collection, $bisoft_id, $order_sizes,1);
				
			} // край на 'consi'

			elseif( $mode=='consi_return' )
			{	// Отчисляване от База Данни - 'shops'
				if ($this->Item->exists_in_sklad( $inum, $bisoft_id) and $location==0) // и сме в СГП 
				{
					$old_data = $this->Item->get_sklad_info($inum,$bisoft_id);
					if($old_data)
					{
						$old_qty = $old_data->qty;
						$old_q1  = (int)$old_data->q1;
						$old_q2  = (int)$old_data->q2;
						$old_q3  = (int)$old_data->q3;
						$old_q4  = (int)$old_data->q4;
						$old_q5  = (int)$old_data->q5;
						$old_q6  = (int)$old_data->q6;
						$old_q7  = (int)$old_data->q7;
						$old_q8  = (int)$old_data->q8;
						$old_q9  = (int)$old_data->q9;
						$old_q10 = (int)$old_data->q10;
							
						$allQty  = $old_qty - abs($quantity);
						$shop_q1 = $old_q1  - abs($q1);
						$shop_q2 = $old_q2  - abs($q2);
						$shop_q3 = $old_q3  - abs($q3);
						$shop_q4 = $old_q4  - abs($q4);
						$shop_q5 = $old_q5  - abs($q5);
						$shop_q6 = $old_q6  - abs($q6);
						$shop_q7 = $old_q7  - abs($q7);
						$shop_q8 = $old_q8  - abs($q8);
						$shop_q9 = $old_q9  - abs($q9);
					  $shop_q10 = $old_q10 - abs($q10);
					}
					else
					{
						$allQty  = - abs($quantity);
						$shop_q1 = - abs($q1);
						$shop_q2 = - abs($q2);
						$shop_q3 = - abs($q3);
						$shop_q4 = - abs($q4);
						$shop_q5 = - abs($q5);
						$shop_q6 = - abs($q6);
						$shop_q7 = - abs($q7);
						$shop_q8 = - abs($q8);
						$shop_q9 = - abs($q9);
					  $shop_q10 = - abs($q10);
					}
							
					$shops_data = array(
						'inum' => $inum,
						'qty'	=> $allQty,
						'q1'	=> (!$shop_q1) ? '' : $shop_q1,
						'q2'	=> (!$shop_q2) ? '' : $shop_q2,
						'q3'	=> (!$shop_q3) ? '' : $shop_q3,
						'q4'	=> (!$shop_q4) ? '' : $shop_q4,
						'q5'	=> (!$shop_q5) ? '' : $shop_q5,
						'q6'	=> (!$shop_q6) ? '' : $shop_q6,
						'q7'	=> (!$shop_q7) ? '' : $shop_q7,
						'q8'	=> (!$shop_q8) ? '' : $shop_q8,
						'q9'	=> (!$shop_q9) ? '' : $shop_q9,
						'q10' => (!$shop_q10) ? '' : $shop_q10,
						'skl' => $bisoft_id  );

						if ( !$this->Item->save_sklad($shops_data) )
							{ die('ERROR: item: <b>'.$inum.'</b> SHOP-'.$bisoft_id.'<br>CAN NOT WRITE INTO - Consi_Return ...');} // има някаква грешка
					} // край на актуализацията на Магазина.
				else 
				{ 
					$this->db->trans_complete();
					die('ERROR SHOP-DB !!! <br>Item: <b>'.$inum.'</b> - does not exists in SKLAD-'.$bisoft_id.' ?!');
				}
			} // край на 'consi_return'

			if($location==0)
			{  // UPDATE: ИЗВАЖДАНЕ/ПРИБАВЯНЕ към СКЛАДА за всички останали доставки
				$sklad_info = $this->Item->get_sklad_info($inum,0);
				if($sklad_info)
				{
					$skl_qty = $sklad_info->qty;
					$skl_q1 = $sklad_info->q1; if(empty($skl_q1) or $skl_q1=='') {$skl_q1=0;}
					$skl_q2 = $sklad_info->q2; if(empty($skl_q2) or $skl_q2=='') {$skl_q2=0;}
					$skl_q3 = $sklad_info->q3; if(empty($skl_q3) or $skl_q3=='') {$skl_q3=0;}
					$skl_q4 = $sklad_info->q4; if(empty($skl_q4) or $skl_q4=='') {$skl_q4=0;}
					$skl_q5 = $sklad_info->q5; if(empty($skl_q5) or $skl_q5=='') {$skl_q5=0;}
					$skl_q6 = $sklad_info->q6; if(empty($skl_q6) or $skl_q6=='') {$skl_q6=0;}
					$skl_q7 = $sklad_info->q7; if(empty($skl_q7) or $skl_q7=='') {$skl_q7=0;}
					$skl_q8 = $sklad_info->q8; if(empty($skl_q8) or $skl_q8=='') {$skl_q8=0;}
					$skl_q9 = $sklad_info->q9; if(empty($skl_q9) or $skl_q9=='') {$skl_q9=0;}
				  $skl_q10 = $sklad_info->q10; if(empty($skl_q10) or $skl_q10=='') {$skl_q10=0;}

					if ( $mode=='consi' or $mode=='recv_return' or $mode=='brak') 
					{ 
						$newQty = $skl_qty - abs($quantity);
						$new1 = $skl_q1 - abs($qty_1);
						$new2 = $skl_q2 - abs($qty_2);
						$new3 = $skl_q3 - abs($qty_3);
						$new4 = $skl_q4 - abs($qty_4);
						$new5 = $skl_q5 - abs($qty_5);
						$new6 = $skl_q6 - abs($qty_6);
						$new7 = $skl_q7 - abs($qty_7);
						$new8 = $skl_q8 - abs($qty_8);
						$new9 = $skl_q9 - abs($qty_9);
					  $new10 = $skl_q10 - abs($qty_max);
					}
					elseif($mode=='balance' or $mode=='revision')
					{
						$newQty = $skl_qty + $quantity;
						$new1 = $skl_q1 + $qty_1;
						$new2 = $skl_q2 + $qty_2;
						$new3 = $skl_q3 + $qty_3;
						$new4 = $skl_q4 + $qty_4;
						$new5 = $skl_q5 + $qty_5;
						$new6 = $skl_q6 + $qty_6;
						$new7 = $skl_q7 + $qty_7;
						$new8 = $skl_q8 + $qty_8;
						$new9 = $skl_q9 + $qty_9;
					  $new10 = $skl_q10 + $qty_max;
					}
					elseif($mode=='kit')
					{
							$newQty = $skl_qty + $quantity;
							$new1 = $skl_q1 + $qty_1;
							$new2 = $skl_q2 + $qty_2;
							$new3 = $skl_q3 + $qty_3;
							$new4 = $skl_q4 + $qty_4;
							$new5 = $skl_q5 + $qty_5;
							$new6 = $skl_q6 + $qty_6;
							$new7 = $skl_q7 + $qty_7;
							$new8 = $skl_q8 + $qty_8;
							$new9 = $skl_q9 + $qty_9;
						$new10 = $skl_q10 + $qty_max;
					}
					else
					{
						$newQty = $skl_qty + abs($quantity);
						$new1 = $skl_q1 + abs($qty_1);
						$new2 = $skl_q2 + abs($qty_2);
						$new3 = $skl_q3 + abs($qty_3);
						$new4 = $skl_q4 + abs($qty_4);
						$new5 = $skl_q5 + abs($qty_5);
						$new6 = $skl_q6 + abs($qty_6);
						$new7 = $skl_q7 + abs($qty_7);
						$new8 = $skl_q8 + abs($qty_8);
						$new9 = $skl_q9 + abs($qty_9);
					  $new10 = $skl_q10 + abs($qty_max);
					}
					
				} // if($sklad_info) има го в Склад-0
				else // NEW: нямало го е Склад-0
				{
					if ( $mode=='consi' or $mode=='recv_return' or $mode=='brak') 
					{ 
						$newQty = -abs($quantity);
						$new1 = -abs($q1);
						$new2 = -abs($q2);
						$new3 = -abs($q3);
						$new4 = -abs($q4);
						$new5 = -abs($q5);
						$new6 = -abs($q6);
						$new7 = -abs($q7);
						$new8 = -abs($q8);
						$new9 = -abs($q9);
					  $new10 = -abs($q10);
					}
					elseif($mode=='balance' or $mode=='revision')
					{
						$newQty = $quantity;
						$new1 = $q1;
						$new2 = $q2;
						$new3 = $q3;
						$new4 = $q4;
						$new5 = $q5;
						$new6 = $q6;
						$new7 = $q7;
						$new8 = $q8;
						$new9 = $q9;
					  $new10 = $q10;
					}
					elseif($mode=='kit')
					{
						$newQty = $quantity;
							$new1 = $q1;
							$new2 = $q2;
							$new3 = $q3;
							$new4 = $q4;
							$new5 = $q5;
							$new6 = $q6;
							$new7 = $q7;
							$new8 = $q8;
							$new9 = $q9;
						$new10 = $q10;
					}
					else
					{
						$newQty = abs($quantity);
						$new1 = abs($q1);
						$new2 = abs($q2);
						$new3 = abs($q3);
						$new4 = abs($q4);
						$new5 = abs($q5);
						$new6 = abs($q6);
						$new7 = abs($q7);
						$new8 = abs($q8);
						$new9 = abs($q9);
					  $new10 = abs($q10);
					}
					
				} // нямало го е Склад-0
				
			} // if $location==0

			//Update  Stock Quantity - за всички режими ...
			$item_data = array(
				  'inum' => $inum,
					'skl'	=> 0,	// само Склад-ГП '0'
					'qty'	=> $newQty,
					'q1'	=> (!$new1)  ? '' : $new1,
					'q2'	=> (!$new2)  ? '' : $new2,
					'q3'	=> (!$new3)  ? '' : $new3,
					'q4'	=> (!$new4)  ? '' : $new4,
					'q5'	=> (!$new5)  ? '' : $new5,
					'q6'	=> (!$new6)  ? '' : $new6,
					'q7'	=> (!$new7)  ? '' : $new7,
					'q8'	=> (!$new8)  ? '' : $new8,
					'q9'	=> (!$new9)  ? '' : $new9,
					'q10'	=> (!$new10) ? '' : $new10,
					'del' => 0 ); 

	//--------------- записва в База 'items' Склад-ГП ---------------- //
				if( $mode != 'stock' and $mode !='protocol' ) // $mode != 'shop_sgp' and $mode!='macka'
					{ $this->Item->save_sklad( $item_data );}

	// --------------- Collect Kits --------------- //				
				if( $mode == 'kit' )
				{ $kit_data[$inum] = "$sizeQty,$qty_1,$qty_2,$qty_3,$qty_4,$qty_5,$qty_6,$qty_7,$qty_8,$qty_9,$qty_max"; }
					
	// --------------- САМО МАСКИ --------------- //
				if( $mode == 'macka' )
				{
					$exps = $this->Macka->get_sklad_exps();
					if($exps)
					{
						$q100 = $exps->m98100; if($inum=='98100') { $q100 -= abs($quantity); }
						$q200 = $exps->m98200; if($inum=='98200') { $q200 -= abs($quantity); }
						$q210 = $exps->m98210; if($inum=='98210') { $q210 -= abs($quantity); }
						$q220 = $exps->m98220; if($inum=='98220') { $q220 -= abs($quantity); }
						$q230 = $exps->m98230; if($inum=='98230') { $q230 -= abs($quantity); }
						$q240 = $exps->m98240; if($inum=='98240') { $q240 -= abs($quantity); }
						$q250 = $exps->m98250; if($inum=='98250') { $q250 -= abs($quantity); }
						$q260 = $exps->m98260; if($inum=='98260') { $q260 -= abs($quantity); }
						$q270 = $exps->m98270; if($inum=='98270') { $q270 -= abs($quantity); }
						$q280 = $exps->m98280; if($inum=='98280') { $q280 -= abs($quantity); }
						$q290 = $exps->m98290; if($inum=='98290') { $q290 -= abs($quantity); }
						// добавяме ВСИЧКИ Ръчни маски 98100-98199
						$q100 = $exps->m98100; if($inum>'98099' and $inum<'98200') 
							{ $q100 -= abs($quantity); }
	
						$mackas = array(
							'status' => 9,
							'm98100' => $q100,
							'm98200' => $q200,
							'm98210' => $q210,
							'm98220' => $q220,
							'm98230' => $q230,
							'm98240' => $q240,
							'm98250' => $q250,
							'm98260' => $q260,
							'm98270' => $q270,
							'm98280' => $q280,
							'm98290' => $q290,
							'date' => date('Y-m-d') );
										
						$this->Macka->update_sklad($mackas,9);
					}
				} // if( $mode=='macka'

	// -------------------------------------- Update ORDERS + PLAN --------------------------------------- // 
				// зареждам от БД данни
				$collection_id = (int)$item_info->collection;
				if ($plan_info = $this->Order->get_item_plan_by_collection($inum,$collection_id))
						{ $plan_Key = 1;}
				else  { $plan_Key = 0;}

				// всички произведени ...
				if( $mode == 'manu' and $collection_id > 0 )
				{
					if($plan_Key and $allow_sizes)
						{
							if($plan_info->MADE) { $iQty = explode(',',$plan_info->MADE); }
							else { $iQty = array(0,0,0,0,0,0,0,0,0,0); }
							
							if($iQty)
							{
								if(isset($iQty[0])) {$iq1=(int)$iQty[0]+$q1;} else {$iq1=$q1;}
								if(isset($iQty[1])) {$iq2=(int)$iQty[1]+$q2;} else {$iq1=$q2;}
								if(isset($iQty[2])) {$iq3=(int)$iQty[2]+$q3;} else {$iq1=$q3;}
								if(isset($iQty[3])) {$iq4=(int)$iQty[3]+$q4;} else {$iq1=$q4;}
								if(isset($iQty[4])) {$iq5=(int)$iQty[4]+$q5;} else {$iq1=$q5;}
								if(isset($iQty[5])) {$iq6=(int)$iQty[5]+$q6;} else {$iq1=$q6;}
								if(isset($iQty[6])) {$iq7=(int)$iQty[6]+$q7;} else {$iq1=$q7;}
								if(isset($iQty[7])) {$iq8=(int)$iQty[7]+$q8;} else {$iq1=$q8;}
								if(isset($iQty[8])) {$iq9=(int)$iQty[8]+$q9;} else {$iq1=$q9;}
								if(isset($iQty[9])) {$iq10=(int)$iQty[9]+$q10;} else {$iq10=$q10;}
							}
							else { $iq1=$iq2=$iq3=$iq4=$iq5=$iq6=$iq7=$iq8=$iq9=$iq10=0;}
						}
					else
						{ $iq1=$iq2=$iq3=$iq4=$iq5=$iq6=$iq7=$iq8=$iq9=$iq10=0;}
				
					$iqty=$iq1+$iq2+$iq3+$iq4+$iq5+$iq6+$iq7+$iq8+$iq9+$iq10;

					if(!$iq1) {$iq1='';}
					if(!$iq2) {$iq2='';}
					if(!$iq3) {$iq3='';}
					if(!$iq4) {$iq4='';}
					if(!$iq5) {$iq5='';}
					if(!$iq6) {$iq6='';}
					if(!$iq7) {$iq7='';}
					if(!$iq8) {$iq8='';}
					if(!$iq9) {$iq9='';}
				  if(!$iq10) {$iq10='';}

					$plan_data = array(
					//	'plan_id' => $plan_info->plan_id,
							'inum' => $inum,
							'coll' => $collection_id,
							'iqty' => $iqty,
							'MADE' => $iq1.','.$iq2.','.$iq3.','.$iq4.','.$iq5.','.
										 $iq6.','.$iq7.','.$iq8.','.$iq9.','.$iq10 );
	
						$this->Order->save_plan_inum($inum,$collection_id,$plan_data);
				} // END ORDERS - за всички произведени

				//  всички доставки ...
				if( $mode == 'recv' and $collection_id > 0 )
				{
					/*
						if ($plan_Key and $allow_sizes)
							{
								if($plan_info->DOST)
								{
									$dQty = explode(',',$plan_info->DOST);
									if($dQty) // count($dQty)>1
									{
										$dq1  = (int)$dQty[0] + $q1;
										$dq2  = (int)$dQty[1] + $q2;
										$dq3  = (int)$dQty[2] + $q3;
										$dq4  = (int)$dQty[3] + $q4;
										$dq5  = (int)$dQty[4] + $q5;
										$dq6  = (int)$dQty[5] + $q6;
										$dq7  = (int)$dQty[6] + $q7;
										$dq8  = (int)$dQty[7] + $q8;
										$dq9  = (int)$dQty[8] + $q9;
										$dq10 = (int)$dQty[9] + $q10;
									}
									else
									{
										$dq1 = $q1; $dq2 = $q2; $dq3 = $q3; $dq4 = $q4; $dq5  = $q5;
										$dq6 = $q6; $dq7 = $q7;	$dq8 = $q8;	$dq9 = $q9;	$dq10 = $q10;
									}
								}
								else {$dq1=$dq2=$dq3=$dq4=$dq5=$dq6=$dq7=$dq8=$dq9=$dq10=0;}
							}
						else
							{ $dq1=$dq2=$dq3=$dq4=$dq5=$dq6=$dq7=$dq8=$dq9=$dq10=0;}
						*/
						
						if($plan_Key and $allow_sizes)
						{
							if($plan_info->DOST) { $dQty = explode(',',$plan_info->DOST); }
							else { $dQty = array(0,0,0,0,0,0,0,0,0,0); }
							
							if($dQty)
							{
								if(isset($dQty[0])) {$dq1=(int)$dQty[0]+$q1;} else {$dq1=$q1;}
								if(isset($dQty[1])) {$dq2=(int)$dQty[1]+$q2;} else {$dq2=$q2;}
								if(isset($dQty[2])) {$dq3=(int)$dQty[2]+$q3;} else {$dq3=$q3;}
								if(isset($dQty[3])) {$dq4=(int)$dQty[3]+$q4;} else {$dq4=$q4;}
								if(isset($dQty[4])) {$dq5=(int)$dQty[4]+$q5;} else {$dq5=$q5;}
								if(isset($dQty[5])) {$dq6=(int)$dQty[5]+$q6;} else {$dq6=$q6;}
								if(isset($dQty[6])) {$dq7=(int)$dQty[6]+$q7;} else {$dq7=$q7;}
								if(isset($dQty[7])) {$dq8=(int)$dQty[7]+$q8;} else {$dq8=$q8;}
								if(isset($dQty[8])) {$dq9=(int)$dQty[8]+$q9;} else {$dq9=$q9;}
								if(isset($dQty[9])) {$dq10=(int)$dQty[9]+$q10;} else {$dq10=$q10;}
							}
							else { $dq1=$dq2=$dq3=$dq4=$dq5=$dq6=$dq7=$dq8=$dq9=$dq10=0; }
						}
					else
						{  $dq1=$dq2=$dq3=$dq4=$dq5=$dq6=$dq7=$dq8=$dq9=$dq10=0; }
					
						$dqty=$dq1+$dq2+$dq3+$dq4+$dq5+$dq6+$dq7+$dq8+$dq9+$dq10;

						if(!$dq1) {$dq1='';}
						if(!$dq2) {$dq2='';}
						if(!$dq3) {$dq3='';}
						if(!$dq4) {$dq4='';}
						if(!$dq5) {$dq5='';}
						if(!$dq6) {$dq6='';}
						if(!$dq7) {$dq7='';}
						if(!$dq8) {$dq8='';}
						if(!$dq9) {$dq9='';}
						if(!$dq10) {$dq10='';}
							
						$plan_data = array(
						//	'plan_id' => $plan_info->plan_id,
								'inum' => $inum,
								'coll' => $collection_id,
								'dqty' => $dqty,
								'DOST' => $dq1.','.$dq2.','.$dq3.','.$dq4.','.$dq5.','.
											 $dq6.','.$dq7.','.$dq8.','.$dq9.','.$dq10 );

					$this->Order->save_plan_inum($inum,$collection_id,$plan_data);
				} // END ORDERS - за всички доставки

	}  // foreach($items : край на цикъла за артикулите ...


}	// if($items)

		$this->db->trans_complete();
		if ($this->db->trans_status() === FALSE)	{ return -1;}
		
	return $doc_id;
	}
	


	function delete($doc_id,$vedomPack)
	{
		$db_docs 				= $vedomPack;
		$db_docs_items 		= $vedomPack . '_items';
		$this->db->trans_start();
			$this->db->delete( $db_docs_items, array('doc_id' => $doc_id));
			$this->db->delete( $db_docs, array('doc_id' => $doc_id)); 
		$this->db->trans_complete();

	return $this->db->trans_status();
	}


	function delete_line_item($doc_id, $line, $vedomPack)
	{
		$this->db->trans_start();
		$this->db->delete( $vedomPack.'_items', array('doc_id' => $doc_id, 'line' => $line));
		$this->db->trans_complete();
	return $this->db->trans_status();
	}


	function get_recv_items($doc_id, $vedomPack, $mode)
	{
		$db_recvs_items = $vedomPack . '_items';
		if($this->db->table_exists($db_recvs_items))
		{
			$this->db->from($db_recvs_items);
			$this->db->where('doc_id',$doc_id);
			return $this->db->get();
		}
		else { return false;}
	}

	function get_recv_payments($doc_id, $vedomPack)
	{ return 0;}


	function get_supplier($doc_id, $vedomPack)
	{
		if($this->db->table_exists($vedomPack))
		{
			$this->db->from($vedomPack);
			$this->db->where('doc_id',$doc_id);
			return $this->Supplier->get_info($this->db->get()->row()->client_id);
		}
		else { return false;}
	}

	//We create a temp table that allows us to do easy report/recvs queries
	public function create_recvs_items_temp_table()
	{

	}

	
	// --------------- Reg. KITS items --------------- //	
	function reg_kits($kit)
	{
		$mkit = ($kit>0) ? -1 : 1;
		
		$kit_info = $this->Item->get_item_info(abs($kit));
		$kit_1 = (int)$kit_info->kit_1;
		$kit_2 = (int)$kit_info->kit_2;
		$kit_3 = (int)$kit_info->kit_3;

		$cart = $this->BiSOFT_Model->zebex_get_all('kit');
		if($cart)
		{
			foreach($cart as $item)
			{
				$qty = 0;
				$kQty = $nQty = array('1'=>0,'2'=>0,'3'=>0,'4'=>0,'5'=>0,'6'=>0,'7'=>0,'8'=>0,'9'=>0,'10'=>0);
				if(abs($kit)==$item['inum'])
				{
					$qty  = $mkit * $item['qty'];
					$kQty = array( '1'=>$mkit*$item['q1'], '2'=>$mkit*$item['q2'], 
										'3'=>$mkit*$item['q3'], '4'=>$mkit*$item['q4'], 
										'5'=>$mkit*$item['q5'],	'6'=>$mkit*$item['q6'], 
										'7'=>$mkit*$item['q7'], '8'=>$mkit*$item['q8'], 
										'9'=>$mkit*$item['q9'], '10'=>$mkit*$item['q10'] );
										
					if($kit<0)
					{
						// променя знаците в zebex-a
						$kit_inum_data = array(
									'inum' => abs($kit),
									'mode' => 'kit',
									 'qty' => - abs($item['qty']),
									  'q1' => - abs($item['q1']), 'q2'  => - abs($item['q2']),
									  'q3' => - abs($item['q3']), 'q4'  => - abs($item['q4']),
									  'q5' => - abs($item['q5']), 'q6'  => - abs($item['q6']),
									  'q7' => - abs($item['q7']), 'q8'  => - abs($item['q8']),
									  'q9' => - abs($item['q9']), 'q10' => - abs($item['q10']),
									 'skl' => 0,
									 'del' => 0 );
										
						$this->BiSOFT_Model->zebex_save($kit_inum_data,'kit');
					}
										
				} // if($kit===$inum)
			} // foreach($cart
			if($kit_1) 
			{ 
				if($this->Item->get_allow_sizes($kit_1)) { $this->recv_lib->add_item( $kit_1, $qty, 0, 0, $kQty ); }
				else { $this->recv_lib->add_item( $kit_1, $qty, 0, 0, $nQty ); }
			}
			if($kit_2)
			{ 
				if($this->Item->get_allow_sizes($kit_2)) { $this->recv_lib->add_item( $kit_2, $qty, 0, 0, $kQty ); }
				else { $this->recv_lib->add_item( $kit_2, $qty, 0, 0, $nQty ); }
			}
			if($kit_3)
			{ 
				if($this->Item->get_allow_sizes($kit_3)) { $this->recv_lib->add_item( $kit_3, $qty, 0, 0, $kQty ); }
				else { $this->recv_lib->add_item( $kit_3, $qty, 0, 0, $nQty ); }
			}
		} // if($cart)
		
		return true;
	}
	
	
	
	
/* ------------------------------------------ other ----------------------------- */
	
	// AJAX Recalculate Document and VedomPack
	function recalc_document($doc_num)
	{
		$qty_doc=$sum_doc=$pay_amount=$cost_doc=0;
		$total_qty=$total_vat=$total_sum=$total_cost=0;
		
		$vedom = 'V'.substr($doc_num,0,4);
		$doc_info   = $this->BiSOFT_Model->get_info_by_docNumber($doc_num,$vedom)->result_array();
			$doc_id  = $doc_info[0]['doc_id'];
			$total_dsc = $doc_info[0]['total_discount'];
			$pay_group = $doc_info[0]['pay_group'];
			
		$items_info = $this->BiSOFT_Model->get_document_items($doc_id,$vedom)->result_array();

		foreach($items_info as $line=>$item)
		{
			$inum  = $item['item_number'];
		  $iprice = $item['item_unit_price'];
			$qty 	 = $item['item_qty'];
			$dsc 	 = $item['item_discount'];
			$cost	 = $item['costsale'];
			
			$qty_doc  += $qty;
			$price  = round($iprice*(100-$dsc)/100,2);
			$sum_doc  += $qty*$price;
			$cost_doc += $qty*$cost;
		}
		$pay_amount = round($sum_doc * (100-$total_dsc)/100,2);
		
		$total_vat  = 0;
		$total_qty  = $qty_doc - $doc_info[0]['total_qty'];
		$total_sum  = round($pay_amount - $doc_info[0]['pay_amount'],2);
		$total_cost = round($cost_doc - $doc_info[0]['pay_sale'],2);
		
		//Разпределяме index-ите на плащане ..
		$pay_type = '';
		switch ($pay_group) 
		{
			case 'H': $pay_type = $this->lang->line('sales_not_paid').': ';break;
			case 'P': $pay_type = $this->lang->line('sales_cash').': ';break;
			case 'T': $pay_type = $this->lang->line('sales_by_bank').': ';break;
			case 'Ch': $pay_type = $this->lang->line('sales_check').': ';break;
			case 'dC': $pay_type = $this->lang->line('sales_debit').': ';break;
			case 'kC': $pay_type = $this->lang->line('sales_credit').': ';break;
			case 'eP': $pay_type = $this->lang->line('sales_epay').': ';break;
			case 'PP': $pay_type = $this->lang->line('sales_paypal').': ';break;			
			case 'BP': $pay_type = $this->lang->line('sales_returned_goods').': ';break;
			case 'BE': $pay_type = $this->lang->line('sales_returned_goods').': ';break;			
			default: '';
		}
		$pay_type .= to_dot($pay_amount).' лв';
		
		$doc_data=array(
					'doc_id' => $doc_id,
				'total_qty'	=> $qty_doc,
				'pay_type'	=> $pay_type,
				'total_sum' => to_dot($sum_doc),
			  'pay_amount' => to_dot($pay_amount),
				 'pay_sale'	=> to_dot($cost_doc)
							);
		
		// актуализира Документа.
		$this->update($doc_data, $doc_id, $vedom);
		
		$data=array(
			'qty_doc' => $qty_doc,
			'sum_doc' => to_dot($sum_doc),		
			'all_doc' => to_dot($pay_amount),
		'amount_doc' => $pay_type,
		  'cost_doc' => to_dot($cost_doc),
		  
		 'total_qty' => $total_qty,
		 'total_vat' => to_dot($total_vat),		
		 'total_sum' => to_dot($total_sum),
		'total_cost' => to_dot($total_cost) 
							);
	return $data;
	}	
	
/* ------------------------------------------ other - my Stuff ----------------------------- */
	public function get_blanka($mode)
	{
			switch ($mode) 
				{
					case 'manu': 			$receipt_title = $this->lang->line('recvs_receipt_manu'); break;
					case 'recv':	 		$receipt_title = $this->lang->line('recvs_receipt_recv');  break; 
					case 'recv_return':	$receipt_title = $this->lang->line('recvs_receipt_return');  break;
					case 'invoice': 		$receipt_title = $this->lang->line('recvs_receipt_invoice'); break;
					case 'docs':			$receipt_title = $this->lang->line('recvs_receipt_docs');  break; 
					default: 				$receipt_title = $this->lang->line('recvs_receipt');
				}
	return $receipt_title;
	}

	public function get_document($mode)
	{
			switch ($mode) 
				{
					case 'manu':	 		$doc_number = date('ym').'200000';  break; 
					case 'recv':	 		$doc_number = date('ym').'100000';  break; 
					case 'recv_return':	$doc_number = date('ym').'300000';  break; 
					case 'brak':			$doc_number = date('ym').'000000';  break;
					case 'invoice':		$doc_number = '0';  break; 
					default: 				$doc_number = 'doc-1';
				}
	return $doc_number;
	}

// ======================================== SPECIAL FUNCTIONS for Locator =============================

	function get_db_recvs_location($mode)
	{ return 'V'.date('ym');}

	function get_db_recvs_items_location($mode)
	{
		$db_recvs = $this->get_db_recvs_location($mode);
		return $db_recvs . '_items';
	}

}
?>
