<?php
require_once("Report.php");
class Client_shop_sklad extends Report
{
	function __construct()
	{
		parent::__construct();
	}
	
	public function getDataColumns()
	{  // взимам си размерите ...
		$size_table = $this->BiSOFT_Model->get_sizes('grid_2');

		return array(
						$this->lang->line('reports_name'), 
						$this->lang->line('reports_item_name'), 
							$size_table->size_1, 
							$size_table->size_2, 
							$size_table->size_3,
							$size_table->size_4,
							$size_table->size_5,
							$size_table->size_6,
							$size_table->size_7,
							$size_table->size_8,
							$size_table->size_9,
							$size_table->size_max, 
						$this->lang->line('reports_count'), 
						$this->lang->line('reports_unit_price'),
						'' );
	}
	
	public function getData(array $inputs)
	{
      $inum = $inputs['inum'];
      $category = $inputs['category'];
		// Взима правилната DB ... по обекти ...
		$skl = $this->Employee->get_logged_in_client_info()->location;
		$this->db->select('item_id,inum,qty,price,dsc,q1,q2,q3,q4,q5,q6,q7,q8,q9,q10');
		$this->db->from('shops');
		$this->db->where('skl',$skl);
		if($inum) {$this->db->where('inum', $inum);}
		if($category) {$this->db->where('cat', $category);}
		$this->db->where('qty != 0');
		$this->db->where('del', 0);
		$this->db->order_by('inum');
	return $this->db->get()->result_array();
	}
	
	public function getSummaryData(array $inputs)
	{
		return array();
	}
}
?>
