<?php // === РЕДАКЦИЯ НА ФАКТУРИ === //
		$data = array();
		$data['vedomPack'] = $vedomPack;
		$data['print_type'] = 'prices';

		// вземам си всички КЛИЕНТИ
		$data['customers'] = array('' => $this->lang->line('reports_edit_noclient'));
		foreach ($this->Customer->get_all()->result() as $customer)
		{ $data['customers'][$customer->bisoft_id] = character_limiter($customer->company_name,40);}

		// вземам си всички ОПЕРАТОРИ
		$data['employees'] = array();
		foreach ($this->Employee->get_all()->result() as $employee)
		{ $data['employees'][$employee->person_id] = $employee->first_name . ' '. $employee->last_name;}

		$data['doc_info'] = $this->Sale->get_info($doc_id,$vedomPack)->row_array();

		$data['bank'] = $data['doc_info']['mode_price'];
		$data['banks'] = array(
			'1' => $this->config->item('my_bank_account'),
			'2' => $this->config->item('my_bank_account_2') );

		$data['all_currency'] = array(
			'1' => 'BGN',
			'2' => 'EUR',
			'3' => 'GBP',
			'4' => 'USD' );
			
		$data['pay_groups'] = array(
			'P' 	=> $this->lang->line('kaca_cash'),
			'T' 	=> $this->lang->line('kaca_by_bank'),
			'NP' 	=> $this->lang->line('kaca_nalojen'),
			'Ex'	=> $this->lang->line('kaca_export'),
			'ExV'	=> $this->lang->line('kaca_export_vat'),
			'PP'	=> $this->lang->line('kaca_paypal'),
			'H'	=> $this->lang->line('kaca_notpaid') );

		$data['mode'] = $data['doc_info']['mode'];
		$data['type_docs'] = array(
			'invoice' 		=> $this->lang->line('sales_receipt_invoice'),
			'invoice_ki' 	=> $this->lang->line('sales_receipt_invoice_ki'),
			'invoice_di' 	=> $this->lang->line('sales_receipt_invoice_di'),
			'invoice_pr' 	=> $this->lang->line('sales_receipt_invoice_pr'),
			'proforma' 		=> $this->lang->line('sales_receipt_proforma') );
			
		if ($data['mode']=='invoice_ki' or $data['mode']=='invoice_di') 
			{ $title = $this->lang->line('reports_edit_ki_di');}
		else 
			{ $title = $this->lang->line('reports_edit_invoice');}	
			
		$data['title']=$title;
		$data['controller_name']=strtolower(get_class());

	$this->load->view('kaca/edit_invoice', $data);
?>
