<?php // === ЗАПИС НА ПРИХОД === //
		$location		= 0;
		$client_mode	= $this->kaca_lib->get_client_mode();
		$employee_id 	= $this->input->post('employee_id');
		$employee	 	= $this->Employee->get_info($employee_id)->first_name
							 .' '. $this->Employee->get_info($employee_id)->last_name;

		$doc_date 		= $this->input->post('doc_date');
		$pay_date		= date('Y-m-d', strtotime($doc_date));
		$vedomPack 		= 'V'. date('ym', strtotime($doc_date));

		if( $doc_id==-1 )
			{  $kacaOrder = '';$line_id='-1'; }
		else
			{ 
				$kacaOrder = date('ym', strtotime($doc_date)).'-'.str_pad($doc_id, 4, "0", STR_PAD_LEFT);
				$line_id = date('ym', strtotime($doc_date)).str_pad($doc_id, 4, "0", STR_PAD_LEFT);
			}

		$mode = $this->input->post('type_doc');
		$mode_id = 'KPr';
		
		$kaca_oper  = $this->kaca_lib->get_kaca_operation($mode);
		$comment 	= $this->input->post('comment');
		$oper 		= character_limiter($kaca_oper.' '.$comment,50);

		// проверявам за валидни данни ...
		$total_sum 	 = $pay_sale = (float)$this->input->post('total_sum');
		$pay_amount  = (float)$this->input->post('pay_amount');
		$total_taxes = (float)$pay_vat = $this->input->post('total_taxes'); 
		$taxed 		 = (int)$this->input->post('taxed');
		
		$currency 	 = $this->input->post('currency');
		$currency_rate = (float)$this->input->post('currency_rate');
		
		$pay_type  = $this->input->post('pay_type');
		$pay_group = $this->input->post('pay_group');

		switch ($pay_group) 
			{
				case 'P':  $payMent = $this->lang->line('kaca_cash'); 	break;
				case 'T':  $payMent = $this->lang->line('kaca_by_bank'); break;
				case 'NP': $payMent = $this->lang->line('kaca_nalojen'); break;
				case 'PP': $payMent = $this->lang->line('kaca_paypal'); 	break;
				case 'H':  $payMent = $this->lang->line('kaca_notpaid'); break;
				default:   $payMent = $this->lang->line('kaca_notpaid');
			}

		
		if($mode=='prihod_memo') // Мемориален Ордер ?!?
		{
			$total_taxes = $total_taxes;
			$pay_amount  = $total_sum + $total_taxes;
		}
		elseif($mode=='prihod_duePyco')
		{
			$pay_amount  = $total_sum = -abs($total_sum);
			$pay_date 	 = null;
			$total_taxes = 0;
		}
		elseif($mode=='prihod_pyco')
		{
			$pay_amount  = $total_sum;
			$total_taxes = 0;
		}
		elseif($mode=='prihod_macka_zags')
		{
			$pay_amount  = $total_sum = -abs($total_sum);
			$pay_date 	 = null;
			$pay_sale	 = 0;
			$total_taxes = 0;
		}
		else // помагам на мързеливите ...
		{
			if( $total_sum!=0 and $taxed==0 )
				{  $total_sum	 = abs($total_sum);
					$total_taxes = 0;
					$pay_amount  = $total_sum;
				}
			elseif( $total_sum!=0 and $taxed==1 and $total_taxes!=0)
				{  $total_sum	 = abs($total_sum);
					$pay_amount  = $total_sum + $total_taxes;
				}
			elseif( $total_sum==0 and $taxed==1 and $total_taxes!=0 )
				{  $pay_amount  = abs($total_taxes); }
			elseif( $total_sum!=0 and $taxed==1 and $total_taxes==0 )
				{  $total_sum	 = abs($total_sum);
					$total_taxes = round( 0.2 * $total_sum, 2);
					$pay_amount  = $total_sum + $total_taxes;
				}
			elseif( $total_sum==0 and $taxed==1 and $total_taxes==0 )
				{  $pay_amount  = abs($pay_amount);
					$total_taxes = round( $pay_amount / 6 , 2);
					$total_sum 	 = $pay_amount - $total_taxes;
				}
			elseif( $total_sum==0 and $taxed==1 and $total_taxes!=0 )
				{  $total_taxes = abs($total_taxes);
					$total_sum 	 = 5 * $total_taxes;
					$pay_amount  = $total_sum + $total_taxes;
				}
		}

		// валута ...
		$valuta = array(
			'1' => ' '.$this->lang->line('kaca_BGN'),
			'2' => ' EUR',
			'3' => ' GBP',
			'4' => ' USD',
			'5' => ' RON' );
			
		$paid_amount = $payMent.' '.to_dot($pay_amount).$valuta[$currency];

		if ( $currency==1) // лв.
		   { $pay_type=$payMent.' '.to_dot($pay_amount).$valuta[$currency];}
		elseif ( $currency>1)  // друга валута
		   { $pay_type=$payMent.' '.to_dot($pay_amount/$currency_rate).$valuta[$currency];}

		$success = $this->Kaca->check_sums($total_sum,$pay_amount,$total_taxes,$taxed);

		if ($success)
		{
			$client_id = $this->input->post('client_id') ? $this->input->post('client_id') : 0;
			if ( $client_id == 0 ) { $client = '';}
			else 
			{ 
				if($mode=='prihod_shop')
					{  
						$client 	 = $this->Consignee->get_info_by_bisoft_id($this->input->post('client_id'))->company_name;
						$location = $client_id;
					}
				elseif($mode=='prihod_duePyco') // Задължение РУСО
					{  
						$pay_type  = 'непл.';
						$pay_group = 'H';
						$client 	  = $this->Consignee->get_info_by_bisoft_id($this->input->post('client_id'))->company_name;
						$location  = $client_id;
					}
				elseif($mode=='prihod_pyco') // Плащане РУСО
					{  
						$client 	 = $this->Consignee->get_info_by_bisoft_id($this->input->post('client_id'))->company_name;
						$location = $client_id;
					}
				elseif($mode=='prihod_macka_zags') // Пощенски Паричен Превод
					{  
						$pay_type  = 'пощ.превод';
						if($client_id) 
						{ $client    = $this->Customer->get_info_by_bisoft_id($client_id)->company_name; }
					}
				elseif($mode=='prihod_courier')
					{  
						$client   = $this->Customer->get_info_by_bisoft_id($this->input->post('client_id'))->company_name;
						$mode_id  = 'SK';
						$location = $client_id;
					}
				elseif($mode=='prihod_memo')
					{  
						if($client_mode=='customer')
						{	$client = $this->Customer->get_info_by_bisoft_id($this->input->post('client_id'))->company_name; }
						elseif($client_mode=='consignee')
						{	
							$client = $this->Customer->get_info_by_bisoft_id($this->input->post('client_id'))->company_name;
							$location=$client_id;
						}
						elseif($client_mode=='supplier')
						{	$client = $this->Customer->get_info_by_bisoft_id($this->input->post('client_id'))->company_name; }
					}
				else
					{  $client = $this->Customer->get_info_by_bisoft_id($this->input->post('client_id'))->company_name;}
			}

			$doc_number = $this->input->post('doc_number');

			$doc_data = array(
				'doc_date' 			=> date('Y-m-d', strtotime($doc_date)),
				'doc_number'		=> $doc_number,
				'mode' 				=> $mode,
				'mode_id' 			=> $mode_id,
				'currency' 			=> $currency,
				'currency_rate'	=> $currency_rate,
				'client_id' 		=> $client_id,
				'client' 			=> $client,
				'supplier_id' 		=> 0,
				'supplier' 			=> '',
				'total_qty' 		=> 1,
				'total_sum' 		=> to_currency_no_money($total_sum),
				'total_discount'	=> 0,
				'pay_group'			=> $pay_group,
				'pay_type' 			=> $pay_type,
				'pay_amount'		=> to_currency_no_money($pay_amount),
				'pay_sale' 			=> $pay_sale,
				'pay_vat' 			=> $pay_vat,
				'pay_date' 			=> $pay_date,
				'taxed' 				=> $taxed,
				'total_taxes' 		=> to_currency_no_money($total_taxes),
				'employee_id' 		=> $employee_id,
				'employee' 			=> $employee,
				'location' 			=> $location,
				'comment' 			=> $comment  );

			if($doc_id==-1) 
					{ $this->Kaca->save( $vedomPack, $doc_data );} // Нов Документ ...
			else 	{ $this->Kaca->update( $vedomPack, $doc_data, $doc_id);} // само актуализира ...

			$doc_data = array();
				
		//	$success = $this->lang->line('kaca_success_message').$kacaOrder;
			$success = 'За да актуализирате общите сборове, моля освежете страницата - REFRESH !!!';
			echo json_encode(array(	'success'=>true,
											'line_id'=>$line_id,
											'mode_id'=>$mode_id,
											'docN'=>$doc_number,
											'oper'=>$oper,
											'total'=>to_dot($total_sum),
											'taxes'=>to_dot($total_taxes),
											'amount'=>to_dot($pay_amount),
											'message'=>$success));
		}
		else // ако сумите не съвпадат ?! 
		{
			$error = $this->lang->line('kaca_error_message');
			echo json_encode(array(	'success'=>false,
											'line_id'=>$line_id,
											'message'=>$error));
		}
?>
