<?php $orders 	= $rorders = $errors = array();
		$r_ord 	= $r_total = 0;
		$brand 	= $this->OnLine->get_text('brand');
		
		// ведомостта ...
		if((int)date('m')!='1') { $period = date('ym')-1; }
		else { $period = date('ym')-89; } // само януари
		$vedom 	= "V".$period;

		// само ПОРЪЧКИ
		$all_orders = $this->Marketing->getAuditDocs($vedom,0);
		foreach($all_orders as $order)
		{
			$doc_id = $order['doc_id'];
			$doc_number = $order['doc_number'];
			$doc_date  = $order['doc_date'];
			
			$items = array();
			$all_items = $this->Marketing->getAuditItems($vedom,$doc_id);

			$payGr = $order['pay_group'];
			$paym = '2';
			if($payGr=='P' or $payGr=='PP') {$paym='3';}
			
			$pos_n = $trans_n = $proc_id = 0;
			if($paym=='2' and isset($order['ref_id']) ) // при eBorica = превод.
			{
				if(is_numeric($order['ref_id']) and (int)$order['ref_id']>0)
				{
					// Номер на виртуален ПОС терминал за STYLER
					$pos_n = '23000018';
					// Референтен номер на финансовата транзакция
					$trans_n = $order['ref_id'];
					// Идентификатор на доставчика на платежни услуги
					$proc_id = '130598160';
				}
				else { $paym='3'; } // връщам се на "в брой" = P
			}
			else { $paym='3'; } // отново се връщам на "в брой" = P
			
			if($all_items and count($all_items)>0)
			{
				$all_total = $all_sum = $all_vat = 0;
				foreach($all_items as $item)
				{
					$inum = $item['item_number'];
					$qty  = (int)$item['item_qty'];
					$discount = $check_price = (int)$item['item_discount'];
					$item_online = $this->OnLine->get_online_item($inum);
					if($item_online and $check_price!=100)
					{
						$name = $item_online->name_bg;
						if($discount==0)
							{ $price = round((float)$item['item_unit_price'],2); }
						elseif($discount==100) 
							{ $price = $total = 0;}
						else // $discount > 0
							{ $price = round((100-$discount)*(float)$item['item_unit_price']/100,2); }
					} // if($item_online
					else // ako го няма вече в онлайн магазина
					{
						$name = $this->Item->get_name($inum);
						$skl_info = $this->Item->get_sklad_info($inum,0);
						if($skl_info)
						{
							$price = $price_2 = $skl_info->price_2;
							$price_3 = $skl_info->price_3;
							if($price_3>0 and $price_3<$price_2)
							{ $price = $price_3; }
							// махаме ДДС-то
							$price = round($price/1.2,2);
						}
						else { $price=0; $name='anonymous'; }
					}
					
					if($discount!=100)
					{
						$sum = round($qty * $price,2);
						$vat	 = $qty * round(0.2*$price,2);
						$total = $sum + $vat;

						// общите суми
						$all_sum 	+= $sum;
						$all_vat 	+= $vat;
						$all_total 	+= $total;
							
						$art = array(
								'art_num' 		=> $inum,
								'art_name' 		=> $name,
								'art_quant' 	=> $qty,
								'art_price' 	=> to_dot(round($price,2)),
								'art_vat_rate' => '20',
								'art_vat' 		=> to_dot(round($vat,2)),
								'art_sum' 		=> to_dot(round($total,2)) );
								
						$items[$inum] = $art;
						
					} // if($discount!=100)

				} // foreach($all_items
				
				if(abs($all_total)>0)
				{
					$orders[$doc_number] = array(
						'ord_n' => $doc_number,
						'ord_d' => $doc_date,
						'doc_n' => $doc_number,
					'doc_date' => $doc_date,
						'items' => $items,
				 'ord_total1' => to_dot($all_sum),
					'ord_disc' => '0',
					 'ord_vat' => to_dot($all_vat), // '0.2',
				 'ord_total2' => to_dot($all_total),
						 'paym' => $paym,
						
						'pos_n' => $pos_n,
					 'trans_n' => $trans_n,
					 'proc_id' => $proc_id );
				}
				else // ГРЕШНИ или празни поръчки
				{ 
					$errors[] = array(
					 'doc_number' => $doc_number,
						'doc_date' => $doc_date,
							'total' => $all_total ); 
				}

			} // if($all_items

		} // foreach($all_orders
		
		
		// само ВЪРНАТА СТОКА
		$r_ord = $r_total = 0; $rorders_all = '';
		$all_Rorders = $this->Marketing->getAuditReturns($vedom,0);
		foreach($all_Rorders as $rorder)
		{
		//	$r_ord += abs($rorder['total_qty']);
			if( abs((int)$rorder['total_sum'])>0 )
			{
				$r_total += to_dot((float)abs(round($rorder['total_sum'],2)));
				$r_ord++;
			}
		} // foreach($all_Rorders
		
		if($r_total>0)
		{
			foreach($all_Rorders as $rorder)
			{
				$doc_number = $rorder['doc_number'];
				$doc_date  = $rorder['doc_date'];
				$doc_total = to_dot(abs(round((float)$rorder['total_sum'],2)));
				
				if(abs($doc_total)>0)
				{
					$rorders[$doc_number] = array(
					 'r_ord_n' => $doc_number,
					'r_amount' => $doc_total,
					  'r_date' => $doc_date,
					  'r_paym' => '4' );
				}
			 
			} // foreach($all_Rorders
		}

		$data = array(
				'brand'  => $brand,
				'vedom'  => $vedom,
				'orders' => $orders,
			  'rorders' => $rorders,
			   'errors' => $errors,
				 'r_ord' => $r_ord,
			  'r_total' => to_dot($r_total)	);

	$this->load->view("marketing/export_NAP_XML",$data);
?>
