<?php $item_table = array();
		$bFriday = $this->OnLine->get_black_friday();
		foreach ($this->OnLine->get_all_items(10000,0,1)->result() as $item)
		{ 
			$item_number = $item->item_number;
			$item_online = $this->OnLine->get_online_item($item_number);

			// sizes
			$item_qty = $item_online->qty;
			if($item_online->sizes)
			{
				$sizeQty = explode(',',$item_online->sizes);
				$allow_sizes = $sizeQty[0];
			}
			else
			{  
				$sizeQty[1]=$sizeQty[2]=$sizeQty[3]=$sizeQty[4]=$sizeQty[5]=
				$sizeQty[6]=$sizeQty[7]=$sizeQty[8]=$sizeQty[9]=$sizeQty[10]='';
				$allow_sizes=0;
			}

			if ($item_online and $item_qty>0)
			{
				$q1 = ($sizeQty[1]>0) ? '1' : ''; $q2 = ($sizeQty[2]>0) ? '1' : '';
				$q3 = ($sizeQty[3]>0) ? '1' : ''; $q4 = ($sizeQty[4]>0) ? '1' : '';
				$q5 = ($sizeQty[5]>0) ? '1' : ''; $q6 = ($sizeQty[6]>0) ? '1' : '';
				$q7 = ($sizeQty[7]>0) ? '1' : ''; $q8 = ($sizeQty[8]>0) ? '1' : '';
				$q9 = ($sizeQty[9]>0) ? '1' : ''; $q10 = ($sizeQty[10]>0) ? '1' : '';
				
				$images = '';
				if ($item_online->image_a) { $images .= 'a';}
				if ($item_online->image_b) { $images .= ', b';}
				if ($item_online->image_c) { $images .= ', c';}
				if ($item_online->image_d) { $images .= ', d';}
				if ($item_online->image_e) { $images .= ', e';}

				$item_colors = '';
				if ($item_online->color_1) { $item_colors .= $item_online->color_1;}
				if ($item_online->color_2) { $item_colors .= ', '.$item_online->color_2;}
				if ($item_online->color_3) { $item_colors .= ', '.$item_online->color_3;}
				if ($item_online->color_4) { $item_colors .= ', '.$item_online->color_4;}
				if ($item_online->color_5) { $item_colors .= ', '.$item_online->color_5;}

				if(!$allow_sizes) { $sizeRange = '';}
				else 
				{
					switch ($allow_sizes) 
					{
						case 'S':   $sizeRange = '(S;M;L;XL;2XL;3XL;4XL;5XL;6XL;max)'; break;
						case 'XS':  $sizeRange = '(S;M;L;XL;2XL;3XL;4XL;5XL;6XL;XS)'; break;
						case 'J':   $sizeRange = '(30;31;32;33;34;36;38;40;42;max)'; break;
						case '28':  $sizeRange = '(30;32;34;36;38;40;42;44;46;28)'; break;
						case '30':  $sizeRange = '(30;32;34;36;38;40;42;44;46;max)'; break;
						case '38':  $sizeRange = '(40;42;44;46;48;50;52;54;56;38)'; break;
						case '40':  $sizeRange = '(40;42;44;46;48;50;52;54;56;max)'; break;
						case 'c46': $sizeRange = '(46;48;50;52;54;56;58;60;62;64)'; break;
						case '48':  $sizeRange = '(50;52;54;56;58;60;62;64;66;48)'; break;
						case '50':  $sizeRange = '(50;52;54;56;58;60;62;64;66;max)'; break;
					
						case '105': $sizeRange = '(105;110;115;120;125;130;135;140;150;160)'; break;
						case '92':  $sizeRange = '(92;104;116;128;140;152;164;176;188;max)'; break;
						case 'b40': $sizeRange = '(40;41;42;43;44;45;46;47;48;50;max)'; break;
						
						default: $sizeRange = $allow_sizes;
					}
				}

				$price = $price_2 = $item_online->price_2;
				$price_3 = $item_online->price_3;
				
				// Black Friday
				if($bFriday) {$price=$this->OnLine->get_black_price($item_number);}
				if($price_3>0 and $price>$price_3) {$price = $price_3;}
				
				// category
				$cat_id = $item_online->cat;
				$category = $this->OnLine->get_cat_name($cat_id);

				$picDir = $this->OnLine->get_item_picDir($item_number);
				$images_link = 'https://shop.styler.bg/bisoft_data/online_shop/pictures/'.$picDir.$item_number.'a_.jpg';
				
				$item_table[] = array(
					  'item' => $item_number,
				  'name_bg' => $item_online->name_bg,
				  'name_en' => $item_online->name_en,
				 'color_bg' => $item_online->color_bg,
				 'color_en' => $item_online->color_en,
				 'category' => $category,
					 'price' => $price,

					 'sizes' => $sizeRange,
					 'qty_1' => $q1,
					 'qty_2' => $q2,
					 'qty_3' => $q3,
					 'qty_4' => $q4,
					 'qty_5' => $q5,
					 'qty_6' => $q6,
					 'qty_7' => $q7,
					 'qty_8' => $q8,
					 'qty_9' => $q9,
				  'qty_max' => $q10,

		 'description_bg' => strip_tags($item_online->description_bg),
		 'description_en' => strip_tags($item_online->description_en),
		 	  'content_bg' => strip_tags($item_online->content_bg.' '.$item_online->care_bg),
		 	  'content_en' => strip_tags($item_online->content_en.' '.$item_online->care_en),
			 'item_colors' => $item_colors,

		 	'care_symbols' => $item_online->sign_temp.', '.$item_online->sign_wash.', '.
									$item_online->sign_chlor.', '.$item_online->sign_iron.', '.
									$item_online->sign_P,

				   'images' => $images,
			 'images_link' => $images_link,
		 'original_price' => $price_2 
								);
			} // if qty >0 //

		} //foreach $item //

		$headers = array( 'item','name_bg', 'name_en', 'color_bg', 'color_en', 'category', 'price', 'size range',
								'size_1', 'size_2', 'size_3', 'size_4', 'size_5',
								'size_6', 'size_7', 'size_8',	'size_9', 'size_max',
								'description_bg', 'description_en', 'content_bg', 'content_en', 'item_colors',
								'care_symbols', 'images', 'images_link', 'original_price' );
		$data =array(
				'headers' => $headers,
			'item_table' => $item_table );

	$this->load->view("marketing/table_export",$data);
?>
