<?php $item_table = array();
		foreach ($this->OnLine->get_all_items(10000)->result() as $item)
		{
			$brand = $this->OnLine->get_text('brand');
			$item_number = $item->item_number;
			$item_online = $this->OnLine->get_online_item($item_number);
			$sizes = '';
			
			// sizes qties
			$item_qty = $item_online->qty;
			if($item_online->sizes)
			{
				$sizeQty = explode(',',$item_online->sizes);
				$allow_sizes = $sizeQty[0];
			}
			else
			{  
				$sizeQty[1]=$sizeQty[2]=$sizeQty[3]=$sizeQty[4]=$sizeQty[5]=
				$sizeQty[6]=$sizeQty[7]=$sizeQty[8]=$sizeQty[9]=$sizeQty[10]='';
				$allow_sizes=0;
			}

			if ($item_online and $item_qty>0)
			{
				$q1 = ($sizeQty[1]>0) ? '1' : ''; $q2 = ($sizeQty[2]>0) ? '1' : '';
				$q3 = ($sizeQty[3]>0) ? '1' : ''; $q4 = ($sizeQty[4]>0) ? '1' : '';
				$q5 = ($sizeQty[4]>0) ? '1' : ''; $q6 = ($sizeQty[6]>0) ? '1' : '';
				$q7 = ($sizeQty[5]>0) ? '1' : ''; $q8 = ($sizeQty[8]>0) ? '1' : '';
				$q9 = ($sizeQty[9]>0) ? '1' : ''; $q10 = ($sizeQty[10]>0) ? '1' : '';
				
				$size = $this->OnLine->get_size_info($item_number);

				$sizes = substr($sizes,0,-1);
				if(!$allow_sizes) { $sizes = '';}

				$brand_category = $this->OnLine->get_text('category');
				if(!$brand_category)	{ $currency_SYMBOL = ' £';$now_rate = 1;}
				else { $currency_SYMBOL = ' €';$now_rate = 1.95583;}
				
				$picDir = $this->OnLine->get_item_picDir($item_number);

				$item_table[] = array(
					'Item Type'						=> 'product',							
					'Product ID'					=> $item_number,
					'Product Name'					=> $item_online->name_en,
					'Product Type'					=> 'man\'s wear',
					'Product Code/SKU'			=> $item_number,
					'Bin Picking Number'			=> '',
					'Brand Name'					=> $brand, // 7

					'Option Set'					=> '',
					'Option Set Align'			=> '',
					'Product Description'		=> strip_tags($item_online->description_en),
					'Price'							=> '',
					'Cost Price'					=> '',
					'Retail Price'					=> '',
					'Sale Price'					=> $currency_SYMBOL.to_dot($this->OnLine->get_item_price($item_number)/$now_rate,2),
					'Fixed Shipping Cost'		=> '',  // 15

					'Free Shipping'				=> 'only BG',
					'Product Warranty'			=> '',
					'Product Weight'				=> '',
					'Product Width'				=> '',
					'Product Height'				=> '',
					'Product Depth'				=> '',
					'Allow Purchases?'			=> '1', // 22

					'Product Visible?'			=> '1',
					'Product Availability'		=> '1',
					'Track Inventory'				=> '',
					'Current Stock Level'		=> '1',
					'Low Stock Level'				=> '0',
					'Category'						=> $item_online->cat, // 28

					'Product Image ID-1'			=> $item_number.'a',
					'Product Image File-1'		=> BDATA.'online_shop/pictures/'.$picDir.$item_number.'a_.jpg',
				'Product Image Description-1'	=> $item_online->description_en,
			  'Product Image Is Thumbnail-1'	=> BDATA.'online_shop/pictures/'.$picDir.$item_number.'a.jpg',
					'Product Image Sort-1'		=> '1', // 33

					'Product Image ID-2'			=> $item_number.'b',
					'Product Image File-2'		=> BDATA.'online_shop/pictures/'.$picDir.$item_number.'b_.jpg',
				'Product Image Description-2'	=> $item_online->description_en,
			  'Product Image Is Thumbnail-2'	=> BDATA.'online_shop/pictures/'.$picDir.$item_number.'b.jpg',
					'Product Image Sort-2'		=> '2', // 38

					'Search Keywords'				=> $item_online->keywords,
					'Page Title'					=> $brand.' '.$item_online->name_en.' item #'.$item_number,
					'Meta Keywords'				=> '',
					'Meta Description'			=> '',
					'MYOB Asset Acct'				=> '',
					'MYOB Income Acct'			=> '',
					'MYOB Expense Acct'			=> '', // 45

					'Product Condition'			=> 'new',
					'Show Product Condition?'	=> '1',
					'Event Date Required?'		=> '0',
					'Event Date Name'				=> '',
					'Event Date Is Limited?'	=> '', // 50

					'Event Date Start Date'		=> '',
					'Event Date End Date'		=> '',
					'Sort Order'					=> $item_online->position,
					'Product Tax Class'			=> '0',
					'?Product UPC/EAN? -> CC-color/SS-Size/X-CheckSum' => str_pad($item_number, 7, "0", STR_PAD_LEFT).'CCSSX',
					'Stop Processing Rules'		=> '0', // 56

					'Product URL'					=> BISOFT.'index.php/onlines/select_item/'.$item_number,
					'Redirect Old URL?'			=> '0',
			'GPS Global Trade Item Number'	=> $item_number,
			'GPS Manufacturer Part Number'	=> $item_number,
					'GPS Gender'					=> 'male',
					'GPS Age Group'				=> '18-/-55', // 62

					'GPS Color'						=> $item_online->color_en,
					'GPS Size'						=> $sizes,
					'GPS Material'					=> $item_online->content_en,
					'GPS Pattern'					=> 'RGB #'.$item_online->color_id,
					'GPS Item Group ID'			=> '0',
					'GPS Category'					=> $item_online->cat,
					'GPS Enabled'					=> '1' // 69 END
												 );
			} // if qty >0 //

		} //foreach $item //

		$headers	 = array( 'Item Type','Product ID', 'Product Name', 'Product Type', 'Product Code/SKU', 'Bin Picking Number', 'Brand Name', // 7
								 'Option Set','Option Set Align','Product Description','Price','Cost Price','Retail Price','Sale Price','Fixed Shipping Cost', // 15
								 'Free Shipping','Product Warranty','Product Weight','Product Width','Product Height','Product Depth','Allow Purchases?', // 22
								 'Product Visible?','Product Availability','Track Inventory','Current Stock Level', 'Low Stock Level', 'Category', //28								 
								 'Product Image ID-1', 'Product Image File-1', 'Product Image Description-1', 'Product Image Is Thumbnail-1', 'Product Image Sort-1',//33
								 'Product Image ID-2', 'Product Image File-2', 'Product Image Description-2', 'Product Image Is Thumbnail-2', 'Product Image Sort-2',//38
								 'Search Keywords', 'Page Title', 'Meta Keywords', 'Meta Description', 'MYOB Asset Acct', 'MYOB Income Acct', 'MYOB Expense Acct', //45
								 'Product Condition', 'Show Product Condition?', 'Event Date Required?', 'Event Date Name', 'Event Date Is Limited?', // 50
								 'Event Date Start Date', 'Event Date End Date', 'Sort Order', 'Product Tax Class', '?Product UPC/EAN? -> CC-color/SS-Size/X-CheckSum',
								 'Stop Processing Rules', // 56
								 'Product URL', 'Redirect Old URL?', 'GPS Global Trade Item Number', 'GPS Manufacturer Part Number', 'GPS Gender', 'GPS Age Group', //62 
								 'GPS Color', 'GPS Size', 'GPS Material', 'GPS Pattern', 'GPS Item Group ID', 'GPS Category', 'GPS Enabled' ); // 69

		$data =array(
				'headers' => $headers,
			'item_table' => $item_table
						);

	$this->load->view("marketing/table_export_en",$data);
?>
