<?php	$failCodes = null;
		$successCode = null;

	// get BiSOFT path
	$this->CI =& get_instance();
	$bisoft_path = $this->CI->BiSOFT_Model->get_path();
	$view_path = 'orders/refresh';

	$myOrder = str_pad($this->input->post('order_import'), 7, "0", STR_PAD_LEFT);

	$myPOR = 'P' . $myOrder . '.bls';
	$sRoot = $_SERVER['DOCUMENT_ROOT'];
	$vedom_to_read = $sRoot.'/'.$bisoft_path.'/POR/'.$myPOR;

		$collection_id = $this->input->post('collection_import');
		$mode_year		= (int) '20'.substr($collection_id,0,2);
		$yearPack		= 'orders_'.$mode_year;
		$vedomPack 		= 'orders';

		$mode = $this->input->post('mode_import');

	$this->load->library('spreadsheetexcelreader');
   $this->spreadsheetexcelreader->setOutputEncoding('CP1251'); // Set output Encoding


	// Load POR from BiSOFT ....
	if (!is_readable($vedom_to_read))
	 { // ГРЕШКА - връщаме се в началото на controller-a ...
			$msg = $this->lang->line('common_error_import');
			$data = array ('error'  => $msg, 'view_path'=> $view_path);
 			$this->load->view('msg_box',$data);
			return false;
	 }

	else 
	 { // тук вече зарежда нормално от BiSOFT VEDOM ... - >

		$data_file = new Spreadsheetexcelreader($vedom_to_read, false);
		$rowCount = $data_file->rowcount(0);



	   $currLine = 1;

		$order_date = date('Y-m-d', 86400 * ($data_file->val('6', 'H') - 25569) );
		$deadline 	= date('Y-m-d', 86400 * ($data_file->val('6', 'H') - 25569  + 90 ) );
		$total_qty	= $data_file->val('6', 'I');
		$total_sum	= $data_file->val('6', 'J');
		$all_total	= $data_file->val('6', 'J');


				// определяме къде да вкараме данните ...

				$collection 	= $this->Order->get_info_collection($collection_id)->collection;
				$client_id  	= round($this->input->post('order_import')/1000,0);
				$client 			= $data_file->val('5', 'F');;// $this->Customer->get_info_by_bisoft_id($client_id)->company_name;
				$discount 		= $this->Customer->get_info_by_bisoft_id($client_id)->discount;
				$mode_price 	= $this->Customer->get_info_by_bisoft_id($client_id)->price_group;

				$employee_id 	= '8'; // Яна ...
				$employee	 	= $this->Employee->get_info($employee_id)->first_name
									 .' '. $this->Employee->get_info($employee_id)->last_name;

		// Формира кода на Поръчката ...
		$order_number = 10000 * $collection_id + $client_id;
		$order_id = 0;

			if(!$this->Order->order_exists($order_number, $mode))
			{
					$order_data = array(
						'order_number' 	=> $order_number,
						'order_date' 		=> $order_date,
						'mode' 				=> $mode,
						'mode_year'			=> $mode_year,
						'lines' 				=> $rowCount,
						'deadline'			=> $deadline,
						'total_discount'	=> $discount,
						'mode_price'		=> $mode_price,
						'total_qty' 		=> $total_qty,
						'total_sum' 		=> $total_sum,
						'all_total' 		=> $all_total,
						'collection_id' 	=> $collection_id,
						'collection' 		=> $collection,
						'client_id' 		=> $client_id,
						'client' 			=> $client,
						'employee_id' 		=> $employee_id,
						'employee' 			=> $employee,
						'comment' 			=> 'импортирано'
					);

				// Добавя НОВА ПОРЪЧКА ...
				$order_id = $this->Order->insert_order($order_data);
			}


		if($rowCount > 1)
		{  // #2 if row > 1
 
			for($i = 9; $i<=$rowCount; $i++) // $i<=$rowCount
			{  // #3 for i=1 and on ...

				$item_number = intval( $data_file->val($i,'E') );
				if ( $item_number > 0 )
				{
					$item_id	 	 = $this->Item->get_all_info($item_number);
					$item_info	 = $this->Item->get_item_info($item_number);

					$item_data = array(
						'order_id'		  	=> $order_id,
						'order_number'  	=> $order_number,
						'mode' 				=> $mode,
						'line' 				=> $currLine,
						'item_number' 		=> $item_number,
						'item_name' 		=> $data_file->val($i, 'F'), // $item_info->name,
						'allow_sizes' 		=> $item_info->allow_sizes,

							'item_total'	=> $data_file->val($i, 'J'),
							'item_price'	=> $data_file->val($i, 'H'),
							'item_qty'		=> (int)$data_file->val($i, 'I'),

									'qty_1'  => (int)$data_file->val($i, 'K'),
									'qty_2'  => (int)$data_file->val($i, 'L'),
									'qty_3'  => (int)$data_file->val($i, 'M'),
									'qty_4'  => (int)$data_file->val($i, 'N'),
									'qty_5'  => (int)$data_file->val($i, 'O'),
									'qty_6'  => (int)$data_file->val($i, 'P'),
									'qty_7'  => (int)$data_file->val($i, 'Q'),
									'qty_8'  => (int)$data_file->val($i, 'R'),
									'qty_9'  => (int)$data_file->val($i, 'S'),

						'deadline'			=> $deadline,
						'collection_id' 	=> $collection_id,
						'client_id' 	 	=> $client_id
										);

					// вкарва данните на Артикула в Базата ... //

					$success = $this->Order->insert_order_item($item_data, $order_id, $yearPack);
					$currLine += 1;

				} // if $item_number > 0

			} // #3 for i=1

				// актуализира пак централната база поради промяна броя на редовете ...
					$doc_data = array( 'lines' => ($currLine - 1) );
					$this->Order->update($doc_data, $order_id);

		}  // #2 if row > 1


	 } // else тук вече зарежда нормално от BiSOFT VEDOM ... - >
	

	$this->refresh(0);
?>
