<?php $person_mode = $this->BiSOFT_Model->get_user_mode();
		$controller_name = strtolower(get_class());

		$mode = '1';$orders_data = array();
		$this->BiSOFT_Model->set_user_mode('order');

		$model = $this->Order;
		$export_excel = 0;

		$summary_data = array();
		$details_data = array();

	   $user_id  = $this->BiSOFT_Model->get_person();
	   $location = $this->BiSOFT_Model->get_location();

		$customer_id 	= $this->BiSOFT_Model->get_user_mode_client();
		$collection_id = $this->BiSOFT_Model->get_mode_assort();
		$mode_year		= (int) '20'.substr($collection_id,0,2);
		$yearPack	 	= 'orders_'.$mode_year;
		
		$headers 	 = $model->getDataColumns();
		$report_data = $model->getData(array(
									'mode_year' 	 => $mode_year, 
									'collection_id' => $collection_id,
									'client_id' 	 => $customer_id ));

		$orders_data = array();
		foreach($report_data['summary'] as $key=>$row)
		{
			$docNumber = $row['order_number'].'-'.$row['mode'];
			$vedomPack = 'orders';
			

			$total_discount = '';
			if (intval($row['dsc']) != 0) { $total_discount = $row['dsc'].'%';}
			$amount_paid = $row['total'];
			$avance = $row['avance']; if( $avance == 0 ) { $avance = ''; }
			
			$collection = $this->Order->get_info_collection($collection_id)->collection_bg;
			$employee	 	= $this->Employee->get_info($row['employee_id'])->first_name
							 .' '. $this->Employee->get_info($row['employee_id'])->last_name;
							 
			$client_name = '';
			$client = $this->Customer->get_info_by_bisoft_id($row['client_id'])->company_name;
			if(!empty($row['client'])) {$client_name = ' - <b style="color:#616;">'.$row['client'].'</b>';}
			
			$comment = $row['comment']; 
			if(empty($row['comment']) or $row['comment']==null) {$comment='';}

			$receipt_link = anchor(
						"$controller_name/view_order/".$row['order_id'],  // link
						$docNumber,array('class'=>'btn_blue_red') ); // , array('target' => '_blank') );

			$add_line_link = anchor(
						"$controller_name/add_new_line/".$row['order_id']."/width:465/height:240",  // link
						$this->lang->line('reports_add_line'), 
						array('class'=>'thickbox', 
									'target' => '_blank', 
									'title' => $this->lang->line('reports_edit_add_newline')) );
									
			$erase_line_link = anchor(
						"$controller_name/delete/".$row['order_id'],  // link
						'<b style="color:#c22;font-family: BiSOFT_Sans;font-size:115%;line-height:24px;">X</b>',
						array('class'=>'btn_blue_red') );

		   $orders_data[] = array(
						'link' => $receipt_link, // 1  има още  array('target' => '_blank'),
						'date' =>	date('d.m.Y', strtotime($row['order_date'])),  // 2
						'deadline' => date('d.m.Y', strtotime($row['deadline'])),    // 3 deadline
						'client' =>	$client.$client_name, // 4
						'qty' => $row['qty'],  // 5
						'sum' =>	to_currency_no_money($row['sum']),  // 6
						'dsc' =>	$total_discount,  // 7
						'avance' =>	$avance,   // 8
						'paid' => to_currency_no_money($amount_paid),  // 9
						'who' =>	$employee,  // 10
						'comment' => $comment,
						'del' => $erase_line_link, // 11
											);
		}

		// вземам си всички КОЛЕКЦИИ  
		$collections = array('0' => '&nbsp;&nbsp;'.$this->lang->line('reports_select_collection'));
		if ( $this->Appconfig->get('language') == 'bulgarian' ) 
			{
				$lang = "bg";
				foreach ( $this->Order->get_collections()->result() as $collection)
						  { $collections[$collection->key] = '&nbsp;&nbsp;'.$collection->collection_bg; }
			}
		elseif ( $this->Appconfig->get('language') == 'english' )
			{
				$lang = "en";
				foreach ( $this->Order->get_collections()->result() as $collection)
						  { $collections[$collection->key] = '&nbsp;&nbsp;'.$collection->collection_en; }
			}

		// вземам си всички КЛИЕНТИ
		$customers = array('0' => $this->lang->line('reports_select_client'));
		foreach ( $this->Customer->get_all()->result() as $customer)
				  { $customers[$customer->bisoft_id] = '&nbsp;&nbsp;'.character_limiter($customer->company_name,30); }

		$data = array(  // пакетирани данните за таблицата с извадката ....
				"controller_name" => $controller_name,
				"title" 		=> $this->lang->line('common_ORDERS'),
				
				"subtitle" 	=> $this->lang->line('reports_date_period').' '.date('Y'),
				"headers" 	=> $model->getDataColumns(),

				"orders_data" => $orders_data,

		"overall_summary_data" => $model->getSummaryData( array(
																		'order_type' 	 => $mode,
																		'collection_id' => $collection_id,
																		'client_id' 	 => $customer_id )),
		"summary_key" => $model->getSummaryKey( array(
														'order_type' 	 => $mode,
														'collection_id' => $collection_id,
														'client_id' 	 => $customer_id )),
			"collections"   => $collections,
		   "collection_id" => $collection_id,
		   "user_id"       => $user_id,
			"customers"  	 => $customers,
		   "customer_id" 	 => $customer_id,
			"export_excel"  => $export_excel,
			"controler"		 => $this );

		$data['key_print'] = $key_print;
	
		$this->load->view("orders/orders_catalog", $data);
?>
