<?php $this->load->model('reports/Detailed_sales');
		$model = $this->Detailed_sales;
		$firma = $this->BiSOFT_Model->get_firma_key();

	   $user_id  = $this->BiSOFT_Model->get_person();
	   $location = $this->BiSOFT_Model->get_location();
		
		if($recalc_vedom==1) // модул за преизчисляване на ведомостта
			{
				$vedom = date('ym',strtotime($start_date));
				$model->recalc_vedom($vedom,$start_date,$end_date,$sale_type);
			}
		
		$headers = $model->getDataColumns();
		if($sale_type=='mackas')       // САМО mackas
		{ $report_data = $model->getMackaData(array('start_date'=>$start_date, 'end_date'=>$end_date, 'sale_type' => 'mackas')); }
		elseif($sale_type=='fenotags') // САМО fenotags
		{ $report_data = $model->getFenoData(array('start_date'=>$start_date, 'end_date'=>$end_date, 'sale_type' => 'fenotags')); }
		else // всичко останало
		{ $report_data = $model->getData(array('start_date'=>$start_date, 'end_date'=>$end_date, 'sale_type' => $sale_type)); }
	
			
		$summary_data = $details_data = $excel_data = array();
		$giftvalues = 0;
		$total_paid_cost = 0;
		
		// mackas
		$macka_total = $macka_qty = 0;
		
		// fenotags
		$fenotag_total = $fenotag_qty = 0;
	
		foreach($report_data['summary'] as $key=>$row)
		{
				$docNumber = $row['doc_number'];
				$vedom = date('ym', strtotime($row['doc_date']));
				$vedomPack = 'V'. $vedom;
				
				// Клиентът ?!
				$brand = '';
				if($row['mode_id']=='E' or $row['mode_id']=='BE') {$brand = $this->BiSOFT_Model->get_brand_name($row['brand']);}
				$client_status = $customer_discount = 0;
				$client_id = $row['client_id'];
				
				if ($location==0 and $client_id!=0 and ($row['mode_id']=='E' or $row['mode_id']=='BE'))
				{
               $customer_info = $this->Customer->get_info_by_bisoft_id($client_id);
               if($customer_info)
               {
                  $client_status = $customer_info->status;
                  $customer_discount = $customer_info->discount;
               }
				}
		
				$doc_idx = $row['doc_id'].$vedom;

				$pay_type = $row['pay_type'];
				if ($row['pay_type'] == '0') { $pay_type = '';}
				elseif($row['mode_id']=='OMB') { $pay_type = '<b style="color:#c00;">'.$pay_type.'</b>';}
				
				$pay_sale = to_currency_no_money($row['pay_sale']);
				if ($row['pay_sale'] == 0) { $pay_sale = '';}
				
				$due_sum = to_currency_no_money($row['due_sum']);
				if ($row['due_sum'] == 0) { $due_sum = '';}

				$total_discount = ''; $giftpro = 0;
				if($row['total_discount']>0 or $row['giftprocent']>0) 
					{ $total_discount = $row['total_discount'].'%';}
				elseif($client_status=='onlineto' and $customer_discount!=0)
               { $total_discount = '<i style="color:#b00;text-align:center;">(-'.round($customer_discount,1).'%)</i>';}

				if(intval($row['giftprocent']) != 0) 
               { 
                  if(substr($row['giftcard'],0,5)=='promo' or substr($row['giftcard'],0,5)=='PROMO')
                     { $total_discount = 'promo'.$row['giftprocent'];$giftpro=$row['giftprocent'];}
                  else
                     { $total_discount = 'vip'.$row['giftprocent'].'%';$giftpro=$row['giftprocent'];}
               }
				if(intval($row['giftvalue']) != 0) 
               { 
                  $giftvalues -= $row['giftvalue'];
                  if($row['giftprocent']==0) {$total_discount = round($row['giftvalue']).'лв';}
               }
				
				$three4two = 0;
				if($row['order_id']=='three4two') {$three4two=1;$total_discount='three4two';}
				
				$total_taxes = '';
				if ($row['total_taxes'] != 0) { $total_taxes = to_dot($row['total_taxes']);}

				$location_doc = '';$time_made = '';
				if ($row['location'] > 0 or $row['mode_id']=='OM' or $row['mode_id']=='OMi') 
					{ 
						$location_doc = '-'.$row['location'];
						$time_made = ' ('.date('H:i', strtotime($row['date_start'])).')';
					}
				$obekt = $row['mode_id'].$location_doc;

				$employee = $this->Employee->get_id_names($row['employee_id']);

				$print_icon = '<span id="print_bmk">'.anchor("Home/blanka_sales_print/$docNumber/$vedomPack/prices",
								  '<div class="print_bmk_icon"></div>',array('target'=>'_blank') ).'</span>';

				if($row['mode_id']=='OM')
					{$employee = 'online shop'.$time_made;$obekt = $print_icon;}
				elseif($row['mode_id']=='OMi')
					{$employee = 'online + INVOICE';$obekt = $print_icon;}
				elseif($row['mode_id']=='OMB')
					{$employee = '<b style="color:#c00;">върната online</b>'.$time_made;$obekt = $print_icon;}
				elseif($row['mode_id']=='SE' or $row['mode_id']=='BP')
					{$employee .= $time_made;}

				// определяме кой какво ще гледа и дали ще редактира ?!
				if( $user_id < 21 or ( $user_id == $row['employee_id'] and $location == 0 ) )
				{ $receipt_link = anchor(
							'Sales/edit/'.$row['doc_id'].'/'.$vedomPack.'/'.$print_type.'/'.$sale_type.'/width:680/height:480',
							$docNumber, array('class'=>'thickbox none','title'=>'Документ: '.$docNumber,'target'=>'_blank') );
				}
				elseif( $sale_type=='online_sale' or $sale_type=='online_return' )
				{ $receipt_link = anchor(
							'Sales/edit/'.$row['doc_id'].'/'.$vedomPack.'/'.$print_type.'/'.$sale_type.'/width:680/height:480',
							$docNumber, array('class'=>'thickbox none','title'=>'Документ: '.$docNumber,'target'=>'_blank') );
				}
				else
				{ $receipt_link = anchor(
							'Home/blanka_sales_print/'.$docNumber.'/'.$vedomPack.'/'.$print_type,
							$docNumber, array('title'=>'Документ: '.$docNumber,'target'=>'_blank') );
				}
			
				// обработвам артикулите
				foreach($report_data['details'][$key] as $drow)
				{
					$inum = $drow['item_number'];$Qty=array();
					if($this->Item->get_allow_sizes($inum))
					 { $Qty = explode(',',$drow['item_name']);}
					else {$Qty[0]=$Qty[1]=$Qty[2]=$Qty[3]=$Qty[4]=$Qty[5]=$Qty[6]=$Qty[7]=$Qty[8]=$Qty[9]=$Qty[10]=0;}
				
					$costsale = to_dot($drow['costsale']);
					if ($drow['costsale'] == 0) { $costsale = '';}
					
					$details_data[$key][] = array(
					  'controller' => 'Sales',
						  'mode_id' => $row['mode_id'],
							'vedom'  => $vedom,
						  'doc_num' => $row['doc_number'],
						  'doc_id'  => $row['doc_id'],
							'line' 	=> $drow['line'],
							'inum' 	=> $inum,
							'qty' 	=> $drow['item_qty'], 
							'price' 	=> $drow['item_unit_price'],
							'tax'		=> $drow['item_taxes'],
						  'giftpro' => $giftpro,
						 'costsale' => $costsale,
							'dsc' 	=> $drow['item_discount'],
							'q1'=>$Qty[1],'q2'=>$Qty[2],'q3'=>$Qty[3],'q4'=>$Qty[4],'q5'=>$Qty[5],
							'q6'=>$Qty[6],'q7'=>$Qty[7],'q8'=>$Qty[8],'q9'=>$Qty[9],'q10'=>$Qty[10]	);
							
					$excel_data[] = array(
							'inum' 	=> $inum,
							'qty' 	=> $drow['item_qty'], 
							'price' 	=> $drow['item_unit_price'],
							'q1'=>$Qty[1],'q2'=>$Qty[2],'q3'=>$Qty[3],'q4'=>$Qty[4],'q5'=>$Qty[5],
							'q6'=>$Qty[6],'q7'=>$Qty[7],'q8'=>$Qty[8],'q9'=>$Qty[9],'q10'=>$Qty[10]	);
				}
				
				$client_name = $row['client'];
				if($row['mode_id']=='OM' and $row['delivery']>0)
					{ $client_name .= ' (дост.'.$row['delivery'].')'; }
				elseif($row['mode_id']=='OMi' and $row['delivery']>0)
					{ $client_name .= ' (дост.'.$row['delivery'].')'; }

				// специално за БЧК и даренията - при по-добра идеа да се махне	
				$pay_amount = to_dot($row['pay_amount']);
				if( ($client_id == 1345 and $firma['styler']) or $pay_type == 'дарение' ) { $pay_amount = ''; }
				
				// mackas
				$macka_qty   += $row['total_qty'];
				$macka_total += $pay_amount;
				
				if( $client_id == 1359 and $firma['styler']) // SAS FENOTAG
				{ 				
               $fenotag_qty   += $row['total_qty'];
               $fenotag_total += $pay_amount; 
            }
					
				$summary_data[$key] = array(
					'doc'     => $receipt_link,                               // 1  има още  array('target' => '_blank'),
					'date'    => date('d.m.Y', strtotime($row['doc_date'])),  // 2
					'qty'     => "<span id='qty_$doc_idx'>".$row['total_qty']."<span>",         // 3
					'total'   => "<span id='sum_$doc_idx'>".to_dot($row['total_sum'])."<span>", // 4
					'disc'    => "<span id='dsc_$doc_idx'>".$total_discount."<span>",  	       // 5
					'tax'     => "<span id='tax_$doc_idx'>".$total_taxes."<span>",  		       // 6
					'pay'     => "<span id='all_$doc_idx'>".$pay_amount."<span>",               // 7
					'sale'    => "<span id='cost_$doc_idx'>".$pay_sale."<span>",  			       // 8
					'type'    => "<span id='amount_$doc_idx'>".$pay_type."<span>",  		       // 9
					'client'  => "<span id='client_$doc_idx'>".$client_name."<span>",           // 10
					'brand'   => "<span id='brand_$doc_idx'>".$brand."<span>", 	                // 11
					'empl'    => $employee, // 12
					'obekt'   => $obekt ); 	// 13
		}

		$printon = $this->lang->line('reports_print_sizes');
				if($print_type=='prices') { $printon = $this->lang->line('reports_print_prices');}
				elseif($print_type=='prices_GR') { $printon = $this->lang->line('reports_print_prices').' "GREEK"';}
				elseif($print_type=='prices_RO') { $printon = $this->lang->line('reports_print_prices').' "ROMANIAN"';}
				elseif ($print_type=='sizes') {$printon = $this->lang->line('reports_print_sizes');}

		$totals_data = $model->getSummaryData(array(
									'start_date'	=> $start_date, 
									'end_date'		=> $end_date,
									'sale_type' 	=> $sale_type) );
									
		if($sale_type=="all" or $sale_type=="all_sales" or $sale_type=="sale")
		{
			$totals_paid = $model->getSummaryData(array(
                           'start_date'	=> $start_date, 
                           'end_date'		=> $end_date,
                           'sale_type' 	=> 'kaca') );
										
			$total_paid_cost = to_dot($totals_paid['total_sum']);
		}
									
		$total_dsc = $totals_data['total_pay'] - $totals_data['total_sum'];
		if($total_dsc>=0) {$total_dsc='-/-';}
		else {$total_dsc=to_dot($total_dsc);}
									
									
		$main_title = '';
		if(!$location) {$main_title = 'СУМА: '.round($totals_data['total_sum']).'лв / -ДДС: '.round($totals_data['total_vat']).'лв / '.$totals_data['total_qty'].'бр.';}
		
		$title = $this->lang->line('reports_detailed_sales_report');
		
		if($sale_type=='mackas')
		{
         $totals_data['total_qty'] = $macka_qty;
         $totals_data['total_pay'] = $totals_data['total_sum'] = $totals_data['total_cost'] = $macka_total;
         $total_dsc = 0;
         $title .= ' НА МАСКИ';
		}
		elseif($sale_type=='fenotags')
		{
         $totals_data['total_qty'] = $fenotag_qty;
         $totals_data['total_pay'] = $totals_data['total_sum'] = $totals_data['total_cost'] = $fenotag_total;
         $total_dsc = 0;
         $title .= ' НА FENOTAGS';
		}
		elseif($sale_type=='all_sales')
		{  $title .= ' - ВСИЧКО ОБЛЕКЛО'; }
		elseif($sale_type=='all_total')
		{  $title .= ' - GRAND TOTAL'; }
		
		$data = array(  // пакетирани данните за таблицата с извадката ....
				"title" 		=> $title,
				"subtitle"  => $this->lang->line('reports_date_period').': '.date('d.m.Y', strtotime($start_date)) . ' - ' . date('d.m.Y', strtotime($end_date)).'; '.$printon,
				"headers" 	=> $model->getDataColumns(),
				"main_title" => $main_title,

				"summary_data" => $summary_data,
				"details_data" => $details_data,
				
				"total_sum"  => to_dot($totals_data['total_sum']),
				"total_dsc"  => to_dot($total_dsc),
				"total_vat"  => to_dot($totals_data['total_vat']),
				"total_pay"  => to_dot($totals_data['total_pay']),
				"total_qty"  => $totals_data['total_qty'],
				"total_cost" => to_dot($totals_data['total_cost']),
				"total_paid_cost" => $total_paid_cost,
				
				"export_excel" => $export_excel,
				"excel_data" 	=> $excel_data,
				"location" 		=> $location,
				"controller"	=> "Sales"	);

	if($export_excel)
	{ $this->load->view("reports/tabular_details_Excel", $data); }
	else
	{ $this->load->view("reports/tabular_details", $data); }
	
?>
