<?php $this->load->model('reports/Inventory_low');
		$model = $this->Inventory_low;
		$tabular_data = array();
		$report_data = $model->getData(array());
	   $skl = $this->BiSOFT_Model->get_location();
		$user_id  = $this->BiSOFT_Model->get_person();
		$key_CKP  = $this->BiSOFT_Model->get_version_ckp();

		$qty_total = $all_suma = 0;
		foreach($report_data as $row)
		{
			$inum  = $row['inum'];
			$name  = $this->Item->get_name($inum);
			$price = $row['price'];
			if($export_price==0 and $skl==0) 
				{
					$price = $row['price_2'];
					if($row['price_3']>0 and $row['price_3']<$row['price_2']) {$price = $row['price_3'];}
				}
			
			$allow_sizes = $this->Item->get_allow_sizes($inum);
			$item_data = array(
				'qty_1' => $row['q1'],
				'qty_2' => $row['q2'],
				'qty_3' => $row['q3'],
				'qty_4' => $row['q4'],
				'qty_5' => $row['q5'],
				'qty_6' => $row['q6'],
				'qty_7' => $row['q7'],
				'qty_8' => $row['q8'],
				'qty_9' => $row['q9'],
				'qty_max'  => $row['q10'],
				'quantity' => $row['qty'],
				'allow_sizes' => $allow_sizes );

			$result=0;
			if($allow_sizes and $allow_sizes!=105) 
				{$result=$this->Item->check_qty_to_sizes($item_data);}

			// проверка на Online ?
			$online_key=1;
			if($export_online) { if(!$this->OnLine->is_active_online_item($inum)){$online_key=0;} }
				
			if (($result or $row['qty']<0) and $online_key ) 
				{
					$tabular_data[] = array(
					'inum'=>'<b>'.$row['inum'].'</b>',
					'name'=>character_limiter($name,32),
					$row['q1'],
					$row['q2'],
					$row['q3'],
					$row['q4'],
					$row['q5'],
					$row['q6'],
					$row['q7'],
					$row['q8'],
					$row['q9'],
					$row['q10'],
					$row['qty'],
					to_currency_no_money($price),
					'result'=>($result)?$result:'' );

				$qty_total += $row['qty'];
				$all_suma  += $row['qty'] * $price;
				}
		}

		$all_cost = 0;
		$totals_data = array('total_vat'=>0,'total_due'=>0);
		$sklad_show  = '-'.$skl; if($skl==0) {$sklad_show='-ГП';} 
		$data = array(
			"title" 		=> $this->lang->line('reports_low_inventory_report').$sklad_show,
			"subtitle" 	=> strtolower($this->lang->line('reports_inventory_subtitle_2')),
			"headers" 	=> $model->getDataColumns(),
			"data" 		=> $tabular_data,
			"export_excel" => $export_excel,
					
			"total_qty"  => $qty_total,
			"total_vat"  => to_dot($totals_data['total_vat']),
			"total_sum"  => to_dot($all_suma),
			"total_cost" => to_dot($all_cost),
			"total_due"  => to_dot($totals_data['total_due']),
					
			"user_id" 		=> $user_id,
			"key_CKP"		=> $key_CKP,
			"location" 		=> $skl );

	$this->load->view("reports/sklad_view",$data);

?>
