<?php $this->load->model('reports/Specific_supplier');
		$model = $this->Specific_supplier;

	   $location = $this->BiSOFT_Model->get_location();
		$bisoft_id = $this->Supplier->get_info($supplier_id)->bisoft_id;

		$headers = $model->getDataColumns();
		$report_data = $model->getData(array('start_date'=>$start_date, 'end_date'=>$end_date, 'bisoft_id' =>$bisoft_id, 'sale_type' => $sale_type));
		
		$summary_data = array();
		$details_data = array();
		
		foreach($report_data['summary'] as $key=>$row)
		{
			$docNumber = $row['doc_number'];
				$vedom = date('ym', strtotime($row['doc_date']));
				$vedomPack = 'V'. $vedom;
				
				$doc_idx = $row['doc_id'].$vedom;

			$pay_type = $row['pay_type'];
			if ($row['pay_type'] == '0') { $pay_type = '';}
	
			$pay_sale = to_currency_no_money($row['pay_sale']);
			if ($row['pay_sale'] == 0) { $pay_sale = '';}
			
			$due_sum = to_currency_no_money($row['due_sum']);
			if ($row['due_sum'] == 0) { $due_sum = '';}
			
			$total_discount = '';$giftpro = 0;
			if (intval($row['total_discount']) != 0) { $total_discount = $row['total_discount'];}

			$total_taxes = '';
			if (intval($row['total_taxes']) != 0) { $total_taxes = $row['total_taxes'];}

			$location_doc = '';
			if ($row['location'] != 0) { $location_doc = $row['location'];}

			if($row['comment'] == 0) {$row['comment'] = '';}  // махам 0-та от commenta ....

		   $summary_data[] = array(
					anchor(
						'recvs/receipt/'.$row['doc_id'].'/'.$vedomPack.'/'.$sale_type,  // linka
						$docNumber,  // 1
						array('target' => '_blank')),
							date('d.m.Y', strtotime($row['doc_date'])),  // 2
			"<span id='qty_$doc_idx'>".$row['total_qty']."<span>",  // 3
			"<span id='sum_$doc_idx'>".to_dot($row['total_sum'])."<span>",  // 4
							$total_discount,  // 6
			"<span id='tax_$doc_idx'>".$total_taxes."<span>",  // 7
			"<span id='amount_$doc_idx'>".$pay_type."<span>",  // 8
							$row['employee'],  // 9
							$row['mode_id'],  // 10
							$location_doc,  // 11
							$row['comment']); // 12
			
			// обработвам всички артикули и си махам 0-те .....
			foreach($report_data['details'][$key] as $drow)
			{
				$inum = $drow['item_number'];
            if($this->Item->get_allow_sizes($inum)) // само за размерни //
              { $Qty = explode(',',$drow['item_name']);}
            else
              { $Qty[0]=$Qty[1]=$Qty[2]=$Qty[3]=$Qty[4]=$Qty[5]=$Qty[6]=$Qty[7]=$Qty[8]=$Qty[9]=$Qty[10]=0;}

				$costsale = to_dot($drow['costsale']);
				if ($drow['costsale'] == 0) { $costsale = '';}
				
				$details_data[$key][] = array(
				  'controller' => 'Recvs',
					  'mode_id' => $row['mode_id'],
					  	'vedom'  => $vedom,
					  'doc_num' => $row['doc_number'],
					  'doc_id'  => $row['doc_id'],
						'line' 	=> $drow['line'],
						'inum' 	=> $inum,
						'qty' 	=> $drow['item_qty'], 
						'price' 	=> $drow['item_unit_price'],
						'tax'		=> $drow['item_taxes'],
					  'giftpro' => $giftpro,
					 'costsale' => $costsale,
						'dsc' 	=> $drow['item_discount'],
							'q1'=>$Qty[1],'q2'=>$Qty[2],'q3'=>$Qty[3],'q4'=>$Qty[4],'q5'=>$Qty[5],
							'q6'=>$Qty[6],'q7'=>$Qty[7],'q8'=>$Qty[8],'q9'=>$Qty[9],'q10'=>$Qty[10]	);
			}
		}

		$supplier_info = $this->Supplier->get_info($supplier_id);

		$totals_data = $model->getSummaryData(array(
								'start_date'=> $start_date, 
								'end_date'	=> $end_date,
								'bisoft_id' => $bisoft_id, 
								'sale_type' => $sale_type)	);
								
		$data = array(
			"title" => $supplier_info->company_name.' '.$this->lang->line('reports_report'),
			"subtitle" => date('d.m.Y', strtotime($start_date)) .' - '.date('d.m.Y', strtotime($end_date)),
			"headers" => $model->getDataColumns(),

			"summary_data" => $summary_data,
			"details_data" => $details_data,
			
			"total_qty"  => $totals_data['total_qty'],
			"total_vat"  => to_dot($totals_data['total_vat']),
			"total_sum"  => to_dot($totals_data['total_sum']),
			"total_cost" => to_dot($totals_data['total_cost']),
			"total_due"  => to_dot($totals_data['total_due']),	

			"export_excel" => $export_excel,
			"location" 		=> $location,
			"controller"	=> "Recvs"  );

	$this->load->view("reports/tabular_details",$data);
?>
