<?php // Установяваме датите за МИНАЛАТА ГОДИНА:
		$period_Year = (date('Y')-1);
		$start_date = $period_Year.'-01-01';
		$end_date 	= $period_Year.'-12-31';
	
		$ved_1 = date('ym', strtotime($start_date));
		$ved_2 = date('ym', strtotime($end_date));
		
		$this->load->model('reports/Summary_consignees');
		$model = $this->Summary_consignees;
		
		// да си определим фирмата и оператора
		$user_id = $this->BiSOFT_Model->get_person();
		$firma_key = $this->BiSOFT_Model->get_firma_key();
			$styler_key = $firma_key['styler'];
			$hanna_key  = $firma_key['hanna'];
		

		$all_Clients = $tabular_data = array();
		$all_start = $all_sales = $all_invs = $all_paid = $all_due = $all_error = 0;
		
		// Проверка на Нач.Салда
		$all_cust_due = $this->Sale->get_all_consignees_due($period_Year);
		if($all_cust_due)
		{
			foreach($all_cust_due as $cust_due)
			{ $all_Clients[$cust_due['consignee_id']]=array('sales'=>0,'invs'=>0,'paid'=>0);}
		}

		$vedom = $ved_1;
		if($ved_2 >= $ved_1) // само ако диапазонът е нормален ...
		{
			do
			{  // ПРОДАЖБИ МАГАЗИНИ mode='SE','BP
				$report_sales = $model->getDueConsiData(array(
									'vedom'		=>	$vedom,
									'mode'		=> 'sales',
									'start_date'=> $start_date,
									'end_date'	=> $end_date ));
				foreach($report_sales as $row)
				{
				   $cid = $row['client_id'];
				   if($styler_key and $cid<11 and $cid!=7) {$cid=0;} // САМО STYLER

				   if($cid>0 and $cid==$row['location'])
				   {
						if(!isset($all_Clients[$cid])) {$all_Clients[$cid]=array('sales'=>0,'invs'=>0,'paid'=>0);}
						$all_Clients[$cid]['sales'] += (float)$row['paid']; // amount
						if($row['vat']!=0)
							{ $all_Clients[$cid]['sales'] += (float)$row['vat'];}
					}
				}

				// ПЛАЩАНИЯ mode='KPr'
				$report_payments = $model->getDueConsiData(array(
									'vedom'		=>	$vedom,
									'mode'		=> 'paid',
									'start_date'=> $start_date,
									'end_date'	=> $end_date ));
				foreach($report_payments as $row)
				{
				   $cid = $row['client_id'];
				   if($styler_key and $cid<11 and $cid!=7) {$cid=0;} // САМО STYLER
				   
				   if($cid>0)
				   {
						if(!isset($all_Clients[$cid])) {$all_Clients[$cid]=array('sales'=>0,'invs'=>0,'paid'=>0);}
						$all_Clients[$cid]['paid'] += (float)$row['paid'] + (float)$row['vat'];
					}
				}

				// пресмятаме края на диапазона ...
				$vedom += 1;
				if ( ($vedom-100*round($vedom/100,0))==13 ) { $vedom+=88;} // преминава в другата година ...
			}  while ($vedom <= $ved_2);
		}
		else // Диапазонът е ГРЕШЕН ...
		{
			echo 'IMPOSSIBLE: DATES MISH-MASH ERROR !!!';
			die();
		}

		
		if(count($all_Clients)>0)
		{  /* ================= FINAL ================= */							
			foreach(array_reverse($all_Clients, true) as $client_id=>$client)
			{
				if($client_id>0)
				{
					$client_name = $this->Consignee->get_consi_name($client_id);
						$consi_due = $this->Sale->get_consignee_due($client_id,$period_Year);
						$start = '';
						if($consi_due) {$start = $consi_due->due + $consi_due->due_vat;}
									
					$sales = (float)$client['sales'];
					$invs  = (float)$client['invs'];
					$paid  = (float)$client['paid'];
					$due   = (float)$start + (float)$invs + (float)$paid - (float)$sales;
						
					if(round($due)!=0 and $client_name!='' and !empty($client_name))
					{ 
						$tabular_data[$client_id]=array(
									'client_id' => $client_id,
									'client'		=> $client_name,
									'start'		=> $start,
									'sales'		=> $sales,
									'invs'		=> $invs,
									'paid'		=> $paid,
									'due'			=> $due );
									
					  	$all_start += (float)$start;
						$all_sales += (float)$sales;
						$all_invs  += (float)$invs;
						$all_paid  += (float)$paid;
						$all_due   += (float)$due;
					}
				}


			}
		}
		
		$title 	= $this->lang->line('kaca_doc_balance_title').' - '.$this->lang->line('reports_Consignees').' за '.$period_Year;
		$headers = $model->getDueColumns();

		$data = array(
			"user_id"	=> $user_id,
			"title" 		=> $title,
			"subtitle"	=> '01.01.'.$period_Year.' - 31.12.'.$period_Year.'г.',
			"headers" 	=> $headers,
			"duties" 	=> $tabular_data,
			"all_start" => round($all_start),
			"all_sales" => round($all_sales),
			"all_invs"	=> round($all_invs),
			"all_paid"  => round($all_paid),
			"all_due"   => round($all_due),
			"all_error"	=> $all_error,
			"export_excel" => $export_excel	);

$this->load->view("reports/tabular_sum_consi_duty",$data);	
?>
