<?php //OJB: Check if for excel export process
if($export_excel == 1)
{ ob_start();
	$this->load->view("partial/header_excel");
}
else
{	$dta['controller'] = 'Home';
	$dta['main_title'] = '';
	$this->load->view("partial/header_back",$dta);
} ?>

<div id="table_holder_vedom">

	  <div id="page_title" style="margin-bottom:8px;"><?=$title;?></div>
	  <div id="page_subtitle" style="margin-bottom:10px;"><?=$subtitle;?></div>

	<table class="tablesorter report" id="sortable_table">

		<thead>
			<tr>
				<?php foreach ($headers as $header) { echo '<th>'.$header.'</th>';} ?>
			</tr>
		</thead>
		
		<tbody>
		<?php foreach ($data as $row) 
			{ ?>
				<tr>
					<?php	$inum = $row['inum'];
					
							if($join_groups)
								{ echo '<td style="width:8%;text-align:center;color:#404;font-size:120%;"><b>= '.round($inum/1000,0).' =</b></td>';}
							else
								{
									echo '<td style="width:8%;text-align:center;">'.anchor("analyses/view_item/$inum/width:760/height:470", $inum,array('class'=>'thickbox btn_blue_red','title'=>'Арт# '.$inum)).'</td>';
								}

							echo '<td style="width:75%;">'.$row['name'].'</td>';
							echo '<td style="width:10%;text-align:center;color:#500;"><b>'.$row['instock'].'</b></td>';	
							echo '<td style="width:5%;text-align:center;color:#005;"><b>'.$row['qty'].'</b></td>';
							
						if($mode=='onlines')
						{
							echo '<td style="width:8%;text-align:right;">'.to_currency_no_money(round($row['suma']/$row['qty'],2) ).'</td>';
							
							if($row['suma'])
								{ echo '<td style="width:10%;text-align:right;"><b>'.to_currency_no_money($row['suma']).'</b></td>';}
							else { echo '<td style="width:10%;text-align:left;color:#a00;"><b>'.to_currency_no_money($row['suma']).'</b></td>';}
						}
						else {echo '<td></td><td></td>';}

					?>
				</tr>
	<?php } ?>
	
		</tbody>
	</table>
	
<?php if($mode=='onlines')
{ ?>	
</div>

	<div id="bottom_bar_short">

		<div id="bottom_bar_short_qty">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_QTY');?></span>
			<span id="total_qty" class="bottom_bar_text"><?=round($all_qty);?></span>
		</div>

		<div id="bottom_bar_short_sum">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_total');?></span>
			<span id="total_sum" class="bottom_bar_text">
					<?php echo to_currency_no_money($all_suma);
							if($all_vat) {echo ' + '.to_currency_no_money($all_vat).' ';}
					?>
			</span>
		</div>

	</div>

<?php 
}


if($export_excel == 1)
{
	$this->load->view("partial/footer_excel");
	$content = ob_end_flush();
	
	$filename = trim($filename);
	$filename = str_replace(array(' ', '/', '\\'), '', $title);
	$filename .= "_items.xls";
	header('Content-type: application/ms-excel');
	header('Content-Disposition: attachment; filename='.$filename);
	echo $content;
	die();
}
else
{ $this->load->view("partial/footer_back"); ?>

<script type="text/javascript">
$(document).ready(function() { 
	enable_row_selection(); 
	init_table_sorting();
	
});

function init_table_sorting()
{
	//Only init if there is more than one row
	if($('.tablesorter tbody tr').length >1)
	{
		$("#sortable_table").tablesorter(
		{ 
			sortList: [[2,3]], 
			headers: 
			{ 
				0: { sorter: false},
				1: { sorter: false},
			//	2: { sorter: false},
			//	3: { sorter: false},
				4: { sorter: false},
				5: { sorter: false}
			} 
		}); 
	}
}
</script>

<?php 
} // end if not is excel export 
?>
