<?php $dta['controller'] = $controller_name;
		$dta['main_title'] = '';

		$this->load->view("partial/header_blanka",$dta);
		$brand_category = $this->OnLine->get_text('category');
		$lang = $this->config->item('language');

if (isset($error_message))
{
  echo '<h1 style="text-align: center;">'.$error_message.'</h1>';
  exit;
}

$valuta_text = 'BGN';
if ($currency > 1) 
	{ $valuta_rate = $currency_rate;
		switch($currency)
			{
				case '1':	$valuta_text = 'BGN'; break;
				case '2':	$valuta_text = 'EUR'; break;
				case '3':	$valuta_text = 'GBP'; break;
				case '4':	$valuta_text = 'USD'; break;
				case '5':	$valuta_text = 'RON'; break;
				default:		$valuta_text = 'BGN';
			}
	}
else
	{ $valuta_rate = $this->config->item('currency_rate');}

$invoice_title = 'I N V O I C E';
if($mode=='proforma') {$invoice_title = 'P R O F O R M A '.'&nbsp;&nbsp;'.' I N V O I C E';}
elseif($mode=='invoice_ki') {$invoice_title = 'C R E D I T '.'&nbsp;&nbsp;'.' N O T E';}
elseif($mode=='invoice_di') {$invoice_title = 'D E B I T '.'&nbsp;&nbsp;'.' N O T E';}
elseif($mode=='invoice_pr') {$invoice_title = 'P R O T O C O L';}
?>


<div class="blanka_holder">

	<div id="invoice_top_left">
		<?=form_input(array(
			'name'=>'original',
			'id'=>'original',
			'size'=>'18',
			'value'=>'O R I G I N A L')
		);?>
	</div>

	<div id="en_invoice_title"><?=$invoice_title;?></div>

	<div style="font-size:11pt;font-weight:bold;text-align:center;">
		<?php echo str_pad($receipt_number, 10, "0", STR_PAD_LEFT).' from '.$receipt_date; 
				if ( ($mode=='invoice_ki' or $mode=='invoice_di') and $order_id>0)
				{ echo '&nbsp;&nbsp; to Invoice #'.$order_id;}
		?>
	</div>

	<div id="en_invoice_logo">
		<span>  
			<?php
			$company_logo = BDATA."install/company_logo.png";

			if (!is_readable($company_logo)) 
				{ ?>	<img src="images/company_logo.png" width='130px'/> 
			<?php
				}			
			else
				{ ?>	<img src="<?=BDATA."install/company_logo.png";?>" width='130px'/>
			<?php
				} ?>
		</span>
	</div>

	<div id="en_invoice_block_1">C L I E N T</div>
	<div id="en_invoice_block_2"></div>
	<div id="en_invoice_block_3">S E L L E R</div>

<div id="invoice_wrapper">

	<div id="en_invoice_customer_place">
	<?php 

	if ( $bisoft_id != 0 ) 
		{ 

		if (isset($customer_company)) 
			{ ?>
				<div id="receipt_customer">
					<?='<b>'.$customer_company.'</b>';?>
				</div>
	<?php } 

			if (isset($customer_address)) 
				{ echo '<div>'.$customer_address.'</div>'; }

			echo '<div>';
			if(isset($customer_account_number)) 
				{	
					$id_number = $customer_account_number;
					echo 'iD No: '.$id_number;
				}

			if(isset($customer_account_number) and isset($customer_taxable) and $customer_taxable == 1) 
				{  
					$dds_number = $customer_account_number;
					echo '<span>&nbsp; VAT: <b>'.$dds_number.'</b></span>';
				} 
			echo '</div>';

			if(isset($customer)) 
				{ echo "<div class='company_MOL'>".form_input(array(
			 			 'name'=>'my_customer',
						 'id'=>'my_customer',
						 'size'=>'50',
						 'value'=>$customer) )."</div>";
				}
		} // end of '$bisoft_id != 0' 
		?>
	</div>
	
<?php if(!$firma) {$company_eng = $this->config->item('company_eng');}
		elseif($firma=='2') {$company_eng = $this->config->item('2_company_eng');} ?>

	<div id="en_invoice_company_place">
			<div id="company_name"><?='<b>'.$company_eng.'</b>';?></div>
			<div class="company_address"><?=$this->config->item('address_eng');?></div>

			<div class="company_address">
				<?php 
					$my_bank = $this->config->item('my_bank');
					if ($bank_account == 2) { $my_bank = $this->config->item('my_bank_2');}
					elseif ($bank_account == 3) { $my_bank = $this->config->item('my_bank_3');}
					echo form_input(array(
							'name'=>'my_bank',
							'id'=>'my_bank',
							'size'=>'40',
							'value'=>$my_bank) );
				?>
			</div>

			<div class="company_address"><b>
			<?php if(!$firma) 
					{
						$my_bank_account = $this->config->item('my_bank_account');
						if ($bank_account == 2) { $my_bank_account = $this->config->item('my_bank_account_2');}
						elseif($bank_account == 3) { $my_bank_account = $this->config->item('my_bank_account_3');}
					}
					elseif($firma=='2')
					{
						$my_bank_account = $this->config->item('2_my_bank_account');
						if ($bank_account == 2) { $my_bank_account = $this->config->item('2_my_bank_account_2');}
					}
						
				echo form_input(array(
						'name'=>'my_bank_account',
						'id'=>'my_bank_account',
						'size'=>'50',
						'value'=>$my_bank_account)	);?>
				</b>
			</div>

			<div class="company_address">
			<?php if(!$firma) 
				{ 
					echo "iD: ".$this->config->item('my_account_number');
					if ($this->Appconfig->get('vat') == 1)
					{ echo ' &nbsp;VAT: <b>BG'.$this->config->item('my_account_number').'</b>';}
				}
				elseif($firma=='2')
				{	
					echo $this->lang->line('invoice_id_number').$this->config->item('2_my_account_number');
					if ($this->Appconfig->get('2_vat') == 1)
					{ echo ' &nbsp;'.$this->lang->line('invoice_dds_number').'<b>BG'.$this->config->item('2_my_account_number').'</b>';}
				}	
			?>
			</div>

			<div class="company_address">			
				<?php if(!$firma) { echo $this->config->item('mol_eng');}
					elseif($firma=='2') { echo $this->config->item('2_mol_eng');} ?>
			</div>

	</div>

<br>

<!-- ============================= ОСНОВНА ТАБЛИЦА ============================== -->



 <table id="receipt_items">
	<tr id="receipt_items_title">
		<th style="width:6%;">№</th>
		<th style="width:44%;">Description / Service</th>
		<th style="width:4%;">UM</th>
		<th style="width:10%;">Quantity</th>
		<th style="width:18%;">Unit Price</th>
		<th style="width:18%;">Amount</th>
	</tr>

  <?php
	$allQty = 0;

    foreach($cart as $line=>$item)
    {
		$allQty += $item['qty'];
    ?>

	<tr>
	<td style="text-align:center;border-bottom:1px solid #555;border-left:1px solid #555;">
		<?=$item['line'];?></td>

	<td style="text-align:left;border-bottom:1px solid #555;">
				<span id="en_invoice_item">
					<?=form_input(array(
						'name'=>'invoice_name',
						'id'=>'invoice_name',
						'size'=>'70',
						'value'=>$item['name_en'])
					);?>
				</span>
	</td>

	<td style="text-align:left;border-bottom:1px solid #555;">
				<span id="en_invoice_merka">
					<?=form_input(array(
						'name'=>'item_measure',
						'id'=>'item_measure',
						'size'=>'2',
						'value'=>'pcs.')
					);?>
				</span>
	</td>

	 <td style="text-align:center;border-bottom:1px solid #555;">
		<?php echo $item['qty']; ?>
	</td>

	 <td style="text-align:right;border-bottom:1px solid #555;">
				<span id="en_invoice_item_price">
					<?=form_input(array(
						'name'=>'item_price',
						'id'=>'item_price',
						'size'=>'8',
						'value'=>to_currency_no_money(round($item['price'] / $valuta_rate, 6)) )
					);?>
				</span>
	</td>

	 <td style="text-align:right;border-bottom:1px solid #555;border-right:1px solid #555;">
				<span id="en_invoice_item_price">
					<?=form_input(array(
						'name'=>'line_total',
						'id'=>'line_total',
						'size'=>'8',
						'value'=>to_currency_no_money( round($item['price'] * $item['qty'] / $valuta_rate, 6) ) )
					);?>
				</span>
	 </td>

	</tr>

    <?php
    }
    ?>


	<tr>
		<td colspan="4">
<?php echo '<span style="float:right;text-align:right;padding-right:5px;">'.
			'All Quantity: ( <b>'.$allQty.' pcs.</b> )</span>'; ?>
		</td>

		<td colspan="1" style="text-align:right;border-top:1px solid black;">
			<?php echo 'SUBTOTAL:'; ?>
		</td>

		<td colspan="1" style="text-align:right;border-top:1px solid black;">
			<?php echo to_currency_no_money( round($subtotal / $valuta_rate, 7) ); ?>
		</td>
	</tr>

	<?php 
	if (isset($taxed) and $taxed == 1 )
		{ ?> 
			<tr>
				<td colspan="4"></td>
				<td colspan="1" style="text-align:right;">
					<?='20% VAT:'; ?></td>
				<td colspan="1" style="text-align:right;">
					<?=to_currency_no_money( round($tax_VAT/$valuta_rate, 7) ); ?></td>
			</tr>
	<?php	} 
	
$in_words = convert_number_to_words_en(to_currency_no_money(round($total/$valuta_rate,2)),"EUR");
if($currency==5) {$in_words = convert_number_to_words_en(to_currency_no_money(round($total/$valuta_rate,2)),"Lei");}
if($lang=='english') {$in_words = convert_number_to_words_en(to_currency_no_money(round($total/$valuta_rate,2)),"pounds");}
?>

	<tr>
		<td colspan="4" style="font-family:BiSOFT_Serif;text-align:left;font-size:90%;font-style:italic;padding-right:15px;">
				<?='TOTAL Due: '.$in_words;?>
		</td>

		<td colspan="1" style="font-family:BiSOFT_Serif;text-align:right;font-size:115%;">
			<b>TOTAL:</b>
		</td>

		<td colspan="1" style="font-family:BiSOFT_Serif;text-align:right;font-size:115%;">
			<b><?=to_currency_no_money(round($total/$valuta_rate,7) );?></b>
		</td>
	</tr>

<?php 
if(substr($this->Appconfig->get('company_eng'),0,5)=='HANNA')
	{$corr_bank=' LLOYDS TSB BANK PLC LONDON  0 100 2377';$corr_swift=' LOYDGB2L';}
else	
	{$corr_bank=' ProCredit Bank AG - Germany';$corr_swift=' PRCBDEFF';}
?>

   <tr>
		<td colspan="3" style='text-align:left;'>Correspondent Bank:
			<span id="en_invoice_corr_bank">
					<?=form_input(array(
						'name'=>'corr_bank',
						'id'=>'corr_bank',
						'size'=>'60',
						'value'=>$corr_bank ));?>
			</span>
		</td>

		<td colspan="3" style="text-align:right;">
			Currency: <?=$valuta_text;?>
		</td>

   </tr>


   <tr>
		<td colspan="3" style='text-align:left;'>Correspondent Bank SWIFT:
			<span id="en_invoice_corr_bank">
					<?=form_input(array(
						'name'=>'corr_swift',
						'id'=>'corr_swift',
						'size'=>'12',
						'value'=>$corr_swift )	);?>
			</span>
		</td>

		<td colspan="3" style="text-align:right;">
			<?php 
				if($valuta_rate!=1)
					{ echo 'Payment '. to_currency_no_money(round($total/$valuta_rate, 7)).' (XRT: '.$valuta_rate.')';}
				else
					{ echo 'Payment '. to_currency_no_money(round($total/$valuta_rate, 7));}
			?>
		</td>

   </tr>



   <tr>
		<td colspan="4" style='text-align:left;'>

			<div id="invoice_others">
				<?php 
						echo nl2br('Other Conditions and Comments:');
						echo '<br>';
						echo form_textarea(array(
									'name'=>'invoice_comment',
									'id'=>'invoice_comment',
									'rows'=>'2',
									'cols'=>'60',
									'value'=>'')
								);	?>
			</div>
		</td>

		<td colspan="2" style='text-align:right;'>Date of Payment:
			<span id="en_invoice_corr_bank">
					<?=form_input(array(
						'name'=>'vat_date',
						'id'=>'vat_date',
						'size'=>'9',
						'value'=>$receipt_date )
					);?>
			</span>
		</td>

	</tr>



   <tr>
		<td colspan="3" style='text-align:left;'>
     	   This document is issued in EUROPE / Bulgaria
		</td>

		<td colspan="3" style='text-align:right;'>Drafter:
				<span class="en_invoice_drafter">
					<?=form_input(array(
						'name'=>'mol_eng',
						'id'=>'mol_eng',
						'size'=>'22',
						'value'=>$this->config->item('mol_eng'))
					);?>
				</span>
		</td>
   </tr>



   <tr>
		<td colspan="6" style='text-align:left;'>
     	   Enclosures: 
		</td>
   </tr>


   <tr><td colspan="6" style="font-size:10pt;line-height:25px;text-align:right;">&nbsp;</td></tr>

   <tr>
<!--		<td colspan="6" style="font-style:italic;text-align:right;">/ signature & stamp /&nbsp&nbsp&nbsp</td> -->
   </tr>




 </table>
 </div> <!-- END of "invoice_wrapper" -->


</div> <!-- END blanka_holder ... -->


<?php $this->load->view("partial/footer_blanka"); ?>


<?php if ($this->Appconfig->get('print_after_sale'))
{ ?>
	<script type="text/javascript">
		$(window).load(function()
		{	window.print();});
	</script>
<?php
} ?>
