<?php $dta['controller'] = $controller_name;
		$dta['main_title'] = $title;
		$this->load->view("partial/header_blanka",$dta);
		

if (isset($error_message))
{
  echo '<h1 style="text-align: center;">'.$error_message.'</h1>';exit;
} ?>


  <div id="blanka_holder">
<?php if(isset($bisoft_id) and $bisoft_id)
{ ?>
	<div id="blanka_customer_place">
		<div id="receipt_customer"><?=$this->lang->line('customers_customer').": ".$customer_company;?></div>
		<div><?=$customer;?></div>
	</div>
<?php 
} ?>

	<div id="blanka_header">
		<div id="company_name"><?=$this->config->item('company');?></div>
		<div class="company_address"><?=$this->lang->line('common_phone_number').' '.$this->config->item('phone');?></div>
		<div class="company_address"><?=$this->config->item('website');?></div>
		
		<div id="title_blanka"><?='<span style="text-transform: uppercase;">'.$receipt_name.'</span>';?></div>
		<div id="subtitle_blanka"><?='<span style="text-transform: uppercase;">'.$collection.'</span>';?></div>
	</div>
	
<table id="blanka_items">
	<tr id="blanka_items_title_top">
		<th colspan="3" class="blanka_doc_date">
			<?php if(isset($bisoft_id) and $bisoft_id)
               { echo $this->lang->line('invoice_doc_id').$receipt_number.'-'.$mode.' / '.$receipt_date;} ?>
		</th>
		<th class="blanka_items_title_th"><?='30/50';?></th>
		<th class="blanka_items_title_th"><?='32/52';?></th>
		<th class="blanka_items_title_th"><?='34/54';?></th>
		<th class="blanka_items_title_th"><?='36/56';?></th>
		<th class="blanka_items_title_th"><?='38/58';?></th>
		<th class="blanka_items_title_th"><?='40/60';?></th>
		<th class="blanka_items_title_th"><?='42/62';?></th>
		<th class="blanka_items_title_th"><?='44/64';?></th>
		<th class="blanka_items_title_th"><?='46/66';?></th>
		<th colspan="2"></th>
	</tr>

	<tr id="blanka_items_title">
		<th style="width:6%;"><?=$this->lang->line('sales_item_number');?></th>
		<th style="width:33%;"><?=$this->lang->line('sales_item_name');?></th>

<?php
if ( isset($allow_prices) and $allow_prices == 1 )
	{ ?>
		<th style="width:5%;"><?=$this->lang->line('sales_unit_price');?></th>
<?php
	}
else { echo '<th style="width:5%;"> </td>';}
?>

		<th class="blanka_items_title_th"><?='S (1)';?></th>
		<th class="blanka_items_title_th"><?='M (2)';?></th>
		<th class="blanka_items_title_th"><?='L (3)';?></th>
		<th class="blanka_items_title_th"><?='XL (4)';?></th>
		<th class="blanka_items_title_th"><?='2XL (5)';?></th>
		<th class="blanka_items_title_th"><?='3XL (6)';?></th>
		<th class="blanka_items_title_th"><?='4XL (7)';?></th>
		<th class="blanka_items_title_th"><?='5XL (8)';?></th>
		<th class="blanka_items_title_th"><?='6XL (9)';?></th>
		<th class="blanka_items_title_th"><?='max';?></th>

		<th style="min-width:15px;border: 1px solid #000;">
			<?=$this->lang->line('sales_quantity');?>
		</th>
	</tr>



<?php
$allQty = 0; $all_SUMA = 0;

foreach($cart as $line=>$item)
{ 
   $inum = $item['inum'];
   $allow_prices = $this->Item->get_allow_sizes($inum);
   
	// background
	$back_col = '';
	if(isset($key_order) and $key_order)
	{
      if($key_order==3 and $item['iqty']>$item['qty']) {$back_col = 'background-color:#ccd;';}
      elseif($item['qty']!=$item['iqty']) {$back_col = '';}
      else {$back_col = 'background-color:#ccb;';}
   }
?>

	<tr>
		<td id="blanka_item_number" style="<?=$back_col;?>">
         <?php if( isset($key_order) and ($key_order==2 or $key_order==3) )
               {
                  $inum_link = anchor("Orders/left_items_view/$inum/width:760/height:470", $inum,
                                       array('class'=>'thickbox btn_blue_red',
                                             'target'=>'_blank',
                                             'title'=>"Неизпълнение на арт.# $inum" )
                                    );

                  echo $inum_link;
               }
               else { echo $inum;}
         ?>
      </td>
      
<?php if(!$key_missed)
			{ 
				$curr_item  = $this->Item->get_name($item['inum']);
				$curr_price = to_currency_no_money( $item['price'] * (100 - $item['dsc'])/100);
				if(isset($key_order) and $key_order==2)
				{
               $all_SUMA  += $curr_price * $item['iqty'];
            }
            elseif(isset($key_order) and $key_order==3)
            {
               $all_SUMA  += $curr_price * ( $item['iqty'] - $item['qty']);
            }
            else
            {  $all_SUMA  += $curr_price * $item['iqty'];}
			}
		else
			{ 
				$curr_item = $this->Item->get_name($item['inum']);
				$curr_price = to_dot($this->Item->get_from_sklad($item['inum'])->price_2);
			}
			
		if($curr_price=='0.00') {$curr_price='';}
		

$item_name = character_limiter(str_replace(array('=', '-', '/', '|', '\\', '#', '"', '@', '&', '!', '$', '*', '(', ')', '~'), ' ', $curr_item),100);
?>
		<td style="text-align:left;border-bottom:1px solid #555;<?=$back_col;?>">
					<span id="blanka_item_name">
						<?=form_input(array(
							'name'=>'item_name',
							'id'=>'item_name',
							'size'=>'50',
							'value'=>$item_name
						));?>
					</span>
		</td>

	<?php
	if ( true ) // isset($allow_prices) and $allow_prices
	{
	?>
			<td style="text-align:left;border-bottom:1px solid #555;<?=$back_col;?>">
						<span id="blanka_item_price">
							<?=form_input(array(
								'name'=>'item_price',
								'id'=>'item_price',
								'size'=>'8',
								'value'=>$curr_price
							));?>
						</span>
			</td>
	<?php
	}
	else { echo "<td style='text-align:left;border-bottom:1px solid #555;$back_col'> </td>";}
	
	if(isset($key_order) and $key_order==1) // ordered
	{ ?>

		<td id="blanka_sizes"><?=($item['q1']) ? $item['q1'] : '';?></td>
		<td id="blanka_sizes"><?=($item['q2']) ? $item['q2'] : '';?></td>
		<td id="blanka_sizes"><?=($item['q3']) ? $item['q3'] : '';?></td>
		<td id="blanka_sizes"><?=($item['q4']) ? $item['q4'] : '';?></td>
		<td id="blanka_sizes"><?=($item['q5']) ? $item['q5'] : '';?></td>
		<td id="blanka_sizes"><?=($item['q6']) ? $item['q6'] : '';?></td>
		<td id="blanka_sizes"><?=($item['q7']) ? $item['q7'] : '';?></td>
		<td id="blanka_sizes"><?=($item['q8']) ? $item['q8'] : '';?></td>
		<td id="blanka_sizes"><?=($item['q9']) ? $item['q9'] : '';?></td>
		<td id="blanka_sizes"><?=($item['q10']) ? $item['q10'] : '';?></td>

		<td id="blanka_qty">
			<?php 
				if ( $item['qty'] > 0 ) { echo $item['qty'];}
				elseif($item['qty'] == 0) { echo ' ';}
				else { echo '<span style="color:#a00;">'.$item['qty'].'</span>';}
				$allQty += $item['qty'];
			?>
		</td>
<?php 
	  }
elseif(isset($key_order) and $key_order==2)  // produced
	  { ?>
		<td id="blanka_sizes" style="<?=$back_col;?>"><?=($item['iq1']) ? $item['iq1'] : '';?></td>
		<td id="blanka_sizes" style="<?=$back_col;?>"><?=($item['iq2']) ? $item['iq2'] : '';?></td>
		<td id="blanka_sizes" style="<?=$back_col;?>"><?=($item['iq3']) ? $item['iq3'] : '';?></td>
		<td id="blanka_sizes" style="<?=$back_col;?>"><?=($item['iq4']) ? $item['iq4'] : '';?></td>
		<td id="blanka_sizes" style="<?=$back_col;?>"><?=($item['iq5']) ? $item['iq5'] : '';?></td>
		<td id="blanka_sizes" style="<?=$back_col;?>"><?=($item['iq6']) ? $item['iq6'] : '';?></td>
		<td id="blanka_sizes" style="<?=$back_col;?>"><?=($item['iq7']) ? $item['iq7'] : '';?></td>
		<td id="blanka_sizes" style="<?=$back_col;?>"><?=($item['iq8']) ? $item['iq8'] : '';?></td>
		<td id="blanka_sizes" style="<?=$back_col;?>"><?=($item['iq9']) ? $item['iq9'] : '';?></td>
		<td id="blanka_sizes" style="<?=$back_col;?>"><?=($item['iq10']) ? $item['iq10'] : '';?></td>

		<td id="blanka_qty" style="<?=$back_col;?>">
			<?php	if($allow_prices)
               { $all_iq = $item['iq1'] + $item['iq2'] + $item['iq3'] + $item['iq4'] + $item['iq5'] +
                           $item['iq6'] + $item['iq7'] + $item['iq8'] + $item['iq9'] + $item['iq10'];
					}
					else {$all_iq = $item['iqty'];}
					$allQty += $all_iq;
					
					if( $all_iq > 0 ) { echo $all_iq;}
					elseif( $all_iq == 0 ) { echo '';}
					else { echo '<span style="color:#a00;">'.$all_iq.'</span>';}
			?>
		</td>
<?php 
	  } 
elseif(isset($key_order) and $key_order==3)  // left
	  { 
		if($item['qty'] != $item['iqty']) 
			{ 
				$qL1=$item['iq1']-$item['q1'];if($qL1==0){$qL1='';}
				$qL2=$item['iq2']-$item['q2'];if($qL2==0){$qL2='';}
				$qL3=$item['iq3']-$item['q3'];if($qL3==0){$qL3='';}
				$qL4=$item['iq4']-$item['q4'];if($qL4==0){$qL4='';}
				$qL5=$item['iq5']-$item['q5'];if($qL5==0){$qL5='';}
				$qL6=$item['iq6']-$item['q6'];if($qL6==0){$qL6='';}
				$qL7=$item['iq7']-$item['q7'];if($qL7==0){$qL7='';}
				$qL8=$item['iq8']-$item['q8'];if($qL8==0){$qL8='';}
				$qL9=$item['iq9']-$item['q9'];if($qL9==0){$qL9='';}
				$qL10=$item['iq10']-$item['q10'];if($qL10==0){$qL10='';
         } ?>	  
				<td id="blanka_sizes" style="<?=$back_col;?>"><b><?=$qL1;?></b></td>
				<td id="blanka_sizes" style="<?=$back_col;?>"><b><?=$qL2;?></b></td>
				<td id="blanka_sizes" style="<?=$back_col;?>"><b><?=$qL3;?></b></td>
				<td id="blanka_sizes" style="<?=$back_col;?>"><b><?=$qL4;?></b></td>
				<td id="blanka_sizes" style="<?=$back_col;?>"><b><?=$qL5;?></b></td>
				<td id="blanka_sizes" style="<?=$back_col;?>"><b><?=$qL6;?></b></td>
				<td id="blanka_sizes" style="<?=$back_col;?>"><b><?=$qL7;?></b></td>
				<td id="blanka_sizes" style="<?=$back_col;?>"><b><?=$qL8;?></b></td>
				<td id="blanka_sizes" style="<?=$back_col;?>"><b><?=$qL9;?></b></td>
				<td id="blanka_sizes" style="<?=$back_col;?>"><b><?=$qL10;?></b></td>

				<td id="blanka_qty" style="<?=$back_col;?>">
					<?php if($allow_prices)
                     { $all_iq = $qL1+$qL2+$qL3+$qL4+$qL5+$qL6+$qL7+$qL8+$qL9+$qL10;}
							else {$all_iq = $item['iqty']-$item['qty'];}
							$allQty += $all_iq;

						if ( $all_iq > 0 ) { echo $all_iq;}
						elseif( $all_iq == 0 ) { echo '';}
						else { echo '<span style="color:#c00;font-size:115%;text-shadow: 1px 1px #ddd;">'.$all_iq.'</span>';} 
					?>
				</td>
<?php 	}
      else 
         { $made_not = $this->lang->line('reports_all_made').': '.$item['iqty'];
           if($item['iqty']==0) 
            {
               $made_not = $this->lang->line('reports_all_nomade');
               echo '<td colspan="11" id="blanka_sizes" style="background-color:#ccb;line-height:23px;"><b style="color:#b00;font-size:16px;text-      shadow: 1px 1px #fff;">'.$made_not.'</b></td>';
            }
            else
            {  echo '<td colspan="11" id="blanka_sizes" style="background-color:#ccb;line-height:23px;"><b style="color:#040;font-size:16px;text-      shadow: 1px 1px #fff;">'.$made_not.'</b></td>';
            }
         }

	  }
	  else { echo '<td colspan="11" id="blanka_sizes"></td>';} ?>
  </tr>

<?php
}  // затваря for each ...
?>

	<tr>
		<td colspan="4">
			<?php 
			if (isset($print_date) and (int)$print_date!=0)
				{
					echo '<span style="float:left;font-size:8pt;margin-left:5px;">'.$print_date.
						  ' &copy GPL BiSOFT - All Rights Reserved.</span>'; 
				}
			?>
		</td>

<?php
if(!$key_missed)
{
	if ( isset($allow_prices) and $allow_prices and $key_order==1)
	{
		$all_discount = '';
		if( isset($discount) and $discount > 0 ) {$all_discount = ' (-'.$discount.'%)';}
	?>
			<td colspan="4" id="blanka_suma_text">
					<span id="blanka_item_name">
						<?php echo form_input(array(
							'name'=>'all_suma',
							'id'=>'all_suma',
							'size'=>'25',
							'value'=>$this->lang->line('reports_subtotal').': '.$total.$all_discount)
						);?></form>
					</span>
			</td>
	<?php
	}
	else { echo '<td colspan="4" id="blanka_suma_text"> </td>';}
	?>

		<td colspan="5" id="blanka_alltotal_text"><?=$this->lang->line('recvs_allquantity');?></td>

		<td id="blanka_alltotal">
			<?php if ( $allQty < 0 ) { echo '<span style="color:#c00;text-shadow: 1px 1px #ccc;">'.$allQty.'</span>';}
					else	{ echo $allQty;}
			?>
		</td>

	</td>
	
<?php // !key_missed
} ?>
 </tr>

<?php if ( !$key_missed and isset($payments) and !empty($payments) and ( isset($allow_prices) and $allow_prices ) )
{ ?>
   <tr>
		<td colspan="14" style="line-height:22px;text-align:right;">
				<span id="blanka_payment_text">
					<?=form_input(array(
						'name'=>'payment_text',
						'id'=>'payment_text',
						'size'=>'50',
						'value'=>$this->lang->line('sales_payment_type') .' : ( '. $payments .' )') );
               ?>
					</form>
				</span>
		</td>
	</tr>
<?php
} ?>

   <tr>
		<td colspan="4" style='text-align:left;line-height:35px;'>
     	   <?=$this->lang->line('invoice_poluchatel');?>
		</td>
		<td colspan="10" style='text-align:right;line-height:35px;'>
     	    <?=$this->lang->line('invoice_sustavil');?>
		</td>
   </tr>

   <tr><td colspan="14" style="font-size:10pt;line-height:50px;text-align:right;">&nbsp</td></tr>

   <tr>
		<td colspan="14" style="font-style:italic;font-size:9pt;text-align:right;">
			<?php if($employee!=0 and !empty($employee)) {echo $employee;}?>
		</td>
	</tr>

</table>

  </div> <!-- blanka_holder -->


<?php if(isset($key_order) and ($key_order==2 or $key_order==3))
{ ?>
	<div id="bottom_bar_empty">
		<div id="bottom_bar_sklad_qty">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_QTY');?></span>
			<span id="total_qty" class="bottom_bar_text"><b><?=$allQty;?></b></span>
		</div>
		
		<div id="bottom_bar_sklad_cost">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_total');?></span>
			<span id="total_sum" class="bottom_bar_text"><b><?=to_dot($all_SUMA);?></b></span>
		</div>
	</div>
<?php 
}


$this->load->view("partial/footer_blanka");


if ($this->Appconfig->get('print_after_sale') or $key_print == 1 )
{ ?>
	<script type="text/javascript">
		$(window).load(function()
		{ window.print();});
	</script>
<?php
} ?>
