<?php $this->load->view("partial/header");?>


<div id="title_btn_bar">
	<div class='title_empty_lable'>
		<span><?=$this->lang->line('module_config');?></span>
	</div>
</div>

<?=form_open('Config/save/',array('id'=>'config_form'));?>

<div id="table_holder">

	<?php // FIRMA - 1
	$this->load->view("config_firma_1");?>

	<div id="blank_block_back"></div>

	<?php // FIRMA - 2
	$this->load->view("config_firma_2");?>

	<span style="float:left;margin-top:20px;margin-left:45%;margin-right:auto;">
	<?=form_submit(array(
		'name'=>'submit',
		'id'=>'submit',
		'value'=>$this->lang->line('common_edit_save'),
		'class'=>'btn')
	);	?>
	</span>

</div>
<?=form_close();?>

<?php $this->load->view("partial/footer");?>

<div id="feedback_bar"></div>

<script type='text/javascript'>
//validation and submit handling
$(document).ready(function()
{
	$('#config_form').validate({
		submitHandler:function(form)
		{
			$(form).ajaxSubmit({
			success:function(response)
			{
				if(response.success)
				{
					set_feedback(response.message,'feedback_success_msg',false);		
				}
				else
				{
					set_feedback(response.message,'feedback_error_msg',true);		
				}
			},
			dataType:'json'
		});

		},
		errorLabelContainer: "#error_message_box",
 		wrapper: "li",
		rules: 
		{
			company: "required",
			my_account_number: "required",
			mol: "required",
			address: "required",
    			phone: "required",
    		default_tax_rate:
    		{
    			required:true,
    			number:true
    		},
    		email:"email",
    		return_policy: "required"    		
   		},
		messages: 
		{
     		company: "<?=$this->lang->line('config_company_required');?>",
     		address: "<?=$this->lang->line('config_address_required');?>",
     		phone: "<?=$this->lang->line('config_phone_required');?>",
     		default_tax_rate:
    		{
    			required:"<?=$this->lang->line('config_default_tax_rate_required');?>",
    			number:"<?=$this->lang->line('config_default_tax_rate_number');?>"
    		},
     		email: "<?=$this->lang->line('common_email_invalid_format');?>",
     		return_policy:"<?=$this->lang->line('config_return_policy_required');?>"
		}
	});
});
</script>
