<?php $header_data = $this->Ebook->load_header_data();
$this->load->view("partial/header_ebook",$header_data);
if (isset($error)) { $error_msg = true;} else { $error_msg = false;} ?>

<div id="ebook_title_block_fixed">  <!-- start of the fixed block -->
		<!-- формата за режимите на работа -->
		<div id="modes_dropdown_place">
		  	<?=form_open("ebooks/change_mode",array('id'=>'mode_form')); ?>
		  	<?=form_dropdown('mode',$modes,$mode,'onchange="$(\'#mode_form\').submit();"'); ?>
		  	</form>
		</div>

<?php if($view_search_item) //  ако не е за преглед
		{ ?>
			<!-- търсачката на артикул -->
				<span id="input_search_place">
			 	  <?=form_open("marketings/admin_add_item",array('id'=>'search_item_form'));?>
			 	  <?=form_input(array('name'=>'item','id'=>'item','size'=>'20'));?>
			 	</span>
			 </form>
<?php }

	if(isset($items_data) and count($items_data)>0)
		{ echo '<div id="allusers_place">All Items: <span>'.count($items_data).'</span></div>';} ?>

</div>  <!-- end of fixed block -->


<!-- ========================== Overall ================================== -->
<div id="register_blank_top">   </div> <!--  empty block  -->

<!-- Аварийни надписи -->
<?php $path_reload = 'index.php/onlines/online_catalog/all';


if (isset($error) and $error )   
	{
	$error_msg = true;
	echo '<a href='.$path_reload.'>';
	echo "<br/><div class='error_message'>".$error."</div><br/>";
	echo '</a>';
	}
elseif (isset($info))    
	{
	echo '<a href='.$path_reload.'>';
	echo "<br/><div class='info_message'>".$info."</div><br/>";
	echo '</a>';
	}
elseif (isset($success)) 
	{ 
	echo '<a href='.$path_reload.'>';
	echo "<br/><div class='success_message'>".$success."</div><br/>";
	echo '</a>';
	}
?>


<!-- ============================== ТАБЛИЦАТА ======================== -->
<div id="content_area">

	<div id="table_holder">
		<table class="tablesorter report" id="sortable_table">
			<thead>
				<tr>
					<?php foreach ($headers as $header) { echo "<th>$header</th>"; } ?>
				</tr>
			</thead>
			<tbody>
				<?php foreach ($items_data as $row) 
                  { ?>
				<tr>
            <?php    foreach ($row as $cell) 
                        {
                           if ( is_numeric($cell) )
                              {
                              if ( $cell > 0 ) { echo '<td style="text-align:center;color:#00a;">';}
                              else	 { echo '<td style="text-align:center;color:red;">';}
                              }
                           else
                              { echo '<td style="text-align:left;">';}
                           echo $cell.'</td>';
                        } ?>
				</tr>
				<?php } ?>
			</tbody>
		</table>
	</div>

</div>  <!-- end of "content_area" -->

<?php $this->load->view("partial/footer_ebook"); ?>

<!--  =======================================  КРАЙ  ============================================ -->
<script type="text/javascript" language="javascript">
$(document).ready(function()
{
	init_table_sorting();
	enable_row_selection();

});

	function init_table_sorting()
	{
		//Only init if there is more than one row
		if($('.tablesorter tbody tr').length >1)
		{
			$("#sortable_table").tablesorter(
			{ 
				sortList: [[0,0]], 
				headers: 
				{ 
					1: { sorter: false},
					4: { sorter: false},
					5: { sorter: false}
				} 

			}); 
		}
	}

	function enable_row_selection(rows)
	{  //Keep track of enable_row_selection has been called
		if(!enable_row_selection.enabled)
			enable_row_selection.enabled=true;
	
		if(typeof rows =="undefined")
			rows=$("#sortable_table tbody tr");
	
		rows.hover(
			function row_over()
			{
				$(this).find("td").addClass('over').css("backgroundColor","");
				$(this).css("cursor","pointer");
			},
		
			function row_out()
			{
				if(!$(this).find("td").hasClass("selected"))
				{
					$(this).find("td").removeClass();
				}
			}
		);
	
		rows.click(function row_click(event)
		{	
			var checkbox = $(this).find(":checkbox");
			checkbox.attr('checked',!checkbox.attr('checked'));
			do_email(enable_email.url);
		
			if(checkbox.attr('checked'))
			{
				$(this).find("td").addClass('selected').css("backgroundColor","");
			}
			else
			{
				$(this).find("td").removeClass();
			}
		});
	}
enable_row_selection.enabled=true;


</script>
