<?php	echo form_open('employees/save/'.$person_info->person_id,array('id'=>'employee_form'));
		$password_label_attributes = $person_info->person_id == "" ? array('class'=>'required'):array();
?>

<div id="required_fields_message"><?=$this->lang->line('common_fields_required_message');?></div>

<ul id="error_message_box"></ul>

<div style="position:relative;top:-60px;b">
<table id="inventory_table">

			<tr>
	<!-- ( 1 )======================== ИМЕ ======================== -->
					<td class="inv_left_1">
						<?=form_label($this->lang->line('employees_username').' :', 'username',array('class'=>'required'));?>
					</td>
					<td class="inv_left_2  form_field">
						<?=form_input(array(
								'name'=>'username',
								'id'=>'username',
								'value'=>$person_info->username));?>
					</td>
 	<!-- ================================ ПАРОЛА ======================== -->
					<td class="inv_left_1">
						<?=form_label($this->lang->line('employees_password').':', 'password',$password_label_attributes);?>
					</td>
					<td class="inv_left_2  form_field" style="line-height:20px;">
						<?=form_password(array(
								'name'=>'password',
								'type'=>'password',
								'id'=>'password') );?>
								
					   <span style="position:relative;top:-23px;right:12px;float:right;z:10000;">
								<img src="images/eye.png"
									  class="non-fluid" 
									  id="user_eye_icon" 
									  onclick="show_user_password();" 
									  alt="show hide password" />
						</span>
						<span style="position:relative;top:-20px;right:0px;">
						<?=form_password(array(
								'name'=>'repeat_password',
								'id'=>'repeat_password' ) );?>
						</span>
					</td>
			</tr>
			
			<tr>
	<!-- ( 2 )======================== ИМЕ ======================== -->
					<td class="inv_left_1">
						<?=form_label($this->lang->line('common_first_name').':', 'first_name');?>
					</td>
					<td class="inv_left_2  form_field">
						<?=form_input(array(
							'name'=>'first_name',
							'id'=>'first_name',
							'size'=>'20',
							'value'=>$person_info->first_name));?>
					</td>
	<!-- ============================ ФАМИЛИЯ ======================== -->
					<td class="inv_left_1">
						<?=form_label($this->lang->line('common_last_name').':', 'last_name');?>
					</td>

					<td class="inv_left_2  form_field">
						<?=form_input(array(
							'name'=>'last_name',
							'id'=>'last_name',
							'size'=>'20',
							'value'=>$person_info->last_name));?>
					</td>
			</tr>
			
			<tr>
	<!-- ( 3 )======================== ОБЕКТ ======================== -->
					<td class="inv_left_1">
						<?=form_label($this->lang->line('common_location').':', 'location');?>
					</td>
					<td class="inv_left_2  form_field">
						<?=form_input(array(
							'name'=>'location',
							'id'=>'location',
							'size'=>'2',
							'value'=>$person_info->location));?>
					</td>
	<!-- ============================ - ======================== -->
					<td class="inv_left_1">

					</td>

					<td class="inv_left_2  form_field">

					</td>
			</tr>
			

				<div style="position:absolute;top:160px;right:20%;">
					<?=form_submit(array(
						'name'=>'submit',
						'id'=>'submit',
						'value'=>$this->lang->line('common_edit_save'),
						'class'=>'btn_red float_left') );?>
				</div>
		
			
</table>


</div>




	

	
	<fieldset id="employee_permission_info">
		<legend><?=$this->lang->line("employees_permission_info");?></legend>


		<ul id="permission_list">
		<?php foreach($all_modules->result() as $module)
				{ ?>

				<li>	
				<?=form_checkbox("permissions[]",$module->module_id,$this->Employee->has_permission($module->module_id,$person_info->person_id));?>

						<span class="medium" style="color:#404;">&nbsp;
							<?=' <b>' . $this->lang->line('module_'.$module->module_id) . '</b>';?>
						</span>

					<span style="color:#555;font-style:italic;">__видима иконка : </span>
					<span style="color:#600;">
						<?php $visible = $this->Employee->icon_visible($module->module_id,$person_info->person_id);
								if(!$visible == 1) { echo 'ДА';} else { echo 'НЕ';} ?></span>
				<!--
				<?// =form_checkbox("permissions[]",$module->module_id,$this->Employee->icon_visible($module->module_id,$person_info->person_id));?>
				-->
					<br>
					<span class="small" style="color:#006;"><?=$this->lang->line('module_'.$module->module_id.'_desc');?></span>
				</li>

		<?php } ?>
		</ul>

	</fieldset>

	
	
</form>



<script type='text/javascript'>
//validation and submit handling
$(document).ready(function()
{
	$('#employee_form').validate({
		submitHandler:function(form)
		{
			$(form).ajaxSubmit({
			success:function(response)
			{
				tb_remove();
				post_person_form_submit(response);
			},
			dataType:'json'
		});

		},
		errorLabelContainer: "#error_message_box",
 		wrapper: "li",
		rules: 
		{
			first_name: "required",
			username:
			{
				required:true,
				minlength: 3
			},
			
			password:
			{
				<?php	if($person_info->person_id == "")
						{ ?>
							required:true,
				<?php	} ?>
							minlength: 4
			},	
			repeat_password:
			{
 				equalTo: "#password"
			},
    		email: "email"
		},
		messages: 
		{
     		first_name: "<?=$this->lang->line('common_first_name_required');?>",
     		username:
     		{
     			required: "<?=$this->lang->line('employees_username_required');?>",
     			minlength: "<?=$this->lang->line('employees_username_minlength');?>"
     		},
     		
			password:
			{
		<?php	if($person_info->person_id == "")
				{ ?>
					required:"<?=$this->lang->line('employees_password_required');?>",
		<?php	} ?>
					minlength: "<?=$this->lang->line('employees_password_minlength');?>"
			},
			repeat_password:
			{
				equalTo: "<?=$this->lang->line('employees_password_must_match');?>"
     		},
     		email: "<?=$this->lang->line('common_email_invalid_format');?>"
		}
	});
});

	function show_user_password()
	{
		var x = document.getElementById("password");
		var eye_icon = document.getElementById("user_eye_icon");
		
		if (x.type === "password") 
		{ x.type = "text"; eye_icon.src = "images/eye_invisible.png"; } 
		else 
		{ x.type = "password"; eye_icon.src = "images/eye.png"; }
	
	return true;
	}
</script>
