<?=form_open("invoices/save_invoice_item/".$doc_idx, array('id'=>'invoice_edit_form'));?>

<ul id="error_message_box"></ul>

<div id="report_edit_item_block">  <!-- цветният блок в средата -->

<!-- ====================== РЕД НОМЕР =========================== -->
	<div class="field_edit_row clearfix">
	<?=form_label($this->lang->line('reports_line').' :', 'line');?>
		<div class='form_field'><b>&nbsp;<?=$item_info->line;?></b></div>
	</div>

<!-- ======================= АРТИКУЛ НОМЕР ======================= -->
	<div class="field_edit_row clearfix">
	<?=form_label($this->lang->line('items_item_number').' :', 'item_number');?>
		<div class='form_field'>
			<?=form_input(array(
						'name'	=> 'item_number',
						'value'	=> $item_info->item_number,
						'size'	=> '8', 
						'id'		=> 'item_number'));
			?>
		</div>
	</div>

<!-- =========================== АРТИКУЛ ИМЕ =========================== -->
	<div class="field_edit_row clearfix">
	<?=form_label($this->lang->line('items_name').' :', 'item_name');?>
		<div class='form_field'>
			<?=form_input(array(
						'name'	=> 'item_name',
						'value'	=> $item_info->item_name,
						'size'	=> '38', 
						'id'		=> 'item_name'));
			?>
		</div>
	</div>
	

<!-- =========================== INVOICE ИМЕ =========================== -->
	<div class="field_edit_row clearfix">
	<?=form_label($this->lang->line('items_invoice_name').' :', 'items_invoice_name');?>
		<div class='form_field'>
			<?=form_input(array(
						'name'	=> 'invoice_name',
						'value'	=> $item_info->invoice_name,
						'size'	=> '38', 
						'id'		=> 'invoice_name'));
			?>
		</div>
	</div>


<!-- ============================== КОЛИЧЕСТВО =========================== -->
	<div class="field_edit_row clearfix">
	<?=form_label($this->lang->line('reports_quantity').' :', 'item_qty');?>
		<div class='form_field'>
			<?=form_input(array(
						'name'	=> 'item_qty',
						'value'	=> $item_info->item_qty,
						'size'	=> '12', 
						'id'		=> 'item_qty'));
			?>
		</div>
	</div>

<!-- =============================== ЦЕНА ================================ -->
	<div class="field_edit_row clearfix">
	<?=form_label($this->lang->line('items_unit_price').' :', 'item_unit_price'); ?>
		<div class='form_field'>
			<?=form_input(array(
						'name'	=> 'item_unit_price',
						'value'	=> $item_info->item_unit_price,
						'size'	=> '12', 
						'id'		=> 'item_unit_price'));
			?>
		</div>
	</div>

<!-- ================================ ОТСТЪПКА ============================= -->
	<div class="field_edit_row clearfix">
	<?=form_label($this->lang->line('items_discount').' :', 'item_discount'); ?>
		<div class='form_field'>
			<?=form_input(array(
						'name'	=> 'item_discount',
						'value'	=> $item_info->item_discount,
						'size'	=> '3', 
						'id'		=> 'item_discount'));
			?> %
		</div>
	</div>

	
 </div> <!-- цветният блок в средата 'report_edit_block' -->
 
<br>

	<div style="float:left;margin-left:10px;width:120px;">
		 <?=form_checkbox(array(
							'name'=>'deleted',
							'id'=>'deleted',
							'value'=>1,
							'checked'=>($item_info->deleted)? 1  :0)
							); ?>
		 <?=form_label('<b style="color:red;">'.
			$this->lang->line('items_deleted').' ?</b>','deleted',array('class'=>'wide'));?>
	</div>
	
<!-- ========================== Бутони за ИЗХОД  ========================== -->
<div style="float:right;margin-right:12px;">
			<?=form_submit(array(
				'name'=>'submit',
				'id'=>'submit',
				'value'=>$this->lang->line('common_edit_save'),
				'class'=>'btn_red float_right') );
			?>
		</form>
</div> 

<div id="feedback_bar"></div>

<script type="text/javascript" language="javascript">
$(document).ready(function()
{	
	$("#invoice_delete_form").submit(function()
	{
		if (!confirm('<?=$this->lang->line("sales_delete_confirmation");?>'))
		{ return false;}
	});
	
	$('#invoice_edit_form').validate({
		submitHandler:function(form)
		{
			$(form).ajaxSubmit({
				success:function(response)
				{
					if(response.success)
					{
						tb_remove();
						post_invoice_form_item_submit(response);
					}
				},
				dataType:'json'
			});
		},

		errorLabelContainer: "#error_message_box",
 		wrapper: "li",

		rules: 
		{
   	},

		messages: 
		{
		}
	});
});
</script>
