<div id="required_fields_message"><?=$this->lang->line('items_edit_fields_you_want_to_update');?></div>
<ul id="error_message_box"></ul>

<?=form_open('items/bulk_update/',array('id'=>'item_form'));?>

<fieldset id="item_basic_info">
<legend><?=$this->lang->line("items_basic_information");?></legend>


<div class="field_row clearfix">	
<?=form_label($this->lang->line('items_names').' :', 'name',array('class'=>'wide'));?>
	<div class='form_field'>
	<?=form_input(array(
		'name'=>'name',
		'id'=>'name') );?>
	</div>
</div>



<div class="field_row clearfix">	
<?php echo form_label($this->lang->line('items_collection').' :', 'collection',array('class'=>'wide')); ?>
	<div class='form_field'>
		<?php echo form_dropdown('collections', $collections, '-1', 'id="collections" '); ?>
	</div>
</div>


<div class="field_row clearfix">	
<?php echo form_label($this->lang->line('items_category').' :', 'category',array('class'=>'wide')); ?>
	<div class='form_field'>
	<?php echo form_dropdown('categories', $categories, '-1', 'id="categories"'); ?>
	</div>
</div>


<div class="field_row clearfix">	
<?php echo form_label($this->lang->line('items_item_color').' :', 'item_color',array('class'=>'wide')); ?>
	<div class='form_field'>
	<?php echo form_dropdown('colors', $colors, '-1', 'id="colors"'); ?>
	</div>
</div>



<div class="field_row clearfix">	
<?php echo form_label($this->lang->line('items_cost_price').' :', 'cost_price',array('class'=>'wide')); ?>
	<div class='form_field'>
	<?php echo form_input(array(
		'name'=>'cost_price',
		'size'=>'10',
		'id'=>'cost_price')
	);?>
	</div>
</div>

<div class="field_row clearfix">	
<?php echo form_label($this->lang->line('items_unit_price').' :', 'unit_price',array('class'=>'wide')); ?>
	<div class='form_field'>
	<?php echo form_input(array(
		'name'=>'unit_price',
		'size'=>'10',
		'id'=>'unit_price')
	);?>
	</div>
</div>

<div class="field_row clearfix">	
<?php echo form_label($this->lang->line('items_price').'-II :', 'unit_price_2',array('class'=>'wide')); ?>
	<div class='form_field'>
	<?php echo form_input(array(
		'name'=>'unit_price_2',
		'size'=>'10',
		'id'=>'unit_price_2')
	);?>
	</div>
</div>

<div class="field_row clearfix">	
<?php echo form_label($this->lang->line('items_price').'-III :', 'unit_price_3',array('class'=>'wide')); ?>
	<div class='form_field'>
	<?php echo form_input(array(
		'name'=>'unit_price_3',
		'size'=>'10',
		'id'=>'unit_price_3')
	);?>
	</div>
</div>

<div class="field_row clearfix">	
<?php echo form_label($this->lang->line('items_price').'-IV :', 'unit_price_4',array('class'=>'wide')); ?>
	<div class='form_field'>
	<?php echo form_input(array(
		'name'=>'unit_price_4',
		'size'=>'10',
		'id'=>'unit_price_4')
	);?>
	</div>
</div>

<div class="field_row clearfix">	
<?php echo form_label($this->lang->line('items_price').'-V :', 'unit_price_5',array('class'=>'wide')); ?>
	<div class='form_field'>
	<?php echo form_input(array(
		'name'=>'unit_price_5',
		'size'=>'10',
		'id'=>'unit_price_5')
	);?>
	</div>
</div>


<div class="field_row clearfix">	
<?php echo form_label($this->lang->line('items_description').':', 'description',array('class'=>'wide')); ?>
	<div class='form_field'>
	<?php echo form_textarea(array(
		'name'=>'description',
		'id'=>'description',
		'rows'=>'2',
		'cols'=>'19')		
	);?>
	</div>
</div>



<div class="field_row clearfix">	
<?php echo form_label($this->lang->line('items_contents').':', 'item_contents',array('class'=>'wide')); ?>
	<div class='form_field'>
	<?php echo form_textarea(array(
		'name'=>'item_contents',
		'id'=>'item_contents',
		'rows'=>'2',
		'cols'=>'19')		
	);?>
	</div>
</div>

-----

<div class="field_row clearfix">	
	<?=form_label($this->lang->line('items_item_sizes').':', 'allow_sizes',array('class'=>'wide'));?>
</div>


<div class="field_row clearfix">	
<?php echo form_label($this->lang->line('items_size_group').':', 'item_size_group',array('class'=>'wide')); ?>
	<div class='form_field'>
		 <?=form_dropdown('allow_sizes', $group_sizes, '-1', 'id="allow_sizes" ');?>
	</div>
</div>


<?php
echo form_submit(array(
	'name'=>'submit',
	'id'=>'submit',
	'value'=>$this->lang->line('common_submit'),
	'class'=>'submit_button float_right')
);
?>

</fieldset>
<?php 
echo form_close();
?>




<script type='text/javascript'>
//validation and submit handling
$(document).ready(function()
{	
	$("#category").autocomplete("<?php echo site_url('items/suggest_category');?>",{max:100,minChars:0,delay:10});
    $("#category").result(function(event, data, formatted)
    {
    });
	$("#category").search();
	
	$('#item_form').validate({
		submitHandler:function(form)
		{
			if(confirm("<?php echo $this->lang->line('items_confirm_bulk_edit') ?>"))
			{
				//Get the selected ids and create hidden fields to send with ajax submit.
				var selected_item_ids=get_selected_values();
				for(k=0;k<selected_item_ids.length;k++)
				{
					$(form).append("<input type='hidden' name='item_ids[]' value='"+selected_item_ids[k]+"' />");
				}
				
				$(form).ajaxSubmit({
				success:function(response)
				{
					tb_remove();
					post_bulk_form_submit(response);
				},
				dataType:'json'
				});
			}

		},
		errorLabelContainer: "#error_message_box",
 		wrapper: "li",
		rules: 
		{
			unit_price:			{ number:true },
			unit_price_2:		{ number:true },
			unit_price_3:		{ number:true },
			unit_price_4:		{ number:true },
			unit_price_5:		{ number:true },
   	},

		messages: 
		{
			unit_price:			{ number:"<?php echo $this->lang->line('items_unit_price_number'); ?>" },
			unit_price_2:		{ number:"<?php echo $this->lang->line('items_unit_price_number'); ?>" },
			unit_price_3:		{ number:"<?php echo $this->lang->line('items_unit_price_number'); ?>" },
			unit_price_4:		{ number:"<?php echo $this->lang->line('items_unit_price_number'); ?>" },
			unit_price_5:		{ number:"<?php echo $this->lang->line('items_unit_price_number'); ?>" }
		}

	});
});
</script>
