<?=form_open("sales/save/".$doc_info['doc_id'].'/'.$vedomPack.'/'.$mode,array('id'=>'sales_edit_form'));?>

<div style="text-align:center;">

<div id="kaca_main_title"><?=$this->lang->line('reports_edit_document');?></div>

 <div id="thickbox_report_edit">  <!-- цветният блок -->

	<!-- ======================== ДАТА ==================== -->
	<div class="field_edit_row clearfix">
		<?=form_label($this->lang->line('reports_edit_date').':', 'doc_date');?>
		<div class='form_field'>
			<?php echo form_input(array(
						'name'	=> 'doc_date',
						'value'	=> date('d.m.Y', strtotime($doc_info['doc_date'])),
					  'readonly'=>'readonly',
						'size'	=> '8', 
						'id'		=> 'doc_date'));
			
			echo '&nbsp&nbsp&nbsp'.$this->lang->line('common_vid').': ';
			echo form_dropdown('type_doc', $type_docs, $mode, 'id="type_doc"');?>
		</div>
	</div>
	
	<!-- ========================= КЛИЕНТ ===================== -->
	<div class="field_edit_row clearfix">
	<?php if($mode=='shop_sale' or $mode=='shop_return')
			{
				echo form_label($this->lang->line('sales_consignee').':', 'customer'); 
				echo '<div class="form_field">';
				echo form_dropdown('client_id', $customers, $doc_info['location'], 'id="client_id"');
			}
			else
			{
				echo form_label($this->lang->line('sales_customer').':', 'customer'); 
				echo '<div class="form_field">';
				echo form_dropdown('client_id', $customers, $doc_info['client_id'], 'id="client_id"');
			}
			echo '</div>';
		?>
	</div>

	<div class="field_edit_row clearfix">
	<?=form_label($this->lang->line('common_location').':', 'location');?>
		<div class='form_field'>
			<?=form_input(array(
						'name'	=> 'location',
						'value'	=> $doc_info['location'],
						'size'	=> '3', 
						'id'		=> 'location')); ?>
		</div>
	</div>

	<!-- =========================== КОЛИЧЕСТВО ====================== -->
	<div class="field_edit_row clearfix">
		<?=form_label($this->lang->line('reports_all_quantity').':', 'total_qty');?>
		<div class='form_field'>
			<?=form_input(array(
						'name'	=> 'total_qty',
						'value'	=> $doc_info['total_qty'],
						'size'	=> '6', 
						'id'		=> 'total_qty'));?>
		</div>
	</div>

	<!-- =========================== ОТСТЪПКА =============================== -->
	<div class="field_edit_row clearfix">
		<?=form_label($this->lang->line('reports_edit_discount').':', 'total_discount');?>
		<div class='form_field'>
			<?=form_input(array(
						'name'	=> 'total_discount',
						'value'	=> $doc_info['total_discount'],
						'size'	=> '2', 
						'id'		=> 'total_discount')); ?> %
		</div>
	</div>

	<!-- ============================ ТАКСИ и ДДС ======================= -->
	<div class="field_edit_row clearfix">
		<?=form_label($this->lang->line('reports_edit_taxes').':', 'total_taxes');?>
		<div class='form_field'>
			<?=form_input(array(
					'name'	=> 'total_taxes',
					'value'	=> $doc_info['total_taxes'],
					'size'	=> '6', 
					'id'		=> 'total_taxes')); ?>

			<?=form_checkbox(array(
					'name'=>'taxed',
					'id'=>'taxed',
					'value'=>1,
					'checked'=>($doc_info['taxed']) ? 1 : 0 )
					);
			?>
		</div>
	</div>

	<!-- ======================= ОБЩА СУМА ===================== -->
	<div class="field_edit_row clearfix">
		<?=form_label($this->lang->line('kaca_TOTAL').':', 'total_sum'); ?>
		<div class='form_field'>
			<?=form_input(array(
						'name'	=> 'total_sum',
						'value'	=> $doc_info['total_sum'],
						'size'	=> '10', 
						'id'		=> 'total_sum')); ?>
		 +/- (<?=$this->lang->line('reports_taxes'); ?>) = 
			<?=form_input(array(
						'name'	=> 'pay_amount',
						'value'	=> $doc_info['pay_amount'],
						'size'	=> '10', 
						'id'		=> 'pay_amount')); ?>
		</div>
	</div>

	<!-- ======================= ПЛАЩАНЕ ======================== -->
	<div class="field_edit_row clearfix">
		<?=form_label($this->lang->line('reports_edit_payments').':', 'pay_type');?>
		<div class='form_field'>
			<?php echo form_input(array(
						'name'	=> 'pay_type',
						'value'	=> $doc_info['pay_type'],
						'size'	=> '30', 
						'id'		=> 'pay_type'));

					echo '&nbsp&nbsp (('.' <span class="form_field_center">';			

 					echo form_input(array(
						'name'	=> 'pay_group',
						'value'	=> $doc_info['pay_group'],
						'size'	=> '1', 
						'id'		=> 'pay_group'));

					echo '</span> ))';
			?>
		</div>
	</div>

	<div class="field_edit_row clearfix">
		<?=form_label($this->lang->line('reports_edit_pay_date').':', 'pay_sale'); ?>
		<div class='form_field'>
			<?php $pay_date = $doc_info['pay_date'];
					if($pay_date==null or $pay_date=="1970-01-01" or $pay_date=="0000-00-00") {$pay_date=null;}
					else { $pay_date = date('d.m.Y', strtotime($pay_date));}
						
					echo form_input(array(
						'name'	=> 'pay_date',
						'value'	=> $pay_date,
					  'readonly'=>'readonly',
						'size'	=> '10', 
						'id'		=> 'pay_date'));
						
					echo '&nbsp;&nbsp; -> &nbsp;&nbsp;'.' <span class="form_field">';
 					echo form_input(array(
						'name'	=> 'pay_sale',
						'value'	=> $doc_info['pay_sale'],
						'size'	=> '10', 
						'id'		=> 'pay_sale'));
					echo '</span>';?>
		</div>
	</div>

	<div class="field_edit_row clearfix">
	<?=form_label($this->lang->line('sales_employee').':','employee'); ?>
		<div class='form_field'>
			<?=form_dropdown('employee_id', $employees, $doc_info['employee_id'],'id="employee_id"');?>
		</div>
	</div>

	<div class="field_edit_row clearfix">
	<?=form_label($this->lang->line('reports_edit_comment').':', 'comment'); ?>
		<div class='form_field'>
			<?=form_textarea(array('name'=>'comment','value'=>$doc_info['comment'],'rows'=>'4','cols'=>'23', 'id'=>'comment'));?>
		</div>
	</div>

 </div> <!-- цветният блок в средата 'report_edit_block' -->
 
<br>
<!--  ==================== Бутони за ИЗХОД ========================= -->
	<div style="width:40%;margin-left:30%;margin-right:30%;">

		<?=form_submit(array(
			'name'=>'submit',
			'id'=>'submit',
			'value'=>$this->lang->line('common_edit_save'),
			'class'=>'btn float_right') ); ?>
		</form>
		
		<?=form_open("sales/delete/".$doc_info['doc_id'].'/'.$vedomPack, array('id'=>'sales_delete_form')); ?>
		<?=form_submit(array(
				'name'=>'del',
				'id'=>'del',
				'value'=>$this->lang->line('reports_edit_delete'),
				'class'=>'btn_red float_left') ); ?>
		</form>
	</div>

</div> <!-- "center" -->

<script type="text/javascript" language="javascript">
$(document).ready(function()
{	
	// блок за формиране на дати за JS
	var startDate 	= "01.<?=date('m.Y', strtotime($doc_info['doc_date']));?>";
	var endYear 	= "<?=date('Y', strtotime($doc_info['doc_date']));?>";
	var endMonth 	= "<?=date('m', strtotime($doc_info['doc_date']));?>";
	var endDay = '31';
	if(endMonth=='04' || endMonth=='06' || endMonth=='09' || endMonth=='11') {endDay = '30';}
	if(endMonth=='02') 
	{
		endDay = '28';
		if(endYear=='2020' || endYear=='2024' || endYear=='2028' || endYear=='2032' || endYear=='2036' || endYear=='2040') // след това съм на пенсия.
		{ endDay = '29'; }
	}
	var endDate = endDay + '.' + endMonth + '.' + endYear;
	$('#doc_date').datePicker({startDate: startDate, endDate: endDate });
	$('#pay_date').datePicker({startDate: startDate, endDate: "<?=date('d.m.Y');?>" });
	
	$("#sales_delete_form").submit(function()
	{
		if (!confirm('<?=$this->lang->line("sales_delete_confirmation");?>')) { return false;}
	});

	$('#sales_edit_form').validate(
	{
		submitHandler:function(form)
		{
			$(form).ajaxSubmit(
			{
				success:function(response)
				{
					tb_remove();
					post_kaca_form_submit(response);
				},
				dataType:'json'
			});
		}
	});
});
</script>
