<!DOCTYPE HTML>
<html lang="en-US" xmlns="http://www.w3.org/1999/xhtml" dir="ltr">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<base href="<?=base_url();?>" />

	<title>BiSOFT:Labels</title>

	<link rel="shortcut icon" href="images/bisoft.ico" type="image/png"/>
	<style>	
		html{height:101%;}
		@font-face { font-family: BiSOFT_Sans;  src: url("<?=base_url('sans.ttf');?>");}
		@font-face { font-family: Roboto;  		 src: url("<?=base_url('roboto.ttf');?>");}
		@font-face { font-family: BarCode_20;   src: url("<?=base_url('bc20.ttf');?>");}
		@font-face { font-family: Symbols;      src: url("<?=base_url('symbols.ttf');?>");}
	</style>
	
	<link rel="stylesheet" href="<?=base_url();?>css/eShop.css" />
	<link rel="stylesheet" href="<?=base_url();?>css/labels.css" />
	<link rel="stylesheet" href="<?=base_url();?>css/eShop_print.css"  media="print"/>

	<script>BASE_URL = '<?=site_url(); ?>';</script>

</head>

<body>
<!-- ====================== TOP navigation ======================= -->
<div id="menubar_empty">
	<div id="menubar_footer_new">
		<div id="menubar_footer_place">
<?php $back_path = site_url('labels');if(isset($controller)){$back_path = site_url($controller);}
		$user_name = ''; if(isset($user_info)) {$user_name = trim($user_info->first_name);} ?>
		<span id="menubar_footer_back">
			<a href="<?=$back_path;?>"><img src="images/arrow-back.png"/></a>
		</span>
<?php if (isset($main_title)) 
		{ echo "<div id='menubar_main_title'>$main_title</div>";} ?>
				  <div id="menubar_footer_operator"><?=$user_name;?></div>
		</div>
	</div>
</div> <!-- menubar_empty -->

<!-- =====================================  MAIN BODY ============================= -->
<div class="empty_lable_gap"></div>

<div id="content_bultex_printer">
  <div id="content_bultex_body">

      <div id="bultex_barcode_label">БУЛТЕКС 99 ЕООД</div>
      
      <div id="bultex_barcode_image"><?=$barcode;?></div>

		<div id="bultex_barcode_image_mask">
		
         <div id="bultex_barcode_name">
            <?=form_input(array(
                  'name'=> 'bultex_name',
                    'id'=> 'bultex_name',
                  'size'=> '24',
                 'value'=> '- име на артикул -' )
            );?>
         </div>
		
         <div id="bultex_barcode_contents">
            <?=form_input(array(
                  'name'=> 'bultex_contents',
                    'id'=> 'bultex_contents',
                  'size'=> '24',
                 'value'=> '100% полиестер' )
            );?>
         </div>
         
         <div id="bultex_barcode_colorSize"><b>Размер:</b> 
            <?=form_input(array(
                  'name'=> 'bultex_size',
                    'id'=> 'bultex_size',
                  'size'=> '3',
                 'value'=> $size )
            );?>
         </div>
      
      <div id="bultex_symbols">
         d H E L
      </div>
      
	<!-- 
         <div id="bultex_barcode_colorSize"><b>Цвят:</b> 
            <?
            /* =form_input(array(
                  'name'=> 'bultex_color',
                    'id'=> 'bultex_color',
                  'size'=> '18',
                 'value'=> '- цвят -' )
            );
            */
            ?>
         </div>
	-->
         
		</div>


      
    </div>
  </div>

</body>
</html>
