<?php $dta['main_title'] = 'ФИРМЕН АНГЛИЙСКИ ( 40 x 79 mm )';
		$this->load->view("partial/header",$dta);

$finish_button = $this->lang->line('common_print_blanka').' 40x79 ENGLISH';
$user_id = $this->BiSOFT_Model->get_person();

$modes_prices=array(
   2	=> $this->lang->line('sales_price').'-2',
   3	=> $this->lang->line('sales_price').'-3',
   4	=> $this->lang->line('sales_price').'-4',
   5	=> $this->lang->line('sales_price').'-5',
   6	=> $this->lang->line('sales_price').'-6');
$mode_price = $this->label_lib->get_mode_price();
?>

<div id="title_btn_bar">

<?php
	$count_work = abs(count($work));
	if(!$count_work)
	{ ?> 
		<!-- формата за режимите на работа -->
		<div class="title_bar_dropdown" style="top:-3px;">
				<?=form_open("$controller_name/change_mode",array('id'=>'mode_form'));?>
				<?=form_dropdown('mode',$modes,$mode,'onchange="$(\'#mode_form\').submit();"');?>
		  	</form>
		</div>
	<?php
	}
	else
	{ ?>
		<!-- BUTTON => Отмяна -->
		<div id="top_icons_cancel_place">
			<?=anchor("$controller_name/clear_manu",  // вика remove icon ...
			  '<div id="top_icons_cancel_sale"></div>',
			  array('title'=>$this->lang->line('common_label_operation')));?>
		</div>

		<div class='title_empty_lable'>
			<span><?=$modes[$mode];?></span>
		</div>
<?php // end of "!$count_work > 0"
	} 

	
// ==========================  ПРИКЛЮЧВАНЕ на ДОКУМЕНТА ================== //
// ТУКА Е FINISHA //

	if ( $count_work )
	{
			echo '<div class="title_bar_dropdown">';
			echo form_open("$controller_name/complete_en",array('id'=>'finish_form'));
			echo "<div class='btn_blue' id='finish_button'>".$finish_button."</div>";
			echo '</div></form>';	
	} ?>

<!-- Край на горния блок -->
</div>  <!-- end of title_btn_bar -->


<!-- ============================== ТАБЛИЦАТА ======================== -->
<div id="table_holder">

<?php 
if(!$count_work)  // когато количката е празна ...
{ 
  if(!isset($error)) 
		{ ?>
	<tr><td colspan='14'>
		<div class="warning_noitems" style="background-color:rgba(230,230,100,0.35);border:1px solid #555;padding:5px;">
			<?=$this->lang->line('pattern_no_items');?>
		</div>
	</td></tr>
<?php }
}
else  // Ако има поне 1 артикул .... от тук таблица
{  // #1 отваря 'else' ---

foreach($work as $line=>$item)
  {
	$inum = $item['inum'];
	$size = $this->Item->get_sizes($inum);
	$item_info = $this->Item->get_item_info($inum);
	$collection = $item_info->collection;
	$allow_sizes = $size['allow'];	
	
	if ($allow_sizes)
		{ 
			$Qty = explode(',',$item['qty']);
			$quantity = $Qty[0];
		}
	else {  $quantity=$item['qty'];}
	
	$price = 0;
	$item_name = $item['name'];
	$item_online = $this->OnLine->get_online_item($inum);
	if($item_online)
	{
		$price_2 = $price	= $item_online->price_2;
		$price_3 = $item_online->price_3;
		if($price_3 > 0 and $price_3 < $price_2) { $price = $price_3; }
		
		$price = to_dot(round(0.56242*$price,1)); // повдигната с +10% EURO price
		
		$item_name 	= $item_online->name_en;
	
	}
?>

<?=form_open("labels/edit_item/$line/$allow_sizes");?>
<table id='register'>
	<thead>
		<tr>
			<th style="width:6%;"><?=$this->lang->line('manu_item');?></th>
			<th style="width:30%;"><?=$this->lang->line('manu_item_name'); ?></th>
			<th style="width:8%;"><?=$this->lang->line('reports_daily_price'); ?></th>
			<th style="width:8%;"><?=$this->lang->line('manu_qty'); ?></th>
			<?php 
				if ($allow_sizes)
					{ for($k=1;$k<11;$k++) 
                 { 
						  if($k==10 and ($allow_sizes=='XS' or $allow_sizes==28 or $allow_sizes==48)) 
								 { echo '<th style="width:5%;background-color:#eaa;color:black;">'.$size[$k].'</th>';}
						  else { echo '<th style="width:5%;">'.$size[$k].'</th>';}
                 }
               } 
				else 
               { echo '<th colspan="10">'.$this->lang->line('manu_item_no_sizes').'</th>';}
			?>
		</tr>
	</thead>
<!-- край на заглавната част -->

	<tbody id="cart_contents">
	 <tr>
<?php	$item_show = $item['inum'];?>

	<!-- ====================== АРТИКУЛ =========================== -->
		<td>
		<?=anchor("items/view_manu/".$item['inum']."/width:750/height:480", 
				'<span class="view_item_number">'.$item_show.'</span>',
				array('class'=>'thickbox item_button none',
				'title'=>$this->lang->line('reports_item_preview').$item['inum'] ) ); 
		?>
		</td>

	<!-- ============================= НАИМЕНОВАНИЕ =========================== -->
		<td style="text-align:left;font-family:Roboto;">
				<?=$item_name;?>
		</td>
		
	<!-- =========================== ЦЕНА ======================= -->
		<td style="text-align:центер;line-height:28px;">
			<span class='form_field_size'>
				<?//=form_dropdown('mode_price',$modes_prices,$mode_price);?>
				<b>€</b> <?=form_input(array('name'=>'item_price','value'=>$price,'size'=>'6', 'id'=>'item_price'));?>
			</span>
		</td>
		
	<!--  Обработваме КОЛИЧЕСТВОТО + БУТОН  -->

		<td>
		<?php
        	if($allow_sizes) // размерно отчитане ...
	        	{ ?>
					<span  style="font-size:110%;font-weight:bold;" class="form_field_button">
                  <?php echo form_hidden('quantity',	$quantity);
                        echo form_submit('edit_item', $quantity);?>
					</span>
		<?php }

		else // безразмено отчитане ...
	        	{ ?>
				<span id="edit_line_item" class='form_field_center'>
					<?=form_input(array('name'=>'quantity','value'=>$quantity,'size'=>'3', 'id'=>'line_item'));?>	
				</span>
		<?php } ?>
		</td>


<!-- ===================================  и на края идват размерите ============================== -->
<?php 
if ($allow_sizes)
	{ 
		for($k=1;$k<11;$k++)
		{
			echo "<td><span class='form_field_size'>";
				$size_k = 'q'.$k;
				if ( isset($Qty[$k]) and abs($Qty[$k]) > 0 ) 
					{ echo form_input(array('name'=>$size_k,'value'=>$Qty[$k],'size'=>'3'));}
				else
					{ echo form_input(array('name'=>$size_k,'value'=>'','size'=>'3'));}
			echo "</span></td>";
		}
	} 
else 
	{ 	if( isset($item['comment']) ) {$comment=$item['comment'];}else {$comment='';}
      echo '<td colspan="10" class="form_field">десен: ';
		echo form_input(array('name'=>'comment','value'=>$comment,'size'=>'10'));
		echo '<span style="font-size:110%;font-weight:bold;margin-left:6px;" class="form_field_button">'.form_submit('edit_item', 'OK').'</span>';
		echo '</td>';	
	} ?>

</form>

<!--============================= DELETE ICON ==========================   
		<td>
			<div id="delete_item" style="padding:0px 0px 0px 1px;">
	 	   	<?php 
					//	echo form_open('labels/delete_item/'.$line.'/'.$inum,array('id'=>'delete_form'));
					//	echo '<div class="delete_x_icon" title="'.$this->lang->line('common_label_erase').'"></div>';
					//	echo form_close();
					?>
			</div>
		</td>
-->		
		
	 </tr>
	</tbody>
</table>

<br>

<?php
   }  // #2 затваря 'foreach' в обратен ред ...
}  // #1 затваря 'else' ...
?> 

</div>  <!-- end of table_holder -->

<?php $this->load->view("partial/footer"); ?>

<!--  =======================================  КРАЙ  ============================================ -->
<script type="text/javascript" language="javascript">

$(document).ready(function()
{
	 $('#search').focus();

    $(".delete_x_icon").click(function()
    {
      $('#delete_form').submit();
    });    
    
    $("#delete_counter").click(function()
    {
         if (confirm('<?=$this->lang->line("common_label_counter_erase");?>'))
            { $('#delete_counter').submit();}
    });

    $("#finish_button").click(function()
    {
      $('#finish_form').submit();
    });
    
	$('#line_item').keypress(function (e) {
	if (e.which == 13) 
		{ $('form#edit_line_item').submit(); }
	});
});
</script>
