<?php // start to make .XML
/* $xml = new SimpleXMLElement('<xml/>'); */
/*	$xml = new SimpleXMLElement("<?xml version=\"1.0\" encoding=\"utf-8\" ?><audit></audit>"); // WINDOWS-1251 */
	$xml = new SimpleXMLElement("<?xml version=\"1.0\" encoding=\"WINDOWS-1251\" ?><audit></audit>");
	
	$domain_name = "https://shop.styler.bg";
	$create_date = date('Y-m-d');
	if((int)date('m')!='1') 
	{
		$month = str_pad(date('m')-1, 2, "0", STR_PAD_LEFT);
		$year  = date('Y');
	}
	else // само ЯНУАРИ ?!
	{
		$month = '12';
		$year  = date('Y')-1;
	}

	$xml->addChild("eik","115752718");
	$xml->addChild("e_shop_n","RF0000001");
	$xml->addChild("domain_name",$domain_name);
	$xml->addChild("creation_date",$create_date);
	$xml->addChild("mon",$month);
	$xml->addChild("god",$year);
	$xml->addChild("e_shop_type","1");
	
	$all_Orders = $xml->addChild('order');
	if($orders)
	{
		foreach($orders as $order)
		{
			$this_order = $all_Orders->addChild('orderenum');
				$this_order->addChild('ord_n',$order['ord_n']);
				$this_order->addChild('ord_d',$order['ord_d']);
				$this_order->addChild('doc_n',$order['doc_n']);
				$this_order->addChild('doc_date',$order['doc_date']);
				
			$arts = $order['items'];
			if($arts)
			{
				$thisArt = $this_order->addChild('art');
				foreach($arts as $inum=>$art)
				{
					$artnum = $thisArt->addChild('artenum');
						$artnum->addChild('art_name',$art['art_name']);
						$artnum->addChild('art_quant',$art['art_quant']);
						$artnum->addChild('art_price',$art['art_price']);
						$artnum->addChild('art_vat_rate',$art['art_vat_rate']);
						$artnum->addChild('art_vat',$art['art_vat']);
						$artnum->addChild('art_sum',$art['art_sum']);
				} // foreach($items
			} // if($items
			
			$this_order->addChild('ord_total1',$order['ord_total1']);
			$this_order->addChild('ord_disc',$order['ord_disc']);
			$this_order->addChild('ord_vat',$order['ord_vat']);
			$this_order->addChild('ord_total2',$order['ord_total2']);
			$this_order->addChild('paym',$order['paym']);
			
			if($order['paym']=='2')
			{
				$this_order->addChild('pos_n',$order['pos_n']);
				$this_order->addChild('trans_n',$order['trans_n']);
				$this_order->addChild('proc_id',$order['proc_id']);
			}
		} // foreach($orders
		
	} // if($orders)

	$xml->addChild("r_ord",$r_ord);
	$xml->addChild("r_total",$r_total);
	if($rorders)
	{
		$all_Rorders = $xml->addChild('rorder');
		foreach($rorders as $rorder)
		{
			$this_rorder = $all_Rorders->addChild('rorderenum');
				$this_rorder->addChild('r_ord_n',$rorder['r_ord_n']);
				$this_rorder->addChild('r_amount',$rorder['r_amount']);
				$this_rorder->addChild('r_date',$rorder['r_date']);
				$this_rorder->addChild('r_paym',$rorder['r_paym']);
		}
		
	} // if($rorders)

	
	// if ERRORS -> STOP
	if($errors)
	{ 
		echo 'ERRORS:<br>';
		foreach($errors as $error)
		{
			echo "# ".$error['doc_number']." - ".date('d.m.Y',strtotime($error['doc_date']))." / Total = ".$error['total']."<br>";
		}
		die();
	}	
	
// Header('Content-type: text/xml');
// print($xml->asXML());	
// die();

	$audit = $xml->asXML();
	$file_name = $brand.'_ONLINE_'.$vedom.'.xml';

	header('Content-type: application/xml');
	header('Content-Disposition: attachment; filename='.$file_name);
	echo $audit;

	$success = 'success: Rosica Ivanova';
	$this->Marketing->vendor_feed_log('NAP',$success);
	die(); ?>
