<?php 
	$file_name = "items_BULG.csv";
	$export = '';

	foreach($items as $item)
	{
		$inum = $item['item_number'];
		
		if($inum>9999 and $inum<98000)
		{
         $name = trim($item['name']);
         $name = str_replace("@", ".", $name);
         
         $desc = strip_tags(preg_replace("/\r|\n/", "", trim($item['description'])));
         $desc = str_replace("@", ".", $desc);
         
         $color = trim($item['color']);
         $content = trim($item['content']);	
         
         
         if(trim($desc)=='')     { $desc = '-'; }
         if(trim($color)=='')    { $color = '-'; }
         if(trim($content)=='')  { $content = '-'; }
         
         $export .= "# $inum ~ $name ~ $desc ~ $color ~ $content\n"; // \n
		
		}
	}

	header('Content-type: application/csv');
	header('Content-Disposition: attachment; filename='.$file_name);
	echo $export;

//	$success = 'success:yes';
	die();
?>
