<!DOCTYPE HTML>
<html lang="bg" xmlns="http://www.w3.org/1999/xhtml" dir="ltr">
<?php
	$isMobile = $this->OnLine->isMobile(); 
	$mobil=''; if($isMobile) { $mobil='m_';}
	
	// Начална инициализация ...
	if(!isset($catalog)) {$catalog=0;}
	$user  = $this->online_lib->get_user();
	$admin = $this->OnLine->get_admin($user);
	$user_name = $this->OnLine->get_user_name($user);
	$user_names = $this->OnLine->get_names($user);
	$category = $this->online_lib->get_category();
	$brand_category = $this->OnLine->get_text('category');

	// Google Analytics
	$google_analytics = $this->OnLine->get_text('google_analytics');

	// Езиков Блок ...
	if(!$brand_category) // Hanna-UK
	{
		$lang='_en';
		$currency_SYMBOL = '£ ';
		$currency_rate = 1;
		$body_hanna = ' id="body_hanna"'; $hanna = '_hanna';
		// if($isMobile) { $body_hanna = ''; $hanna = '';}
	}
	else // всички останали
	{
		$lang=$this->online_lib->get_language();
		$currency_SYMBOL = '€ ';
		$currency_rate = 1.95583;
		$body_hanna = ''; $hanna = '';
	}

	// работа с token //
	$token=$this->online_lib->get_token();
	if($admin) {$token_txt='?token='.$token;} else {$token_txt='';}

	// зарежда количката
	$cart = $this->online_lib->get_cart();
	$cart_qty 	= $this->online_lib->get_qty();
	$cart_total = $this->online_lib->get_total();
	$currency = ' '.$this->config->item('currency_symbol');

	$dirSYS  = BISOFT.'online/';
	$dir_img = $dirSYS.'img/';
	$dir_onlines = BISOFT.'index.php/onlines/';
	$dir_marketings = BISOFT.'index.php/marketings/';
	$dirDATA = BDATA.'online_shop/';
	$dirDATA_img  = $dirDATA."images/";
	$dirDATA_pics = $dirDATA."pictures/";
	$dir_images = BISOFT."images/";

	// Речник 
	if ( $lang=='_bg') 
		{ $to_home='Начало';$to_catalog='Продукти';$to_reg='Профил';$to_hello='Привет,&nbsp;';$lang_password="парола";
		  $lang_newClient='нов клиент';$lang_forget_pasw='забравена парола';$lang_log_in='влез';$lang_email="E-mail";
		  $empty_cart='празна кошница';$my_basket="МОЯТА КОШНИЦА";$my_giftcard="Отстъпка от Ваучер";
		  $delivery_shipping="Доставка"; $delivery_no_pay="БЕЗПЛАТНА"; $grand_total="СУМА ЗА ПЛАЩАНЕ";
		  $land_delete_item="Изтриване на Артикул";$land_change_size="Замяна на Размер";$to_pc='бр';$to_pcs='бр';
		  $error_email_1='ГРЕШКА: E-mail НЕ МОЖЕ да е празно поле ?!'; $error_pasw='ПАРОЛА не може да е празно поле.';
		  $error_email_2='ГРЕШКА: E-mail Адресът ТРЯБВА да съдържа САМО букви, цифри, подчертавания, @ и (точка) ?!';
		  $error_email_3='ГРЕШКА: В E-mail Използвате ЗАБРАНЕНИ ЗНАЦИ / anti-hack check /  ?!';
		  $error_pasw_9 ='ПАРОЛА: Използвате ЗАБРАНЕНИ ЗНАЦИ / anti-hack check /  ?!';
		  $hanna_db='БАЗА ДАННИ';$hanna_edit='РЕДАКЦИЯ';
		} 
	else 
		{ $to_home='Home';$to_reg='Login';$to_catalog='Items';$to_hello='Hello,&nbsp;';$lang_password="password";
		  $lang_newClient='new client';$lang_forget_pasw='forgotten password';$lang_log_in='login';$lang_email="E-mail";
		  $empty_cart='empty basket'; $my_basket="MY BASKET";$my_giftcard="GiftCard Discount";
		  $delivery_shipping="Delivery"; $delivery_no_pay="FREE"; $grand_total="GRAND TOTAL";
		  $land_delete_item="Delete Item";$land_change_size="Change Size";$to_pc='pc';$to_pcs='pcs';
		  $error_email_1='ERROR: E-mail CAN NOT be blank ?!'; $error_pasw='PASSWORD CAN NOT BE BLANK.';
		  $error_email_2='ERROR: E-mail must content letters, numbers, dots (-) , (_) and @ ?!';
		  $error_email_3='ERROR: E-mail You are using FORBIDEN SIGNS / anti-hack check /  ?!';
		  $error_pasw_9 ='PASSWORD: You are using FORBIDEN SIGNS / anti-hack check /  ?!';
		  $hanna_db='DATA BASES';$hanna_edit='EDITOR';
		} 

	// meta + keywords
	$meta_words = $this->OnLine->get_text('meta_words');
	if ( $lang=='_bg')
		{ 	if (!isset($keywords)) { $keywords=$meta_words; }
			else { $keywords .=', '.$meta_words;}
		}
	else // english
		{ 	if (!isset($keywords)) { $keywords=$meta_words; }
			else { $keywords .=', '.$meta_words;}
		}	

	$all_sales = $this->OnLine->getSalesData();
	$today_sales = 0;
	foreach($all_sales as $sale)
		{ if( date('Y-m-d') == date('Y-m-d',strtotime($sale['doc_date'])) ) { $today_sales++; } }
	if ($today_sales) {$main_title = ' &nbsp;&nbsp; Продажби Днес: '.$today_sales;}
?>

<head>
	<meta http-equiv="Content-type" content="text/html; charset=utf-8" />

	<title>BiSOFT-Admin</title>

	<script>BASE_URL = '<?=site_url();?>';</script>
	<base href="<?=$dirSYS;?>" />
	<link rel="shortcut icon" href="<?=$dirDATA_img;?>favicon.ico" type="image/png"/>

	<style>	
		html{height:101%;}
		@font-face { font-family: Roboto; src: url("<?=BISOFT;?>roboto.ttf");}
		@font-face { font-family: BiSOFT_Sans; src: url("<?=BISOFT;?>sans.ttf");}
		@font-face { font-family: BiSOFT_Serif; src: url("<?=BISOFT;?>serif.ttf");}
		@font-face { font-family: Awesome; src: url("<?=BISOFT;?>awesome.ttf");}
		@font-face { font-family: BiSOFT_Mono; src: url("<?=BISOFT;?>mono.ttf");}
	</style>

	<link href="https://fonts.googleapis.com/css?family=Open+Sans:400,300,400italic,600,700&amp;subset=latin,cyrillic" rel="stylesheet" type="text/css" />


	<link rel="stylesheet" href="<?=BISOFT;?>css/online_shop.css" type="text/css" media="all" />
	<link rel="stylesheet" href="<?=BISOFT;?>css/online_admin.css" type="text/css" media="all" />
	<link rel="stylesheet" href="<?=BISOFT;?>css/bisoft.css" media="all"/>
	<link rel="stylesheet" href="<?=BISOFT;?>css/eShop_print.css" media="print"/>
	
	<script src="<?=BISOFT;?>js/jquery-1.2.6.min.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=BISOFT;?>js/jquery.autocomplete.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=BISOFT;?>js/jquery.validate.min.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=BISOFT;?>js/thickbox.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=BISOFT;?>js/jquery.tablesorter.min.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=BISOFT;?>js/manage_tables.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=BISOFT;?>js/common.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=BISOFT;?>js/ismobile.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=BISOFT;?>online/js/jquery-func.js" type="text/javascript"></script>

	<style type="text/css">
		html { overflow: auto;}
	</style>
	
<script type="text/javascript" language="javascript">
$(document).ready(function()
{

  $("#docNumber").focus();
    
});
</script>

</head>

<body id="body_admin">
<?php

if	($admin && !$isMobile) 
{
	$mode = $this->online_lib->get_mode();
	$menu_Link = $dir_marketings.'admin_database/0';
	$menu_Txt = '';
	if($mode=='catalog')
	{
		$this->online_lib->set_mode('sales');
		$menu_Link = $dir_marketings.'admin_database/0';
		$menu_Txt = 'БАЗА ДАННИ';
	}
	else
	{
		$menu_Link = $dir_marketings.'catalog_admin';
		$menu_Txt = 'КАТАЛОГ';
	}
?>
<!-- ====================== TOP navigation ======================= -->
<div id="menubar_empty">
	<div id="menubar_footer">
		<div id="menubar_footer_place">
		
			<span id="menubar_footer_back">
				<a href="<?=$dir_marketings.'bisoft_back';?>"><img src="<?=$dir_images;?>arrow-back.png"/></a>
			</span>
			
      <ul id="menubar_footer_menu">
			<li>
				<a href="<?=$menu_Link?>">
					<span><?=$menu_Txt?></span>
				</a>
			</li>
		</ul>		

<?php if (isset($main_title)) 
			{ echo "<div id='menubar_main_title'>BiSOFT - $main_title</div>";}
		else
			{ echo "<div id='menubar_main_title'>BiSOFT</div>"; } ?>
				  <div id="menubar_footer_operator">BiSOFT Admin</div>
		</div>
	</div>
</div> <!-- menubar_empty -->
<!-- ========================== end TOP navigation ============================ -->
<?php
} ?>

<!-- =========================================== Shell ============================================== -->
<div class="<?=$mobil.'shell_admin';?>">
<?php $data_X = array('xyu'=>'change_BG');?>


<!-- ======================== LOGO =========================== -->
<?php if(!$isMobile) { if(!$brand_category or $brand_category==2) {echo '<div id="logo_styler">';} else {echo '<div id="logo">';} }
      else { if(!$brand_category or $brand_category==2) {echo '<div id="m_logo_styler">';} else {echo '<div id="m_logo">';} } ?>
		<a href="<?=$dirSYS.'catalog_admin.php';?>">BiSOFT</a></div>

<!--		
<script type="text/javascript" language="javascript">function basket_menu_down(){$("#basket_top_menu").slideDown(200),"block"==$("#basket_top_menu").style.display}function basket_menu_fix(){"block"==$("#basket_top_menu").style.display}function basket_menu_up(){$("#basket_top_menu").slideUp(200),"none"==$("#basket_top_menu").style.display}function my_profile_menu_down(){$("#my_profile_menu").slideDown(200),"block"==$("#my_profile_menu").style.display}function my_profile_menu_fix(){"block"==$("#my_profile_menu").style.display}function my_profile_menu_up(){$("#my_profile_menu").slideUp(200),"none"==$("#my_profile_menu").style.display}function checkForm(a){return"E-mail"==a.email.value?(alert("<?=$error_email_1;?>"),a.email.focus(),!1):(re=/[+*&#\$/%?=~|!:,;()<>\[\] ]/,re.test(a.email.value)?(alert("<?=$error_email_3;?>"),a.email.focus(),!1):(re=/[+]/,re.test(a.email.value)?(alert("<?=$error_email_3;?>"),a.email.focus(),!1):(re=/@/,re.test(a.email.value)?(re=/[a-zA-Z]\./,re.test(a.email.value)?"<?=$lang_password;?>"==a.password.value?(alert("<?=$error_pasw;?>"),a.password.focus(),!1):(re=/[+*&#\$/%?=~|!:,;()<>\[\] ]/,re.test(a.password.value)?(alert("<?=$error_pasw_9;?>"),a.password.focus(),!1):(re=/[+]/,re.test(a.password.value)?(alert("<?=$error_pasw_9;?>"),a.password.focus(),!1):!0)):(alert("<?=$error_email_2;?>"),a.email.focus(),!1)):(alert("<?=$error_email_2;?>"),a.email.focus(),!1))))}$(document).ready(function(){$("#password").click(function(){document.getElementById("password").type="password"}),$("#cart").click(function(){$("#my_profile_menu").slideUp(10),$("#basket_top_menu").slideToggle(200),"block"==$("#basket_top_menu").style.display,"none"==$("#my_profile_menu").style.display}),$("#my_profile").click(function(){$("#basket_top_menu").slideUp(10),$("#my_profile_menu").slideToggle(200),"block"==$("#my_profile_menu").style.display,"none"==$("#basket_top_menu").style.display})});</script>

<!-- =====================================  MAIN BODY ============================= -->
<div id="<?=$mobil.'main';?>">
 <div class="cl">&nbsp;</div>
