<div id="required_fields_message"><?php echo $this->lang->line('mats_edit_fields_you_want_to_update'); ?></div>
<ul id="error_message_box"></ul>

<?php
echo form_open('materials/bulk_update/',array('id'=>'mat_form'));
?>

<fieldset id="item_basic_info">
<legend><?php echo $this->lang->line("mats_basic_information"); ?></legend>


<div class="field_row clearfix">	
<?php echo form_label($this->lang->line('mats_names').' :', 'name',array('class'=>'wide')); ?>
	<div class='form_field'>
	<?php echo form_input(array(
		'name'=>'name',
		'id'=>'name')
	);?>
	</div>
</div>


<div class="field_row clearfix">	
<?php echo form_label($this->lang->line('mats_unit_price').' :', 'unit_price',array('class'=>'wide')); ?>
	<div class='form_field'>
	<?php echo form_input(array(
		'name'=>'unit_price',
		'size'=>'10',
		'id'=>'unit_price')
	);?>
	</div>
</div>


<div class="field_row clearfix">	
<?php echo form_label($this->lang->line('mats_description').':', 'description',array('class'=>'wide')); ?>
	<div class='form_field'>
	<?php echo form_textarea(array(
		'name'=>'description',
		'id'=>'description',
		'rows'=>'2',
		'cols'=>'19')		
	);?>
	</div>
</div>


<div class="field_row clearfix">	
<?php echo form_label($this->lang->line('mats_contents').':', 'contents',array('class'=>'wide')); ?>
	<div class='form_field'>
	<?php echo form_textarea(array(
		'name'=>'contents',
		'id'=>'contents',
		'rows'=>'2',
		'cols'=>'19')		
	);?>
	</div>
</div>


<?php
echo form_submit(array(
	'name'=>'submit',
	'id'=>'submit',
	'value'=>$this->lang->line('common_submit'),
	'class'=>'submit_button float_right')
);
?>

</fieldset>
<?php 
echo form_close();
?>






<script type='text/javascript'>

//validation and submit handling
$(document).ready(function()
{	
	$("#category").autocomplete("<?php echo site_url('materials/suggest_category');?>",{max:100,minChars:0,delay:10});
    $("#category").result(function(event, data, formatted)
    {
    });
	$("#category").search();
	
	$('#mat_form').validate({
		submitHandler:function(form)
		{
			if(confirm("<?php echo $this->lang->line('mats_confirm_bulk_edit') ?>"))
			{
				//Get the selected ids and create hidden fields to send with ajax submit.
				var selected_mat_ids=get_selected_values();
				for(k=0;k<selected_mat_ids.length;k++)
				{
					$(form).append("<input type='hidden' name='mat_ids[]' value='"+selected_mat_ids[k]+"' />");
				}
				
				
				$(form).ajaxSubmit({
				success:function(response)
				{
					tb_remove();
					post_bulk_form_submit(response);
				},
				dataType:'json'
				});
			}

		},
		errorLabelContainer: "#error_message_box",
 		wrapper: "li",
		rules: 
		{
			unit_price:			{ number:true }
   	},

		messages: 
		{
			unit_price:			{ number:"<?php echo $this->lang->line('mats_unit_price_number'); ?>" }
		}

	});
});
</script>
