<?php $icon_print = '<i style="font-size:135%;color:#006;" class="fa fa-print" aria-hidden="true"></i>&nbsp; ';
		$backNoKey  = true; 
			
		if(isset($schedule->order_list)) { $order_list = $schedule->order_list; }
		else { $order_list = '-1'; }
		
		if($order_list>0)
		{
			$client_id = $schedule->client_id;
			$client = $schedule->client;
			$order_date = $schedule->order_date;
			$visit_date = $schedule->visit_date;
			$status  = $schedule->status;
			$comment = $schedule->comment;
		}
		else 
		{
			$client_id = 0;
			$order_date = date('Y-m-d');
			$visit_date = date('Y-m-d');
			$status  = 0;
			$comment = '';
		}
?>

<div>

<?=form_open("orders/save_schedule/".$order_list, array('id'=>'edit_form'));?>

<br>

	<div id="thickbox_report_edit">  <!-- цветният блок в средата -->

	
	<!-- =================================== КЛИЕНТ ======================== -->
	<div class="field_edit_row clearfix">
		<?php	echo form_label($this->lang->line('sales_customer').':', 'customer'); 
				echo '<div class="form_field">';
				echo form_dropdown('client_id',$customers, $client_id, 'id="client_id"');
				echo "</div>"; ?>
	</div>


   <!-- ============================== ORDERED ========================== -->
	<div class="field_edit_row clearfix">
	<?=form_label('заявено на: ', 'order_date_label');?>
		<div class='form_field'>
			<?php echo form_input(array(
						'name'	=> 'order_date',
						'value'	=> date('d.m.Y', strtotime($order_date)),
						'readonly'=>'readonly',
						'id'		=> 'order_date')); ?>
		</div>
	</div>
	

   <!-- ============================== ДАТА ========================== -->
	<div class="field_edit_row clearfix">
	<?=form_label('договаряне: ', 'visit_date_label');?>
		<div class='form_field'>
			<?php echo form_input(array(
						'name'	=> 'visit_date',
						'value'	=> date('d.m.Y', strtotime($visit_date)),
						'size'	=> '8', 
						'readonly'=>'readonly',
						'id'		=> 'visit_date')); ?>
		
			
			<span class='form_field' style='margin-left:20px;'>време: 
			<?php echo form_input(array(
						'name'	=> 'visit_time',
						'value'	=> date('H:i', strtotime($visit_date)),
						'size'	=> '6', 
						'id'		=> 'visit_time')); ?>
			</span>
		</div>
	</div>


   <!-- ============================== COMMENT ========================== -->
	<div class="field_edit_row clearfix">
	<?=form_label('коментар: ', 'comment_label');?>
		<div class='form_field'>
			<?php echo form_input(array(
						'name'	=> 'comment',
						'value'	=> $comment,
						'size'	=> '60', 
						'id'		=> 'comment')); ?>
		</div>
	</div>
	

	<!-- =================================== STATUS ======================== -->
	<div class="field_edit_row clearfix">
		<?php	$all_modes = array('0'=>'предстои','1'=>'OK');
		
				echo form_label('състояние:', 'status_label'); 
				echo '<div class="form_field">';
				echo form_dropdown('status',$all_modes, $status, 'id="status"');
				echo "</div>"; ?>
	</div>
	
 </div> <!-- цветният блок в средата 'report_edit_block' -->


<br>

<!--  ================================== Бутон за ИЗХОД  ================================= -->
   <div style="width:50%;margin-left:10%;margin-right:auto;">
		<?=form_submit(array(
			'name'=>'submit',
			'id'=>'submit',
			'value'=>$this->lang->line('common_edit_save'),
			'class'=>'btn float_right') );?>
      </form>
	</div>

</div>

<!--
<div id="feedback_bar"></div>
-->

<script type="text/javascript" language="javascript">
$(document).ready(function()
{
	// блок за формиране на дати за JS

	var startDate 	= "01.<?=date('m.Y', strtotime($visit_date));?>";
	var endYear 	= "<?=date('Y', strtotime($visit_date));?>";
	var endMonth 	= "<?=date('m', strtotime($visit_date));?>";
	var endDay = '31';
	if(endMonth=='04' || endMonth=='06' || endMonth=='09' || endMonth=='11') {endDay = '30';}
	if(endMonth=='02') 
	{
		endDay = '28';
		if(endYear=='2020' || endYear=='2024' || endYear=='2028' || endYear=='2032' || endYear=='2036' || endYear=='2040') // след това съм на пенсия.
		{ endDay = '29'; }
	}
	var endDate = endDay + '.' + endMonth + '.' + endYear;

	$('#order_date').datePicker({startDate: startDate, endDate: "<?=date('d.m.Y');?>" });
	$('#visit_date').datePicker({startDate: startDate, endDate: endDate });

	
	$('#sales_edit_form').validate({
		submitHandler:function(form)
		{
			$(form).ajaxSubmit({
			success:function(response)
			{
				if(response.success)
				{
					set_feedback(response.message,'success_message',false);
					tb_remove();
					location.reload(true);
				}
				else
				{
					set_feedback(response.message,'error_message',true);		
				}
			},
			dataType:'json'
		});

		},
		errorLabelContainer: "#error_message_box",
 		wrapper: "li",
		rules: 
		{
   	},
		messages: 
		{
		}
	});
});
</script>
