<?php $this->load->view("partial/header"); 
		$show_key  = $summary_key['all_orders']; 
?>

<div id="title_btn_bar">

		<?=anchor("$controller_name/new_order/-1", // /width:440/height:480
					 "<span class='btn float_left'>".$this->lang->line('module_'.$controller_name)."</span>",
					 array('class'=>'none','title'=>$this->lang->line('reports_input_new_order')) ); ?>

		<div class="title_bar_dropdown">
		<?php echo form_open("orders/change_collection",array('id'=>'collection_form'));
				echo form_dropdown('collection', $collections, $collection_id, 'onchange="$(\'#collection_form\').submit();"'); ?>
			</form>
		</div>

		<div class="title_bar_dropdown">
		<?php echo form_open("orders/change_customer",array('id'=>'customer_form'));
				echo form_dropdown('customer', $customers, $customer_id,'onchange="$(\'#customer_form\').submit();"'); ?>
			</form>
		</div>

		<div class="icon_place">
			<?=anchor('orders/print_collection',  // вика printer icon ... 'orders/print_vedom'
				'<div id="printer_icon"></div>',
					array('title'=>$this->lang->line('common_label_print')));?>
		</div>
		
		<div class="icon_place">
			<?=anchor('orders/schedule',  // вика schedule icon
				'<div id="schedule_icon"></div>',
					array('title'=>'Разписание на Договарянията'));?>
		</div>

		<div class="icon_place" style="margin-left:16px;">
			<?=anchor('orders/refresh',  // вика refresh icon ...
				'<div id="refresh_icon"></div>',
					array('title'=>$this->lang->line('common_refresh_page')));?>
		</div>


<?php 
if($user_id<11)
{ ?>
	<div>
			<?php echo form_open("orders/left_items/all", array('id'=>'order_left_form'));
					echo form_submit(array(
							'name'=>'left_items',
							'id'=>'left_items',
							'value'=> $this->lang->line('reports_edit_left'),
							'class'=>'btn_red float_right'));
					echo form_close();?>
			
			<?php echo form_open("orders/produced_items/all", array('id'=>'order_produced_form'));
					echo form_submit(array(
							'name'=>'produced_items',
							'id'=>'produced_items',
							'value'=> $this->lang->line('reports_Produced'),
							'class'=>'btn_blue float_right margRight_5'));
					echo form_close();?>
   </div>
<?php 
} ?> 

</div> <!-- End of title_btn_bar -->



<?php
if($show_key!=0)
{ ?>
<div id="table_holder">
	<table class="tablesorter NoWrap report" id="sortable_table">
		<thead>
			<tr>
				<?php foreach ($headers['summary'] as $header) 
						{ echo '<th>'.$header.'</th>'; } ?>
			</tr>
		</thead>
		<tbody>
		<?php foreach ($orders_data as $key=>$row) 
				{ ?>
				
				<tr>
					<!-- <td style="text-align:center;font-size:16px;font-weight:bold;"><a href="#" class="expand">+</a></td> -->
				<?php 
					echo '<td width=6% style="text-align:center;">'.$row['link'].'</td>';
					echo '<td width=6% style="text-align:center;color:#226;">'.$row['date'].'</td>';
					echo '<td width=6% style="text-align:center;color:#800;">'.$row['deadline'].'</td>';
					echo '<td width=22% style="text-align:left;">'.$row['client'].'</td>';
					echo '<td width=4% style="text-align:center;color:#500;"><b>'.$row['qty'].'</b></td>';
					echo '<td width=6% style="text-align:right;">'.$row['sum'].'</td>';
					echo '<td width=4% style="text-align:center;color:#707;">'.$row['dsc'].'</td>';
					echo '<td width=5% style="text-align:right;color:#040;">'.$row['avance'].'</td>';
					echo '<td width=6% style="text-align:right;"><b>'.$row['paid'].'</b></td>';
					echo '<td width=13% style="text-align:left;color:#333;"><i>'.$row['who'].'</i></td>';
					echo '<td width=20% style="text-align:left;">'.$row['comment'].'</td>';
					echo '<td width=2% style="text-align:center;" class="erase_X">'.$row['del'].'</td>';				
				?>
				</tr>

			<?php } ?>
		</tbody>
	</table>
</div>


<?php // if show_key != 0 ...
} 

if($user_id<11 and $collection_id)
{ ?>
	<div id="bottom_bar_short">
		<div id="bottom_bar_short_qty">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_QTY');?></span>
			<span id="total_qty" class="bottom_bar_text"><?=$overall_summary_data['all_quantity'];?></span>
		</div>

		<div id="bottom_bar_short_sum">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_total');?></span>
			<span id="total_sum" class="bottom_bar_text"><?=$overall_summary_data['total'];?></span>
		</div>
	</div>
<?php 
}

$this->load->view("partial/footer"); ?>

<div id="feedback_bar"></div>

<script type="text/javascript">
$(document).ready(function()
{
	enable_row_selection();
	enable_search('<?=site_url("$controller_name/suggest")?>','<?=$this->lang->line("common_confirm_search")?>');
	enable_delete('<?=$this->lang->line("mats_confirm_delete")?>','<?=$this->lang->line("mats_none_selected")?>');

	$("#line_delete_form").submit(function()
	{
		if (!confirm('<?=$this->lang->line("sales_delete_confirmation");?>'))
			{ return false;}
	});

	
	$(".erase_X").click(function()
	{
		if (!confirm('<?=$this->lang->line("sales_delete_confirmation");?>'))
			{ return false;}
	});


});
	 

function post_item_form_submit(response)
{
	if(!response.success)
	{
		set_feedback(response.message,'error_message',true);
	}
	else
	{
		//This is an update, just update one row
		if(jQuery.inArray(response.line_id,get_visible_checkbox_ids()) != -1)
		{
//		alert(response.line_id);
			update_row(response.line_id,'<?=site_url("$controller_name/get_order_row")?>');
			set_feedback(response.message,'success_message',false);
		}
		else {set_feedback(response.message,'error_message',true);}

	}
}
</script>


<?php if (isset($key_print) and $key_print == 1)
{ ?>
<script type="text/javascript">
$(window).load(function()
{
	window.print();
});
</script>
<?php
} ?>
