<!DOCTYPE HTML>
<html lang="en-US" xmlns="http://www.w3.org/1999/xhtml" dir="ltr">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<meta name="robots" content="noindex">
	<base href="<?=base_url();?>" />

	<title>BiSOFT</title>
	
	<link rel="shortcut icon" href="images/bisoft.ico" type="image/png"/>
	<style>	
		html{height:100%;}
		@font-face { font-family: BiSOFT_Sans;  src: url("<?=base_url();?>sans.ttf");}
		@font-face { font-family: BiSOFT_Serif; src: url("<?=base_url();?>serif.ttf");}
		@font-face { font-family: Roboto;  		 src: url("<?=base_url();?>roboto.ttf");}
		@font-face { font-family: BiSOFT_Mono;	 src: url("<?=base_url();?>mono.ttf");}
		@font-face { font-family: EURO;			 src: url("<?=base_url();?>euro.ttf");}
		@font-face { font-family: Awesome;	    src: url("<?=base_url();?>awesome.otf");}
	</style>
	
	<link rel="stylesheet" href="<?=BISOFTDIR;?>css/styles.css"  media="screen">
	<link rel="stylesheet" href="<?=BISOFTDIR;?>css/print.css"   media="print">
	<link rel="stylesheet" href="<?=BISOFT;?>css/eShop.css"  media="all"/>
	<link rel="stylesheet" href="<?=BISOFT;?>css/bisoft.css" media="all"/>
	<link rel="stylesheet" href="<?=BISOFT;?>css/shops.css"  media="all"/>
	<link rel="stylesheet" href="<?=BISOFT;?>css/eShop_print.css"  media="print" />
	
	<script>BASE_URL = '<?=site_url(); ?>';</script>

	<script src="<?=base_url();?>js/jquery-1.2.6.min.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=base_url();?>js/jquery.color.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=base_url();?>js/jquery.metadata.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=base_url();?>js/jquery.form.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=base_url();?>js/jquery.tablesorter.min.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=base_url();?>js/jquery.ajax_queue.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=base_url();?>js/jquery.bgiframe.min.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=base_url();?>js/jquery.autocomplete.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=base_url();?>js/jquery.validate.min.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=base_url();?>js/jquery.jkey-1.1.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=base_url();?>js/thickbox.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=base_url();?>js/common.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=base_url();?>js/manage_tables.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=base_url();?>js/swfobject.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=base_url();?>js/date.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=base_url();?>js/datepicker.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=base_url();?>js/bisoft.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	
	<style type="text/css">
		html { overflow: auto;}
	</style>

</head>


<body>
<!-- ====================== TOP navigation ======================= -->
<div id="menubar_empty">
	<div id="menubar_footer_new">
		<div id="menubar_footer_place">
<?php $back_path = site_url('Home');if(isset($controller)){$back_path = site_url($controller);}
		$user_name = ''; if(isset($user_info)) {$user_name = trim($user_info->first_name);} 
		$location = $this->BiSOFT_Model->get_location();
		$loc_number='';
		if($location>0) {$loc_number=$location;}
?>
		<span id="menubar_footer_back">
			<a href="<?=$back_path;?>"><img src="images/arrow-back.png"/></a>
		</span>
<?php if (isset($main_title)) 
		{ echo "<div id='menubar_main_title'>$main_title</div>";} ?>
				  <div id="menubar_footer_operator"><?=$user_name;?><span class="high_number"><?=$loc_number;?></span></div>
		</div>
	</div>
</div> <!-- menubar_empty -->
<!-- ========================== end TOP navigation ============================ -->


<!-- =====================================  MAIN BODY ============================= -->
<div class="page-wrap">

	<main class="content clearfix">
		<div id="content_area">
