<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html lang="en-US" xmlns="http://www.w3.org/1999/xhtml" dir="ltr">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<base href="<?=base_url();?>" />

	<title>BiSOFT:BMK</title>
	
	<link rel="shortcut icon" href="images/bisoft.ico" type="image/png"/>
	<style>	
		html{height:101%;}
		@font-face { font-family: BiSOFT_Sans;  src: url("<?=base_url();?>/sans.ttf");}
		@font-face { font-family: Roboto;  		 src: url("<?=base_url();?>/roboto.ttf");}
		@font-face { font-family: BarCode_12;   src: url("<?=base_url();?>/bc10.ttf");}
	</style>

	<link rel="stylesheet" href="<?=base_url();?>css/eShop.css" />
	<link rel="stylesheet" href="<?=base_url();?>css/labels.css" />
	<link rel="stylesheet" href="<?=base_url();?>css/bisoft.css"/>
	<link rel="stylesheet" href="<?=base_url();?>css/eShop_print.css"  media="print"/>
	
	<script>BASE_URL = '<?=site_url();?>';</script>
	
	<style type="text/css">
		html { overflow: auto;}
	</style>

</head>

<body>
<!-- ====================== TOP navigation ======================= -->
<div id="menubar_empty">
	<div id="menubar_footer_new">
		<div id="menubar_footer_place">
<?php $back_path = site_url('productions');if(isset($controller)){$back_path = site_url($controller);}
		$user_name = ''; if(isset($user_info)) {$user_name = trim($user_info->first_name);} ?>
		<span id="menubar_footer_back">
			<a href="<?=$back_path;?>"><img src="images/arrow-back.png"/></a>
		</span>
<?php if (isset($main_title)) 
		{ echo "<div id='menubar_main_title'>$main_title</div>";} ?>
				  <div id="menubar_footer_operator"><?=$user_name;?></div>
		</div>
	</div>
</div> <!-- menubar_empty -->
<!-- ========================== end TOP navigation ============================ -->


<!-- =====================================  MAIN BODY ============================= -->
<div class="hidePRN" style="height:2.5rem;width:100%;background:transparent;"></div>

<div id="content_area_printer">
  <div id="content_area">

<div id="bmk_sheet_header">

	<div id="bmk_sheet_header_item">
		<?=$item_number.'-'.$type.'-'.$MK_id;?>
	</div>
	 
	 
	 <div id="bmk_main_barcode_place">
		<?php $bmk_main = str_pad($item_number, 5, "0", STR_PAD_LEFT).$type.$MK_id.'999';
				$barcode = $this->Label->barcode_bicode_12($bmk_main);?>
				<span class="barcode_main_image"><?=$barcode;?></span>
	 </div> 
	 
	 <div id="bmk_sheet_header_name">
		<?=$tech_name;?>
 	 </div>

	 <div id="bmk_client_place">
		<?='клиент';?>
 	 </div>

	 <div id="bmk_date_place">
		<?=$bmk_date;?>
 	 </div>
  	 
<br>
 	 
<div id="bmk_sizes_range">
  <span style="margin-right:5px;font-size:7pt;">състав</span>
  
  	 <div id="bmk_content_fixed" style="font-size:8pt;">
		<?=$content;?>
 	 </div> 	

<?php $size_qty='';

		  if($allow_sizes and $bmk_sizes!=null) // ако има размери
			 { $k=0;
				$sizes = explode(',',$bmk_sizes);
				foreach ($sizes as $size=>$sqty)
				  { $k++;
				   if($sqty>0) 
					 { $size_qty .= $item_sizes[$k].' ';
					 echo '<div class="bmk_size_block">';
						echo '<span class="bmk_size_block_text">'; echo $item_sizes[$k]; echo '</span>';
						echo $sqty;					 
					 echo '</div>';			 
					 }
				  }
			 }
			 else // безразмерни
			 {
				if($bmk_sizes)
				{
					echo '<div class="bmk_size_block">';
					echo '<span class="bmk_size_block_text">д.'.$bmk_sizes.'</span>';
					echo $qty;					 
					echo '</div>';
					$size_qty = 'десен:'.$bmk_sizes;
				}
			 }
			 
echo '</div>'; // край на размери

  if($qty) { echo '<div id="bmk_pustach_block"><b>Пускач: '.$qty.' бр.</b></div>';}

?>
	
</div>


<div id="bmk_sheet_body">

<?php	$odd_even=0;$row_number=0;
foreach ($PMs as $line=>$pm)
{ 
  if($line!='010' and $line!='990')
	 { 

		if(!$odd_even) 
		  { $odd_even=1;$row_number++;?>
				<div class="bmk_left_block">
				<?php $item = str_pad($item_number, 5, "0", STR_PAD_LEFT).$type.$MK_id.$line;
						$barcode = $this->Label->barcode_bicode_12($item);
						$line_PM = (int) substr($line,0,2);$line_Add = substr($line,-1);
						if($line_Add) {$line_Add='-'.$line_Add;} else {$line_Add='';} ?>
						<span class="pro_barcode_image_left"><?=$barcode;?></span>
						<span class="bmk_left_workblock">PM: <?=$line_PM.$line_Add;?><br>работник</span>
						<span class="bmk_left_text"><b><?=$line_PM.$line_Add;?>. </b><?=$PM_text[$line].
								'<br><b>'.$qty.'бр.</b> '.$size_qty;?></span>					 
				</div>
<?php 	}
		else
		  { 	$odd_even=0;$row_number++;?>
				<div class="bmk_right_block">
				<?php $item = str_pad($item_number, 5, "0", STR_PAD_LEFT).$type.$MK_id.$line;
						$barcode = $this->Label->barcode_bicode_12($item);
						$line_PM = (int) substr($line,0,2);$line_Add = substr($line,-1);
						if($line_Add) {$line_Add='-'.$line_Add;} else {$line_Add='';} ?>
				  <span class="pro_barcode_image_right"><?=$barcode;?></span>
				  <span class="bmk_right_workblock">PM: <?=$line_PM.$line_Add;?><br>работник</span>
				  <span class="bmk_right_text"><b><?=$line_PM.$line_Add;?>. </b><?=$PM_text[$line].
								'<br><b>'.$qty.'бр.</b> '.$size_qty;?></span>
				</div>
<?php 	}

   }
}?>	
				
</div>


    </div>
  </div>

</body>
</html>
