<?php $dta['main_title'] = $this->lang->line('manu_PRODUCTION'); 
		$this->load->view("partial/header");?>

<div id="title_btn_bar">

		<div class='title_empty_lable'>
			<span><?=$this->lang->line('module_productions');?></span>
		</div>

		<!-- формата за режимите на работа -->
		<div class="title_bar_dropdown" style="top:-3px;">
		  	<?=form_open("productions/change_mode",array('id'=>'mode_form'));?>
		  	<?=form_dropdown('mode',$modes,$mode,'onchange="$(\'#mode_form\').submit();"');?>
		  	</form>
		</div>

		<!-- формата за категориите -->
		<div class="title_bar_dropdown">
		  	<?php echo form_open("productions/change_category",array('id'=>'mode_cat')); ?>
		  	<?php echo form_dropdown('db_cat',$db_cats,$db_cat,'onchange="$(\'#mode_cat\').submit();"'); ?>
		  	</form>
		</div>	
		
		
		<div class="icon_place">
			 <?php echo anchor('productions',  // вика refresh icon ...
				  '<div id="techno_refresh_icon"></div>',
					 array('title'=>$this->lang->line('common_refresh_page'))); 
			 ?>
		</div>
		
	<?=form_open("productions/select_techno",array('id'=>'select_techno_form'));?>
		<div class="top_search_bar">
			<label for="techno"><span class='form_field'>
					<?=form_input(array(
							'name'	=>	'techno',
							'id'		=>	'techno',
							'size'	=>	'35',
							'value'	=>	$this->lang->line('tech_DB_typing_techno_name') ) );?>				
			</label>
		</div>
	</form>

</div>  <!-- end of title_btn_bar-->




<!-- ============================== ТАБЛИЦАТА ======================== -->
<div id="table_holder">
<br>

<table id="sortable_table" class="tablesorter report" style="line-height:22px;">
	<thead>
		<tr>
			<th style="width:4%;"><?=$this->lang->line('tech_DB_tech_id'); ?></th>
			<th style="width:35%;"><?=$this->lang->line('tech_DB_job_name');?></th>
			<th style="width:1%;"><?='pm';?></th>
			<th style="width:1%;"><?='=';?></th>
			<th style="width:4%;"><?=$this->lang->line('tech_DB_machine');?></th>
			
<?php if( $user_id < 6 )
{ ?>
			<th style="width:5%;"><?=$this->lang->line('tech_DB_min');?></th>
<?php
} ?>
			
			<?php for($k=0;$k<10;$k++) { echo '<th style="width:5%;">HB_'.$k.'</th>';} ?>
			<th style="width:1%;">=</th>
		</tr>
	</thead>
<!-- край на заглавната част -->

<tbody id="cart_contents">

  <tr>
  <!-- ============================== Техн.Код ======================== -->
  	<?php	echo form_open("productions/add_tech_id", array('id'=>'form_add_tech_id'));
				echo '<td style="text-align:center;"><span class="form_field">';
				echo form_input(array('name'=>'add_tech_id','value'=>'','size'=>'4','id'=>'add_tech_id'));
				echo '</span></td>';

				echo '<td><div style="text-align:left;"><span class="form_field">';
				echo form_input(array('name'=>'add_tech_name','value'=>'','size'=>'50','id'=>'add_tech_name'));
				echo '</div></span></td>';
				
				echo '<td style="text-align:center;"><div><span class="form_field">';
				echo form_input(array('name'=>'add_pm','value'=>'','size'=>'4','id'=>'add_pm'));
				echo '</div></span></td>';
				
				echo '<td></td>';

				echo '<td style="text-align:center;"><div><span class="form_field">';
				echo form_input(array('name'=>'add_job_id','value'=>'','size'=>'6','id'=>'add_job_id'));
				echo '</div></span></td>';
				
				if( $user_id < 6 )
				  { echo '<td></td>'; }
				
				for( $k=0;$k<10;$k++ )
					{ 
						echo '<td style="text-align:center;"><div><span class="form_field">';
						echo form_input(array('name'=>'add_HB_'.$k,'value'=>'','size'=>'4','id'=>'add_HB_'.$k));
						echo '</div></span></td>';
					}

			echo '<td><div id="add_plus_icon"></div></td>';

			echo form_close();
?>
  </tr>

<?php
$count = count($tech_DB);

foreach($tech_DB as $line=>$tech)
{ // #2 отваря 'foreach' //

	$tech_id  = $tech['tech_id'];
	$tech_min = $this->Production->get_tech_HB($tech['job_id'])->job_min;
	$tech_name = $tech['tech_name'];
	$tech_pm  = $tech['pm']; if(!$tech_pm) { $tech_pm='';}
	$tech_old = substr($tech['tech_old'],0,3).'-'.substr($tech['tech_old'],3,2);
	?>
  <tr>
  <!-- ============================== Техн.Операция ======================== -->
		<td style="text-align:center;"><b>
		  	<?php 
			 if( $user_id < 6 )
				{ // за първите 5 id-та
				  echo anchor("productions/edit_techDB_line/$tech_id/width:420/height:480",
							"<span style='color:#007;'>".$tech_id."</span>",
							array('class'=>'thickbox none','title'=>$this->lang->line('tech_DB_job_id_edit').$tech_id ) );
				}
			 else // за всички останали на id 5
				{ echo "<span style='color:#007;'>".$tech_id."</span>";}
			?>
			</b>
		</td>

	<!-- =========================== НАИМЕНОВАНИЕ ====================== -->
<?php echo form_open("productions/edit_techDB_line_name/$tech_id/$line",array('id'=>'form_edit_tech_id'));?>
		<td style="text-align:left;">
			<?php	echo '<span class="form_techno_left">';
					echo form_input(array('name'=>'set_name_'.$line,'value'=>$tech_name,'size'=>'50','class'=>'set_name'));
					echo '</span>'; 
					echo form_close();
			?>
			<span style="float:right;font-style:italic;color:#444;padding-right:5px;"><? // =$tech_old; ?></span>
		</td>
	<!-- ============================= PM ========================== -->

<?php echo form_open("productions/edit_techDB_line_pm/$tech_id/$line",array('id'=>'form_edit_pm'));?>
		<td style="text-align:center;">
			<span style="text-align:center;color:#333;"><b>
			<?php echo '<span class="form_techno">';
					echo form_input(array('name'=>'set_pm','value'=>$tech_pm,'size'=>'4','class'=>'set_pm'));
					echo '</span>'; 
					echo form_close();
			?>
			</b></span>
		</td>
		
	<!-- =========================== ПРИНТ-МАНИПУЛАЦИЯ ====================== -->		
		<td style="text-align:center;">
			<span id="print_bmk">
			<?php echo anchor("productions/print_tech_id/".$tech_id,
							  '<div class="print_bmk_icon"></div>',  // вика printer icon ...
								array('title'=>$this->lang->line('tech_manu_print')));
			?>
			</span>
		</td>	

	<!-- ============================= РАБОТА ========================== -->
<?php echo form_open("productions/edit_techDB_line_job/$tech_id/$line",array('id'=>'form_edit_job_id'));?>
		<td style="text-align:center;">
			<span style="text-align:center;color:#333;"><b>
			<?php echo '<span class="form_techno">';
					echo form_input(array('name'=>'set_job_id','value'=>$tech['job_id'],'size'=>'6','class'=>'set_job_id'));
					echo '</span>'; 
					echo form_close();
			?>
			</b></span>
		</td>

<?php if( $user_id < 6 )
{ ?>	
	<!-- =========================== Мин.Разценка ===================== -->
		<td style="text-align:center;color:#600;">
			<b><?=$tech_min;?></b>
		</td>
<?php
} ?>

	<!-- =========================== HB-i ===================== -->
		<?php 
		if($count==1)
		  {
			for( $k=0;$k<10;$k++ ) // ако е само един запис
				{ 
				echo form_open("productions/edit_tech_DB/$tech_id/$k",array('id'=>'form_edit_tech_DB'));
					$hb_k = 'HB_'.$k;
					echo '<td style="text-align:center;"><span class="form_field_size">';
					if ($tech[$hb_k]!=0)
						{ echo form_input(array('name'=>'set_HB_'.$k,'value'=>$tech[$hb_k],'size'=>'4','id'=>'set_HB')); }
					else
						{ echo form_input(array('name'=>'set_HB_'.$k,'value'=>'','size'=>'4','id'=>'set_HB')); }
					echo '</span></td>';
				echo form_close();
				}
		  }
		else
		  {
			for( $k=0;$k<10;$k++ ) // ако е пълна извадка
				{ 
					$hb_k = 'HB_'.$k;
					echo '<td><span class="form_field_size">';
					if ($tech[$hb_k]!=0)
						{ echo $tech[$hb_k]; }
					else
						{ echo ''; }
					echo '</span></td>';
				echo form_close();
				}		  
		  }
		?>

	<!-- ============================= DELETE ICON ====================== -->
		<td>
			<div id="delete_item">
	 	   	<?php /* echo anchor("productions/delete_tech_DB/$tech_id",  // вика delete icon ...
					  '<div class="delete_x_icon"></div>',
						array('title'=>$this->lang->line('tech_DB_erase_techno')));
						*/
				?>
			</div>
		</td>

  </tr>

<?php
}  // #2 затваря 'foreach' ...
?>

 </tbody>

</table>

</div>

<?php $this->load->view("partial/footer"); ?>

<!--  =======================================  КРАЙ  ============================================ -->

<script type="text/javascript" language="javascript">
$(document).ready(function()
{
	enable_row_selection();

    $(".delete_x_icon").click(function()
    {
		alert('<?=$this->lang->line("tech_DB_delete"); ?>');
    });

    
    $("#add_plus_icon").click(function()
    {
		 if (confirm('<?=$this->lang->line("tech_DB_add_techno");?>'))
		  {
			 $('#form_add_tech_id').submit();
		  }
    });


	$('#techno').click(function()
    {
    	$(this).attr('value','');
    });

    $("#techno").autocomplete('<?=site_url("productions/techno_search");?>',
    {
    	minChars:2,
    	delay:10,
    	max:100,
    	formatItem: function(row) {
			return row[1];
		}
    });

    $("#techno").result(function(event, data, formatted)
    {
		$("#select_techno_form").submit();
    });

    $('#techno').blur(function()
    {
    	$(this).attr('value',"<?=$this->lang->line('tech_DB_typing_techno_name');?>");
    });    
    

});



$('#set_HB_0, #set_HB_1, #set_HB_2, #set_HB_3, #set_HB_4, #set_HB_5, #set_HB_6, #set_HB_7, #set_HB_8, #set_HB_9').keypress(function (e) 
	{
	  if (e.which == 13) { $('form#form_edit_tech_DB').submit(); }
});

$('#add_tech_id, #add_tech_name, #add_job_id').keypress(function (e) 
	{
	  if (e.which == 13) { $('form#form_add_tech_id').submit(); }
});

$(".set_name, .set_job_id").keypress(function (e) 
	{
	  if (e.which == 13) { $('form#form_edit_tech_id').submit(); }
});


$(".set_pm").keypress(function (e) 
	{
	  if (e.which == 13) { $('form#form_edit_pm').submit(); }
});

</script>
