<?php //OJB: Check if for excel export process
if($export_excel == 1)
{  ob_start();
	$this->load->view("partial/header_excel");
}
else
{  $ttl = '';
	if($mode=='shop_sale') {$ttl = $this->lang->line('sales_shop_sale');}
	elseif($mode=='online_sale') {$ttl = $this->lang->line('sales_online_sale');}
	
	$dta['controller'] = 'Home';
	$dta['main_title'] = $ttl;
	$this->load->view("partial/header_back",$dta);
} 

$bank = to_dot($total_bank);
$bank_text = $this->lang->line('reports_pay_bybank');
if($mode=='online_sale')
{
	$bank = to_dot($total_cost-$total_cash);
	$bank_text .= '+PayPal';
} ?>

<div id="table_holder_vedom">
<?php if($export_excel == 0) 
{ ?>
  <div id="page_title" style="margin-bottom:8px;"><?=$title ?></div>
  <div id="page_subtitle" style="margin-bottom:8px;"><?=$subtitle ?></div>
<?php 
} ?>
	<table class="tablesorter report" id="sortable_table">
		<thead>
			<tr>
				<?php foreach ($headers as $header) { ?>
				<th><?php echo $header; ?></th>
				<?php } ?>
			</tr>
		</thead>
		<tbody>
			<?php foreach ($data as $row) { ?>
			<tr class="daily">
			<?php foreach ($row as $line=>$cell) 
					{
						if($line=='inum') { echo '<td style="text-align:center;color:#005;">';}
						else
						{
							if ( is_numeric($cell) )
								{
								if ( $cell > 0 ) { echo '<td style="text-align:center;color:#005;">';}
								elseif ( $cell == 0 ) { echo '<td>'; $cell = '';}
								else	 { echo '<td style="text-align:center;color:#a00;">';}
								}
							else
								{ echo '<td style="text-align:left;color:#222;">';}
						}
					echo $cell.'</td>';

					} ?>
			</tr>
			<?php } ?>
		</tbody>
	</table>
</div>
	
	<div id="bottom_bar_empty">
		<div id="bottom_vedbar_1">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_QTY');?></span>
			<span id="total_qty" class="bottom_bar_text"><?=$total_qty;?></span>
		</div>
		
		<div id="bottom_vedbar_2">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_gros_sales');?></span>
			<span id="total_vat" class="bottom_bar_text"><?=to_dot($total_sum);?></span>
		</div>
		
		<div id="bottom_vedbar_3">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_pay_sale');?></span>
			<span id="total_sum" class="bottom_bar_text"><?=to_dot($total_cost);?></span>
		</div>
		
		<div id="bottom_vedbar_4">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_pay_incash');?></span>
			<span id="total_cost" class="bottom_bar_text"><?=to_dot($total_cash);?></span>
		</div>
		
		<div id="bottom_vedbar_5">
			<span class="bottom_bar_title"><?=$bank_text;?></span>
			<span id="total_cost" class="bottom_bar_text"><?=$bank;?></span>
		</div>
	</div>

<?php 
if($export_excel == 1)
{
	$this->load->view("partial/footer_excel");
	$content = ob_end_flush();

	$filename = $excel_file;

	header('Content-type: application/ms-excel');
	header('Content-Disposition: attachment; filename='.$filename);
	echo $content;
	die();
}
else
{	$this->load->view("partial/footer_back");?>
	<script type="text/javascript">
		$(document).ready(function() { enable_row_selection(); });
	</script>
<?php 
} // end if not is excel export 
?>
