<?php $dta['controller'] = 'Home';
		$dta['main_title'] = $this->lang->line('reports_summary_reports');
		$this->load->view("partial/header_back",$dta);
		$now_YEAR = $this->BiSOFT_Model->get_user_mode_year();?>

<div id="table_holder_back" style="text-align:center;">
  <div id="report_block_dates" style='padding-top:12px;padding-bottom:18px;'>  <!-- блок с дати в ляво -->
	<?=form_label($this->lang->line('reports_date_range'),'report_date_range_label',array('class'=>'wide'));?>
	<div id='report_date_range_complex'>
		<input type="radio" name="report_type" id="complex_radio" value='complex' checked='checked' />
		<?=form_dropdown('start_day',$days, 1, 'id="start_day"');?>
		<b>&nbsp; - &nbsp;</b>
		<?=form_dropdown('end_day',$days, $selected_day, 'id="end_day"');?>
		<?=form_dropdown('end_month',$months, $selected_month, 'id="end_month"');?>
		<?=form_dropdown('end_year',$years, $now_YEAR, 'id="end_year"');?>
	</div>
<?php if($now_YEAR==date('Y'))
{ ?>
	<div id='report_date_range_simple'>
		<input type="radio" name="report_type" id="simple_radio" value='simple'/>
		<?=form_dropdown('report_date_range_simple',$report_date_range_simple, '', 'id="report_date_range_simple"');?>
	</div>
<?php
} ?>
<br>
	<?=form_label($this->lang->line('reports_document_type'),'reports_sale_type_label',array('class'=>'wide'));?>
	<div id='report_sale_type'>
		<?=form_dropdown('sale_type',array(
				'sale' => $this->lang->line('reports_sales'), 
				'shop_sale' => $this->lang->line('reports_shop_sales'), 
				'recv' => $this->lang->line('reports_recvs'), 
				'manu' => $this->lang->line('reports_manu_goods'), 
				'consi' => $this->lang->line('reports_consi'),
				'balance' => $this->lang->line('reports_balances'),
				'brak' => $this->lang->line('reports_braks'),
				'revision' => $this->lang->line('reports_revisions')
											), 'sale', 'id="sale_type"');?>
	</div>
</div> <!-- за блока в ляво -->	
<br>
	<div>
	     <?=$this->lang->line('reports_toBiSOFT'); ?>&nbsp
		<input type="radio" name="export_excel" id="export_excel_yes" value='1' /> Yes
		<input type="radio" name="export_excel" id="export_excel_no" value='0' checked='checked' /> No
	</div>
<br>
   <?=form_button(array(
      'name'=>'generate_report',
      'id'=>'generate_report',
      'content'=>$this->lang->line('common_submit'),
      'class'=>'submit_button') );?>
</div>

<?php $this->load->view("partial/footer_back");?>

<div id="feedback_bar"></div>

<script type="text/javascript" language="javascript">
$(document).ready(function()
{
	$("#generate_report").click(function()
	{
		var sale_type = $("#sale_type").val();
		var export_excel = 0;
		if ($("#export_excel_yes").attr('checked'))
		{
			export_excel = 1;
		}
		
		if ($("#simple_radio").attr('checked'))
		{
			window.location = window.location+'/'+$("#report_date_range_simple option:selected").val()+'/'+sale_type+'/'+export_excel;
		}
		else
		{
			var start_date = $("#end_year").val()+'-'+$("#end_month").val()+'-'+$('#start_day').val();
			var end_date = $("#end_year").val()+'-'+$("#end_month").val()+'-'+$('#end_day').val();
			window.location = window.location + '/'+start_date+'/'+ end_date+'/'+sale_type+'/'+export_excel;
		}
	});
	
	$("#end_day, #start_day, #end_month, #end_year").click(function()
	{
		$("#complex_radio").attr('checked', 'checked');
	});
	
	$("#report_date_range_simple").click(function()
	{
		$("#simple_radio").attr('checked', 'checked');
	});


	$("#end_year").click(function()
	{
		if (confirm('<?php echo $this->lang->line("common_period_change"); ?>'))
    	{
    		$('#mode_year_form').submit();
    	}
	});

	
});
</script>
