<?php $dta['controller'] = 'Home';
		$dta['main_title'] = $this->lang->line('reports_summary_report').' - '.$clients;
		$this->load->view("partial/header_back",$dta);
		$now_YEAR = $this->BiSOFT_Model->get_user_mode_year();?>

<div id="table_holder_back" style="text-align:center;">
  <div id="report_block_dates">   <!-- блок с дати в ляво -->
	
	<div id='report_date_range_simple' style='padding-bottom:13px;'>
		<input type="radio" name="report_type" id="simple_radio" value='simple' checked='checked' />
		<?=form_dropdown('report_date_range_simple',$report_date_range_simple,'','id="report_date_range_simple"');?>
	</div>
	
	<?=form_label($this->lang->line('reports_date_range'),'report_date_range_label',array('class'=>'wide'));?>
	<div id='report_date_range_complex'>
		<input type="radio" name="report_type" id="complex_radio" value='complex' />
		<?=form_dropdown('start_month',$months, 1, 'id="start_month"');?>
		<?=form_dropdown('start_year',$years,$now_YEAR,'id="start_year"');?>
				<strong>&nbsp; - &nbsp;</strong>
		<?=form_dropdown('end_month',$months,$selected_month,'id="end_month"');?>
		<?=form_dropdown('end_year',$years,$now_YEAR, 'id="end_year"');?>
	</div>
<br>
	<?=form_label($this->lang->line('reports_document_type'),'reports_sale_type_label', array('class'=>'wide'));?>
	<div id='report_sale_type'>
		<?=form_dropdown('sale_type',array(
				'all' => $this->lang->line('reports_all_shops'),
				'sale' => $this->lang->line('reports_sales_and_returns'),
				'shop_sale' => $this->lang->line('reports_shops_sales_and_returns'),
				'online_sale' => $this->lang->line('reports_online_sales'),
				'giftcards' => $this->lang->line('reports_with_giftcards'),
											), 'all', 'id="sale_type"');?>
	</div>
</div> <!-- за блока в ляво -->	
<br>
	<div>
	   <?=$this->lang->line('reports_toBiSOFT');?> &nbsp;
		<input type="radio" name="export_excel" id="export_excel_yes" value='1' /> Yes &nbsp;
		<input type="radio" name="export_excel" id="export_excel_no" value='0' checked='checked' /> No
	</div>
<br>

<?=form_button(array(
	'name'=>'generate_report',
	'id'=>'generate_report',
	'content'=>$this->lang->line('common_submit'),
	'class'=>'btn') ); ?>
</div>

<?php $this->load->view("partial/footer_back"); ?>

<div id="feedback_bar"></div>

<script type="text/javascript" language="javascript">
$(document).ready(function()
{
	$("#start_month, #start_year, #end_month, #end_year").click(function()
	{
		$("#complex_radio").attr('checked', 'checked');
	});
	
	$("#report_date_range_simple").click(function()
	{
		$("#simple_radio").attr('checked', 'checked');
	});
	
	$("#generate_report").click(function()
	{
		var sale_type = $("#sale_type").val();
		var export_excel = 0;
		if ($("#export_excel_yes").attr('checked'))
		{ export_excel = 1;}
		
		if($("#simple_radio").attr('checked'))
		{
			window.location = window.location + '/' + $("#report_date_range_simple option:selected").val() + '/' + 
									sale_type + '/' + export_excel;
		}
		
		if($("#complex_radio").attr('checked'))
		{
			var month = $("#end_month").val();
			var end_date = 31;
			if(month=='04' || month=='06' || month=='09' ||month=='11') // 30-дневни месеци
				{ end_date = 30;}
			
			if(month=='02') // 28/29-февруари
			{
				var end_date = 28; 
				var end_year = $("#end_year").val();
				if(end_year=='2016' || end_year=='2020' || end_year=='2024' || end_year=='2028' || end_year=='2032' || end_year=='2036' || 
					end_year=='2040' || end_year=='2044' || end_year=='2048' || end_year=='2052' || end_year=='2056' || end_year=='2060')
				{end_date = 29;}
			}

			var start_date = $("#start_year").val() + '-' + $("#start_month").val() + '-01';
			var end_date = $("#end_year").val() + '-' + month + '-' + end_date;

			window.location = window.location + '/' + start_date + '/' + end_date + '/' + sale_type + '/' + export_excel;
		}
		
	});

});
</script>
