<?php $this->load->view("partial/header_report");?>

	<div id="page_title">
		<?=$clients.' - '.$this->lang->line('reports_graph_report');?>
	</div>

<?php if(isset($error)) { echo "<div class='error_message'>".$error."</div>";}?>


<div style="text-align:center;">
<br>
  <div id="report_block_dates">  <!-- блок с дати в ляво -->
	<?=form_label($this->lang->line('reports_date_range'), 'report_date_range_label', array('class'=>'wide'));?>
	<div id='report_date_range_simple'>
		<input type="radio" name="report_type" id="simple_radio" value='simple' checked='checked'/>
		<?=form_dropdown('report_date_range_simple',$report_date_range_simple,'', 'id="report_date_range_simple"');?>
	</div>
	
	<div id='report_date_range_complex'>
		<input type="radio" name="report_type" id="complex_radio" value='complex' />
		<?=form_dropdown('start_day',$days, 1, 'id="start_day"');?>
		<strong>&nbsp; - &nbsp;</strong>
		<?=form_dropdown('end_day',$days, $selected_day, 'id="end_day"');?>
		<?=form_dropdown('end_month',$months, $selected_month, 'id="end_month"');?>
		<?=form_dropdown('end_year',$years, $now_YEAR, 'id="end_year"');?>
	</div><br>
	
	<?=form_label($this->lang->line('reports_sale_type'), 'reports_sale_type_label', array('class'=>'wide'));?>
	<div id='report_sale_type'>
		<?=form_dropdown('sale_type',array(
				'all' => $this->lang->line('reports_recvs_and_returns'),
				'recv' => $this->lang->line('reports_recvs'), 
				'recv_return' => $this->lang->line('reports_recvs_returns')
											), 'all', 'id="sale_type"');?>
	</div><br>
	

</div> <!-- за блока в ляво -->

<br>

<?=form_button(array(
	'name'=>'generate_report',
	'id'=>'generate_report',
	'content'=>$this->lang->line('common_submit'),
	'class'=>'submit_button')
);?>


</div>

<?php $this->load->view("partial/footer");?>


<script type="text/javascript" language="javascript">
$(document).ready(function()
{
	$("#generate_report").click(function()
	{		
		var sale_type = $("#sale_type").val();
		
		if ($("#simple_radio").attr('checked'))
		{
			window.location = window.location+'/'+$("#report_date_range_simple option:selected").val() + '/' + sale_type;
		}
		else
		{
			var start_date = $("#end_year").val()+'-'+$("#end_month").val()+'-'+$('#start_day').val();
			var end_date = $("#end_year").val()+'-'+$("#end_month").val()+'-'+$('#end_day').val();
	
			window.location = window.location+'/'+start_date + '/'+ end_date+ '/' + sale_type;
		}
	});
	

	$("#start_day, #end_day, #end_month, #end_year").click(function()
	{
		$("#complex_radio").attr('checked', 'checked');
	});

	
	$("#report_date_range_simple").click(function()
	{
		$("#simple_radio").attr('checked', 'checked');
	});


	
});

</script>