<?php //OJB: Check if for excel export process
if($export_excel == 1)
{	ob_start();
	$this->load->view("partial/header_excel");
}
else
{	$dta['controller'] = 'Reports';
	$dta['main_title'] = '';
	$this->load->view("partial/header_back",$dta);
} ?>

<div id="table_holder_vedom">
<?php if($export_excel == 0) 
		{ ?>
			<div id="page_title" style="margin-bottom:8px;"><?=$title;?></div>
			<div id="page_subtitle" style="margin-bottom:8px;"><?=$subtitle;?></div>
			<div id="page_subtitle" style="margin-bottom:8px;"><?=$subtitle_2;?></div>
<?php } ?>

	<table class="tablesorter report" id="sortable_table">
		<thead>
			<tr>
				<?php foreach ($headers as $header) { echo '<th>'.$header.'</th>';} ?>
			</tr>
		</thead>
		<tbody>
			<?php foreach ($data as $row) 
					{ ?>
					<tr class="daily">
						<?php foreach ($row as $cell) 
								{
									if( is_numeric($cell) )
										{
											if ( $cell > 0 ) { echo '<td style="text-align:center;color:#005;">';}
											elseif ( $cell == 0 ) { echo '<td>'; $cell = '';}
											else	 { echo '<td style="text-align:center;color:#a00;">';}
										}
									else
										{ echo '<td>';}

									echo $cell.'</td>';
								} ?>
					</tr>
			<?php } ?>
		</tbody>
	</table>
</div>

<div id="report_summary">
	<?php foreach($overall_summary_data as $name=>$value) 
			{ ?>
				<div class="summary_row" style="color:#222;font-size:115%;font-weight:bold;">
				  <b><?=$this->lang->line('reports_'.$name). ': '.to_comma($value);?></b>
				</div>
	<?php } ?>
</div>

<?php 
if($export_excel == 1)
{
	$this->load->view("partial/footer_excel");
	$content = ob_end_flush();

		$location = $this->config->item('location');
		$headM = 'E';

	switch (strlen($location)) {
		case 1: $headM = 'E00' . $location; break;
		case 2: $headM = 'E0' . $location; break;
		case 3: $headM = 'E' . $location; break; }

	$filename = $headM . "-" . $doc_number . ".xls";

	header('Content-type: application/ms-excel');
	header('Content-Disposition: attachment; filename='.$filename);
	echo $content;
	die();
}
else
{ $this->load->view("partial/footer_back");?>
	<script type="text/javascript">
	$(document).ready(function() 
	{ enable_row_selection();});
	</script>
<?php 
} // end if not is excel export 
?>
