<?php $dta['controller'] = 'Home';
		$dta['main_title'] = $this->lang->line('reports_sum_invoices_report');
		$this->load->view("partial/header_back",$dta);
		$now_YEAR = $this->BiSOFT_Model->get_user_mode_year();?>

<div id="table_holder_back" style="text-align:center;">
  <div id="report_block_dates">   <!-- блок с дати в ляво -->
	
   <?=form_label($this->lang->line('reports_date_range'), 'report_date_range_label', array('class'=>'wide'));?>
	<div id='report_date_range_simple' style='margin-top:2px;'>
		<input type="radio" name="report_type" id="simple_radio" value='simple' checked='checked' />&nbsp;&nbsp;
		<?=form_dropdown('start_day',$days, 1, 'id="start_day"');?>
			<b>&nbsp; - &nbsp;</b>
		<?=form_dropdown('end_day',$days, $selected_day, 'id="end_day"');?>
		<?=form_dropdown('end_month',$months, $selected_month, 'id="end_month"');?>
		<?=form_dropdown('end_year',$years, $now_YEAR, 'id="end_year" '); // disabled ?>
	</div>	
<br>
	<?=form_label($this->lang->line('reports_month_range'), 'report_date_range_label', array('class'=>'wide'));?>
	<div id='report_date_range_complex' style='margin-top:2px;'>
	<input type="radio" name="report_type" id="complex_radio" value='complex' />&nbsp;&nbsp;
		<?=form_dropdown('start_month',$months, 1, 'id="start_month"');?>
			<b>&nbsp; - &nbsp;</b>
      <input type="text" name="last_day" id="last_day" class="hidden" size='2' value='31' />
		<?=form_dropdown('last_month',$months, $selected_month, 'id="last_month"');?>
		<?=form_dropdown('start_year',$years, $now_YEAR, 'id="start_year"');?>
	</div>
<br>
	<?=form_label($specific_input_name, 'specific_input_name_label',array('class'=>'wide'));?>
	<div id='report_specific_input_data'>
		<?=form_dropdown('specific_input_data',$specific_input_data,$firma,'id="specific_input_data"');?>
	</div>
<br>
	<?=form_label($this->lang->line('reports_invoice_type'),'reports_sale_type_label',array('class'=>'wide'));?>
	<div id='report_sale_type'>
		<?=form_dropdown('sale_type',array(
				'all' => $this->lang->line('reports_all'), 
				'invoice' => $this->lang->line('reports_invoices'), 
				'invoice_ki' => $this->lang->line('reports_invoices_ki'),
				'invoice_di' => $this->lang->line('reports_invoices_di'), 
				'invoice_pr' => $this->lang->line('reports_invoices_pr')
											), 'all', 'id="sale_type"');?>
	</div>
</div> <!-- за блока в ляво -->
<br>
	<div>
	   <?=$this->lang->line('reports_toBiSOFT');?> &nbsp;
		<input type="radio" name="export_excel" id="export_excel_yes" value='1' /> Yes &nbsp;
		<input type="radio" name="export_excel" id="export_excel_no" value='0' checked='checked' /> No
	</div>
<br>
<?=form_button(array(
	'name'=>'generate_report',
	'id'=>'generate_report',
	'content'=>$this->lang->line('common_submit'),
	'class'=>'btn') );?>
</div>

<?php $this->load->view("partial/footer_back");?>

<div id="feedback_bar"></div>

<script type="text/javascript" language="javascript">
$(document).ready(function()
{
	$("#generate_report").click(function()
	{		
		var export_excel = 0;
		if ($("#export_excel_yes").attr('checked')) { export_excel=1;}
		
      $("#report_date_range_simple").click(function()
         { $("#simple_radio").attr('checked','checked'); });
         
      $("#report_date_range_complex").click(function()
         { $("#complex_radio").attr('checked','checked'); });

		var sale_type = $("#sale_type").val();
		var firma = $('#specific_input_data').val();
		
		if($("#simple_radio").attr('checked'))
		{
			var start_date = $("#end_year").val()+'-'+$("#end_month").val()+'-'+$('#start_day').val();
			var end_date = $("#end_year").val()+'-'+$("#end_month").val()+'-'+$('#end_day').val();
		}
		else // complex
		{
			var start_date = $("#start_year").val()+'-'+$("#start_month").val()+'-01';
			var end_date = $("#start_year").val()+'-'+$("#last_month").val()+'-'+$('#last_day').val();
		}
		window.location = window.location + '/'+ start_date + '/' + end_date + '/' + firma + '/' + sale_type + '/' + export_excel;
	});
	
	$("#start_month").change(function()
		{ $("#complex_radio").attr('checked','checked'); });	
	
	$("#last_month").change(function()
		{ 
         $("#complex_radio").attr('checked','checked'); 
					
         var month = $("#last_month").val();
			var boxes = "";
			
			if(month=='01' || month=='03' || month=='05' || month=='07' || month=='08' || month=='10' || month=='12') // 31-дневни месеци
			{
				for(i=1; i<=31; i++)
				{ boxes += '<option value="'+ i +'">'+ i +'</option>';}
				document.getElementById('last_day').innerHTML = boxes;
				$("#last_day").val('31');
			}
			
			if(month=='04' || month=='06' || month=='09' ||month=='11') // 30-дневни месеци
			{
				for(i=1; i<=30; i++)
				{ boxes += '<option value="'+ i +'">'+ i +'</option>';}
				document.getElementById('last_day').innerHTML = boxes;
				$("#last_day").val('30');
			}
		
			if(month=='02') // 28/29-февруари
			{
				var limit = 28; 
				var now_year = $("#start_year").val();
				if(now_year=='2016' || now_year=='2020' || now_year=='2024' || now_year=='2028' || now_year=='2032' || now_year=='2036' || 
					now_year=='2040' || now_year=='2044' || now_year=='2048' || now_year=='2052' || now_year=='2056' || now_year=='2060')
				{ limit = 29; }
				for(i=1; i<=limit; i++)	{ boxes += '<option value="'+ i +'">'+ i +'</option>';}
				document.getElementById('last_day').innerHTML = boxes;
				$("#last_day").val(limit);
			}

		});

	$("#start_year").change(function()
		{ 
         $("#complex_radio").attr('checked','checked'); 
         $("#last_month").val('01'); $("#last_day").val('31');
      });	
	
	
	$("#end_year").change(function()
		{
         $("#simple_radio").attr('checked','checked');
			$("#end_month").val('01'); $("#start_day").val('01'); $("#end_day").val('31');
		});
		
   // for simple
	$("#end_month").click(function()
		{
			var month = $("#end_month").val();
			var boxes = "";
			
			$("#simple_radio").attr('checked','checked');
			
			if(month=='01' || month=='03' || month=='05' || month=='07' || month=='08' || month=='10' || month=='12') // 31-дневни месеци
			{
				for(i=1; i<=31; i++)
				{ boxes += '<option value="'+ i +'">'+ i +'</option>';}
				document.getElementById('start_day').innerHTML = boxes;
				document.getElementById('end_day').innerHTML = boxes;
				$("#end_day").val('31');
			}
			
			if(month=='04' || month=='06' || month=='09' ||month=='11') // 30-дневни месеци
			{
				for(i=1; i<=30; i++)
				{ boxes += '<option value="'+ i +'">'+ i +'</option>';}
				document.getElementById('start_day').innerHTML = boxes;
				document.getElementById('end_day').innerHTML = boxes;
				$("#end_day").val('30');
			}
			
			if(month=='02') // 28/29-февруари
			{
				var limit = 28; 
				var now_year = $("#end_year").val();
				if(now_year=='2016' || now_year=='2020' || now_year=='2024' || now_year=='2028' || now_year=='2032' || now_year=='2036' || 
					now_year=='2040' || now_year=='2044' || now_year=='2048' || now_year=='2052' || now_year=='2056' || now_year=='2060')
				{limit = 29;}
				for(i=1; i<=limit; i++)	{ boxes += '<option value="'+ i +'">'+ i +'</option>';}
				document.getElementById('start_day').innerHTML = boxes;
				document.getElementById('end_day').innerHTML = boxes;
				$("#end_day").val(limit);
			}

		});

});
</script>
