<?php //OJB: Check if for excel export process
if($export_excel == 1)
{
	ob_start();
	$this->load->view("partial/header_excel");
}
else
{
	$dta['controller'] = 'Home';
	$dta['main_title'] = '';
	$this->load->view("partial/header_back",$dta);
} ?>

<div id="table_holder_vedom">
<?php if($export_excel == 0) 
		{ ?>
			<div id="page_title" style="margin-bottom:8px;"><?=$title;?></div>
			<div id="page_subtitle" style="margin-bottom:8px;"><?=$subtitle;?></div>
<?php } ?>
	<table class="tablesorter report" id="sortable_table">
		<thead>
			<tr>
				<?php foreach ($headers as $header) {echo "<th>$header</th>";} ?>
			</tr>
		</thead>
		<tbody>
			<?php foreach ($data as $row) 
					{ ?>
						<tr>
							<?php 
								foreach ($row as $col=>$cell) 
									{
											if($col==0)
												{echo '<td width="4%" style="text-align:center;color:#055;font-style:italic;">';}
											elseif($col==1)
												{echo '<td width="4%" style="text-align:center;color:#226;font-weight:bold;">';}
											elseif($col==2)
												{echo '<td style="text-align:left;color:#222;">';}
											else
												{echo '<td style="text-align:right;color:#111;">';}
										
											if($cell)
												{ 	if(is_numeric($cell) and $cell>0) {echo $cell;}
													elseif(!is_numeric($cell)) {echo $cell;}
												}
											echo '</td>';
									} ?>
						</tr>
			<?php } ?>
		</tbody>
	</table>
</div>

	<div id="bottom_bar_empty">
		<div id="bottom_vedbar_1">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_QTY');?></span>
			<span id="total_qty" class="bottom_bar_text"><?=$all_qty;?></span>
		</div>
		
		<div id="bottom_vedbar_2">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_kaca_suma');?></span>
			<span id="total_vat" class="bottom_bar_text"><?=$all_suma;?></span>
		</div>
		
		<div id="bottom_vedbar_3">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_vat');?></span>
			<span id="total_sum" class="bottom_bar_text"><?=$all_vat;?></span>
		</div>
		
		<div id="bottom_vedbar_4">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_total');?></span>
			<span id="total_sum" class="bottom_bar_text"><?=$all_total;?></span>
		</div>
		
		<div id="bottom_vedbar_5">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_pay_sale');?></span>
			<span id="total_cost" class="bottom_bar_text"><?=$pay_sale;?></span>
		</div>
	</div>

<?php 
if($export_excel == 1)
{
	$this->load->view("partial/footer_excel");
	$content = ob_end_flush();
	
	$filename = "online_clients.xls";
	header('Content-type: application/ms-excel');
	header('Content-Disposition: attachment; filename='.$filename);
	echo $content;
	die();
}
else
{  $this->load->view("partial/footer_back");?>
	<script type="text/javascript">
	$(document).ready(function() { enable_row_selection(); });
	</script>
<?php // end if not is excel export 
} ?>
