<?php //OJB: Check if for excel export process
if($export_excel == 1)
{	ob_start();
	$this->load->view("partial/header_excel");
}
else
{	$dta['controller'] = 'Home';
	$dta['main_title'] = 'B i S O F T - '.$this->lang->line('common_REPORTS');
	$this->load->view("partial/header_back",$dta);
} 

$all_sales = 0;
?>

<div id="table_holder_vedom">
	<div id="page_title"><?=$title;?></div>
	<div id="page_subtitle"><?=$subtitle;?></div>
<br>
	<table class="tablesorter report" id="sortable_table">
		<thead>
			<tr>
				<th>+</th>
				<?php foreach ($headers['summary'] as $header) { echo '<th>'.$header.'</th>'; } ?>
			</tr>
		</thead>
		<tbody>
			<?php foreach ($summary_data as $key=>$row) 
			{ $all_sales++; ?>
			<tr>
				<td><a href="#" class="expand">+</a></td>

				<?php foreach ($row as $cell) 
						{
							if ( is_numeric($cell) ) // or $cell==='отчет'
								{
									echo '<td style="text-align:left;color:#a00;">'.$cell.'</td>';
								/*
									if ( (int)$cell > 0 ) { echo '<td style="text-align:right;color:#005;">'.$cell.'</td>'; }
									else	 { echo '<td style="text-align:left;color:#a00;">'.$cell.'</td>'; }
								*/
								}
							else
								{  echo '<td style="text-align:center;">'.$cell.'</td>'; }

						} ?>
			</tr>
			<tr>
				<td colspan="100">
				<table class="innertable">
			
					<tbody>
						<?php if(isset($details_data[$key]))
								{		
									foreach ($details_data[$key] as $item)  // AJAX code
										{ echo get_vedom_row($item,$controller);} 
								} ?>
					</tbody>

				</table>
				</td>

			</tr>
   <?php } ?>
		</tbody>
	</table>
</div>

	
<?php if($controller=='Sales') 
{ ?>
	<div id="bottom_bar_empty">
		<div id="bottom_vedbar_1">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_QTY');?></span>
			<span id="total_qty" class="bottom_bar_text" style="color:#006;"><b><?=$all_sales.' / '.$total_qty.' бр.';?></b></span>
		</div>
		
		<div id="bottom_vedbar_2">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_SUMA');?></span>
			<span id="total_sum" class="bottom_bar_text"><?=$total_sum;?></span>
		</div>

		<div id="bottom_vedbar_3">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_Discount');?></span>
			<span id="total_dsc" class="bottom_bar_text" style="color:red;font-style:italic;"><?=$total_dsc;?></span>
		</div>

		<div id="bottom_vedbar_4">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_gros_sales');?></span>
			<span id="total_pay" class="bottom_bar_text"><?=$total_pay;?></span>
		</div>

		<div id="bottom_vedbar_5">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_pay_sale');?></span>
			<span id="total_cost" class="bottom_bar_text"><?=$total_cost;?></span>
			<?php /*
               if($total_paid_cost>0 and $location==0)
               { ?>
                  &nbsp;+&nbsp;&nbsp;<b id="total_cost" class="bottom_bar_text"><?=$total_paid_cost;?></b>
               <?php 
               }
               */
         ?>
		</div>
	</div>
<?php
}
elseif($controller=='Recvs')
{ ?>
	<div id="bottom_bar_short">
		<div id="bottom_bar_short_qty">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_QTY');?></span>
			<span id="total_qty" class="bottom_bar_text"><?=$total_qty;?></span>
		</div>
		
		<div id="bottom_bar_short_sum">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_SUMA');?></span>
			<span id="total_sum" class="bottom_bar_text"><?=$total_sum;?></span>
		</div>
	</div>
<?php 
} ?>


<?php 
if($export_excel == 1)
{
	$this->load->view("partial/footer_excel");
	$content = ob_end_flush();
	
	$filename = 'TabReport';

	$filename = str_replace(array(' ', '/', '\\'), '', $filename);
	$filename .= "_Export.xls";

	header('Content-type: application/ms-excel');
	header('Content-Disposition: attachment; filename='.$filename);
	echo $content;
	die();
}
else
{ $this->load->view("partial/footer_back");?>

<div id="feedback_bar"></div>

<script type="text/javascript" language="javascript">
$(document).ready(function()
{
	enable_checkboxes();
	
	$(".tablesorter a.expand").click(function(event)
	{
		$(event.target).parent().parent().next().find('.innertable').toggle();
		
		if ($(event.target).text() == '+')
			{ $(event.target).text('-');}
		else
			{ $(event.target).text('+');}
			
		return false;
	});
	
});

function post_item_form_submit(response)
{
	if(!response.success)
	{
		set_feedback(response.message,'error_message',true);
	}
	else
	{
		//This is an update, just update one row
		if(jQuery.inArray(response.line_id,get_visible_checkbox_ids()) != -1)
		{
			update_row(response.line_id,'<?=site_url("$controller/get_document_row")?>');
			
			$("#qty_"+response.doc_row).text(response.qty_doc);
			$("#sum_"+response.doc_row).text(response.sum_doc);
			$("#dsc_"+response.doc_row).text(response.dsc_doc);
			$("#all_"+response.doc_row).text(response.all_doc);
			if(response.tax_doc!=0) { $("#tax_"+response.doc_row).text(response.tax_doc); }
			$("#amount_"+response.doc_row).text(response.amount_doc);
			$("#client_"+response.doc_row).text(response.client_doc);
			if(response.cost_doc!=0) { $("#cost_"+response.doc_row).text(response.cost_doc); }
			
			// общи стойности
			var total_sum = parseFloat($("#total_sum").text()); total_sum += parseFloat(response.total_sum);
			var total_vat = parseFloat($("#total_vat").text()); total_vat += parseFloat(response.total_vat);
			var total_pay = parseFloat($("#total_pay").text()); total_pay += parseFloat(response.total_pay);
			var total_qty = parseInt($("#total_qty").text()); total_qty += 1*response.total_qty;
			var total_cost = parseFloat($("#total_cost").text()); total_cost += parseFloat(response.total_cost);
			var total_dsc = parseFloat($("#total_dsc").text()); total_dsc = total_cost - total_pay;
			$("#total_sum").text(total_sum.toFixed(2));
			$("#total_dsc").text(total_dsc.toFixed(2));
			$("#total_vat").text(total_vat.toFixed(2));
			$("#total_pay").text(total_pay.toFixed(2));
			$("#total_cost").text(total_cost.toFixed(2));
			
			// set_feedback(response.message,'success_message',true);
		}
		else {set_feedback(response.message,'error_message',true);}
	}
}
</script>

<?php 
} // end if not is excel export 
?>
