<?php //OJB: Check if for excel export process
if($export_excel == 1)
{  ob_start();
	$this->load->view("partial/header_excel");
}
else
{  $dta['controller'] = 'Home';
	$dta['main_title'] = $this->lang->line('common_REPORTS');
	$this->load->view("partial/header_back",$dta);
} ?>

<div id="table_holder_vedom">
<?php if($export_excel == 0) 
		{ ?>
  <div id="page_title" style="margin-bottom:8px;"><?=$title.$this->lang->line('reports_summary_daily');?></div>
  <div id="page_subtitle" style="margin-bottom:8px;"><?=$subtitle;?></div>
<?php } ?>

	<table class="tablesorter report" id="sortable_table">
		<thead>
			<tr><?php foreach ($headers as $header) {echo "<th>$header</th>";} ?></tr>
		</thead>
		<tbody>
		<?php foreach ($data as $row) 
			{ ?>
				<tr>
					<?php $doc_date = date('d.m.Y', strtotime($row['doc_date']));
							echo '<td style="text-align:center;width:8%;color:#115;">'.$doc_date.'</td>';
							echo '<td style="text-align:center;width:5%;"><b>'.$row['qty'].'</b></td>';
							echo '<td style="text-align:right;width:10%;color:#222;"><b>'.$row['subtotal'].'</b></td>';
							echo '<td style="text-align:right;width:8%;color:#333;">'.$row['dsc'].'</td>';
							echo '<td style="text-align:right;width:8%;color:#333;"><i>'.$row['tax'].'</i></td>';
							echo '<td style="text-align:right;width:10%;color:#004;"><b>'.$row['total'].'</b></td>';
							echo '<td style="text-align:left;color:#333;"><i>'.$row['notes'].'</i></td>';
					?>
				</tr>
		<?php } ?>
		</tbody>
	</table>
</div>

	<div id="bottom_bar_middle">
		<div id="bottom_bar_short_qty">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_QTY');?></span>
			<span id="total_qty" class="bottom_bar_text"><?=$all_qty;?></span>
		</div>
		
		<div id="bottom_bar_short_vat">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_vat');?></span>
			<span id="total_sum" class="bottom_bar_text"><?=$all_vat;?></span>
		</div>
		
		<div id="bottom_bar_short_sum">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_total');?></span>
			<span id="total_cost" class="bottom_bar_text"><?=$all_total;?></span>
		</div>
	</div>

<?php 
if($export_excel == 1){
	$this->load->view("partial/footer_excel");
	$content = ob_end_flush();
	
	$filename = trim($filename);
	$filename = str_replace(array(' ', '/', '\\'), '', $title);
	$filename .= "_Export.xls";
	header('Content-type: application/ms-excel');
	header('Content-Disposition: attachment; filename='.$filename);
	echo $content;
	die();
}
else
{ $this->load->view("partial/footer_back");?>

	<script type="text/javascript">
	$(document).ready(function() { enable_row_selection(); });
	</script>

<?php // end if not is excel export 
} ?>
