<?php //OJB: Check if for excel export process
if($export_excel == 1)
{	ob_start();
	$this->load->view("partial/header_excel");
}
else
{	$dta['controller'] = 'Home';
	$dta['main_title'] = '';
	$this->load->view("partial/header_back",$dta);
} ?>


<div id="table_holder_vedom">
<?php if($export_excel == 0) 
			{ ?>
				<div id="page_title" style="margin-bottom:8px;"><?=$title;?></div>
				<div id="page_subtitle" style="margin-bottom:8px;font-size:120%;"><?=$subtitle;?></div>
<?php 	} ?>

	<table class="tablesorter report" id="sortable_table">
		<thead>
			<tr>
				<?php foreach ($headers as $header) 
						{echo "<th style='background-color:rgba(200,200,80,0.35);color:black;line-height:30px;'><b>$header</b></th>";} 
				?>
			</tr>
		</thead>
		<tbody>
		<?php foreach ($duties as $row) 
				{ ?>
				<tr>
				<?php echo '<td width="3%" style="text-align:center;color:#005;"><b>'.$row['client_id'].'</b></td>';
						echo '<td width="45%" style="text-align:left;color:#222;"><i>'.$row['client'].'</i></td>';
								
						// START
						if($row['start']<0)
							{ echo '<td width="5%" style="text-align:center;color:#800;text-shadow: 1px 1px #ddd;"><b>'.
									 to_dot($row['start']).'</b></td>';
							}
						elseif($row['start']>0)
							{ echo '<td width="5%" style="text-align:center;color:#020;text-shadow: 1px 1px #ddd;"><b>'.
									 to_dot($row['start']).'</b></td>';
							}
						else { echo '<td width="5%"></td>';}
						
						// SALES
						if($row['sales']<0)
							{ echo '<td width="5%" style="text-align:right;color:#a00;"><b>'.to_dot($row['sales']).'</b></td>';}
						elseif($row['sales']>0)
							{ echo '<td width="5%" style="text-align:right;color:#400;">'.to_dot($row['sales']).'</td>';}
						else { echo '<td width="5%"></td>';}

						// INVS
						if($row['invs']<0)
							{ echo '<td width="5%" style="text-align:right;color:#a00;"><b>'.to_dot($row['invs']).'</b></td>';}
						elseif($row['invs']>0)
							{ echo '<td width="5%" style="text-align:right;color:#404;">'.to_dot($row['invs']).'</td>';}
						else { echo '<td width="5%"></td>';}
						
						// PAID
						if($row['paid']<0)
							{ echo '<td width="5%" style="text-align:right;color:#a00;"><b>'.to_dot($row['paid']).'</b></td>';}
						elseif($row['paid']>0)
							{ echo '<td width="5%" style="text-align:right;color:#222;"><b>'.to_dot($row['paid']).'</b></td>';}
						else { echo '<td width="5%"></td>';}
						
						// DUE
						if($row['due']<0)
							{ echo '<td width="6%" style="text-align:right;color:#a00;"><b>'.to_dot($row['due']).'</b></td>';}
						elseif($row['due']>0)
							{ echo '<td width="6%" style="text-align:center;color:#030;"><b>'.to_dot($row['due']).'</b></td>';}
						else { echo '<td width="6%"></td>';}

					?>
					</tr>
		<?php } ?>
		</tbody>
		
		<?php if($user_id < 6)
		{ ?>
			<tr style="font-size:120%;color:black;text-shadow: 1px 1px #ddd;">
				<td colspan="2" style="text-align:right;line-height:40px;"><b><?=$this->lang->line('reports_total');?> :</b></td>
				<td style="text-align:center;"><b><?=($all_start)?$all_start:'';?></b></td>
				<td style="text-align:center;"><b><?=($all_sales)?$all_sales:'';?></b></td>
				<td style="text-align:center;"><b><?=($all_invs)?$all_invs:'';?></b></td>
				<td style="text-align:center;"><b><?=($all_paid)?$all_paid:'';?></b></td>
				<td style="text-align:center;"><b><?=($all_due)?$all_due:'';?></b></td>
			</tr>
		<?php 
		} ?>

	</table>
	
<br>	
<span style="font-size:10px;"><i><?=date('d.m.Y / H:i');?><br><b>BiSOFT</b> All rights reserved</i></span>

</div>

<?php if($user_id < 6)
{ ?>
	<div id="bottom_bar_empty">
		<div id="bottom_vedbar_1">
			<span class="bottom_bar_title"><?=$this->lang->line('kaca_start_saldo');?></span>
			<span class="bottom_bar_text" style="color:red;"><b><?=$all_start;?></b></span>
		</div>

		<div id="bottom_vedbar_2">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_SALES');?></span>
			<span class="bottom_bar_text"><b><?=$all_sales;?></b></span>
		</div>
		
		<div id="bottom_vedbar_3">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_INVOICES');?></span>
			<span class="bottom_bar_text"><b><?=$all_invs;?></b></span>
		</div>
		
		<div id="bottom_vedbar_4">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_edit_paid');?></span>
			<span class="bottom_bar_text"><b><?=$all_paid;?></b></span>
		</div>
		
		<div id="bottom_vedbar_5">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_due_sum');?></span>
			<span class="bottom_bar_text" style="color:red;"><b><?=$all_due;?></b></span>
		</div>
	</div>
<?php 
}


if($export_excel == 1)
{
	$this->load->view("partial/footer_excel");
	$content = ob_end_flush();
	
	$filename = "clients_duties.xls";
	header('Content-type: application/ms-excel');
	header('Content-Disposition: attachment; filename='.$filename);
	echo $content;
	die();
}
else
{  $this->load->view("partial/footer_back");?>
	<script type="text/javascript">
	$(document).ready(function() { enable_row_selection(); });
	</script>
<?php  // end if not is excel export 
} ?>
