<?php $this->load->view("partial/header"); ?>

<div id="title_btn_bar">
		<!-- формата за режимите на работа -->
		<div class="title_bar_dropdown" style="top:-3px;">
				<?=form_open("$controller_name/change_mode",array('id'=>'mode_form'));?>
				<?=form_dropdown('mode',$modes,$mode,'onchange="$(\'#mode_form\').submit();"');?>
		  	</form>
		</div>
<!-- Край на горния блок -->
</div>  <!-- end of title_btn_bar -->

<div id="table_holder_back">

<div id="page_title" style="margin-bottom:8px;"><?=$title;?></div>
<div id="page_subtitle" style="margin-bottom:8px;"><?=$subtitle;?></div>


	<table class="tablesorter report" id="sortable_table">
		<thead>
			<tr>
				<?php foreach ($headers as $header) 
						{ ?>
						  <th><?=$header;?></th>
				<?php } ?>
			</tr>
		</thead>
		<tbody>
			<?php foreach ($data as $row) { ?>
			<tr class="daily">

				<?php foreach ($row as $cell) 
						{
						if ( is_numeric($cell) )
							{
							if ( $cell > 0 ) { echo '<td style="text-align:center;color:#005;">';}
							elseif ( $cell == 0 ) { echo '<td>'; $cell = '';}
							else	 { echo '<td style="text-align:center;color:#a00;">';}
							}
						else
							{ echo '<td>';}

							echo $cell;

							echo '</td>';
						} ?>
			</tr>
			<?php } ?>
		</tbody>
	</table>
</div>


<?php 
if($export_excel == 1)
{ ?>

<div id="report_summary">
	<div class="summary_row" style="font-size:115%;color:#000;"><b>
		<?php 
			echo $this->lang->line('reports_all_quantity'). ': '.$all_qty.$this->lang->line('reports_quantity_pcs');
			echo '<br><span style="font-size:116%;color:#005;">'.$this->lang->line('reports_gros_sales'). ': '.to_currency($all_total).'</span>';
		?>
	</b></div>
</div>

<?php
	$this->load->view("partial/footer_excel");
	$content = ob_end_flush();

	$filename = $excel_file;

	header('Content-type: application/ms-excel');
	header('Content-Disposition: attachment; filename='.$filename);
	echo $content;
	die();
}
else
{ ?>
	
	<div id="bottom_bar_empty">
		<div id="bottom_vedbar_1">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_QTY');?></span>
			<span id="total_qty" class="bottom_bar_text"><?=$total_qty;?></span>
		</div>
		
		<div id="bottom_vedbar_2">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_gros_sales');?></span>
			<span id="total_vat" class="bottom_bar_text"><?=to_dot($total_sum);?></span>
		</div>
		
		<div id="bottom_vedbar_3">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_pay_sale');?></span>
			<span id="total_sum" class="bottom_bar_text"><?=to_dot($total_cost);?></span>
		</div>
		
		<div id="bottom_vedbar_4">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_pay_incash');?></span>
			<span id="total_cost" class="bottom_bar_text"><?=to_dot($total_cash);?></span>
		</div>
		
		<div id="bottom_vedbar_5">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_pay_bybank');?></span>
			<span id="total_cost" class="bottom_bar_text"><?=to_dot($total_bank);?></span>
		</div>
	</div>

<?php $this->load->view("partial/footer");?>

	 <script type="text/javascript" language="javascript">
	 $(document).ready(function()
	 {
		enable_row_selection();
		init_table_sorting();
	 });
	 </script>
<?php 
} // end if not is excel export 
?>
