<div id="required_fields_message"><?=$this->lang->line('common_fields_required_message');?></div>

<ul id="error_message_box"></ul>

<?=form_open('sales/save_form_giftcard/'.$giftcard_info->giftcard_id,array('id'=>'giftcard_form'));?>


<div id="report_edit_block">  <!-- цветният блок в средата -->

	 <!-- ==================================== TYPE ============================= -->
	 <div class="field_edit_row clearfix">
		<?=form_label($this->lang->line('giftcards_type').':', 'name',array('class'=>'wide'));?>
			 <div class='form_field'>
				<?php if($giftcard_id=='-1')
						  { echo form_dropdown('gift_category',$categories,$category); }
						else
						  { echo form_dropdown('gift_category',$categories,$category,'disabled'); }
				?>
		  </div>
	 </div>
	 
	 <!-- ==================================== PROCENT ============================= -->
	 <div class="field_edit_row clearfix">
		<?=form_label('<b>'.$this->lang->line('giftcards_card_procent').':</b>', 'name',array('class'=>'required wide'));?>
			 <div class='form_field'>
				<?=form_input(array(
					 'name'=>'procent',
					 'id'=>'procent',
					 'size'=>'3',
					 'value'=>($giftcard_id=='-1') ? $giftcard_info->procent : 10 ) ).' %'; // $giftcard_info->procent
            ?>
		  </div>
	 </div>
	 
	 <!-- ==================================== iD ============================= -->
	 <div class="field_edit_row clearfix">
		<?=form_label('<b>'.$this->lang->line('giftcards_gift_num').':</b>','name',array('class'=>'required wide'));?>
			 <div class='form_field'>
			 <?=form_input(array(
				  'name'=>'gift_num',
				  'size' => '6',
				  'id'=>'gift_num',
				  'value'=>$giftcard_info->gift_num)
			 );?>
		  </div>
	 </div>
	
	 <!-- ==================================== NUMBER ============================= -->
	 <div class="field_edit_row clearfix">
		<?=form_label('<b>'.$this->lang->line('giftcards_giftcard_number').':</b>','name',array('class'=>'required wide'));?>
			 <div class='form_field'>
				<?=form_input(array(
					 'name'=>'giftcard_number',
					 'id'=>'giftcard_number',
					 'size' => '16',
					 'value'=>$giftcard_info->giftcard_number)
				);?>
		  </div>
	 </div>
	
	 <!-- ==================================== DATE ============================= -->
	 <div class="field_edit_row clearfix">
		<?=form_label($this->lang->line('giftcards_date_start').':', 'name',array('class'=>'wide')); ?>
		  <div class='form_field'>
			 <?=form_input(array(
				  'name'=>'date_start',
				  'id'=>'date_start',
				  'size'=>'12',
				  'value'=> date('d.m.Y') )
			 );?>
		  </div>
		</div>
		
	 <!-- ==================================== OWNER ============================= -->
	 <div class="field_edit_row clearfix">
	 <?=form_label('<b>'.$this->lang->line('giftcards_card_owner').':</b>', 'name',array('class'=>'required wide'));?>
		<div class='form_field'>
		  <?=form_input(array(
				'name'=>'owner',
				'id'=>'owner',
				'size'=>'45',
				'value'=>$giftcard_info->owner) );?>
		</div>
	 </div>

	 <!-- ==================================== MOBILE ============================= -->
	 <div class="field_edit_row clearfix">
	 <?=form_label($this->lang->line('giftcards_card_GSM').':', 'name',array('class'=>'wide'));?>
		<div class='form_field'>
		<?=form_input(array(
			 'name'=>'mobile',
			 'id'=>'mobile',
			 'size'=>'30',
			 'value'=>$giftcard_info->mobile)
		);?>
		</div>
	 </div>

	 <!-- ==================================== EMAIL ============================= -->
	 <div class="field_edit_row clearfix">
	 <?=form_label($this->lang->line('giftcards_card_email').':', 'name',array('class'=>'wide'));?>
		<div class='form_field'>
		  <?=form_input(array(
				'name'=>'email',
				'id'=>'email',
				'size'=>'30',
				'value'=>$giftcard_info->uguomu) );?>
		</div>
	 </div>

</div> <!-- цветният блок в средата 'report_edit_block' -->

<br>

<div style="text-align:center;margin:auto;margin-left:10%;margin-right:10%;">
<?php // ------------------------------ BUTTON SUBMIT ------------------- //
		echo form_submit(array(
			'name'=>'submit',
			'id'=>'submit',
			'value'=>$this->lang->line('common_edit_save'),
			'class'=>'btn_red')	);
?>
</div>

<?=form_close();?>

<script type='text/javascript'>
//validation and submit handling
$(document).ready(function()
{
	$('#giftcard_form').validate({
		submitHandler:function(form)
		{
			$(form).ajaxSubmit({
			success:function(response)
			{
				tb_remove();
				set_feedback(response.message,'success_message',false);
			},
			dataType:'json'
		});

		},
		errorLabelContainer: "#error_message_box",
 		wrapper: "li",
		rules:
		{
				owner:"required",
				procent:"required",
				giftcard_number:
				{
					 required:true,
					 number:true
				},
				gift_num:
				{
					 required:true,
					 number:true
				}
   		},
		messages:
		{
				owner:
				{
					 required:"<?=$this->lang->line('giftcards_owner_required');?>"

				},
				procent:
				{
					 required:"<?=$this->lang->line('giftcards_procent_required');?>"

				},
				giftcard_number:
				{
					 required:"<?=$this->lang->line('giftcards_number_required');?>",
					 number:"<?=$this->lang->line('giftcards_number');?>"
				},
				gift_num:
				{
					 required:"<?=$this->lang->line('giftcards_idcard_required');?>",
					 number:"<?=$this->lang->line('giftcards_idcard_isnumber');?>"
				}
		}
	});
});
</script>
