<?php $this->load->view("partial/header_report");
		$icon_print = '<i style="font-size:135%;" class="fa fa-print" aria-hidden="true"></i>&nbsp; ';
?>

<div style="text-align:center;">

	<div id="page_title">
			<?=$this->lang->line('reports_edit_document');?>
	</div>

	<div id="page_subtitle2" style="font-size:135%;">
			<?=anchor('sales/receipt/'.$doc_info['doc_id'].'/'.$vedomPack.'/'.$print_type.'/'.$mode, 
									$icon_print.$doc_info['doc_number']);?>
	</div>

	
<?=form_open("sales/save/".$doc_info['doc_id'].'/'.$vedomPack.'/'.$mode,array('id'=>'sales_edit_form'));?>

<ul id="error_message_box"></ul>
<br>

<div id="report_edit_block">  <!-- цветният блок в средата -->

<?php
if($mode!='online_sale')
{ ?>
<!-- ==================================== ДАТА ============================ -->
	<div class="field_edit_row clearfix">


	<?php echo form_label($this->lang->line('reports_edit_date').':', 'doc_date'); ?>
		<div class='form_field'>
			<?php echo form_input(array(
						'name'	=> 'doc_date',
						'value'	=> date('d.m.Y', strtotime($doc_info['doc_date'])),
						'size'	=> '8', 
						'id'		=> 'doc_date'));
			echo '';			
			echo '&nbsp&nbsp&nbsp'.$this->lang->line('common_vid').': ';
			echo form_dropdown('type_doc', $type_docs, $mode, 'id="type_doc"'); ?>
		</div>
	</div>
	
<!-- ================================ КЛИЕНТ =============================== -->
	<div class="field_edit_row clearfix">
	<?php 
		if($mode=='shop_sale' or $mode=='shop_return')
			{
				echo form_label($this->lang->line('sales_consignee').':', 'customer'); 
				echo '<div class="form_field">';
				echo form_dropdown('client_id', $customers, $doc_info['location'], 'id="client_id"');
			}
		else
			{
				echo form_label($this->lang->line('sales_customer').':', 'customer'); 
				echo '<div class="form_field">';
				echo form_dropdown('client_id', $customers, $doc_info['client_id'], 'id="client_id"');
			}		
		?>
		</div>
	</div>


	<div class="field_edit_row clearfix">
	<?php echo form_label($this->lang->line('common_location').':', 'location'); ?>
		<div class='form_field'>
			<?php echo form_input(array(
						'name'	=> 'location',
						'value'	=> $doc_info['location'],
						'size'	=> '3', 
						'id'		=> 'location'));
			?>
		</div>
	</div>

<?php
} 
else // ================================ само ONLINE SHOP ============================= //
{ ?>
<!-- ============================== ДАТА ========================== -->
	<div class="field_edit_row clearfix">
	<?php echo form_label($this->lang->line('reports_edit_date').':', 'doc_date'); ?>
		<div class='form_field'>
			<?php echo form_input(array(
						'name'	=> 'doc_date',
						'value'	=> date('d.m.Y', strtotime($doc_info['doc_date'])),
						'size'	=> '8', 
						'id'		=> 'doc_date'));

			echo '&nbsp&nbsp&nbsp<b style="font-size:112%;color:#806;">'.$this->lang->line('sales_online_sale').'</b>';
		?>
		</div>
	</div>
	
<!-- =================================== КЛИЕНТ ======================== -->
	<div class="field_edit_row clearfix">
		<?php 
				echo form_label($this->lang->line('sales_customer').':', 'customer'); 
				echo '<div class="form_field">';
				echo $doc_info['client'].'&nbsp&nbsp&nbsp<span style="color:#009;">'.$doc_info['employee'].'</span>';
		?>
		</div>
	</div>


	<div class="field_edit_row clearfix">
	<?php echo form_label($this->lang->line('common_tracking_num').':', 'order_id'); ?>
		<div class='form_field'>
			<?php echo form_input(array(
						'name'	=> 'order_id',
						'value'	=> $doc_info['order_id'],
						'size'	=> '20', 
						'id'		=> 'order_id'));
			?>
		</div>
	</div>

<?php
} ?>


<!-- ================================= КОЛИЧЕСТВО =========================== -->
	<div class="field_edit_row clearfix">
	<?php echo form_label($this->lang->line('reports_all_quantity').':', 'total_qty'); ?>
		<div class='form_field'>
			<?php echo form_input(array(
						'name'	=> 'total_qty',
						'value'	=> $doc_info['total_qty'],
						'size'	=> '6', 
						'id'		=> 'total_qty'));
			?>
		</div>
	</div>


<!-- ===================================== ОТСТЪПКА ============================ -->
	<div class="field_edit_row clearfix">
	<?php echo form_label($this->lang->line('reports_edit_discount').':', 'total_discount'); ?>
		<div class='form_field'>
			<?php echo form_input(array(
						'name'	=> 'total_discount',
						'value'	=> $doc_info['total_discount'],
						'size'	=> '2', 
						'id'		=> 'total_discount'));
			?> %
		</div>
	</div>


<!-- ===================================== ТАКСИ и ДДС =========================== -->
	<div class="field_edit_row clearfix">
	<?php	echo form_label(form_checkbox(array(
					'name'=>'taxed',
					'id'=>'taxed',
					'value'=>1,
					'checked'=>($doc_info['taxed']) ? 1 : 0 )
					).'&nbsp'.$this->lang->line('reports_edit_taxes').':', 'total_taxes'); 
	?>
		<div class='form_field'>
			<?php echo form_input(array(
					'name'	=> 'total_taxes',
					'value'	=> $doc_info['total_taxes'],
					'size'	=> '6', 
					'id'		=> 'total_taxes'));

			if ( $mode=='online_sale' and $doc_info['mode_id']=='OMi' )
				{ echo ' &nbsp + <b>'.$this->lang->line('reports_invoice').'</b>';} ?>

		</div>
	</div>


<!-- =============================== ОБЩА СУМА =========================== -->
	<div class="field_edit_row clearfix">
	<?php echo form_label($this->lang->line('reports_subtotal').':', 'total_sum'); ?>
		<div class='form_field'>
			<?php echo form_input(array(
						'name'	=> 'total_sum',
						'value'	=> $doc_info['total_sum'],
						'size'	=> '10', 
						'id'		=> 'total_sum'));
			?>
		 +/- (<?php echo $this->lang->line('reports_taxes'); ?>) = 
			<?php echo form_input(array(
						'name'	=> 'pay_amount',
						'value'	=> $doc_info['pay_amount'],
						'size'	=> '10', 
						'id'		=> 'pay_amount'));
			?>
		</div>
	</div>


<!-- ================================ ПЛАЩАНЕ ============================== -->
	<div class="field_edit_row clearfix">
	<?php echo form_label($this->lang->line('reports_edit_payments').':', 'pay_type'); ?>
		<div class='form_field'>
			<?php echo form_input(array(
						'name'	=> 'pay_type',
						'value'	=> $doc_info['pay_type'],
						'size'	=> '30', 
						'id'		=> 'pay_type'));

					echo '&nbsp&nbsp (('.' <span class="form_field_center">';			

 					echo form_input(array(
						'name'	=> 'pay_group',
						'value'	=> $doc_info['pay_group'],
						'size'	=> '1', 
						'id'		=> 'pay_group'));

					echo '</span> ))';
			?>
		</div>
	</div>

<!-- =============================== ОТЧЕТ ================================ -->
	<div class="field_edit_row clearfix">
	<?php echo form_label($this->lang->line('reports_Pay_Sale').':', 'pay_sale'); ?>
		<div class='form_field'>
			<?php echo form_input(array(
						'name'	=> 'pay_sale',
						'value'	=> to_dot($doc_info['pay_sale']),
						'size'	=> '10', 
						'id'		=> 'pay_sale'));
						
					echo '&nbsp&nbsp&nbsp&nbsp'.$this->lang->line('reports_Due_Sum').': <span class="form_field">';			

 					echo form_input(array(
						'name'	=> 'due_sum',
						'value'	=> to_dot($doc_info['due_sum']),
						'size'	=> '10', 
						'id'		=> 'due_sum'));

					echo '</span>';
			?>
		</div>
	</div>



<?php
if($mode!='online_sale')
{ ?>

	<div class="field_edit_row clearfix">
	<?php echo form_label($this->lang->line('sales_employee').':', 'employee'); ?>
		<div class='form_field'>
			<?php 
					echo form_dropdown('employee_id', $employees, $doc_info['employee_id'], 'id="employee_id"');
					echo '&nbsp&nbsp&nbsp'.$this->lang->line('reports_edit_time').': '.date( 'H:i / d.m.Y' ,strtotime($doc_info['date_start']) );
			?>
		</div>
	</div>
	
	<div class="field_edit_row clearfix">
	<?php echo form_label($this->lang->line('reports_edit_comment').':', 'comment'); ?>
		<div class='form_field'>
			<?php echo form_textarea(array('name'=>'comment','value'=>$doc_info['comment'],'rows'=>'2','cols'=>'40', 'id'=>'comment'));?>
		</div>
	</div>

<?php
} 
else // ================================ само ONLINE SHOP ============================= //
{ ?>

	<div class="field_edit_row clearfix">
	<?php echo form_label($this->lang->line('reports_edit_time').':', 'time'); ?>
		<div class='form_field'>
			<?php echo date( 'H:i / d.m.Y' ,strtotime($doc_info['date_start'])); ?>
		</div>
	</div>
	
	<div class="field_edit_row clearfix">
	<?php echo form_label($this->lang->line('common_label_address').':', 'comment'); ?>
		<div class='form_field'>
			<?php echo form_textarea(array('name'=>'comment','value'=>$doc_info['comment'],'rows'=>'3','cols'=>'50', 'id'=>'comment'));?>
		</div>
	</div>

<?php
} ?>

 </div> <!-- цветният блок в средата 'report_edit_block' -->

<br>

<!--  ================================== Бутон за ИЗХОД  ================================= -->
<div style="width:40%;margin-left:30%;margin-right:30%;">
		<?php
		echo form_submit(array(
			'name'=>'submit',
			'id'=>'submit',
			'value'=>$this->lang->line('common_edit_save'),
			'class'=>'submit_button float_right')
		);
		?>
</form>

<!--  ================================== Бутон за ИЗТРИВАНЕ  ================================ -->
<?php echo form_open("sales/delete/".$doc_info['doc_id'].'/'.$vedomPack, array('id'=>'sales_delete_form')); ?>
			<?php
			echo form_submit(array(
				'name'=>'submit',
				'id'=>'submit',
				'value'=>$this->lang->line('reports_edit_delete'),
				'class'=>'delete_button float_left')
			);
			?>
		
</form>

	</div>



</div>



<?php $this->load->view("partial/footer"); ?>


<div id="feedback_bar"></div>



<script type="text/javascript" language="javascript">
$(document).ready(function()
{	
	$('#doc_date').datePicker({startDate: '01.01.2015'});
	$("#sales_delete_form").submit(function()
	{
		if (!confirm('<?php echo $this->lang->line("sales_delete_confirmation"); ?>'))
		{
			return false;
		}
	});
	
	$('#sales_edit_form').validate({
		submitHandler:function(form)
		{
			$(form).ajaxSubmit({
			success:function(response)
			{
				if(response.success)
				{
					set_feedback(response.message,'success_message',false);
				}
				else
				{
					set_feedback(response.message,'error_message',true);	
					
				}
			},
			dataType:'json'
		});

		},
		errorLabelContainer: "#error_message_box",
 		wrapper: "li",
		rules: 
		{
   		},
		messages: 
		{
		}
	});
});
</script>
