<!DOCTYPE HTML>
<html lang="en-US" xmlns="http://www.w3.org/1999/xhtml" dir="ltr">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<base href="<?=base_url();?>" />

	<title>BiSOFT :: Fishes</title>
	
	<link rel="shortcut icon" href="images/bisoft.ico" type="image/png"/>
	<style>	
		html{height:101%;}
		@font-face { font-family: BiSOFT_Sans;  src: url("<?=base_url();?>/sans.ttf");}
		@font-face { font-family: Roboto;  		 src: url("<?=base_url();?>/roboto.ttf");}
	</style>

	<link rel="stylesheet" href="<?=base_url();?>css/eShop.css"/>
	<link rel="stylesheet" href="<?=base_url();?>css/bisoft.css"/>
	<link rel="stylesheet" href="<?=base_url();?>css/eShop_print.css" media="print"/>

	<script>BASE_URL = '<?=site_url();?>';</script>
	 <style type="text/css">
	 html {overflow: auto;}
	 </style>

</head>

<body>
<!-- ====================== TOP navigation ======================= -->
<div id="menubar_empty">
	<div id="menubar_footer_new">
		<div id="menubar_footer_place">
<?php $back_path = site_url('trzs');if(isset($controller)){$back_path = site_url($controller);}
		$user_name = ''; if(isset($user_info)) {$user_name = trim($user_info->first_name);} ?>
		<span id="menubar_footer_back">
			<a href="<?=$back_path;?>"><img src="images/arrow-back.png"/></a>
		</span>
<?php if (isset($main_title)) 
		{ echo "<div id='menubar_main_title'>$main_title</div>";} ?>
				  <div id="menubar_footer_operator"><?=$user_name;?></div>
		</div>
	</div>
</div> <!-- menubar_empty -->

<!-- =====================================  MAIN BODY ============================= -->
<div id="content_blanka">
  <div id="content_area">
  
<div id="bmk_sheet_body">

<?php	
$name = '<b>'.$bisoft_id.'</b>&nbsp; '.$person_info->first_name.' '.$person_info->last_name;
$vedom = 'T'.$period;
$month_year = substr($period,-2).'.20'.substr($period,0,2);

$worked = $worked_2 = to_currency_no_money($trz_data->trz_worked);
$doc_salary = $person_info->doc_salary;

if( (float)$trz_data->avance > 0 ) { $avance = to_dot($trz_data->avance);}
else { $avance = '';}

$key_plus_minus = 0;
$money_plus  = (float)$trz_data->trz_plus;
$money_minus = (float)$trz_data->trz_minus;
if($money_plus!=0 or $money_minus!=0) {$key_plus_minus=1;}

$all_worked_hours = round( (int)$person_info->job_time * (int)$trz_data->trz_days + (int)$trz_data->addHours , 1); // $person_info->job_time


// изчисляване доп.работни дни, 13.01.2023
$rabDni_txt = '';
if( round($trz_data->addHours,0) >= (int)$person_info->job_time ) { $rabDni_txt = ' + __'; }


// финални сметки
$all_plus_1  = (float)$worked + (float)$trz_data->sickSum + (float)$trz_data->holiSum + (float)$trz_data->trz_travel + 
					(float)$trz_data->addHourSum + (float)$trz_data->onHourSum + $money_plus;
$all_minus_1 = (float)$avance + (float)$trz_data->trz_prevod + (float)$trz_data->trz_taxes + (float)$trz_data->trz_saturday + $money_minus;

$all_plus_2  = (float)$trz_data->sickSum + (float)$trz_data->holiSum + (float)$trz_data->trz_travel;
$all_minus_2 = (float)$trz_data->trz_prevod + (float)$trz_data->trz_taxes;

// тук смятам началото на Работника ?!
$worked_2 = (float)$trz_data->salary + $all_minus_2 - $all_plus_2;
$all_plus_2 += $worked_2;

// добавяне към ИМЕТО на Работника АВАНСА
$add_name = '';
if( (float)$trz_data->trz_prevod != 0 ) { $add_name = '< '.round((float)$trz_data->trz_prevod,0).' >'; }

echo '<div class="fish_row_block">';
for($k=1;$k<3;$k++)
{   
	 if($k==2) { echo '<div class="fish_block_right">';}
	 else { echo '<div class="fish_block">';} 
?>
	<span class="fish_names">
	<?php	if($k==1)
				{ echo $name.' <span style="font-size:75%;color:#555;"> - '.$person_info->job_time.'ч. <i style="font-size:85%;">('.$trz_data->trz_oneHour.'лв)</i></span>';}
			else
				{ echo $name.' <span style="font-size:75%;color:#555;">'.$add_name.'</span>';}?>
	</span>

<?php if($k==2)
      { ?>			
			<br><span style="line-height:20px;"><i><?=$person_info->job_title.'-'.round($all_plus_1,0);?></i></span>
<?php } ?>			
		
<br>
			
<table class="fish_table" style="width:100%;line-height:20px;">

 <tr style="line-height:16px;"> <!-- Ред 1 работник -->
	<td style="width:30%;text-align:right;"><?=$this->lang->line('trz_main_salary').':';?></td>		
	<td style="width:20%;text-align:left;"><b><?=$doc_salary;?></b></td>
<?php if($k==1)
{ ?>
	<td style="width:30%;text-align:right;"><?=$this->lang->line('trz_salary_all_worked_hours').':';?></td>
	<td style="width:20%;text-align:left;"><?=$all_worked_hours.' ч.';?></td>
<?php 
}
else
{ ?>
	<td style="width:30%;text-align:right;"><?=$this->lang->line('common_label_job_time').':';?></td>
	<td style="width:20%;text-align:left;"><?=$person_info->job_time.' ч.';?></td>
<?php
}?>	
 </tr>

<?php if($k==1) 
	{ ?>
 <tr style="line-height:16px;"> <!-- Ред 1a само Фирма -->
	<td style="width:30%;text-align:right;"><?=$this->lang->line('common_label_base_salary').':';?></td>		
	<td style="width:20%;text-align:left;"><b><?=$base_salary;?></b></td>
	<td colspan="2" style="width:50%;">
		<?='<span style="float:center;font-size:9pt;">'.
			  $months[$Month].' '.$Year.' ('.$all_mDAYS.')</span>';?>
	</td>
 </tr>
<?php 
	} ?>

 <tr>
	<th colspan="2" style="width:50%;"><b><?=$this->lang->line('trz_salary_all_plus');?></b></th>		
	<th colspan="2" style="width:50%;"><b><?=$this->lang->line('trz_salary_all_minus');?></b></th>
 </tr>
 
<?php if(true) // $k==1
{ ?> 
 <tr> <!-- Ред 2 -->
	<td style="width:30%;text-align:right;"><?=$this->lang->line('trz_worked').':';?></td>		
	<td style="width:20%;text-align:left;">
		<?php // echo $worked;
				if($k==1) { echo to_dot($worked);}
				else { echo to_dot($worked_2);}
		?>
	</td>
	<td style="width:30%;text-align:right;"><?=$this->lang->line('trz_days').':';?></td>
	<td style="width:20%;text-align:left;"><?=$trz_data->trz_days;?><b><?=($k==1) ? '': $rabDni_txt;?></b></td>
 </tr>
<?php 
} ?>
 
 <tr> <!-- Ред 3 -->
<?php if( (int)$trz_data->sickDays > 0 )
		{ ?> 
	<td style="width:30%;text-align:right;">
		<?php echo $this->lang->line('trz_salary_sickness');
				echo ' ('.$trz_data->sickDays.') :'; ?>
	</td>
	<td style="width:20%;text-align:left;"><?=to_dot($trz_data->sickSum);?></td>
<?php }
		else { echo '<td></td><td></td>';} 
		
		if( (float)$trz_data->trz_taxes > 0 )
		{ ?>
	<td style="width:30%;text-align:right;"><?=$this->lang->line('trz_salary_taxes').':';?></td>
	<td style="width:20%;text-align:left;"><?=to_dot($trz_data->trz_taxes);?></td>
<?php } else { echo '<td></td><td></td>';} ?>	
 </tr>
 
 
<?php if( (int)$trz_data->holiDays>0 or ( (int)$trz_data->offDays>0 and $k==1 ) )
		{ ?> 
 <tr> <!-- Ред 4 -->
	<td style="width:30%;text-align:right;">
		<?php echo $this->lang->line('trz_salary_holidays');
				if($trz_data->holiDays > 0) { echo '('.$trz_data->holiDays.'):';} ?>
	</td>		
	<td style="width:20%;text-align:left;"><?=to_dot($trz_data->holiSum);?></td>
<?php if($trz_data->offDays>0)
		   { ?> 	
	<td colspan="2" style="width:50%;text-align:center;">
      <?=$this->lang->line('trz_salary_offdays').': ('.$trz_data->offDays.')';?>
	</td>
 </tr>
<?php 	} else { echo '<td></td><td></td>';} 
		}

if($k==1) 
{ 
	
if( (int)$trz_data->addHours!=0 or (float)$trz_data->trz_prevod>0 )
		{ ?> 
 <tr> <!-- Ред 5 -->
<?php if( (int)$trz_data->addHours!=0 )
{ ?>
	<td style="width:30%;text-align:right;">
		<?php echo $this->lang->line('dnv_title_add_hours');
				echo '('.round($trz_data->addHours,0).'):'; ?>
	</td>		
	<td style="width:20%;text-align:left;"><?=to_dot($trz_data->addHourSum);?></td>
<?php
} else { echo '<td style="width:30%;"></td><td style="width:20%;"></td>';}

      if( (float)$trz_data->trz_prevod > 0 )
		   { ?> 	
	<td style="width:30%;text-align:right;"><?=$this->lang->line('trz_salary_BANK').':';?></td>
	<td style="width:20%;text-align:left;"><?=to_dot($trz_data->trz_prevod);?></td>
<?php 	} else { echo '<td style="width:30%;"></td><td style="width:20%;"></td>';} ?>
 </tr>
<?php 
		}
		
if( (int)$trz_data->onHours > 0 )
		{ ?>
 <tr> <!-- Ред 6 -->
	<td style="width:30%;text-align:right;">
		<?php echo $this->lang->line('dnv_title_hours');
				echo ' ('.$trz_data->onHours.') :';?>
	</td>
	<td style="width:20%;text-align:left;"><?=to_dot($trz_data->onHourSum);?></td>
	<td style="width:30%;"></td>
	<td style="width:20%;"></td>
 </tr>  
<?php	} 
} ?>

 <tr> <!-- Ред 7 пътни -->
<?php if( (float)$trz_data->trz_travel > 0 ) // $k==1 and , коригирано според Гергана (13.01.2023)
		{ ?> 
	<td style="width:30%;text-align:right;"><?=$this->lang->line('trz_salary_travel').':';?></td>		
	<td style="width:20%;text-align:left;"><?=((float)$trz_data->trz_travel==0) ? '' : to_dot($trz_data->trz_travel);?></td>
<?php }
		else { echo '<td></td><td></td>';} ?>
	
<?php if($k==1)
	{ ?>	
	<td style="width:30%;text-align:right;"><?=$this->lang->line('trz_avance').':';?></td>
	<td style="width:20%;text-align:left;"><?=((float)$avance==0) ? '' : $avance;?></td>
<?php 
	}
	else
	{ ?>
	<td style="width:30%;text-align:right;"> </td>
	<td style="width:20%;text-align:left;"> </td>	
<?php	
	} ?>
 </tr>
 
 <tr> <!-- Ред 8 -->
	<td></td>		
	<td></td>
<?php if($k==1 and (float)$trz_data->trz_saturday > 0)
	{ ?>	
	<td style="width:30%;text-align:right;"><?=$this->lang->line('trz_saturday').':';?></td>
	<td style="width:20%;text-align:left;"><?=((int)$trz_data->trz_saturday==0) ? '' : to_dot($trz_data->trz_saturday);?></td>
<?php 
	}
	else
	{ ?>
	<td style="width:30%;text-align:right;"> </td>
	<td style="width:20%;text-align:left;"> </td>	
<?php	
	} ?>
 </tr>

<?php if($key_plus_minus==1 and $k==1) // показва само ако има такива и то само за Фирма
	{ ?>
 <tr> <!-- Ред 9 -->
	<td style="width:30%;text-align:right;"><?=$this->lang->line('trz_salary_plus');?></td>		
	<td style="width:20%;text-align:left;"><?=((float)$money_plus==0)  ? '' : to_dot($money_plus);?></td>
	<td style="width:30%;text-align:right;"><?=$this->lang->line('trz_salary_minus');?></td>
	<td style="width:20%;text-align:left;"><?=((float)$money_minus==0) ? '' : to_dot($money_minus);?></td>
 </tr> 
<?php 
	} ?>
	
	
 <tr style="line-height:10px;">
	<td colspan='4'><hr></td>
 </tr>
	
 <tr style="line-height:24px;">
	<td style="width:30%;text-align:right;border-top:1px solid transparent;">
		<?=$this->lang->line('trz_salary_total_plus');?>
	</td>		
	<td style="width:20%;text-align:center;"><b>
		<?php if ($k==1) { echo to_dot($all_plus_1);}
				else { echo to_dot($all_plus_2);} ?>
	</b></td>
	<td style="width:30%;text-align:right;border-top:1px solid transparent;">
		<?=$this->lang->line('trz_salary_total_minus');?>
	</td>
	<td style="width:20%;text-align:center;"><b>
		<?php if ($k==1) { echo to_dot($all_minus_1);}
				else { echo to_dot($all_minus_2);} ?>
		</b></td>	
 </tr>
 
<?php if($k==1 and !empty($trz_data->comment))
{ ?>
 <!-- Ред 10 -->	
 <tr style="line-height:20px;">
	<td colspan="4" style="width:33%;text-align:center;font-size:80%;border-top:1px solid #555;background:#eee;">
		<i><?=$trz_data->comment;?></i>
	</td>
 </tr>
<?php 
} ?> 
 
 <!-- Ред 11 -->	
 <tr style="font-size:116%;line-height:30px;">
	<td colspan="4" style="width:33%;text-align:center;border-top:2px solid black;">
		<?=$this->lang->line('trz_salary_to_pay').'<b>'.to_dot($trz_data->salary).' лв</b>';?>
	</td>
 </tr>
 

</table>			
	</div>
<?php
}
echo '</div>';?>
				
</div> <!-- "bmk_sheet_body" -->

    </div>
  </div> <!-- content_area_printer -->

</body>
</html>
