<link rel="stylesheet" type="text/css" href="cookieconsent.min.css" />

<script src="cookieconsent.min.js"></script>


  <script>
  window.addEventListener("load", 
  function() 
  {
    window.cookieconsent.Popup.prototype.isAllowed = 
    function() 
    {
      var status = this.getStatus();
      return !this.options.enabled || (this.options.type === 'opt-in' ? status === 'allow' : status !== 'deny');
    };
    
    window.cookieconsent.Popup.prototype.onAllowChange = function() 
    {
      if(!this.hadAllowed && this.isAllowed()) 
      {
        loadGa();
        this.hadAllowed = true;
      }
    }
    
    window.cookieconsent.initialise({
      palette: {
        popup: {
          background: "#edeff5",
          text: "#838391",
        },
        button: {
          background: "#4b81e8"
        }
      },
      revokeBtn: "<div style=\"display:none;\"></div>",
      type: "opt-in",
      content: 
      {
        message: "Our website uses cookies to improve performance, analyse traffic and to provide content from third parties. By continuing to use our website, you agree to our use of cookies.",
        dismiss: "Dismiss",
        allow: "Accept",
        href: "https://shop.styler.bg/eShop/fShop.php" // cookie's policy => "https://shop.whois.com/privacy/cookies"
      },
      cookie: 
      {
        domain: "eShop_cookie"
      },
      onInitialise: function(status) 
      {
        this.onAllowChange();
      },
      onStatusChange: function(status, chosenBefore) 
      {
        this.onAllowChange();
      },
      onRevokeChoice: function() 
      {
        this.onAllowChange();
      }
    }, function(popup) {
      window.cookieconsentpopup = popup;
      if(!popup.hasAnswered()) {
        popup.onAllowChange();
      }
    })
  });
  </script>
