-- phpMyAdmin SQL Dump
-- version 4.5.4.1deb2ubuntu2.1
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Jan 31, 2023 at 06:03 PM
-- Server version: 10.0.38-MariaDB-0ubuntu0.16.04.1
-- PHP Version: 7.0.33-0ubuntu0.16.04.16

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `bisoft`
--

-- --------------------------------------------------------

--
-- Table structure for table `V2302`
--

CREATE TABLE `V2302` (
  `doc_id` int(10) NOT NULL,
  `mode` varchar(32) NOT NULL,
  `mode_id` varchar(5) NOT NULL,
  `mode_price` int(4) NOT NULL DEFAULT '1',
  `doc_number` varchar(10) DEFAULT NULL,
  `doc_date` date NOT NULL,
  `total_qty` int(8) DEFAULT NULL,
  `total_sum` decimal(15,6) NOT NULL DEFAULT '0.000000',
  `total_discount` varchar(5) NOT NULL DEFAULT '0',
  `taxed` int(1) NOT NULL DEFAULT '0',
  `total_taxes` decimal(15,6) NOT NULL DEFAULT '0.000000',
  `delivery` varchar(8) NOT NULL DEFAULT '0',
  `delivery_txt` text NOT NULL,
  `giftcard` varchar(16) NOT NULL DEFAULT '0',
  `giftowner` varchar(32) DEFAULT NULL,
  `giftprocent` varchar(8) NOT NULL DEFAULT '0',
  `giftvalue` varchar(8) NOT NULL DEFAULT '0',
  `pay_group` varchar(16) DEFAULT NULL,
  `pay_type` varchar(80) NOT NULL,
  `pay_amount` decimal(15,6) DEFAULT NULL,
  `pay_sale` decimal(15,6) NOT NULL DEFAULT '0.000000',
  `pay_vat` double(15,6) NOT NULL DEFAULT '0.000000',
  `pay_date` date DEFAULT NULL,
  `due_sum` decimal(15,6) NOT NULL DEFAULT '0.000000',
  `currency` int(4) NOT NULL DEFAULT '1',
  `currency_rate` double(12,5) NOT NULL DEFAULT '1.00000',
  `brand` int(8) NOT NULL DEFAULT '1',
  `order_id` varchar(32) DEFAULT NULL,
  `ref_id` varchar(16) NOT NULL,
  `client_id` int(8) DEFAULT NULL,
  `client` varchar(80) DEFAULT NULL,
  `client_data` text NOT NULL,
  `supplier_id` int(8) DEFAULT NULL,
  `supplier` varchar(80) DEFAULT NULL,
  `employee_id` int(5) NOT NULL DEFAULT '0',
  `employee` varchar(80) DEFAULT NULL,
  `comment` text,
  `date_start` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `deleted` tinyint(1) NOT NULL DEFAULT '0',
  `location` varchar(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `V2302_items`
--

CREATE TABLE `V2302_items` (
  `doc_id` int(8) NOT NULL DEFAULT '0',
  `line` int(4) NOT NULL DEFAULT '0',
  `mode_id` varchar(5) NOT NULL,
  `doc_number` varchar(10) NOT NULL DEFAULT '',
  `doc_date` date NOT NULL,
  `item_number` int(8) NOT NULL DEFAULT '0',
  `item_name` varchar(100) NOT NULL,
  `invoice_name` varchar(100) NOT NULL,
  `item_qty` varchar(8) NOT NULL DEFAULT '0',
  `item_unit_price` decimal(16,8) DEFAULT NULL,
  `item_discount` varchar(6) DEFAULT NULL,
  `item_taxes` varchar(16) DEFAULT NULL,
  `costsale` decimal(16,8) DEFAULT NULL,
  `brand` int(8) NOT NULL DEFAULT '1',
  `order_id` varchar(16) DEFAULT NULL,
  `supplier_id` int(8) DEFAULT NULL,
  `client_id` int(8) DEFAULT NULL,
  `deleted` tinyint(1) NOT NULL DEFAULT '0',
  `location` varchar(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `V2303`
--

CREATE TABLE `V2303` (
  `doc_id` int(10) NOT NULL,
  `mode` varchar(32) NOT NULL,
  `mode_id` varchar(5) NOT NULL,
  `mode_price` int(4) NOT NULL DEFAULT '1',
  `doc_number` varchar(10) DEFAULT NULL,
  `doc_date` date NOT NULL,
  `total_qty` int(8) DEFAULT NULL,
  `total_sum` decimal(15,6) NOT NULL DEFAULT '0.000000',
  `total_discount` varchar(5) NOT NULL DEFAULT '0',
  `taxed` int(1) NOT NULL DEFAULT '0',
  `total_taxes` decimal(15,6) NOT NULL DEFAULT '0.000000',
  `delivery` varchar(8) NOT NULL DEFAULT '0',
  `delivery_txt` text NOT NULL,
  `giftcard` varchar(16) NOT NULL DEFAULT '0',
  `giftowner` varchar(32) DEFAULT NULL,
  `giftprocent` varchar(8) NOT NULL DEFAULT '0',
  `giftvalue` varchar(8) NOT NULL DEFAULT '0',
  `pay_group` varchar(16) DEFAULT NULL,
  `pay_type` varchar(80) NOT NULL,
  `pay_amount` decimal(15,6) DEFAULT NULL,
  `pay_sale` decimal(15,6) NOT NULL DEFAULT '0.000000',
  `pay_vat` double(15,6) NOT NULL DEFAULT '0.000000',
  `pay_date` date DEFAULT NULL,
  `due_sum` decimal(15,6) NOT NULL DEFAULT '0.000000',
  `currency` int(4) NOT NULL DEFAULT '1',
  `currency_rate` double(12,5) NOT NULL DEFAULT '1.00000',
  `brand` int(8) NOT NULL DEFAULT '1',
  `order_id` varchar(32) DEFAULT NULL,
  `ref_id` varchar(16) NOT NULL,
  `client_id` int(8) DEFAULT NULL,
  `client` varchar(80) DEFAULT NULL,
  `client_data` text NOT NULL,
  `supplier_id` int(8) DEFAULT NULL,
  `supplier` varchar(80) DEFAULT NULL,
  `employee_id` int(5) NOT NULL DEFAULT '0',
  `employee` varchar(80) DEFAULT NULL,
  `comment` text,
  `date_start` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `deleted` tinyint(1) NOT NULL DEFAULT '0',
  `location` varchar(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `V2303_items`
--

CREATE TABLE `V2303_items` (
  `doc_id` int(8) NOT NULL DEFAULT '0',
  `line` int(4) NOT NULL DEFAULT '0',
  `mode_id` varchar(5) NOT NULL,
  `doc_number` varchar(10) NOT NULL DEFAULT '',
  `doc_date` date NOT NULL,
  `item_number` int(8) NOT NULL DEFAULT '0',
  `item_name` varchar(100) NOT NULL,
  `invoice_name` varchar(100) NOT NULL,
  `item_qty` varchar(8) NOT NULL DEFAULT '0',
  `item_unit_price` decimal(16,8) DEFAULT NULL,
  `item_discount` varchar(6) DEFAULT NULL,
  `item_taxes` varchar(16) DEFAULT NULL,
  `costsale` decimal(16,8) DEFAULT NULL,
  `brand` int(8) NOT NULL DEFAULT '1',
  `order_id` varchar(16) DEFAULT NULL,
  `supplier_id` int(8) DEFAULT NULL,
  `client_id` int(8) DEFAULT NULL,
  `deleted` tinyint(1) NOT NULL DEFAULT '0',
  `location` varchar(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `V2302`
--
ALTER TABLE `V2302`
  ADD PRIMARY KEY (`doc_id`);

--
-- Indexes for table `V2302_items`
--
ALTER TABLE `V2302_items`
  ADD PRIMARY KEY (`doc_id`,`doc_number`,`doc_date`,`line`);

--
-- Indexes for table `V2303`
--
ALTER TABLE `V2303`
  ADD PRIMARY KEY (`doc_id`);

--
-- Indexes for table `V2303_items`
--
ALTER TABLE `V2303_items`
  ADD PRIMARY KEY (`doc_id`,`doc_number`,`doc_date`,`line`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `V2302`
--
ALTER TABLE `V2302`
  MODIFY `doc_id` int(10) NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `V2303`
--
ALTER TABLE `V2303`
  MODIFY `doc_id` int(10) NOT NULL AUTO_INCREMENT;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
