<?php
// http://stackoverflow.com/questions/11679275/mysqldump-via-php
// http://www.thegeekstuff.com/2008/09/backup-and-restore-mysql-database-using-mysqldump/

define("SERVER_NAME", "localhost" );
define("USER_NAME", "bisoft" );
define("PASW", "2680Bsa918616" );
define("BACKUP_PATH", $_SERVER['DOCUMENT_ROOT']."/BiSOFT_backUP/eShop_backUP/");

	function backUP_eShop($period)
	{
		$error = '';
		$dir_path = BACKUP_PATH . $period."/";
		$server_name   = SERVER_NAME;
		$username      = USER_NAME;
		$password      = PASW;
		$date_string   = date("Y-m-d");
		$database_name = "bisoft";
		$arch_Main		= "bisoft_Main";
		$arch_Vedom		= "bisoft_Vedom";
		$arch_Others	= "bisoft_Others";

			$table_1  = "app_config";
			$table_2  = "assortment";
			$table_3  = "bisoft";
			$table_4  = "category";
			$table_5  = "calendar";
			$table_6  = "collections";
			$table_7  = "colors";
			$table_8  = "consignees";
			$table_9  = "customers";
			$table_10 = "employees";
			$table_11 = "giftcards";
			$table_12 = "invoices_db";
			$table_13 = "modules";
			$table_14 = "people";
			$table_15 = "permissions";
			$table_16 = "sizes";
			$table_17 = "suppliers";
			$table_18 = "locations";

			// others //
			$table_21 = "locations";
			$table_22 = "items_taxes";
			$table_23 = "item_kits";
			$table_24 = "item_kit_items";
			$table_25 = "delivers";
			$table_26 = "delivers_items";
			$table_27 = "suspended";
			$table_28 = "suspended_items";
			$table_29 = "sessions";
			
			// Vedoms //
			$table_30 = "vedoms";

		// MAIN - tables + People //
		$cmd = "mysqldump --hex-blob --routines --skip-lock-tables --log-error=mysqldump_error.log -h {$server_name} -u {$username} -p{$password} {$database_name}  {$table_1} {$table_2} {$table_3} {$table_4} {$table_5} {$table_6} {$table_7} {$table_8} {$table_9} {$table_10} {$table_11} {$table_12} {$table_13} {$table_14} {$table_15} {$table_16} {$table_17} {$table_18}  > " . $dir_path . "{$date_string}__{$arch_Main}.sql";
		$arr_out = array();
		unset($return1);
		exec($cmd, $arr_out, $return1);
		
			if($return1!==0) 
			{
				$error .= "<br><br>mysqldump for {$server_name} : {$database_name} <b>FAILED</b> with a return code of {$return1}. <br>";
				$error .= "Error message was: ";
					$file = escapeshellarg("mysqldump_error.log");
					$message = `tail -n 1 $file`;
				$error .= "<span style='color:red;'><b>$message for MAIN</b></span><br>";
			}
		
		// OTHERS - not needed ? //
		$cmd = "mysqldump --hex-blob --routines --skip-lock-tables --log-error=mysqldump_error.log -h {$server_name} -u {$username} -p{$password} {$database_name}  {$table_21} {$table_22} {$table_23} {$table_24} {$table_25} {$table_26} {$table_27} {$table_28} {$table_29}  > " . $dir_path . "{$date_string}__{$arch_Others}.sql";
		$arr_out = array();
		unset($return2);
		exec($cmd, $arr_out, $return2);

			if($return2!==0) 
			{
				$error .= "<br><br>mysqldump for {$server_name} : {$database_name} <b>FAILED</b> with a return code of {$return2}. <br>";
				$error .= "Error message was: ";
					$file = escapeshellarg("mysqldump_error.log");
					$message = `tail -n 1 $file`;
				$error .= "<span style='color:red;'><b>$message for OTHERS</b></span><br>";
			}

		// ITEMS ------------------------ //
			$items = "items";
			$items_plan = "items_plan";
			$sklad = "sklad";
			$sklad_R = "sklad_R";
			
		$cmd = "mysqldump --hex-blob --routines --skip-lock-tables --log-error=mysqldump_error.log -h {$server_name} -u {$username} -p{$password} {$database_name}  {$items}  > " . $dir_path . "{$date_string}__{$items}.sql";
		$arr_out = array();
		unset($return3);
		exec($cmd, $arr_out, $return3);

			if($return3!==0) 
			{
				$error .= "<br><br>mysqldump for {$server_name} : {$database_name} <b>FAILED</b> with a return code of {$return3}. <br>";
				$error .= "Error message was: ";
					$file = escapeshellarg("mysqldump_error.log");
					$message = `tail -n 1 $file`;
				$error .= "<span style='color:red;'><b>$message for ITEMS</b></span><br>";
			}
			
		$cmd = "mysqldump --hex-blob --routines --skip-lock-tables --log-error=mysqldump_error.log -h {$server_name} -u {$username} -p{$password} {$database_name}  {$items_plan}  > " . $dir_path . "{$date_string}__{$items_plan}.sql";
		$arr_out = array();
		unset($return4);
		exec($cmd, $arr_out, $return4);
		
			if($return4!==0) 
			{
				$error .= "<br><br>mysqldump for {$server_name} : {$database_name} <b>FAILED</b> with a return code of {$return4}. <br>";
				$error .= "Error message was: ";
					$file = escapeshellarg("mysqldump_error.log");
					$message = `tail -n 1 $file`;
				$error .= "<span style='color:red;'><b>$message for ITEMS PLAN</b></span><br>";
			}

		$cmd = "mysqldump --hex-blob --routines --skip-lock-tables --log-error=mysqldump_error.log -h {$server_name} -u {$username} -p{$password} {$database_name}  {$sklad}  > " . $dir_path . "{$date_string}__{$sklad}.sql";
		$arr_out = array();
		unset($return5);
		exec($cmd, $arr_out, $return5);
	
			if($return5!==0) 
			{
				$error .= "<br><br>mysqldump for {$server_name} : {$database_name} <b>FAILED</b> with a return code of {$return5}. <br>";
				$error .= "Error message was: ";
					$file = escapeshellarg("mysqldump_error.log");
					$message = `tail -n 1 $file`;
				$error .= "<span style='color:red;'><b>$message for SKLAD</b></span><br>";
			}

		$cmd = "mysqldump --hex-blob --routines --skip-lock-tables --log-error=mysqldump_error.log -h {$server_name} -u {$username} -p{$password} {$database_name}  {$sklad_R}  > " . $dir_path . "{$date_string}__{$sklad_R}.sql";
		$arr_out = array();
		unset($return6);
		exec($cmd, $arr_out, $return6);
	
			if($return6!==0) 
			{
				$error .= "<br><br>mysqldump for {$server_name} : {$database_name} <b>FAILED</b> with a return code of {$return6}. <br>";
				$error .= "Error message was: ";
					$file = escapeshellarg("mysqldump_error.log");
					$message = `tail -n 1 $file`;
				$error .= "<span style='color:red;'><b>$message for SKLAD_R</b></span><br>";
			}
			
		// MATERIALS ------------------------ //
			$materials	 = "materials";
			$materials_R = "materials_R";
			$mat_table	 = "mat_table";

		$cmd = "mysqldump --hex-blob --routines --skip-lock-tables --log-error=mysqldump_error.log -h {$server_name} -u {$username} -p{$password} {$database_name}  {$materials} {$materials_R} {$mat_table}  > " . $dir_path . "{$date_string}__{$materials}.sql";
		$arr_out = array();
		unset($return7);
		exec($cmd, $arr_out, $return7);
	
			if($return7!==0) 
			{
				$error .= "<br><br>mysqldump for {$server_name} : {$database_name} <b>FAILED</b> with a return code of {$return7}. <br>";
				$error .= "Error message was: ";
					$file = escapeshellarg("mysqldump_error.log");
					$message = `tail -n 1 $file`;
				$error .= "<span style='color:red;'><b>$message for MATERIALS</b></span><br>";
			}

		// Technologies ---------------------- //
			$tech_HB = "tech_HB";
			$tech_DB = "tech_DB";
			$technos = "Techno";
			$tech_t  = "techno";
			$tech_0  = "tech_0";
			$tech_1  = "tech_1";
			$tech_2  = "tech_2";
			$tech_3  = "tech_3";
			$tech_4  = "tech_4";
			$tech_5  = "tech_5";
			$tech_6  = "tech_6";
			$tech_7  = "tech_7";
			$tech_8  = "tech_8";
			$tech_9  = "tech_9";

		$cmd = "mysqldump --hex-blob --routines --skip-lock-tables --log-error=mysqldump_error.log -h {$server_name} -u {$username} -p{$password} {$database_name}  {$tech_HB} {$tech_DB} {$tech_t} {$tech_0} {$tech_1} {$tech_2} {$tech_3} {$tech_4} {$tech_5} {$tech_6} {$tech_7} {$tech_8} {$tech_9} > " . $dir_path . "{$date_string}__{$technos}.sql";
		$arr_out = array();
		unset($return8);
		exec($cmd, $arr_out, $return8);
	
			if($return8!==0) 
			{
				$error .= "<br><br>mysqldump for {$server_name} : {$database_name} <b>FAILED</b> with a return code of {$return8}. <br>";
				$error .= "Error message was: ";
					$file = escapeshellarg("mysqldump_error.log");
					$message = `tail -n 1 $file`;
				$error .= "<span style='color:red;'><b>$message for TECHNO</b></span><br>";
			}
			
		// BMK ----------------- //
		$bmk_db = "BMK";

		$cmd = "mysqldump --hex-blob --routines --skip-lock-tables --log-error=mysqldump_error.log -h {$server_name} -u {$username} -p{$password} {$database_name}  {$bmk_db} > " . $dir_path . "{$date_string}__{$bmk_db}.sql";
		$arr_out = array();
		unset($return9);
		exec($cmd, $arr_out, $return9);

			if($return9!==0) 
			{
				$error .= "<br><br>mysqldump for {$server_name} : {$database_name} <b>FAILED</b> with a return code of {$return9}. <br>";
				$error .= "Error message was: ";
					$file = escapeshellarg("mysqldump_error.log");
					$message = `tail -n 1 $file`;
				$error .= "<span style='color:red;'><b>$message for BMK</b></span><br>";
			}
			
		// VEDOM needed ? //
		$cmd = "mysqldump --hex-blob --routines --skip-lock-tables --log-error=mysqldump_error.log -h {$server_name} -u {$username} -p{$password} {$database_name}  {$table_30}  > " . $dir_path . "{$date_string}__{$arch_Vedom}.sql";
		$arr_out = array();
		unset($return10);
		exec($cmd, $arr_out, $return10);

			if($return10!==0) 
			{
				$error .= "<br><br>mysqldump for {$server_name} : {$database_name} <b>FAILED</b> with a return code of {$return10}. <br>";
				$error .= "Error message was: ";
					$file = escapeshellarg("mysqldump_error.log");
					$message = `tail -n 1 $file`;
				$error .= "<span style='color:red;'><b>$message for VEDOM</b></span><br>";
			}
			
		// Online Shop ---------------------- //
			$online_shop   = "Onlines";
			$online_xopa	= "online_xopa";
			$online_ocmu 	= "online_ocmu";
			$online_data   = "online_data";
			$online_items  = "online_items";
			$online_orders = "online_orders";
			

		$cmd = "mysqldump --hex-blob --routines --skip-lock-tables --log-error=mysqldump_error.log -h {$server_name} -u {$username} -p{$password} {$database_name}  {$online_xopa} {$online_data} {$online_items} {$online_orders} {$online_ocmu} > " . $dir_path . "{$date_string}_{$online_shop}.sql";
		$arr_out = array();
		unset($return11);
		exec($cmd, $arr_out, $return11);


	// --------------------------------------- КРАЙ ------------------------------ //
		if($return11!==0) 
		{
			 $error .= "<br><br>mysqldump for {$server_name} : {$database_name} <b>FAILED</b> with a return code of {$return11}. <br>";
			 $error .= "Error message was: ";
			 	$file = escapeshellarg("mysqldump_error.log");
			 	$message = `tail -n 1 $file`;
			 $error .= "<span style='color:red;'><b>$message for ONLINES</b></span><br>";
		}
		else {$error = 'YES';}

	return $error;
	}


	function backUP_orders($period,$year)
	{
		$dir_path = BACKUP_PATH . $period."/";
		$server_name   = SERVER_NAME;
		$username      = USER_NAME;
		$password      = PASW;
		$date_string   = date("Y-m-d");
		$database_name = "eShop";

		$orders = "orders";
		$orders_Y = "orders_".$year;
		$orders_nY = "orders_".($year+1);

		$cmd = "mysqldump --hex-blob --routines --skip-lock-tables --log-error=mysqldump_error.log -h {$server_name} -u {$username} -p{$password} {$database_name} {$orders}  > " . $dir_path . "{$date_string}_{$orders}.sql";
		$arr_out = array();
		unset($return1);
		exec($cmd, $arr_out, $return1);

		$cmd = "mysqldump --hex-blob --routines --skip-lock-tables --log-error=mysqldump_error.log -h {$server_name} -u {$username} -p{$password} {$database_name} {$orders_Y}  > " . $dir_path . "{$date_string}_{$orders_Y}.sql";
		$arr_out = array();
		unset($return2);
		exec($cmd, $arr_out, $return2);

		$cmd = "mysqldump --hex-blob --routines --skip-lock-tables --log-error=mysqldump_error.log -h {$server_name} -u {$username} -p{$password} {$database_name} {$orders_nY}  > " . $dir_path . "{$date_string}_{$orders_nY}.sql";
		$arr_out = array();
		unset($return3);
		exec($cmd, $arr_out, $return3);

		$error = 0;
		if($return1!==0 or $return2!==0 or $return3!==0) 
		{
			 $error  = "<br><br>mysqldump for {$server_name} : {$database_name} <b>FAILED</b> with a return code of {$return}. ";
			 $error .= "Error message was:<br>";
			 	$file = escapeshellarg("mysqldump_error.log");
			 	$message = `tail -n 1 $file`;
			 $error .= "<span style='color:red;'><b>$message for ORDERS</b></span><br>";
		}
		else {$error = 'YES';}

	return $error;
	}


	// All Periodical DB V1801, M2018 etc. //
	function backUP_period($period,$table_1,$table_2)
	{
		$dir_path 		= BACKUP_PATH . $period."/";
		$server_name   = SERVER_NAME;
		$username      = USER_NAME;
		$password      = PASW;
		$date_string   = date("Y-m-d");
		$database_name = "eShop";

		$cmd = "mysqldump --hex-blob --routines --skip-lock-tables --log-error=mysqldump_error.log -h {$server_name} -u {$username} -p{$password} {$database_name} {$table_1} {$table_2}  > " . $dir_path . "{$date_string}_{$table_1}.sql";

		$arr_out = array();
		unset($return);
		exec($cmd, $arr_out, $return);

		$error = 0;
		if($return !== 0) 
		{
			 $error  = "<br><br>mysqldump for {$server_name} : {$database_name} <b>FAILED</b> with a return code of {$return}. ";
			 $error .= "Error message was:<br>";
			 	$file = escapeshellarg("mysqldump_error.log");
			 	$message = `tail -n 1 $file`;
			 $error .= "<span style='color:red;'><b>$message</b></span><br>";
		}
		else {$error = 'YES';}

	return $error;
	}


// ------------------------------- REAL START PROGRAM --------------------------- //
	// eShop Common //
	$period = date("ym");
	$result_1 = backUP_eShop($period);

	// getting ready for last months
	$nowYear = date("y");$nowMonth = date("m");
	if($nowMonth==1) {$period_1=($nowYear-1).'12';$period_2=($nowYear-1).'11';}
	elseif($nowMonth==2) {$period_1=(date("ym")-1);$period_2=($nowYear-1).'12';}
	else {$period_1=(date("ym")-1);$period_2=(date("ym")-2);}

	// eShop ORDERS //
	$period = date("ym");
	$year   = date("Y");
	$result_2 = backUP_orders($period,$year);

	// eShop TRZ database //
	$period = date("ym");
	$year    = date("Y");
	$table_1 = "bisoft_T".$period;
	$table_2	= "";
	$result_3  = backUP_period($period,$table_1,$table_2);
	
	// eShop TRZ-1 database //
	$period = date("ym");
	$table_1 = "bisoft_T".$period_1;
	$table_2	= "";
	$result_4  = backUP_period($period,$table_1,$table_2);
	
	// eShop TRZ-2 database //
	$period = date("ym");
	$table_1 = "bisoft_T".$period_2;
	$table_2	= "";
	$result_5  = backUP_period($period,$table_1,$table_2);	

	// eShop M database //
	$period = date("ym");
	$year    = date("Y");
	$table_1 = "bisoft_M".$year;
	$table_2	= "";
	$result_6  = backUP_period($period,$table_1,$table_2);

	// eShop K database //
	$period = date("ym");
	$year    = date("Y");
	$table_1 = "bisoft_K".$year;
	$table_2	= "";
	$result_7  = backUP_period($period,$table_1,$table_2);

	// eShop V database //
	$period = date("ym");
	$table_1 = "bisoft_V".$period;
	$table_2	= "bisoft_V".$period."_items";
	$result_8  = backUP_period($period,$table_1,$table_2);

	// eShop V-1 database //
	$period = date("ym");
	$table_1 = "bisoft_V".$period_1;
	$table_2	= $table_1."_items";
	$result_9  = backUP_period($period,$table_1,$table_2);

	// eShop V-2 database //
	$period = date("ym");
	$table_1 = "bisoft_V".$period_2;
	$table_2	= $table_1."_items";
	$result_10  = backUP_period($period,$table_1,$table_2);


	echo "<b> <span style='color:blue;'>SUCCESS:</span> eShop archieved at: </b>
			 <br>".BACKUP_PATH."
			 <br>=====================
			 <br> 1. Common: ".$result_1.
			'<br> 2. Orders: '.$result_2.
			'<br> 3. (TRZ) database: '.$result_3.
			'<br> 4. (TRZ-1) database: '.$result_4.
			'<br> 5. (TRZ-2) database: '.$result_5.
			'<br> 6. (Mat) database: '.$result_6.
			'<br> 7. (Kaca) database: '.$result_7.
			'<br> 8. (Ved) database: '.$result_8.
			'<br> 9. (V-1) database: '.$result_9.
			'<br> 10. (V-2) database: '.$result_10;

die();
?>
