<?php // localhost/eBorica/eBorica_status.php

	chdir("/var/www/html/eBorica");
	require_once('eBorica.php');
	
	// 0 => Test / 1 => Production
	$mode_key = 1;	
	
	$transactionCode = '10';
	$amount = '1.13';
	// TID = '23000018'; MID = '2302702801';
	$terminalID = '23000018'; 
	$orderID = date("ymd").'01';
	$orderDescription = 'test order';
	$language = 'BG';
	$protocolVersion = '1.0';
	$privateKeyPassword = 'Styler1991';

	// 'privateKeySTYLER.key'
	if($mode_key==1)  // Production ключ
		{ $privateKeyFileName = "real.csr_PrivateKey.key"; }
	else  // Test ключ
		{ $privateKeyFileName = "test.csr_PrivateKey.key"; }

	$message = eBorica::generateBOReq(
		$privateKeyFileName,
		$privateKeyPassword,
		$transactionCode,
		$amount,
		$terminalID,
		$orderID,
		$orderDescription,
		$language,
		$protocolVersion );

	if($mode_key==1) // Production 
		{ $url = eBorica::gatewayURL."/transactionStatusReport?eBorica=".urlencode(base64_encode($message)); }
	else // Test
		{ $url = eBorica::testGatewayURL."/transactionStatusReport?eBorica=".urlencode(base64_encode($message)); }
								 
	$curl = curl_init();
		curl_setopt($curl,CURLOPT_URL,$url);
		curl_setopt($curl,CURLOPT_VERBOSE,TRUE);
		curl_setopt($curl,CURLOPT_RETURNTRANSFER,TRUE);
		curl_setopt($curl,CURLOPT_SSLVERSION,3);
		curl_setopt($curl,CURLOPT_SSL_VERIFYHOST,false);
		curl_setopt($curl,CURLOPT_SSL_VERIFYPEER,false);
		curl_setopt($curl,CURLOPT_HEADER,false);

		curl_setopt($curl,CURLOPT_SSLCERT,realpath('eTlog_STYLER_etlog_f.cer') );
		curl_setopt($curl,CURLOPT_SSLCERTPASSWD,'');

		curl_setopt($curl,CURLOPT_SSLKEY,realpath('eTlog_STYLER_etlog_f.cer') );
		curl_setopt($curl,CURLOPT_SSLKEYPASSWD,'');
	
	$respData = curl_exec($curl);
	$curl_error = curl_error($curl);
	$curl_info = curl_getinfo($curl);
	curl_close($curl);
	
	// BANK RESPONSE
	if($mode_key==1) // Production
		{ $resp = eBorica::parseBOResp( $respData, "3DS_Payment_Gateway_2018.crt"); }
	else // Test
		{ $resp = eBorica::parseBOResp( $respData, "3DS_Payment_Gateway_TEST_2018.cer"); }
	
	print_r($resp);
	exit; ?>
