<?php require_once ("Person_controller.php");

class Customers extends Person_controller
{
	function __construct()
	{
		parent::__construct('Customers');
	//	$this->load->library('Customer_lib');
	}
	
	function index()
	{	$this->BiSOFT_Model->clear_production();
		$mode_menu = 'customers';
		$this->BiSOFT_Model->set_mode_menu($mode_menu);
		
		$data=array();
		$data['customer']=$this->BiSOFT_Model->get_user_mode_client();
		
		$config['base_url'] = site_url('/customers/index');
		$config['total_rows'] = $this->Customer->count_all();
		$config['per_page'] = 100;
		$config['num_links'] = 10;
		$config['uri_segment'] = 3;
		
		// $this->pagination->initialize($config);

		$data['modes_years']=array();
		$data['mode_year'] = $this->BiSOFT_Model->get_user_mode_year();
		$limit_year=date('y')-13; // установява тек.година-13 или от 2014г.
		for($k=0;$k<$limit_year;$k++)
			{ $data['modes_years'][date("Y")-$k] = date("Y")-$k;}
		
		$data['controller_name']=strtolower(get_class());
		$data['form_width']=$this->get_form_width();
		$data['manage_table']=get_customer_manage_table( $this->Customer->get_all_top(), $this );
		$this->load->view('customers/manage',$data);
	}
	
	function refresh($data=array())
	{
		$config['base_url'] = site_url('/customers/index');
		$config['total_rows'] = $this->Customer->count_all();
		$config['per_page'] = 25;
		
		$config['num_links'] = 10;
		$config['uri_segment'] = 3;
		
		// $this->pagination->initialize($config);

		$data['modes_years']=array();
		$limit_year=date('y')-13; // установява тек.година-13 или от 2014г.
		for($k=0;$k<$limit_year;$k++)
		{
			$data['modes_years'][date("Y")-$k] = date("Y")-$k;
		}
		$data['mode_year']	= $this->BiSOFT_Model->get_user_mode_year();
		
		$data['controller_name']=strtolower(get_class());
		$data['form_width']=$this->get_form_width();
		$data['manage_table']=get_customer_manage_table( $this->Customer->get_all_top(), $this );
		//  $config['per_page'], $this->uri->segment( $config['uri_segment'] )
		$this->load->view('customers/manage',$data);
	}

	function change_YEAR()
	{
		$mode_year = $this->input->post("mode_year");
		if ($mode_year > date ('Y'))	
				{ $this->BiSOFT_Model->set_user_year(date('Y')); }
		else  { $this->BiSOFT_Model->set_user_year($mode_year); }

		$this->BiSOFT_Model->set_user_mode('client_report');
		$this->BiSOFT_Model->set_user_date();

	$this->refresh();
	}

	function change_brand($client_id=0,$vedom=0)
	{
		if($client_id and $vedom)
		{
			echo '<b>= '.$client_id.' = </b> за '.$vedom.'<br>';
			$cust_data = $this->Customer->get_vedom_by_client($vedom,$client_id);
			if($cust_data)
			{
				foreach($cust_data as $doc)
				{
					$doc_id = $doc['doc_id'];
					$new_data = array(
						'doc_id' => $doc_id,
					'client_id' => $client_id,
						 'brand' => $client_id );

					$this->Customer->change_brand($vedom,$doc_id,$new_data);
					
					echo $doc_id.' -> '.$doc['doc_number'].' от '.$doc['doc_date'].'<br>';
				}
			}
		}

	echo '<br>The END.';
	die();
	$this->refresh();
	}	
	

	/*	Returns customer table data rows. This will be called with AJAX. */
	function search()
	{
		$search=$this->input->post('search');
		if(is_numeric($search) and $search>0)
		{ $this->BiSOFT_Model->set_user_client( $search );}
	
		$data_rows=get_customer_manage_table_data_rows($this->Customer->search($search),$this);
		echo $data_rows;
	}
	

	/*	Gives search suggestions based on what is being searched for */
	function suggest()
	{
		$suggestions = $this->Customer->get_search_suggestions($this->input->post('q'),$this->input->post('limit'));
		echo implode("\n",$suggestions);
	}

	/*	Customer edit form */
	function view($customer_id=-1)
	{
		$data['user_id']=$this->BiSOFT_Model->get_person();
		$data['person_info']=$this->Customer->get_info($customer_id);
		$last_number = $this->Customer->get_max_bisoft_id();

		if ( $customer_id != -1 )
			{ $data['bisoft_id']	= $data['person_info']->bisoft_id;}
		else
			{ $data['bisoft_id']	= 1 + $last_number;}
			
		$data['customer_id'] = $customer_id;
		
		$data['modes_prices']=array(
				0  => $this->lang->line('sales_unit_price'),
				1	=> $this->lang->line('sales_price').'-I',
				2	=> $this->lang->line('sales_price').'-II',
				3	=> $this->lang->line('sales_price').'-III',
				4	=> $this->lang->line('sales_price').'-IV',
				5	=> $this->lang->line('sales_price').'-V' );
				
		$data['modes_clients']=array(
				'client'  => 'клиент',
				'cliento' => 'клиент т.о.',
			 'clientvat' => 'клиент (+ДДС)',
				'online'	 => 'online клиент',
            'onlineto'=> 'online т.о.',
				'invoice' => 'само фактури',
				'shop'	 => 'магазин',
				'comis'	 => 'комисионер',
				'distro'	 => 'дистрибутор',
				'outlet'	 => 'outlet' );
				
	$this->load->view("customers/form",$data);
	}


	/* Inserts/updates a customer */
	function save($person_id=-1)
	{
      $norma = $this->input->post('has_shop');
      if($norma) {$norma=3;} else {$norma=0;}
   
		$first_name = mb_convert_case($this->input->post('first_name'),MB_CASE_TITLE,"UTF-8");
		$last_name  = mb_convert_case($this->input->post('last_name'),MB_CASE_TITLE,"UTF-8");
		$city       = mb_convert_case($this->input->post('city'),MB_CASE_TITLE,"UTF-8");
      $city = trim(str_replace('Гр.', '', $city ));
      $city = trim(str_replace('С.', 'с. ', $city ));
		
		$person_data = array(
			'bisoft_id'=>$this->input->post('bisoft_id'),
			'first_name' => $first_name,
			'last_name'  => $last_name,
			'company'=>$this->input->post('company_name'),
			'email'=>$this->input->post('email'),
			'phone_number'=>$this->input->post('phone_number'),
			'address'=>$this->input->post('address'),
			'country'=>mb_convert_case($this->input->post('country'),MB_CASE_TITLE,"UTF-8"),
			'city'=>$city,
			'location'=>$this->input->post('bisoft_id'),
			'norma'=>$norma,
			'comments'=>$this->input->post('comments') );

		$discount = $this->input->post('discount');
		$price_group = $this->input->post('price_group');

		$status = $this->input->post('modes_clients');
		if($status=='client' or $status=='online') {$discount=0;}

		$add_vat = $this->input->post('add_vat')=='' ? 0 : 1;
		if($add_vat==1) {$status='clientvat';}
					
		$customer_data=array(
			'bisoft_id'=>$this->input->post('bisoft_id'),
			'company_name'=>$this->input->post('company_name'),
			'company_person' => "$first_name $last_name",
			'account_number'=>$this->input->post('account_number'),
			'price_group'=>$price_group,
			'status'=>$status,
			'add_vat'=>$add_vat,
			'discount'=>$discount,
			'commision'=>0,
			'location'=>$this->input->post('bisoft_id'),
			'taxable'=>$this->input->post('taxable')=='' ? 0 : 1,
			'deleted'=>$this->input->post('deleted')=='' ? 0 : 1 );
		
		if($this->Customer->save($person_data,$customer_data,$person_id))
		{
			//New customer
			if($person_id==-1)
			{
				echo json_encode(array('success'=>true,'message'=>$this->lang->line('customers_successful_adding').' '.
				$customer_data['company_name'],'person_id'=>$customer_data['person_id']));
			}
			else //previous customer
			{
				echo json_encode(array('success'=>true,'message'=>$this->lang->line('customers_successful_updating').' '.
				$customer_data['company_name'],'person_id'=>$person_id));
			}
		}
		else //failure
		{	
			echo json_encode(array('success'=>false,'message'=>$this->lang->line('customers_error_adding_updating').' '.
			"$first_name $last_name",'person_id'=>$person_id));
		}
	}
	

	/*	This deletes customers from the customers table */
  function delete()
	{
		$customers_to_delete=$this->input->post('ids');
		
		if($this->Customer->delete_list($customers_to_delete))
			{
				echo json_encode(array('success'=>true,'message'=>$this->lang->line('customers_successful_deleted').' '.
				count($customers_to_delete).' '.$this->lang->line('customers_one_or_multiple')));
			}
		else
			{
				echo json_encode(array('success'=>false,'message'=>$this->lang->line('customers_cannot_be_deleted')));
			}
	}
	

	/* Gets one row for a customer manage table. This is called using AJAX to update one row. */
	function get_row()
	{
		$person_id = $this->input->post('row_id');
		$data_row=get_customer_data_row($this->Customer->get_info($person_id),$this);
		echo $data_row;
	}


	function inventory($bisoft_id=-1) 
	{

	}
	
	function search_item($client_id)
	{
		$item_number = $this->input->post('item_number');
		$this->vedom($client_id,$item_number);
	}


// ------------------------------------------- ВЕДОМОСТИ ----------------------------------- //
	function vedom($bisoft_id=-1,$item_number=0) 
	{
		$location = $this->BiSOFT_Model->get_location();
		$data['controller_name'] = strtolower(get_class());
		$data['location'] = $location;
		$data['vedom_pack'] = $this->BiSOFT_Model->get_vedom();
		$data['vedom_year'] = $this->BiSOFT_Model->get_user_mode_year();
		$data['client_id']  = $bisoft_id;
		$data['client_info']= $this->Customer->get_info_by_bisoft_id($bisoft_id);
		$data['item_number'] = ($item_number) ? $item_number : '';
		// зарежда размерите ...
		$data['size_grid']= $this->BiSOFT_Model->get_sizes('grid_1');
		$data['size_table']= $this->BiSOFT_Model->get_sizes('grid_2');

		$this->load->view("customers/vedom_details",$data);
	} //------------------------------------------- BiSOFT


	function vedom_print($bisoft_id=-1) 
	{
		$location = $this->BiSOFT_Model->get_location();
		$data['location'] = $location;
		$data['bisoft_id'] = $bisoft_id;
		$data['vedom_pack'] = $this->BiSOFT_Model->get_vedom();
		$data['vedom_year'] = $this->BiSOFT_Model->get_user_mode_year();
		$data['client_id'] = $bisoft_id;
		$data['client_info']=$this->Customer->get_info_by_bisoft_id($bisoft_id);
		// зарежда размерите ...
		$data['size_grid']= $this->BiSOFT_Model->get_sizes('grid_1');
		$data['size_table']= $this->BiSOFT_Model->get_sizes('grid_2');

	$this->load->view("customers/vedom_print",$data);
	}

/* =========================== BISOFT (EXCEL 2003) DIRECT IMPORT MODULE =========================*/

	/**
	 * Display form: Import data from an excel file
	 * author: Bisser Alexiev Feb.2014
	 */
  function bisoft_import($myFile='_KLIENT.bls')
	{
	$msg = "do_bisoft_import_from_customers.bls";
	$failCodes = null;
	$successCode = null;
   $location = $this->Employee->get_logged_in_employee_info()->location;
	$view_path = 'customers/refresh';

	// get BiSOFT path
	$this->CI =& get_instance();
	$bisoft_path = $this->CI->BiSOFT_Model->get_path();

		$this->load->library('spreadsheetexcelreader');
      $this->spreadsheetexcelreader->setOutputEncoding('CP1251'); // Set output Encoding

	$sRoot = $_SERVER['DOCUMENT_ROOT'];
	$file_to_read = $sRoot.'/'.$bisoft_path.'/DB/'.$myFile;

	if (!is_readable($file_to_read))
     	{ // ГРЕШКА - връщаме се в началото на controller-a ...
			$msg = $this->lang->line('common_error_import');
			$data['error'] = $msg;
		 	$this->refresh($data);
		return false;
     	}

		else 
		{ // тук вече зарежда нормално от BiSOFT ... - >

		$data_file = new Spreadsheetexcelreader($file_to_read, false);
		$rowCount = $data_file->rowcount(0);

      if($rowCount > 1)
		{  // #2 if row > 1

			for($i = 2; $i<=$rowCount; $i++) 
			{  // #3 for i=1 and on ...
			$customer_code 	= $data_file->val( $i, 'A');
			$customer_id 		= $this->Customer->get_info($customer_code);

			$first_last_name = $data_file->val($i, 'K');

	// обработвам за глупави знаци ...
	$first_last_name = character_limiter(str_replace(array('=', '-', '_', '/', '|', '\\', '#', '№', '.', ',', '@', '&', '!', '$', '*', '(', ')', '~'), ' ', $first_last_name),30);

		list ($firstname, $lastname) = explode(' ', $first_last_name.' _');
				$firstname = trim($firstname);
				$lastname  = trim(str_replace(array('_'), '', $lastname));


	$customer_number = intval( $customer_code );

	$key_yes = 1;
	$bisoft_id  =  intval( $customer_code );

	if ($this->Customer->bisoft_id_exists($bisoft_id)) { $key_yes = 0;}

	// проверявам за Данъчна регистрация ...
	$taxable = '1';

	  $person_data = array(
		'bisoft_id'			=> $bisoft_id,
		'company'	  		=> $data_file->val( $i, 'B'),
		'city'	  	  		=> $data_file->val( $i, 'C'),
		'address'	  		=> $data_file->val( $i, 'D'),
		'phone_number'		=> $data_file->val( $i, 'E'),
		'location'			=> $data_file->val( $i, 'P'),
		'country'	  		=> 'България',
		'first_name'		=> $firstname,
		'last_name'			=> $lastname,
		);

	  $customer_data = array(
		'bisoft_id'			=> $bisoft_id,
		'company_name'		=> $data_file->val( $i, 'B'),
		'company_person'	=> $first_last_name,
		'account_number'	=> $data_file->val( $i, 'I'),
		'bank'				=> $data_file->val( $i, 'F'),
		'bank_account'    => $data_file->val( $i, 'G'),
		'discount'			=> 100 * $data_file->val( $i, 'Q'),
		'price_group'		=> $data_file->val( $i, 'P'),
		'taxable'			=> $taxable,
		'location'			=> null,
		);

					// updates of DataBase customers & People
					if ($key_yes == 1 and $bisoft_id > 0) 
					{
					  if(!$this->Customer->save( $person_data, $customer_data))
						{ $failCodes[] = 'BiSOFT:'.$customer_code; }
					}
				}  // 3

			}  //  #2 if row >1
			else { 
						$msg = 'Your upload file has no data or not in supported format.';
						$data['error'] = $msg;
		 				$this->refresh($data);
					return false;
					}  // end #2 may STOP if file error ?!?!?

		}  // end #1

		// defines error or success message.
		if(count($failCodes) > 1)
		{  $msg = $this->lang->line('recvs_error_import') . count($failCodes) ."): ".implode(", ",$failCodes); 
			$data['error'] = $msg;} // ГРЕШКА (човешка :(
		else {
				$msg = $this->lang->line('recvs_successful_import');
				$data['success'] = $msg;}  // УСПЕХ !!!

	$this->refresh($data);
	} // end #0 of BiSOFT Import
// ==================================== End of Import BiSOFT ================================ //


// ====================================== CSV Importer =================================/
//	 * Display form: Import data from an CSV file
//	 * author: Bisser Alexiev Dec-2013     времено СПРЯН - но РАБОТИ за  Еталон CSV

	function csv_import()
	{
		$this->load->view("customers/csv_import", null);
	}

	function do_csv_import()
	{
		$msg = 'do_csv_import';
		$failCodes = array();

		if ($_FILES['file_path']['error']!=UPLOAD_ERR_OK)
		{
			$msg = $this->lang->line('items_excel_import_failed');
			echo json_encode( array('success'=>false,'message'=>$msg) );
			return;
		}
		else
		{
			if (($handle = fopen($_FILES['file_path']['tmp_name'], "r")) !== FALSE)
			{
				//Skip first row
				fgetcsv($handle);
				
				$i=1;
				while (($data = fgetcsv($handle)) !== FALSE) 
				{
// My stuff
				$first_last_name = $data[10];
				list($firstname, $lastname) = explode(' ', $first_last_name);
				$customer_number = intval( $data[0] );

					$person_data = array(
					'first_name'=> trim($firstname),
					'last_name'=> trim($lastname),
					'phone_number'=>$data[4],
					'address'=>$data[3],
					'city'=>$data[2],
					'country'=> 'България',
					'comments'=>$data[11] 
					);
					
					$customer_data=array(
					'account_number'=>$data[8]=='' ? null:$data[8],
					'company_name'=>$data[1],
					'bank'=>$data[5],
					'bank_account'=>$data[6],
					'discount'=>$data[16],
					'taxable'=>$data[14]=='' ? 0:1,
					);
					
					if(!$this->Customer->save($person_data,$customer_data))
                  {$failCodes[]=$i;}
					
					$i++;
				}
			}
			else 
			{
				echo json_encode( array('success'=>false,'message'=>'Your upload file has no data or not in supported format.') );
				return;
			}
		}

		$success = true;
		if(count($failCodes) > 1)
		{
			$msg = "Most customers imported. But some were not, here is list of their CODE (" .count($failCodes) ."): ".implode(", ", $failCodes);
			$success = false;
		}
		else
		{
			$msg = "Import Customers successful";
		}

		echo json_encode( array('success'=>$success,'message'=>$msg) );
	}
	
	
/* =================================== SHOPS MANGEMENT =================================== */
	function get_client_shop($bisoft_id=0)
	{

	}
	
	function save_client_shop($bisoft_id=0,$item_data=array())
	{


	}
	
	function get_item_from_barcode($barcode_item,$quantity=1)
	{  //barCode
		$lenBarcode=strlen($barcode_item);
		$item_number=0;
		$barcode=substr($barcode_item,0,-1);

		$qty=array();$qty[0]=1;
		$qty[1]=$qty[2]=$qty[3]=$qty[4]=$qty[5]=$qty[6]=$qty[7]=$qty[8]=$qty[9]=$qty[10]=0;
		
		// EAN-13 Code table
		if ($lenBarcode == 13 ) 
			{
			// checks 380 = Bulgaria Code table
			   $barcode_380 = substr($barcode_item,0,3);
				if ($barcode_380 == '380') { $item_number = (int) substr($barcode_item,-6,-1); }
		   	else { // else 380
			// Normal 13 bit code
			$barcode = substr($barcode_item,1,-1);
			$item_number = (int) substr($barcode,0,-4);
			$size_qty = (int) substr($barcode,9,10);
			$sizeQty = 0;

			if ($size_qty > 0 and $size_qty < 11) { $qty[$size_qty] = $quantity;}
			else 
				{ 
				// различните размерни групи .....
				if ($size_qty > 10 and $size_qty < 40 ) { $sizeQty = -1;}
				if ($size_qty > 39 and $size_qty < 60 ) { $sizeQty = 19;}
				if ($size_qty > 59 and $size_qty < 80 ) { $sizeQty = 29;}
				if ($size_qty > 79 and $size_qty < 100) { $sizeQty = 39;}

				if ($size_qty > 10 and $size_qty < 100) 
				   {$size_qty = floor($size_qty/2) - $sizeQty;}

				if ($size_qty > 9) { $qty[10] = $quantity; }
				elseif ($size_qty == 0) { }
				else { $qty[$size_qty] = $quantity; }
				}
			} // end of else 380
		}		
	
      // BiSOFT internal Code table 12 (-leading 0)
		if ($lenBarcode == 12 ) 
		{
			$item_number = (int) substr($barcode,0,-4);
			$size_qty = (int) substr($barcode,9,10);
			$sizeQty = 0;

			if ($size_qty > 0 and $size_qty < 11) { $qty[$size_qty] = $quantity;}
			else { 
                  // различните размерни групи .....
                  if ($size_qty > 10 and $size_qty < 40 ) { $sizeQty = -1;}
                  if ($size_qty > 39 and $size_qty < 60 ) { $sizeQty = 19;}
                  if ($size_qty > 59 and $size_qty < 80 ) { $sizeQty = 29;}
                  if ($size_qty > 79 and $size_qty < 100) { $sizeQty = 39;}

                  if ($size_qty > 10 and $size_qty < 100) 
                     {$size_qty = floor($size_qty/2) - $sizeQty;}

                  if ($size_qty > 9) { $qty[10] = $quantity; }
                  elseif ($size_qty == 0) { }
                  else { $qty[$size_qty] = $quantity; }
			     }
		}
		
		if($qty[1]==0) {$qty[1]='';}
		if($qty[2]==0) {$qty[2]='';}
		if($qty[3]==0) {$qty[3]='';}
		if($qty[4]==0) {$qty[4]='';}
		if($qty[5]==0) {$qty[5]='';}
		if($qty[6]==0) {$qty[6]='';}
		if($qty[7]==0) {$qty[7]='';}
		if($qty[8]==0) {$qty[8]='';}
		if($qty[9]==0) {$qty[9]='';}
		if($qty[10]==0) {$qty[10]='';}
		
		if($item_number and $this->Item->exists_by_number_gpr($item_number) )
		{
         $skl_info = array();
         $price = $cost = 0;
         $item_info = $this->Item->get_blanka_info($item_number);
         if($item_info->collection) {$coll_id = $item_info->collection;}
         else{$coll_id=101;}
         if($this->Item->exists_in_sklad($item_number,0))
            { 
               $skl_info = $this->Item->get_sklad_info($item_number,0);
               $price = $cost = $skl_info->price;
            }
         $data=array(
             'inum' => $item_number,
            'sizes' => $qty,
              'qty' => $quantity,
            'price' => $price,
             'cost' => $cost,
             'coll' => $coll_id,
              'cat' => 0,
              'del' => 0 );
                  
      return $data;
      }
      else
      { return false; }
	}
	
	
	// функция, която вкарва кодове от ZEBEX в склада на КЛИЕНТ. 113 - МИА СТИЛ
	function import_client_shop($bisoft_id=113)
	{
      // echo $bisoft_id;
      $success = 1;
      $zebex_file = HTTPSSL."zebex.txt";
		if (($handle = fopen($zebex_file, "r")) !== FALSE)
			{
				$i=1;
				while (($data = fgetcsv($handle)) !== FALSE)
				{  // #3
               $item_code = trim($data[0]);
               $item_info = $this->get_item_from_barcode($item_code,1);
               $inum = $item_info['inum'];
               
               if($item_info)
               {
                  // echo $inum;echo ' - - ';
                  if(!$this->Item->exists_in_shops($inum,$bisoft_id))
                  { // няма го в базата ...
                     $item_data=array(
                        'inum' => $inum,
                         'skl' => $bisoft_id,
                         'qty' => $item_info['qty'],
                          'q1' => $item_info['sizes'][1],
                          'q2' => $item_info['sizes'][2],
                          'q3' => $item_info['sizes'][3],
                          'q4' => $item_info['sizes'][4],
                          'q5' => $item_info['sizes'][5],
                          'q6' => $item_info['sizes'][6],
                          'q7' => $item_info['sizes'][7],
                          'q8' => $item_info['sizes'][8],
                          'q9' => $item_info['sizes'][9],
                         'q10' => $item_info['sizes'][10],
                  
                       'price' => $item_info['price'],
                        'cost' => $item_info['cost'],
                        'coll' => $item_info['coll'],
                         'del' => 0 );
                         
                     $success *= $this->Item->save_shop($item_data);  
                  }
                  else // само update
                  {
                     $shop_info = $this->Item->get_shop_info($inum,$bisoft_id);
                     if($shop_info)
                     {
                        $q1=$item_info['sizes'][1]+$shop_info->q1;if(!$q1){$q1='';}
                        $q2=$item_info['sizes'][2]+$shop_info->q2;if(!$q2){$q2='';}
                        $q3=$item_info['sizes'][3]+$shop_info->q3;if(!$q3){$q3='';}
                        $q4=$item_info['sizes'][4]+$shop_info->q4;if(!$q4){$q4='';}
                        $q5=$item_info['sizes'][5]+$shop_info->q5;if(!$q5){$q5='';}
                        $q6=$item_info['sizes'][6]+$shop_info->q6;if(!$q6){$q6='';}
                        $q7=$item_info['sizes'][7]+$shop_info->q7;if(!$q7){$q7='';}
                        $q8=$item_info['sizes'][8]+$shop_info->q8;if(!$q8){$q8='';}
                        $q9=$item_info['sizes'][9]+$shop_info->q9;if(!$q9){$q9='';}
                        $q10=$item_info['sizes'][10]+$shop_info->q10;if(!$q10){$q10='';}
                        
                        $item_data=array(
                           'item_id' => $shop_info->item_id,
                           'inum' => $inum,
                           'skl' => $bisoft_id,
                           'qty' => $item_info['qty']+$shop_info->qty,
                           'q1' => $q1,
                           'q2' => $q2,
                           'q3' => $q3,
                           'q4' => $q4,
                           'q5' => $q5,
                           'q6' => $q6,
                           'q7' => $q7,
                           'q8' => $q8,
                           'q9' => $q9,
                           'q10' => $q10,
                           'del' => 0 );
                         
                        $success *= $this->Item->update_shop($item_data);
                     }
                  }
               }
               else { echo '<br>line:'.$i.' -> WRONG ITEM w/barcode:'.$item_code.'<br><br>';}

            $i++;
				}   // end #3
				
			}  // end #2
      
if($success) {echo '<br><br>THE END';}
else {echo '<br><br>ERROR!!!';}

die();
	}
	
	

// ====================================== END CSV Importer =================================/

//	get the width for the add/edit form
	function get_form_width()
	{ return 360;}
	
}
?>
