<?php class Ebooks extends CI_Controller  
{
	function __construct()
	{
		parent::__construct();
		$this->load->library('Online_lib');
		$this->load->library('Ebook_lib');
		$this->load->library('Bisoft_lib');
	}

	function index()
	{	
		// first let's check if is Mobile ?! //
		$isMobile = $this->Ebook->isMobile();
		// Set USER=Guest //
		// $mode_menu = 'ebooks';
		// $this->BiSOFT_Model->set_mode_menu($mode_menu,0);
		
		$user=0;
		$config['langs'] = array('bg'=>'_bg','en'=>'_en');
		$this->ebook_lib->set_user($user);
		$this->ebook_lib->set_mobile($isMobile);
		$this->ebook_lib->get_bisoft();
		$this->ebook_lib->get_language();
		$this->ebook_lib->get_category();
		$this->ebook_lib->get_pages();
	$this->ebook_catalog('all');
	}
	
	function user_login() // user_login
	{
		$user = trim($this->input->post("user"));
		$pasw = trim($this->input->post("pasw"));
		if(($user=='styler' or $user=='STYLER') and $pasw=='1991')
		  { $this->ebook_lib->set_user($user);}
      elseif(($user=='hanna' or $user=='HANNA') and ($pasw=='boutique' or $pasw=='BOUTIQUE'))
        { $this->ebook_lib->set_user($user);}
   $this->ebook_catalog('all');
	}
	
	function ebook_BiSOFT($user_zipped) // само от BiSOFT вход //
	{
		$zipp=substr($user_zipped,0,9);
		if ($zipp!='B2680s91q') 
			{ $this->index();}
		else 
			{
				$user=substr($user_zipped,9);
				$email = $this->Ebook->get_person_info($user)->email;
				$config['langs'] = array('bg','en');
				$this->ebook_lib->set_user($email);
				$this->ebook_lib->set_bisoft($user);
				$this->ebook_lib->get_language();
				$this->ebook_lib->get_category();
			$this->ebook_catalog('all');
			}
	}
		
// ============================== hot START eBOOK ============================ //
	function catalog()
	{
		$error=''; $edit_key=0; $page=1;
		$category=$this->ebook_lib->get_category();
	$this->ebook_catalog($category,$edit_key,$page,$error);
	}
	
	function collection($collection_id)
	{
		$error=''; $edit_key=0; $page=1;
		$category=$this->ebook_lib->get_category();
	$this->select_collection($collection_id,$edit_key);
	}

	
// ============================== eBOOK MAIN-CATALOG ============================ //
	function ebook_catalog($category='all',$edit_key=0,$page=1,$error='')
	{	
      require_once(APPPATH."plugins/ebook/ebook_catalog.php");
		if($isMobile)
			{ $this->load->view("ebook/mobile_books",$data);}
		else
			{ $this->load->view("ebook/desktop_books",$data);}
	}

	
	function select_collection($collection_id,$edit_key=0,$page=1,$error='')
	{
      require_once(APPPATH."plugins/ebook/select_collection.php");
		if($isMobile)
			{ $this->load->view("ebook/mobile_collection",$data);}
		else
			{ $this->load->view("ebook/desktop_collection",$data);}	
	}

	
// ==========================  ИЗБИРА СТРАНИЦА НА АРТИКУЛ =============================== //
	function select_item($item_number,$collection_id,$edit_key=0,$error='')
	{
      require_once(APPPATH."plugins/ebook/select_item.php");
	}

	
// ============================== SEARCH FILTER ============================ //
	function suggest()
	{
		$suggestions = $this->OnLine->get_search_suggestions($this->input->post('q'),$this->input->post('limit'));
		echo implode("\n",$suggestions);
	}

	function search()
	{
      require_once(APPPATH."plugins/ebook/ebook_search.php");
      $this->load->view("ebook/ebook_catalog",$data);
	}


/* ==================================== ADMINISTRATION =============================== */
	function change_mode()
	{
		$mode = $this->input->post("mode");
		$this->ebook_lib->set_mode($mode);
	$this->admin_database();
	}


	function admin_database()
	{
		$brand_category = $this->Ebook->get_text('category');
		$user  = $this->ebook_lib->get_user();	
		$admin = $this->Ebook->get_admin($user);
		
		if (!$admin) // филтър за НЕ-administrators //
			{ $this->ebook_catalog('all',0); }

		$mode=$this->ebook_lib->get_mode();
		$data=array();
		$data['view_search_item'] = 0;

		// зарежда РАЗМЕРИ ...
		$data['size_grid']		= $this->BiSOFT_Model->get_sizes('grid_1');
		$data['size_table']		= $this->BiSOFT_Model->get_sizes('grid_3');
		$data['size_table_top']	= $this->BiSOFT_Model->get_sizes('grid_4');

		// зарежда ГОДИНА / МЕСЕЦ / ДЕН ...
		$data['modes_years']=array();
		for($k=0;$k<3;$k++) { $data['modes_years'][date("Y")-$k] = date("Y")-$k; }

		$data['modes_months'] = array(
			'01' => $this->lang->line('cal_january'),
			'02' => $this->lang->line('cal_february'),
			'03' => $this->lang->line('cal_march'),
			'04' => $this->lang->line('cal_april'),
			'05' => $this->lang->line('cal_mayl'),
			'06' => $this->lang->line('cal_june'),
			'07' => $this->lang->line('cal_july'),
			'08' => $this->lang->line('cal_august'),
			'09' => $this->lang->line('cal_september'),
			'10' => $this->lang->line('cal_october'),
			'11' => $this->lang->line('cal_november'),
			'12' => $this->lang->line('cal_december')	);

		$data['modes_days'] = array();
		for($k=1;$k<=31;$k++) { $data['modes_days'][$k] = $k; }

		$data['mode']			= $mode;
		$data['cur_date']		= date('d.m.Y');

		// ---------------------------------- зарежда ДОКУМЕНТИТЕ ------------------------------------- //
		$data['modes']=array(
				'select'		  => $this->lang->line('online_select'),
				'items' 		  => $this->lang->line('online_items'),
				'users'		  => $this->lang->line('online_users'),
				'admins'		  => $this->lang->line('online_admins'),
				'settings'	  => $this->lang->line('online_settings') );

		if (isset($info)) 	{ $data['info'] = $info;}
		if (isset($success)) { $data['success'] = $success;}
		if (isset($error)) 	{ $data['error'] = $error;}
	
		// select what view to run ...
		$view_database = "ebook/view_db";
		switch ($mode) 
		{
         case 'items': // ======================= Items ========================= //
               require_once(APPPATH."plugins/marketing/switch_items.php");
               $view_database = "ebook/view_items";
               break;		
         case 'users': // =================== Users ==================== //
               require_once(APPPATH."plugins/marketing/switch_users.php");
               $view_database = "ebook/view_users";  
               break;
               
         case 'admins':  // =================== Admins ==================== //
               require_once(APPPATH."plugins/marketing/switch_admins.php");
               $view_database = "ebook/view_users";  
               break;

         case 'settings': // =================== Settings ==================== // 
               require_once(APPPATH."plugins/marketing/switch_settings.php");
               $view_database = "ebook/view_settings";break;

         default: $view_database = "ebook/view_db";
		} // End of Switch.

	$this->load->view($view_database,$data);
	}
	
	
	function admin_save_settings()
	{
      require_once(APPPATH."plugins/marketing/admin_save_settings.php");
		$this->ebook_lib->set_mode('select');
      $this->admin_database();
	}	


	function admin_out() // user_logout
	{	
		$this->ebook_lib->set_user(0);
		// да се връща ли в BiSOFT ? ------- //
		if(!$this->ebook_lib->get_bisoft())
			{ $this->ebook_catalog('all');}
		else
			{ header("Location: ".BHOME);}
	}	

	
}
?>
