<?php require_once ("Secure_area.php");

class Home extends Secure_area 
{
	function __construct()
	{
		parent::__construct();	
	}
	
	function index()
	{
		$data=array();
		$this->load->library('Bisoft_lib');
		$this->BiSOFT_Model->clear_user_home();
		$this->BiSOFT_Model->set_version();
		$this->BiSOFT_Model->zebex_delete();

		$keyAccess = $this->bisoft_lib->get_keyAccess();
		if(!$keyAccess) { $this->BiSOFT_Model->clear_session_module();}	
		
		$isMobile = 0; // $this->BiSOFT_Model->isMobile();if($isMobile!=1) {$isMobile=0;}
		$data['isMobile'] = $isMobile;
		
		// проверява Календара за събития //
		$location = $this->BiSOFT_Model->get_location();
		$event_key = mt_rand(0,100);

		if($event_key<50 and ($location==0 or $location==1)) // $event_key>60
		{
			$today_event=$this->BiSOFT_Model->check_calendar(date('Y-m-d'));
			if ($today_event) 
				{ 
					if(date('md')=='0211') // Ден на Свилката :(
						{ $data = array('badDay' => $today_event);}
					else
						{ $data = array('birthday' => $today_event);}
				}
		}

   $this->load->view("home",$data);
	}
	
	function logout()
	{
		$this->BiSOFT_Model->clear_user_logout();
		$this->Employee->logout();
	}

	public function user_date($user_date=0)
	{
		if($user_date){$this->BiSOFT_Model->set_user_date($user_date);}
		return true;
	}
	
	public function get_Leu_rate()
	{
		$this->BiSOFT_Model->set_leu_rate();
		header('Location: '.BHOME);
	}
	
	/* ============================== BiSOFT GOOGLE ТЪРСАЧКА =============================== */
	public function search()
	{
		$search=$this->input->post('search');
		if($search)
			{ 
				if($this->BiSOFT_Model->get_mode_mat() and is_numeric($search)) // ако има tracking ...
				{
					$sklad = $this->BiSOFT_Model->get_user_mode_client();
					$this->item_history_tracking($search,$sklad);
				}
				else 
				{ 
					$this->BiSOFT_Model->set_mode_mat(0);
					$this->bisoft_item_found($search); // към BiSOFT търсачка ...
				} 
			}
		else
			{
				$this->BiSOFT_Model->set_user_mode(0);
				$this->BiSOFT_Model->set_mode_mat(0);
				$this->index();
			}
	}
	
	public function bisoft_item_search()
	{
		$suggestions = $this->Item->get_item_search_suggestions($this->input->post('q'),$this->input->post('limit'));
		echo implode("\n",$suggestions);
	}


	public function bisoft_item_found($google_item='-NA')
	{
		$data=array();
		$data['location'] = $location = $this->BiSOFT_Model->get_location();
		$data['user_id'] 	= $user_id = $this->BiSOFT_Model->get_person();
		
		if($google_item=='-NA') {$google_item = $this->input->post("item");}
		// сега да видим какво аджиба е туй нящо ?!?

/* ================================ търсим да не е АРТИКУЛ ?!? ================================ */
		if ((strlen($google_item)>3) && (strlen($google_item)<8) && $this->Item->exists_in_items((int)$google_item))
		{
		$item_number = trim((int)$google_item);
		// проверка дали има изобщо такъв артикул ?!
		if ( $this->Item->exists_in_items($item_number) )
			{
				// $user_id = $this->BiSOFT_Model->get_person();
				$item_info = $this->Item->get_item_info($item_number);
				if ( $location==0 ) // ако сме във Фабриката ...
				{
					$skl_info = $this->Item->get_sklad_info($item_number,0);
					$data=array(
						'item_number' 	=> $item_number,
						'item_info'		=> $item_info,
						'skl_info'		=> $skl_info,
						'user_id'		=> $user_id,
						'location' 		=> $location );
				}
				else // ако е магазин ...
				{
               $skl_info = 0;
               if ( $this->Item->exists_in_sklad($item_number,$location) ) 
						{ $skl_info = $this->Item->get_sklad_info($item_number,$location);}
						
					$data=array(
                   'item_number' => $item_number,
						 'item_info'	=> $item_info,
						 'skl_info'    => $skl_info,
                   'user_id'		=> $user_id,
						 'location'		=> $location );
				}

				// приготвям си консигнаторите
				$all_consi = $this->Consignee->get_all_dropdown()->result_array();
				$data['all_consi'] = $all_consi;
				$data['client_name'] = array('0'=>'ЦЕНТРАЛЕН СКЛАД - ГП');
				$data['client_id'] = array('0');
				foreach($all_consi as $line=>$consi)
            {
               $data['client_id'][] = $consi['bisoft_id'];
               $data['client_name'][]=$consi['company_name'];
            }
				
				// проверка дали е качен на online shop-a ?
				if($this->OnLine->is_active_online_item($item_number)) { $data['online_key']=1;}
				$data["history_Key"] = 0;

				$mode_menu = 'home'; // 'item_search';
				$this->BiSOFT_Model->set_mode_menu($mode_menu);
			$this->load->view("bisoft/item_search",$data);
			}
		else
			{	$data=array(
						'warning'	=> $this->lang->line('common_cannot_findit'),
						'user_id'	=> $user_id,
						'location' 	=> $location );
				$this->BiSOFT_Model->set_user_mode('0');
				$this->load->view("home",$data);
			}

		} // край на търсенето за Google-Артикул

/* ================================ търся да не е ГРУПА ?!? ================================ */
		elseif ( (substr($google_item,0,1)=='g' or substr($google_item,0,1)=='G') 
					 and $location<2)
		{
			$group_txt = substr($google_item, 1);
			if( is_numeric($group_txt) )
			{ $group = (int) substr($google_item, 1);$size=0;}
			else
			{
				$Qr = explode(',',$group_txt);
				$group = $Qr[0];
				$size  = strtoupper($Qr[1]);
			}
		
			$print_type='prices';		
			$findYes = 0;
			$export_excel = 0;
			
			$data['user_id']	  = $user_id;
			$data['location']   = $location = $skl = $this->BiSOFT_Model->get_location();
			$data['bisoft_id']  = $skl;
			$data['vedom_pack'] = $this->BiSOFT_Model->get_vedom();
			$data['vedom_year'] = $this->BiSOFT_Model->get_user_mode_year();
			
			$data['sklad']		  = $skl;
			if($skl==0) { $data['sklad_name'] = $this->lang->line('items_sklad').'-ГП';}
			else { $data['sklad_name'] = $this->lang->line('items_sklad').'-'.$skl;}

			$data['group']		  = $group;
			$data['size']		  = $size;
			
			$data['category']   = 0;
			$data['collection'] = 0;
			$data['cat_name']	  ='';
			
			$data['client_info']  = $this->Consignee->get_info_by_bisoft_id($skl);
		
			$data['export_excel'] = $export_excel;		
				
			// зарежда размерите ...
			$data['size_grid']  = $this->BiSOFT_Model->get_sizes('grid_1');
			$data['size_table'] = $this->BiSOFT_Model->get_sizes('grid_2');

			// here we go ...
			$this->load->view("items/sklad_print",$data);
			
		} // край на ГРУПА search ...
/* ================================ търся да не е КОЛЕКЦИЯ ?!? ================================ */
		elseif ( (substr($google_item,0,1)=='c' or substr($google_item,0,1)=='C') 
					 and $location<2)
		{
			$coll_txt = substr($google_item, 1);
			if( is_numeric($coll_txt) )
			{ $coll = (int) substr($google_item, 1);$size=0;}
			else
			{
				$Qr = explode(',',$coll_txt);
				$coll = $Qr[0];
				$size  = strtoupper($Qr[1]);
			}
		
			$print_type='prices';		
			$findYes = $skl = 0;
			$export_excel = 0;
			
			$data['user_id']	  = $user_id;
			$data['location']   = $location = $this->BiSOFT_Model->get_location();
			$data['bisoft_id']  = $skl;
			$data['vedom_pack'] = $this->BiSOFT_Model->get_vedom();
			$data['vedom_year'] = $this->BiSOFT_Model->get_user_mode_year();
			$data['sklad']		  = $skl;
			$data['size']		  = $size;
			$data['group']		  = 0;
			
			$data['category']   = 0;
			$data['cat_name']	  ='';
			$data['collection'] = $coll;
			
			$data['client_info']  = $this->Consignee->get_info_by_bisoft_id($skl);
		
			$data['export_excel'] = $export_excel;		
				
			// зарежда размерите ...
			$data['size_grid']  = $this->BiSOFT_Model->get_sizes('grid_1');
			$data['size_table'] = $this->BiSOFT_Model->get_sizes('grid_2');

			// here we go ...
			$this->load->view("items/sklad_print",$data);
			
		} // край на КОЛЕКЦИЯ search ...
		
/* ================================ търся да не е ТЕСТ на СКЛАД ?!? ================================ */	
		elseif ( (substr(trim($google_item),0,5)=='sklad' or substr(trim($google_item),0,5)=='SKLAD') 
					 and $user_id<6 and $location==0)
		{
			$skl_left = -abs(strlen(trim($google_item))-5);
			$sklad = (int) substr(trim($google_item), $skl_left);
		
			$all_items = $this->Item->get_all_sklad($sklad, 10000, 0)->result_array();
			$track_data=array();
			foreach($all_items as $item)
			{
				$inum = $item['inum'];
				$qty  = $item['qty'];
				$idata = $this->Item->get_item_from_vedoms($inum,$sklad);
					
				$doc_result=0;
				if($this->Item->exists_in_sklad_R($inum,$sklad)) 
					{$doc_result += $this->Item->get_sklad_R_info($inum,$sklad)->qty;}
				
				foreach($idata as $inVed)
				{
					$doc_mode = $inVed['mode_id'];
					$doc_qty  = $inVed['item_qty'];
					if($sklad==0)
						{ }
					else // за МАГАЗИН
						{
							if($doc_mode=='C') {$doc_result+=$doc_qty;}
							elseif($doc_mode=='CB') {$doc_result+=$doc_qty;}
							elseif($doc_mode=='SE') {$doc_result-=$doc_qty;}
							elseif($doc_mode=='BP') {$doc_result-=$doc_qty;}
						}
				}
				
				if($doc_result!=$qty) // добавя в Tracking...
				{
					$track_data[]=array(
								"inum" => $inum,
								"name" => $this->Item->get_name($inum),
								"qty"  => $qty,
								"doc_qty" => $doc_result );
				}
			}
			
			if(count($track_data)>0)
			{
				$data = array(
							"track_data"  => $track_data,
							"sklad"	   => $sklad,
							"user_id"	=> $user_id,
							"location"  => $location );

				$this->load->view('bisoft/sklad_tracking', $data);
			}
			else  // при OK ...
			{
				$data = array(
							"success" 	=> $this->lang->line('items_sklad').'-'.$sklad.' '.$this->lang->line('common_sklad_no_errors'),
							"user_id"	=> $user_id,
							"location"  => $location );
				$this->load->view('home', $data);
			}

		} // край на ТЕСТ на СКЛАД search ...		
		
/* ================================ търся да не е ДОКУМЕНТ ?!? ================================ */		
		elseif (strlen($google_item)==10 and (int) substr($google_item, 0, -6)>1700 and $location==0)  // нормално 1400
		{
			$doc_number = $google_item;
			$vedomPack = 'V'.substr($google_item, 0, -6);

			// проверка дали го има изобщо този документ.
			if ( $this->BiSOFT_Model->exists_doc_number($doc_number,$vedomPack) )
				{
					$doc_info = $this->BiSOFT_Model->get_info_by_docNumber($doc_number,$vedomPack)->row_array();
					$doc_id 	 = $doc_info['doc_id'];
			 		$mode = $doc_info['mode'];
					
					 if(	$mode=='sale' or $mode=='sale_return' or $mode=='online_sale' or $mode=='consi_sale' or 
							$mode=='shop_sale' or $mode=='shop_return' )
						{	$this->blanka_sales_print($doc_number,$vedomPack,'prices',true);}
					elseif($mode=='proforma' or $mode=='offer')
						{
							$findYes = 1;$print_type='prices';
							$this->blanka_invoices_print($doc_number,$vedomPack,$print_type);
						}
					else 
						{	$this->blanka_recvs_print($doc_number,$vedomPack,'sizes',true);}						
				}
			else
				{	$data = array(
							"warning" 	=> $this->lang->line('common_cannot_findit'),
							"user_id"	=> $user_id,
							"location"  => $location );
					$this->load->view("home",$data);
				}

		} // край на doc_number search ...

/* ================================ търся да не е ФАКТУРА ?!? ================================ */	
		elseif ( (substr($google_item,0,1)=='f' or substr($google_item,0,1)=='F') 
							and is_numeric(substr($google_item, 1)) and $location==0)
		{
			$invoice_number = (int) substr($google_item, 1);
			$print_type='prices';
			
			$findYes = 0;
			$period  = date('ym');  // само за този месец ...
			
			for($k=$period;$k>1700;$k--) // перфектен начин за обратен годишен брояч / нормално 1400 / ?! 
			{
				if( (int)substr($k,-2)==0 ) {$k-=88;}
				$vedomPack = 'V'.$k;

				// проверка дали я има тази фактура в месеца.
				if ( $this->BiSOFT_Model->exists_invoice($invoice_number,$vedomPack,0) )
					{
						$findYes = 1;
						$this->blanka_invoices_print($invoice_number,$vedomPack,$print_type);
					}				
			}

			// ако не я отрие
			if(!$findYes)
			{	$data = array(
							"warning" 	=> $this->lang->line('common_cannot_findit'),
							"user_id"	=> $user_id,
							"location"  => $location );
				$this->load->view("home",$data);
			}

		} // край на faktura search ...

/* ============================= търся да не е ФАКТУРА в др.ФИРМА-2 ?!? ============================== */
		elseif ( (substr($google_item,0,2)=='ff' or substr($google_item,0,2)=='FF') 
			and is_numeric(substr($google_item, 2)) and $location==0)
		{
			$invoice_number = (int) substr($google_item, 2);
			$print_type='prices';
			
			$findYes = 0;
			$period  = date('ym');  // само за този месец ...
			
			for($k=$period;$k>1400;$k--) // перфектен начин за обратен годишен брояч ?! 
			{
				if( (int)substr($k,-2)==0 ) {$k-=88;}
				$vedomPack = 'V'.$k;
				// проверка дали я има тази фактура в месеца.
				if ( $this->BiSOFT_Model->exists_invoice($invoice_number,$vedomPack,2) )
					{
						$findYes = 1;
						$this->blanka_invoices_print($invoice_number,$vedomPack,$print_type);
					}				
			}

			// ако не я отрие
			if(!$findYes)
			{	$data = array(
							"warning" 	=> $this->lang->line('common_cannot_findit'),
							"user_id"	=> $user_id,
							"location"  => $location );
				$this->load->view("home",$data);
			}
		} // ФАКТУРА-2 ...

// край --------------------------------------- //
	else  // при ГРЕШКА ...
		{  $data = array(
							"warning" 	=> $this->lang->line('common_cannot_findit'),
							"user_id"	=> $user_id,
							"location"  => $location );
			$this->load->view("home",$data);
		} // край на item search ...


	}	// Край на функцията Google Search ...

/* ============================== END OF BiSOFT GOOGLE ТЪРСАЧКА =============================== */


	// Check BiSOFT Key
	function check_BiSOFT_Key($user=0)
	{
		$this->BiSOFT_Model->set_mode_menu(0);
		$data=array( 'info' => $this->lang->line('common_no_worries') );
		$this->load->view("home_ckp",$data);
	}

	// SET OFF CKP Key
	function set_version_ckp($key_CKP=1)
	{
		$this->BiSOFT_Model->set_mode_menu(0);
		$this->BiSOFT_Model->set_version_ckp($key_CKP);
		if (!$key_CKP) { $data=array( 'warning' => 'OK ! You are free to go ahead ...' );}
		else { $data=array();}
	$this->load->view("home",$data);
	}

// ======================================= BLANKA PRINTS ============================== //

	// ПЕЧАТ на Всички ПРОДАЖБИ
	function blanka_sales_print($doc_number,$vedomPack,$print_type='prices',$backNoKey=true )
	{ 
      $lng = 'BG';
      if($print_type=='prices_GR')     { $lng='GR';$print_type='prices'; }
      elseif($print_type=='prices_RO') { $lng='RO';$print_type='prices'; }
      require_once(APPPATH."plugins/bisoft/blanka_sales_print.php"); 
	}


	// ПЕЧАТ само Доставни Документи
	function blanka_recvs_print($doc_number,$vedomPack,$print_type='sizes',$backNoKey=true )
	{ require_once(APPPATH."plugins/bisoft/blanka_recvs_print.php"); }


	// Специално ПЕЧАТ на ФАКТУРИ и Invoices
	function blanka_invoices_print($invoice_number,$vedomPack,$print_type='prices',$backNoKey=true )
	{ require_once(APPPATH."plugins/bisoft/blanka_invoices_print.php"); }
	
	
	// Показва документа в thickbox-a
	function blanka_any_document($doc_number,$vedomPack,$inum)
	{ require_once(APPPATH."plugins/bisoft/blanka_any_thickbox.php"); }



/* ================================== ITEM MANAGER ================================= */
	public function change_sklad()
	{
		$sklad = $this->input->post("item_sklad");
		$this->BiSOFT_Model->set_user_client($sklad);
		$item_number = $this->BiSOFT_Model->get_mode_mat();
		$this->item_history_tracking($item_number,$sklad);
	}

	public function tracking_item_search()
	{
		$search = $this->input->post('search');
		$this->BiSOFT_Model->set_mode_mat($search);
		$sklad = $this->BiSOFT_Model->get_user_mode_client();
		$this->item_history_tracking($search,$sklad);
	}

	public function edit_item_revision($item_number,$sklad=0)
	{
		$success = 1;
		// item info
		$allow_sizes = $this->Item->get_allow_sizes($item_number);
		$skl_info = $this->Item->get_sklad_info($item_number,$sklad);
		$date_R  = date('Y-m-d',strtotime($this->input->post('date_R')) );
		
		if($allow_sizes)
		{
			$q1 = $this->input->post('q1');if(!$q1){$q1='';}
			$q2 = $this->input->post('q2');if(!$q2){$q2='';}
			$q3 = $this->input->post('q3');if(!$q3){$q3='';}
			$q4 = $this->input->post('q4');if(!$q4){$q4='';}
			$q5 = $this->input->post('q5');if(!$q5){$q5='';}
			$q6 = $this->input->post('q6');if(!$q6){$q6='';}
			$q7 = $this->input->post('q7');if(!$q7){$q7='';}
			$q8 = $this->input->post('q8');if(!$q8){$q8='';}
			$q9 = $this->input->post('q9');if(!$q9){$q9='';}
			$q10 = $this->input->post('q10');if(!$q10){$q10='';}
			$qty = (int)$q1+(int)$q2+(int)$q3+(int)$q4+(int)$q5+
					 (int)$q6+(int)$q7+(int)$q8+(int)$q9+(int)$q10;
		}
		else 
		{
			$q1=$q2=$q3=$q4=$q5=$q6=$q7=$q8=$q9=$q10='';
			$qty=(int)$this->input->post('qty');
		}
		
		$item_data=array(
			 'date_R' => $date_R,
				'inum' => $item_number,
				 'skl' => $sklad,
				 'qty' => $qty,
				  'q1' => $q1,'q2' => $q2,'q3' => $q3,'q4' => $q4,'q5' => $q5,
				  'q6' => $q6,'q7' => $q7,'q8' => $q8,'q9' => $q9,'q10' => $q10,
				 'del' => 0 );
		
		$success = $this->Item->save_sklad_R($item_data);
	
	$this->item_history_tracking($item_number,$sklad);
	}

	
	function input_item_from_old_BiSOFT($item_number,$sklad=0)
	{
		$error=0;
		if(!$this->Item->exists_in_sklad_R($item_number,$sklad))
		{
			$msg = "input_item_from_old_BiSOFT";
			$failCodes = null;
			$successCode = null;
			$location = $this->BiSOFT_Model->get_location(); // това за сега е нашето положение

			if($sklad==0) { $myFile = 'SKLAD9.xls'; }
			else {$myFile = 'MC'.str_pad($sklad, 6, "0", STR_PAD_LEFT).'.xls';}

			// get BiSOFT path
			$this->CI =& get_instance();
			$bisoft_path = $this->CI->BiSOFT_Model->get_path();

			$this->load->library('spreadsheetexcelreader');
			$this->spreadsheetexcelreader->setOutputEncoding('CP1251'); // Set output Encoding

			$sRoot = $_SERVER['DOCUMENT_ROOT'];
			$file_to_read = $sRoot.'/'.$bisoft_path.'/CONVERT/'.$myFile;

		// Load KLIENT DELO from BiSOFT ....
			if(!is_readable($file_to_read))
			{ // ГРЕШКА - връщаме се в началото на controller-a ...
					$msg = $this->lang->line('common_error_import');
					$data['error'] = $msg;
					$this->item_history_tracking($item_number,$sklad);
			}
			else 
			{ // тук вече зарежда нормално от BiSOFT  ... - >

				$data_file = new Spreadsheetexcelreader($file_to_read, false);

				$rowCount = $data_file->rowcount(0);
				$item_data = 0;

				if($rowCount > 1)
				{  // #2 if row > 1

					for($i = 5; $i<=$rowCount; $i++) 
					{  // #3 for i=1 and on ...
						$item_code = intval( $data_file->val($i,'A') );
						
						if($item_code==$item_number)
						{	
							$qty_1=$data_file->val($i,'D');$qty_2=$data_file->val($i,'E');$qty_3=$data_file->val($i,'F');
							$qty_4=$data_file->val($i,'G');$qty_5=$data_file->val($i,'H');$qty_6=$data_file->val($i,'I');
							$qty_7=$data_file->val($i,'J');$qty_8=$data_file->val($i,'K');$qty_9=$data_file->val($i,'L');

							if($qty_1==0) {$qty_1='';} if($qty_2==0) {$qty_2='';} if($qty_3==0) {$qty_3='';}
							if($qty_4==0) {$qty_4='';} if($qty_5==0) {$qty_5='';} if($qty_6==0) {$qty_6='';}
							if($qty_7==0) {$qty_7='';} if($qty_8==0) {$qty_8='';} if($qty_9==0) {$qty_9='';}
							$qty_max = '';

							$item_data = array(
								'inum'	=> $item_code, 
									'skl' => $sklad,
								'date_R' => date('2014-06-01'),
									'qty'	=> $data_file->val($i, 'M'),
									'q1'	=> $qty_1,'q2'=>$qty_2,'q3'=>$qty_3,
									'q4'	=> $qty_4,'q5'=>$qty_5,'q6'=>$qty_6,
									'q7'	=> $qty_7,'q8'=>$qty_8,'q9'=>$qty_9,
									'q10'	=> $qty_max,'del' => 0 );
						}
					} //  #3  End of every item row  FOR i= ...
					// update of DataBase sklads - работи !!!
					if($item_data) {if(!$this->Item->save_sklad_R($item_data)) {$error='ГРЕШКА ПРИ ЗАПИС В СКЛАД-'.$sklad;} }
					else {$error='НЯМА ТАКЪВ КОД В СКЛАД-'.$sklad;}
				}
			}  //  #2 if row >1
		} // if(exists_in_sklad_R END
		else {$error='НЕ МОГА ДА ЗАРЕДЯ ОТ СТАРИЯ BiSOFT, ИМА ЗАПИС ЗА ТАКЪВ АРТИКУЛ В СКЛАД-R';}

	$this->item_history_tracking($item_number,$sklad,$error);
	}

	
	public function item_history_tracking($item_number,$sklad=0,$error=0)
	{
		$this->BiSOFT_Model->set_mode_mat($item_number);
		$user_id = $this->BiSOFT_Model->get_person();
		$location = $this->BiSOFT_Model->get_location();
		
		$item_info = $this->Item->get_blanka_info($item_number);
		$skl_info = $this->Item->get_sklad_info($item_number,$sklad);
		
		$sizes = $this->Item->get_sizes($item_number);
		$allow_sizes = $item_info->allow_sizes;
		
		if($location==0 and $sklad==0) {$skl = '-1';}
		elseif($location==0 and $sklad!=0) {$skl = $sklad;}
		elseif($location!=0) {$skl = $location;}
		
		// основната месечна информация
		$rev_info = $this->Item->get_sklad_R_info($item_number,$skl);
		if($rev_info) { $doc_date = $rev_info->date_R;}
		elseif($skl>0 and $location>10) {$doc_date=date('Y-01-01');} // тук магазините виждат САМО тек.Година !!!
		else { $doc_date=date('2014-01-01');$rev_info=0;}

		$track_data = $this->Item->get_item_from_vedoms($item_number,$skl,$doc_date);

		// вземам си всички СКЛАДОВЕ		
		if($location==0)
			{	$skl_info = $this->Item->get_sklad_info($item_number,$sklad);
				$data['consignee'] = $this->BiSOFT_Model->get_user_mode_client();
				$data=array(
						'item_number' 	=> $item_number,
						'track_data'   => $track_data,
						'sizes'			=> $sizes,
						'allow_sizes'  => $allow_sizes,
						'item_info'		=> $item_info,
						'skl_info'		=> $skl_info,
						'rev_info'		=> $rev_info,
						'user_id'		=> $user_id,
						'error'			=> $error,
						'sklad'			=> $sklad, // $data['consignee'],
						'location' 		=> $location );
						
				$data['consignees'] = array('0' => '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'.$this->lang->line('items_title_header'));
				foreach ($this->Item->get_all_consignees()->result() as $consignee)
				{ $data['consignees'][$consignee->bisoft_id] = ' ( '.$consignee->bisoft_id.' ) - '.character_limiter($consignee->company_name,32);}
				$data['sklad_title']='';
				if($skl==0){$data['sklad_title']=$this->lang->line('items_title_header');}
				elseif($skl>0){$data['sklad_title']=$this->lang->line('items_sklad').$data['consignees'][$skl];}
			}
		else
			{
				$skl_info = $this->Item->get_sklad_info($item_number,$location);
				$data=array(
						'item_number' 	=> $item_number,
						'track_data'   => $track_data,
						'sizes'			=> $sizes,
						'allow_sizes'  => $allow_sizes,
						'item_info'		=> $item_info,
						'skl_info'		=> $skl_info,
						'rev_info'		=> $rev_info,
						'user_id'		=> $user_id,
						'error'			=> $error,
						'sklad'			=> $location,
						'location' 		=> $location );
						
				$data['sklad_title'] = $this->lang->line('items_sklad').' '.$skl.' - '.$this->Consignee->get_consi_name($location);
				$data['consignee']   = $location;
				$data['consignees']  = array($location=>$data['sklad_title'] );
			}

		$mode_menu = 'home'; // 'item_history';
		$this->BiSOFT_Model->set_mode_menu($mode_menu);

	$this->load->view("bisoft/item_history",$data);
	}

}
?>
