<?php require_once ("Secure_area.php");

class Kacas extends Secure_area 
{
	function __construct()
	{
		parent::__construct('Kacas');
		$this->load->library('Kaca_lib');	
	}
	
	function index()
	{
		$this->kaca_lib->clear_all();
		// Инициализация
		$mode_menu = 'kacas';
		$this->BiSOFT_Model->set_mode_menu($mode_menu);
		$this->refresh();
	}
	
	function change_mode()
	{
		$mode = $this->input->post("mode");
		$this->kaca_lib->set_mode($mode);
		$this->BiSOFT_Model->set_user_mode($mode);
	$this->refresh();
	}


	function change_kaca_mode()
	{
		$mode = $this->input->post("kaca_mode");
		$this->kaca_lib->set_mode($mode);
		$this->BiSOFT_Model->set_user_mode($mode);
	$this->refresh();
	}

	function change_firma()
	{
		$firma = $this->input->post("kaca_firma");
		$this->kaca_lib->set_firma($firma);
	$this->refresh();
	}
	
	
	function change_kaca_period()
	{
		$period = $this->input->post("kaca_period");
		$this->kaca_lib->set_period($period);
	$this->refresh();
	}

	function kaca_lock()
	{
		$this->kaca_lib->set_mode('kaca');
		$this->BiSOFT_Model->set_user_mode('kaca');
	$this->refresh();
	}

	function kaca_fuck()
	{
		$pasac = $this->config->item('pasac');
		$kaca_post = md5($this->input->post("kaca_lock"));
	if ( $kaca_post == $pasac )
		{
			$this->kaca_lib->set_mode("kaca_kaca");
			$this->BiSOFT_Model->set_user_mode("kaca_kaca");
		}
		else 
		{
			$this->kaca_lib->set_mode("kaca");
			$this->BiSOFT_Model->set_user_mode("kaca");
		}
	$this->refresh();
	}

	function show_hide_DATE()
	{
		if ( !$this->kaca_lib->get_dateKey() ) 
				{ $this->kaca_lib->set_dateKey(); }
		else	{ $this->kaca_lib->clear_dateKey(); }
	$this->refresh();
	}

	function change_YEAR()
	{
		$c_day = date('d', strtotime( $this->BiSOFT_Model->get_user_mode_date() ));
		$c_month = date('m', strtotime( $this->BiSOFT_Model->get_user_mode_date() ));
		$c_year = $this->input->post("mode_year");
		  $m_limit = $this->BiSOFT_Model->get_month_limit($c_month,$c_year);
		  if($c_day>$m_limit) {$c_day=$m_limit;}
		$mode_date = $c_year.'-'.$c_month.'-'.$c_day;
		$this->BiSOFT_Model->set_user_date($mode_date);
		$this->BiSOFT_Model->set_user_year($c_year);
	$this->refresh();
	}

	function change_MONTH()
	{
		$c_day = date('d', strtotime( $this->BiSOFT_Model->get_user_mode_date() ));
		$c_month = $this->input->post("mode_month");
		$c_year = date('Y', strtotime( $this->BiSOFT_Model->get_user_mode_date() ));
		  $m_limit = $this->BiSOFT_Model->get_month_limit($c_month,$c_year);
		  if($c_day>$m_limit) {$c_day=$m_limit;}
		$mode_date = $c_year.'-'.$c_month.'-'.$c_day;
		$this->BiSOFT_Model->set_user_date($mode_date);
	$this->refresh();
	}

	function change_DAY()
	{
		$c_day = $this->input->post("mode_day");
		$c_month = date('m', strtotime( $this->BiSOFT_Model->get_user_mode_date() ));
		$c_year = date('Y', strtotime( $this->BiSOFT_Model->get_user_mode_date() ));
		  $m_limit = $this->BiSOFT_Model->get_month_limit($c_month,$c_year);
		  if($c_day>$m_limit) {$c_day=$m_limit;}
		$mode_date = $c_year.'-'.$c_month.'-'.$c_day;
		$this->BiSOFT_Model->set_user_date($mode_date);
	$this->refresh();
	}

	function change_PRICE()
	{
		$mode_price = $this->input->post("mode_price");
		$this->kaca_lib->set_mode_price($mode_price);
		$this->BiSOFT_Model->set_user_price($mode_price);
	$this->refresh();
	}

	function change_client_mode($client_mode='customer')
	{
		$this->kaca_lib->set_client_mode($client_mode);
	$this->refresh();
	}


/* --------- SUPPLIERS ---------- */
	function supplier_search()
	{
		$suggestions = $this->Supplier->get_supplier_search_suggestions($this->input->post('q'),$this->input->post('limit'));
		echo implode("\n",$suggestions);
	}

	function select_supplier()
	{
		$supplier_id = $this->input->post("supplier");
		$this->kaca_lib->set_supplier($supplier_id);
		$this->kaca_lib->set_mode("kaca_all");
		$this->kaca_lib->set_period("this_year");
		$this->kaca_lib->set_customer(-1);
		$this->kaca_lib->set_consignee(-1);
	$this->refresh();
	}

	function remove_supplier()
	{
      $user_id = $this->BiSOFT_Model->get_person();
      if($user_id<6) {$this->kaca_lib->set_mode("kaca_kaca");}
      else {$this->kaca_lib->set_mode("kaca");}
		$this->kaca_lib->remove_supplier();
		$this->kaca_lib->clear_period();
	$this->refresh();
	}


/* --------- CUSTOMERS ---------- */
	function customer_search()
	{
		$suggestions = $this->Customer->get_customer_search_suggestions($this->input->post('q'),$this->input->post('limit'));
		echo implode("\n",$suggestions);
	}

	function select_customer()
	{
		$customer_id = $this->input->post("customer");
		$this->kaca_lib->set_customer($customer_id);
		$this->kaca_lib->set_mode("kaca_all");
		$this->kaca_lib->set_period("this_year");
		$this->kaca_lib->set_consignee(-1);
		$this->kaca_lib->set_supplier(-1);
	$this->refresh();
	}

	function remove_customer()
	{
      $user_id = $this->BiSOFT_Model->get_person();
      if($user_id<6) {$this->kaca_lib->set_mode("kaca_kaca");}
      else {$this->kaca_lib->set_mode("kaca");}
		$this->kaca_lib->remove_customer();
		$this->kaca_lib->clear_period();
	$this->refresh();
	}
	

/* --------- CONSIGNEES ---------- */
	function consignee_search()
	{
		$suggestions = $this->Consignee->get_consignee_search_suggestions($this->input->post('q'),$this->input->post('limit'));
		echo implode("\n",$suggestions);
	}

	function select_consignee()
	{
		$consignee_id = $this->input->post("consignee");
		$this->kaca_lib->set_consignee($consignee_id);
		$this->kaca_lib->set_mode("kaca_all");
		$this->kaca_lib->set_period("this_year");
		$this->kaca_lib->set_customer(-1);
		$this->kaca_lib->set_supplier(-1);
	$this->refresh();
	}

	function remove_consignee()
	{
      $user_id = $this->BiSOFT_Model->get_person();
      if($user_id<6) {$this->kaca_lib->set_mode("kaca_kaca");}
      else {$this->kaca_lib->set_mode("kaca");}
		$this->kaca_lib->remove_consignee();
		$this->kaca_lib->clear_period();
	$this->refresh();
	}


	function delete($doc_id,$vedomPack)
	{
		$data = array();

		if ($this->Kaca->delete($doc_id,$vedomPack))
			{ $data['success'] = $this->lang->line('sales_delete_successful');}
		else
			{ $data['error'] = $this->lang->line('sales_delete_unsuccessful');}

	// $this->load->view('kaca/delete', $data);
	$this->refresh();	
	}
	

	function search()
	{ $this->refresh();}


	function kaca_print($toPrint)
	{ 
		
		if(!isset($toPrint)) { $toPrint=0; }
		require_once(APPPATH."plugins/kaca/kaca_RELOAD.php");
		die();
		// $this->refresh($toPrint);
	}
	
	
	function kaca_month_extract($period)
	{ require_once(APPPATH."plugins/kaca/kaca_categories.php");}
	
	
/* -------------------------- ДОКУМЕНТИ ------------------------------- */
	function edit($doc_id,$vedomPack)
	{ require_once(APPPATH."plugins/kaca/kaca_edit.php");}

	
/* ======================== СЧЕТОВОДНИ СМЕТКИ ====================== */
	function smetki($period)
	{ require_once(APPPATH."plugins/kaca/kaca_smetki.php");}
	
	function save_period($period)
	{ require_once(APPPATH."plugins/kaca/kaca_save_period.php");}
	

/* ==================== ДОКУМЕНТИ INVOICES ==================== */

	function edit_invoice($doc_id,$vedomPack)
	{ require_once(APPPATH."plugins/kaca/kaca_edit_invoice.php");}

/* ==================== ДОКУМЕНТИ SALES ==================== */
	function edit_sale($doc_id,$vedomPack,$mode)
	{ require_once(APPPATH."plugins/kaca/kaca_edit_sale.php");}
	

/* ==================== ДОКУМЕНТИ ONLINE SALES ==================== */
	function edit_online_sale($doc_id,$vedomPack,$mode)
	{ require_once(APPPATH."plugins/kaca/kaca_edit_online_sale.php");}


/* ==================== ДОКУМЕНТИ RECVS ==================== */
	function edit_recv($doc_id,$vedomPack,$mode)
	{ require_once(APPPATH."plugins/kaca/kaca_edit_recv.php");}



/* =================== ПРИХОДИ ================ */
	function prihod($vedomPack)
	{ require_once(APPPATH."plugins/kaca/kaca_prihod.php");}

	function save_prihod($doc_id)
	{ require_once(APPPATH."plugins/kaca/kaca_save_prihod.php");}


/* =================== РАЗХОДИ ================ */
	function razhod($vedomPack)
	{ require_once(APPPATH."plugins/kaca/kaca_razhod.php");}

	function save_razhod($doc_id)
	{ require_once(APPPATH."plugins/kaca/kaca_save_razhod.php");}
	


/* ========================== RELOAD ============================== */	
	function refresh()
	{ 
		if(!isset($toPrint)) { $toPrint=0; }
		require_once(APPPATH."plugins/kaca/kaca_RELOAD.php");
	}


} ?>
