<?php

class Login extends CI_Controller 
{
	function __construct()
	{ parent::__construct(); }
	
	function index()
	{
		$data = array();
		$keyAccess = $certKey = 0;
		$this->load->library('Bisoft_lib');
		$firma = $this->BiSOFT_Model->get_firma_key();

		if( CERTKEY!==0 ) 
		{  
			$certKey = CERTKEY; $certName='';
			if($certKey and CERTNAME!=='') { $certName=CERTNAME; }
         $this->bisoft_lib->check_certkey($certKey,$certName);
      }

      if($this->bisoft_lib->get_certkey())
      {
         $keyAccess = $this->bisoft_lib->get_keyAccess();
         if($keyAccess > 0) {$data['xyu_key']=1;} 			// OK
         elseif($keyAccess===0 and $firma['styler']===1) // Out
         { 
				$this->session->sess_destroy();
				require_once 'fShop.php'; die();
			}
      }
	
	
		// Всички др.фирми освен XAHHA и STYLER => online shop
		if($keyAccess===0 and $firma['hanna']!=1 and $firma['styler']!=1)  { redirect("Onlines"); }

		$this->BiSOFT_Model->set_version();
		$isMobile = $this->BiSOFT_Model->isMobile();if($isMobile!=1) {$isMobile=0;}
		$data['isMobile'] = $isMobile;

		if($this->Employee->is_logged_in())
		{
			$user_id = $this->Employee->get_logged_in_employee_info()->person_id;
			if ($user_id > 0) // само за HAC :)
				{
					$this->BiSOFT_Model->zebex_delete();
					redirect('Home'); 
				}
			else { $this->session->sess_destroy();sleep(1);header('Location: https://google.com'); }
		}
		else
		{
			 $this->form_validation->set_rules('username', 'lang:login_undername', 'callback_login_check');
    	    $this->form_validation->set_error_delimiters('<div class="error">', '</div>');

			if($this->form_validation->run() == FALSE)
			{
				$data['isMobile'] = $isMobile;
				$ip_address = $this->input->ip_address();
			
				if(
					substr($ip_address,0,5)  == '26.80'         or // BiSOFT intranet
					substr($ip_address,0,5)  == '68.80' 	     or // STYLER intranet
					substr($ip_address,0,7)  == '192.168'  	  or // any intranet 192.168.x.x
					substr($ip_address,0,13) == '78.130.146.13' or // STYLER address

					$ip_address=='79.100.190.3'		or 	// home address
					$ip_address=='213.145.110.166'	or 	// Kanevski address
					$ip_address=='87.252.184.52'		or 	// Geri Ilieva address
					$ip_address=='85.187.200.6'   	or 	// ViLLy Style address

					$ip_address=='127.0.0.1'  or $ip_address=='localhost' or $ip_address=='::1'  // any localhost
					)
					
            { $data['xyu_key'] = 1; }  		// NO Firewall entry
            else
            { 	if(CERTKEY===0 and $keyAccess===0) 
					{ $this->session->sess_destroy();sleep(1);header('Location: https://google.com'); } 
				}
            $this->load->view('login',$data); 
			}
			else 
			{
            if($this->session->userdata('passw') && $this->session->userdata('passw')=='styler') 
               { redirect("Shops/index"); }

				$user_id = $this->Employee->get_logged_in_employee_info()->person_id;
				if ($user_id > 0) // само за HAC :)
					{
						$this->BiSOFT_Model->zebex_delete();
						redirect('Home');
					}
				else { $this->session->sess_destroy();sleep(1);header('Location: https://google.com'); }

			}
		}
	}
	
	
	function login_check($username)
	{
      $password = $this->input->post("password");
      if(substr($username,0,4)!='cstm')
      {
         if(!$this->Employee->login( $username, $password))
         {
            $this->form_validation->set_message('login_check', $this->lang->line('login_invalid_username_and_password'));
            return false;
         }
         else 
         {  return true;}
		}
		else // за клиенти
		{
         $person_id = (int)substr($username,-4);
         if($password=='styler' && is_numeric($person_id))
            {
               $this->session->set_userdata('person_id', $person_id);
               $this->session->set_userdata('passw', $password);
               return true;
            }
         else 
            {
               $this->form_validation->set_message('login_check', $this->lang->line('login_invalid_username_and_password'));
               return false;
            }
		}
	}

	function xyu_key()
	{
		$isMobile = $this->BiSOFT_Model->isMobile();if($isMobile!=1) {$isMobile=0;}
		$data['xyu_key'] = 0;
		$data['isMobile'] = $isMobile;
		$this->load->view('login',$data);
	}

	function check_xyu_key()
	{
		$isMobile = $this->BiSOFT_Model->isMobile();if($isMobile!=1) {$isMobile=0;}
		$xyu_pasw = strtoupper($this->input->post("xyu"));

		if ( $xyu_pasw == '0C4885FB0A05' ) 
		 {
			$data['xyu_key'] = 1;
			$data['isMobile'] = $isMobile;
			$this->load->view('login',$data);
		 }
		else
		 {
			$data = array();
			$data['isMobile'] = $isMobile;
			$this->load->view('login',$data);
		 }
	}

	function unlock_me()
	{
      if($this->Employee->get_logged_in_employee_info())
      {
         $person_id = $this->Employee->get_logged_in_employee_info()->person_id;
         $modes_data = array( 'admin_issues' => NULL );
         $this->Employee->save_modes( $modes_data, $person_id );
         $this->session->sess_destroy();
		}
		redirect('Home');
	}

}
?>
