<?php require_once ("Secure_area.php"); 

class Tdos extends Secure_area
{
	function __construct()
	{
		parent::__construct('Tdos');
		$this->load->library('Tdo_lib');
	}
	
	function index()
	{  // Техн.Описания => САМО за '0'-та //
		if($this->BiSOFT_Model->get_location()) {redirect('Home');}
		
		// $this->BiSOFT_Model->clear_user_modes();
		$this->BiSOFT_Model->clear_production();
		$mode_menu = 'tdos';
		$this->BiSOFT_Model->set_mode_menu($mode_menu);
		$this->_reload();
	}
	
	function search()
	{
	//	$bisoft_id = $this->tdo_lib->get_employee();
		require_once(APPPATH."plugins/tdo/tdo_search.php");
	}	
	
	function item_search()
	{
		$suggestions = $this->Item->get_item_search_suggestions($this->input->post('q'),$this->input->post('limit'));
		$suggestions = array_merge($suggestions, $this->Item_kit->get_item_kit_search_suggestions($this->input->post('q'),$this->input->post('limit')));
		echo implode("\n",$suggestions);
	}


	function change_mode()
	{
		$mode = $this->input->post("mode");
		$this->tdo_lib->set_mode($mode);
		$this->BiSOFT_Model->set_user_mode($mode);
	$this->_reload();
	}

	
	function change_collection()
	{
      $collection = $this->input->post("collection");
		$this->tdo_lib->set_collection($collection);
	$this->_reload();
	}
	
	function change_category()
	{
      $category = $this->input->post("category");
		$this->tdo_lib->set_category($category);
	$this->_reload();
	}	
	
	
	function edit_mat_form($inum)
	{
		$tdo_data = $this->Tdo->get_all_PH_mats();
		$tdo_item = $this->Tdo->get_item_PH_others($inum);
		$add_items = array();
		if($tdo_item)
		{
			if($others = json_decode($tdo_item))
			{
				foreach($others as $mat=>$raz) 
					{$add_items[$mat]=$raz;}
			}
		}
		else { $add_items=0; }

		$data = array(
				 'inum' => $inum,
			'tdo_data' => $tdo_data,
			'add_items' => $add_items );

		$this->load->view("tdo/tdo_razhodna_others",$data);
	}
	

	function save_mat_form($inum)
	{
		require_once(APPPATH."plugins/tdo/tdo_save_mat_form.php");
	}

	
/* =================================== РАЗХОДНА НОРМА ============================== */	
	function new_razhodna()
	{
		$this->load->view("tdo/tdo_new_razhodna");
	}
	
	function save_new_razhodna($inum=0)
	{
		if($inum>0) { require_once(APPPATH."plugins/tdo/tdo_save_new_razhodna.php"); }
		else { $this->_reload(); }
	}
	
	function close_razhodna($inum)
	{
		$this->tdo_lib->set_item(0);
		$this->_reload();
	}
	
	function open_razhodna($inum)
	{
		$this->tdo_lib->set_item($inum);
		$tdo_data = $this->Tdo->get_all_PH_mats();
		$tdo_item = $this->Tdo->get_item_PH_others($inum);
		$add_items = array();
		if($tdo_item)
		{
			if($others = json_decode($tdo_item))
			{
				foreach($others as $mat=>$raz) {$add_items[$mat]=$raz;}
			}
		}
		else { $add_items=0; }

		$data = array(
				 'inum' => $inum,
				 'name' => $this->Item->get_name($inum),
			'tdo_data' => $tdo_data,
		  'add_items' => $add_items );

		$this->load->view("tdo/tdo_razhodform",$data);
	}


	function save_razhodna($inum)
	{
		require_once(APPPATH."plugins/tdo/tdo_save_razhodform.php");
	}
	
	
	function copy_razhodna()
	{
		$this->load->view("tdo/tdo_copy_razhodna",$data);
	}
	
	function save_copy_razhodna($inum=0, $copy_inum=0)
	{
		if($copy_inum>9999 and $copy_inum<99999 and $this->Tdo->exists_item_PH($copy_inum))
		{
			$copy_info = $this->Tdo->get_item_PH($copy_inum);
			if($copy_info)
			{
				$data_copy=array(
					'inum' => $inum,
			'collection' => $copy_info->collection,
			  'category' => $copy_info->category,
				  'mat_1' => $copy_info->mat_1,
				  'raz_1' => $copy_info->raz_1,
				  'mat_2' => $copy_info->mat_2,
				  'raz_2' => $copy_info->raz_2,
				  'mat_3' => $copy_info->mat_3,
				  'raz_3' => $copy_info->raz_3,
				  'kSell' => $copy_info->kSell,
			  'facPrice' => $copy_info->facPrice,
          'techPrice' => $copy_info->techPrice,
          'subcPrice' => $copy_info->subcPrice,
			 'dostPrice' => $copy_info->dostPrice,
				  'total' => $copy_info->total,
				'data_PH' => $copy_info->data_PH,
					 'del' => 0 );
			}

			$this->Tdo->save_item_PH($data_copy,$inum);
			$data=array('inum'=>$inum);
			$this->_reload($data);
		}
		else
		{
			$data=array('error'=>'НЯМА ТАКАВА РАЗХОДНА НОРМА ?!');
			$this->_reload($data);
		}

	}
	

	
/* =================================== ЦЕНО-ОБРАЗУВАНЕ ============================== */
	function new_cost()
	{
		$this->load->view("tdo/tdo_new_cost");
	}
	
	function save_new_cost($inum=0)
	{
		if($inum>0) { require_once(APPPATH."plugins/tdo/tdo_save_new_cost.php"); }
		else { $this->_reload(); }
	}

	function copy_cost($inum=0)
	{
		if($inum>9999 and $inum<99999)
		{
			$data=array('inum'=>$inum);
			$this->load->view("tdo/tdo_copy_cost",$data);
		}
		else
		{$this->_reload();}
	}
	
	function save_copy_cost($inum=0, $copy_inum=0)
	{
		if($copy_inum>9999 and $copy_inum<99999 and $this->Tdo->exists_item_PH($copy_inum))
		{
			$copy_info = $this->Tdo->get_item_PH($copy_inum);
			if($copy_info)
			{
				$data_copy=array(
					'inum' => $inum,
			'collection' => $copy_info->collection,
			  'category' => $copy_info->category,
				  'mat_1' => $copy_info->mat_1,
				  'raz_1' => $copy_info->raz_1,
				  'mat_2' => $copy_info->mat_2,
				  'raz_2' => $copy_info->raz_2,
				  'mat_3' => $copy_info->mat_3,
				  'raz_3' => $copy_info->raz_3,
				  'kSell' => $copy_info->kSell,
				   'kVAT' => $copy_info->kVAT,
			  'facPrice' => $copy_info->facPrice,
          'techPrice' => $copy_info->techPrice,
          'subcPrice' => $copy_info->subcPrice,
			 'dostPrice' => $copy_info->dostPrice,
				  'total' => $copy_info->total,
				'data_PH' => $copy_info->data_PH,
					 'del' => 0 );
			}

			$this->Tdo->save_item_PH($data_copy,$inum);
			$data=array('inum'=>$inum);
			$this->_reload($data);
		}
		else
		{
			$data=array('error'=>'НЯМА ТАКОВА ЦЕНО-ОБРАЗУВАНЕ ?!');
			$this->_reload($data);
		}

	}
	
	
	function open_cost($inum)
	{
		$data = array( 'inum' => $inum);
		$this->load->view("tdo/tdo_costform",$data);
	}
	
	
	function save_cost($inum)
	{
		require_once(APPPATH."plugins/tdo/tdo_save_costform.php");
	}

	

// ======================================================================================== //
// ---------------------------------------- REALEN START ---------------------------------- //
	function _reload($data=array())
	{
	//	$this->load->model('Material');
      require_once(APPPATH."plugins/tdo/tdo_start_values.php");
      
		// select what view to run ...
		$data['controller_name']=strtolower(get_class());
		$tdo_view = "tdo/tdo_view";
		switch ($mode) 
		{
         case 'tdo_schema': // Скици
               $tdo_view = "tdo/tdo_schema";  
               break;
               
         case 'tdo_PH': // Разходни Норми
					$inum = 0; $data['razhodna'] = 0;
					if(isset($data['inum']) and is_numeric($data['inum']))
					{ 
						$inum = $data['inum'];
						$data['razhodna'] = $this->tdo_lib->get_razhodna($inum);
					}
         		// зарежда разходната норма ...
					if(!isset($inum)) {$inum=0;}
					$all_razhod = 0;

					// ---------------- зарежда ДОКУМЕНТИТЕ ------------- //
					$data['inum']  = $inum;
					$data['iname'] = $this->Item->get_name($inum);
					
					$all_razhod = $this->Tdo->get_item_PH($inum);
					$data['all_razhod'] = $all_razhod;

					if (isset($info)) { $data['info'] = $info;}
					if (isset($success)) { $data['success'] = $success;}
					if (isset($error)) { $data['error'] = $error;}
					
               $tdo_view = "tdo/tdo_razhod_list";  
               break;

         case 'tdo_COST': // Цено-образуване      
					$inum = 0; $data['costprice'] = 0;
					if(isset($data['inum']) and is_numeric($data['inum']))
					{ 
						$inum = $data['inum'];
						$data['costprice'] = $this->tdo_lib->get_razhodna($inum);
					}
         		// зарежда разходната норма ...
         		if(!isset($inum)) {$inum=0;}
					$all_razhod = 0;

					// ---------------- зарежда ДОКУМЕНТИТЕ ------------- //
					$data['inum']  = $inum;
					$data['iname'] = $this->Item->get_name($inum);
					
					$all_razhod = $this->Tdo->get_item_PH($inum);
					$data['all_razhod'] = $all_razhod;

					if (isset($info)) { $data['info'] = $info;}
					if (isset($success)) { $data['success'] = $success;}
					if (isset($error)) { $data['error'] = $error;}

               $tdo_view = "tdo/tdo_cost_list";
               break;
               
               
               
               
               
         case 'tdo_DB': // База Данни			
               $tdo_view = "tdo/tdoDB_view";  
               break;

         default: $tdo_view = "tdo/tdoDB_view";
		} // End of Switch $mode.

	$this->load->view($tdo_view,$data);
	}

	function cancel_tdo()
	{
    	$this->tdo_lib->clear_all();
   $this->_reload();
	}
	
	function clear_tdo()
	{
      $mode = $this->tdo_lib->get_mode();
    	$this->tdo_lib->clear_all();
    	$this->tdo_lib->set_mode($mode);
   $this->_reload();
	}


} // ======================== КРАЙ ТЕХНИЧЕСКО ОПИСАНИЕ ============================ //
?>
