<?php
function get_simple_date_ranges()
{
		$CI =& get_instance();
		$CI->load->language('reports');
	//	$CI->load->language('calendar');
	//	$CI->load->language('date');

		$today =  date('Y-m-d');
		$yesterday = date('Y-m-d', mktime(0,0,0,date("m"),date("d")-1,date("Y")));
		$two_days_ago = date('Y-m-d', mktime(0,0,0,date("m"),date("d")-2,date("Y")));
		$six_days_ago = date('Y-m-d', mktime(0,0,0,date("m"),date("d")-6,date("Y")));
		$start_of_this_month = date('Y-m-d', mktime(0,0,0,date("m"),1,date("Y")));
		$end_of_this_month = date('Y-m-d',strtotime('-1 second',strtotime('+1 month',strtotime(date('m').'/01/'.date('Y').' 00:00:00'))));
		$start_of_last_month = date('Y-m-d', mktime(0,0,0,date("m")-1,1,date("Y")));
		$end_of_last_month = date('Y-m-d',strtotime('-1 second',strtotime('+1 month',strtotime((date('m') - 1).'/01/'.date('Y').' 00:00:00'))));
		$start_of_this_year =  date('Y-m-d', mktime(0,0,0,1,1,date("Y")));
		$end_of_this_year =  date('Y-m-d', mktime(0,0,0,12,31,date("Y")));
		$start_of_last_year =  date('Y-m-d', mktime(0,0,0,1,1,date("Y")-1));
		$end_of_last_year =  date('Y-m-d', mktime(0,0,0,12,31,date("Y")-1));
		$start_of_time =  date('Y-m-d', 0);

		return array(
			$today. '/' . $today 								=> $CI->lang->line('reports_today'),
			$yesterday. '/' . $yesterday						=> $CI->lang->line('reports_yesterday'),
			$two_days_ago. '/' . $today 						=> $CI->lang->line('reports_last_3'),
			$six_days_ago. '/' . $today 						=> $CI->lang->line('reports_last_7'),
			$start_of_this_month . '/' . $end_of_this_month		=> $CI->lang->line('reports_this_month'),
			$start_of_last_month . '/' . $end_of_last_month		=> $CI->lang->line('reports_last_month'),
		//	$start_of_this_year . '/' . $today	 					=> $CI->lang->line('reports_this_year'),
		//	$start_of_last_year . '/' . $end_of_last_year		=> $CI->lang->line('reports_last_year'),
		//	$start_of_time . '/' . 	$today							=> $CI->lang->line('reports_all_time'),
		);
}

function get_summary_date_ranges()
{
		$CI =& get_instance();
		$CI->load->language('reports');
	//	$CI->load->language('calendar');
	//	$CI->load->language('date');

		$today =  date('Y-m-d');
		$yesterday = date('Y-m-d', mktime(0,0,0,date("m"),date("d")-1,date("Y")));
		$two_days_ago = date('Y-m-d', mktime(0,0,0,date("m"),date("d")-2,date("Y")));
		$six_days_ago = date('Y-m-d', mktime(0,0,0,date("m"),date("d")-6,date("Y")));
		$start_of_this_month = date('Y-m-d', mktime(0,0,0,date("m"),1,date("Y")));
		$end_of_this_month = date('Y-m-d',strtotime('-1 second',strtotime('+1 month',strtotime(date('m').'/01/'.date('Y').' 00:00:00'))));
		$start_of_last_month = date('Y-m-d', mktime(0,0,0,date("m")-1,1,date("Y")));
		$end_of_last_month = date('Y-m-d',strtotime('-1 second',strtotime('+1 month',strtotime((date('m') - 1).'/01/'.date('Y').' 00:00:00'))));
		$start_of_this_year =  date('Y-m-d', mktime(0,0,0,1,1,date("Y")));
		$end_of_this_year =  date('Y-m-d', mktime(0,0,0,12,31,date("Y")));
		$start_of_last_year =  date('Y-m-d', mktime(0,0,0,1,1,date("Y")-1));
		$end_of_last_year =  date('Y-m-d', mktime(0,0,0,12,31,date("Y")-1));
		$start_of_time =  date('Y-m-d', 0);

		return array(
		//	$today. '/' . $today 								=> $CI->lang->line('reports_today'),
		//	$yesterday. '/' . $yesterday						=> $CI->lang->line('reports_yesterday'),
		// $two_days_ago. '/' . $today 						=> $CI->lang->line('reports_last_3'),
		//	$six_days_ago. '/' . $today 						=> $CI->lang->line('reports_last_7'),
			$start_of_this_month . '/' . $today						=> $CI->lang->line('reports_this_month'),
			$start_of_last_month . '/' . $end_of_last_month		=> $CI->lang->line('reports_last_month'),
			$start_of_this_year . '/' . $today	 					=> $CI->lang->line('reports_this_year'),
			$start_of_last_year . '/' . $end_of_last_year		=> $CI->lang->line('reports_last_year'),
		//	$start_of_time . '/' . 	$today							=> $CI->lang->line('reports_all_time'),
		);
}

function get_months($all=0)
{
	$CI =& get_instance();
	$CI->load->language('calendar');
	
	$selYear   = $CI->BiSOFT_Model->get_user_mode_year();
	$now_Year  = date("Y");
	$now_Month = intval(date("m"));
	$months    = array();
	
	/*		for($k=1;$k<=12;$k++)
			{
				$cur_month = mktime(0, 0, 0, $k, 1, 2000);
				$months[date("m", $cur_month)] = date("M",$cur_month);
			}
	*/
	
	if($selYear<$now_Year or $all)
	{
		$months['01'] = $CI->lang->line('cal_january');
		$months['02'] = $CI->lang->line('cal_february');
		$months['03'] = $CI->lang->line('cal_march');
		$months['04'] = $CI->lang->line('cal_april');
		$months['05'] = $CI->lang->line('cal_mayl');
		$months['06'] = $CI->lang->line('cal_june');
		$months['07'] = $CI->lang->line('cal_july');
		$months['08'] = $CI->lang->line('cal_august');
		$months['09'] = $CI->lang->line('cal_september');
		$months['10'] = $CI->lang->line('cal_october');
		$months['11'] = $CI->lang->line('cal_november');
		$months['12'] = $CI->lang->line('cal_december');
	}
	else
	{
		$months['01'] = $CI->lang->line('cal_january');
		if($now_Month>1) {$months['02'] = $CI->lang->line('cal_february');}
		if($now_Month>2) {$months['03'] = $CI->lang->line('cal_march');}
		if($now_Month>3) {$months['04'] = $CI->lang->line('cal_april');}
		if($now_Month>4) {$months['05'] = $CI->lang->line('cal_mayl');}
		if($now_Month>5) {$months['06'] = $CI->lang->line('cal_june');}
		if($now_Month>6) {$months['07'] = $CI->lang->line('cal_july');}
		if($now_Month>7) {$months['08'] = $CI->lang->line('cal_august');}
		if($now_Month>8) {$months['09'] = $CI->lang->line('cal_september');}
		if($now_Month>9) {$months['10'] = $CI->lang->line('cal_october');}
		if($now_Month>10) {$months['11']= $CI->lang->line('cal_november');}
		if($now_Month>11) {$months['12']= $CI->lang->line('cal_december');}
	}
return $months;
}


function get_days($limit=31)
{
	$days = array();
	for($k=1;$k<=$limit;$k++)
	{
		$cur_day = mktime(0, 0, 0, 1, $k, 2000);
		$days[date('d',$cur_day)] = date('j',$cur_day);
	}
return $days;
}

function get_years($all=0)
{
	$years = array();
	$now_Year = date("Y");
	if($all) {$limit = $now_Year-2013;}
	else {$limit = 5;}
	for($k=0;$k<$limit;$k++) {$years[date("Y")-$k] = date("Y")-$k;}
return $years;
}

function get_random_colors($how_many)
{
	$colors = array();
	for($k=0;$k<$how_many;$k++) { $colors[] = '#'.random_color(); }
return $colors;
}

function random_color()
{
    mt_srand((double)microtime()*1000000);
    $c = '';
    while(strlen($c)<6)
		{ $c .= sprintf("%02X", mt_rand(0, 255)); }
return $c;
}
