<?php // ------------ CART ---------- //
function get_cart_table( $items, $controller )
{
	$CI =& get_instance();
	$table='<table class="tablesorter" id="sortable_table">';
	
	$headers = array('<input type="checkbox" id="select_all" class="hidden" />', 
	$CI->lang->line('sales_item_number'),
	$CI->lang->line('sales_item_name'),
	$CI->lang->line('sales_quantity'),
	$CI->lang->line('sales_price'),
	$CI->lang->line('sales_discount'),
	$CI->lang->line('sales_total'),
	'(1)','(2)','(3)','(4)','(5)','(6)','(7)','(8)','(9)','(10)' );
	
	$table.='<thead><tr>';
	foreach($headers as $header) {$table.="<th>$header</th>";}
	$table.='</tr></thead><tbody>';
	$table.=get_cart_table_rows( $items, $controller );
	$table.='</tbody></table>';
	return $table;
}

function get_cart_table_rows( $items, $controller )
{
	$CI =& get_instance();
	$table_data_rows='';
	
	foreach(array_reverse($items->result(), true) as $item)
	{ $table_data_rows.=get_cart_row( $item, $controller );}
	
	if($items->num_rows()==0)
	{
		$table_data_rows.="<tr><td colspan='17'><div class='warning_noitems' style='background-color:rgba(230,230,100,0.35);padding:5px;'>".
		$CI->lang->line('sales_no_items_in_cart')."</div></td></tr>";
	}
	return $table_data_rows;
}

function get_cart_row($item,$controller)
{
	$CI =& get_instance();$controller_name=strtolower(get_class($CI));
	$mode = $CI->BiSOFT_Model->get_user_mode();
	$line = $item['line'];$inum = $item['inum'];$skl = $item['skl'];
	$iprice = $item['price'];$mprice = $item['mprice']; 
	if($mprice=='1' or $mprice=='99') {$mprice='';} else {$mprice='-'.$mprice;}
	$discount = (float)$item['dsc'];if($item['dsc']==0){$discount='_';}
	$sizes = $CI->Item->get_sizes($inum);$fail_key = $allow_sizes = 0;
   if($sizes) {$allow_sizes = $sizes['allow'];}
	$name = substr($CI->Item->get_name($inum),0,70);
      $inv_name='';$inv_name_2='';
      if(isset($item['inv'])) 
         { $inv_name = $item['inv'];}
	$white_style  = '<span style="color:#fff;font-size:75%;">';
	$gray_style   = '<span style="color:#444;font-size:75%;">';
	$dgray_style  = '<span style="color:#222;font-size:75%;">';
	$yellow_style = '<span style="color:#dd8;font-size:75%;">';
	$blue_style = '<span style="color:#fcc;font-size:75%;">';
	$td_fone = '<td style="min-width:40px;text-align:center;background-image:url(images/sizes/gray.gif);">'; 
	// background-repeat:no-repeat;background-size: 100% 100%;
	
	$item_info = $CI->Item->get_blanka_info($inum);
	if(!$item_info) {$fail_key = 1; $name='<b style="color:red;font-size:120%;">Н-Е-И-З-В-Е-С-Т-Е-Н __ А-Р-Т-И-К-У-Л</b>';}
	$skl_info  = $CI->Item->get_sklad_info($inum,$skl);
	if(!$skl_info and $controller_name=='sales' and $skl=='0') {$fail_key = 1; $name='И-З-Ч-Е-Р-П-А-Н __ А-Р-Т-И-К-У-Л';}
	
	if ($allow_sizes)
		{ 
			$qty = (int)$item['qty'];
			$Qty['1'] = (int)$item['q1']; $Qty['2'] = (int)$item['q2']; $Qty['3'] = (int)$item['q3'];
			$Qty['4'] = (int)$item['q4']; $Qty['5'] = (int)$item['q5']; $Qty['6'] = (int)$item['q6'];
			$Qty['7'] = (int)$item['q7']; $Qty['8'] = (int)$item['q8']; $Qty['9'] = (int)$item['q9'];
			$Qty['10'] = (int)$item['q10'];
			$check_qty  = $Qty['1'] + $Qty['2'] + $Qty['3'] + $Qty['4'] + $Qty['5'] +
							  $Qty['6'] + $Qty['7'] + $Qty['8'] + $Qty['9'] + $Qty['10'];
			if( $check_qty!=$qty or !$qty) { $fail_key = 1;} 
		}
		else {$qty=(int)$item['qty'];$q1=$q2=$q3=$q4=$q5=$q6=$q7=$q8=$q9=$q10=0;}
		
	$price = round($iprice*(100-(float)$item['dsc'])/100,7);
	$suma  = $price*$qty;
	
	$line_back_class ='line_back_black'; $line_back ='item.gif'; $line_color='black'; $qty_color='#400';
	if($fail_key) {$line_back_class ='line_back_white'; $line_back='error_item.gif'; $line_color='white'; $qty_color='#d00';}

	$qty_title = $dgray_style.'к-во</span><br>';
	$iprice_title = $gray_style.'ед.цена</span><br>';
	$price_title = $gray_style.'цена'.$mprice.'</span><br>';
	$suma_title = $gray_style.'сума</span><br>';
	$dsc_title = $gray_style.'то %</span><br>';
	$qty_show = '<b style="font-size:120%;text-align:center;color:'.$qty_color.';">'.$qty.'</b>';
	$iprice_show = '<span style="font-size:120%;text-align:center;color:#004;">'.to_any_money_styler($iprice).'</span>';
	$price_show = '<span style="font-size:120%;text-align:center;color:#004;">'.to_any_money_styler($price).'</span>';
	$suma_show = '<span style="font-size:120%;text-align:center;color:#404;">'.to_dot($suma).'</span>';
	$dsc_show = '<span style="font-size:100%;text-align:center;color:#444;">'.$discount.'</span>';
	
	$table_data_row='<tr>';
	$table_data_row.="<th style='border:none;background:transparent;width:0px;'><input type='checkbox' class='hidden' id='line_$line' value='$line'/></th>";
	$table_data_row.="<th width='1.5%' style='border:1px solid #222;text-align:center;color:$line_color;background-image:url(images/sizes/$line_back);'>$line</th>"; 
	$table_data_row.='<td width="4%" style="text-align:center;">'.anchor("$controller_name/edit_sale/$inum/$line/width:760/height:470","<span class='view_item_number'>$inum</span>",array('class'=>'thickbox btn_blue_red none')).'</td>';
	
	$table_data_row.='<td width="30%" style="text-align:left;">'.anchor("$controller_name/edit_sale/$inum/$line/width:760/height:470",$name,array('class'=>'thickbox btn_name none')).'</td>';
         
	$table_data_row.='<td style="min-width:40px;text-align:center;">'.$qty_title.$qty_show.'</td>';
	$table_data_row.=$td_fone.$iprice_title.$iprice_show.'</td>';
	$table_data_row.=$td_fone.$dsc_title.$dsc_show.'</td>';
	$table_data_row.=$td_fone.$price_title.$price_show.'</td>';
	$table_data_row.=$td_fone.$suma_title.'<b>'.$suma_show.'</b></td>';

	if($allow_sizes)
	{
		for($k=1;$k<11;$k++) 
			{  $table_data_row.="<td width='4%' style='background-image:url(images/sizes/$sizes[$k].gif);font-size:150%;background-size: 40% 40%;background-repeat:no-repeat;text-align:center;'><b class='tbl_row_color'>".($Qty[$k]==0 ? '':$Qty[$k]).'</b></td>';
			}
	}
	else {$table_data_row.="<td colspan='10' width='40%' style='text-align:center;color:#555;'>".$CI->lang->line('items_item_nosize')."</td>";}
	
if($mode=='prep_sale' or $mode=='sale')
	{
      if($mode=='sale') {$inv_name='EU';} // печата САМО LAT Label.
      if ($allow_sizes)
		{ 
         $q1=(int)$Qty[1];
         $q2=(int)$Qty[2];
         $q3=(int)$Qty[3];
         $q4=(int)$Qty[4];
         $q5=(int)$Qty[5];
         $q6=(int)$Qty[6];
         $q7=(int)$Qty[7];
         $q8=(int)$Qty[8];
         $q9=(int)$Qty[9];
         $q10=(int)$Qty[10];
		}
		
		if($mode=='prep_sale')
		{
			$table_data_row.='<td  width="2%" style="text-align:center;"><span id="print_bmk">'.
                     anchor("items/print_label/".$inum.'/'.$qty.'/'.$q1.'/'.$q2.'/'.$q3.'/'.$q4.'/'.$q5
                                                               .'/'.$q6.'/'.$q7.'/'.$q8.'/'.$q9.'/'.$q10.'/'.$inv_name.$inv_name_2,
                            '<div class="print_bmk_icon"></div>',  // вика printer icon ...
                            array('title'=>$CI->lang->line('sales_print_label'))).'</span></td>';
		}
   }
   
	$table_data_row.='</tr>';

	return $table_data_row;
}

/* ============================================= VEDOMS ==================================== */
function get_vedom_row($item,$controller)
{
	$CI =& get_instance(); $controller_name=ucfirst(strtolower(get_class($CI)));
		$user_id  = $CI->BiSOFT_Model->get_person();
	   $location = $CI->BiSOFT_Model->get_location();
	
	$control  = $item['controller'];
	$mode_id  = $item['mode_id'];
		$doc_id	 = $item['doc_id'];
		$line = $item['line'];
		$vedom = $item['vedom'];
		$line_id = $doc_id.$vedom.str_pad($line, 3, "0", STR_PAD_LEFT);
	$inum     = $item['inum'];	
	$qty      = $item['qty'];
	$giftprocent = (isset($item['giftprocent'])) ? $item['giftprocent'] : 0;
	$giftvalue 	 = (isset($item['giftvalue'])) ? $item['giftvalue'] : 0;
	$costsale = $qty * (float)$item['costsale'];
	$price 	 = $item['price']*(100-(int)$item['dsc'])/100;
	$isDDS	 = $item['tax'];

	$priceShow = to_any_money_styler($price);
	$suma = $qty * $price;
	if($isDDS>0)
		{
			$tax = $qty * round( 0.2 * $price, 2 );
			if($mode_id=='BE' or $mode_id=='OMB')
              { $suma += $tax; }
			else { $suma += $tax; }
		}
	else
		{ $tax='_'; $suma = $qty * $price;}
	
	$discount = $item['dsc'];if($item['dsc']==0){$discount='_';}

		$sizes = $CI->Item->get_sizes($inum);$fail_key = 0;
		$allow_sizes = $sizes['allow'];
		$name  = substr($CI->Item->get_name($inum),0,70);

	$gray_style  = '<span style="color:#444;font-size:75%;">';
	$dgray_style = '<span style="color:#222;font-size:75%;">';
	$td_fone = '<td style="min-width:40px;text-align:center;background-image:url(images/sizes/gray.gif);background-repeat:no-repeat;background-size: 100% 100%;">';
	
	$line_color='black'; $line_back ='item.gif'; $qty_color='#400';
	$qty_title = $dgray_style.'к-во</span><br>';
	$price_title = $gray_style.'цена</span><br>';
		$price_org_title = $gray_style.'ед.цена</span><br>';
	$suma_title = $gray_style.'сума</span><br>';
	$dsc_title  = $gray_style.'то %</span><br><i>';
	$tax_title  = $gray_style.'ддс</span><br>';
	$cost_title = $gray_style.'отчет</span><br>';
	$price_org_show = '<span style="font-size:120%;text-align:center;color:#444;">'.to_any_money_styler(abs($item['price'])).'</span>';
	$dsc_show = '<span style="font-size:105%;text-align:center;color:#444;">'.$discount.'</span>';
	if($mode_id=='OMB' or $mode_id=='BE') // само за ВЪРНАТА онлайн OMB
	{
		$tax_show = '<span style="font-size:105%;text-align:center;color:#c00;">'.$tax.'</span>';
		$price_show = '<span style="font-size:120%;text-align:center;color:#c00;">-'.to_dot(abs($price)).'</span>';
	}
	else  // normal
	{
		$tax_show = '<span style="font-size:105%;text-align:center;color:#222;">'.$tax.'</span>';
		$price_show = '<span style="font-size:120%;text-align:center;color:#004;">'.to_any_money_styler($price).'</span>';
	}
	
	
if($qty>0)
{
	$qty_show = '<b style="font-size:120%;text-align:center;color:#400;'.$qty_color.';">'.$qty.'</b>';
	$suma_show = '<span style="font-size:120%;text-align:center;color:#404;">'.to_dot($suma).'</span>';
	$cost_show = '<span style="font-size:120%;text-align:center;color:#040;">'.to_dot($costsale).'</span>';
}
else
{
	$qty_show = '<b style="font-size:120%;text-align:center;color:#d00;'.$qty_color.';">'.$qty.'</b>';
	$suma_show = '<span style="font-size:120%;text-align:center;color:#d00;">'.to_dot($suma).'</span>';
	$cost_show = '<span style="font-size:120%;text-align:center;color:#d00;">'.to_dot($costsale).'</span>';
}
		$table_data_row='<tr style="font-family:Roboto;">';
		$table_data_row.="<th class='hidden'><input type='checkbox' id='line_$line_id' value='".$line_id."'/></th>";
		$table_data_row.="<td width='1.5%' style='text-align:center;color:".$line_color.";background-image:url(images/sizes/".$line_back.");background-repeat:no-repeat;background-size: 100% 100%;'>".$line."</td>";
	if((($user_id<21 or $user_id==1523) and !$location) or $mode_id=='OM' or $mode_id=='OMi' or $mode_id=='OMB')
	{
		$table_data_row.='<td width="4%" style="text-align:center;font-size:105%;">'.anchor("$control/edit_line_item/$line_id/width:760/height:470",$inum,array('class'=>'thickbox item_button none','title'=>$CI->lang->line('reports_edit_line').$line.' арт.'.$inum)).'</td>';
	}
	else
	{
		$table_data_row .= "<td width='4%' class='item_button none' style='text-align:center;font-size:105%;'>$inum</td>";
	}
		
		$table_data_row.='<td width="28%" style="text-align:left;font-family:Roboto;font-size:105%;">'.$name.'</td>';
		$table_data_row.='<td width="4%" style="text-align:center;">'.$qty_title.$qty_show.'</td>';
		$table_data_row.=$td_fone.$price_org_title.$price_org_show.'</td>';
		$table_data_row.=$td_fone.$dsc_title.$dsc_show.'</i></td>';
		$table_data_row.=$td_fone.$price_title.$price_show.'</td>';
/*		
if($isDDS>0) 
      { $table_data_row.=$td_fone.$tax_title.$tax_show.'</td>'; }
*/      
      $table_data_row.=$td_fone.$tax_title.$tax_show.'</td>';
		$table_data_row.=$td_fone.$suma_title.'<b>'.$suma_show.'</b></td>';
		
		
if($mode_id=='E' or $mode_id=='SE' or $mode_id=='OM' or $mode_id=='OMi' or $mode_id=='OMB' or $mode_id=='BE' or $mode_id=='BP')
{
		$table_data_row.=$td_fone.$cost_title.'<b>'.$cost_show.'</b></td>';
}
		if($allow_sizes)
		{
			for($k=1;$k<11;$k++) {$table_data_row.="<td style='width:50px;text-align:center;font-size:120%;
							background-image:url(images/sizes/$sizes[$k].gif);background-repeat:no-repeat;background-size: 40% 40%;'>
							<b style='color:#400;text-shadow: 1px 1px #ddd;'>".($item['q'.$k]==0 ? '':$item['q'.$k]).'</b></td>';}
		}
		else 
		{ $table_data_row.="<td colspan='10' style='width:500px;text-align:center;color:#555;'>".$CI->lang->line('items_item_nosize')."</td>";}

	$table_data_row.='</tr>';

return $table_data_row;
}


/* ============================================= INVOICES ==================================== */
function get_invoice_row($item,$controller)
{
	$CI =& get_instance(); // $controller_name=ucfirst(strtolower(get_class($CI)));
	// $item['controler'];
	$mode_id  = $item['mode_id'];
	$doc_num  = $item['doc_num'];
	$doc_id	 = $item['doc_id'];
		$line = $item['line'];
		$vedom = $item['vedom'];
		$line_id = $doc_id.$vedom.str_pad($line, 3, "0", STR_PAD_LEFT);
	//	$line_id = $vedom.str_pad($doc_id, 4, "0", STR_PAD_LEFT);
	$inum     = (int)$item['inum'];
	$name  	 = substr($item['name'],0,60);  // character_limiter($item['name'],35);
	$name_en	 = substr($item['name_en'],0,60);  // $item['name_en'];
	$qty      = (int)$item['qty'];
	$val  	 = $item['val'];
	$rate     = (float)$item['rate'];
	$price 	 = (float)$item['price']*(100-(float)$item['dsc'])/100;
	$isDDS	 = (float)$item['tax'];
	$tax_txt  = '_';
	if($isDDS)
		{ 
			$tax = to_dot(0.2 * $qty * $price); 
			$tax_txt = to_dot($tax);
			$suma = 1.2 * $qty * $price;
		}
	else
		{ $tax='_'; $suma = $qty * $price;}	
	
	$discount = (float)$item['dsc'];if((int)$item['dsc']==0){$discount='_';}

	$gray_style = '<span style="color:#444;font-size:75%;">';
	$dgray_style = '<span style="color:#222;font-size:75%;">';
	$td_fone = '<td style="min-width:50px;text-align:center;background-image:url(images/sizes/gray.gif);background-repeat:no-repeat;background-size: 100% 100%;">';
	
	$line_color='black'; $line_back ='item.gif'; $qty_color='#400';
	$qty_title = $dgray_style.'к-во</span><br>';
	$price_title = $gray_style.'цена</span><br>';
	$suma_title = $gray_style.'сума</span><br>';
	$dsc_title = $gray_style.'то %</span><br>';
	$tax_title = $gray_style.'ддс</span><br>';
	$dsc_show = '<span style="font-size:110%;text-align:center;color:#444;">'.$discount.'</span>';
	$tax_show = '<span style="font-size:110%;text-align:center;color:#222;">'.$tax.'</span>';
	$price_show = '<span style="font-size:138%;text-align:center;color:#004;">'.to_any_money_styler($price).'</span>';
	
if($qty>0)
{
	$qty_show = '<b style="font-size:135%;text-align:center;color:#400;'.$qty_color.';">'.$qty.'</b>';
	$suma_show = '<span style="font-size:135%;text-align:center;color:#404;">'.to_dot($suma).'</span>';
}
else
{
	$qty_show = '<b style="font-size:135%;text-align:center;color:#d00;'.$qty_color.';">'.$qty.'</b>';
	$suma_show = '<span style="font-size:135%;text-align:center;color:#d00;">'.to_dot($suma).'</span>';
}
		$table_data_row='<tr style="font-family:Roboto;">';
		$table_data_row.="<th class='hidden'><input type='checkbox' id='line_$line_id' value='".$line_id."'/></th>";
		$table_data_row.="<td width='1%' style='text-align:center;color:".$line_color.";background-image:url(images/sizes/".$line_back.");background-repeat:no-repeat;background-size: 100% 100%;'>".$line."</td>";
		$table_data_row.='<td width="4%" style="text-align:center;font-size:110%;">'.anchor($controller."/edit_invoice_item/$line_id/width:460/height:320",$inum,array('class'=>'thickbox item_button none','title'=>$CI->lang->line('reports_edit_line').$line.' стока: '.$inum)).'</td>';
		$table_data_row.='<td style="min-width:250px;text-align:left;font-family:Roboto;">'.anchor($controller."/edit_invoice_item/$line_id/width:430/height:330",$name,array('class'=>'thickbox black none','title'=>$CI->lang->line('reports_edit_line').$line.' стока: '.$inum)).'</td>';
		$table_data_row.='<td style="min-width:50px;text-align:center;">'.$qty_title.$qty_show.'</td>';
		$table_data_row.=$td_fone.$dsc_title.$dsc_show.'</td>';
		$table_data_row.=$td_fone.$price_title.$price_show.'</td>';
		$table_data_row.=$td_fone.$tax_title.$tax_show.'</td>';
		$table_data_row.=$td_fone.$suma_title.'<b>'.$suma_show.'</b></td>';
		
	if($val>1)
	{
		$price_en_title = $gray_style.'price</span><br>';
		$suma_en_title = $gray_style.'amount</span><br>';
		$tax_en_title = $gray_style.'vat</span><br>';
		$suma_en_show = '<span style="font-size:135%;text-align:center;color:#404;">'.to_dot($suma/$rate).'</span>';
		$tax_en_show = '<span style="font-size:110%;text-align:center;color:#222;">'.$tax_txt.'</span>';
		$price_en_show = '<span style="font-size:138%;text-align:center;color:#004;">'.to_dot_3($price/$rate).'</span>';

		$table_data_row.='<td style="width:55px;text-align:center;">invoice:<br><span style="font-size:80%;color:#555;">'.$rate.'</span></td>';
		$table_data_row.='<td style="min-width:250px;text-align:left;font-family:Roboto;font-size:110%;">'.$name_en.'</td>';
			$table_data_row.=$td_fone.$price_en_title.$price_en_show.'</td>';
			$table_data_row.=$td_fone.$tax_en_title.$tax_en_show.'</td>';
			$table_data_row.=$td_fone.$suma_en_title.'<b>'.$suma_en_show.'</b></td>';
	}
	else
	{ $table_data_row.='<td style="min-width:70%;text-align:center;">няма invoice</td>'; }

		$table_data_row.='</tr>';

	return $table_data_row;
}


/* ====================== ORDERS ========================== */
function get_order_row($item,$controller)
{
	$CI =& get_instance();$controller_name=ucfirst(strtolower(get_class($CI)));
	$order = $item['order_id'];$line = $item['line'];$line_id = $order.str_pad($line, 3, "0", STR_PAD_LEFT);
	$inum  = $item['inum'];
	$price = $item['price'];
	$qty   = $item['qty'];

	$discount = $item['dsc'];if((int)$item['dsc']==0){$discount='_';}
		$sizes = $CI->Item->get_sizes($inum);$fail_key = 0;
		$allow_sizes = $sizes['allow'];
		$name = $CI->Item->get_name($inum);
		
	$white_style = '<span style="color:#fff;font-size:75%;">';
	$gray_style = '<span style="color:#444;font-size:75%;">';
	$dgray_style = '<span style="color:#222;font-size:75%;">';
	$yellow_style = '<span style="color:#dd8;font-size:75%;">';
	$blue_style = '<span style="color:#fcc;font-size:75%;">';
	$td_fone = '<td width="4%" style="text-align:center;background-image:url(images/sizes/gray.gif);background-repeat:no-repeat;background-size: 100% 100%;">';
	$suma = $price*$qty*(100-$discount)/100;
	
	$line_color='black'; $line_back ='item.gif'; $qty_color='#400';
	$qty_title = $dgray_style.'к-во<span><br>';
	$price_title = $gray_style.'цена'.$mprice.'<span><br>';
	$suma_title = $gray_style.'сума<span><br>';
	$dsc_title = $gray_style.'то %<span><br>';
	$qty_show = '<b style="font-size:135%;text-align:center;color:'.$qty_color.';">'.$qty.'</b>';
	$price_show = '<span style="font-size:138%;text-align:center;color:#004;">'.to_dot($price).'</span>';
	$suma_show = '<span style="font-size:135%;text-align:center;color:#404;">'.to_dot($suma).'</span>';
	$dsc_show = '<span style="font-size:110%;text-align:center;color:#444;">'.$discount.'</span>';
	
		$table_data_row='<tr style="font-family:Roboto;">';
		$table_data_row.="<th class='hidden'><input type='checkbox' id='line_$line_id' value='".$line_id."'/></th>";
		$table_data_row.="<td width='1%' style='text-align:center;color:".$line_color.";background-image:url(images/sizes/".$line_back.");background-repeat:no-repeat;background-size: 100% 100%;'>".$line."</td>";
		$table_data_row.='<td width="4%" style="text-align:center;font-size:110%;">'.anchor("$controller_name/edit_line_item/$order/$line/width:720/height:425",$inum,array('class'=>'thickbox item_button none','title'=>$CI->lang->line('reports_edit_line').$line)).'</td>';	
		$table_data_row.='<td width="30%" style="text-align:left;font-family:Roboto;font-size:110%;">'.$name.'</td>';	
		$table_data_row.='<td width="4%" style="text-align:center;">'.$qty_title.$qty_show.'</td>';
		$table_data_row.=$td_fone.$price_title.$price_show.'</td>';
		
		if($allow_sizes)
		{
			for($k=1;$k<11;$k++) {$table_data_row.="<td style='width:50px;text-align:center;font-size:130%;
							background-image:url(images/sizes/$sizes[$k].gif);background-repeat:no-repeat;background-size: 40% 40%;'>
							<b style='color:#400;text-shadow: 1px 1px #ddd;'>".$item['q'.$k].'</b></td>';}
		}
		else {$table_data_row.="<td colspan='10' style='width:500px;text-align:center;color:#555;'>".$CI->lang->line('items_item_nosize')."</td>";}
			
		$table_data_row.='<td width="1%" style="text-align:center;"><b>'.anchor("$controller_name/delete_line_item/$order/$line","<span style='color:red;font-size:150%;'>x</span>",array('title'=>$CI->lang->line('reports_delete_line').$line)).'</b></td>';			
			
		$table_data_row.='</tr>';

return $table_data_row;
}


// ----------------------------------- TRZ EMPLOYEES ------------------------------- //
function get_employee_manage_table($people,$controller)
{
	$CI =& get_instance();
	$table='<table class="tablesorter" id="sortable_table"><thead>';
	$mode = $CI->trz_lib->get_mode();
	
	if($mode=='main')
	{
		$headers = array(
			 $CI->lang->line('dnv_title_code'), 			// 1
			 $CI->lang->line('dnv_title_name_family'),	// 2
			 $CI->lang->line('common_label_egn'), 			// 3
			 $CI->lang->line('common_job_title'), 			// 4
			 $CI->lang->line('common_city_address'),		// 5
			 $CI->lang->line('common_phone_number')		// 6
							 );
		
		$table.='<tr><th class="tbl_thtd_noprint" style="background:none;border:none;"></th>';
		foreach($headers as $header) {$table.="<th class='showPRN_black'>$header</th>";}
	}
	elseif($mode=='presence')
	{
		// get dates and m_limit
		$date_user = $CI->BiSOFT_Model->get_user_mode_date();
		$month = (int) date('m', strtotime( $date_user ));
		$year  = (int) date('y', strtotime( $date_user ));
		$m_limit  = $CI->BiSOFT_Model->get_month_limit($month,$year);
		$holidays = $CI->BiSOFT_Model->get_month_holidays($month,$year);
		
		$headers = array(
		  '<th class="showPRN_black">'.$CI->lang->line('dnv_title_code').'</th>', 			// 1
		  '<th class="showPRN_black">'.$CI->lang->line('dnv_title_name_family').'</th>'	// 2
							 );
		
		for($d=1;$d<=$m_limit;$d++)
		  {
			 if($holidays[$d]==1 or $holidays[$d]==2) // събота / неделя
				{ $day = '<th class="showPRN_black" style="width:20px;color:#000;background-color:#0C2;"><b>'.$d.'</b></th>';}
			 elseif($holidays[$d]==9) // празник
				{ $day = '<th class="showPRN_black" style="width:20px;color:#000;background-color:#F44;"><b>'.$d.'</b></th>';}
			 else // раб.ден
				{ $day = '<th class="showPRN_black" style="color:#333;">'.$d.'</th>';}
				
			 $headers[] = $day;
		  }
		  
		$headers[] = '<th class="showPRN_black">'.$CI->lang->line('dnv_title_wdays').'</th>';
		
		$table.='<tr><th class="tbl_thtd_noprint" style="background:none;border:none;"></th>';
		foreach($headers as $header) {$table .= $header;}
	}
	elseif($mode=='salary')
	{
		$headers = array(
			 $CI->lang->line('dnv_title_code'), 		 // 1 присъствие
			 $CI->lang->line('dnv_title_name_family'), // 2
			 $CI->lang->line('dnv_title_wdays'), 		 // 3
			 $CI->lang->line('dnv_title_suma'), 	 	 // 4
			 $CI->lang->line('dnv_title_add_hours'), 	 // 5
			 $CI->lang->line('dnv_title_suma'), 		 // 6 
			 $CI->lang->line('dnv_title_hours'),		 // 7
			 
			 $CI->lang->line('dnv_title_days'),		 	 // 8 отпуск
			 $CI->lang->line('dnv_title_suma'),			 // 9

			 $CI->lang->line('dnv_title_days'),		    // 10 болнични
			 $CI->lang->line('dnv_title_suma'),			 // 11
			 
			 $CI->lang->line('trz_salary_travel'),		 // 12 пътни
			 $CI->lang->line('trz_salary_plus'),		 // 13 др.добавки

			 $CI->lang->line('trz_salary_avance'),		 // 14 аванс
			 $CI->lang->line('trz_salary_bank'),		 // 15 превод ДК
			 $CI->lang->line('trz_salary_tax'),		 	 // 16 данък
			 $CI->lang->line('trz_salary_minus'),		 // 17 др.удръжки

			 $CI->lang->line('trz_salary_total'),		 // 18 ТОТАЛ
							 );
							 
		$table.='<tr>';
		$table.='<th colspan="3" style="background:none;border:none;"></th>';		
		$table.='<th colspan="5">'.$CI->lang->line('trz_salary_presence').'</th>';
		$table.='<th colspan="2">'.$CI->lang->line('trz_salary_holidays').'</th>';
		$table.='<th colspan="2">'.$CI->lang->line('trz_salary_sickness').'</th>';
		$table.='<th colspan="2" style="background:none;border:none;"></th>';
		$table.='<th colspan="4">'.$CI->lang->line('trz_salary_expenses').'</th>';
		$table.='</tr>';
		
		$table.='<tr><th class="tbl_thtd_noprint" style="background:none;border:none;"></th>';
		foreach($headers as $header) {$table.="<th class='showPRN_black'>$header</th>";}
	}

	//основната таблица за всички групи
	$table.='</tr></thead><tbody>';
		$table.=get_employee_manage_table_data_rows($people,$controller);
	$table.='</tbody></table>';
	
	// само за ПРИСЪСТВИЕ + Легенда
	if($mode=='presence')
	{ 
		$table.='<div id="square_text_place_left">
						<span class="squre_yellow"></span>
						<span class="squre_text">'.$CI->lang->line('dnv_title_sat_sun').'</span>
					</div>
					<div id="square_text_place_right">
						<span class="squre_red"></span>
						<span class="squre_text">'.$CI->lang->line('dnv_title_holiday').'</span>
					</div>';
	}
	
return $table;
}


function get_employee_manage_table_data_rows($people,$controller)
{
	$CI =& get_instance();
	$table_data_rows='';
	$mode = $CI->trz_lib->get_mode();
	$date_user  = $CI->BiSOFT_Model->get_user_mode_date();
	$month = (int) date('m', strtotime( $date_user ));
	$year  = (int) date('y', strtotime( $date_user ));
	$m_limit = $CI->BiSOFT_Model->get_month_limit($month,$year);	
	
	foreach($people->result() as $person)
	{
		$table_data_rows.=get_employee_data_row($person,$controller);
	}
	
	$colspan = 6;
	if($people->num_rows()==0)
	{ ?>
		<div class="promo-box hidePRN">
			<span class="text"><i class="fa fa-tag" aria-hidden="true"></i>
				<b><?=$CI->lang->line('common_no_persons_to_display');?></b>
			</span>
		</div>
<?php
	}
	
return $table_data_rows;
}


function get_employee_data_row($person,$controller)
{
	$CI =& get_instance();
	$controller_name=strtolower(get_class($CI));
	$mode = $CI->trz_lib->get_mode();
	$start_period = 1401;
	$now_period = date('ym');

	if($mode=='main')
	{
		$width = 650;
		$job_id = $CI->Employee->get_info($person->person_id)->job_id;
		$job_title = $CI->Employee->get_info($person->person_id)->job_title;
		$addr_comma = ', '; if(empty($person->address)) {$addr_comma = '';}
		$address = character_limiter($person->city.$addr_comma.$person->address,50);

		$key_YES = 0;
		$norma = $person->norma;
		$date_user  = $CI->BiSOFT_Model->get_user_mode_date();
		$period = date('ym', strtotime( $date_user ));
		$from_period=$to_period=0;
		if(isset($person->from_period) and isset($to_period))
		{
         $from_period=$person->from_period; if($from_period==0) {$fromTime=$start_period;}
         $to_period=$person->to_period; if($to_period==0) {$to_period=$now_period;}
         if($norma>0 and $period>=$from_period) {$key_YES=1;}
         elseif($norma==0 and $period>=$from_period and $period<=$to_period) {$key_YES=1;}
      }
		
      if($key_YES)
      {
         $table_data_row='<tr style="line-height:20px;">';
         $table_data_row.="<td class='tbl_thtd_noprint' style='width:1px;text-align:center;border:none;'><input type='checkbox' class='hidden' id='person_$person->person_id' value='".$person->person_id."'/></td>";
         $table_data_row.='<td style="width:2px;text-align:center;"><span class="techno_button">'.anchor($controller_name."/view/$person->person_id/width:760/height:470", $person->bisoft_id,array('class'=>'thickbox btn_blue_red','title'=>$CI->lang->line($controller_name.'_update'))).'</span></td>';
         $table_data_row.='<td style="width:160px;color:#222;text-align:left;">'.anchor($controller_name."/view/$person->person_id/width:760/height:470",character_limiter($person->first_name.' '.$person->last_name,65),array('class'=>'thickbox btn_name','title'=>$CI->lang->line($controller_name.'_update'))).'</span></td>';
         $table_data_row.='<td style="width:40px;text-align:center;">'.$person->egn_id.'</td>';
         $table_data_row.='<td style="width:150px;color:#141;font-style:italic;">'.$job_title.'</td>';
         $table_data_row.='<td style="width:260px;text-align:left;">'.$address.'</td>';
         $table_data_row.='<td style="width:80px;text-align:center;">'.character_limiter($person->phone_number,16).'</td>';
         $table_data_row.='</tr>';
		}
      else {$table_data_row='';}
	}
	elseif($mode=='presence')
	{
		// get dates and m_limit
		$date_user  = $CI->BiSOFT_Model->get_user_mode_date();
		$month = (int) date('m', strtotime( $date_user ));
		$year  = (int) date('y', strtotime( $date_user ));
		$m_limit = $CI->BiSOFT_Model->get_month_limit($month,$year);
		
		$period = date('ym', strtotime( $date_user ));
		$vedom  = 'T'.$period;
		
		$days_Pre  = $CI->TRZ->get_vedom_presence($person->bisoft_id,$vedom,$period);
		$trz_vedom = $CI->TRZ->get_info_trz($person->bisoft_id,$vedom,$period);
		if($trz_vedom and isset($trz_vedom->all_DAYS)) { $all_DAYS = $trz_vedom->all_DAYS;}
		else {$all_DAYS = '';}
		
		$key_YES = 0;
		$norma = $person->norma; 
		$from_period=$person->from_period; if($from_period==0) {$fromTime=$start_period;}
		$to_period=$person->to_period; if($to_period==0) {$to_period=$now_period;}
		if($norma>0 and $period>=$from_period) {$key_YES=1;}
		elseif($norma==0 and $all_DAYS!='' and $period>=$from_period and $period<=$to_period) {$key_YES=1;}
		
		// последен филтър
		if($month==12) {$add_period=90;}
		else {$add_period=2;}
		if(($period+$add_period)<$now_period and $all_DAYS=='') {$key_YES=0;} // старите OUT ?!
	
      if($key_YES)
      {
         $table_data_row='<tr style="line-height:20px;">';
         $table_data_row.="<td class='tbl_thtd_noprint' style='width:1px;text-align:center;border:none;'><input type='checkbox' class='hidden' id='person_$person->person_id' value='".$person->person_id."'/></td>";
         $table_data_row.='<td style="width:5px;text-align:center;"><span class="techno_button">'.anchor($controller_name."/presence/$person->person_id/width:760/height:470", $person->bisoft_id,array('class'=>'thickbox btn_blue_red','title'=>'месец: '.$month.'.20'.$year)).'</span></td>';
         $table_data_row.='<td style="width:150px;color:#222;text-align:left;">'.anchor($controller_name."/presence/$person->person_id/width:760/height:470",character_limiter($person->first_name.' '.$person->last_name,35),array('class'=>'thickbox btn_name','title'=>'месец: '.$month.'.20'.$year)).'</span></td>';

         for($d=1;$d<=$m_limit;$d++)
         { $table_data_row.='<td style="width:10px;font-size:9pt;text-align:center;color:#222;">'.(isset($days_Pre[$d]) ? $days_Pre[$d] : '').'</td>';}
         
         if($all_DAYS==0) {$all_DAYS='';}
         
         $table_data_row.='<td style="width:10px;color:#303;text-shadow:1px 1px #bbb;text-align:center;"><b>'.$all_DAYS.'</b></td>';
         $table_data_row.='</tr>';
		}
      else {$table_data_row='';}	
	}
	elseif($mode=='salary')
	{
		$names = character_limiter($person->first_name.' '.$person->last_name,35);
		$date_user = $CI->BiSOFT_Model->get_user_mode_date();
		$period = date('ym', strtotime( $date_user ));
		$month = (int) date('m', strtotime( $date_user ));
		$year  = (int) date('y', strtotime( $date_user ));
		$vedom = 'T'.$period;
		$all_Month = $CI->TRZ->get_info_trz($person->bisoft_id,$vedom,$period);
		if($all_Month and isset($all_Month->TM) and $all_Month->TM)
		{
			$trz_data = json_decode($all_Month->TM);
			if($trz_data && isset($trz_data->salary)) { $salary = $trz_data->salary;}
			else {$salary = 0;}
			if($salary==0) {$salary=' ';} else {$salary=to_dot($salary);}
		}
		else {$trz_data = 0;$salary = 0;}
		
		$key_YES = 0;
		$norma = $person->norma;
		$from_period=$person->from_period; if($from_period==0) {$fromTime=$start_period;}
		$to_period=$person->to_period; if($to_period==0) {$to_period=$now_period;}
		if($norma>0 and $period>=$from_period) {$key_YES=1;}
		elseif($norma==0 and isset($trz_data->salary) and $period>=$from_period and $period<=$to_period) {$key_YES=1;}
		
		// последен филтър
		if($month==12) {$add_period=90;}
		else {$add_period=2;}
		if(($period+$add_period)<$now_period and !isset($trz_data->salary)) {$key_YES=0;} // старите OUT ?!
	
	
			// new SATURDAY
			$trz_saturday = (isset($trz_data->trz_saturday) ? $trz_data->trz_saturday : 0);
			$trz_minus = (isset($trz_data->trz_minus) ? $trz_data->trz_minus : 0);
			$trz_minus += $trz_saturday;
		
	
      if($key_YES)
      {
		$table_data_row='<tr style="line-height:21px;font-size:9pt;">';
		$table_data_row.="<td class='tbl_thtd_noprint' style='width:1px;text-align:center;border:none;'><input type='checkbox' class='hidden' id='person_$person->person_id' value='".$person->person_id."'/></td>";
		$table_data_row.='<td style="width:5px;text-align:center;"><span class="techno_button">'.anchor($controller_name."/salary/$person->person_id/width:760/height:470", $person->bisoft_id,array('class'=>'thickbox btn_blue_red','title'=>'')).'</span></td>';
		$table_data_row.='<td style="width:180px;color:#222;text-align:left;">'.anchor($controller_name."/salary/$person->person_id/width:760/height:470",$names,array('class'=>'thickbox btn_name','title'=>'')).'</span></td>';
		$table_data_row.='<td style="width:10px;text-align:center;color:#606;"><b>'.(isset($trz_data->trz_days) ? $trz_data->trz_days : '').'</b></td>';
		$table_data_row.='<td style="width:10px;text-align:right;">'.(isset($trz_data->trz_worked) ? $trz_data->trz_worked : '').'</td>';
		$table_data_row.='<td style="width:10px;text-align:center;color:#500;"><b>'.(isset($trz_data->addHours) ? $trz_data->addHours : '').'</b></td>';
		$table_data_row.='<td style="width:10px;text-align:right;">'.(isset($trz_data->addHourSum) ? $trz_data->addHourSum : '').'</td>';
		$table_data_row.='<td style="width:10px;text-align:right;">'.(isset($trz_data->onHourSum) ? $trz_data->onHourSum : '').'</td>';
		$table_data_row.='<td style="width:10px;text-align:center;color:#040;"><b>'.(isset($trz_data->holiDays) ? $trz_data->holiDays : '').'</b></td>';
		$table_data_row.='<td style="width:10px;text-align:right;">'.(isset($trz_data->holiSum) ? $trz_data->holiSum : '').'</td>';
		$table_data_row.='<td style="width:10px;text-align:center;color:#a00;"><b>'.(isset($trz_data->sickDays) ? $trz_data->sickDays : '').'</b></td>';
		$table_data_row.='<td style="width:10px;text-align:right;">'.(isset($trz_data->sickSum) ? $trz_data->sickSum : '').'</td>';
		$table_data_row.='<td style="width:10px;text-align:right;">'.(isset($trz_data->trz_travel) ? $trz_data->trz_travel : '').'</td>';
		$table_data_row.='<td style="width:10px;text-align:right;">'.(isset($trz_data->trz_plus) ? $trz_data->trz_plus : '').'</td>';
		$table_data_row.='<td style="width:10px;text-align:right;">'.(isset($trz_data->avance) ? $trz_data->avance : '').'</td>';
		$table_data_row.='<td style="width:10px;text-align:right;">'.(isset($trz_data->trz_prevod) ? $trz_data->trz_prevod : '').'</td>';	
		$table_data_row.='<td style="width:10px;text-align:right;">'.(isset($trz_data->trz_taxes) ? $trz_data->trz_taxes : '').'</td>';
		$table_data_row.='<td style="width:10px;text-align:right;">'.($trz_minus ? $trz_minus : '').'</td>';
		
         if($trz_data)
         {
               $table_data_row.='<td style="width:15px;text-align:right;font-size:115%;">
                     <span class="techno_button">'.anchor($controller_name."/fish/$person->person_id/$period", 
                     $salary,array('title'=>$CI->lang->line('dnv_title_fish').$names )).'</span></td>';
         } 
         else { $table_data_row.='<td style="width:15px;"></td>';}

         $table_data_row.='</tr>';
		}
      else {$table_data_row='';}	
	}
	
return $table_data_row;
}


function get_employee_total_row($person,$controller)
{
	$CI =& get_instance();
	$controller_name=strtolower(get_class($CI));
		$date_user = $CI->BiSOFT_Model->get_user_mode_date();
		$period = date('ym', strtotime( $date_user ));
  	$totals = $CI->TRZ->get_total_trz($period);
	
		$table_total_row  ='<tr style="line-height:24px;font-size:10pt;font-weight:bold;text-shadow:1px 1px #bbb;">';
		$table_total_row .='<td colspan="12" style="background:none;border:none;"></td>';
		$table_total_row .='<td colspan="2" style="color:black;text-align:right;">'.$CI->lang->line('reports_total').':</td>';
		
		$table_total_row .='<td colspan="3" style="color:black;text-align:left;">'.$totals->avance.'</td>'; // AVANCE
		$table_total_row .='<td colspan="2" style="color:#006;text-align:right;">'.$totals->salary.'</td>'; // ZAPLATA
		
		$table_total_row .='</tr>';
	
return $table_total_row;
}


/* ====================== ОПЕРАТОРИ ====================== */
function get_people_manage_table($people,$controller)
{
	$CI =& get_instance();
	$table='<table class="tablesorter" id="sortable_table">';
	
	$headers = array('<input type="checkbox" class="hidden" id="select_all" clas="hidden" />',
		$CI->lang->line('common_location'),
		$CI->lang->line('common_firstlast_name'),
		$CI->lang->line('common_city'),
		$CI->lang->line('common_address'),
		$CI->lang->line('common_email'),
		$CI->lang->line('common_phone_number') 
	);
	
	$table.='<thead><tr>';
	foreach($headers as $header)
	{
		$table.="<th>$header</th>";
	}
	$table.='</tr></thead><tbody>';
	$table.=get_people_manage_table_data_rows($people,$controller);
	$table.='</tbody></table>';
return $table;
}


function get_people_manage_table_data_rows($people,$controller)
{
	$CI =& get_instance();
	$table_data_rows='';
	
	foreach($people->result() as $person)
	{
		$table_data_rows.=get_person_data_row($person,$controller);
	}
	
	if($people->num_rows()==0)
	{
		$table_data_rows.="<tr><td colspan='8'><div class='warning_message' style='padding:5px;'>".$CI->lang->line('common_no_persons_to_display')."</div></tr></tr>";
	}
	
return $table_data_rows;
}


function get_person_data_row($person,$controller)
{
	$CI =& get_instance();
	$controller_name=get_class($CI);$controller_title=strtolower(get_class($CI));
		$person_id = $person->person_id;
		$operator_name = character_limiter($person->first_name.' '.$person->last_name,35);

	$table_data_row=" 
<tr>";
	$table_data_row.="\n	<td style='width:1%;'><input type='checkbox' class='hidden' id='$person_id' value='$person_id'/></td>";
	$table_data_row.="\n	<td style='width:3%;color:#616;font-weight:bold;text-align:center;'>".character_limiter($person->location,4)."</td>";
	$table_data_row.="\n	<td style='width:240px;text-align:left;'>".anchor($controller_name."/view/$person_id/width:550/height:420",$operator_name,array('class'=>'thickbox none black','title'=>$CI->lang->line($controller_title.'_update').': '.$operator_name)).'</td>';
	
	$table_data_row.="\n	<td style='width:150px;color:#222;'>".character_limiter($person->city,20).'</td>';
	$table_data_row.="\n	<td style='width:220px;text-align:left;'>".character_limiter($person->address,40).'</td>';
	$table_data_row.="\n	<td style='width:180px;text-align:left;'>".mailto($person->email,character_limiter($person->email,30)).'</td>';
	$table_data_row.="\n	<td style='width:100px;'>".character_limiter($person->phone_number,16)."</td>";
	$table_data_row.="</tr>";

return $table_data_row;
}


/* ====================== ДОСТАВЧИЦИ ====================== */
function get_supplier_manage_table($suppliers,$controller)
{
	$CI =& get_instance();
	$table='<table class="tablesorter" id="sortable_table">';

	$headers = array('<input type="checkbox" class="hidden" id="select_all" />',
	$CI->lang->line('common_bisoft_id'),
	$CI->lang->line('common_company'),
	$CI->lang->line('common_city'),
	$CI->lang->line('common_status'),
	$CI->lang->line('common_firstlast_name'),
	$CI->lang->line('common_phone_number'),
	'rating','');
	
	$table.='<thead><tr>';
	foreach($headers as $header)
	{
		$table.="<th>$header</th>";
	}
	$table.='</tr></thead><tbody>';
	$table.=get_supplier_manage_table_data_rows($suppliers,$controller);
	$table.='</tbody></table>';
	return $table;
}

function get_supplier_manage_table_data_rows($suppliers,$controller)
{
	$CI =& get_instance();
	$table_data_rows='';
	
	foreach($suppliers->result() as $supplier)
      { $table_data_rows.=get_supplier_data_row($supplier,$controller);}
	
	if($suppliers->num_rows()==0)
      {
         $table_data_rows.="<tr><td colspan='10'><div class='error_message'>".$CI->lang->line('common_no_data_to_display')."</div></tr></tr>";
      }
	
	return $table_data_rows;
}

function get_supplier_data_row($supplier,$controller)
{
	$CI =& get_instance();
	$controller_name=strtolower(get_class($CI));
	$width = $controller->get_form_width();
	$key_CKP = $CI->BiSOFT_Model->get_version_ckp();
		if($supplier->status) { $status = $CI->Person->get_status_info($supplier->status);}
		else {$status = '';}
		$discount = $supplier->discount;
		$price_group = $supplier->price_group;
		if($discount>0) {$status.=' (-'.$discount.'%)';}
		elseif($price_group>0) {$status.=' ('.$price_group.')';}

	$table_data_row='<tr>';
	$table_data_row.="<td style='width:1%;'><input type='checkbox' class='hidden' id='person_$supplier->person_id' value='".$supplier->person_id."'/></td>";
	$table_data_row.='<td style="width:4%;text-align:center;">'.anchor($controller_name."/view/$supplier->person_id/width:760/height:470", $supplier->bisoft_id,array('class'=>'thickbox btn_blue_red','title'=>$CI->lang->line($controller_name.'_update'))).'</td>';
	$table_data_row.='<td style="width:32%;text-align:left;">'.anchor($controller_name."/view/$supplier->person_id/width:760/height:470",$supplier->company_name,array('class'=>'thickbox btn_name')).'</td>';
	
	$table_data_row.='<td style="width:12%;text-align:left;color:#222;">'.character_limiter($supplier->city,20).'</td>';
	$table_data_row.='<td style="width:10%;text-align:center;color:#511;">'.$status.'</td>';
	$table_data_row.='<td style="width:25%;text-align:left;color:black;">'.character_limiter($supplier->first_name.' '.$supplier->last_name,35).'</td>';
	$table_data_row.='<td style="width:10%;text-align:left;color:#222;">'.character_limiter($supplier->phone_number,20).'</td>';
	$table_data_row.='<td style="width:5%;text-align:center;color:#700;">'.round($supplier->rating/10,0).'</td>';

if (!$key_CKP)
	{
	  $table_data_row.='<td style="width:5%;text-align:center">'.anchor($controller_name."/vedom/$supplier->bisoft_id", $CI->lang->line('common_track'),
							 array('title'=>$CI->lang->line($controller_name.'_count'),
									 'onclick'=>'javascript:pls_hide();'	
									 )).'</td>';
	}
else
	{ $table_data_row.='<td style="width:80px;text-align:center"></td>';}
	
	$table_data_row.='</tr>';
return $table_data_row;
}


/* ====================== ПОДИЗПЪЛНИТЕЛИ ====================== */
function get_subcont_manage_table($subconts,$controller)
{
	$CI =& get_instance();
	$table='<table class="tablesorter" id="sortable_table">';

	$headers = array('<input type="checkbox" class="hidden" id="select_all" />',
	$CI->lang->line('common_bisoft_id'),
	$CI->lang->line('common_company'),
	$CI->lang->line('common_city'),
	$CI->lang->line('common_status'),
	$CI->lang->line('common_firstlast_name'),
	$CI->lang->line('common_phone_number'),
	'rating','');
	
	$table.='<thead><tr>';
	foreach($headers as $header)
	{
		$table.="<th>$header</th>";
	}
	$table.='</tr></thead><tbody>';
	$table.=get_subcont_manage_table_data_rows($subconts,$controller);
	$table.='</tbody></table>';
	return $table;
}

function get_subcont_manage_table_data_rows($subconts,$controller)
{
	$CI =& get_instance();
	$table_data_rows='';
	
	foreach($subconts->result() as $subcont)
      { $table_data_rows.=get_supplier_data_row($subcont,$controller);}
	
	if($subconts->num_rows()==0)
      {
         $table_data_rows.="<tr><td colspan='10'><div class='error_message'>".$CI->lang->line('common_no_data_to_display')."</div></tr></tr>";
      }
	
	return $table_data_rows;
}

function get_subcont_data_row($subcont,$controller)
{
	$CI =& get_instance();
	$controller_name=strtolower(get_class($CI));
	$width = $controller->get_form_width();
	$key_CKP = $CI->BiSOFT_Model->get_version_ckp();
		if($subcont->status) { $status = $CI->Person->get_status_info($subcont->status);}
		else {$status = '';}
		$discount = $subcont->discount;
		$price_group = $subcont->price_group;
		if($discount>0) {$status.=' (-'.$discount.'%)';}
		elseif($price_group>0) {$status.=' ('.$price_group.')';}

	$table_data_row='<tr>';
	$table_data_row.="<td style='width:1%;'><input type='checkbox' class='hidden' id='person_$subcont->person_id' value='".$subcont->person_id."'/></td>";
	$table_data_row.='<td style="width:4%;text-align:center;">'.anchor($controller_name."/view/$subcont->person_id/width:760/height:470", $subcont->bisoft_id,array('class'=>'thickbox btn_blue_red','title'=>$CI->lang->line($controller_name.'_update'))).'</td>';
	$table_data_row.='<td style="width:32%;text-align:left;">'.anchor($controller_name."/view/$subcont->person_id/width:760/height:470",$subcont->company_name,array('class'=>'thickbox btn_name')).'</td>';
	
	$table_data_row.='<td style="width:12%;text-align:left;color:#222;">'.character_limiter($subcont->city,20).'</td>';
	$table_data_row.='<td style="width:10%;text-align:center;color:#511;">'.$status.'</td>';
	$table_data_row.='<td style="width:25%;text-align:left;color:black;">'.character_limiter($subcont->first_name.' '.$subcont->last_name,35).'</td>';
	$table_data_row.='<td style="width:10%;text-align:left;color:#222;">'.character_limiter($subcont->phone_number,20).'</td>';
	$table_data_row.='<td style="width:5%;text-align:center;color:#700;">'.round($subcont->rating/10,0).'</td>';

if (!$key_CKP)
	{
	  $table_data_row.='<td style="width:5%;text-align:center">'.anchor($controller_name."/vedom/$subcont->bisoft_id", $CI->lang->line('common_track'),
							 array('title'=>$CI->lang->line($controller_name.'_count'),
									 'onclick'=>'javascript:pls_hide();'	
									 )).'</td>';
	}
else
	{ $table_data_row.='<td style="width:80px;text-align:center"></td>';}
	
	$table_data_row.='</tr>';
return $table_data_row;
}


/* ====================== КЛИЕНТИ ====================== */
function get_customer_manage_table($customers,$controller)
{
	$CI =& get_instance();
	$table='<table class="tablesorter" id="sortable_table">';
	
	$headers = array('<input type="checkbox" class="hidden" id="select_all" />',
	$CI->lang->line('common_bisoft_id'),
	$CI->lang->line('common_company'),
	$CI->lang->line('common_city'),
	$CI->lang->line('common_account_number'),
	$CI->lang->line('common_status'),
	$CI->lang->line('common_firstlast_name'),
	$CI->lang->line('common_phone_number'),
	'rating',' ');
	
	$table.='<thead><tr>';
	foreach($headers as $header)
	{
		$table.="<th>$header</th>";
	}
	$table.='</tr></thead><tbody>';
	$table.=get_customer_manage_table_data_rows($customers,$controller);
	$table.='</tbody></table>';
	return $table;
}


function get_customer_manage_table_data_rows($customers,$controller)
{
	$CI =& get_instance();
	$table_data_rows='';
	
	foreach($customers->result() as $customer)
	{
	  $table_data_rows.=get_customer_data_row($customer,$controller);
	}
	
	if($customers->num_rows()==0)
	{
	  $table_data_rows.="<tr><td colspan='11'><div class='warning_message'>".$CI->lang->line('error_message')."</div></tr></tr>";
	}
	
	return $table_data_rows;
}

function get_customer_data_row($customer,$controller)
{
	$CI =& get_instance();
	$controller_name=$CI->uri->segment(1);
	$width = $controller->get_form_width();
	$key_CKP = $CI->BiSOFT_Model->get_version_ckp();
		if($customer->status) { $status = $CI->Person->get_status_info($customer->status);}
		else {$status = '';}
		$discount = $customer->discount;
		$price_group = $customer->price_group;
		if($discount>0) {$status.=' (-'.$discount.'%)';}
		elseif($price_group>0) {$status.=' ('.$price_group.')';}

	$table_data_row='<tr>';
	$table_data_row.="<td style='width:1%;'><input type='checkbox' class='hidden' id='person_$customer->person_id' value='".$customer->person_id."'/></td>";
	$table_data_row.='<td style="width:4%;text-align:center;">'.anchor($controller_name."/view/$customer->person_id/width:760/height:470", $customer->bisoft_id,array('class'=>'thickbox btn_blue_red','title'=>$CI->lang->line($controller_name.'_update'))).'</td>';
	$table_data_row.='<td style="width:32%;text-align:left;">'.anchor($controller_name."/view/$customer->person_id/width:760/height:470",$customer->company_name,array('class'=>'thickbox btn_name')).'</td>';
	$table_data_row.='<td style="width:10%;text-align:left;color:#222;">'.character_limiter($customer->city,20).'</td>';
	$table_data_row.='<td style="width:8%;text-align:center;color:#040;">'.$customer->account_number.'</td>';
	$table_data_row.='<td style="width:10%;text-align:center;color:#511;">'.$status.'</td>';
	$table_data_row.='<td style="width:25%;text-align:left;color:black;">'.character_limiter($customer->first_name.' '.$customer->last_name,35).'</td>';
	$table_data_row.='<td style="width:8%;text-align:center;color:#222;">'.character_limiter($customer->phone_number,20).'</td>';
	$table_data_row.='<td style="width:5%;text-align:center;color:#700;">'.round($customer->rating/10,0).'</td>';

if (!$key_CKP)
	{
		 $table_data_row.='<td style="width:5%;text-align:center">'.anchor($controller_name."/vedom/$customer->bisoft_id", $CI->lang->line('common_track'),
								array('title'=>$CI->lang->line($controller_name.'_count'),
										'onclick'=>'javascript:pls_hide();'							
								)).'</td>';
	}
else { $table_data_row.='<td style="width:5%;text-align:center"></td>';}

		
	$table_data_row.='</tr>';
return $table_data_row;
}



/* ===============================  МАГАЗИНИ  ===================================*/
function get_consignee_manage_table($consignees,$controller)
{
	$CI =& get_instance();
	$table='<table class="tablesorter" id="sortable_table">';
	
	$headers = array('<input type="checkbox" id="select_all" class="hidden" />',
	$CI->lang->line('common_bisoft_id'),
	$CI->lang->line('common_company'),
	$CI->lang->line('common_city'),
	$CI->lang->line('common_status'),
	$CI->lang->line('common_firstlast_name'),
	$CI->lang->line('common_phone_number'),
	'');
	
	$table.='<thead><tr>';
	foreach($headers as $header)
	{
		$table.="<th>$header</th>";
	}
	$table.='</tr></thead><tbody>';
	$table.=get_consignee_manage_table_data_rows($consignees,$controller);
	$table.='</tbody></table>';
return $table;
}


function get_consignee_manage_table_data_rows($consignees,$controller)
{
	$CI =& get_instance();
	$table_data_rows='';
	
	foreach($consignees->result() as $consignee)
		{ $table_data_rows.=get_consignee_data_row($consignee,$controller);}
	
	if($consignees->num_rows()==0)
		{ $table_data_rows.="<tr><td colspan='10'><div class='error_message'>".$CI->lang->line('common_no_data_to_display')."</div></tr></tr>";}
	
return $table_data_rows;
}

function get_consignee_data_row($consignee,$controller)
{
	$CI =& get_instance();
	$controller_name=$CI->uri->segment(1);
	$width = $controller->get_form_width();
	$key_CKP = $CI->BiSOFT_Model->get_version_ckp();
		$status = $CI->Person->get_status_info($consignee->status);
		$commision = $consignee->commision;
		$discount = $consignee->discount;
		$price_group = $consignee->price_group;
		if($commision>0) {$status.=' (~'.$commision.'%)';}
		elseif($discount>0)  {$status.=' (-'.$discount.'%)';}
		elseif($price_group>0) {$status.=' ('.$price_group.')';}

	$table_data_row='<tr>';
	$table_data_row.="<td style='width:1%;'><input type='checkbox' class='hidden' id='person_$consignee->person_id' value='".$consignee->person_id."'/></td>";
	$table_data_row.='<td style="width:4%;text-align:center;">'.anchor($controller_name."/view/$consignee->person_id/width:760/height:470", $consignee->bisoft_id,array('class'=>'thickbox btn_blue_red','title'=>$CI->lang->line($controller_name.'_update'))).'</td>';
//	$table_data_row.='<td style="width:32%;text-align:left;color:#004;">'.$consignee->company_name.'</td>';
	$table_data_row.='<td style="width:32%;text-align:left;">'.anchor($controller_name."/view/$consignee->person_id/width:760/height:470",$consignee->company_name,array('class'=>'thickbox btn_name')).'</td>';
	$table_data_row.='<td style="width:15%;text-align:left;color:#222;">'.character_limiter($consignee->city,20).'</td>';
	$table_data_row.='<td style="width:12%;text-align:center;color:#511;">'.$status.'</td>';
	$table_data_row.='<td style="width:20%;text-align:left;color:black;">'.character_limiter($consignee->first_name.' '.$consignee->last_name,35).'</td>';
	$table_data_row.='<td style="width:12%;text-align:left;color:#222;">'.character_limiter($consignee->phone_number,20).'</td>';
	
if (!$key_CKP)
	{
		$table_data_row.='<td style="width:5%;text-align:center">'.anchor($controller_name."/vedom/$consignee->bisoft_id", $CI->lang->line('common_track'),
								array('title'=>$CI->lang->line($controller_name.'_vedom'),
										'onclick'=>'javascript:pls_hide();'	
										)).'</td>';
	}
else { $table_data_row.='<td style="width:5%;text-align:center"></td>';}

	$table_data_row.='</tr>';
	return $table_data_row;
}

/* =====================================END МАГАЗИНИ =============================================*/




function get_items_manage_table($items,$controller)
{
	$CI =& get_instance();
	$table='<table class="tablesorter" id="sortable_table">';
	$location = $CI->Employee->get_logged_in_employee_info()->location;
	// взимам си размерите ...
	$size_table=$CI->BiSOFT_Model->get_sizes('grid_2');

	if($location==0)
	{
		$headers = array(
			'<input type="checkbox" id="select_all" class="hidden" />', 
			$CI->lang->line('items_item_under'),
			$CI->lang->line('common_label_item'),
			$CI->lang->line('items_collection'),
			$size_table->size_1, 
			$size_table->size_2, 
			$size_table->size_3,
			$size_table->size_4,
			$size_table->size_5,
			$size_table->size_6,
			$size_table->size_7,
			$size_table->size_8,
			$size_table->size_9,
			$size_table->size_max,
			$CI->lang->line('items_inventory_qty'),
			$CI->lang->line('items_dsc'),
			$CI->lang->line('items_unit_price'),
			' ' );
	}
	else // $location != 0
	{
		$headers = array(
			' ', 
			$CI->lang->line('items_item_under'),
			$CI->lang->line('common_label_item'),
			$size_table->size_1, 
			$size_table->size_2, 
			$size_table->size_3,
			$size_table->size_4,
			$size_table->size_5,
			$size_table->size_6,
			$size_table->size_7,
			$size_table->size_8,
			$size_table->size_9,
			$size_table->size_max,
			$CI->lang->line('items_inventory_qty'),
			$CI->lang->line('items_unit_price'),
			' ' );
	}

	$table.='<thead><tr>';
	foreach($headers as $header)
	{
		$table.="<th>$header</th>";
	}
	$table.='</tr></thead><tbody>';
	$table.=get_items_manage_table_data_rows($items,$controller);
	$table.='</tbody></table>';
return $table;
}


function get_items_manage_table_data_rows($items,$controller)
{
	$CI =& get_instance();
	$table_data_rows='';
	$location = $CI->Employee->get_logged_in_employee_info()->location;
		$all_colomns = 16;
		if($location==0) {$all_colomns = 18;}
		
	$all_items=array();
	if( null!==$items->result() ) {$all_items = $items->result();}
	if($all_items)
	{
		foreach($all_items as $item) {$table_data_rows.=get_item_data_row($item,$controller);}
	}
	
	if($items->num_rows()==0)
	{
		$table_data_rows.="<tr><td colspan='$all_colomns'><div class='warning_message' style='padding:5px;'>".$CI->lang->line('items_no_items_to_display')."</div></tr></tr>";
	}
	
return $table_data_rows;
}

function get_item_data_row($item,$controller)
{
	$CI =& get_instance();
	$controller_name=ucfirst(strtolower(get_class($CI)));
	$user_id = $CI->BiSOFT_Model->get_person();
	$location = $CI->Employee->get_logged_in_employee_info()->location;
	
		$skl  = $CI->BiSOFT_Model->get_user_mode_client();
		$inum = $item->inum;
		$item_id = $item->item_id;if(!$item_id){return;} // изтрива артикула.
		
		$item_info = $CI->Item->get_blanka_info($inum);
		$size = $item_info->allow_sizes;
		$name = character_limiter($item_info->name,50);
		if($item_info->supplier!='' and $location==0 and $user_id<11) 
         {$name = $item_info->name.', '.$item_info->supplier;}
		
		if($inum<4000 or $inum>98000){$size=0;}
		
		// dsc
		$item_price=$item_dsc=0;$item_dsc_txt='';
		if(is_numeric($item->dsc) and $item->dsc > 0) 
			{ $item_dsc=$item->dsc; $item_dsc_txt=$item->dsc; }
		if(is_numeric($item->price) and $item->price > 0)
			{ $item_price=$item->price; }
		
		// price
		$iprice = to_currency_no_money(round((100-$item_dsc)*$item_price/100,2));
		
		$width = $controller->get_form_width();
		if($size) {$width=$controller->get_form_full_width();}

		// qty
		$item_qty = $item->qty;
		if($location!=0 and $item->skl!=$location) { $item_qty=$iprice=''; } // за стока НЕ-налична в Магазина
		
		$qty_style='<td style="width:6%;text-align:right;font-weight:bold;color:#222;">';
		if ($item_qty <= 0) {$qty_style='<td style="width:6%;text-align:left;font-weight:bold;color:#a00;">';}
	
		$collection_info = $CI->Item->get_info_collection($item->coll);
		if($collection_info) {$coll = $collection_info->collection_bg;}
		else {$coll = '';}
		
	$table_data_row='<tr style="line-height:22px;">';
	$table_data_row.="<td style='width:1%'><input type='checkbox' class='hidden' id='item_$item->item_id' value='".$item_id."'/></td>";
	$table_data_row.='<td style="width:4%;text-align:center;">'.anchor($controller_name."/view/$item_id/width:760/height:470", $inum,array('class'=>'thickbox btn_blue_red','title'=>$CI->lang->line($controller_name.'_update'))).'</td>';
	$table_data_row.='<td style="width:38%;text-align:left;">'.anchor($controller_name."/view/$item_id/width:760/height:470", $name,array('class'=>'thickbox black')).'</td>';

if($location==0)
{
	$table_data_row.='<td style="width:12%;text-align:center;color:#404;">'.character_limiter($coll,30).'</td>';
}
	$table_data_row.='<td style="width:4%;text-align:center;">'.$item->q1.'</td>';
	$table_data_row.='<td style="width:4%;text-align:center;">'.$item->q2.'</td>';
	$table_data_row.='<td style="width:4%;text-align:center;">'.$item->q3.'</td>';
	$table_data_row.='<td style="width:4%;text-align:center;">'.$item->q4.'</td>';
	$table_data_row.='<td style="width:4%;text-align:center;">'.$item->q5.'</td>';
	$table_data_row.='<td style="width:4%;text-align:center;">'.$item->q6.'</td>';
	$table_data_row.='<td style="width:4%;text-align:center;">'.$item->q7.'</td>';
	$table_data_row.='<td style="width:4%;text-align:center;">'.$item->q8.'</td>';
	$table_data_row.='<td style="width:4%;text-align:center;">'.$item->q9.'</td>';
	$table_data_row.='<td style="width:4%;text-align:center;">'.$item->q10.'</td>';

	$table_data_row.= $qty_style.$item_qty.'</td>';
	
if($location==0)
{	
	$table_data_row.='<td style="width:2%;text-align:center;color:#444;">'.$item_dsc_txt.'</td>';
}
	$table_data_row.='<td style="width:5%;text-align:right;color:#500;">'.$iprice.'</td>';

	
if (!$CI->BiSOFT_Model->get_version_ckp())
{
	$table_data_row.='<td style="width:4%;text-align:center">'.anchor($controller_name."/count_details/$inum/width:$width", $CI->lang->line('common_track'),
						  array('class'=>'thickbox',
								  'title'=>$CI->lang->line($controller_name.'_details_count'),
								  ));
	$table_data_row.='</td>';
}
else { $table_data_row.='<td style="width:4%;"></td>';}

	$table_data_row.='</tr>';
return $table_data_row;
}
/* ===================================== END ITEMS =============================================*/


function get_sklads_manage_table($sklads,$controller)
{
	$CI =& get_instance();
	$table='<table class="tablesorter" id="sortable_table">';
	// взимам си размерите ...
	$size_table=$CI->BiSOFT_Model->get_sizes('grid_2');
	
	$headers = array('<input type="checkbox" id="select_all" />', 
	$CI->lang->line('sklads_sklad_number'),
	$CI->lang->line('sklads_name'),
		$size_table->size_1, 
		$size_table->size_2, 
		$size_table->size_3,
		$size_table->size_4,
		$size_table->size_5,
		$size_table->size_6,
		$size_table->size_7,
		$size_table->size_8,
		$size_table->size_9,
		$size_table->size_max,
	$CI->lang->line('sklads_quantity'),
	$CI->lang->line('sklads_unit_price'),
	' ' );
	
	$table.='<thead><tr>';
	
	foreach($headers as $header) { $table.="<th>$header</th>";}
	$table.='</tr></thead><tbody>';
	$table.=get_sklads_manage_table_data_rows($sklads,$controller);
	$table.='</tbody></table>';
	return $table;
}


function get_sklads_manage_table_data_rows($sklads,$controller)
{
	$CI =& get_instance();
	$table_data_rows='';
	
	foreach($sklads->result() as $sklad)
	{
		$table_data_rows.=get_sklad_data_row($sklad,$controller);
	}
	
	if($sklads->num_rows()==0)
	{
		$table_data_rows.="<tr><td colspan='16'><div class='warning_message' style='padding:5px;'>".$CI->lang->line('sklads_no_sklads_to_display')."</div></tr></tr>";
	}
	
	return $table_data_rows;
}

function get_sklad_data_row($sklad,$controller)
{
	$CI =& get_instance();

	$controller_name=strtolower(get_class($CI));
	$width = $controller->get_form_width();
	$allow_sizes = $sklad->allow_sizes;
	if($sklad->item_number<6000 or $sklad->item_number>98000) {$allow_sizes=0;}
	if ($allow_sizes) { $width = $controller->get_form_full_width();}
	$size_range = ''; if($allow_sizes) {$size_range = $allow_sizes . ' - max';}

	$table_data_row='<tr>';
	$table_data_row.="<td style='width:10px'><input type='checkbox' id='sklad_$sklad->sklad_id' value='".$sklad->sklad_id."'/></td>";
	$table_data_row.='<td style="width:4%;text-align:center;">'.anchor($controller_name."/view/$sklad->sklad_id/width:720/height:425", $sklad->sklad_number,array('class'=>'thickbox mat_button','title'=>$CI->lang->line($controller_name.'_update'))).'</td>';	
	$table_data_row.='<td style="width:280px;text-align:left">'.$sklad->name.'</td>';

	$table_data_row.='<td style="width:40px">'.$sklad->qty_1.'</td>';
	$table_data_row.='<td style="width:40px">'.$sklad->qty_2.'</td>';
	$table_data_row.='<td style="width:40px">'.$sklad->qty_3.'</td>';
	$table_data_row.='<td style="width:40px">'.$sklad->qty_4.'</td>';
	$table_data_row.='<td style="width:40px">'.$sklad->qty_5.'</td>';
	$table_data_row.='<td style="width:40px">'.$sklad->qty_6.'</td>';
	$table_data_row.='<td style="width:40px">'.$sklad->qty_7.'</td>';
	$table_data_row.='<td style="width:40px">'.$sklad->qty_8.'</td>';
	$table_data_row.='<td style="width:40px">'.$sklad->qty_9.'</td>';
	$table_data_row.='<td style="width:40px">'.$sklad->qty_max.'</td>';

	$table_data_row.='<td style="width:50px;text-align:right;font-weight: bold;">'.$sklad->quantity.'</td>';
	$table_data_row.='<td style="width:40px;text-align:right;color:#500;">'.$sklad->unit_price.'</td>';

	$table_data_row.='<td style="width:90px;text-align:center">'.anchor($controller_name."/count_details/$sklad->sklad_id/width:600px/height:440", $CI->lang->line('common_track'),array('class'=>'thickbox','title'=>$CI->lang->line($controller_name.'_details_count'))).'</td>';
	// END inventory details
	
	$table_data_row.='</tr>';
	return $table_data_row;
}
/* ===================================== END SKLAD =============================================*/



/* =====================================  MATERIALS  =============================================*/
function get_materials_manage_table($mats,$controller)
{
	$CI =& get_instance();
	$table='<table class="tablesorter" id="sortable_table">';

	$headers = array(
		'<input type="checkbox" id="select_all" class="hidden" />', 
		$CI->lang->line('mats_number'),			// 1
		$CI->lang->line('mats_name'),				// 2
		$CI->lang->line('mats_supplier'),		// 3
		$CI->lang->line('mats_measure_short'),	// 4
		$CI->lang->line('mats_width_short'),	// 5
		$CI->lang->line('mats_meters'),			// 6
		$CI->lang->line('mats_kgs_short'),		// 7
		$CI->lang->line('mats_qty_short'),		// 8
		$CI->lang->line('mats_contents'),		// 9
		$CI->lang->line('mats_inventory')		// 10
						);
	
	$table.='<thead><tr>';
	foreach($headers as $header)
	{
		$table.="<th>$header</th>";
	}
	$table.='</tr></thead><tbody>';
	$table.=get_materials_manage_table_data_rows($mats,$controller);
	$table.='</tbody></table>';
	return $table;
}

function get_materials_manage_table_data_rows($mats,$controller)
{
	$CI =& get_instance();
	$table_data_rows='';
	
	foreach($mats->result() as $mat)
		{ $table_data_rows.=get_material_data_row($mat,$controller);}
	
	if($mats->num_rows()==0)
	{
		$table_data_rows.="<tr><td colspan='11'><div class='warning_message' style='padding:3px;'>".$CI->lang->line('mats_no_mats_to_display')."</div></tr></tr>";
	}
	return $table_data_rows;
}

function get_material_data_row($mat,$controller)
{
	$CI =& get_instance();

	$controller_name=get_class($CI);
	$controller_title=strtolower(get_class($CI));
	
	$width = $controller->get_form_width();
	if($mat->supplier_id>0)
	{ $supplier = substr($CI->Supplier->get_supplier_name($mat->supplier_id),0,36); } // character_limiter
	else { $supplier = '';}


	$qty_style = '<td style="width:3%;text-align:center;font-weight:bold;color:#222;">';
	if ($mat->quantity <= 0)
		{ $qty_style = '<td style="width:3%;text-align:left;font-weight:bold;color:#a00;">';}

	$kgs_style = '<td style="width:3%;text-align:right;font-weight:bold;color:#622;">';
	if ($mat->kgs <= 0)
		{ $kgs_style = '<td style="width:3%;text-align:left;font-weight:bold;color:#a00;">';}

	$meters_style = '<td style="width:4%;text-align:right;font-weight:normal;color:#222;">';
	if ($mat->meters <= 0)
		{ $meters_style = '<td style="width:4%;text-align:left;font-weight:bold;color:#a00;">';}

	$table_data_row='<tr>';
	$table_data_row.="<td style='width:1%'><input type='checkbox' class='hidden' id='mat_$mat->mat_id' value='".$mat->mat_id."'/></td>";
	$table_data_row.='<td style="width:5%;">'.anchor($controller_name."/view/".$mat->mat_id."/width:760", $mat->mat_number,array('class'=>'thickbox mat_button','title'=>$CI->lang->line('mats_count'))).'</td>';
	$table_data_row.='<td style="width:25%;text-align:left;">'.anchor($controller_name."/view/".$mat->mat_id."/width:760", $mat->name.' '.$mat->mat_color,array('class'=>'thickbox black')).'</td>';	
	$table_data_row.='<td style="width:14%;text-align:left;font-weight:normal;color:#040;">'.$supplier.'</td>';
	$table_data_row.='<td style="width:2%;text-align:center;">'.$mat->mat_measure.'</td>';
	$table_data_row.='<td style="width:2%;text-align:center;color:#404;">'.$mat->mat_width.'</td>';
	$table_data_row.= $meters_style.((!$mat->meters) ? '': $mat->meters ).'</td>';
	$table_data_row.= $kgs_style.((!$mat->kgs) ? '' : to_dot($mat->kgs)).'</td>';
	$table_data_row.= $qty_style.((!$mat->quantity) ? '': $mat->quantity). '</td>';
	$table_data_row.='<td style="width:20%;text-align:left;font-style:italic;color:#333;">'.$mat->contents.'</td>';

	$table_data_row.='<td style="width:6%;text-align:center;">'.anchor($controller_name."/dostavka/$mat->mat_id/width:760/height:470", $CI->lang->line('mats_dostavka'),array('class'=>'thickbox','title'=>$CI->lang->line('mats_Dostavka'))).
	'&nbsp;&nbsp;'.anchor($controller_name."/iskane/$mat->mat_id/width:760/height:470", $CI->lang->line('mats_iskane'),array('class'=>'thickbox','title'=>$CI->lang->line('mats_Iskane'))).
	'&nbsp;&nbsp;'.anchor($controller_name."/promat/$mat->mat_id/width:760/height:470", $CI->lang->line('mats_promat'),array('class'=>'thickbox','title'=>$CI->lang->line('mats_ProMat'))).
	'&nbsp;&nbsp;'.anchor($controller_name."/count_details/$mat->mat_id/width:810", $CI->lang->line('common_track'),array('class'=>'thickbox','title'=>$CI->lang->line('mats_details_count'))).'</td>';
	// END inventory details

	$table_data_row.='</tr>';
	return $table_data_row;
}

// Document Vedom
function get_matdoc_data_row($doc,$controller)
{
	$CI =& get_instance();

	$controller_name=strtolower(get_class($CI));

if($doc->deleted==0)
{
	$doc_id = $doc->doc_id;
	$doc_number = $doc->doc_number;
	
	$subcont_id = 0; $subcont_name = "";
	$mode_id = $doc->mode_id;
	
	$imat = $doc->mat_number;
	$mat_info = $CI->Material->get_blanka($imat);
	
	if($mat_info->supplier_id>0)
	{ $supplier = $CI->Supplier->get_supplier_name($mat_info->supplier_id);}
	else { $supplier = '';}
	
	if($mode_id=="prM") { $subcont_id = $doc->subcont_id;$supplier = $CI->Subcont->get_supplier_name($subcont_id); }
	
	$date = date('d.m.Y', strtotime($doc->doc_date) );
	$vedom = 'M'.date('Y', strtotime($doc->doc_date) );
	$box_title = '';
	if($doc->mode_id=='iM') {$box_title = $CI->lang->line('mats_title_iskane').' #'.$doc_number.' / '.$date;}
	elseif($doc->mode_id=='dM') {$box_title = $CI->lang->line('mats_title_dostavka').' #'.$doc_number.' / '.$date;}
	
	$qty = (int)$doc->quantity;
	$kgs = to_dot($doc->kgs);
	$meters = to_dot($doc->meters);

	$top_style = '<td style="width:3%;text-align:center;">';
	$qty_style = '<td style="width:3%;text-align:center;font-weight:bold;color:#222;">';
	if ((int)$qty <= 0)
		{ $qty_style = '<td style="width:3%;text-align:left;font-weight:bold;color:#a00;">';}

	$kgs_style = '<td style="width:3%;text-align:right;font-weight:bold;color:#622;">';
	if ((int)$kgs <= 0)
		{ $kgs_style = '<td style="width:3%;text-align:left;font-weight:bold;color:#a00;">';}

	$meters_style = '<td style="width:4%;text-align:right;font-weight:normal;color:#222;">';
	if ((int)$meters <= 0)
		{ $meters_style = '<td style="width:4%;text-align:left;font-weight:bold;color:#a00;">';}

	$table_data_row='<tr>';
	$table_data_row.="<td style='width:1%;'><input type='checkbox' class='hidden' id='doc_$doc_id' value='".$doc_id."'/></td>";
	$table_data_row.='<td style="width:3%;text-align:center;">'.anchor("materials/edit_document/$doc_id/width:760/height:470", $doc_number,array('class'=>'thickbox mat_button','title'=>$box_title)).'</td>';
	$table_data_row.='<td style="width:3%;text-align:center;color:#226;">'.$date.'</td>';
	$table_data_row.='<td style="width:4%;text-align:center;color:#004;font-weight:bold;">'.$imat.'</td>';	
	$table_data_row.='<td style="width:22%;text-align:left;">'.$mat_info->name.' '.$mat_info->mat_color.'</td>';
	$table_data_row.='<td style="width:15%;text-align:center;color:#040;font-weight:bold;">'.$supplier.'</td>';
	$table_data_row.= $meters_style.( ((int)$meters!=0) ? to_dot($meters) : '').'</td>';
	$table_data_row.= $kgs_style.( ((int)$kgs>0) ? to_dot($kgs):'').'</td>';
	$table_data_row.= $qty_style.( ((int)$qty>0) ? $qty:'').'</td>';
	
	$table_data_row.= $top_style.$doc->top_1.'</td>';
	$table_data_row.= $top_style.$doc->top_2.'</td>';
	$table_data_row.= $top_style.$doc->top_3.'</td>';
	$table_data_row.= $top_style.$doc->top_4.'</td>';
	$table_data_row.= $top_style.$doc->top_5.'</td>';
	$table_data_row.= $top_style.$doc->top_6.'</td>';
	$table_data_row.= $top_style.$doc->top_7.'</td>';
	$table_data_row.= $top_style.$doc->top_8.'</td>';
	$table_data_row.= $top_style.$doc->top_9.'</td>';
	$table_data_row.= $top_style.$doc->top_10.'</td>';

	$table_data_row.='<td style="width:1%;text-align:center;color:#600;">'.$doc->mode_id.'</td>';
	
	$table_data_row.='<td style="width:3%;text-align:center;"><b>'.anchor("materials/delete_document/$vedom/$doc_id",'X',
	array('style'=>'color:red;', 'class'=>'del_button') ).'</b></td>';

	$table_data_row.='</tr>';
}
else
{ $table_data_row=''; }
	
	
return $table_data_row;
}
/* ===================================== END MATERIALS =============================================*/






/* =============================== GIFTCARDS ===================================== */
function get_giftcards_manage_table( $giftcards, $controller )
{
	$CI =& get_instance();
	
	$table='<table class="tablesorter" id="sortable_table">';
	
	$headers = array('<input type="checkbox" id="select_all" class="hidden" />',
	$CI->lang->line('giftcards_giftcard_number'),
	$CI->lang->line('giftcards_gift_num'),
	$CI->lang->line('giftcards_type'),
	$CI->lang->line('giftcards_card_procent'),
	$CI->lang->line('giftcards_card_cost'),
	$CI->lang->line('giftcards_card_value'),
	$CI->lang->line('giftcards_date_start'),
	$CI->lang->line('giftcards_date_end'),
	$CI->lang->line('giftcards_card_owner'),
	$CI->lang->line('giftcards_card_GSM'),
	$CI->lang->line('giftcards_card_email'),
	'=' );
	
	$table.='<thead><tr>';
	
	foreach($headers as $header) {$table.="<th>$header</th>";}
	$table.='</tr></thead><tbody>';
	$table.=get_giftcards_manage_table_data_rows( $giftcards, $controller );
	$table.='</tbody></table>';
return $table;
}


function get_giftcards_manage_table_data_rows( $giftcards, $controller )
{
	$CI =& get_instance();
	$table_data_rows='';
	
	foreach($giftcards->result() as $giftcard)
		{ $table_data_rows.=get_giftcard_data_row( $giftcard, $controller );}
	
	if($giftcards->num_rows()==0)
		{ $table_data_rows.="<tr><td colspan='13'><div class='warning_message' style='padding:7px;'>".$CI->lang->line('giftcards_no_giftcards_to_display')."</div></tr></tr>";}
	
return $table_data_rows;
}


function get_giftcard_data_row($giftcard,$controller)
{
	$CI =& get_instance();
	$controller_name=strtolower(get_class($CI));
	$width  = $controller->get_form_width();
	$height = $controller->get_form_height();
	$user_id = $CI->BiSOFT_Model->get_person();
	
	if($giftcard->gift_num==0){$gift_id='';}else{$gift_id=$giftcard->gift_num;}
	
	if($giftcard->procent==0){$procent='';}else{$procent=$giftcard->procent.'%';}
	$total = $giftcard->total; if($total==0){$total='';}
	$date_expire = date('d.m.Y',strtotime($giftcard->date_end));
	if(date('Y-m-d',strtotime($giftcard->date_end)) < date('2016-1-1')) {$date_expire='';}

	$table_data_row='<tr>';
	$table_data_row.="<td width='1%'><input type='checkbox' class='hidden' id='giftcard_$giftcard->giftcard_id' value='".$giftcard->giftcard_id."'/></td>";

	$table_data_row.='<td width="8%" style="text-align:center;font-size:140%;">'.anchor($controller_name."/view/".$giftcard->giftcard_id."/height:$height/width:$width",
						  "<span class='view_item_number'>".$giftcard->giftcard_number."</span>",array('class'=>'thickbox item_button none','title'=>$CI->lang->line($controller_name.'_update') )).'</td>';		

	$table_data_row.='<td width="4%" style="text-align:center;color:#822;"><b>'.$gift_id.'</b></td>';	
	$table_data_row.='<td width="6%" style="text-align:center;color:#004;">'.$giftcard->type.'</td>';
	$table_data_row.='<td width="7%" style="text-align:center;color:#242;">'.$procent.'</td>';	
	$table_data_row.='<td width="7%" style="text-align:right;">'.to_currency($giftcard->cost).'</td>';
	$table_data_row.='<td width="7%" style="text-align:right;color:#444;">'.to_currency($giftcard->value).'</td>';
	
	$table_data_row.='<td width="6%" style="text-align:center;">'.date('d.m.Y',strtotime($giftcard->date_start)).'</td>';
	$table_data_row.='<td width="6%" style="text-align:center;color:#444;">'.$date_expire.'</td>';

	$table_data_row.='<td width="20%">'.$giftcard->owner.'</td>';
	$table_data_row.='<td width="20%" style="text-align:center;color:#044;">'.$giftcard->mobile.'</td>';
	$table_data_row.='<td width="20%">'.$giftcard->uguomu.'</td>';
if($user_id < 11)
{
	$table_data_row.='<td width="10%" style="text-align:right;color:#404;"><b>'.$total.'</b></td>';
}
else {$table_data_row.='<td width="10%"></td>';}

	$table_data_row.='</tr>';
return $table_data_row;
}


function get_item_kits_manage_table( $item_kits, $controller )
{
	$CI =& get_instance();
	
	$table='<table class="tablesorter" id="sortable_table">';
	
	$headers = array('<input type="checkbox" id="select_all" />', 
	$CI->lang->line('item_kits_name'),
	$CI->lang->line('item_kits_description'),
	'&nbsp', 
	);
	
	$table.='<thead><tr>';
	foreach($headers as $header)
	{
		$table.="<th>$header</th>";
	}
	$table.='</tr></thead><tbody>';
	$table.=get_item_kits_manage_table_data_rows( $item_kits, $controller );
	$table.='</tbody></table>';
	return $table;
}


function get_item_kits_manage_table_data_rows( $item_kits, $controller )
{
	$CI =& get_instance();
	$table_data_rows='';
	
	foreach($item_kits->result() as $item_kit)
	{ $table_data_rows.=get_item_kit_data_row( $item_kit, $controller );}
	
	if($item_kits->num_rows()==0)
	{
		$table_data_rows.="<tr><td colspan='11'><div class='warning_message' style='padding:7px;'>".$CI->lang->line('item_kits_no_item_kits_to_display')."</div></tr></tr>";
	}
	
	return $table_data_rows;
}

function get_item_kit_data_row($item_kit,$controller)
{
	$CI =& get_instance();
	$controller_name=strtolower(get_class($CI));
	$width = $controller->get_form_width();

	$table_data_row='<tr>';
	$table_data_row.="<td width='3%'><input type='checkbox' id='item_kit_$item_kit->item_kit_id' value='".$item_kit->item_kit_id."'/></td>";
	$table_data_row.='<td width="15%">'.$item_kit->name.'</td>';
	$table_data_row.='<td width="20%">'.character_limiter($item_kit->description, 25).'</td>';
	$table_data_row.='<td width="5%">'.anchor($controller_name."/view/$item_kit->item_kit_id/width:$width", $CI->lang->line('common_edit'),array('class'=>'thickbox','title'=>$CI->lang->line($controller_name.'_update'))).'</td>';		
	
	$table_data_row.='</tr>';
	return $table_data_row;
}

?>
