<?php
class Invoice_lib
{
	var $CI;

  	function __construct()
	{ $this->CI =& get_instance();}

	
	// Cart
	function get_cart()
	{
		if(!$this->CI->session->userdata('inv_cart'))
			$this->set_cart(array());

	return $this->CI->session->userdata('inv_cart');
	}

	function set_cart($cart_data)
	{ $this->CI->session->set_userdata('inv_cart',$cart_data);}
	
	function empty_cart()
	{ $this->CI->session->unset_userdata('inv_cart');}



// =========================== MODES ============================== //

	function get_mode()
	{
	$location = $this->CI->Employee->get_logged_in_employee_info()->location;
	$key_CKP  = $this->CI->BiSOFT_Model->get_version_ckp();
	if ( $location == 0 )
		{
			if ( !$key_CKP ) { $default_mode='invoice'; }
			else { $default_mode = 'invoice'; }
		}
	else
		{ $default_mode = 'invoice';}

		if(!$this->CI->session->userdata('inv_mode'))
			$this->set_mode($default_mode);

	return $this->CI->session->userdata('inv_mode');
	}

	function set_mode($mode)
	{ $this->CI->session->set_userdata('inv_mode', $mode);}


	function clear_mode()
	{
		$this->CI->session->unset_userdata('inv_mode');
	}
	
	
/* ======================== Multiple FIRMAS ============================ */
	function get_firma()
	{
		if( !$this->CI->session->userdata( 'inv_firma' ) )
		{ $this->set_firma( '0' );}
	return $this->CI->session->userdata('inv_firma');
	}

	function set_firma($firma_id)
	{ $this->CI->session->set_userdata('inv_firma',$firma_id);}
	
	function clear_firma()
	{ $this->CI->session->unset_userdata('inv_firma');}

// ------------------------------ Prices ----------------------------- //
	function get_mode_price()
	{
		if	(!$this->CI->session->userdata('inv_price'))
			{
				$firma = $this->get_firma();
				$new_mode = 100;$vat = 1;
				if($firma==1) 
					{$vat=$this->CI->config->item('vat');}
				elseif($firma==2)
					{$vat=$this->CI->config->item('2_vat');}
				
			if($vat==1) {$new_mode=100;}
			else {$new_mode=99;}

			$this->set_mode_price($new_mode);
			}

	return $this->CI->session->userdata('inv_price');
	}

	function set_mode_price($mode_price)
	{ $this->CI->session->set_userdata('inv_price',$mode_price);}
	
	function clear_mode_price()
	{ $this->CI->session->unset_userdata('inv_price');
	  $this->CI->session->unset_userdata('inv_valuta');}


// ------------------------------ Valuta ----------------------------- //
	function get_mode_valuta()
	{
		if	(!$this->CI->session->userdata('inv_valuta'))
			{ $this->set_mode_valuta(2);
				if(substr($this->CI->Appconfig->get('company_eng'),0,5)=='HANNA') 
					{$this->set_mode_valuta(3);}
			}
	return $this->CI->session->userdata('inv_valuta');
	}

	function set_mode_valuta($mode_valuta)
	{ $this->CI->session->set_userdata('inv_valuta',$mode_valuta);}

// ------------------------------ Rate ----------------------------- //
	function get_rate()
	{
		if	(!$this->CI->session->userdata('inv_rate'))
			{ 
            if(substr($this->CI->Appconfig->get('company_eng'),0,5)=='HANNA') 
					{ $this->set_rate('1.00000');}
            else // STYLER // Villy Style ... etc
               { $this->set_rate('1.95583');}
			}

	return $this->CI->session->userdata('inv_rate');
	}

	function set_rate($rate)
	{ $this->CI->session->set_userdata('inv_rate',$rate);}
	
// ------------------------------ Type Payment ----------------------------- //
	function get_mode_payment($key)
	{
		if	(!$this->CI->session->userdata('inv_payment'))
			{ 
				if(!$key) {$this->set_mode_payment($this->CI->lang->line('sales_by_bank'));} // XAHHA
				else {$this->set_mode_payment($this->CI->lang->line('sales_not_paid'));} // само STYLER
			}
	return $this->CI->session->userdata('inv_payment');
	}

	function set_mode_payment($type_payment)
	{ $this->CI->session->set_userdata('inv_payment',$type_payment);}

// -------------------------- END MODES ------------------------------- //
	// Multiple Payments
	function get_payments()
	{
		if( !$this->CI->session->userdata( 'inv_payments' ) )
			$this->set_payments( array() );
		return $this->CI->session->userdata('inv_payments');
	}

	function set_payments($payments_data)
	{ $this->CI->session->set_userdata('inv_payments',$payments_data);}

	function empty_payments()
	{ $this->CI->session->unset_userdata('inv_payments');}

	
// ------------------------------ IS PAID ----------------------------- //
	function get_is_paid()
	{
		if	(!$this->CI->session->userdata('is_paid'))
			{ $this->set_mode_payment('-1');}
	return $this->CI->session->userdata('is_paid');
	}

	function set_is_paid($is_paid)
	{ $this->CI->session->set_userdata('is_paid',$is_paid);}
	
	
	// Comments
	function get_comment() 
	{ 
		if	(!$this->CI->session->userdata('inv_comment'))
			{ $this->set_comment('');}
	return $this->CI->session->userdata('inv_comment');
	}

	function set_comment($comment) 
	{ $this->CI->session->set_userdata('inv_comment', $comment);}

	function clear_comment() 	
	{ $this->CI->session->unset_userdata('inv_comment');}
	

	function get_email_receipt() 
	{ return $this->CI->session->userdata('email_receipt');}


	function set_email_receipt($email_receipt) 
	{ $this->CI->session->set_userdata('email_receipt', $email_receipt);}


	function clear_email_receipt() 	
	{ $this->CI->session->unset_userdata('email_receipt');}

// -------- Multiple Payments ----------------------------------------

	function add_payment( $payment_id, $payment_amount, $is_paid )
	{
		$payments = $this->get_payments();
		$payment = array( $payment_id=>
		array('payment_type' => $payment_id,
				'payment_amount' => $payment_amount,
				'is_paid' => $is_paid )
			);

		//payment_method already exists, add to payment_amount
		if( isset( $payments[$payment_id] ) )
		{
			$payments[$payment_id]['payment_amount'] += $payment_amount;
		}
		else //add to existing array
		{ $payments += $payment;}

		$this->set_payments( $payments );
	return true;
	}


	function edit_payment($payment_id,$payment_amount)
	{
		$payments = $this->get_payments();
		if(isset($payments[$payment_id]))
		{
			$payments[$payment_id]['payment_type'] = $payment_id;
			$payments[$payment_id]['payment_amount'] = $payment_amount;
			$this->set_payments($payment_id);
		}
	return false;
	}


	function delete_payment( $payment_id )
	{
		$payments = $this->get_payments();
		unset( $payments[urldecode( $payment_id )] );
		$this->set_payments( $payments );
	}


	function get_payments_total($mode)
	{
		$subtotal = 0;
		foreach($this->get_payments() as $payments)
		{
		    $subtotal += $payments['payment_amount'];
		}
	return to_currency_no_money($subtotal);
	}

	function get_amount_due($mode,$taxed)
	{
		$amount_due		= 0;
		$payment_total = round($this->get_payments_total($mode),6);
		$sales_total	= round($this->get_total($mode,0,$taxed),6);

		$amount_due = to_dot( $sales_total - $payment_total );

	return $amount_due;
	}


	// ------------------------------------- DATE KEY---------------------------------- //
	function get_dateKey() 
	{
		if	(!$this->CI->session->userdata('inv_date_key')) {return 0;}
	return 1;
	}

	function set_dateKey() 
	{ $this->CI->session->set_userdata('inv_date_key', 1);}

	function clear_dateKey() 	
	{ $this->CI->session->unset_userdata('inv_date_key');}



	// -------------------------- CUSTOMER ---------------------- //
	function get_customer()
	{
		if(!$this->CI->session->userdata('inv_customer'))
			$this->set_customer(-1);
	return $this->CI->session->userdata('inv_customer');
	}

	function set_customer($customer_id)
	{ $this->CI->session->set_userdata('inv_customer',$customer_id);}

	function remove_customer()
	{
		$this->CI->session->unset_userdata('inv_customer');
		$this->CI->session->unset_userdata('inv_order');
		$this->CI->session->unset_userdata('inv_client_name');
		$this->CI->session->unset_userdata('inv_client_surname');
		$this->CI->session->unset_userdata('inv_client_data');
		$this->CI->BiSOFT_Model->set_user_client(0);
	}
	
	// -------------------------- CLIENT ORDER---------------------- //
	function get_order()
	{ if(!$this->CI->session->userdata('inv_order'))
			$this->set_order('');
	return $this->CI->session->userdata('inv_order');
	}

	function set_order($order_id)
	{ $this->CI->session->set_userdata('inv_order',$order_id); }

	
	
	// -------------------------- CLIENT NAME---------------------- //
	function get_client_name()
	{ if(!$this->CI->session->userdata('inv_client_name'))
			$this->set_client_name('');
	return $this->CI->session->userdata('inv_client_name');
	}

	function set_client_name($name)
	{ $this->CI->session->set_userdata('inv_client_name',$name); }

	
	// -------------------------- CLIENT SURNAME---------------------- //
	function get_client_surname()
	{ if(!$this->CI->session->userdata('inv_client_surname'))
			$this->set_client_surname('');
	return $this->CI->session->userdata('inv_client_surname');
	}

	function set_client_surname($surname)
	{ $this->CI->session->set_userdata('inv_client_surname',$surname); }
	

	// -------------------------- CLIENT DATA---------------------- //
	function get_client_data()
	{ if(!$this->CI->session->userdata('inv_client_data'))
			$this->set_client_data('');
	return $this->CI->session->userdata('inv_client_data');
	}

	function set_client_data($data)
	{ $this->CI->session->set_userdata('inv_client_data',$data); }



// ------------------------------ Printons ----------------------------- //

	function get_mode_print($invKey)
	{
		if(!$this->CI->session->userdata('inv_prn'))
		{
			if($invKey==0) {$this->set_mode_print('prices');}
			else {$this->set_mode_print('invoices');}
		}
	return $this->CI->session->userdata('inv_prn');
	}

	function set_mode_print($mode_print)
	{ $this->CI->session->set_userdata('inv_prn',$mode_print);}

	function clear_mode_print()
	{ $this->CI->session->unset_userdata('inv_prn');}


	function clear_all()
	{
		$this->clear_mode();
		$this->clear_dateKey();
		$this->empty_cart();
		$this->clear_comment();
		$this->clear_email_receipt();
		$this->empty_payments();
		$this->clear_mode_price();
		$this->clear_mode_print();
		$this->remove_customer();
		$this->clear_firma();
	}	
	
	

	// само за Invoices
	function add_invoice_item( $item_id, $quantity, $price, $item_discount )
	{
		$success=1;
		$mode = $this->get_mode();
		$items = $this->get_cart();
     	$maxkey=$insertkey=$updatekey=0;
		$itemalreadyinsale=FALSE;

		foreach ($items as $item)
		{
			if($maxkey <= $item['line']) { $maxkey = $item['line'];}

			if($item['id']==$item_id)
			{
				$itemalreadyinsale=TRUE;
				$updatekey=$item['line'];
			}
		}

		$insertkey=$maxkey+1;

		$item_price = $price!=null ? $price: 0;
		if ($mode == 'invoice_ki') { $item_price = -abs($item_price);}
		if ($mode == 'invoice_di') { $item_price = abs($item_price);}

		$item_info = $this->CI->Item->get_info_invoice($item_id);
		if($item_info)
		{
		  $name_bg = $item_info->name_bg;
		  $name_en = $item_info->name_en;
		}
		else {$success=0;}
		
		//array/cart records are identified by $insertkey and item_id is just another field.
		$item = array(($insertkey)=>
						array(
							'line' => $insertkey,
							'id'	 => $item_id,
							'inum' => $item_id,
						'name_bg' => $name_bg,
						'name_en' => $name_en,
							'qty'	 => $quantity,
							'dsc'  => $item_discount,
						 'mprice' => 0,
						  'price' => round($item_price,8)
								)
					);
	
		//Item already exists
		if($itemalreadyinsale)
			{ $items[$updatekey]['qty']+=$quantity;} // добавя безразмерни кол-ва.
		else //add to existing array
			{ $items+=$item;}

		$this->set_cart($items);

	return $success;
	}


	function get_quantity_already_added($item_id)
	{
		$items = $this->get_cart();
		$quanity_already_added = 0;
		foreach ($items as $item)
		{
			if($item['id']==$item_id)
				{ $quanity_already_added+=$item['qty'];}
		}
	return $quanity_already_added;
	}

	
	function get_item_id($line_to_get)
	{
		$items = $this->get_cart();
		foreach ($items as $line=>$item)
		{
			if($line==$line_to_get)
				{ return $item['id'];}
		}
	return -1;
	}


	function edit_item( $line, $item_name_bg, $item_name_en, $quantity, $item_discount, $price)
	{
		$items = $this->get_cart();
		if(isset($items[$line]))
		{
			if(!$item_name_bg=='') { $items[$line]['name_bg'] = $item_name_bg;}
			if(!$item_name_en=='') { $items[$line]['name_en'] = $item_name_en;}
			
			$items[$line]['qty'] 	= $quantity;
			$items[$line]['dsc']		= $item_discount;
			$items[$line]['price'] 	= $price;

			$this->set_cart($items);
		}
	return false;
	}



// my stuff  ------------------------------- BarCode  ------------------------------------- //
	
	function is_valid_item_number($barcode_item,$mode) 
	{
	if ($mode=='invoice' or $mode=='invoice_ki' or $mode=='invoice_di' or $mode=='invoice_pr') { return false;}
	   if (!is_numeric($barcode_item)) { return false; }
	   $lenBarcode = strlen($barcode_item);
	   if ($lenBarcode <  4 or $lenBarcode > 7 ) { return false; }
	return true;
	}

// ------------------------------------------ BARCODES -------------------------------- //
	function is_valid_barcode($barcode_item,$mode)
	{ //barCode validation
	if ($mode=='invoice' or $mode=='invoice_ki' or $mode=='invoice_di' or $mode=='invoice_pr') { return false;}
	$lenBarcode = strlen($barcode_item);
		if ($lenBarcode <  8) { return false; }
		if ($lenBarcode >  8 and $lenBarcode < 12) { return false; }
		if ($lenBarcode > 13) { return false; }
		if (is_numeric(!$barcode_item)) { return false; }
	return true;
	}

	function add_item_barcode($barcode_item,$quantity)
	{  //barCode #
		$lenBarcode = strlen($barcode_item);
		$item_number = 0;
		$barcode = substr($barcode_item,0,-1);

		$qty = array();
			 $qty[1] = 0; $qty[2] = 0; $qty[3] = 0; $qty[4] = 0; $qty[5] = 0;
			 $qty[6] = 0; $qty[7] = 0; $qty[8] = 0; $qty[9] = 0; $qty[0] = 0;

		// EAN-8 Code table - checks 5-7 digit item numbers
		if ($lenBarcode == 8 ) { $item_number = (int) $barcode; }

		// EAN-13 Code table
		if ($lenBarcode == 13 ) 
			{
			// checks 380 = Bulgaria Code table
			   $barcode_380 = substr($barcode_item,0,3);
				if ($barcode_380 == '380') { $item_number = (int) substr($barcode_item,-6,-1); }
		   	else { // else 380
			// Normal 13 bit code
			$barcode = substr($barcode_item,1,-1);
			$item_number = (int) substr($barcode,0,-4);
			$size_qty = (int) substr($barcode,9,10);
			$sizeQty = 0;

			if ($size_qty > 0 and $size_qty < 10) { $qty[$size_qty] = $quantity;}
			elseif ($size_qty == 10) { $qty[0] = $quantity; }
			else 
				{	// различните размерни групи .....
					if ($size_qty > 10 and $size_qty < 40 ) { $sizeQty = -1;}
					if ($size_qty > 39 and $size_qty < 60 ) { $sizeQty = 19;}
					if ($size_qty > 59 and $size_qty < 80 ) { $sizeQty = 29;}
					if ($size_qty > 79 and $size_qty < 100) { $sizeQty = 39;}

					if ($size_qty > 10 and $size_qty < 100) 
						{$size_qty = floor($size_qty/2) - $sizeQty;}

					if ($size_qty > 9) { $qty[0] = $quantity; }
					elseif ($size_qty == 0) { }
					else { $qty[$size_qty] = $quantity; }
				}
			} // end of else 380
		}

		// BiSOFT internal Code table 12 (-leading 0)
		if ($lenBarcode == 12 ) 
		{
			$item_number = (int) substr($barcode,0,-4);
			$size_qty = (int) substr($barcode,9,10);
			$sizeQty = 0;

			if ($size_qty > 0 and $size_qty < 10) { $qty[$size_qty] = $quantity;}
			elseif ($size_qty == 10) { $qty[0] = $quantity; }
			else {   // различните размерни групи .....
						if ($size_qty > 10 and $size_qty < 40 ) { $sizeQty = -1;}
						if ($size_qty > 39 and $size_qty < 60 ) { $sizeQty = 19;}
						if ($size_qty > 59 and $size_qty < 80 ) { $sizeQty = 29;}
						if ($size_qty > 79 and $size_qty < 100) { $sizeQty = 39;}

						if ($size_qty > 10 and $size_qty < 100) 
							{$size_qty = floor($size_qty/2) - $sizeQty;}

						if ($size_qty > 9) { $qty[0] = $quantity; }
						elseif ($size_qty == 0) { }
						else { $qty[$size_qty] = $quantity; }
			     }
		}

	$this->add_item($item_number,$quantity);

	return true;
	}


// end of my stuff --------------------------------------------------------------------------

	function copy_entire_invoice($doc_number,$vedomPack)
	{
		$this->empty_cart();
		$this->clear_mode_price();
		$this->remove_customer();

		foreach($this->CI->Invoice->get_invoice_items($doc_number,$vedomPack)->result() as $row)
		{
			$this->add_invoice_item(
					$row->item_number,
					$row->item_qty,
					$row->item_unit_price,
					$row->item_discount  );
		}

		foreach($this->CI->Invoice->get_invoice_payments($doc_number,$vedomPack)->result() as $row)
			{ $this->add_payment($row->pay_type,$row->pay_amount); }
	}



	function copy_entire_suspended_invoice($doc_id)
	{
		$this->empty_cart();
		$this->clear_mode_price();
		$this->remove_customer();

		foreach($this->CI->Suspended->get_sale_items($doc_id)->result() as $row)
		{
		
			$this->add_invoice_item(
					$row->item_number,
					$row->item_qty,
					$row->item_unit_price,
					$row->item_discount );
		}

			$customer_id = 0;
			$bisoft_id = $this->CI->Suspended->get_customer($doc_id);

				if ($bisoft_id != 0)  // когато не е бил избран КЛИЕНТ 
				{
					$customer_id = $this->CI->Customer->get_info_by_bisoft_id($bisoft_id)->person_id;
					$this->set_customer($customer_id);
				}

		$mode = $this->CI->Suspended->get_mode($doc_id);
		$this->set_mode($mode);
		$this->set_comment($this->CI->Suspended->get_comment($doc_id));
	}


	function delete_item($line)
	{
		$items=$this->get_cart();
		unset($items[$line]);
		$this->set_cart($items);
	}


	function get_customer_discount()
	{
		$customer_id = $this->get_customer();
		$customer_discount = $this->CI->Customer->get_info($customer_id)->discount;
		if ($customer_discount == '') { return 0;}
	return $customer_discount;
	}

	
	function is_valid_invoice_item_number($barcode_item,$mode) 
	{
	   if (!is_numeric($barcode_item)) { return 0; }
	   if ($mode!='invoice' and $mode!='invoice_ki' and $mode!='invoice_di' and $mode!='invoice_pr' and $mode!='proforma') 
		  { return 0;}
	   $lenBarcode = strlen($barcode_item);
	   if ($lenBarcode > 0 and $lenBarcode < 3 ) { return 1; }
	return 0;
	}
	

	function get_taxes()
	{
		$customer_id = $this->get_customer();
		$customer = $this->CI->Customer->get_info($customer_id);

		//Do not charge sales tax if we have a customer that is not taxable
		if (!$customer->taxable and $customer_id!=-1)
			{return array();}

		$taxes = array();

	return $taxes;
	}

	
	function get_subtotal($mode)
	{
		$mode_price = $this->get_mode_price();
		$subtotal = 0;
		foreach($this->get_cart() as $item)
		{
			$item_price = $item['price'];
			$subtotal += $item['qty']*round( $item['price']*(100-$item['dsc'])/100, 8);
		}

	return $subtotal;
	}


	function get_tax_VAT($mode, $taxed)
	{
		$subtotal = $this->get_subtotal();
		$tax_VAT	= 0;
		if ( 	$mode == 'invoice' or 
				$mode == 'invoice_ki' or 
				$mode == 'invoice_di' or 
				$mode == 'invoice_pr' or
				$mode == 'proforma' or $mode == 'offer')
			{ $tax_VAT = round( 20 * $subtotal / 100, 8);}
		if ( $taxed == 0 ) { $tax_VAT	= 0;}
	return $tax_VAT;
	}


	function get_total($mode,$customer_discount,$taxed)
	{
		$subtotal = $this->get_subtotal();
		if ($mode=='invoice' or $mode=='invoice_ki' or $mode=='invoice_di' or $mode=='invoice_pr') 
			{ $total = $subtotal;}
		else 
			{ $total = round( $subtotal * ( 100 - $customer_discount ) / 100, 8);}

		foreach($this->get_taxes() as $tax) {$total+=$tax;}
		$total += $this->get_tax_VAT($mode,$taxed);
	return $total;
	}


	function get_all_qty()
	{	$all_qty = 0;
		foreach($this->get_cart() as $item) {$all_qty+=$item['qty'];}
	return $all_qty;
	}


} ?>
