<?php class Rescue_lib
{
	var $CI;

  	function __construct()
   { $this->CI =& get_instance();}

	function get_cart()
	{
		if(!$this->CI->session->userdata('cart'))
			$this->set_cart(array());

	return $this->CI->session->userdata('cart');
	}

	function set_cart($cart_data)
	{	$this->CI->session->set_userdata('cart',$cart_data);}
	
	function get_comment() 
	{	return $this->CI->session->userdata('comment');}

	function set_comment($comment) 
	{	$this->CI->session->set_userdata('comment', $comment);}

	function clear_comment() 	
	{	$this->CI->session->unset_userdata('comment');}
	
	// Склад-ГП връща документи по doc_ids
	function rescue_sklad($vedom,$doc_start='1',$doc_end='max',$writeEnable='0')
	{
		$success = 1;

		for($doc=$doc_start;$doc<=$doc_end;$doc++)
		{
			$lines_data = $this->get_all_vedom_items($vedom,$doc);
			
			foreach($lines_data as $line)
			{
				$mode_id = $line['mode_id'];
				if($mode_id!='F' and $mode_id!='Ki' and $mode_id!='Di')
				{
					$inum = $line['item_number'];
					$sklad = $line['location'];
					$iqty = $line['item_qty'];
						$sizes = $this->CI->Item->get_sizes($inum);
						$allow_sizes = $sizes['allow'];if($allow_sizes=='105') {$allow_sizes=0;}

						$Qty  = explode(',',$line['item_name']);
					
					$skl_info = $this->CI->Item->get_sklad_info($inum,$sklad);
					
					$Znak = -1; if($mode_id=='MK' or $mode_id=='D' or $mode_id=='BL') {$Znak = 1;}
					
					$q1 = $skl_info->q1 + $Znak * $Qty[1]; if($q1==0) {$q1='';}
					$q2 = $skl_info->q2 + $Znak * $Qty[2]; if($q2==0) {$q2='';}
					$q3 = $skl_info->q3 + $Znak * $Qty[3]; if($q3==0) {$q3='';}
					$q4 = $skl_info->q4 + $Znak * $Qty[4]; if($q4==0) {$q4='';}
					$q5 = $skl_info->q5 + $Znak * $Qty[5]; if($q5==0) {$q5='';}
					$q6 = $skl_info->q6 + $Znak * $Qty[6]; if($q6==0) {$q6='';}
					$q7 = $skl_info->q7 + $Znak * $Qty[7]; if($q7==0) {$q7='';}
					$q8 = $skl_info->q8 + $Znak * $Qty[8]; if($q8==0) {$q8='';}
					$q9 = $skl_info->q9 + $Znak * $Qty[9]; if($q9==0) {$q9='';}
					$q10 = $skl_info->q10 + $Znak * $Qty[10]; if($q10==0) {$q10='';}
					
					$qty = $skl_info->qty + $Znak * $iqty; if($qty==0) {$qty='';}
					
					$del = 0; if($sklad>0 and $qty==0) {$del = 1;}
					
					$item_data=array(
						 'inum' => $inum,
						  'skl' => $sklad,
							'q1' => $q1,
							'q2' => $q2,
							'q3' => $q3,
							'q4' => $q4,
							'q5' => $q5,
							'q6' => $q6,
							'q7' => $q7,
							'q8' => $q8,
							'q9' => $q9,
						  'q10' => $q10,
						  'qty' => $qty,
						  'del' => $del );
					
					if(!$writeEnable)
					{
						echo '<br>'.$doc.' -- line:'.$line['line'].' - mode:'.$mode_id.' -- iNum:'.$inum.' --- qty='.$iqty.' --- ';
						print_r($item_data);
						echo '<br>';
					}
					else // пише в SKLAD-a
					{ $success = $this->CI->Item->update_sklad($item_data);}
					
				} // if($mode_id!='F'
			} // foreach($lines_data
	
		echo $doc.' - ready.<br>';
		} // for()
		
	return $success;
	}
	
	/*	Gets an item from VEDOM */
	function vedom_rechange($vedom)
	{
      echo $vedom.'<br>';
      $success = 1;
      $ved_data=$ved_data_items=array();
      $all_vedom = $this->get_vedom_6_9($vedom);
      // print_r($all_vedom);
      
      if($all_vedom)
      {
         foreach($all_vedom as $doc)
         {
            echo $doc['client'];
            echo '<br>';
            
            $client = '';
            $client_id = $doc['location'];
            if($client_id==6)
               { $client_id=16;$client="STYLER - Сл.Бряг-I";}
            elseif($client_id==9)
               { $client_id=13;$client="STYLER - Сл.Бряг-II"; }
            
            $ved_data=array(
               'doc_id' => $doc['doc_id'],
               'client_id' => $client_id,
               'location'  => $client_id,
               'client'    => $client );
               
            $ved_data_items=array(
               'doc_id' => $doc['doc_id'],
               'client_id' => $client_id,
               'location'  => $client_id );
               
            $success *= $this->update_vedom($vedom,$ved_data);
            $success *= $this->update_vedom($vedom.'_items',$ved_data_items);

            print_r($ved_data_items);  
            echo '<br>';  
         }
      }
      
      echo '<br>';
      echo 'OK='.$success;
      die();
	}
	

	/*	Gets an item from VEDOM */
	function get_vedom_6_9($vedom)
	{	
		$this->CI->db->select('	
				doc_id,
				mode_id,
				client_id,
				client,
				location,
				deleted', false);
		$this->CI->db->from($vedom);
      $this->CI->db->where('location in (6, 9)');
		$this->CI->db->where('deleted', 0);
		$query = $this->CI->db->get();

		if($query->num_rows()>0)
			{ return $query->result_array();}
		else
			{ return 0;}
	}

	/*	Gets an item from VEDOM */
	function get_all_vedom_items($vedom,$doc_id)
	{	
		$this->CI->db->from($vedom);
		$this->CI->db->where('doc_id',$doc_id);
		$this->CI->db->where('deleted', 0);
		$query = $this->CI->db->get();

		if($query->num_rows()>0)
			{ return $query->result_array();}
		else
			{ return 0;}
	}
	
	/*	Gets an item from VEDOM */
	function get_vedom_item($vedom,$doc_id,$line)
	{	
		$this->CI->db->from($vedom);
		$this->CI->db->where('doc_id',$doc_id);
		$this->CI->db->where('line',$line);
		$this->CI->db->where('deleted', 0);
		$query = $this->CI->db->get();

		if($query->num_rows()==1)
			{ return $query->row();}
		else
			{ return 0;}
	}
	
	/*	Updates an VEDOM */
	function update_vedom($vedom,$ved_data)
	{	$doc_id=$ved_data['doc_id'];
		$this->CI->db->where('doc_id',$doc_id);
	return $this->CI->db->update($vedom,$ved_data);
	}	
	
	/*	Updates an item in VEDOM */
	function update_vedom_item($vedom,$item_data)
	{	$doc_id=$item_data['doc_id'];$line=$item_data['line'];$inum=$item_data['item_number'];
		$this->CI->db->where('doc_id',$doc_id);
		$this->CI->db->where('line',$line);
		$this->CI->db->where('item_number',$inum);
	return $this->CI->db->update($vedom,$item_data);
	}

}
?>
