<?php
class Docedit extends CI_Model
{
	public function get_info($doc_id,$vedomPack)
	{  
		$this->db->from($vedomPack);
		$this->db->where('doc_id',$doc_id);
		return $this->db->get();
	}


	public function get_info_by_vedom($doc_id,$vedom)
	{  
	$db_main = $this->BiSOFT_Model->get_db_main($mode);
		$db_sales = $vedom . $db_main; 
		$this->db->from($db_sales);
		$this->db->where('doc_id',$doc_id);
		return $this->db->get();
	}


	public function get_id_from_doc_number($doc_number,$vedomPack)
	{  
		$this->db->from($vedomPack);
		$this->db->where('doc_number',$doc_number);
	return $this->db->get()->doc_id;
	}

	public function get_info_invoice($doc_number,$vedomPack)
	{ 
		$this->db->from($vedomPack);
		$this->db->where('doc_number',$doc_number);
		$this->db->where('deleted = 0');
	return $this->db->get();
	}

	function exists($doc_id)
	{  
	$db_sales = $this->get_db_sales_location();
		$this->db->from($db_sales);
		$this->db->where('doc_id',$doc_id);
		$query = $this->db->get();
		return ($query->num_rows()==1);
	}
	

	function update($sale_data, $doc_id)
	{  
	$db_sales = $this->get_db_sales_location();
		$this->db->where('doc_id', $doc_id);
		$success = $this->db->update($db_sales,$sale_data);
		return $success;
	}



	function save( $items, $mode, $total_qty, $subtotal, $doc_number, $doc_name,
			$bisoft_id, $customer_discount, $employee_id, $payments, $comment, $doc_id)
	{
		if(count($items)==0)
			return -1;

		// Определяме къде се намират DB за пълнене ...
		$location = $this->BiSOFT_Model->get_location();
		$vedom	 = $this->BiSOFT_Model->get_vedom();

		$items_type = '_items';

	    	$db_sales = 'V'.date('ym', strtotime( $this->BiSOFT_Model->get_user_mode_date() ));
	    	$db_YEAR_sales				= $db_sales;

			$db_sales_items 			= $db_sales . '_items';
			$db_YEAR_sales_items 	= $db_sales . '_items';

			$db_sales_payments 		= $db_sales;
			$db_YEAR_sales_payments = $db_YEAR_sales;

				$db_suspended 			= 'suspended';
				$db_suspended_items 	= $db_suspended . '_items';

				$db_invoices_suspended			= 'invoices_suspended';
				$db_invoices_suspended_items 	= $db_invoices_suspended . '_items';

				$db_delivers 			= 'delivers';
				$db_delivers_items 	= $db_delivers . '_items';

		//Зареждаме данни за Базата с Покупката ...
		$doc_date 	= $this->BiSOFT_Model->get_user_mode_date();
		$doc_name	= $this->BiSOFT_Model->get_document_title($mode);	 // това си е вече заглавието...
		$mode_id 	= $this->BiSOFT_Model->get_pay_group($mode);			 // index-a 'Е', 'SE' ..

				//Изчисляване плащането и групата за плащане .. index-a
				$pay_groups = '';
				$payment_types='';
				$total_sum = 0;
					foreach($payments as $payment_id=>$payment)
					{
						$pay_groups 	= $payment['payment_type'];			
						$payment_types	= $payment_types.$payment['payment_type'].': '.
											to_currency($payment['payment_amount']).';';
						$total_sum	+=	$payment['payment_amount'];
					}
						$total_sum_text = to_currency($total_sum);

				//Разпределяме коеф.-те на index-ите на плащане за покупката ..
						$pay_type = 'H';
						$invoice_export = 0;
						switch ($pay_groups) 
							{
							case $this->lang->line('sales_not_paid'):	$pay_type = 'H';  break;
							case $this->lang->line('sales_cash'): 		$pay_type = 'P';  break;
							case $this->lang->line('sales_by_bank'):	$pay_type = 'T';  break; 
							case $this->lang->line('sales_check'):		$pay_type = 'Ch'; break; 
							case $this->lang->line('sales_debit'):		$pay_type = 'dC'; break;
							case $this->lang->line('sales_credit'):	$pay_type = 'kC'; break;
							case $this->lang->line('sales_epay'):		$pay_type = 'eP'; break; 
							case $this->lang->line('sales_paypal'):	$pay_type = 'PP'; break;
							case $this->lang->line('sales_export'):	$pay_type = 'Ex'; $invoice_export = 1; break;

							default: 	$pay_type = 'H';
							}

		// зареждаме имената на Клиента и Оператора ......
		// $bisoft_id = $this->Customer->exists($customer_id) ? $customer_id : '';
		$client_name 	= '';
		if ( $bisoft_id != 0 )
			{ $client_name = $this->Customer->get_info_by_bisoft_id($bisoft_id)->company_name;}

		$employee_name	=	$this->Employee->get_info($employee_id)->first_name .' '. 
								$this->Employee->get_info($employee_id)->last_name;

		// изчисляваме ДДС-то ......
		$this->load->library('doc_lib');
		$mode_price = $this->doc_lib->get_mode_price();

		$tax_VAT 	= 0;
		$taxed	 	= 0;
		if($mode_price == '100') { $taxed = 1;}  // vat=100
		else { $taxed	= 0;}

		$total_discount = $customer_discount;

		if ( $mode == 'invoice' or $mode == 'invoice_ki' or $mode == 'invoice_di' or $mode == 'invoice_pr' )
			{ 
				$total_amount = $subtotal;
		//		$taxed	= $this->config->item('vat');
				$total_discount = 0 ;

				if ( $taxed == 1 )
					{ $tax_VAT 	= round( 20 * $subtotal / 100 , 4);}
				else
					{ $tax_VAT 	= 0;}
			}
		else
			{  $total_amount 	= round($subtotal * (100 - $customer_discount)/100, 2);
				$tax_VAT 		= 0;
			}

		$total_amount += $tax_VAT;

		if($invoice_export == 1) { $comment = $comment . $this->lang->line('sales_export');}

		// зареждам основните параметри на Главния документ ......
		$sales_data = array(
				'mode'				=> $mode,
				'mode_id'			=> $mode_id,
				'doc_number'		=> $doc_number,
				'doc_date' 			=> $doc_date,
				'total_qty'			=> $total_qty,
				'total_sum'			=> $subtotal,
				'total_discount'	=> $total_discount,
				'taxed'				=> $taxed,
				'total_taxes'		=> $tax_VAT,
				'pay_group'			=> $pay_type,
				'pay_type'			=> $payment_types,
				'pay_amount'		=> $total_amount,
				'client_id'			=> $bisoft_id,
				'client'				=> $client_name,
				'employee_id'		=> $employee_id,
				'employee'			=> $employee_name,
				'comment'			=> $comment,
				'location'			=> $location );

		//------------------------ записва в Базите Данни ---------------------- //
		$this->db->trans_start(); // --> отваря запис към БАЗАТА ...-->> 

			// вкарва данните от Документа в Годишната База Данни ... //
			$this->db->insert( $db_sales, $sales_data);
			$doc_id = $this->db->insert_id();  // от тук си взимам номерчето на документа
	

// =================== започва обработка на всички артикули от количката =================== //

		foreach($items as $line=>$item)  // сканира количката за всеки един артикул ...
		{
			$cur_item_info = $this->Item->get_info($item['item_id']);  // зарежда от НУЖНАТА База //
			$item_price = $item['price'];
				if ($mode_price==1) { $item_price = $cur_item_info->unit_price;}
				if ($mode_price==2) { $item_price = $cur_item_info->unit_price_2;}
				if ($mode_price==3) { $item_price = $cur_item_info->unit_price_3;}
				if ($mode_price==4) { $item_price = $cur_item_info->unit_price_4;}
				if ($mode_price==5) { $item_price = $cur_item_info->unit_price_5;}

			// обслужвам си '0'-те ...
				$qty_1 = $item['qty_1']; if($qty_1==0) { $qty_1='';}
				$qty_2 = $item['qty_2']; if($qty_2==0) { $qty_2='';}
				$qty_3 = $item['qty_3']; if($qty_3==0) { $qty_3='';}
				$qty_4 = $item['qty_4']; if($qty_4==0) { $qty_4='';}
				$qty_5 = $item['qty_5']; if($qty_5==0) { $qty_5='';}
				$qty_6 = $item['qty_6']; if($qty_6==0) { $qty_6='';}
				$qty_7 = $item['qty_7']; if($qty_7==0) { $qty_7='';}
				$qty_8 = $item['qty_8']; if($qty_8==0) { $qty_8='';}
				$qty_9 = $item['qty_9']; if($qty_9==0) { $qty_9='';}
				$qty_max = $item['qty_max']; if($qty_max==0) { $qty_max='';}

			$sales_items_data = array(
				'doc_id'			=> $doc_id,
				'item_id'		=> $item['item_id'],
				'line'			=> $item['line'],
				'mode_id' 		=> $mode_id,
				'doc_number' 	=> $doc_number,
				'doc_date' 		=> $doc_date,
				'item_number'	=> $item['item_number'],
				'item_name'		=> $item['name'],

				'qty_1'			=> $qty_1,
				'qty_2'			=> $qty_2,
				'qty_3'			=> $qty_3,
				'qty_4'			=> $qty_4,
				'qty_5'			=> $qty_5,
				'qty_6'			=> $qty_6,
				'qty_7'			=> $qty_7,
				'qty_8'			=> $qty_8,
				'qty_9'			=> $qty_9,
				'qty_max'		=> $qty_max,
				'item_qty'		=> $item['quantity'],

			'item_unit_price'	=> $item_price,
			'item_discount'	=> $item['item_discount'],
				'item_taxes'	=> $taxed,
				'client_id'		=> $bisoft_id,
				'client'			=> $client_name,
				'location'		=> $location );


			// обслужвам ОТНЕМАНЕТО от СКЛАДА и '0'-те ...
			if ( $mode=='sale' or $mode=='shop_sale')
			{
				$newQty_1 = $cur_item_info->qty_1 - $item['qty_1']; if($newQty_1 == 0) {$newQty_1 = '';}
				$newQty_2 = $cur_item_info->qty_2 - $item['qty_2']; if($newQty_2 == 0) {$newQty_2 = '';}
				$newQty_3 = $cur_item_info->qty_3 - $item['qty_3']; if($newQty_3 == 0) {$newQty_3 = '';}
				$newQty_4 = $cur_item_info->qty_4 - $item['qty_4']; if($newQty_4 == 0) {$newQty_4 = '';}
				$newQty_5 = $cur_item_info->qty_5 - $item['qty_5']; if($newQty_5 == 0) {$newQty_5 = '';}
				$newQty_6 = $cur_item_info->qty_6 - $item['qty_6']; if($newQty_6 == 0) {$newQty_6 = '';}
				$newQty_7 = $cur_item_info->qty_7 - $item['qty_7']; if($newQty_7 == 0) {$newQty_7 = '';}
				$newQty_8 = $cur_item_info->qty_8 - $item['qty_8']; if($newQty_8 == 0) {$newQty_8 = '';}
				$newQty_9 = $cur_item_info->qty_9 - $item['qty_9']; if($newQty_9 == 0) {$newQty_9 = '';}
				$newQty_max = $cur_item_info->qty_max - $item['qty_max']; 
					if($newQty_max ==0) {$newQty_max = '';}

				//Update stock quantity
				$item_data = array(
					'quantity'	=> $cur_item_info->quantity - $item['quantity'],
					'qty_1'		=> $newQty_1,
					'qty_2'		=> $newQty_2,
					'qty_3'		=> $newQty_3,
					'qty_4'		=> $newQty_4,
					'qty_5'		=> $newQty_5,
					'qty_6'		=> $newQty_6,
					'qty_7'		=> $newQty_7,
					'qty_8'		=> $newQty_8,
					'qty_9'		=> $newQty_9,
					'qty_max'	=> $newQty_max,
					'location'	=> $location );
			}
			elseif ( $mode=='sale_return' or $mode=='shop_return')
			{
				// обслужвам ПРИБАВЯНЕТО към СКЛАДА и '0'-те ... за всички останали доставки
				$newQty_1 = $cur_item_info->qty_1 + $item['qty_1']; if($newQty_1 == 0) {$newQty_1 = '';}
				$newQty_2 = $cur_item_info->qty_2 + $item['qty_2']; if($newQty_2 == 0) {$newQty_2 = '';}
				$newQty_3 = $cur_item_info->qty_3 + $item['qty_3']; if($newQty_3 == 0) {$newQty_3 = '';}
				$newQty_4 = $cur_item_info->qty_4 + $item['qty_4']; if($newQty_4 == 0) {$newQty_4 = '';}
				$newQty_5 = $cur_item_info->qty_5 + $item['qty_5']; if($newQty_5 == 0) {$newQty_5 = '';}
				$newQty_6 = $cur_item_info->qty_6 + $item['qty_6']; if($newQty_6 == 0) {$newQty_6 = '';}
				$newQty_7 = $cur_item_info->qty_7 + $item['qty_7']; if($newQty_7 == 0) {$newQty_7 = '';}
				$newQty_8 = $cur_item_info->qty_8 + $item['qty_8']; if($newQty_8 == 0) {$newQty_8 = '';}
				$newQty_9 = $cur_item_info->qty_9 + $item['qty_9']; if($newQty_9 == 0) {$newQty_9 = '';}
				$newQty_max = $cur_item_info->qty_max + $item['qty_max']; 
					if($newQty_max ==0) {$newQty_max = '';}

				//Update stock quantity
				$item_data = array(
					'quantity'	=> $cur_item_info->quantity + $item['quantity'],
					'qty_1'		=> $newQty_1,
					'qty_2'		=> $newQty_2,
					'qty_3'		=> $newQty_3,
					'qty_4'		=> $newQty_4,
					'qty_5'		=> $newQty_5,
					'qty_6'		=> $newQty_6,
					'qty_7'		=> $newQty_7,
					'qty_8'		=> $newQty_8,
					'qty_9'		=> $newQty_9,
					'qty_max'	=> $newQty_max,
					'location'	=> $location );

			}
			else { $item_data = array(); }


			//------------------------ записва в 'items' на Базите Данни ----------------------------- //
			switch ($mode) 
			{
			case 'sale':  // Експедиция (6)
						$this->db->insert( $db_sales_items, $sales_items_data); // годишна База
						$this->Item->save( $item_data, $item['item_id']);
					break;

			case 'sale_return':  // Върната Стока от Клиент (4)
						$this->db->insert( $db_sales_items, $sales_items_data); // годишна База
						$this->Item->save( $item_data, $item['item_id']);
					break;

			case 'invoice': // Фактура 0 + 1 последователна Ведомост
						$this->db->insert( $db_sales_items, $sales_items_data); // годишна База
					break;

			case 'invoice_ki':// Кредитно Известие 0 + 1 последователна Ведомост
						$this->db->insert( $db_sales_items, $sales_items_data); // годишна База
					break;

			case 'invoice_di':// Дебитно Известие 0 + 1 последователна Ведомост
						$this->db->insert( $db_sales_items, $sales_items_data); // годишна База
					break;

			case 'invoice_pr':// Протокол (фактурен) 0 + 1 последователна Ведомост
						$this->db->insert( $db_sales_items, $sales_items_data); // годишна База
					break;

			// ----------------------------------- МАГАЗИН -> Продава ----------------------------- //
			case 'shop_sale':  // Продажба
						$this->db->insert( $db_sales_items, $sales_items_data); // годишна База
						$this->Item->save( $item_data, $item['item_id']);
					break;

			case 'shop_return':  // Върната Стока от Клиент при Продажба
						$this->db->insert( $db_sales_items, $sales_items_data); // годишна База
						$this->Item->save( $item_data, $item['item_id']);
					break;
			} // --------------------------- Край на записите в Базите Данни ----------------------//
			

		}  // край на цикъла за артикулите ...

		$this->db->trans_complete();
		if ($this->db->trans_status() === FALSE)	{ return -1;}

	return $doc_id;
	}
	


	function delete($doc_id)
	{
	$location = $this->Employee->get_logged_in_employee_info()->location;
	$this->load->library('doc_lib');
		$mode		= $this->doc_lib->get_mode();
		$vedom 	= $this->BiSOFT_Model->get_vedom();
		$db_main = $this->BiSOFT_Model->get_db_main($mode);

	    $db_sales 				= $db_main;
	    $db_sales_items 		= $db_main . '_items';

		//Run these queries as a transaction, we want to make sure we do all or nothing
		$this->db->trans_start();
		
		$this->db->delete( $db_sales_items, array('doc_id' => $doc_id));

		$this->db->delete( $db_sales, array('doc_id' => $doc_id)); 
		
		$this->db->trans_complete();
				
	return $this->db->trans_status();
	}



	function get_doc_items($doc_number,$vedomPack)
	{
	$db_items = $vedomPack . '_items';

		$this->db->from($db_items);
		$this->db->where('doc_number',$doc_number);
	return $this->db->get();
	}

	function get_doc_payments($doc_number,$vedomPack)
	{
		$this->db->from($vedomPack);
		$this->db->where('doc_number',$doc_number);
	return $this->db->get();
	}


	// Invoices ....
	function get_invoice_items($doc_number,$vedomPack)
	{
	$db_sales_items = $vedomPack . '_items';

		$this->db->from($db_sales_items);
		$this->db->where('doc_number',$doc_number);
	return $this->db->get();
	}

	function get_invoice_payments($doc_number,$vedomPack)
	{
		$this->db->from($vedomPack);
		$this->db->where('doc_number',$doc_number);
	return $this->db->get();
	}



	function get_customer($doc_number,$vedomPack)
	{
		$this->db->from($vedomPack);
		$this->db->where('doc_number',$doc_number);
	return $this->Customer->get_info($this->db->get()->row()->client_id);
	}


	// NO use any more
	public function create_sales_items_temp_table()
	{


	}
/* ------------------------------------------ other ----------------------------- */

	
	public function get_document_title($mode)
	{
	$receipt_title = $this->lang->line('sales_receipt');
			switch ($mode) 
				{
				case 'sale':	 		$receipt_title = $this->lang->line('sales_receipt_sale');			break;
				case 'sale_return':	$receipt_title = $this->lang->line('sales_receipt_return_sale');	break; 
				case 'consi':	 		$receipt_title = $this->lang->line('sales_receipt_consi');			break;
				case 'consi_sale':	$receipt_title = $this->lang->line('sales_receipt_consi_sale');	break;
				case 'consi_return':	$receipt_title = $this->lang->line('sales_receipt_return_consi');	break;  
				case 'invoice': 		$receipt_title = $this->lang->line('sales_receipt_invoice');		break;
				case 'invoice_ki':	$receipt_title = $this->lang->line('sales_receipt_invoice_ki');	break;
				case 'invoice_di':	$receipt_title = $this->lang->line('sales_receipt_invoice_di');	break;
				case 'invoice_pr':	$receipt_title = $this->lang->line('sales_receipt_invoice_pr');	break;
				default: 				$receipt_title = $this->lang->line('sales_receipt');
				}
	return $receipt_title;
	}

	public function get_document($mode)
	{
	$doc_number = 'doc-1';
			switch ($mode) 
				{
				case 'sale':	 		$doc_number = date('ym').'600000';  break;
				case 'sale_return':	$doc_number = date('ym').'400000';  break; 
				case 'consi':	 		$doc_number = date('ym').'700000';  break;
				case 'consi_sale':	$doc_number = date('ym').'800000';  break; 
				case 'consi_return':	$doc_number = date('ym').'500000';  break; 
				case 'invoice': 		$doc_number = '0';  break;
				case 'invoice_ki': 	$doc_number = '0';  break;
				case 'invoice_di': 	$doc_number = '0';  break;
				case 'invoice_pr': 	$doc_number = '0';  break;
				default: 				$doc_number = 'doc-1';
				}
	return $doc_number;
	}




// ----------------------------------------------- Край на Консигнация ------------------------------- //

	function get_db_sales_payments_location($mode)
	{
	$location = $this->Employee->get_logged_in_employee_info()->location;
		$vedom = $this->BiSOFT_Model->get_vedom();
		$db_sales_payments = $vedom . 'sales';

	return $db_sales_payments;
	}


	function get_db_sales_temp_location($mode)
	{
		//	$location = $this->Employee->get_logged_in_employee_info()->location;
		$vedom = $this->config->item('vedom_pack');
		$db_sales_temp = $vedom . '_sales';

		return $db_sales_temp;
	}

// ======================================== SPECIAL FUNCTIONS for Locator =============================

	function get_db_sales_location()
	{
	return 'V'.date('ym');
	}


	function get_db_sales_items_location()
	{
	$db_sales = $this->get_db_sales_location();
	return $db_sales . '_items';
	}


}
?>
