<?php

class Kaca extends CI_Model 
{

	public function get_info($doc_id,$vedomPack)
	{  
		$this->db->from($vedomPack);
		$this->db->where('doc_id',$doc_id);
	return $this->db->get();
	}

	function exists()
	{ }
	
	function count_all()
	{
		$this->db->from('items');
		$this->db->where('deleted',0);
	return $this->db->count_all_results();
	}

	function get_all()
	{ }
	
	function get()
	{ }
	
	function delete($doc_id,$vedomPack)
	{
		$this->db->trans_start();
		
			$this->db->delete( $vedomPack, array('doc_id' => $doc_id));
		
		$this->db->trans_complete();
	return $this->db->trans_status();
	}

	function exists_smetka($period)
	{
		$this->db->from('smetki');
		$this->db->where('period',$period);
		$query = $this->db->get();
	return ($query->num_rows()==1);
	}
	
	
	function get_smetka($period)
	{  
		if($period>1900)
		{
			$this->db->from('smetki');
			$this->db->where('period',$period);
			$result = $this->db->get()->result_array();
		}
	return $result;
	}	
	
	
	function get_smetki($period,$from)
	{  
		$result = 0;
		if($period>2100)
		{
			$this->db->from('smetki');
			$this->db->where("period > $from AND period < $period");
			$this->db->where('del', 0);
			$this->db->order_by('period', 'asc');
			$result = $this->db->get()->result_array();
		}
	return $result;
	}	
	
	function save_smetka($period,$data_smetka)
	{  	
		if(!$period or !$this->exists_smetka($period))
		{ if($this->db->insert('smetki',$item_data)) {return true;} return false;}
		$this->db->where('period', $period);
		return $this->db->update('smetki',$data_smetka);
	}
	
	function get_mode_vedom($vedomPack,$mode_id)
	{
			$this->db->select('mode_id,
									item_number,
									sum(item_qty) 						as qty,
									sum(item_qty*item_unit_price) as total',false);
					
		$this->db->from($vedomPack.'_items');
		$this->db->where('mode_id', $mode_id);
		$this->db->group_by('item_number, mode_id');
		$this->db->order_by('item_number', 'asc');
		$result = $this->db->get()->result_array();
	return $result;
	}
	
	function get_sales_vedom($vedomPack)
	{
			$this->db->select('mode_id,
									item_number,
									sum(item_qty) 						as qty,
									sum(item_qty*item_unit_price) as total',false);
					
		$this->db->from($vedomPack.'_items');
		$this->db->where("mode_id in ('E', 'BE', 'SE', 'BP', 'OM', 'OMi')");
		$this->db->group_by('item_number');
		$this->db->order_by('item_number', 'asc');
		$result = $this->db->get()->result_array();
	return $result;
	}
	
	// -------------------------------------- ПРОВЕРКА НА СУМИТЕ ------------------------------------//
	function check_sums($total_sum,$pay_amount,$total_taxes,$taxed)
	{
		$success = 1;
		if ( abs(round($total_sum,0)) > abs(round($pay_amount,0)) or $pay_amount==0 )
				{ $success = 0;}
		elseif ( ($taxed==1 and $total_taxes==0) or ($taxed==0 and $total_taxes!=0) )
				{ $success = 0;}
		elseif ( round( (abs($total_sum) + abs($total_taxes)),0) != round( abs($pay_amount), 0) )
				{ $success = 0;}
		else	{ $success = 1;}
		
	return $success;
	}

	// -------------------------------------- РЕГИСТРАЦИЯ ------------------------------------//
	function save( $vedomPack, $doc_data )
	{
		$doc_date = $this->BiSOFT_Model->get_user_mode_date();
		$this->db->trans_start();
			$this->db->insert( $vedomPack, $doc_data);
			$doc_id = $this->db->insert_id();
		$this->db->trans_complete();

		if ($this->db->trans_status() === FALSE)	{ return -1;}
	return $doc_id;
	}

	function update( $vedomPack, $doc_data, $doc_id )
	{  
		$this->db->where('doc_id', $doc_id);
		$success = $this->db->update( $vedomPack, $doc_data );
	return $success;
	}


// -------------------------------------- ТАБЛИЦАТА --------------------------------- //
	public function getDataColumns()
	{
		return array( "=",
					$this->lang->line('kaca_kacaorder'),				// 2
					$this->lang->line('reports_date'),					// 3
					$this->lang->line('reports_document'),				// 4
					$this->lang->line('reports_customer').' / '.
					$this->lang->line('reports_supplier'),				// 5
					$this->lang->line('reports_type'),					// 6
					$this->lang->line('reports_kaca_name'),			// 7
					$this->lang->line('reports_cost_price'),			// 8
					$this->lang->line('reports_kaca_vat'),				// 9
					$this->lang->line('reports_pay'),					// 10			
					$this->lang->line('reports_kaca_suma'),			// 11
					$this->lang->line('reports_kaca_vat_prh'),		// 12
					$this->lang->line('reports_kaca_suma'),			// 13
					$this->lang->line('reports_kaca_vat_rzh'),		// 14
					$this->lang->line('reports_kaca_saldo'),			// 15
					$this->lang->line('reports_daily_valuta')			// 16
					);
	}
	
	public function getDueColumns()
	{
		return array( "=",
					$this->lang->line('kaca_kacaorder'),				// 2
					$this->lang->line('reports_date'),					// 3
					$this->lang->line('reports_document'),				// 4
					$this->lang->line('reports_type'),					// 5
					$this->lang->line('reports_kaca_name'),			// 6
					$this->lang->line('reports_cost_price'),			// 7
					$this->lang->line('reports_kaca_vat'),				// 8
					$this->lang->line('reports_pay'),					// 9
					$this->lang->line('reports_kaca_suma'),			// 10
					$this->lang->line('reports_kaca_vat'),				// 11
					$this->lang->line('reports_date'),					// 12
					$this->lang->line('reports_kaca_suma'),			// 13
					$this->lang->line('reports_kaca_vat_prh'),		// 14
					$this->lang->line('reports_kaca_suma'),			// 15
					$this->lang->line('reports_kaca_vat_rzh'),		// 16
					$this->lang->line('reports_kaca_saldo'),			// 17
					$this->lang->line('reports_daily_valuta')			// 18
					);
	}

	public function getData($kacaVedom,$firma,$kaca_mode,$client_id,$supplier_id,$consignee_id)
	{
		if(!$this->db->table_exists($kacaVedom)) 
			{ return '-1';}

		$this->db->from($kacaVedom);

		if($supplier_id > 0)	{ $this->db->where('supplier_id', $supplier_id);}
		elseif($client_id > 0) { $this->db->where('client_id', $client_id);}
		elseif($consignee_id > 0) { $this->db->where('client_id', $consignee_id);}

		if($kaca_mode!='kaca_shop')
			{
				if($consignee_id > 0) { $this->db->where('location', $consignee_id);}
				else { $this->db->where('location', $firma); }
			}
		
		switch ($kaca_mode) 
		{
			case 'kaca':				$this->db->where("mode_id in ('F', 'Ki', 'Di', 'Pr', 'KRz', 'ED', 'KPr')");
											$this->db->where("doc_number > 0"); break;
											
			case 'kaca_due':			$this->db->where("mode_id in ('KPr', 'KRz','E', 'BE', 'SE', 'BP', 'DY', 'SK')");
											break;
											
			case 'kaca_due_paid':	$this->db->where("mode_id in ('KPr', 'BE', 'BP')");
											break;
											
			case 'kaca_memos': 		$this->db->where("mode in ('prihod_memo','razhod_memo')"); break;
											
			case 'kaca_invoice':		$this->db->where("mode_id in ('F', 'Ki', 'Di', 'Pr')"); break;
			case 'kaca_invoice_in': $this->db->where("mode_id in ('F', 'Ki', 'Di', 'Pr', 'KPr')"); 
											$this->db->where("mode in ('prihod_invoice')"); break;
			case 'kaca_cash_in':		$this->db->where("mode in ('prihod_cash','prihod_nalojen')"); break;
			case 'kaca_kaca':			$this->db->where("mode_id in ('KPr', 'KRz', 'ED')"); break;
			case 'kaca_sale':			$this->db->where("mode_id in ('E', 'BE')"); break;
			case 'kaca_shop':			$this->db->where("mode_id in ('SE', 'BP', 'SK')"); break;
			case 'kaca_online':		$this->db->where("mode_id in ('OM', 'OMi')"); break;
			
			case 'kaca_mat':			$this->db->where("mode_id in ('DM', 'KRz')"); 
											$this->db->where("mode in ('razhod_mat', 'razhod_matadd' )"); break;
			case 'kaca_all_mats':	$this->db->where("mode in ('razhod_mat', 
																				'razhod_matadd', 
																				'razhod_matwork', 
																				'razhod_matship', 
																				'razhod_matpack', 
																				'razhod_matax')"); break;
																				
			case 'kaca_all_goods':	$this->db->where("mode in ('razhod_goods', 
																				'razhod_goodship', 
																				'razhod_goodstax')"); break;
																				
			case 'kaca_all_others':	$this->db->where("mode in ('razhod', 
																				'razhod_ship', 
																				'razhod_customs', 
																				'razhod_office', 
																				'razhod_packs', 
																				'razhod_machine', 
																				'razhod_service', 
																				'razhod_favour', 
																				'razhod_fuel', 
																				'razhod_gsm', 
																				'razhod_tok', 
																				'razhod_build',
																				'razhod_naem', 
																				'razhod_salary', 
																				'razhod_pyco', 
																				'razhod_work', 
																				'discount',
																				'razhod_account', 
																				'razhod_insurance', 
																				'razhod_taxes', 
																				'razhod_banktax', 
																				'razhod_credit', 
																				'razhod_court', 
																				'razhod_market', 
																				'razhod_trips', 
																				'razhod_present', 
																				'razhod_promo',
																				'razhod_notpaid')"); break;
																				// махнати 'prihod_memo', 'razhod_memo' 
																				// така каза прикр.блондинка Росица Иванов 16.06.2021 
																				
			// MACKИ
			case 'kaca_macka_expedition':	$this->db->where("mode in ('prihod_macka_zags')"); break;
			case 'kaca_macka_zags':			$this->db->where("mode in ('razhod_macka_zags')"); break;
			case 'kaca_macka_materials':	$this->db->where("mode in ('razhod_macka_materials')"); break;
			case 'kaca_macka_labour':		$this->db->where("mode in ('razhod_macka_labour')"); break;
			case 'kaca_macka_work':			$this->db->where("mode in ('razhod_macka_work')"); break;
			case 'kaca_macka_favours':		$this->db->where("mode in ('razhod_macka_favours')"); break;
			case 'kaca_macka_tok_buk':		$this->db->where("mode in ('razhod_macka_tok_buk')"); break;
			case 'kaca_macka_transport':	$this->db->where("mode in ('razhod_macka_transport')"); break;
			case 'kaca_macka_machines':	$this->db->where("mode in ('razhod_macka_machines')"); break;
			case 'kaca_macka_stores':		$this->db->where("mode in ('razhod_macka_stores')"); break;
			case 'kaca_macka_TOTAL':		$this->db->where("mode in ('razhod_macka_zags',
																						'razhod_macka_materials',
																						'razhod_macka_labour',
																						'razhod_macka_work',
																						'razhod_macka_favours', 
																						'razhod_macka_tok_buk',
																						'razhod_macka_transport', 
																						'razhod_macka_machines', 
																						'razhod_macka_stores' )"); break;														
																				
			// FENOTAGS
			case 'kaca_feno_expedition':	$this->db->where("mode in ('prihod_feno_expedition')"); break;
			case 'kaca_feno_materials':	$this->db->where("mode in ('razhod_feno_materials')"); break;
			case 'kaca_feno_labour':		$this->db->where("mode in ('razhod_feno_labour')"); break;
			case 'kaca_feno_favours':		$this->db->where("mode in ('razhod_feno_favours')"); break;
			case 'kaca_feno_tok_buk':		$this->db->where("mode in ('razhod_feno_tok_buk')"); break;
			case 'kaca_feno_transport':	$this->db->where("mode in ('razhod_feno_transport')"); break;
			case 'kaca_feno_machines':	   $this->db->where("mode in ('razhod_feno_machines')"); break;
			case 'kaca_feno_stores':		$this->db->where("mode in ('razhod_feno_stores')"); break;
			case 'kaca_feno_TOTAL':		   $this->db->where("mode in ('razhod_feno_materials',
																						'razhod_feno_labour',
																						'razhod_feno_favours', 
																						'razhod_feno_tok_buk',
																						'razhod_feno_transport', 
																						'razhod_feno_machines', 
																						'razhod_feno_stores' )"); break;

			// ЛЕПЕНКИ
			case 'kaca_sticker_labour':    $this->db->where("mode in ('razhod_sticker_labour')"); break;
			case 'kaca_sticker_materials': $this->db->where("mode in ('razhod_sticker_materials')"); break;
			case 'kaca_sticker_favours':   $this->db->where("mode in ('razhod_sticker_favours')"); break;
			case 'kaca_sticker_transport': $this->db->where("mode in ('razhod_sticker_transport')"); break;
			case 'kaca_sticker_GP':			 $this->db->where("mode in ('razhod_sticker_GP')"); break;
			case 'kaca_sticker_TOTAL':		 $this->db->where("mode in ('razhod_sticker_labour',
                                                                   'razhod_sticker_materials',
																						 'razhod_sticker_favours',
																						 'razhod_sticker_transport',
																						 'razhod_sticker_GP' )"); break;
			

			case 'kaca_postage': 		$this->db->where("mode in ('razhod_ship', 'razhod_customs')"); break;
			case 'kaca_consumatives': 	$this->db->where("mode in ('razhod_office', 'razhod_packs')"); break;
			case 'kaca_machines':		$this->db->where("mode in ('razhod_machine', 'razhod_service','razhod_build', 'razhod_favour')"); break;
			case 'kaca_transport':		$this->db->where("mode in ('razhod_fuel')"); break;
			case 'kaca_gsm': 				$this->db->where("mode in ('razhod_gsm')"); break;
			case 'kaca_accountance': 	$this->db->where("mode in ('razhod_account','razhod_insurance')"); break;
			case 'kaca_housing':			$this->db->where("mode in ('razhod_tok','razhod_naem')"); break;
			case 'kaca_labour':			$this->db->where("mode in ('razhod_salary', 'razhod_pyco')"); break;
			case 'kaca_work':				$this->db->where("mode in ('razhod_work')"); break;
			case 'kaca_discounts':		$this->db->where("mode in ('discount')"); break;
			case 'kaca_government': 	$this->db->where("mode in ('razhod_taxes', 'razhod_banktax', 'razhod_credit', 'razhod_court')"); break;
			case 'kaca_adverts':			$this->db->where("mode in ('razhod_market', 'razhod_present', 'razhod_promo')"); break;
			case 'kaca_usluga':			$this->db->where("mode_id in ('DY')"); break;
			case 'kaca_all':				$this->db->where("mode_id in ('F', 'Ki', 'Di', 'Pr','E', 'BE', 'ED', 'OM', 'OMi', 'SE', 'SK', 'BP', 'D', 'BD', 'DM', 'DY', 'KPr', 'KRz')");	break;
			
			case 'kaca_smetki':			$this->db->where("mode in ('smetka')"); break;
			default:							$this->db->where("mode_id in ('F', 'Ki', 'Di', 'Pr', 'KRz', 'KPr')");
												$this->db->where("doc_number > 0");
		}

		$this->db->where('deleted', 0);
		$this->db->order_by('doc_date');
		
	return $this->db->get()->result_array();
	}
	
	public function getSummaryData(array $inputs)
	{
		return array();
	}

// ------------------------------------------------ Край на ТАБЛИЦАТА -------------------------------- //
	
}
?>
