<?php
class Order extends CI_Model 
{

	function exists()
	{	

	}
	

	function get_all()
	{
	
	}

	function order_exists($order_number, $mode)
	{	
		$this->db->from('orders');
		$this->db->where('order_number', $order_number);
		$this->db->where('mode', $mode);
		$query = $this->db->get();
	return ($query->num_rows()==1);
	}

	function item_exists($order_id, $inum, $yearPack)
	{	
		$this->db->from($yearPack);
		$this->db->where('order_id',$order_id);
		$this->db->where('inum',$inum);
		$query = $this->db->get();
	return ($query->num_rows()==1);
	}

	public function get_info($order_id)
	{  
		$this->db->from('orders');
		$this->db->where('order_id',$order_id);
		$query = $this->db->get();

	if($query->num_rows()==1)
			{ return $query;}
	else 	{ return false; }
	}

	public function get_info_line($order_id, $line, $vedomPack)
	{  
		$this->db->from($vedomPack);
		$this->db->where('order_id', $order_id);
		$this->db->where('line', $line);
		$query = $this->db->get();

	if($query->num_rows()==1)
			{ return $query->row();}
	else 	{ return false; }
	}


	public function get_order_info($order_id)
	{  
		$this->db->from('orders');
		$this->db->where('order_id',$order_id);
		$query = $this->db->get();
	if($query->num_rows()==1)
			{ return $query->row();}
	else 	{ return false; }
	}


	function get_collections()
	{
		$this->db->from('collections');
		$this->db->where('deleted = 0');
		$this->db->order_by("key", "asc");
	return $this->db->get();		
	}

	function get_info_collection($coll_id)
	{
		$this->db->from('collections');	
		$this->db->where('key',$coll_id);
		$query = $this->db->get();
		if($query->num_rows()==1)
			{ return $query->row();}
		else	
			{ return false;}			
	}
	
	
	function get_collection_all_items($collection_id)
	{
		$this->db->select('item_number,collection,name');
		$this->db->from('items');	
		$this->db->where('collection',$collection_id);
		$query = $this->db->get();
		if($query->num_rows()>0)
			{ return $query->result_array();}
		else	
			{ return false;}			
	}
	
	// само за принтиране на цялата колекция
	function get_collection_print_items($coll,$yearPack)
	{
		$this->db->select(
			  'inum,
				coll,
				sum(qty) as qty,
				sum(q1) as q1,
				sum(q2) as q2,
				sum(q3) as q3,
				sum(q4) as q4,
				sum(q5) as q5,
				sum(q6) as q6,
				sum(q7) as q7,
				sum(q8) as q8,
				sum(q9) as q9,
				sum(q10) as q10,
				deleted');

		$this->db->from($yearPack);	
		$this->db->where('coll',$coll);
		$this->db->where('deleted = 0');
		
		$this->db->group_by('inum');
		$this->db->order_by('inum', 'asc');
		
		$query = $this->db->get();
		if($query->num_rows()>0)
			{ return $query->result_array();}
		else	
			{ return false;}			
	}
	
	
	// само за извадки на колекция планиране
	function get_collection_plan_items($coll)
	{
		$this->db->from('items_plan');	
		$this->db->where('coll',$coll);
		$this->db->where('deleted = 0');
		
		$this->db->group_by('inum');
		$this->db->order_by('inum', 'asc');
		
		$query = $this->db->get();
		if($query->num_rows()>0)
			{ return $query->result_array();}
		else	
			{ return false;}			
	}
	
/*
	// само за извадки на колекция планиране
	function get_collection_old_plan_items($collection_id,$yearPack)
	{
		$this->db->from($yearPack.'_plan');	
		$this->db->where('collection_id',$collection_id);
		$this->db->where('deleted = 0');
		
		$this->db->group_by('item_number');
		$this->db->order_by('item_number', 'asc');
		
		$query = $this->db->get();
		if($query->num_rows()>0)
			{ return $query->result_array();}
		else	
			{ return false;}			
	}
*/	
	
	
	function calculate_order($order_id, $yearPack)
	{
		$this->db->select('
				sum(qty) as total_qty,
				sum(total) as total_sum');
		$this->db->from($yearPack);
		$this->db->where('order_id', $order_id);
		$this->db->where('deleted', 0);
		$query = $this->db->get();

	return $query->row_array();
	}


	function check_item_exists($item)
	{
		$lenitem = strlen($item);
	if ( is_numeric($item) and $this->Item->exists_by_number_gpr($item) )
		{
			if ( $lenitem >  3 and $lenitem < 8 )
				{ return true; }

			if ( $lenitem == 12 or $lenitem == 13 )
				{ return true; }
		}
	return false;
	}


	/*	Inserts or updates a item to any store
	function save(&$item_data,$item_id=false)
	{	
		$db_items = 'orders_items';
		if (!$item_id or !$this->exists($item_id))
		{
			if($this->db->insert($db_items,$item_data))
			{
				$item_data['item_id']=$this->db->insert_id();
				return true;
			}
		return false;
		}
		$this->db->where('item_id', $item_id);
	return $this->db->update($db_items,$item_data);
	}
	*/

	function insert_order($order_data)
	{  
		$this->db->trans_start();
			$success = $this->db->insert( 'orders', $order_data );
			$order_id = $this->db->insert_id();
		$this->db->trans_complete();
	return $order_id;
	}


	function insert_order_item( $item_data, $order_id, $yearPack )
	{
		$this->db->trans_start();
			$success = $this->db->insert( $yearPack, $item_data );
		$this->db->trans_complete();
	return $success;
	}


	function update($order_data, $order_id)
	{  
		$this->db->where('order_id', $order_id);
		$success = $this->db->update( 'orders', $order_data );
	return $success;
	}

	function update_items($items_data, $order_id, $yearPack)
	{  
		$this->db->where('order_id', $order_id);
		$success = $this->db->update( $yearPack, $items_data );
	return $success;
	}

	function update_line_item($items_data, $order_id, $mode, $line, $yearPack)
	{  
		$this->db->where('order_id', $order_id);
		$this->db->where('mode', $mode);
		$this->db->where('line', $line);
		$success = $this->db->update( $yearPack, $items_data );
	return $success;
	}

	function insert_line_item($items_data, $yearPack)
	{  
		$this->db->trans_start();
			$success = $this->db->insert( $yearPack, $items_data );
		$this->db->trans_complete();
	return $success;
	}

	function delete($order_id, $yearPack)
	{
		$this->db->trans_start();
			$this->db->delete( $yearPack, array('order_id' => $order_id));
			$this->db->delete( 'orders', array('order_id' => $order_id)); 
		$this->db->trans_complete();
	return $this->db->trans_status();
	}


	function delete_line_item($order_id, $line, $yearPack)
	{
		$this->db->trans_start();
			$this->db->delete( $yearPack, array('order_id' => $order_id, 'line' => $line));
		$this->db->trans_complete();
	return $this->db->trans_status();
	}

/* =============================================== SALES ========================================== */
	function get_order_for_sale($vedom,$order_number,$mode,$inum)
	{
		$this->db->from($vedom);	
		$this->db->where('order_number',$order_number);
		$this->db->where('mode',$mode);
		$this->db->where('inum',$inum);
		$query = $this->db->get();
		
		if ($query->num_rows()==1)
			{ return $query->row();}
		else	
			{ return false;}
	}

	public function save_sale_order($inum,$collection,$client_id,$order_sizes,$mode=1)
	{
		$success=0;
		// проверка и оправяне на Collection
		if($collection>99 and $collection<300) {}
		else
			{ $collection=101;
			  $reset_items_coll=array(
					'item_number' => $inum,
					 'collection' => $collection );
					
			  $this->Item->update_item($reset_items_coll,$inum);
			  
			  $reset_sklad_coll=array(
					'inum' => $inum,
					'coll' => $collection );
					
			  $this->Item->save_all_sklads($reset_sklad_coll);
			}
		
		if($client_id>0) // if($collection>99 and $client_id>0)
		{
			$order_number = $collection.str_pad($client_id, 4, "0", STR_PAD_LEFT);
			$vedom = 'orders_20'.substr($collection,0,2);
			$order_info = $this->get_order_for_sale($vedom,$order_number,$mode,$inum);

			if($order_info!=false)
			{
				$iq1 = $order_sizes['q1'] + (int)$order_info->iq1;
				$iq2 = $order_sizes['q2'] + (int)$order_info->iq2;
				$iq3 = $order_sizes['q3'] + (int)$order_info->iq3;
				$iq4 = $order_sizes['q4'] + (int)$order_info->iq4;
				$iq5 = $order_sizes['q5'] + (int)$order_info->iq5;
				$iq6 = $order_sizes['q6'] + (int)$order_info->iq6;
				$iq7 = $order_sizes['q7'] + (int)$order_info->iq7;
				$iq8 = $order_sizes['q8'] + (int)$order_info->iq8;
				$iq9 = $order_sizes['q9'] + (int)$order_info->iq9;
				$iq10 = $order_sizes['q10'] + (int)$order_info->iq10;

				$order_data = array(
						'order_number' => $order_number,
								  'mode' => $mode,
								  'inum' => $inum,

								  'iqty' => $order_sizes['qty'] + $order_info->iqty,
									'iq1' => (!$iq1) ? '' : $iq1,
									'iq2' => (!$iq2) ? '' : $iq2,
									'iq3' => (!$iq3) ? '' : $iq3,
									'iq4' => (!$iq4) ? '' : $iq4,
									'iq5' => (!$iq5) ? '' : $iq5,
									'iq6' => (!$iq6) ? '' : $iq6,
									'iq7' => (!$iq7) ? '' : $iq7,
									'iq8' => (!$iq8) ? '' : $iq8,
									'iq9' => (!$iq9) ? '' : $iq9,
									'iq10' => (!$iq10) ? '' : $iq10 
											);
									
				$this->db->trans_start();
					$this->db->where('order_number', $order_number);
					$this->db->where('mode', $mode);
					$this->db->where('inum', $inum);
					$success = $this->db->update($vedom,$order_data);
				$this->db->trans_complete();
			}
		}
	return $success;
	}


// ------------------------------------------- MAIN TABLE ------------------------------------- //
	
	public function getDataColumns()
	{
	return array(	
			'summary' => array(
					$this->lang->line('common_order'), // 1
					$this->lang->line('reports_date'), // 2
					$this->lang->line('reports_deadline'),  // 3
					$this->lang->line('reports_ordered_by'), // 4
					$this->lang->line('reports_items_purchased'),  // 5
					$this->lang->line('reports_suma'),  // 6
					$this->lang->line('reports_discount'), // 7
					$this->lang->line('reports_edit_avance'), // 8
					$this->lang->line('reports_total'),  // 9
					$this->lang->line('reports_ordered_to'),  // 10
					$this->lang->line('common_comments'),  // 11
					'=/=' // 12
								)
/*
			'details' => array(
								'','', // $this->lang->line('reports_line'),
								$this->lang->line('reports_item_number'), 
								$this->lang->line('reports_name'), 
								$this->lang->line('reports_quantity_purchased'),
								$this->lang->line('reports_daily_price'),
								'1 (S)', '2 (M)', '3 (L)', '4 (XL)', '5 (2XL)', '6 (3XL)', 
								'7 (4XL)', '8 (5XL)', '9 (6XL)', 'max',' '	)
*/								
									);

	}

	public function getData(array $inputs)
	{
		$mode_year = $inputs['mode_year'];
		$coll = $inputs['collection_id'];
		$client_id = $inputs['client_id'];

		$db_orders = 'orders';
		$db_orders_items = $db_orders .'_'.$mode_year;

		
		$this->db->from($db_orders);
		if( $coll != '999' )
			{ $this->db->where('coll = '.$coll);}
		if( $client_id != 0 )
			{ $this->db->where('client_id = '.$client_id);}

		$this->db->where('deleted = 0');
		$this->db->group_by('order_id');
		$this->db->order_by('order_number');

		$data = array();
		$data['summary'] = $this->db->get()->result_array();
/*
		// тук теглим детайлите .....
		$data['details'] = array();
		foreach($data['summary'] as $key=>$value)
		{
			$this->db->from($db_orders_items);
			$this->db->where('order_id = '.$value['order_id']);
			$this->db->where('deleted = 0');
			$this->db->order_by('line');

			$data['details'][$key] = $this->db->get()->result_array();
		}
*/
	return $data;
	}
	
	// AJAX quick get
	function get_item_from_order($vedom,$order_id,$line)
	{
		$this->db->from($vedom);	
		$this->db->where('order_id',$order_id);
		$this->db->where('line',$line);
		$query = $this->db->get();
		if ($query->num_rows()==1)
			{ return $query->row();}
		else	
			{ return 0;}
	}

	
	public function getCollectionHeaders()
	{
		$headers = array(
					$this->lang->line('reports_item_number'), 
					$this->lang->line('reports_name'), 
					$this->lang->line('reports_quantity'),
					'1 (S)', '2 (M)', '3 (L)', '4 (XL)', '5 (2XL)', '6 (3XL)', 
					'7 (4XL)', '8 (5XL)', '9 (6XL)', 'max' );
	return $headers;
	}
	
	
	function exists_schedule($schedule)
	{
		$this->db->from('orders_schedule');
		$this->db->where('order_list',$schedule);
		$this->db->where('del',0);
		$query = $this->db->get();
		return ($query->num_rows()==1);
	}
	
	public function getScheduleHeaders()
	{
		$headers = array( 'код', 'име на клиент', 'заявено', 'дата', 'час', 'състояние', 'коментар' );
	return $headers;
	}
	
	function getScheduleData()
	{
		$this->db->from('orders_schedule');
		$this->db->where('del',0);
		$this->db->order_by("visit_date", "asc");
		$query = $this->db->get();
		if ($query->num_rows()>0)
			{ return $query->result_array();}
		else	
			{ return 0;}
	}
	
	function get_schedule($schedule)
	{
		$this->db->from('orders_schedule');
		$this->db->where('order_list',$schedule);
		$this->db->where('del',0);
		$query = $this->db->get();
		if ($query->num_rows()==1)
			{ return $query->row();}
		else	
			{ return 0;}
	}
	
	function save_schedule(&$data,$schedule)
	{
		if (!$schedule or !$this->exists_schedule($schedule))
		{
			if($this->db->insert('orders_schedule',$data))
			{
				$data['order_list'] = $this->db->insert_id();
				return true;
			}
			return false;
		}

		// update orders_schedule
		$this->db->where('order_list', $schedule);
		return $this->db->update('orders_schedule',$data);
	}
	
	
	

	// Сумарна информация ...............
	public function getSummaryData(array $inputs)
	{
		$coll = $inputs['collection_id'];
		$client_id 		= $inputs['client_id'];

		$db_orders = 'orders';

		$this->db->select('
				sum(qty) as all_quantity,
				sum(total) as total');

		$this->db->from($db_orders);

		if( $coll != '999' )
			{ $this->db->where('coll = '.$coll);}

		if( $client_id != 0 )
			{ $this->db->where('client_id = '.$client_id);}

		$this->db->where('deleted = 0');

	return $this->db->get()->row_array();
	}


	public function getSummaryKey(array $inputs)
	{
		$mode = $inputs['order_type'];
		$coll = $inputs['collection_id'];
		$client_id 		= $inputs['client_id'];

		$db_orders = 'orders';

		$this->db->select('sum(order_id) as all_orders');

		$this->db->from($db_orders);

		if( $coll != '999' )
			{ $this->db->where('coll = '.$coll);}

		if( $client_id != 0 )
			{ $this->db->where('client_id = '.$client_id);}

		$this->db->where('deleted = 0');

	return $this->db->get()->row_array();
	}

// ------------------------------------- край на основната таблица --------------------------- //



// -------------------------------- ТАБЛИЦА НА ПОРЪЧКАТА -------------------------- //

	public function getOrderColumns()
	{
	return array(
			'summary_1' => array('30 / 50', '32 / 52', '34 / 54', '36 / 56', '38 / 58', 
									 '40 / 60','42 / 62', '44 / 64', '46 / 66'),
			'summary_2' => array(
								$this->lang->line('reports_item_number'),
								$this->lang->line('reports_name'),
								$this->lang->line('reports_quantity_purchased'), 
								$this->lang->line('reports_unit_price'), 
								$this->lang->line('reports_disc'), 
								$this->lang->line('reports_daily_price'),
								'S (1)', 'M (2)', 'L (3)', 'XL (4)', '2XL (5)', '3XL (6)', 
								'4XL (7)', '5XL (8)', '6XL (9)', 'max', '=/='	) );
	}

	public function getOrderData($order_id, $yearPack)
	{
		$data['items'] = array();

		$this->db->from($yearPack);
		$this->db->where('order_id', $order_id );
		$this->db->where('deleted = 0');
		$this->db->order_by('inum');

		$data['items'] = $this->db->get()->result_array();

	return $data;
	}

	public function getNotmissedItems($order_id, $yearPack)
	{
		// $data['items'] = array();
		$this->db->select('order_id,inum',false);

			$this->db->from($yearPack);
			$this->db->where('order_id', $order_id );
			$this->db->where('deleted = 0');
			$this->db->order_by('inum');

	return $this->db->get()->result_array();
	}
	
	public function getProducedItem($inum)
	{
		$collection_id = $this->Item->get_collection_id($inum);
		if($collection_id>99)
		{
         $yearPack = 'orders_20'.substr($collection_id,0,2);
         $this->db->select('inum,
            sum(qty) as qty,
             sum(q1) as q1,
             sum(q2) as q2,
             sum(q3) as q3,
             sum(q4) as q4,
             sum(q5) as q5,
             sum(q6) as q6,
             sum(q7) as q7,
             sum(q8) as q8,
             sum(q9) as q9,
            sum(q10) as q10,
             
           sum(iqty) as iqty,
            sum(iq1) as iq1,
            sum(iq2) as iq2,
            sum(iq3) as iq3,
            sum(iq4) as iq4,
            sum(iq5) as iq5,
            sum(iq6) as iq6,
            sum(iq7) as iq7,
            sum(iq8) as iq8,
            sum(iq9) as iq9,
           sum(iq10) as iq10', false);

            $this->db->from($yearPack);
            $this->db->where('inum', $inum );
            $this->db->where('coll', $collection_id );
            $this->db->where('deleted = 0');

      return $this->db->get()->result_array();
      }
      else {return 0;}
	}

// ------------------------------------- ИЗВАДКА ПО АРТИКУЛ ---------------------------------- //

	public function get_item_by_collection($inum,$coll='0')
	{
		if($coll==0) {$coll = $this->BiSOFT_Model->get_mode_assort();}
		if ($coll < 100) { $coll = 140; } // класическа

		$mode_year	= (int) '20'.substr($coll,0,2);
		$db_items 	= 'orders_'.$mode_year;

		$this->db->select(
				  'order_id,
					order_number,
					line,
					mode,
					coll,
					client_id,
					inum,
					price,

					qty,
					q1,q2,q3,q4,q5,q6,q7,q8,q9,q10, 

					iqty,
					iq1,iq2,iq3,iq4,iq5,iq6,iq7,iq8,iq9,iq10, 

					bqty',
					false);

			$this->db->from($db_items);
			$this->db->where('inum',$inum);
			$this->db->where('coll',$coll);
			$this->db->where('deleted',0);
			$this->db->order_by('order_number');

	return $this->db->get();
	}

// ------------------------------------- ИЗВАДКА ПЛАНИРАНЕ ПО АРТИКУЛ ---------------------------------- //

	public function get_item_plan_by_collection($inum,$coll='0')
	{
		if ($coll < 100) { $coll = 140; } // класическа

			$this->db->from("items_plan");
			$this->db->where("inum",$inum);
			$this->db->where("coll",$coll);
			$this->db->where("deleted",0);

			$query = $this->db->get();

	if($query->num_rows()==1)
			{ return $query->row();}
	else 	{ return false; }
	}
	
	public function get_all_item_plans_by_time($start_date=0)
	{
			$this->db->from("items_plan");
			if($start_date!=0)
			{
            $this->db->where('start_date BETWEEN "'.$start_date. '" AND "'.date('Y-m-d').'"');
            $this->db->where("deleted", 0);
            $this->db->order_by('inum');
            $query = $this->db->get();

            if($query->num_rows()>0)
                  { return $query->result_array();}
            else 	{ return false; }
         }
         else {return false;}
	}

// --------------------------- NEW DATABASE --------------------------- //	
	
	function plan_id_exists($plan_id)
	{	
		$this->db->from('items_plan');
		$this->db->where('plan_id',$plan_id);
		$query = $this->db->get();
	return ($query->num_rows()==1);
	}
	
	function get_plan_id($plan_id)
	{  
		$this->db->from('items_plan');
		$this->db->where('plan_id',$plan_id);
		$query = $this->db->get();

	if($query->num_rows()==1)
			{ return $query;}
	else 	{ return false; }
	}

	
	function save_plan_id($plan_id, $plan_data)
	{
		if (!$this->plan_id_exists($plan_id)) // нов запис
			{
				$this->db->trans_start();
					$success = $this->db->insert('items_plan', $plan_data );
				$this->db->trans_complete();
			}
		else  // само актуализира
			{
				$this->db->trans_start();
					$this->db->where('plan_id', $plan_id);
					$success = $this->db->update('items_plan', $plan_data );
				$this->db->trans_complete();
			}
	return $success;
	}
	
	function update_plan_id($plan_id, $plan_data)
	{
		if (!$this->plan_id_exists($plan_id)) // нов запис
			{ return false; }
		else  // само актуализира
			{
				$this->db->trans_start();
					$this->db->where('plan_id', $plan_id);
					$success = $this->db->update('items_plan', $plan_data );
				$this->db->trans_complete();
			}
	return $success;
	}
	
// ----------------------- PLAN inum ---------------------- //
	function plan_inum_exists($inum,$coll)
	{	
		$this->db->from('items_plan');
		$this->db->where('inum',$inum);
		$this->db->where('coll',$coll);
		$query = $this->db->get();
	return ($query->num_rows()==1);
	}
	
	
	function get_plan_inum($inum,$coll)
	{  
		$this->db->from('items_plan');
		$this->db->where('inum',$inum);
		$this->db->where('coll',$coll);
		$query = $this->db->get();

	if($query->num_rows()==1)
			{ return $query;}
	else 	{ return false; }
	}

	function get_all_plan_inum($inum)
	{  
		$this->db->from('items_plan');
		$this->db->where('inum',$inum);
		$this->db->order_by('coll', "desc");
		$query = $this->db->get();

	if($query->num_rows()>0)
			{ return $query->result_array();}
	else 	{ return 0; }
	}
	
	
	function save_plan_inum($inum,$coll,$plan_data)
	{
		if (!$this->plan_inum_exists($inum,$coll)) // нов запис
			{
				$this->db->trans_start();
					$success = $this->db->insert('items_plan', $plan_data );
				$this->db->trans_complete();
			}
		else  // само актуализира
			{
				$this->db->trans_start();
					$this->db->where('inum',$inum);
					$this->db->where('coll',$coll);
					$success = $this->db->update('items_plan', $plan_data );
				$this->db->trans_complete();
			}
	return $success;
	}


	function update_plan_inum($inum,$coll,$plan_data)
	{
		if (!$this->plan_inum_exists($inum))
			{return false;}
		else  // само актуализира
			{
				$this->db->trans_start();
					$this->db->where('inum',$inum);
					$this->db->where('coll',$coll);
					$success = $this->db->update('items_plan', $plan_data );
				$this->db->trans_complete();
			}
	return $success;
	}


}
?>
