<?php class Revision extends CI_Model
{
	function delete_revision($skl=0)
	{
		$this->db->trans_start();
		  $this->db->where('inum > 0');
		  $this->db->where('skl',$skl);
		  $this->db->delete('revision');
		$this->db->trans_complete();
	return $this->db->trans_status();
	}
	
	function delete_all_revision()
	{
		$this->db->trans_start();
		  $this->db->where('inum > 0');
		  $this->db->delete('revision');
		$this->db->trans_complete();
	return $this->db->trans_status();
	}

	function exists_rev($inum=0)
	{  
		$this->db->from('revision');
		$this->db->where('inum',$inum);
		$query = $this->db->get();
	return ($query->num_rows()==1);
	}
	
	function get_sklad($skl=0,$cat=0)
	{  
		$this->db->select('skl,inum,qty,cat,
				q1,q2,q3,q4,q5,q6,q7,q8,q9,q10',	
				false);
		$this->db->from('sklad');
		$this->db->where('skl',$skl);
		if($cat>0) {$this->db->where('cat',$cat);}
		$this->db->where('del',0);
	return $this->db->get()->result_array();
	}

	
	function get_revision_info($skl,$cat=0)
	{  
		$this->db->from('revision');
		$this->db->where('skl',$skl);
		if($cat>0) {$this->db->where('cat',$cat);}
	return $this->db->get()->result_array();
	}	

	
	function save_item(&$item_data)
	{	$inum	= (int)$item_data['inum'];
		$skl	= (int)$item_data['skl'];
		$item_data['grp'] = (int)substr($inum,0,2);

		if(!$inum or !$this->exists_rev($inum))
		  { 
          $this->db->insert('revision',$item_data);
          return true;
		  }
		  else
		  {
          $this->db->where('inum', $inum);
          $this->db->where('skl', $skl);
          return $this->db->update('revision',$item_data);
        }
	}
	
}
?>
