<?php
class Sessions_view extends CI_Model
{
	function __construct()
	{
		parent::__construct();
	}
	
	public function getDataColumns()
	{
		return array(
			'IP address',
			'last_activity',
			'session_id / delete',
			'user_data');
	}
	
	public function getData(array $inputs)
	{
		$this->db->select(
		  'ip_address,
			session_id,
			last_activity, 
			user_data');

		$this->db->from('sessions');
		$this->db->order_by("last_activity", "desc");
		
	return $this->db->get()->result_array();
	}
	
	public function getSummaryData(array $inputs)
	{
		return array();
	}
}
?>
