<?php

class Shop extends CI_Model
{
	function exists($doc_id)
	{  
		$db_shop = 'S'.date('Y');
		$this->db->from($db_shop);
		$this->db->where('doc_id',$doc_id);
		$query = $this->db->get();
	return ($query->num_rows()==1);
	}
	

	public function get_info($doc_id,$vedomPack)
	{  
		$this->db->from($vedomPack);
		$this->db->where('doc_id',$doc_id);
	return $this->db->get();
	}

	public function get_info_line($doc_id, $line, $vedomPack)
	{  
		$this->db->from($vedomPack);
		$this->db->where('doc_id', $doc_id);
		$this->db->where('line', $line);
	return $this->db->get();
	}

	function update($doc_data, $doc_id, $vedomPack)
	{  
		$this->db->where('doc_id', $doc_id);
		$success = $this->db->update( $vedomPack, $doc_data );
	return $success;
	}

	function update_items($items_data, $doc_id, $vedom)
	{  
		$this->db->where('doc_id', $doc_id);
		$success = $this->db->update( $vedom, $items_data );
	return $success;
	}

	function update_line_item($items_data, $doc_num, $line)
	{  
		$vedomPack = 'S20'.substr($doc_num,0,2);
		$this->db->where('doc_number', $doc_num);
		$this->db->where('line', $line);
		$success = $this->db->update( $vedomPack, $items_data );
	return $success;
	}

	/* специална функция за SUPER бърза извадка по item_id */
	function get_blanka_info($item_number)
	{
		$this->db->select(	
				  'item_number,
					name,
					collection,
					description,
					qmin,qmax,
					allow_sizes',false);

		$this->db->from('items');
		$this->db->where('item_number',$item_number);
		$query = $this->db->get();
		if($query->num_rows()==1)
			{ return $query->row();}
		else
			{ return 0;}
	}
	
	/* извадка от shops */
	function get_shop_info($inum,$skl)
	{	$this->db->from('shops');$this->db->where('inum',$inum);$this->db->where('skl',$skl);
		$query = $this->db->get();
		if($query->num_rows()==1){return $query->row();}
		else{return 0;}
	}
	
	/* извадка от sklad */
	function get_sklad_info($inum,$skl)
	{	if($skl=='-1'){$skl=0;}
		$this->db->from('sklad');$this->db->where('inum',$inum);$this->db->where('skl',$skl);
		$query = $this->db->get();
		if($query->num_rows()==1){return $query->row();}
		else{return 0;}
	}
	
/*	================================ GET SIZES ============================ */
	function get_sizes($item_number)
	{
		$group = $allow_sizes = 0;
		$sizes = array();
		$sizes['allow']=$sizes['qmin']=$sizes['qmax']=0;
		
		$item_info = $this->get_blanka_info($item_number);
		if(!$item_info) {return $sizes;}
		
		if($item_number<4000 or ($item_number>98000 and $item_number!=98180 
																  and $item_number!=98181 
																  and $item_number!=98182 
																  and $item_number!=98183
																  and $item_number!=98184 ) ) 	{$allow_sizes=0;}
		else {$group = $allow_sizes = $item_info->allow_sizes;}

		$sizes = array ( // празна база ?! //
						'1'	=> '',
						'2'	=> '',
						'3'	=> '',
						'4'	=> '',
						'5'	=> '',
						'6'	=> '',
						'7'	=> '',
						'8'	=> '',
						'9'	=> '',
						'10'	=> '' );

		if ($allow_sizes)
		{ 
			if ( $group=='S' or $group=='s' ) 
				{ $sizes = array (
						'1'	=> 'S',
						'2'	=> 'M',
						'3'	=> 'L',
						'4'	=> 'XL',
						'5'	=> '2XL',
						'6'	=> '3XL',
						'7'	=> '4XL',
						'8'	=> '5XL',
						'9'	=> '6XL',
						'10'	=> '7XL' ); 
				}
			elseif ( $group=='XS' or $group=='xs' ) 
				{ $sizes = array (
						'1'	=> 'S',
						'2'	=> 'M',
						'3'	=> 'L',
						'4'	=> 'XL',
						'5'	=> '2XL',
						'6'	=> '3XL',
						'7'	=> '4XL',
						'8'	=> '5XL',
						'9'	=> '6XL',
						'10'	=> 'XS' ); 
				}
			elseif ( $group=='J' or $group=='j' ) 
				{ $sizes = array (
						'1'	=> '30',
						'2'	=> '31',
						'3'	=> '32',
						'4'	=> '33',
						'5'	=> '34',
						'6'	=> '36',
						'7'	=> '38',
						'8'	=> '40',
						'9'	=> '42',
						'10'	=> '44' ); 
				}
			elseif ( $group=='c46' ) 
				{ $sizes = array (
						'1'	=> '46',
						'2'	=> '48',
						'3'	=> '50',
						'4'	=> '52',
						'5'	=> '54',
						'6'	=> '56',
						'7'	=> '58',
						'8'	=> '60',
						'9'	=> '62',
						'10'	=> 'max' ); 
				}
			else
				{
					$ctr = 2;
					switch ($group) 
						{
							case 'UK': $size = 6;  break;	 		
							case 'EN': $size = 36; break;
							case '6':  $size = 6; break;
							case '8':  $size = 8; break;
							case '28': $size = 30; break;
							case '30': $size = 30; break;
							case '40': $size = 40; break;
							case 'c46': $size = 46; break;
							case '48': $size = 50; break;
							case '50': $size = 50; break;
							case '60': $size = 60; break;
							case '92': $size = 92; $ctr = 12; break;
							case '105': $size = 105; $ctr = 5; break;
							case 'b40': $size = 40; $ctr = 1; break;
							default  : $size = 40; break;
						}
						
					if($group=='b40') // само ОБУВКИ !?
					{
						for($k=1;$k<11;$k++)	{$sizes[$k]=$size+$ctr*($k-1);}
					}
					elseif($group=='28') // само където 28=max !?
					{
						for($k=1;$k<10;$k++)	{$sizes[$k]=$size+$ctr*($k-1);}
						$sizes[10]='28';
					}
					elseif($group=='48') // само където 48=max !?
					{
						for($k=1;$k<10;$k++)	{$sizes[$k]=$size+$ctr*($k-1);}
						$sizes[10]='48';
					}
					elseif($group == 105) // само КОЛАНИ //
					{
						for($k=1;$k<8;$k++)	{$sizes[$k]=$size+$ctr*($k-1);}
						$sizes[8]  ='140';
						$sizes[9]  ='150';
						$sizes[10] ='160';
					}
					else 
					{ 
						for($k=1;$k<10;$k++)	{$sizes[$k]=$size+$ctr*($k-1);}
						$sizes[10]='max';
					}
				}
				
		$sizes['allow']= $allow_sizes;
		$sizes['qmin'] = $item_info->qmin;
		$sizes['qmax'] = $item_info->qmax;
		}
		else {$sizes['allow']=$sizes['qmin']=$sizes['qmax']=0;}

	return $sizes;
	}
	
	function get_months()
	{
      $months=array(
			'01' => $this->lang->line('cal_january'),
			'02' => $this->lang->line('cal_february'),
			'03' => $this->lang->line('cal_march'),
			'04' => $this->lang->line('cal_april'),
			'05' => $this->lang->line('cal_mayl'),
			'06' => $this->lang->line('cal_june'),
			'07' => $this->lang->line('cal_july'),
			'08' => $this->lang->line('cal_august'),
			'09' => $this->lang->line('cal_september'),
			'10' => $this->lang->line('cal_october'),
			'11' => $this->lang->line('cal_november'),
			'12' => $this->lang->line('cal_december')	);
	return $months;
	}
	

/* ============================================ SHOPS ===================================== */
	function save_shop( $items, $mode, $total_qty, $subtotal, $doc_number, $doc_name,
			$bisoft_id, $client_name, $customer_discount, $employee_id, $payments, $comment)
	{
		if(count($items)==0) {return -1;}
		$this->load->library('Shop_lib');
		$location = $this->Employee->get_client_location();
		$commision = $commision_L = 0;
		if(null===$mode) { $mode='shop_sale'; }
		$doc_id = false;

		$vedom = $this->BiSOFT_Model->get_vedom();
		$bank_mode = 1;

		// Определям дали Операторът има право на ОТЧЕТИ ?!?
		$person_report = 1;

	   $db_shops = 'S'.date('ym');
	   $db_shops_items = $db_shops.'_items';
	    	
		//Зареждам Покупката ...
		$doc_date = $this->shop_lib->get_date();
		$doc_name = $this->BiSOFT_Model->get_document_title($mode);	 // това си е вече заглавието...
		$mode_id  = $this->BiSOFT_Model->get_pay_group($mode);		 // index-a 'Е', 'SE' ..

				//групата за плащане .. index-a
				$pay_groups=$payment_types='';
				$total_sum = 0;
				$payK = 1;
				if ($mode=='shop_return') { $payK = -1;}

					foreach($payments as $payment_id=>$payment)
					{
						$pay_groups 	= $payment['payment_type'];			
						$payment_types	= $payment_types.$payment['payment_type'].': '.
											to_currency($payK * $payment['payment_amount']).';';
						$total_sum	+=	$payment['payment_amount'];
					}
					
					$total_sum_text = to_currency($total_sum);

						//Разпределяме коеф.-те на index-ите на плащане за покупката ..
						$pay_type = 'H';
						switch ($pay_groups) 
							{
								case $this->lang->line('sales_not_paid'):	$pay_type = 'H';  break;
								case $this->lang->line('sales_returned_goods'): $pay_type = 'BP';  break;
								case $this->lang->line('sales_cash'): 		$pay_type = 'P'; break;
								case $this->lang->line('sales_debit'):		$pay_type = 'dC'; break;
								case $this->lang->line('sales_credit'):	$pay_type = 'kC'; break;
								case $this->lang->line('sales_epay'):		$pay_type = 'eP'; break; 
								case $this->lang->line('sales_paypal'):	$pay_type = 'PP'; break;
								default: $pay_type = 'H';
							}

		$employee_name	=	''; // $this->Employee->get_id_names($employee_id);

		// ВАЛУТИ
		$now_valuta_rate = '1.0000'; $now_valuta = $this->config->item('currency');

		// изчисляваме ДДС-то ......
		
		$mode_price = $this->shop_lib->get_mode_price();

		$tax_VAT = 0;
		$taxed	= 0;

		$total_discount = $customer_discount;
		$total_amount 	 = round($subtotal * (100 - $customer_discount)/100, 2);
				$tax_VAT  = 0;
				$taxed	 = 0;

		$total_amount += $tax_VAT;	
		
		// знаците на totals ...
		if ( $mode=='shop_sale' )
			{ 
            $total_amount = $total_sum; $total_sum = abs($subtotal);
			}
		elseif ( $mode=='shop_return' ) // върната стока като цяло ...
			{ 
				$total_qty 		= -abs($total_qty);
				$total_sum 		= -abs($subtotal);
				$total_amount 	= -abs($total_amount);
				$pay_type 		= 'BP';
				
				$total_amount = round($total_sum * (100 - $total_discount)/100, 5);
         }
		else // за други ...
			{ $total_sum = $subtotal;}

			// оформям отчитането на консигнациите ...
			$mode_sale 		 = $mode;
			$mode_id_sale 	 = $mode_id;
			$client_id_sale = $bisoft_id;
			$client_sale 	 = $client_name;
	
		// зареждам основните параметри на Главния документ ......
		$sales_data = array(
				'mode'				=> $mode_sale,
				'mode_id'			=> $mode_id_sale,
				'mode_price'		=> $bank_mode,
				'doc_number'		=> $doc_number,
				'doc_date' 			=> $doc_date,
				'total_qty'			=> $total_qty,
				'total_sum'			=> $total_sum,
				'total_discount'	=> $total_discount,
				'taxed'				=> $taxed,
				'total_taxes'		=> $tax_VAT,
				'giftcard'			=> 0,
				'giftvalue'			=> 0,
				'giftprocent'		=> 0,
				'pay_group'			=> $pay_type,
				'pay_type'			=> $payment_types,
				'pay_amount'		=> $total_amount,
				'pay_sale'			=> $total_amount,
				'currency'			=> $now_valuta,
				'currency_rate'	=> $now_valuta_rate,
				'client_id'			=> $client_id_sale,
				'client'				=> $client_sale,
				'employee_id'		=> 0,
				'employee'			=> $employee_name,
				'comment'			=> $comment,
				'location'			=> $location );
				

//------------------------ записва в Базите Данни ---------------------- //
$this->db->trans_start(); // --> отваря запис към БАЗАТА ...-->> 
		
	$doc_id = $delivery_id = 0;
   // вкарва данните от Документа в Месечната База Данни ... //
		$this->db->insert( $db_shops, $sales_data);
		$doc_id = $this->db->insert_id();  // от тук си взимам номер

	
// =================== обработка на всички артикули от количката =================== //
$mag_all_qty = $mag_total = $sale_total = $gift_total = 0;

foreach($items as $line=>$item)  // сканира количката ...
{
	$inum=$item['inum'];$skl=$item['skl'];$mode_price=$item['mprice'];
	$skl_info  = $this->Item->get_shop_info($inum,$skl);
	$item_info = $this->Item->get_blanka_info($inum);
		$name = $this->Item->get_name($inum);
		$allow_sizes=$item_info->allow_sizes;
		if($allow_sizes=='105') {$allow_sizes=0;}
 
	$Qty=array();
	if ($allow_sizes)
	{ 
		$Qty = array();
		$qty = $item['qty'];
		$Qty[1]=$item['q1'];$Qty[2]=$item['q2'];$Qty[3]=$item['q3'];$Qty[4]=$item['q4'];$Qty[5]=$item['q5'];
		$Qty[6]=$item['q6'];$Qty[7]=$item['q7'];$Qty[8]=$item['q8'];$Qty[9]=$item['q9'];$Qty[10]=$item['q10'];
	}
	else {$qty=$item['qty'];$Qty[1]=$Qty[2]=$Qty[3]=$Qty[4]=$Qty[5]=$Qty[6]=$Qty[7]=$Qty[8]=$Qty[9]=$Qty[10]=0;}

	$order_sizes=array();
	
			// ЦЕНИ за Регистрация ... или $commision
			$item_discount = $item['dsc'];
			$item_price = $payK * $item['price'];
			$costsale=$payK*$item_price;
			if($item_discount>0) {$costsale = $payK*round($item_price*(100-$item_discount)/100,4);}	
			if($customer_discount>0) {$costsale = $payK*round($costsale*(100-$customer_discount)/100,4);}

			$item_price = to_dot($item_price);
			$modeK = 1;
			if( $mode=='shop_return' ) { $modeK = -1; }
					
				$all_qty = $modeK * abs($qty);
				$qty_1 = $modeK * abs($Qty['1']); if($qty_1==0) { $qty_1='';}
				$qty_2 = $modeK * abs($Qty['2']); if($qty_2==0) { $qty_2='';}
				$qty_3 = $modeK * abs($Qty['3']); if($qty_3==0) { $qty_3='';}
				$qty_4 = $modeK * abs($Qty['4']); if($qty_4==0) { $qty_4='';}
				$qty_5 = $modeK * abs($Qty['5']); if($qty_5==0) { $qty_5='';}
				$qty_6 = $modeK * abs($Qty['6']); if($qty_6==0) { $qty_6='';}
				$qty_7 = $modeK * abs($Qty['7']); if($qty_7==0) { $qty_7='';}
				$qty_8 = $modeK * abs($Qty['8']); if($qty_8==0) { $qty_8='';}
				$qty_9 = $modeK * abs($Qty['9']); if($qty_9==0) { $qty_9='';}
				$qty_max = $modeK * abs($Qty['10']); if($qty_max==0) { $qty_max='';}

			$sizeQty=$qty_1+$qty_2+$qty_3+$qty_4+$qty_5+$qty_6+$qty_7+$qty_8+$qty_9+$qty_max;
			if (!$allow_sizes) {$sizeQty=$all_qty;}
			
					$sales_items_data = array(
						'doc_id'			=> $doc_id,
						'line'			=> $item['line'],
						'mode_id' 		=> $mode_id_sale,
						'doc_number' 	=> $doc_number,
						'doc_date' 		=> $doc_date,
						'item_number'	=> $inum,
						'item_name'		=> $sizeQty.','.$qty_1.','.$qty_2.','.$qty_3.
															','.$qty_4.','.$qty_5.','.$qty_6.
															','.$qty_7.','.$qty_8.','.$qty_9.','.$qty_max,
						'item_qty'		=> $all_qty,
					'item_unit_price'	=> abs($item_price),
					'item_discount'	=> abs($item_discount),
							'costsale'  => abs($costsale),
						'item_taxes'	=> $taxed,
						'client_id'		=> $client_id_sale,
						'location'		=> $skl );
						
			// събирам данни за restricted магазини ...
			$mag_all_qty += $all_qty;
			$mag_total 	+= $all_qty*$item_price;
			$sale_total += $all_qty*$costsale;


			// ОТНЕМАНЕ от СКЛАДА и '0'-те ...
			$result_qty = 0;
			if ( $mode=='shop_sale' )
			{
				$newQty_1 = $skl_info->q1 - $Qty['1']; if($newQty_1 == 0) {$newQty_1 = '';}
				$newQty_2 = $skl_info->q2 - $Qty['2']; if($newQty_2 == 0) {$newQty_2 = '';}
				$newQty_3 = $skl_info->q3 - $Qty['3']; if($newQty_3 == 0) {$newQty_3 = '';}
				$newQty_4 = $skl_info->q4 - $Qty['4']; if($newQty_4 == 0) {$newQty_4 = '';}
				$newQty_5 = $skl_info->q5 - $Qty['5']; if($newQty_5 == 0) {$newQty_5 = '';}
				$newQty_6 = $skl_info->q6 - $Qty['6']; if($newQty_6 == 0) {$newQty_6 = '';}
				$newQty_7 = $skl_info->q7 - $Qty['7']; if($newQty_7 == 0) {$newQty_7 = '';}
				$newQty_8 = $skl_info->q8 - $Qty['8']; if($newQty_8 == 0) {$newQty_8 = '';}
				$newQty_9 = $skl_info->q9 - $Qty['9']; if($newQty_9 == 0) {$newQty_9 = '';}
				$newQty_10 = $skl_info->q10 - $Qty['10'];	if($newQty_10==0) {$newQty_10 = '';}
					
				//Update stock quantity
				$result_qty = $skl_info->qty - $qty;
				$item_data = array(
					'inum'	=> $inum,
					'skl'		=> $skl,
					'qty'		=> $result_qty,
					'q1'		=> $newQty_1,
					'q2'		=> $newQty_2,
					'q3'		=> $newQty_3,
					'q4'		=> $newQty_4,
					'q5'		=> $newQty_5,
					'q6'		=> $newQty_6,
					'q7'		=> $newQty_7,
					'q8'		=> $newQty_8,
					'q9'		=> $newQty_9,
					'q10'		=> $newQty_10,
					'del'		=> 0 );
			}
			elseif ( $mode=='shop_return' )
			{
				// ПРИБАВЯНЕ към СКЛАДА и '0'-те ... за всички останали доставки
				$newQty_1 = $skl_info->q1 + $Qty['1']; if($newQty_1 == 0) {$newQty_1 = '';}
				$newQty_2 = $skl_info->q2 + $Qty['2']; if($newQty_2 == 0) {$newQty_2 = '';}
				$newQty_3 = $skl_info->q3 + $Qty['3']; if($newQty_3 == 0) {$newQty_3 = '';}
				$newQty_4 = $skl_info->q4 + $Qty['4']; if($newQty_4 == 0) {$newQty_4 = '';}
				$newQty_5 = $skl_info->q5 + $Qty['5']; if($newQty_5 == 0) {$newQty_5 = '';}
				$newQty_6 = $skl_info->q6 + $Qty['6']; if($newQty_6 == 0) {$newQty_6 = '';}
				$newQty_7 = $skl_info->q7 + $Qty['7']; if($newQty_7 == 0) {$newQty_7 = '';}
				$newQty_8 = $skl_info->q8 + $Qty['8']; if($newQty_8 == 0) {$newQty_8 = '';}
				$newQty_9 = $skl_info->q9 + $Qty['9']; if($newQty_9 == 0) {$newQty_9 = '';}
				$newQty_10 = $skl_info->q10 + $Qty['10']; if($newQty_10==0) {$newQty_10='';}

				//Update stock quantity
				$result_qty = $skl_info->qty + $qty;
				$item_data = array(
					'inum'	=> $inum,
					'skl'		=> $skl,
					'qty'		=> $result_qty,
					'q1'		=> $newQty_1,
					'q2'		=> $newQty_2,
					'q3'		=> $newQty_3,
					'q4'		=> $newQty_4,
					'q5'		=> $newQty_5,
					'q6'		=> $newQty_6,
					'q7'		=> $newQty_7,
					'q8'		=> $newQty_8,
					'q9'		=> $newQty_9,
					'q10'		=> $newQty_10,
					'del'		=> 0 );
			}
			else { $item_data = array();$result_qty = 1; }
		
			switch ($mode) 
			{ // ----------------------------------- МАГАЗИН -> Продава ----------------------------- //
            case 'shop_sale':  // Продажба
                     $this->db->insert( $db_shops_items, $sales_items_data);
                     $this->Item->save_shop($item_data);
                     // магазини -> изчистване при = 0.
                     if($location>0 and $result_qty==0) {$this->db->delete('shops',$item_data);}
                  break;

            case 'shop_return':  // Върната Стока от Клиент при Продажба
                     $this->db->insert( $db_shops_items, $sales_items_data);
                     $this->Item->save_shop($item_data);
                  break;
			} // --------------------------- Край на записите в Базите Данни ----------------------//

		}  // край на цикъла за артикулите ...


		$this->db->trans_complete();
		if ($this->db->trans_status() === FALSE)	{ return -1;}

	return $doc_id;
	}
	


	function delete($doc_id,$vedomPack)
	{
    $db_docs 				= $vedomPack;
    $db_docs_items 		= $vedomPack . '_shops';

		$this->db->trans_start();
		
			$this->db->delete( $db_docs_items, array('doc_id' => $doc_id));
			$this->db->delete( $db_docs, array('doc_id' => $doc_id)); 
		
		$this->db->trans_complete();
	return $this->db->trans_status();
	}


	function delete_line_item($doc_num, $line)
	{
		$vedomPack = 'V'.substr($doc_num,0,4).'_shops';
		$this->db->trans_start();
			$this->db->delete( $vedomPack, array('doc_number' => $doc_num, 'line' => $line));
		$this->db->trans_complete();
	return $this->db->trans_status();
	}


	function get_sale_items($doc_id,$vedomPack)
	{
		$this->db->from($vedomPack.'_shops');
		$this->db->where('doc_id',$doc_id);
	return $this->db->get();
	}

	function get_sale_payments($doc_id,$vedomPack)
	{
		$this->db->from($vedomPack);
		$this->db->where('doc_id',$doc_id);
	return $this->db->get();
	}

	function get_customer($doc_id,$vedomPack)
	{
      $customer = 0;
		$this->db->from($vedomPack);
		$this->db->where('doc_id',$doc_id);
         $query = $this->db->get();
         if($query->num_rows()==1) {$customer = $this->Customer->get_info($query->row()->client_id);}
	return $customer;
	}

/* ------------------------------------------ other ----------------------------- */
	public function get_document_title($mode)
	{
		$receipt_title = $this->lang->line('sales_receipt');
		switch ($mode) 
			{
				case 'sale':	 		$receipt_title = $this->lang->line('sales_receipt_sale');			break;
				case 'sale_return':	$receipt_title = $this->lang->line('sales_receipt_return_sale');	break; 
				case 'consi':	 		$receipt_title = $this->lang->line('sales_receipt_consi');			break;
				case 'consi_sale':	$receipt_title = $this->lang->line('sales_receipt_consi_sale');	break;
				case 'consi_return':	$receipt_title = $this->lang->line('sales_receipt_return_consi');	break;
				case 'online_sale':	$receipt_title = $this->lang->line('sales_online_sale');				break;
				case 'online_return':$receipt_title = $this->lang->line('sales_online_return');			break;
				case 'invoice': 		$receipt_title = $this->lang->line('sales_receipt_invoice');		break;
				case 'invoice_ki':	$receipt_title = $this->lang->line('sales_receipt_invoice_ki');	break;
				case 'invoice_di':	$receipt_title = $this->lang->line('sales_receipt_invoice_di');	break;
				case 'invoice_pr':	$receipt_title = $this->lang->line('sales_receipt_invoice_pr');	break;
				default: 				$receipt_title = $this->lang->line('sales_receipt');
			}
	return $receipt_title;
	}

	public function get_document($mode)
	{
		$doc_number = 'doc-1';
			switch ($mode) 
				{
				case 'sale':	 		$doc_number = date('ym').'600000';  break;
				case 'sale_return':	$doc_number = date('ym').'400000';  break; 
				case 'consi':	 		$doc_number = date('ym').'700000';  break;
				case 'consi_sale':	$doc_number = date('ym').'800000';  break; 
				case 'consi_return':	$doc_number = date('ym').'500000';  break;
				case 'online_sale':	$doc_number = date('ym').'600000';  break;
				case 'online_return':$doc_number = date('ym').'400000';  break;
				case 'invoice': 		$doc_number = '0';  break;
				case 'invoice_ki': 	$doc_number = '0';  break;
				case 'invoice_di': 	$doc_number = '0';  break;
				case 'invoice_pr': 	$doc_number = '0';  break;
				default: 				$doc_number = 'doc-1';
				}
	return $doc_number;
	}


	function get_db_sales_payments_location($mode)
	{
		$location = $this->Employee->get_logged_in_employee_info()->location;
		$vedom = $this->BiSOFT_Model->get_vedom();
		$db_sales_payments = $vedom . 'sales';
	return $db_sales_payments;
	}


	function get_db_sales_temp_location($mode)
	{
		$vedom = $this->config->item('vedom_pack');
		$db_sales_temp = $vedom . '_sales';
		return $db_sales_temp;
	}

	
/* =========================================== SUGGESTIONS ================================ */
	/*	Get search suggestions to find items */
	function get_search_suggestions($search,$limit)
	{
		$skl = $this->Employee->get_client_location();
		$suggestions = array();
		
		$this->db->from('shops');
		$this->db->where('skl',$skl);		
		$this->db->like('inum', $search);
		$this->db->order_by("inum", "asc");
		$by_item_number = $this->db->get();
		foreach($by_item_number->result() as $row)
			{ $suggestions[]=$row->inum;}

		//only returns $limit suggestions
		if(count($suggestions > $limit))
			{ $suggestions = array_slice($suggestions, 0, $limit);}
			
	return $suggestions;
	}


	/* Preform a search on items */
	function search($search)
	{
		$skl = $this->Employee->get_client_location();
		if($search=='') {return false;} // if($search=='' and $skl==0)
		$this->db->from('shops');
		$this->db->where('skl',$skl);
		$this->db->where("(inum LIKE '%".$this->db->escape_like_str($search)."%')");
		$this->db->order_by("inum", "asc");
		$query = $this->db->get();
		if($query->num_rows()>0)
			{ return $query; }
      else 
         { return 0;}
	}

	
	
	
// ======================================== SPECIAL FUNCTIONS for Locator =============================

	function get_db_sales_location()
	{ return 'S'.date('Y');}

	
	function get_db_sales_items_location()
	{ $db_sales = $this->get_db_sales_location(); return $db_sales . '_shops';}

}
?>
