<?php
class Tdo extends CI_Model 
{

	function exists($doc_id, $vedomPack)
	{  
		$this->db->from($vedomPack);
		$this->db->where('doc_id',$doc_id);
		$query = $this->db->get();
	return ($query->num_rows()==1);
	}


	public function get_info($doc_id, $vedomPack, $mode)
	{  
		$this->db->from($vedomPack);
		$this->db->where('doc_id',$doc_id);
	return $this->db->get();
	}

	
	function exists_item_PH($inum)
	{  
		$this->db->from('tdo_PH');
		$this->db->where('inum', $inum);
		$this->db->where('del', 0);
		$query = $this->db->get();
	return ($query->num_rows()==1);
	}
	
	function get_all_item_PH($coll,$cat)
	{  
		$this->db->from('tdo_PH');
		if($coll>99) { $this->db->where('collection', $coll); }
		if($cat>99) { $this->db->where('category', $cat); }
		$this->db->where('del', 0);
		$this->db->order_by('inum', "asc");
		$query = $this->db->get();
	if($query->num_rows()>0 and ($coll>99 or $cat>99) )
		{ return $query->result_array();}
	else
		{ return 0;}
	}	
	
	function get_item_PH($inum)
	{  
		$this->db->from('tdo_PH');
		$this->db->where('inum', $inum);
		$this->db->where('del', 0);
		$query = $this->db->get();
	if($query->num_rows()==1)
		{ return $query->row();}
	else
		{ return 0;}
	}
	
	function save_item_PH($tdo_data, $inum)
	{
		if (!$this->exists_item_PH($inum) or !$inum) // нов запис
			{
				$this->db->trans_start();
					$success = $this->db->insert('tdo_PH', $tdo_data );
				$this->db->trans_complete();
			}
		else  // само актуализира
			{
				$this->db->trans_start();
					$this->db->where('inum', $inum);
					$success = $this->db->update('tdo_PH', $tdo_data );
				$this->db->trans_complete();
			}
	return $success;
	}	
	
	function update_PH($inum,$data)
	{  
		$this->db->where('inum', $inum);
		return $this->db->update('tdo_PH',$data);
	}
	
	
	function get_item_PH_others($inum)
	{  
		$this->db->from('tdo_PH');
		$this->db->where('inum', $inum);
		$this->db->where('del', 0);
		$query = $this->db->get();
	if($query->num_rows()==1)
		{ return $query->row()->data_PH;}
	else
		{ return 0;}
	}
	
	function get_all_PH_mats()
	{  
		$this->db->from('tdo_PH_mats');
		$this->db->where('del', 0);
		$this->db->order_by('mat', "asc");
		$query = $this->db->get();
	if($query->num_rows()>0)
		{ return $query->result_array();}
	else
		{ return 0;}
	}	
	
	function get_PH_mats($mat)
	{  
		$this->db->from('tdo_PH_mats');
		$this->db->where('mat', $mat);
		$this->db->where('del', 0);
		$query = $this->db->get();
	if($query->num_rows()==1)
		{ return $query->row();}
	else
		{ return 0;}
	}
	
	function get_kCat($cat_id=0)
	{  
		if($cat_id>99 and $cat_id<9999)
		{
			$this->db->from('category');
			$this->db->where('cat_id', $cat_id);
			$this->db->where('deleted', 0);
			$query = $this->db->get();
			if($query->num_rows()==1)
				{ return $query->row()->kCat;}
			else
				{ return 0;}
		}
		else { return 0; }
	}
	
	function save_kCat($cat_id=0,$kCat=0)
	{
		if($cat_id>99 and $cat_id<9999 and $kCat>0)
		{
			$this->db->where('cat_id', $cat_id);
			return $this->db->update('category', array('cat_id'=>$cat_id,'kCat'=>round($kCat,5) ));
		}
		else { return 0; }
	}
	
	
/* =================+====== Калкулира ЦЕНО-ОБРАЗУВАНЕТО ==================  */
	function calc_costprice($inum)
	{	
		if($inum>9999 and $inum<99000)
		{
			$item_name = $this->Item->get_name($inum);
			$tdo_info  = $this->get_item_PH($inum);
				$matTotal = $tdo_info->total;
				$dostPrice = $tdo_info->dostPrice;
				$subcPrice = $tdo_info->subcPrice;
				$kSell = $tdo_info->kSell;
				$kVAT  = $tdo_info->kVAT;

			// общи константи
			$kFactory = $this->Appconfig->get('kFactory');
			$cat_id = $tdo_info->category;	// вземам коеф. на категорията :)
			$kCat = $this->get_kCat($cat_id);
		
			// цени от склада ...
			$iprice = $iprice_2 = $iprice_3 = 0;
			$skl_info = $this->Item->get_sklad_info($inum,$skl=0);
			if($skl_info)
			{
				$iprice = $skl_info->price;
				$iprice_2 = $skl_info->price_2;
				$iprice_3 = $skl_info->price_3;
			}			
			
			$type = $tdo_info->type;
			$types = array(
					'0' => 'СОБСТВЕНО ПРОИЗВОДСТВО',
					'1' => 'Ишлеме Собств.Пр-во',
					'2' => 'Ишлеме Подизпълнител',
					'9' => 'Доставка на Гот.Продукт');
			
			$kRJ = $this->Appconfig->get('kRJ');
			$knRJ = $this->Appconfig->get('knRJ');
			
			if($cat_id=='960') // само МАСКИ
			{ $kRJ = $this->Appconfig->get('kmRJ'); }

			/* -----  смятам вече  ------ */
			$techPrice = 0;
			$tech_info = $this->Techno->get_techno($inum,1);
			if($tech_info) { $techPrice = round($tech_info->all_SUMA,5);}
			if($type==9) { $techPrice = 0;}
            if($cat_id=='960') // само МАСКИ
            { $techPrice = 0.00613;}

			// сумарни Режийни Добавки
			$all_kRJ  = round($kCat*$kRJ,6);
			$all_knRJ = round($kCat*$knRJ,6);
			$all_kRJ_knRJ = round($kCat*($kRJ+$knRJ),6);
			$dost_kRJ = round($kCat*$knRJ,6);

         if($type==1) 
         { $knRJ=0; }
			elseif($type==2 or $type==9) 
			{ $kRJ=0; }

			// ФЗЦ / Стойност / Търг.Цена (type=0)
			$facPrice  = round( (100 + $kFactory) * ($matTotal + $techPrice + $all_kRJ_knRJ) / 100 , 5);
			$vatPrice  = round( (100 + $kSell) * $facPrice / 100 , 5);
			$salePrice = round( (100 + $kVAT) * $vatPrice / 100 , 5);
            $price_20  = round( 135 * $facPrice / 100, 5); // Силвия каза така 26.05.2022 = 20% - 40%
            $price_40  = round( 158 * $facPrice / 100, 5);
			
			if($cat_id=='960') // маски
			{ 
				$facPrice = round( (100 + $kFactory) * ($matTotal + $techPrice + $all_kRJ) / 100 , 5);
				$vatPrice = round( (100 + $kSell) * $facPrice / 100 , 5);
				$salePrice = round( (100 + $kVAT) * $vatPrice / 100 , 5);
               $price_20 = round( 105 * $facPrice / 100, 5);
               $price_40 = round( 110 * $facPrice / 100, 5);
				$knRJ = 0;
				$all_kRJ_knRJ = round($kCat*$kRJ, 6);
			}

			// прогнозни цени 2-те Ишлемета (type=1;type=2)
			$facPrice1 = round( (100 + $kFactory) * ($matTotal + $techPrice + $all_kRJ) / 100 , 5);
			$vatPrice1 = round( (100 + $kSell) * $facPrice1 / 100 , 5);
			$salePrice1 = round( (100 + $kVAT) * $vatPrice1 / 100, 5);
			
			$facPrice2 = round( (100 + $kFactory) * ($matTotal + $subcPrice + $dostPrice + $all_knRJ) / 100 , 5);
			$vatPrice2 = round( (100 + $kSell) * $facPrice2 / 100 , 5);			
			$salePrice2 = round( (100 + $kVAT) * $vatPrice2 / 100, 5);

			// прогнозни цени Доставка ГП (type=9)
			$dostFacPrice = round( (100 + $kFactory) * ($matTotal + $dostPrice + $all_knRJ) / 100 , 5);
			$dvatPrice  = round( (100 + $kSell) * $dostFacPrice / 100, 5);
			$dSalePrice = round( (100 + $kVAT) * $dvatPrice / 100, 5);
            $dPrice_20  = round( 135 * $dostFacPrice / 100, 5);
            $dPrice_40  = round( 158 * $dostFacPrice / 100, 5);
			
			if($cat_id!='960') // ако не са маски = точност до .00
				{
					$dostPrice  = to_dot($dostPrice);  $dostFacPrice = to_dot($dostFacPrice);
					$facPrice   = to_dot($facPrice);   $facPrice1 = to_dot($facPrice1); $facPrice2 = to_dot($facPrice2);
					$vatPrice   = to_dot($vatPrice);   $vatPrice1 = to_dot($vatPrice1); $vatPrice2 = to_dot($vatPrice2);
					$salePrice  = to_dot($salePrice);  $salePrice1 = to_dot($salePrice1); $salePrice2 = to_dot($salePrice2);
					$dSalePrice = to_dot($dSalePrice); $dPrice_20 = to_dot($dPrice_20); $dPrice_40 = to_dot($dPrice_40); 
					$dvatPrice = to_dot($dvatPrice);   $price_20  = to_dot($price_20);  $price_40  = to_dot($price_40); 
				}

			$data = array(
				'inum' => $inum,
				'name' => $item_name,
				'type' => $type,
			  'types' => $types,
			 'cat_id' => $cat_id,
		
		  'matTotal' => $matTotal,
		 'techPrice' => $techPrice,
		 'subcPrice' => $subcPrice,
		 'dostPrice' => $dostPrice,
		 
		  'facPrice' => $facPrice,
		 'facPrice1' => $facPrice1,
		 'facPrice2' => $facPrice2,
    'dostFacPrice' => $dostFacPrice,
    
		  'vatPrice' => $vatPrice,
       'vatPrice1' => $vatPrice1,
		 'vatPrice2' => $vatPrice2,
       'dvatPrice' => $dvatPrice,
	 
		 'salePrice' => $salePrice,
		'salePrice1' => $salePrice1,
		'salePrice2' => $salePrice2,
	   'dSalePrice' => $dSalePrice,
	   
		  'price_20' => $price_20,
		 'dPrice_20' => $dPrice_20,
		  'price_40' => $price_40,
		 'dPrice_40' => $dPrice_40,
		 
			 'iprice' => to_dot($iprice),
		  'iprice_2' => to_dot($iprice_2),
		  'iprice_3' => to_dot($iprice_3),
		
				 'kRJ' => $kRJ,
				'knRJ' => $knRJ,
			'all_kRJ' => $all_kRJ,
        'all_knRJ' => $all_knRJ,
	 'all_kRJ_knRJ' => $all_kRJ_knRJ,
			
		  'dost_kRJ' => $dost_kRJ,
				'kCat' => $kCat,
		  'kFactory' => round($kFactory,0),
			  'kSell' => round($kSell,0),
			   'kVAT' => round($kVAT,0) 
                  );
		
			return $data;
		}
		return false;
	}
	
/* ============================= DBMANU datebase ==========================  */
	function tdo_id_exists($tdo_id)
	{	
		$this->db->from('tdo_DB');
		$this->db->where('tdo_id',$tdo_id);
		$query = $this->db->get();
	return ($query->num_rows()==1);
	}
	
	function tdodb_item_exists($inum)
	{	
		$this->db->from('tdo_DB');
		$this->db->where('inum',$inum);
		$query = $this->db->get();
	return ($query->num_rows()>0);
	}
	
	function get_tdo_id($tdo_id)
	{  
		$this->db->from('tdo_DB');
		$this->db->where('tdo_id',$tdo_id);
		$query = $this->db->get();

	if($query->num_rows()==1)
			{ return $query;}
	else 	{ return false; }
	}
	
	function get_manu_id_by_inum($inum)
	{  
		$this->db->from('tdo_DB');
		$this->db->where('inum',$inum);
		$this->db->where('del',0);
		$query = $this->db->get();

	if($query->num_rows()==1)
			{ return $query->row()->manu_id;}
	else 	{ return false; }
	}

	
	function save_tdo_id($tdo_id, $tdo_data)
	{
		if (!$this->manu_id_exists($tdo_id) or !$tdo_id) // нов запис
			{
				$this->db->trans_start();
					$success = $this->db->insert('tdo_DB', $tdo_data );
				$this->db->trans_complete();
			}
		else  // само актуализира
			{
				$this->db->trans_start();
					$this->db->where('tdo_id', $tdo_id);
					$success = $this->db->update('tdo_DB', $tdo_data );
				$this->db->trans_complete();
			}
	return $success;
	}
	
	
	function update_tdo_id($tdo_id, $tdo_data)
	{
		if (!$this->tdo_id_exists($tdo_id)) // нов запис
			{ return false; }
		else  // само актуализира
			{
				$this->db->trans_start();
					$this->db->where('tdo_id', $tdo_id);
					$success = $this->db->update('tdo_db', $tdo_data );
				$this->db->trans_complete();
			}
	return $success;
	}


} ?>
