<?php // === РЕДАКЦИЯ НА ДОСТАВКИ === //
		$data = array();
		$data['vedomPack'] = $vedomPack;
		$data['print_type'] = 'prices';

		$data['doc_info'] = $this->Recv->get_info($doc_id,$vedomPack)->row_array();

		if ( $mode=='consi' or $mode=='consi_return' )
			{
				// вземам си всички КОНСИГНАТОРИ
				$data['suppliers'] = array();
				foreach ($this->Consignee->get_all()->result() as $consignee)
				{ $data['suppliers'][$consignee->bisoft_id] = character_limiter($consignee->company_name,40);}
			}
		elseif ( $mode=='offer' or $mode=='proforma' )
			{
				// вземам си всички КЛИЕНТИ
				$data['suppliers'] = array('' => $this->lang->line('reports_edit_noclient'));
				foreach ($this->Customer->get_all()->result() as $customer)
				{ $data['suppliers'][$customer->bisoft_id] = character_limiter($customer->company_name,40);}
			}
		elseif ( $mode=='recv' or $mode=='recv_return' )
			{
				// вземам си всички ДОСТАВЧИЦИ
				$data['suppliers'] = array('' => $this->lang->line('reports_edit_nosupplier'));
				foreach ($this->Supplier->get_all()->result() as $supplier)
				{ $data['suppliers'][$supplier->bisoft_id] = character_limiter($supplier->company_name,40);}
			}

		// вземам си всички ОПЕРАТОРИ
		$data['employees'] = array();
		foreach ($this->Employee->get_all()->result() as $employee)
		{ $data['employees'][$employee->person_id] = $employee->first_name .' '. $employee->last_name;}

		$data['mode'] = $data['doc_info']['mode'];
		$data['location'] = $data['doc_info']['location'];
		$data['type_docs'] = array(
			'manu' 			=> $this->lang->line('recvs_manufacturing'),
			'recv'		  	=> $this->lang->line('recvs_receiving'),
			'recv_return' 	=> $this->lang->line('recvs_return'),
			'consi'		  	=> $this->lang->line('recvs_consignation'),
			'consi_return'	=> $this->lang->line('recvs_return_consi'),
			'protocol'		=> $this->lang->line('recvs_protocol'),
			'stock'	  		=> $this->lang->line('recvs_stock'),
			'offer'	  		=> $this->lang->line('recvs_offer'),
			'shop_recv'		=> $this->lang->line('recvs_shop_recv'),
			'shop_sgp' 		=> $this->lang->line('recvs_shop_return_sgp'),
			'balance'	  	=> $this->lang->line('recvs_balance'),
			'brak'		  	=> $this->lang->line('recvs_brak'),
			'revision'	  	=> $this->lang->line('recvs_revision') );
			
		$data['title']='Р Е Д А К Ц И Я';
		$data['controller_name']=strtolower(get_class());

	$this->load->view('kaca/edit_recv', $data);
?>
