<?php // ===  ПРИХОД  === //
		$data = $data['clients'] = array();
		$data['location'] = 0;
		$kaca_delo_key = 0;
		$client_id = $consignee_id = $supplier_id = 0;
		$data['customer_id'] = $data['consignee_id'] = $data['supplier_id'] = 0;
		$user_id  = $this->BiSOFT_Model->get_person();
		$data['vedomPack'] = $vedomPack;

		// Взимам си от таблицата ...
		$cust_info = $this->Customer->get_info($this->kaca_lib->get_customer());
		if($cust_info) { $customer_id = $cust_info->bisoft_id;}

		$consi_info = $this->Consignee->get_info($this->kaca_lib->get_consignee());
		if($consi_info) { $consignee_id = $consi_info->bisoft_id;}

		$suppl_info = $this->Supplier->get_info($this->kaca_lib->get_supplier());
		if($suppl_info) { $supplier_id = $suppl_info->bisoft_id;}

		if($customer_id>0 or $consignee_id>0 or $supplier_id>0)  // ако е ДЕЛО: Клиент / Магазин / Доставчик
		{
			$kaca_delo_key = 1;
			if($consignee_id>0) // вземам си всички Магазини
			{
				$data['client_id'] = $data['consignee_id'] = $consignee_id;
				$data['clients'] = array('0' => $this->lang->line('reports_edit_noconsi'));
				foreach ($this->Consignee->get_all()->result() as $consignee)
					{ $data['clients'][$consignee->bisoft_id] = character_limiter($consignee->company_name,40);}
			}
			elseif($supplier_id>0) // вземам си всички ДОСТАВЧИЦИ
			{
				$data['client_id'] = $data['supplier_id'] = $supplier_id;
				$data['clients'] = array('0' => $this->lang->line('reports_edit_nosupplier'));
				foreach ($this->Supplier->get_all()->result() as $supplier)
					{ $data['clients'][$supplier->bisoft_id] = character_limiter($supplier->company_name,40);}
			}
			elseif($customer_id>0) // вземам си всички КЛИЕНТИ
			{
				$data['client_id'] = $data['customer_id'] = $customer_id;
				$data['clients'] = array('0' => $this->lang->line('reports_edit_noclient'));
				foreach ($this->Customer->get_all()->result() as $customer)
					{ $data['clients'][$customer->bisoft_id] = character_limiter($customer->company_name,40);}
			}
		}
		else // НЯМА ИЗБРАН НИКОЙ ?!
		{
			$data['client_id'] = 0;
			$data['clients'] = array('0' => $this->lang->line('reports_edit_noclient'));
			foreach ($this->Customer->get_all()->result() as $customer)
				{ $data['clients'][$customer->bisoft_id] = character_limiter($customer->company_name,40);}
		}

		// вземам си всички ОПЕРАТОРИ
		$data['employees'] = array();
		foreach ($this->Employee->get_all()->result() as $employee)
			{ $data['employees'][$employee->person_id] = $employee->first_name . ' '. $employee->last_name;}
		$data['employee'] = $user_id;

		$data['valuta'] = array(
			'1' => $this->lang->line('kaca_BGN'),
			'2' => 'EUR',
			'3' => 'GBP',
			'4' => 'USD',
			'5' => 'RON' );

		$data['doc_type']  = 'kaca_notpaid';
		$data['doc_types'] = array( 
				'kaca_not_paid' => $this->lang->line('kaca_notpaid'),
				'kaca_onhand'   => $this->lang->line('kaca_on_hand'),
				'kaca_invoice'  => $this->lang->line('kaca_on_invoice') );
			
		if($consignee_id>0) // вземам си всички Магазини
			{ $data['type_docs'] = $this->kaca_lib->get_prihod_range('consi');
			  $data['doc_types'] = array( 
				'kaca_onhand'  => $this->lang->line('kaca_on_hand') );
				
			  $data['pay_groups'] = array(
					'H'	=> $this->lang->line('kaca_notpaid'),
					'P' 	=> $this->lang->line('kaca_in_cash'),
					'T' 	=> $this->lang->line('kaca_by_bank') );
					
			  $data['taxed'] = array('0' => $this->lang->line('kaca_no') );

			}
		elseif($supplier_id>0) // вземам си всички Доставчици
			{
				$data['type_docs'] = $this->kaca_lib->get_prihod_range('suppl');
				$data['pay_groups'] = array(
					'P' 	=> $this->lang->line('kaca_in_cash'),
					'T' 	=> $this->lang->line('kaca_by_bank'),
					'PP'	=> $this->lang->line('kaca_paypal'),
					'NP'	=> $this->lang->line('kaca_nalojen') 
										);

			  $data['taxed'] = array(
					'1' 	=> $this->lang->line('kaca_yes'),
					'0'	=> $this->lang->line('kaca_no') );
			}
		else
			{  $data['type_docs'] = $this->kaca_lib->get_prihod_range(0);

				$data['pay_groups'] = array(
					'P' 	=> $this->lang->line('kaca_in_cash'),
					'T' 	=> $this->lang->line('kaca_by_bank'),
					'PP'	=> $this->lang->line('kaca_paypal'),
					'NP'	=> $this->lang->line('kaca_nalojen'),
					'H'	=> $this->lang->line('kaca_notpaid') );

				$data['taxed'] = array(
					'1' 	=> $this->lang->line('kaca_yes'),
					'0'	=> $this->lang->line('kaca_no') );
			}
			
		$data['title']=$this->lang->line('kaca_prihod');
		$data['controller_name']=strtolower(get_class());
		
		$this->load->view('kaca/prihod',$data);
?>
