<?php $location = $this->BiSOFT_Model->get_location();
		$this->load->model('reports/Daily_sales');
		$model = $this->Daily_sales;

		$daily_tab_data = array();
		$report_data = $model->getData(array('start_date' => $start_date, 'sale_type' => $sale_type));

		$all_qty = $all_total = $all_cost = $all_cash = $all_bank = 0;
		foreach($report_data as $row)
	   {
			$name = $this->Item->get_name($row['item_number']);
			$Qty  = explode(',',$row['item_name']);
			$doc_id = $row['doc_id'];
				$giftprocent = $model->getGiftprocent($doc_id,$start_date);
				$giftvalue	 = $model->getGiftvalue($doc_id,$start_date);
			
			$payment = $model->getPayment(array('start_date'=>$start_date, 'doc_id'=>$row['doc_id']));

			$mSuma = round($row['item_unit_price'] * (100 - $row['item_discount']) / 100, 4);
			if($giftprocent) {$mSuma=round($mSuma*(100-$giftprocent)/100,4);}

			$item_discount = '';
			if(intval($row['item_discount']) != 0) { $item_discount = $row['item_discount'].'%';}
			if($giftprocent>0) { $item_discount .= ' vip'.$giftprocent.'%';}
			if($giftvalue>0) { $item_discount .= ' v-'.round($giftvalue,0).'лв';}
			
			$vedom = 'V'.date('ym',strtotime($start_date));
			$pay_vid = $this->BiSOFT_Model->get_document_pay_group($vedom,$row['doc_id']);
			
			$all_qty += $row['item_qty'];		
			$all_total += $row['item_qty'] * $mSuma;
			$all_cost  += $row['item_qty'] * $row['costsale'];
			
			if($pay_vid=='P') {$all_cash += $row['item_qty'] * $row['costsale'];}
			elseif($pay_vid=='kC' or $pay_vid=='dC') {$all_bank += $row['item_qty'] * $row['costsale'];}
			elseif($pay_vid=='BP') {$all_cash -= abs($row['item_qty'] * $row['costsale']);}

			$daily_tab_data[] = array(
					'inum'=>'<b style="color:#005;">'.$row['item_number'].'</b>', 
					'name'=>$name,
					$Qty[1],$Qty[2],$Qty[3],$Qty[4],$Qty[5],
					$Qty[6],$Qty[7],$Qty[8],$Qty[9],$Qty[10],
					$row['item_qty'],
					to_currency_no_money($row['item_unit_price']),
					$item_discount,
					to_currency_no_money($mSuma),
					to_currency_no_money(round($mSuma * $row['item_qty'],4)),
					to_currency_no_money(round($row['costsale']*$row['item_qty'],4)),
					$pay_vid,
					$row['mode_id'],
					$row['location'] );
	   }

	   $totals_data =array('total_vat'=>0,'total_due'=>0);
	    
	   // summary
	   $summary_data = $model->getSummaryData(array('start_date'=>$start_date,'sale_type'=>$sale_type));
	   if(!$summary_data) {$summary_data='';}
	   elseif($summary_data and $sale_type=='shop_sale')
	   { $all_qty .= ' <b style="color:blue;">( '.$summary_data.' кл.)</b>';}
	   elseif($summary_data and $sale_type=='online_sale')
	   { $all_qty .= ' <b style="color:green;">( '.$summary_data.' пор.)</b>';}
	    
		$data = array(
			"title" => $this->lang->line('reports_daily_sales_report'),
			"subtitle" => date('d.m.Y', strtotime($start_date)),
			"headers" => $model->getDataColumns(),
			"mode" => $sale_type,
			"data" => $daily_tab_data,
			"summary_data" => $summary_data,
			"export_excel" => $export_excel,
			"excel_file" => 'M'.str_pad($location, 3, "0", STR_PAD_LEFT).'-'.date('ymd', strtotime($start_date)).'.xls',
			
			"total_qty"  => $all_qty,
			"total_sum"  => to_dot(round($all_total,1)),
			"total_cost" => to_dot(round($all_cost,1)),
			"total_cash" => to_dot(round($all_cash,1)),
			"total_bank" => to_dot(round($all_bank,1)),
			
			"total_vat"  => to_dot($totals_data['total_vat']),
			"total_due"  => to_dot($totals_data['total_due'])  );
			
		$data['controller_name']=strtolower(get_class());

	$this->load->view("reports/daily_table",$data);
	
?>
