<?php $this->load->model('reports/Detailed_documents');
		$model = $this->Detailed_documents;
		
	   $user_id  = $this->BiSOFT_Model->get_person();
	   $location = $this->BiSOFT_Model->get_location();

		$headers = $model->getDataColumns();
		$report_data = $model->getData(array('start_date'=>$start_date, 'end_date'=>$end_date, 'sale_type' => $sale_type));
		
		$summary_data = array();
		$details_data = array();

		foreach($report_data['summary'] as $key=>$row)
		{ 
			$docNumber = $row['doc_number'];

			$vedom = date('ym', strtotime($row['doc_date']));
			$vedomPack = 'V'. $vedom;
			
			$doc_idx = $row['doc_id'].$vedom;

			$location_doc = '';
			if ($row['location'] != 0) { $location_doc = $row['location'];}
			
			$pay_sale = to_currency_no_money($row['pay_sale']);
			if ($row['pay_sale'] == 0) { $pay_sale = '';}
			
			$due_sum = to_currency_no_money($row['due_sum']);
			if ($row['due_sum'] == 0) { $due_sum = '';}

			$total_discount = ''; $giftpro = 0;
			if (intval($row['total_discount']) != 0) { $total_discount = $row['total_discount'].'%';}

			// замяна в надписа на 'client'
			if ( $row['client_id']=='0') { $client_note = $this->lang->line('items_inventory_change');}
			else { $client_note = $this->lang->line('items_inventory_change_shop');}

			// определяме кой какво ще гледа и дали ще редактира ?!
			if ( $user_id == 1 )
				{ $receipt_link = anchor(
						'Recvs/edit/'.$row['doc_id'].'/'.$vedomPack.'/'.$print_type.'/'.$sale_type.'/width:680/height:420',
						$docNumber, array('class'=>'thickbox none','title'=>'Документ: '.$docNumber,'target'=>'_blank') );
				}
			elseif ( $user_id < 6 or ( $user_id == $row['employee_id'] and $location == 0 ) )
				{ $receipt_link = anchor(
						'Recvs/edit/'.$row['doc_id'].'/'.$vedomPack.'/'.$print_type.'/'.$sale_type.'/width:680/height:420',
						$docNumber, array('class'=>'thickbox none','title'=>'Документ: '.$docNumber,'target'=>'_blank') );
				}
			else
				{ $receipt_link = anchor('Home/blanka_recvs_print/'.$docNumber.'/'.$vedomPack.'/'.$print_type,$docNumber );}
				
			$employee_name	=	$this->Employee->get_id_names($row['employee_id']);
			
		   $summary_data[] = array(
						$receipt_link, // 1 
							date('d.m.Y', strtotime($row['doc_date'])),  // 2
			"<span id='qty_$doc_idx'>".$row['total_qty']."<span>",  // 3
			"<span id='sum_$doc_idx'>".to_dot($row['total_sum'])."<span>",  // 4
							$total_discount,  // 5
			"<span id='all_$doc_idx'>".to_dot($row['pay_amount'])."<span>",  // 6
							$client_note, // 7
							$employee_name,  // 8
							$row['mode_id'],  // 9
							$location_doc	);
	
			foreach($report_data['details'][$key] as $drow)
			{
				$inum = $drow['item_number'];
				$Qty  = explode(',',$drow['item_name']);

				if( !isset($Qty[1]) or !isset($Qty[2]) or !isset($Qty[3]) ) 
				{ $Qty[1]=$Qty[2]=$Qty[3]=$Qty[4]=$Qty[5]=$Qty[6]=$Qty[7]=$Qty[8]=$Qty[9]=$Qty[10]='';}
				
				
				
				$costsale = to_dot($drow['costsale']);
				if ($drow['costsale'] == 0) { $costsale = '';}

			   $details_data[$key][] = array(
				  'controller' => 'Recvs',
					  'mode_id' => $row['mode_id'],
					  	'vedom'  => $vedom,
					  'doc_num' => $row['doc_number'],
					  'doc_id'  => $row['doc_id'],
						'line' 	=> $drow['line'],
						'inum' 	=> $inum,
						'qty' 	=> $drow['item_qty'], 
						'price' 	=> $drow['item_unit_price'],
						'tax'		=> $drow['item_taxes'],
					  'giftpro' => $giftpro,
					 'costsale' => $costsale,
						'dsc' 	=> $drow['item_discount'],
						'q1'=>$Qty[1],'q2'=>$Qty[2],'q3'=>$Qty[3],'q4'=>$Qty[4],'q5'=>$Qty[5],
						'q6'=>$Qty[6],'q7'=>$Qty[7],'q8'=>$Qty[8],'q9'=>$Qty[9],'q10'=>$Qty[10]	);	
			}
		}

		$printon = $this->lang->line('reports_print_sizes');
			if($print_type=='prices') { $printon = $this->lang->line('reports_print_prices');}
			elseif ($print_type=='sizes') {$printon = $this->lang->line('reports_print_sizes');}
			elseif ($print_type=='sizes_prices') {$printon = $this->lang->line('reports_print_sizes_prices');}
			elseif ($print_type=='offers') {$printon = $this->lang->line('reports_print_offers');}
			
		$totals_data = $model->getSummaryData(array(
								'start_date'	=> $start_date, 
								'end_date'		=> $end_date,
								'sale_type' 	=> $sale_type) 	);
								
		$data = array(
			"title" =>$this->lang->line('reports_detailed_documents_report'),
			"subtitle" => $this->lang->line('reports_date_period').': '.date('d.m.Y', strtotime($start_date)) . ' - ' . date('d.m.Y', strtotime($end_date)).'; '.$printon,
			"headers" => $model->getDataColumns(),

			"summary_data" => $summary_data,
			"details_data" => $details_data,
			
			"total_qty"  => $totals_data['total_qty'],
			"total_vat"  => to_dot($totals_data['total_vat']),
			"total_sum"  => to_dot($totals_data['total_sum']),
			"total_cost" => to_dot($totals_data['total_cost']),
			"total_due"  => to_dot($totals_data['total_due']),
			
			"export_excel" => $export_excel,
			"location" 		=> $location,
			"controller"	=> "Recvs" );

	$this->load->view("reports/tabular_details", $data);
?>
