<?php $this->load->model('reports/Silvia_invoices');
		$model = $this->Silvia_invoices;

	   $location = $this->Employee->get_logged_in_employee_info()->location;
		$vedomPack = 'V'. date('ym', strtotime($end_date));
		$headers = $model->getDataColumns();
		$silvia_data = array();

		$vedKey = 0;
		$startM = date('ym', strtotime($start_date));
		$endM = date('ym', strtotime($end_date));
		if($startM!=$endM) { $vedKey = 1; } // избрани са месеци


	$item=1;$total_qty = $total_sum = 0;
	do
	{  
      if(!$vedKey)
      {
         $report_data = $model->getData(array('item'=>$item,
                                              'start_date'=>$start_date, 
                                              'end_date'=>$end_date, 
                                              'firma'=>$firma,
                                              'sale_type' => $sale_type));
      }
      else // по месеци ...
      {
         $report_data = array();
         for ($ved = (int)$startM; $ved <= (int)$endM; $ved++)
         {
            $vedom = "V".$ved."_items";
            $mdata = $model->getMonthsData(array('item'=>$item,
                                                 'vedom'=>$vedom,
                                                 'firma'=>$firma,
                                                 'sale_type' => $sale_type));
													
            if($mdata) { foreach($mdata as $doc) { $report_data[]=$doc; } }
         }
      }
      
      $qty = $suma = 0;
      foreach($report_data as $row)
      {
            $docNumber = str_pad($row['doc_number'], 10, "0", STR_PAD_LEFT);
            // Клиент има ли го в Базата ?!
            $client_id = $row['client_id'];$client_info=null;
            if($this->Customer->bisoft_id_exists($client_id))
            { $client_info = $this->Customer->get_info_by_bisoft_id($client_id);}

				if($client_id and $client_info and $client_id<1000000)
               { $client = $client_info->company_name;}
				else
               { $client='<b style="color:red;"><< ЛИПСВА ИМЕ НА ФИРМА >></b>';}

				$silvia_data[] = array(
						$docNumber,
						date('d.m.Y', strtotime($row['doc_date'])),
						$row['mode_id'],
						$client,
						$row['item_number'],
						$row['item_name'],
						$row['item_qty'],
						to_currency_no_money($row['item_unit_price']),
						to_currency_no_money(round($row['item_qty']*$row['item_unit_price'],6))  );

			$qty += $row['item_qty'];
			$suma += $row['item_qty']*$row['item_unit_price'];
      }

      if (!$suma == 0) 
         { $silvia_data[] = array('','','','','',"ВСИЧКО (за код # ".$item."):",$qty,'',to_currency_no_money($suma) );}

		$total_qty += $qty;
		$total_sum += $suma;
		$item += 1;
   } while ($item < 100);  // for do=while end

		$data = array(  // пакетирани данните за таблицата с извадката ....
			"title" 		=> $this->lang->line('reports_sum_invoices_report'),
			"subtitle" 	=> date('d.m.Y', strtotime($start_date)).' - '.date('d.m.Y', strtotime($end_date)),
			"headers" 	=> $model->getDataColumns(),
			"vedomPack" => $vedomPack,
			"data" 		=> $silvia_data,
			"total_sum" => to_dot($total_sum),
			"total_qty" => $total_qty,

			"export_excel" => $export_excel,
			"location" 		=> $location  );

	$this->load->view("reports/silvia_invoices_view", $data);
?>
