<?php $this->load->model('reports/Specific_consignee');
		$model = $this->Specific_consignee;

	   $user_id  = $this->BiSOFT_Model->get_person();
	   $location = $this->BiSOFT_Model->get_location();
		$bisoft_id = $this->Consignee->get_info($consignee_id)->bisoft_id;

		if ( $sale_type == 'groups')
		{
		// -------------------------- ПО ГРУПИ ------------------------------- //
			$headers = $model->getGroupColumns();
			$all_qty = 0; $all_total = 0;
			$items_data = array();

		$item=1;
		do
		{
			$report_data = $model->getGroups(array('item'=>$item,'start_date'=>$start_date, 'end_date'=>$end_date, 'bisoft_id' =>$bisoft_id));
			$qty = $suma = 0;

			foreach($report_data as $row)
			{
				$inum = $row['item_number'];
				$name = $this->Item->get_name($inum);
				$Qty  = explode(',',$row['item_name']);
			
				$mSuma = round($row['item_unit_price'] * (100 - (float)$row['item_discount']) / 100, 4);
				$qty += $row['item_qty'];		
				$suma += $row['item_qty'] * $mSuma;

				$item_discount = '';
				if (intval($row['item_discount']) != 0) { $item_discount = $row['item_discount'].'%';}

				$items_data[] = array(
					$inum, 
					$name,
					$Qty[1],$Qty[2],$Qty[3],$Qty[4],$Qty[5],
					$Qty[6],$Qty[7],$Qty[8],$Qty[9],$Qty[10],
					$row['item_qty'],
					to_currency_no_money($row['item_unit_price']),
					$item_discount,
					to_currency_no_money($mSuma * $row['item_qty'])	 );
			}

				$all_qty += $qty;
				$all_total += $suma;

				if ($suma != 0 and $qty != 0) 
					{
						$aver_price = round($suma/$qty,3);
						$items_data[] = array('=/=','','','','','','','','','','',"(#_".$item."):",$qty,$aver_price,'',to_currency_no_money($suma) );
					}

			$item += 1;
			} while ($item < 100);  // for do=while end

			$consignee_info = $this->Consignee->get_info($consignee_id);

			$data = array(
				"title" => $consignee_info->company_name.'<br>'.$this->lang->line('reports_item_groups'),
				"subtitle" => date('d.m.Y', strtotime($start_date)) .' - '.date('d.m.Y', strtotime($end_date)),
				"headers" => $headers,
				"data" => $items_data,
				"export_excel" => $export_excel,
				"excel_file" => 'M'.str_pad($location, 3, "0", STR_PAD_LEFT).'-'.date('ymd', strtotime($start_date)).'.xls',
				"all_qty" => $all_qty,
				"all_total" => $all_total
			);
		$this->load->view("reports/items_table",$data);
		}
		elseif ($sale_type == 'daily_sale')
		{
		// -------------------------- ПО ДНИ ------------------------------- //
			$headers = $model->getDailyColumns();
			$report_data = $model->getDaily(array('start_date'=>$start_date, 'end_date'=>$end_date, 'bisoft_id' =>$bisoft_id, 'sale_type' => $sale_type));

			$summary_data = array();
			$details_data = array();
			$all_qty = 0; $all_total = 0;

			foreach($report_data['summary'] as $key=>$row)
			{
			$docNumber = $row['doc_number'];

			$vedomPack = 'V'. date('ym', strtotime($row['doc_date']));

			$pay_type = $row['pay_type'];
			if ($row['pay_type'] == '0') { $pay_type = '';}
			
			$pay_sale = to_currency_no_money($row['total_cost']);
			if ($row['total_cost'] == 0) { $pay_sale = '';}
			
			$due_sum = to_currency_no_money($row['total_due']);
			if ($row['total_due'] == 0) { $due_sum = '';}
			
			$total_discount = '';
			if (intval($row['total_discount']) != 0) { $total_discount = $row['total_discount'].'%';}

			$total_taxes = '';
			if (intval($row['total_taxes']) != 0) { $total_taxes = $row['total_taxes'];}

			$pay_amount = '';
			if (intval($row['total_sum']) != 0) { $pay_amount = $row['total_sum'];}

			$location_doc = '';
			if ($row['location'] != 0) { $location_doc = $row['location'];}

			if($row['comment'] == 0) {$row['comment'] = '';}  // махам 0-та от commenta ....

		   $daily_tab_data[] = array(
							date('d.m.Y', strtotime($row['doc_date'])),  // 1
							$row['total_qty'],  // 2
							to_dot($row['total_sub']),  // 3
							$total_discount,  // 4
							$pay_amount,  // 5
							$pay_sale, // 6
							$due_sum,  // 7
							$row['employee'],  // 8
							$location_doc,  // 9
							$row['comment']); // 10

		$all_qty += $row['total_qty']; 
		$all_total += $pay_amount;
		}

		$consignee_info = $this->Consignee->get_info($consignee_id);
		
		$totals_data = $model->getSummaryData(array(
								'start_date'=> $start_date, 
								'end_date'	=> $end_date,
								'bisoft_id' => $bisoft_id, 
								'sale_type' => $sale_type)	 );
		$data = array(
			"title" => $consignee_info->company_name.' '.$this->lang->line('reports_report'),
			"subtitle" => date('d.m.Y', strtotime($start_date)) .' - '.date('d.m.Y', strtotime($end_date)),
			"headers" => $headers,
			"data" => $daily_tab_data,
						
			"total_qty"  => $totals_data['total_qty'],
			"total_vat"  => to_dot($totals_data['total_vat']),
			"total_sum"  => to_dot($totals_data['total_sum']),
			"total_cost" => to_dot($totals_data['total_cost']),
			"total_due"  => to_dot($totals_data['total_due']),	

			"all_qty" 	 => $all_qty,
			"all_total"  => $all_total,
			
			"export_excel" => $export_excel,
			"location" 		=> $location
		);

		$this->load->view("reports/daily_table",$data);
		}
		else
		{
		// ------------------  КОНСИГНАТОР - основни извадки -------------------- //
			$headers = $model->getDataColumns();
			$report_data = $model->getData(array('start_date'=>$start_date, 'end_date'=>$end_date, 'bisoft_id' =>$bisoft_id, 'sale_type' => $sale_type));

			$print_type = 'prices';
			$summary_data = array();
			$details_data = array();
			$excel_data = array();
			$not_real = $giftvalues = 0;
		
			foreach($report_data['summary'] as $key=>$row)
			{
				$docNumber = $row['doc_number'];
				$vedom = date('ym', strtotime($row['doc_date']));
				$vedomPack = 'V'. $vedom;
					
				$doc_idx = $row['doc_id'].$vedom;

				$pay_type = $row['pay_type'];
				if ($row['pay_type'] == '0') { $pay_type = '';}
					
				$pay_sale = to_currency_no_money($row['pay_sale']);
				if ($row['pay_sale'] == 0) { $pay_sale = '';}

				// НЕРЕАЛЕН ОБОРОТ НА СИЛВИЯ
				$due_sum = $row['total_sum'];
				if($row['giftprocent']!=0) {$due_sum=100*$row['total_sum']/(100-$row['giftprocent']);}
				if ($due_sum == 0) { $due_sum = '';}
				

					$total_discount = ''; $giftprocent = 0;
					if(intval($row['total_discount']) != 0) { $total_discount = $row['total_discount'].'%';}
					if(intval($row['giftprocent']) != 0) { $total_discount = 'vip'.$row['giftprocent'].'%';$giftprocent=$row['giftprocent'];}
					if(intval($row['giftvalue']) != 0) { $giftvalues-=$row['giftvalue'];}
				
               $three4two = 0;
               if($row['order_id']=='three4two') {$three4two=1;$total_discount='three4two';}
				
					$total_taxes = '';
					if (intval($row['total_taxes']) != 0) { $total_taxes = $row['total_taxes'];}

					$pay_amount = '';
					if (intval($row['pay_amount']) != 0) { $pay_amount = $row['pay_amount'];}

					$location_doc = '';
					if ($row['location'] > 0) { $location_doc = '-'.$row['location'];}
					$obekt = $row['mode_id'].$location_doc;
					
					$time_made = ' ('.date('H:i', strtotime($row['date_start'])).')';
					$employee_time = $row['employee'].$time_made;
					
					if($row['comment'] == 0) {$row['comment'] = '';}  // махам 0-та от commenta ....

				// определяме кой какво ще гледа и дали ще редактира ?!
				if ( $user_id == 1 )
					{ $receipt_link = anchor(
						'Sales/edit/'.$row['doc_id'].'/'.$vedomPack.'/'.$print_type.'/'.$sale_type.'/width:680/height:500',
						$docNumber, array('class'=>'thickbox none','title'=>'Документ: '.$docNumber,'target'=>'_blank') );
					}
				elseif ( $user_id < 6  or ( $user_id == $row['employee_id'] and $location == 0 ) or $user_id==1523 
											  or $sale_type=='shop_sale' 
											  or $sale_type=='online_sale' )
					{ $receipt_link = anchor(
						'Sales/edit/'.$row['doc_id'].'/'.$vedomPack.'/'.$print_type.'/'.$sale_type.'/width:680/height:500',
						$docNumber, array('class'=>'thickbox none','title'=>'Документ: '.$docNumber ) );
					}
				else
					{ 								
						$receipt_link = anchor('Home/blanka_sales_print/'.$docNumber.'/'.$vedomPack.'/'.$print_type,$docNumber);
					}
				
				$show_notreal = to_dot($row['pay_amount']-$row['total_sum']);
				if($show_notreal==0) {$show_notreal = '';}
				
				$summary_data[] = array(
							$receipt_link, // 1  има още  array('target' => '_blank'),
								date('d.m.Y', strtotime($row['doc_date'])),  // 2			
				"<span id='qty_$doc_idx'>".$row['total_qty']."<span>",  // 3
				"<span id='sum_$doc_idx'>".to_dot($row['total_sum'])."<span>",  // 4
				"<span id='dsc_$doc_idx'>".$total_discount."<span>",  // 5
				"<span id='all_$doc_idx'>".to_dot($row['pay_amount'])."<span>",  // 6
				"<span id='cost_$doc_idx'>".$pay_sale."<span>",  			// 7
				"<span id='amount_$doc_idx'>".$pay_type."<span>",  // 8
								$show_notreal,  				// 9
				"<span id='client_$doc_idx'>".$row['client']."<span>",   // 10
								$employee_time,  // 11
								$obekt  );  // 12
				
					// обработвам всички артикули и смятам на Силвия нереализираните обороти ...
					foreach($report_data['details'][$key] as $drow)
					{
                  $inum = $drow['item_number'];$Qty=array();
                  if($this->Item->get_allow_sizes($inum))
                  { $Qty = explode(',',$drow['item_name']);}
                  else {$Qty[0]=$Qty[1]=$Qty[2]=$Qty[3]=$Qty[4]=$Qty[5]=$Qty[6]=$Qty[7]=$Qty[8]=$Qty[9]=$Qty[10]=0;}
						
						$costsale = to_dot($drow['costsale']);
						if ($drow['costsale'] == 0) { $costsale = '';}
					
						$details_data[$key][] = array(
					  'controller' => 'Sales',
						  'mode_id' => $row['mode_id'],
							'vedom'  => $vedom,
						  'doc_num' => $row['doc_number'],
						  'doc_id'  => $row['doc_id'],
							'line' 	=> $drow['line'],
							'inum' 	=> $inum,
							'qty' 	=> $drow['item_qty'], 
							'price' 	=> $drow['item_unit_price'],
							'tax'		=> $drow['item_taxes'],
					 'giftprocent' => $giftprocent,
						 'costsale' => $costsale,
							'dsc' 	=> $drow['item_discount'],
								'q1'=>$Qty[1],'q2'=>$Qty[2],'q3'=>$Qty[3],'q4'=>$Qty[4],'q5'=>$Qty[5],
								'q6'=>$Qty[6],'q7'=>$Qty[7],'q8'=>$Qty[8],'q9'=>$Qty[9],'q10'=>$Qty[10]	);
								
					$excel_data[] = array(
							'inum' 	=> $inum,
							'qty' 	=> $drow['item_qty'], 
							'price' 	=> $drow['item_unit_price'],
							'q1'=>$Qty[1],'q2'=>$Qty[2],'q3'=>$Qty[3],'q4'=>$Qty[4],'q5'=>$Qty[5],
							'q6'=>$Qty[6],'q7'=>$Qty[7],'q8'=>$Qty[8],'q9'=>$Qty[9],'q10'=>$Qty[10]	);
					}
		}

			$consignee_info = $this->Consignee->get_info($consignee_id);

			$totals_data = $model->getSummaryData(array(
									'start_date'=> $start_date, 
									'end_date'	=> $end_date,
									'bisoft_id' => $bisoft_id, 
									'sale_type' => $sale_type)	);
			
			$total_dsc = ($totals_data['total_pay'] + $totals_data['total_vat']) - $totals_data['total_sum'];		
				if($total_dsc>=0) {$total_dsc='-/-';}
				else {$total_dsc=to_dot($total_dsc);}
			
			$data = array(
				"title" => $consignee_info->company_name.' '.$this->lang->line('reports_report'),
				"subtitle" => date('d.m.Y', strtotime($start_date)) .' - '.date('d.m.Y', strtotime($end_date)),
				"headers" => $model->getDataColumns(),

				"summary_data" => $summary_data,
				"details_data" => $details_data,
				
				"total_sum"  => to_dot($totals_data['total_sum']),
				"total_dsc"  => to_dot($total_dsc),
				"total_pay"  => to_dot($totals_data['total_pay']),
				"total_qty"  => $totals_data['total_qty'],
				"total_cost" => to_dot($totals_data['total_cost']),

				"funny_sum"	 => to_dot($totals_data['total_sum']),

				"export_excel" => $export_excel,
				"excel_data" 	=> $excel_data,
				"shop" 			=> $bisoft_id,
				"location" 		=> $location,
				"controller"	=> "Sales" );

			if($export_excel)
				{ $this->load->view("reports/tabular_details_consi_Excel",$data); }
			else 
				{ $this->load->view("reports/tabular_details_consi",$data); }
		}
?>
