<?php $this->load->model('reports/Summary_employees');
		$model = $this->Summary_employees;
		$tabular_data = array();
		$report_data = $model->getData(array('start_date'=>$start_date, 'end_date'=>$end_date, 'sale_type' => $sale_type));
		$sum_data    = $model->getSummaryData(array('start_date'=>$start_date, 'end_date'=>$end_date, 'sale_type' => $sale_type));
		
		foreach($report_data as $row)
		{
         if($row['employee_id']>5)
         {
            $tabular_data[] = array(
                  'employee_id' => $row['employee_id'],
                  'employee'    => $row['employee'],
                  'qty'         => $row['total_qty'],
                  'sum'         => to_currency_no_money($row['total_sum']), 
                  'amount'      => to_currency_no_money($row['pay_amount']),
                  'location'    => $row['location'] );
         }
		}

		$data = array(
			"title" 	   => $this->lang->line('reports_employees_summary_report'),
			"subtitle"  => date('d.m.Y', strtotime($start_date)) .' - '.date('d.m.Y', strtotime($end_date)),
			"headers"   => $model->getDataColumns(),
			"data" 	   => $tabular_data,
			"total_qty" => $sum_data['total_qty'],
			"total_sum" => round($sum_data['total_sum'],2),
			"pay_amount"=> round($sum_data['pay_amount'],2),
			
			"export_excel" => $export_excel );

	$this->load->view("reports/tabular_employee",$data);
	
?>
