<?php // Установяваме датите за МИНАЛАТА ГОДИНА:
		$period_Year = (date('Y')-1);
		$start_date = $period_Year.'-01-01';
		$end_date 	= $period_Year.'-12-31';
	
		$ved_1 = date('ym', strtotime($start_date));
		$ved_2 = date('ym', strtotime($end_date));

		$this->load->model('reports/Summary_suppliers');
		$model = $this->Summary_suppliers;
		$user_id = $this->BiSOFT_Model->get_person();

		$all_Suppliers = $tabular_data = array();
		$all_start = $all_recvs = $all_uslugi = $all_paid = $all_due = $all_add_vat = $all_error = 0;
		$avance_start = $avance_due = 0;
		
		// Проверка на Нач.Салда
		$all_suppl_due = $this->Recv->get_all_suppliers_due($period_Year);
		if($all_suppl_due)
		{
			foreach($all_suppl_due as $suppl_due)
			{ $all_Suppliers[$suppl_due['supplier_id']]=array('recvs'=>0,'dy'=>0,'paid'=>0,'vat'=>0,'add_vat'=>0);}
		}

		$vedom = $ved_1;
		if($ved_2 >= $ved_1) // само ако диапазонът е нормален ...
		{
			do
			{  // mode='D','DY','BD'
				$report_recvs = $model->getDueSuppliersData(array(
									'vedom'		=>	$vedom,
									'mode'		=> 'recvs',
									'start_date'=> $start_date,
									'end_date'	=> $end_date ));

				foreach($report_recvs as $row)
				{
				   $cid = $row['supplier_id'];
				   if($cid>0)
				   {
						if(!isset($all_Suppliers[$cid])) {$all_Suppliers[$cid]=array('recvs'=>0,'dy'=>0,'paid'=>0,'vat'=>0,'add_vat'=>0);}
						$all_Suppliers[$cid]['recvs'] -= (float)$row['amount'];
						if($row['tax']!=0)
							{ $all_Suppliers[$cid]['recvs'] -= (float)$row['tax'];}
					}
				}

				// Само DY - Задължения / Услуги
				$report_uslugi = $model->getDueSuppliersData(array(
									'vedom'		=>	$vedom,
									'mode'		=> 'usluga',
									'start_date'=> $start_date,
									'end_date'	=> $end_date ));

				foreach($report_uslugi as $row)
				{
				   $cid = $row['supplier_id'];
				   if($cid>0)
				   {
						if(!isset($all_Suppliers[$cid])) {$all_Suppliers[$cid]=array('recvs'=>0,'dy'=>0,'paid'=>0,'vat'=>0,'add_vat'=>0);}
						$all_Suppliers[$cid]['dy'] -= (float)$row['amount'];
					//	if($row['tax']!=0)
					//	{ $all_Suppliers[$cid]['dy'] -= (float)$row['tax'];}
					}
				}				
				
				// РАЗХОДИ mode='KRz'
				$report_payments = $model->getDueSuppliersData(array(
									'vedom'		=>	$vedom,
									'mode'		=> 'razhod',
									'start_date'=> $start_date,
									'end_date'	=> $end_date ));
				foreach($report_payments as $row)
				{
				   $cid = $row['supplier_id'];
				   if($cid>0)
				   {
						if(!isset($all_Suppliers[$cid])) 
							{$all_Suppliers[$cid]=array('recvs'=>0,'dy'=>0,'paid'=>0,'vat'=>0,'add_vat'=>0);}
						$all_Suppliers[$cid]['paid'] += (float)$row['total'] + (float)$row['tax'];
					}
				}

				// пресмятаме края на диапазона ...
				$vedom += 1;
				if ( ($vedom-100*round($vedom/100,0))==13 ) { $vedom+=88;} // преминава в другата година ...
			}  while ($vedom <= $ved_2);
		}
		else // Диапазонът е ГРЕШЕН ...
		{
			echo 'IMPOSSIBLE: DATES MISH-MASH ERROR !!!';
			die();
		}
	
		
		if(count($all_Suppliers)>0)
		{  /* ================= FINAL ================= */							
			foreach(array_reverse($all_Suppliers, true) as $suppl=>$supplier)
			{
				$supplier_id = $suppl;
				if($supplier_id>0)
				{
					$vat = round($supplier['vat'],0); if(!$vat) {$vat='';}
					$supplier_name = $this->Supplier->get_supplier_name($supplier_id);
						$suppl_due = $this->Recv->get_supplier_due($supplier_id,$period_Year);
						$start = '0';
						if($suppl_due) {$start = (float)$suppl_due->due + (float)$suppl_due->due_vat;}
									
					$recvs = (float)$supplier['recvs'];
					$dy	 = (float)$supplier['dy'];
					$paid  = (float)$supplier['paid'];
					$due   = $start + $recvs + $dy + $paid;

					$vat_color=$end_color='';
					if($supplier['add_vat']) 
					{ $vat_color='<b style="color:#c00;">';$end_color='</b>';}
					
					if(round($due)!=0 and $supplier_name!='' and !empty($supplier_name))
					{ $tabular_data[$supplier_id]=array(
									'supplier_id'  => $vat_color.$supplier_id.$end_color,
									'supplier'		=> $vat_color.$supplier_name.$end_color,
									'start'			=> $start,
									'recvs'			=> $recvs,
									'dy'				=> $dy,
									'paid'			=> $paid,
									'due'				=> $due );
					}
				}

				$all_start	+= (float)$start; if($start>0) {$avance_start+=(float)$start;}
				$all_recvs	+= (float)$recvs;
				$all_uslugi += (float)$dy;
				$all_paid 	+= (float)$paid;
				$all_due 	+= (float)$due; if($due>0) {$avance_due+=(float)$due;}
			}
		}
		
		$title 	= $this->lang->line('kaca_doc_balance_due_title').' / '.$this->lang->line('reports_suppliers').' за '.$period_Year.' г.';
		$headers = $model->getDueColumns();

		$data = array(
			"user_id"	=> $user_id,
			"title" 		=> $title,
			"subtitle"	=> '01.01.'.$period_Year.' - 31.12.'.$period_Year.'г.',
			"headers" 	=> $headers,
			"duties" 	=> $tabular_data,
			
		"avance_start" => round($avance_start),
		  "avance_due"	=> round($avance_due),
			"all_start" => round($all_start),
			"all_recvs" => round($all_recvs),
			"all_uslugi"=> round($all_uslugi),
			"all_paid"  => round($all_paid),
			"all_due"   => round($all_due),
			"all_error"	=> $all_error,
			"export_excel" => $export_excel	);

				
$this->load->view("reports/tabular_sum_suppliers_duty",$data);
	
?>
