<?php $this->load->view("partial/header");$now_YEAR=date('Y');?>

<div id="table_holder_back" style="text-align:center;">
	<div id="page_title"><?=$this->lang->line('reports_ANALYSE');?></div>
<br>
  <div id="report_block_dates">  <!-- блок с дати в ляво -->
	<?=form_label($this->lang->line('reports_date_range'), 'report_date_range_label', array('class'=>'wide'));?>

	<div id='report_date_range_complex'>
		<?=form_dropdown('start_month',$months, 1, 'id="start_month"');?>
		<?=form_dropdown('start_year',$years, $now_YEAR, 'id="start_year"');?>
			<b>&nbsp; - &nbsp;</b>
		<?=form_dropdown('end_month',$months, $selected_month, 'id="end_month"');?>
		<?=form_dropdown('end_year',$years, $now_YEAR, 'id="end_year"');?>
	</div>
	
	<div style='margin-top:8px;'>
		<?=form_label($this->lang->line('reports_document_type'), 'reports_sale_type_label', array('class'=>'wide'));?>
		<div id='report_sale_type'>
			<?=form_dropdown('sale_type',array(
					'all_sale'  => $this->lang->line('reports_all_sales'),
					'sale' 		=> $this->lang->line('reports_sgp_sales'), 
					'shop_sale' => $this->lang->line('reports_shops_sales'),
					'online'    => $this->lang->line('reports_online_sales'),
					'manu' 		=> $this->lang->line('reports_manu_goods'),
					'recv' 		=> $this->lang->line('reports_recvs'),
					'all_recv' 	=> $this->lang->line('reports_manu_recvs'),
					'invoice'   => $this->lang->line('reports_invoices'),
					'-1'			=> '-------------------------------------------',
					'macka' 		=> $this->lang->line('reports_manu_macka'),
				  'macka_sale' => $this->lang->line('reports_only_mackas'),
               '-2'			=> '-------------------------------------------',               
					'fenotag' 	=> $this->lang->line('reports_manu_fenos'),
			//		'profit'    => $this->lang->line('reports_profit')
												), 'all_sale', 'id="sale_type"');?>
			<span><?='&nbsp;&nbsp;'.form_checkbox(array(
								'name'=>'join_groups',
								'id'=>'join_groups',
								'value'=>0,
								'checked'=>false)
								).'&nbsp;'.$this->lang->line('common_join_groups');?>
			</span>
		</div>

	</div>

	<div style='margin-top:8px;margin-bottom:10px;'>
		<?=form_label($this->lang->line('reports_item_s'), 'reports_items_label', array('class'=>'wide'));?>
		<div id='items_type' class="form_field">

<?php $help_text = 
		"Описание на командите:\n въведете № на артикул (5 разряда) или серия от артикули с 'празно поле' (space) м/у тях\n може да въвеждате само № на група (числа от 6-98), за повече от една група с space м/у тях\n менютата са разделени на 3 части\n 1. САМО ДРЕХИ (без маски и fenotags)\n 2. МАСКИ\n 3. FENOTAGS\n могат да се използват като ключови думи (вкл. на български) за търсачката следните команди:\n styler (STYLER) - изважда всички продажби на артикули (10000-97999)\n vitality (виталити) - изкарва артикули (22000-23999)\n accs (аксесоари) - само група № 10 (10001-10999)\n ties (вратовръзки) - само диапазона (10001-10249)\n bowties (папийонки) артикули (10250-10299)\n oldaccs - старите аксесоари от група 98х - основно преди 2019г.\n old - стари кодове\n all (*) - всички артикули\n ... ако включите чек бокса: 'по групи' (checked) тези ключови думи стават НЕВАЛИДНИ\n МАСКИ - са разделени на произведени (отчетени по дн.отчети в модула МАСКИ на София) и продадени: по Експ.бележки (Яна) към клиентите\n FENOTAGS - изважда всички Експ.бележки на артикули (7000-7999), основно за клиент SAS-FENOTAG\n БРАНДОВЕ: изважда САМО Експ.Бележки на предварително 'брандирани' клиенти, след като са регистрирани като такива.
";?>			

			<span style="float:left;margin-right:15px;">
				<img src='images/help_black.png' height='20%' title="<?=$help_text;?>" />
			</span>
			
			<span style="padding-top:10px;line-height:30px;">
				<?=form_input(array(
							'name'=>'items',
							'size'=>'46',
							'id'=>'items',
							'value'=>'*')
						);?>
			</span>
			
		</div>

	</div>

	<div style='margin-top:15px;' id='brand_box'>
		<?=form_label($this->lang->line('reports_brands'), 'reports_brand_label', array('class'=>'wide'));?>
		<div id='customer_type'>
			<?=form_dropdown('brand_id',$brands, '0', 'id="brand_id"');?>
		</div>
	</div>
	
	<div style='margin-top:8px;'>
		<?=form_label($this->lang->line('reports_customer'), 'reports_customer_label', array('class'=>'wide'));?>
		<div id='customer_type'>
			<?=form_dropdown('client_id',$customers, '0', 'id="client_id"');?>
		</div>
	</div>

	<div style='margin-top:8px;'>
		<?=form_label($this->lang->line('reports_consignee'), 'reports_consignee_label', array('class'=>'wide'));?>
		<div id='consignee_type'>
			<?=form_dropdown('consignee_id',$consignees, '0', 'id="consignee_id"');?>
		</div>
	</div>

	<div style='margin-top:8px;margin-bottom:10px;'>
		<?=form_label($this->lang->line('reports_supplier'), 'reports_supplier_label', array('class'=>'wide'));?>
		<div id='supplier_type'>
			<?=form_dropdown('supplier_id',$suppliers, '0', 'id="supplier_id"');?>
		</div>
	</div>

</div> <!-- за блока в ляво -->


<br>
	<div>
	     <?=$this->lang->line('reports_toBiSOFT');?>&nbsp;
		<input type="radio" name="export_excel" id="export_excel_yes" value='1' /> Yes
		<input type="radio" name="export_excel" id="export_excel_no" value='0' checked='checked' /> No
	</div>
<br>

<?=form_button(array(
			'name'=>'generate_report',
			'id'=>'generate_report',
			'content'=>$this->lang->line('common_submit'),
			'class'=>'btn')
		);
?>

</div>

<?php $this->load->view("partial/footer");?>

<script type="text/javascript" language="javascript">
$(document).ready(function()
{

   $("#sale_type").click(function()
   {
      var sale_type = $("#sale_type").val();

      if(sale_type=='macka' || sale_type=='macka_sale' || sale_type=='invoice')
      {
         if($("#join_groups").attr('checked'))
         { document.getElementById("join_groups").checked = false; document.getElementById("join_groups").val() = 0; }
      }
   });


	$("#generate_report").click(function()
	{
		var items = $("#items").val();

		if(items=='' || items=='*' || items==' *' || items==' *.*' || items=='*.*') { items = 'all'} //  alert(items);
		
		if(items==' styler' || items=='STYLER' || items==' STYLER' ) { items = 'styler'}
		
		if(items=='маска' || items==' маска' || items=='маски' || items==' маски') { items = 'macka'} 
		
		if(items=='фено' || items==' фено' || items=='фенотаг' || items=='фенотагове' || items=='feno' ||  items=='fenos' ||
			items=='fenotags' || items=='fenotag' || items==' fenotags') { items = 'fenotag'} 
		
      if(items=='виталити' || items==' виталити' || items=='VITALITY' || items==' vitality') { items = 'vitality'} 

		if(items=='вратовръзка' || items==' вратовръзка' || items=='вратовръзки' || items==' вратовръзки' || 
         items=='tie' || items==' tie' || items==' ties') { items = 'ties'}
         
		if(items=='папийонка' || items==' папийонка' || items=='папийонки' || items==' папийонки' || 
         items=='bowtie' || items==' bowtie' || items==' bowties') { items = 'bowties'}
         
		if(items=='колан' || items==' колан' || items=='колани' || items==' колани' || 
         items=='belt' || items==' belt' || items==' belts') { items = 'belts'} 	
		
      // аксесоари   
		if(items=='аксесоар' || items==' аксесоар' || items=='аксесоари' || items==' аксесоари' || 
         items=='acc' || items==' acc' || items==' accs') { items = 'accs'}
         
		if(items=='oldacc' || items==' oldacc' || items==' oldaccs') { items = 'oldaccs'} 
		
		// грешки:
		re = /[A-Z+&#\$/%?=§@~|!:,;()<>\[\]]/; 
		if(re.test(items))
		  { alert("<?=$this->lang->line('reports_input_error');?>"); items=' '; return false; }

		
		var sale_type = $("#sale_type").val();
		var brand  	  = $("#brand_id").val();
		var customer  = $("#client_id").val();
		var consignee = $("#consignee_id").val();
		var supplier  = $("#supplier_id").val();

		var export_excel = 0;
		if ($("#export_excel_yes").attr('checked')) { export_excel = 1;}
			
		var join_groups = 0;
		if ($("#join_groups").attr('checked')) { join_groups = 1; items = 'all'}
		
		
		var month = $("#end_month").val();
		var end_date = 31;
		if(month=='04' || month=='06' || month=='09' ||month=='11') // 30-дневни месеци
			{ end_date = 30;}
			
		if(month=='02') // 28/29-февруари
		{
				var end_date = 28; 
				var end_year = $("#end_year").val();
				if(end_year=='2016' || end_year=='2020' || end_year=='2024' || end_year=='2028' || end_year=='2032' || end_year=='2036' || 
					end_year=='2040' || end_year=='2044' || end_year=='2048' || end_year=='2052' || end_year=='2056' || end_year=='2060' ||
					end_year=='2064' || end_year=='2068' || end_year=='2072' || end_year=='2076' || end_year=='2080' || end_year=='2084')
				{end_date = 29;}
		}

		var start_date = $("#start_year").val() + '-' + $("#start_month").val() + '-01';
		var end_date = $("#end_year").val() + '-' + month + '-' + end_date;
		var now_date = '<?=date('Y-m-d');?>';
		if(end_date > now_date) {end_date = now_date;}

		window.location = window.location + '/' + start_date + '/'+ end_date + '/' + sale_type + '/' + items + '/' + 
																brand + '/' + customer + '/' + consignee + '/' + supplier + '/' +
																join_groups  + '/' + export_excel;

	});

	
});
</script>
