<?php $this->load->view("partial/header");$now_YEAR=date('Y');?>

<div id="table_holder_back" style="text-align:center;">
	<div id="page_title"><?=$this->lang->line('reports_ANALYSE').' - ONLINE SHOP';?></div>
<br>

  <div id="report_block_dates">  <!-- блок с дати в ляво -->
	<?=form_label($this->lang->line('reports_date_range'), 'report_date_range_label', array('class'=>'wide'));?>

	<div id='report_date_range_complex'>
		<?=form_dropdown('start_month',$months, 1, 'id="start_month"');?>
		<?=form_dropdown('start_year',$years, $now_YEAR, 'id="start_year"');?>
			<b>&nbsp; - &nbsp;</b>
		<?=form_dropdown('end_month',$months, $selected_month, 'id="end_month"');?>
		<?=form_dropdown('end_year',$years, $now_YEAR, 'id="end_year"');?>
	</div>
	
	<div style='margin-top:8px;'>
		<?=form_label($this->lang->line('reports_document_type'), 'reports_sale_type_label', array('class'=>'wide'));?>
		<div id='report_sale_type'>
			<?=form_dropdown('sale_type',array(
					'onlines'    => $this->lang->line('reports_online_sales'),
					'nosales'    => $this->lang->line('reports_nosales')
			//		'manu' => $this->lang->line('reports_manu_goods'),
			//		'recv' => $this->lang->line('reports_recvs')
												), 'online', 'id="sale_type"' );?>
			
			<span><?='&nbsp;&nbsp;'.form_checkbox(array(
								'name'=>'join_groups',
								'id'=>'join_groups',
								'value'=>1,
								'checked'=>'0')
								).'&nbsp;'.$this->lang->line('common_join_groups');?>
			</span>
			
		</div>

	</div>

	<div style='margin-top:8px;'>
		<?=form_label($this->lang->line('reports_item_s'), 'reports_items_label', array('class'=>'wide'));?>
		<div id='items_type' class="form_field">
			<?=form_input(array(
						'name'=>'items',
						'size'=>'46',
						'id'=>'items',
						'value'=>'*')
					);?>
		</div>
	</div>

</div> <!-- за блока в ляво -->


<br>
	<div>
	     <?=$this->lang->line('reports_toBiSOFT');?>&nbsp;
		<input type="radio" name="export_excel" id="export_excel_yes" value='1' /> Yes
		<input type="radio" name="export_excel" id="export_excel_no" value='0' checked='checked' /> No
	</div>
<br>

<?=form_button(array(
			'name'=>'generate_report',
			'id'=>'generate_report',
			'content'=>$this->lang->line('common_submit'),
			'class'=>'btn')
		);
?>

</div>

<?php $this->load->view("partial/footer");?>

<script type="text/javascript" language="javascript">
$(document).ready(function()
{

	$("#generate_report").click(function()
	{
		var items = $("#items").val();

		re = /[A-Z+&#\$/%?=§@~|!:,;()<>\[\]a-z]/; 
		if(re.test(items))
		  { alert("<?=$this->lang->line('reports_input_error');?>"); 
			 items=' ';
			 return false;
		  }

		if(items=='' || items==' ' || items=='*' || items==' *' || items==' *.*' || items=='*.*') { items = 'all'} //  alert(items);

		var sale_type = $("#sale_type").val();

		var export_excel = 0;
		if ($("#export_excel_yes").attr('checked')) { export_excel = 1;}
		
		var join_groups = 0;
		if ($("#join_groups").attr('checked')) { join_groups = 1; items = 'all'}
			
		var month = $("#end_month").val();
		var end_date = 31;
		if(month=='04' || month=='06' || month=='09' ||month=='11') // 30-дневни месеци
			{ end_date = 30;}
			
		if(month=='02') // 28/29-февруари
		{
				var end_date = 28; 
				var end_year = $("#end_year").val();
				if(end_year=='2016' || end_year=='2020' || end_year=='2024' || end_year=='2028' || end_year=='2032' || end_year=='2036' || 
					end_year=='2040' || end_year=='2044' || end_year=='2048' || end_year=='2052' || end_year=='2056' || end_year=='2060' ||
					end_year=='2064' || end_year=='2068' || end_year=='2072' || end_year=='2076' || end_year=='2080' || end_year=='2084')
				{end_date = 29;}
		}

		var start_date = $("#start_year").val() + '-' + $("#start_month").val() + '-01';
		var end_date = $("#end_year").val() + '-' + month + '-' + end_date;
		var now_date = '<?=date('Y-m-d');?>';
		if(end_date > now_date) {end_date = now_date;}

		window.location = window.location + '/' + start_date + '/'+ end_date + '/' + sale_type + '/' + items + '/' +
																join_groups  + '/' + export_excel;

	});

	
});
</script>
