<?php //OJB: Check if for excel export process
if($export_excel == 1)
{ ob_start();
	$this->load->view("partial/header_excel");
}
else
{	$dta['controller'] = 'Home';
	$dta['main_title'] = '';
	$this->load->view("partial/header_back",$dta);
} ?>


<div id="table_holder_vedom">
<?php
if($export_excel == 0) 
{  $now_client = '';
	if($brand>0) { $now_client = '<i>brand:</i> '.$this->BiSOFT_Model->get_brand_name($brand);}
	elseif($customer>0)  { $now_client = $this->Customer->get_info_by_bisoft_id($customer)->company_name;}
	elseif($consignee>0) { $now_client = $this->Consignee->get_info_by_bisoft_id($consignee)->company_name;}
	elseif($supplier>0) { $now_client = $this->Supplier->get_info_by_bisoft_id($supplier)->company_name;}
?>
	  <div id="page_title" style="margin-bottom:8px;"><?="$title - ($mode)";?></div>
	  <div id="page_subtitle" style="color:#004;margin-bottom:-2px;"><?=$now_client;?></div>
	  <div id="page_subtitle" style="margin-bottom:10px;"><?=$subtitle;?></div>
<?php 
} 

$allQty = 0;
$allSuma = 0;

?>

	<table class="tablesorter report" id="sortable_table">

		<thead>
			<tr>
				<?php foreach ($headers as $header) { echo '<th>'.$header.'</th>';} ?>
			</tr>
		</thead>
		
		<tbody>
		<?php foreach ($data as $row) 
			{ 
            $qty  = round($row['qty'],0);
            $suma = $row['suma'];
            if($qty!=0 and $suma!=0)
            { ?>
               <tr>
					<?php $group = round($row['inum']/1000,0);
					
					if( ( $group>1 and $group<98 ) or ( $group==7 and $mode=='fenotag' ) or  
						 ( $group==98 and ( $mode=='macka' or $mode=='macka_sale' ) ) 
                 )
					{
                     echo '<td style="text-align:center;">'.$row['ved'].'</td>';
                     
							if($join_groups)
								{ echo '<td style="text-align:center;color:#404;">група: <b>( '.$group.' )</b></td>';}
							else
								{ echo '<td style="text-align:center;color:#004;"><b>'.$row['inum'].'</b></td>';}
							
							echo '<td style="text-align:left;">'.$row['name'].'</td>';
							echo '<td style="text-align:center;color:#500;"><b>'.$qty.'</b></td>';
							
							if($suma)
								{ echo '<td style="text-align:right;">'.to_currency_no_money($row['suma']).'</td>';}
							else { echo '<td style="text-align:left;color:#a00;"><b>'.to_currency_no_money($row['suma']).'</b></td>';}
							
							if($row['tax']) 
								{ echo '<td style="text-align:right;">'.to_currency_no_money($row['tax']).'</td>';}
							else {echo '<td></td>';}
							
							echo '<td>'.$row['client'].'</td>';
							
							if($mode=='all_sale') { echo '<td></td>'; }
							else { echo '<td style="text-align:center;color:#440;"><b>'.$mode.'</b></td>'; }

                  $allQty   += $qty;
                  $allSuma  += round($suma,0);
					}
            }	?>
               </tr>
	<?php } ?>
	
		</tbody>
	</table>
</div>

	<div id="bottom_bar_short">

		<div id="bottom_bar_short_qty">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_QTY');?></span>
			<span id="total_qty" class="bottom_bar_text"><?=$allQty;?></span>
		</div>

		<div id="bottom_bar_short_sum">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_total');?></span>
			<span id="total_sum" class="bottom_bar_text">
					<?php echo $allSuma; 
					
                 // echo to_currency_no_money($all_suma);
                 // if($all_vat) {echo ' + '.to_currency_no_money($all_vat).' ';}
					?>
			</span>
		</div>

	</div>

<?php 
if($export_excel == 1)
{
	$this->load->view("partial/footer_excel");
	$content = ob_end_flush();
	
	$filename = trim($filename);
	$filename = str_replace(array(' ', '/', '\\'), '', $title);
	$filename .= "_items.xls";
	header('Content-type: application/ms-excel');
	header('Content-Disposition: attachment; filename='.$filename);
	echo $content;
	die();
}
else
{ $this->load->view("partial/footer_back"); ?>

<script type="text/javascript">
$(document).ready(function() { enable_row_selection(); });
</script>

<?php 
} // end if not is excel export 
?>
