<?=form_open('customers/save/'.$customer_id,array('id'=>'customer_form'));?>

<div id="inv_top_table_place">   <!-- цялата фиксирана таблица  -->
  <div id="inv_label_table_place">   <!-- само сивата антетка  -->
 	 <table id="inv_label_table">
		<tr>
			<td style="width:100px;text-align:right;text-transform: uppercase;text-shadow: 1px 1px #777;">
				<b style="font-size:120%;">
					<?=form_label($this->lang->line('customers_customer'),'customer',array('class'=>'required wide'));?>
				</b>
			</td>
		 <!-- надписа с 'клиента'  -->
			 <td class='form_field_center_bold'>
			 <?php if( $customer_id == -1 ) // Нов Клиент за Всички ...
						  { echo form_input(array(
							'name'=>'bisoft_id',
							'id'=>'bisoft_id',
							'size'=>'6',
							'value'=>$bisoft_id)
							); }

					else { echo form_input(array(
							'name'=>'bisoft_id',
							'id'=>'bisoft_id',
							'size'=>'6',
							'readonly'=>'readonly',
							'value'=>$bisoft_id)
							); } ?>
			 </td>
		</tr>
	</table>

			<div id="form_title_place" class='form_title'>
			<?=form_input(array(
							'name'=>'company_name',
							'id'=>'company_name_place',
							'size'=>'60',
							'value'=>$person_info->company_name )
							 ); ?>
			</div>			

  </div><!-- затваря сивата антетка  -->


<table id="inventory_table">  <!-- основна таблица отляво на картинката  -->

<?php $this->load->view("people/form_base");?>
		
	<!-- ======================== TAXABLE =========================== -->
				<tr>
					<td class="inv_left_1">
						<?=form_checkbox('taxable', '1', $person_info->taxable == '' ? TRUE : (boolean)$person_info->taxable);?>
						<?=form_label($this->lang->line('customers_taxable'), 'taxable',array('class'=>'wide')); ?>
					</td>
					<td class="inv_left_2  form_field">						
						<?=form_dropdown('modes_clients', $modes_clients, $person_info->status, 'id="modes_clients" ');?>
					</td>

	<!-- ======================= Ценова Група ========================== -->
					<td class="inv_left_1" style="text-align:left;padding-left:5px;">
						<?=form_checkbox('add_vat', '1', $person_info->add_vat == '' ? TRUE : (boolean)$person_info->add_vat);?>
						<?=form_label($this->lang->line('customers_add_vat'), 'add_vat',array('class'=>'wide')); ?>
					</td>
					
					<td class="inv_left_2  form_field">	
						<?=form_label($this->lang->line('customers_price_group'),'price_group',array('class'=>'wide')); ?>
						<?=form_dropdown('price_group', $modes_prices, $person_info->price_group, 'id="price_group" ');?>
					</td>
				</tr>
		
	<!-- ======================== DISCOUNT =========================== -->
				<tr>
					<td class="inv_left_1">
						<?=form_label($this->lang->line('consignees_discount'), 'discount',
								array('class'=>'wide')); ?>
					</td>
					<td class="inv_left_2  form_field">
						<?=form_input(array(
									'name'=>'discount',
									'size'=>'7',
									'id'=>'discount',
									'value'=>$person_info->discount)
							).' %';?>
					</td>
					
	<!-- ======================== CLIENT SHOP =========================== -->
					<td colspan="2" class="inv_left_1  form_field">
						<?php $has_shop=0; if($person_info->norma==3) {$has_shop=1;}
                        echo form_checkbox(array(
                        'name'=>'has_shop',
                        'id'=>'has_shop',
                        'value'=>1,
                        'checked'=>($has_shop) ? 1 : 0) );
                        
                        echo '&nbsp;'.form_label($this->lang->line('common_has_shop'), 'has_shop',
								array('class'=>'wide')); ?>
					</td>
				</tr>

	<!-- ======================== COMMENTS =========================== -->
				<tr>
					<td class="inv_left_1">
						<?=form_label($this->lang->line('common_comments'), 'comments',
								array('class'=>'wide')); ?>
					</td>
					<td colspan="3" class="inv_left_2  form_field">
						<?=form_textarea(array(
									'name'=>'comments',
									'id'=>'comments',
									'rows'=>'3',
									'cols'=>'40',
									'value'=>$person_info->comments)
							);?>
					</td>
				</tr>
</table>

	<div id="inventory_image">
	  <img src="<?=BPICS.'people/c'.$bisoft_id.'.jpg';?>" width="240" height="320" border="0" alt=" image missing" />
	</div>

<ul id="error_message_box"></ul>

	<div id="inventory_submit_button">
			<?=form_submit(array(
				'name'=>'submit',
				'id'=>'submit',
				'value'=>$this->lang->line('common_edit_save'),
				'class'=>'btn_red float_right')
			);?>
	</div>

<?php if ($user_id < 6 and $customer_id != -1)  // само тесен кръг хора виждат това ?!?!
{ ?>
	<div id="shopdelete_check">
		 <?=form_checkbox(array(
							'name'=>'deleted',
							'id'=>'deleted',
							'value'=>1,
							'checked'=>(0) ? 1 : 0)
							); 
		?>
	</div>
	<div id="shopdelete_check_text">
		<?=form_label('<span style="color:red;font-weight:bold;">'.
			$this->lang->line('items_deleted').' ?</span>','deleted',array('class'=>'wide'));?>
	</div>
<?php 
} ?>

</div> <!-- end of fixera на таблицата .... -->

<?=form_close();?>

<script type='text/javascript'>
$(document).ready(function()
{
	$('#customer_form').validate({
		submitHandler:function(form)
		{
			$(form).ajaxSubmit({
			success:function(response)
			{
				tb_remove();
				post_person_form_submit(response);
			},
			dataType:'json'
		});

		},
		errorLabelContainer: "#error_message_box",
 		wrapper: "li",
		rules: 
		{
			bisoft_id: "required",
			company_name_place: "required"
   		},
		messages: 
		{
     		bisoft_id: "<?=$this->lang->line('common_bisoftid_required');?>",
     		company_name_place: "<?=$this->lang->line('customers_company_name_required');?>"
		}
	});
});
</script>
