<?=form_open('employees/save/'.$person_info->person_id,array('id'=>'employee_form'));?>

<div id="required_fields_message"><?=$this->lang->line('common_fields_required_message');?></div>
<ul id="error_message_box"></ul>
<fieldset id="employee_basic_info">
<legend><?=$this->lang->line("employees_basic_information");?></legend>
<?php $this->load->view("people/form_basic_info");?>
</fieldset>

<fieldset id="employee_login_info">
<legend><?=$this->lang->line("employees_login_info");?></legend>


<div class="field_row clearfix">	
<?=form_label($this->lang->line('employees_username').' :', 'username',array('class'=>'required'));?>
	<div class='form_field'>
	<?=form_input(array(
         'name'=>'username',
         'id'=>'username',
         'value'=>$person_info->username));?>
	</div>
</div>

<?php $password_label_attributes = $person_info->person_id == "" ? array('class'=>'required'):array();?>

<div class="field_row clearfix">	
<?=form_label($this->lang->line('employees_password').':', 'password',$password_label_attributes);?>
	<div class='form_field'>
	<?=form_password(array(
         'name'=>'password',
         'id'=>'password') );?>
	</div>
</div>

<div class="field_row clearfix">	
<?=form_label($this->lang->line('employees_repeat_password').':', 'repeat_password',$password_label_attributes);?>
	<div class='form_field'>
	<?=form_password(array(
         'name'=>'repeat_password',
         'id'=>'repeat_password' ) );?>
	</div>
</div>

<div style="margin:auto;margin-left:35%;">
<?=form_submit(array(
	'name'=>'submit',
	'id'=>'submit',
	'value'=>$this->lang->line('common_edit_save'),
	'class'=>'btn_red float_left') );?>
	<br>
</div>

	
</fieldset>

<fieldset id="employee_permission_info">

<legend><?=$this->lang->line("employees_permission_info");?></legend>


<ul id="permission_list">
<?php
foreach($all_modules->result() as $module)
{ ?>

	<li>	
	<?=form_checkbox("permissions[]",$module->module_id,$this->Employee->has_permission($module->module_id,$person_info->person_id));?>

			<span class="medium" style="color:#404;">&nbsp;
            <?=' <b>' . $this->lang->line('module_'.$module->module_id) . '</b>';?>
         </span>

		<span style="color:#555;font-style:italic;">__видима иконка : </span>
		<span style="color:#600;">
         <?php $visible = $this->Employee->icon_visible($module->module_id,$person_info->person_id);
               if(!$visible == 1) { echo 'ДА';} else { echo 'НЕ';} ?></span>
	<!--
	<?// =form_checkbox("permissions[]",$module->module_id,$this->Employee->icon_visible($module->module_id,$person_info->person_id));?>
	-->
      <br>
      <span class="small" style="color:#006;"><?=$this->lang->line('module_'.$module->module_id.'_desc');?></span>
	</li>

<?php
}
?>
</ul>

</fieldset>

<?=form_close();?>

<script type='text/javascript'>
//validation and submit handling
$(document).ready(function()
{
	$('#employee_form').validate({
		submitHandler:function(form)
		{
			$(form).ajaxSubmit({
			success:function(response)
			{
				tb_remove();
				post_person_form_submit(response);
			},
			dataType:'json'
		});

		},
		errorLabelContainer: "#error_message_box",
 		wrapper: "li",
		rules: 
		{
			first_name: "required",
			username:
			{
				required:true,
				minlength: 3
			},
			
			password:
			{
				<?php	if($person_info->person_id == "")
						{ ?>
							required:true,
				<?php	} ?>
							minlength: 4
			},	
			repeat_password:
			{
 				equalTo: "#password"
			},
    		email: "email"
		},
		messages: 
		{
     		first_name: "<?=$this->lang->line('common_first_name_required');?>",
     		username:
     		{
     			required: "<?=$this->lang->line('employees_username_required');?>",
     			minlength: "<?=$this->lang->line('employees_username_minlength');?>"
     		},
     		
			password:
			{
		<?php	if($person_info->person_id == "")
				{ ?>
					required:"<?=$this->lang->line('employees_password_required');?>",
		<?php	} ?>
					minlength: "<?=$this->lang->line('employees_password_minlength');?>"
			},
			repeat_password:
			{
				equalTo: "<?=$this->lang->line('employees_password_must_match');?>"
     		},
     		email: "<?=$this->lang->line('common_email_invalid_format');?>"
		}
	});
});
</script>
