<!DOCTYPE HTML>
<html lang="en-US" dir="ltr">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<base href="<?=base_url();?>" />
	<title>BiSOFT :: Fenolist</title>
	<link rel="shortcut icon" href="images/bisoft.ico" type="image/png"/>
	<style>	
		html{height:101%;}
		@font-face { font-family: BiSOFT_Sans;  src: url("<?=base_url();?>/sans.ttf");}
		@font-face { font-family: Roboto;  		 src: url("<?=base_url();?>/roboto.ttf");}
		@font-face { font-family: BarCode_8;  	 src: url("<?=base_url();?>/ean.ttf");}
		@font-face { font-family: BarCode_12;   src: url("<?=base_url();?>/bc10.ttf");}
		@font-face { font-family: Symbols;      src: url("<?=base_url();?>/symbols.ttf");}
	</style>
	<link rel="stylesheet" href="<?=base_url();?>css/eShop.css"/>
	<link rel="stylesheet" href="<?=base_url();?>css/bisoft.css"/>
	<link rel="stylesheet" href="<?=base_url();?>css/labels.css" />
	<link rel="stylesheet" href="<?=base_url();?>css/eShop_print.css" media="print"/>
	<script>BASE_URL = '<?=site_url();?>';</script>
</head>


<body>
<?php // set values
      $feno_sml_css = " style='float:left;
                          border:2px solid #222;text-align:left;
                          width:150px;height:50px;
                          padding:3px;margin-right:5px;margin-bottom:5px;'";
                          
      $feno_sml_mark = " style='float:left;
                          border:2px solid #222;text-align:left;
                          width:150px;height:50px;background:#ddd;
                          padding:3px;margin-right:5px;margin-bottom:5px;'";
                          
      $feno_sml_in   = " style='float:left;
                          text-align:center;
                          width:150px;height:35px;line-height:38px;
                          font-family:BiSOFT_Sans;font-size:160%;'";

       $feno_big_css = " style='float:left;
                          border:2px solid #222;text-align:left;
                          width:315px;height:120px;
                          padding:3px;margin-right:5px;margin-bottom:5px;'";
                          
      $feno_big_bottom = " style='float:left;
                          border-top:2px solid #222;text-align:left;
                          width:318px;height:20px;margin-left:-3px;
                          padding-left:3px;margin-top:28%;'";

       $feno_total_css = " style='float:left;
                          border:2px solid #222;text-align:left;
                          width:645px;height:28px;
                          padding:3px;margin-right:5px;margin-bottom:5px;'";
?>

<div class="blanka_fenolist" style='font-family:BiSOFT_Sans;font-size:100%;'>

   <!-- I блок Fenolist -->
   <div style="width:100%;height:460px;background:white;">
   
      <div style="height:60px;width:100%;">
         <div <?=$feno_sml_css;?>>DATE <b style='float:right;'>( A )</b></div>
         
         <div <?=$feno_sml_css;?>>MACHINE <b style='float:right;'>( B )</b></div>
         
         <div <?=$feno_sml_css;?>>PRODUCT <b style='float:right;'>( C )</b>
            <b <?=$feno_sml_in;?>><?=$feno_id;?></b>
         </div>
         <div <?=$feno_sml_css;?>>Operator name <b style='float:right;'>( D )</b></div>
      </div>
      
      <div style="height:60px;width:100%;">
         <div <?=$feno_sml_css;?>>REEL NUMBER <b style='float:right;'>( E )</b>
            <b <?=$feno_sml_in;?>><?=$reel_id;?></b>
         </div>
         
         <div <?=$feno_sml_css;?>>First number <b style='float:right;'>( F )</b>
            <span <?=$feno_sml_in;?>><?=$firstNo;?></span>
         </div>
         
         <div <?=$feno_sml_css;?>>Last number <b style='float:right;'>( G )</b></div>
         
         <div <?=$feno_sml_mark;?>>Final good quantity <b style='float:right;'>( H )</b></div>
      </div>
      
      
      <div style='float:left;width:100%;margin-top:6px;font-size:100%;'>REJECTS ANALYSIS</div>
      <div style="height:100px;width:100%;">
         <div <?=$feno_big_css;?>>CENTERING X <b style='float:right;'>( I )</b>
            <div <?=$feno_big_bottom;?>> Total:</div>
         </div>
         <div <?=$feno_big_css;?>>CENTERING Y <b style='float:right;'>( J )</b>
            <div <?=$feno_big_bottom;?>> Total:</div>
         </div>
      </div>
      
      <div style="height:100px;width:100%;">
         <div <?=$feno_big_css;?>>ANTENNA SHAPE <b style='float:right;'>( K )</b>
            <div <?=$feno_big_bottom;?>> Total:</div>
         </div>
         <div <?=$feno_big_css;?>>OTHER / UNSEWN <b style='float:right;'>( L )</b>
            <div <?=$feno_big_bottom;?>> Total:</div>
         </div>
      </div>
      
      <div style="height:30px;width:100%;">
         <div <?=$feno_total_css;?>>TOTAL REJECT <b style='float:right;'>( M )</b></div>
      </div>
      
      
      <div style='position:absolute;left:0;top:65px;
                  padding:3px;margin-left:665px;
                  width:125px;height:383px;
                  border:2px solid #222;'>
      Nbre of cycle <b style='float:right;'>( N )</b>
      <br>per bobin
      <br>canette
      </div>

   </div> <!-- End of II блок Fenolist -->
  
<br><hr style="color:black;"><br>
  
   
   <!-- II блок Fenolist -->
<?php // set values
                          
      $bg_sml_css  = " style='float:left;
                          border:0.5px solid #222;border-left:0.5px solid white;border-bottom:0.5px solid white;
                          width:150px;height:52px;text-align:left;font-size:110%;
                          padding:3px;margin-right:0px;margin-bottom:0px;'";
                          
      $bg_sml_cssB = " style='float:left;
                          border:0.5px solid #222;border-left:0.5px solid white;
                          width:150px;height:50px;text-align:left;font-size:110%;
                          padding:3px;margin-right:0px;margin-bottom:0px;'";
                          
      $bg_sml_css1 = " style='float:left;border:0.5px solid #222;
                          width:152px;height:50px;text-align:left;font-size:110%;
                          padding:3px;margin-right:0px;margin-bottom:0px;'";
                          
      $bg_sml_cssK = " style='float:left;
                          border:0.5px solid #222;border-bottom:0.5px solid white;
                          border-top:3px solid #000;border-left:3px solid #000;
                          width:152px;height:50px;text-align:left;
                          padding:3px;margin-right:0px;margin-bottom:0px;'";
                          
      $bg_sml_cssI = " style='float:left;
                          border:0.5px solid #222;border-bottom:0.5px solid white;
                          border-top:3px solid #000;border-right:3px solid #000;
                          width:152px;height:50px;text-align:left;
                          padding:3px;margin-right:0px;margin-bottom:0px;'";
                          
      $bg_sml_cssP = " style='float:left;
                          border:0.5px solid #222;border-bottom:0.5px solid white;
                          border-bottom:3px solid #000;border-left:3px solid #000;
                          width:152px;height:50px;text-align:left;
                          padding:3px;margin-right:0px;margin-bottom:0px;'";
                          
      $bg_sml_cssM = " style='float:left;
                          border:0.5px solid #222;border-bottom:0.5px solid white;
                          border-bottom:3px solid #000;border-right:3px solid #000;
                          width:152px;height:50px;text-align:left;
                          padding:3px;margin-right:0px;margin-bottom:0px;'";


                          
      $bg_sml_nocss = " style='float:left;border:0.5px solid white;
                          text-align:right;font-size:115%;
                          width:156px;height:50px;
                          padding:3px;margin-right:0px;margin-bottom:0px;'";
                          
      $feno_all_in   = " style='float:right;
                          width:150px;height:50px;line-height:50px;
                          font-family:BiSOFT_Sans;font-size:125%;'";

      $bg_large_css1 = " style='float:left;text-align:left;
                          border:0.5px solid #222;
                          width:152px;height:100px;
                          padding:3px;z-index:0;'";
                          
      $bg_large_css  = " style='float:left;text-align:left;
                          border:0.5px solid #222;border-left:0.5px solid white;
                          width:152px;height:100px;font-size:110%;
                          padding:3px;z-index:0;'";
                          
      $bg_large_in   = " style='float:left;
                          text-align:center;
                          width:150px;height:30px;line-height:35px;
                          font-family:BiSOFT_Sans;font-size:140%;'";
                          
      $bg_date_in    = " style='float:left;font-size:95%;font-family:Roboto;margin-top:10px;'";
                          
      $bg_large_bottom = " style='position:absolute;line-height:30px;
                          border:0.5px solid #222;border-bottom:none;
                          text-align:left;
                          width:475px;height:30px;margin-left:-4px;
                          padding-left:3px;margin-top:72px;
                          background:white;z-index:10000;'";


?>
   <div style="width:100%;height:630px;background:white;">

      <div style="float:left;width:100%;">
         <div <?=$bg_sml_cssK;?>>КУТИЯ №
            <b <?=$feno_sml_in;?>><?=$box_id;?></b>
         </div>
         <div <?=$bg_sml_cssI;?>>продукт <b style='float:right;'>( C )</b>
            <b <?=$feno_sml_in;?>><?=$feno_id;?></b>
         </div>
         <div <?=$bg_sml_css;?>>начален №<b style='float:right;'>( F )</b>
            <span <?=$feno_sml_in;?>><?=$firstNo;?></span>
         </div>
         <div <?=$bg_sml_css;?>>дата начало<b style='float:right;'>( A )</b></div>
         <div <?=$bg_sml_css;?>>време начален №</div>
      </div>

      <div style="width:100%;">
         <div <?=$bg_sml_cssP;?>>ролка № <b style='float:right;'>( E )</b>
            <b <?=$feno_sml_in;?>><?=$reel_id;?></b>
         </div>
         <div <?=$bg_sml_cssM;?>>машина <b style='float:right;'>( B )</b>
         </div>
         <div <?=$bg_sml_cssB;?>>завършващ №<b style='float:right;'>( G )</b></div>
         <div <?=$bg_sml_cssB;?>>дата завършване</div>
         <div <?=$bg_sml_cssB;?>>време завършващ №</div>
      </div>
   
   
   
<!-- ====================== ДНЕВНА ========================== -->
      <div style="float:left;width:100%;margin-top:4px;">
         <div <?=$bg_large_css1;?>>
            <b <?=$bg_large_in;?>>ДНЕВНА</b>
            <i <?=$bg_date_in;?>> дата:</i>
            <div <?=$bg_large_bottom;?>>  <i style='margin-left:5px;'>работници</i></div>
         </div>
         <div <?=$bg_large_css;?>>начален №<br><br>последен №</div>
         <div <?=$bg_large_css;?>>време начал.№<br><br>време посл.№</div>
         <div <?=$bg_large_css;?>>неушити=(I+J+K)</div>
         <div <?=$bg_large_css;?>>др.неушити=(L)</div>
      </div>
   
<!-- ====================== МЕЖДИННА ========================== -->
       <div style="float:left;width:100%;margin-top:4px;">
         <div <?=$bg_large_css1;?>>
            <b <?=$bg_large_in;?>>МЕЖДИННА</b>
            <i <?=$bg_date_in;?>> дата:</i>
            <div <?=$bg_large_bottom;?>>  <i style='margin-left:5px;'>работници</i></div>
         </div>
         <div <?=$bg_large_css;?>>начален №<br><br>последен №</div>
         <div <?=$bg_large_css;?>>време начал.№<br><br>време посл.№</div>
         <div <?=$bg_large_css;?>>неушити=(I+J+K)</div>
         <div <?=$bg_large_css;?>>др.неушити=(L)</div>
      </div>
   
   
<!-- ====================== НОЩНА ========================== -->
       <div style="float:left;width:100%;margin-top:4px;">
         <div <?=$bg_large_css1;?>>
            <b <?=$bg_large_in;?>>НОЩНА</b>
            <i <?=$bg_date_in;?>> дата:</i>
            <div <?=$bg_large_bottom;?>>  <i style='margin-left:5px;'>работници</i></div>
         </div>
         <div <?=$bg_large_css;?>>начален №<br><br>последен №</div>
         <div <?=$bg_large_css;?>>време начал.№<br><br>време посл.№</div>
         <div <?=$bg_large_css;?>>неушити=(I+J+K)</div>
         <div <?=$bg_large_css;?>>др.неушити=(L)</div>
      </div>
   
   
<!-- ====================== ДРУГА ========================== -->
       <div style="float:left;width:100%;margin-top:4px;">
         <div <?=$bg_large_css1;?>>
            <b <?=$bg_large_in;?>></b>
            <i <?=$bg_date_in;?>> дата:</i>
            <div <?=$bg_large_bottom;?>>  <i style='margin-left:5px;'>работници</i></div>
         </div>
         <div <?=$bg_large_css;?>>начален №<br><br>последен №</div>
         <div <?=$bg_large_css;?>>време начал.№<br><br>време посл.№</div>
         <div <?=$bg_large_css;?>>неушити=(I+J+K)</div>
         <div <?=$bg_large_css;?>>др.неушити=(L)</div>
      </div>

      <div style="float:left;width:100%;margin-top:4px;">
         <div <?=$bg_sml_css1;?>>Σ бродирани=(H)</div>
         <div <?=$bg_sml_cssB;?>>загуби ( % )</div>
         <div <?=$bg_sml_nocss;?>><b <?=$feno_all_in;?>>ВСИЧКО :&nbsp;</b></div>
         <div <?=$bg_sml_css1;?>>Σ = неушити от нас</div>
         <div <?=$bg_sml_cssB;?>>Σ = др.неушити</div>
      </div>     
      

   </div> <!-- End of II блок Fenolist -->
  
  
</div> <!-- <div id="blanka_fenolist"> -->

</body>
</html> 

