<?=form_open("invoices/save_new_item/$doc_idx", array('id'=>'add_invoice_form'));?>

<ul id="error_message_box"></ul>

<div id="report_edit_item_block">  <!-- цветният блок в средата -->

<!-- ====================== РЕД НОМЕР =========================== -->
	<div class="field_edit_row clearfix">
	<?=form_label($this->lang->line('reports_line').' :', 'line');?>
		<div class='form_field'>
			<?=form_input(array(
						'name'	=> 'line',
						'value'	=> $line,
						'size'	=> '4', 
						'id'		=> 'line'));
			?></div>
	</div>

<!-- ======================= АРТИКУЛ НОМЕР ======================= -->
	<div class="field_edit_row clearfix">
	<?=form_label($this->lang->line('items_item_number').' :', 'item_number');?>
		<div class='form_field'>
			<?=form_input(array(
						'name'	=> 'item_number',
						'value'	=> '',
						'size'	=> '4', 
						'id'		=> 'item_number'));
			?>
		</div>
	</div>

<!-- =========================== АРТИКУЛ ИМЕ =========================== -->
	<div class="field_edit_row clearfix">
	<?=form_label($this->lang->line('items_name').' :', 'item_name');?>
		<div class='form_field'>
			<?=form_input(array(
						'name'	=> 'item_name',
						'value'	=> '',
						'size'	=> '38', 
						'id'		=> 'item_name'));
			?>
		</div>
	</div>
	

<!-- =========================== INVOICE ИМЕ =========================== -->
	<div class="field_edit_row clearfix">
	<?=form_label($this->lang->line('items_invoice_name').' :', 'items_invoice_name');?>
		<div class='form_field'>
			<?=form_input(array(
						'name'	=> 'invoice_name',
						'value'	=> '',
						'size'	=> '38', 
						'id'		=> 'invoice_name'));
			?>
		</div>
	</div>


<!-- ============================== КОЛИЧЕСТВО =========================== -->
	<div class="field_edit_row clearfix">
	<?=form_label($this->lang->line('reports_quantity').' :', 'item_qty');?>
		<div class='form_field'>
			<?=form_input(array(
						'name'	=> 'item_qty',
						'value'	=> '1',
						'size'	=> '8', 
						'id'		=> 'item_qty'));
			?>
		</div>
	</div>

<!-- =============================== ЦЕНА ================================ -->
	<div class="field_edit_row clearfix">
	<?=form_label($this->lang->line('items_unit_price').' :', 'item_unit_price'); ?>
		<div class='form_field'>
			<?=form_input(array(
						'name'	=> 'item_unit_price',
						'value'	=> '1.00',
						'size'	=> '15', 
						'id'		=> 'item_unit_price'));
			?>
		</div>
	</div>

<!-- ================================ ОТСТЪПКА ============================= -->
	<div class="field_edit_row clearfix">
	<?=form_label($this->lang->line('items_discount').' :', 'item_discount'); ?>
		<div class='form_field'>
			<?=form_input(array(
						'name'	=> 'item_discount',
						'value'	=> '0',
						'size'	=> '3', 
						'id'		=> 'item_discount'));
			?> %
		</div>
	</div>

	
 </div> <!-- цветният блок в средата 'report_edit_block' -->
 
<br>
	
	<!-- ========================== Бутон за ИЗХОД  ========================== -->
	<div style="float:right;margin-right:12px;">
				<?=form_submit(array(
					'name'=>'submit',
					'id'=>'submit',
					'value'=>$this->lang->line('common_edit_save'),
					'class'=>'btn_red float_right') );
				?>
			</form>
	</div> 

<div id="feedback_bar"></div>

<script type="text/javascript" language="javascript">
$(document).ready(function()
{
	
	$('#add_invoice_form').validate({
		submitHandler:function(form)
		{
			$(form).ajaxSubmit({
				success:function(response)
				{
					if(response.success)
					{
						tb_remove();
						post_add_invoice_item_submit(response);
					}
				},
			dataType:'json'
		});

		},
		errorLabelContainer: "#error_message_box",
 		wrapper: "li",
		rules:
		{
		//	item_name: required:true,
			item_qty:
			{
				required:true,
				number:true
			},
			item_unit_price:
			{
				required:true,
				number:true
			},
			item_number:
			{
				required:true,
				number:true
			}
   	},
		messages:
		{
		//	item_name: required:"<?//=$this->lang->line('items_name_required');?>",
			item_qty:
			{
				required:"<?=$this->lang->line('items_quantity_required');?>",
				number:"<?=$this->lang->line('items_quantity_number');?>"
			},
			item_unit_price:
			{
				required:"<?=$this->lang->line('items_unit_price_required');?>",
				number:"<?=$this->lang->line('items_unit_price_number');?>"
			},
			item_number:
			{
				required:"<?=$this->lang->line('items_item_number_required');?>",
				number:"<?=$this->lang->line('items_item_number_number');?>"
			}
		}
	});
});
</script>
