<?php $dta['controller'] = 'Kacas/refresh';
		$dta['main_title'] = $this->lang->line('common_print_blanka');
		$this->load->view("partial/header_back",$dta);
?>

<!-- =================================  MAIN KACA BLOCK  =========================== -->
<div id="table_holder_back">

	<div id="kaca_main_title"><?=$title;?></div>

	<?php $client_name = ''; 
	if($kaca_due_key)
	{
		if($client_mode=='customer') {echo $client_name=$customer_company;}
		elseif($client_mode=='consignee') {echo $client_name=$consignee_company;}
		elseif($client_mode=='supplier') {echo $client_name=$supplier_company;}
	} ?>

	<div id="kaca_subtitle"><?=$subtitle;?></div>
	<br>
	
	<table class="tablesorter">
		<thead>
			<tr>
				<?php echo "<th width='5%'>".$this->lang->line('reports_document')."</th>";		// 1
						echo "<th width='50%'>".$this->lang->line('reports_kaca_name').' - '.$client_name."</th>"; // 2
						echo "<th width='10%'>".$this->lang->line('reports_cost_price')."</th>"; 	// 3
						echo "<th width='5%'>".$this->lang->line('reports_kaca_vat')."</th>";		// 4
						echo "<th width='4%'>".$this->lang->line('reports_pay')."</th>";				// 5
						echo "<th width='10%'>".$this->lang->line('reports_kaca_suma')."</th>";		// 6
						echo "<th width='5%'>".$this->lang->line('reports_kaca_vat_prh')."</th>";	// 7
						echo "<th width='3%'>".$this->lang->line('reports_date')."</th>";				// 8
				?>
			</tr>
		</thead>
		
		<tbody>
		<?php if(isset($customer_due) and $customer_due!=0)
					{ 
						if($customer_due>0) {$color_due='color:#005;';}
						else {$color_due='color:#800;';}?>
						<tr style="line-height:28px;">
							<td colspan="5" style="text-align:center;color:#050;font-size:150%;">
								<b>НАЧАЛНО САЛДО за <?=date('Y');?> г.</b>
							</td>
						
							<td style="text-align:center;font-size:150%;">
								<b style="<?=$color_due;?>"><?=$customer_due;?></b>
							</td>
							
							<?php if($customer_due_vat and $customer_due_vat!=0)
							{ ?>
								<td style="text-align:center;font-size:150%;">
									<b style="<?=$color_due;?>"><?=$customer_due_vat;?></b>
								</td>
							<?php 
							} else { echo '<td></td>';}?>
							<td></td>
						</tr>
		<?php 	}
				elseif(isset($consignee_due) and $consignee_due!=0)
					{
						if($consignee_due>0) {$color_due='color:#005;';}
						else {$color_due='color:#800;';}?>
						<tr style="line-height:28px;">
							<td colspan="5" style="text-align:center;color:#050;font-size:150%;">
								<b>НАЧАЛНО САЛДО за <?=date('Y');?> г.</b>
							</td>
						
							<td style="text-align:center;font-size:150%;">
								<b style="<?=$color_due;?>"><?=$consignee_due;?></b>
							</td>
							
							<?php if($consignee_due_vat and $consignee_due_vat!=0)
							{ ?>
								<td style="text-align:center;font-size:150%;">
									<b style="<?=$color_due;?>"><?=$consignee_due_vat;?></b>
								</td>
							<?php 
							} else { echo '<td></td>';}?>
							<td></td>
						</tr>
		<?php 	}
				elseif(isset($supplier_due) and $supplier_due!=0) 
					{ 
						if($supplier_due>0) {$color_due='color:#005;';}
						else {$color_due='color:#800;';}?>
						<tr style="line-height:28px;">
							<td colspan="8" style="text-align:center;color:#050;font-size:150%;">
								<b>ДЪЛЖИМО към <?=date('Y');?> г.</b>
							</td>
						
							<td style="text-align:center;font-size:150%;">
								<b style="<?=$color_due;?>"><?=$supplier_due;?></b>
							</td>
						
							<?php if($supplier_due_vat and $supplier_due_vat!=0)
							{ ?>
								<td style="text-align:center;font-size:150%;">
									<b style="<?=$color_due;?>"><?=$supplier_due_vat;?></b>
								</td>
							<?php 
							} else { echo '<td></td>';}?>
							<td></td>
						</tr>
				
		<?php		}
		
			foreach ($data as $row) 
				{ ?>
					<tr>
					<?php foreach ($row as $cell) 
						{
							if ( is_numeric($cell) )
								{
									if ( $cell == 0 )
										{ echo '<td style="text-align:left;color:#800;">';} 
									elseif ( $cell > 0 )	
										{ echo '<td style="text-align:right;color:#000;">';}
									else	
										{ echo '<td style="text-align:right;color:#800;">';}
									if ( $cell != 0 ) { echo $cell;}
								}
							else	{ echo '<td style="text-align:left;color:#000;">'; echo $cell;}
							echo '</td>';
						} ?>
					</tr>
		<?php	} ?>
		
					<tr style="height:30px;font-weight:bold;border-top: 2px solid #000;">
						<td colspan="5" 
							 style="text-align:right;color:#005;background-color:transparent;border-left:0px;border-bottom:0px;">
							 <?=$this->lang->line('kaca_alltotal'); ?>
						</td>

			<?php if($client_mode=='customer' or $client_mode=='consignee')
					{ ?>
						<td style="font-weight:bold;text-align:center;color:#000;background-color:#ddd;">
							<?php if ($all_Prihod > 0) { echo '<span style="color:#000;font-size:130%;">'.to_currency_no_money($all_Prihod).'</span>';}
									elseif ($all_Prihod < 0) { echo '<span style="color:#b00;font-size:130%;">'.to_currency_no_money($all_Prihod).'</span>';}?>
						</td>
						<td style="font-weight:bold;text-align:center;color:#000;background-color:#bbb;">
							<?php if ($all_Prihod_Vat > 0) { echo '<span style="color:#000;font-size:130%;">'.to_currency_no_money($all_Prihod_Vat).'</span>';}
									elseif ($all_Prihod_Vat < 0) { echo '<span style="color:#800;font-size:130%;">'.to_currency_no_money($all_Prihod_Vat).'</span>';}?>
						</td>
			<?php }
					elseif($client_mode=='supplier')
					{ ?>
						<td style="font-weight:bold;text-align:center;color:#000;background-color:#ddd;">
							<?php if ($all_Razhod > 0) { echo '<span style="color:#000;font-size:130%;">'.to_currency_no_money($all_Razhod).'</span>';}
									elseif ($all_Razhod < 0) { echo '<span style="color:#800;font-size:130%;">'.to_currency_no_money($all_Razhod).'</span>';}?>
						</td>
						<td style="font-weight:bold;text-align:center;color:#000;background-color:#bbb;">
							<?php if ($all_Razhod_Vat > 0) { echo '<span style="color:#000;font-size:130%;">'.to_currency_no_money($all_Razhod_Vat).'</span>';}
									elseif ($all_Razhod_Vat < 0) { echo '<span style="color:#800;font-size:130%;">'.to_currency_no_money($all_Razhod_Vat).'</span>';}?>
						</td>
			<?php } ?>
						<td style="background-color:transparent;border:none;border-top:1px solid #000;"></td>
					</tr>
		</tbody>
	</table>
	
</div>	
	
<?php $this->load->view("partial/footer_back"); ?>
