<?php $mode = $this->BiSOFT_Model->get_user_mode();
      if(!$mode) {$mode = $this->label_lib->get_mode();}

      $dirBack='labels';
      if($mode=='sale' or $mode=='prep_sale') {$dirBack='sales';}
      elseif(!isset($dirBack)) {$dirBack='labels';} 
      $id_No = $this->config->item('my_account_number');
?>
<!DOCTYPE HTML>
<html lang="en-US" dir="ltr">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<base href="<?=base_url();?>" />

	<title>BiSOFT :: Labels: ( <?=$mode;?> )</title>
	
	<link rel="shortcut icon" href="images/bisoft.ico" type="image/png"/>
	<style>	
		html{height:101%;}
		@font-face { font-family: BiSOFT_Sans;  src: url("<?=base_url();?>/sans.ttf");}
		@font-face { font-family: Roboto;  		 src: url("<?=base_url();?>/roboto.ttf");}
		@font-face { font-family: BarCode_8;  	 src: url("<?=base_url();?>/ean.ttf");}
		@font-face { font-family: BarCode_12;   src: url("<?=base_url();?>/bc10.ttf");}
		@font-face { font-family: Symbols;      src: url("<?=base_url();?>/symbols.ttf");}
	</style>

	<link rel="stylesheet" href="<?=base_url();?>css/eShop.css" />
	<link rel="stylesheet" href="<?=base_url();?>css/labels.css" />
	<link rel="stylesheet" href="<?=base_url();?>css/eShop_print.css"  media="print"/>

	<script>BASE_URL = '<?=site_url();?>';</script>

</head>


<body>

<?php if(isset($firstLabel) and $firstLabel) 
{ ?>
<!-- ====================== TOP navigation ======================= -->
<div id="menubar_empty">
	<div id="menubar_footer_new">
		<div id="menubar_footer_place">
<?php $back_path = site_url('labels');if(isset($controller)){$back_path = site_url($controller);}
		$user_name = ''; if(isset($user_info)) {$user_name = trim($user_info->first_name);} ?>
		<span id="menubar_footer_back">
			<a href="<?=$back_path;?>"><img src="images/arrow-back.png"/></a>
		</span>
<?php if (isset($main_title)) 
		{ echo "<div id='menubar_main_title'>$main_title</div>";} ?>
				  <div id="menubar_footer_operator"><?=$user_name;?></div>
		</div>
	</div>
</div> <!-- menubar_empty -->

<?php 
}
      // тук си намирам всичко за артикула ...
      if(!isset($lang) or $lang=='BG') {$lang='bg';}
      
      // $lining = '100% памук';
      $lining_name = '';

      $item = $inum; // идва си ...
      
      if($inum and strlen($inum)>4)
         { $item_number = substr($inum,0,2).substr($inum,-3);}
      else
         { $item_number = substr($inum,0,1).'&nbsp;'.substr($inum,-3);}
      
      $sizes = $this->Item->get_sizes($inum);
      $item_info = $this->Item->get_item_info($inum);
      $sgp_info = $this->Item->get_sklad_info($inum,0);
      $cat_id = $this->Item->get_cat_id($item_info->category);
      
      $mode_price = $this->label_lib->get_mode_price();
		switch ($mode_price) 
		{
         case '10':$price = 0; break;
			case '2': $price = $sgp_info->price_2; break;
			case '3': $price = $sgp_info->price_3; break;
			case '4': $price = $sgp_info->price_4; break;
			case '5': $price = $sgp_info->price_5; break;
			case '6': $price = $sgp_info->price_6; break;
         
         default: $price = $sgp_info->price_2;
						 if( $sgp_info->price_3>0 and $sgp_info->price_3<$sgp_info->price_2 ) 
							{ $price = $sgp_info->price_3; }
      }
      
      // echo $mode_price;
      // die();

      // Compositions:
      $content_1 = $content_2 = $content_3 = $content_4 = $content_5 = $lining_1 = $lining_2 = '';
      $Content = explode(',',$item_info->item_contents);

      if(isset($Content[0])) {$content_1 = trim($Content[0]);} else {$content_1 = '';}
      if(isset($Content[1])) {$content_2 = trim($Content[1]);}
      if(isset($Content[2])) {$content_3 = trim($Content[2]);}
      if(isset($Content[3])) {$content_4 = trim($Content[3]);}
      
      if(isset($Content[4]) and $mode=='label_7') {$lining_1 = trim($Content[4]);}
      elseif(isset($Content[4])) {$content_5 = trim($Content[4]);}
      if(isset($Content[5]) and $mode=='label_7') {$lining_2 = trim($Content[5]);}

      // item_care
      if(isset($item_info->item_care) and $item_info->item_care)
         { $symbols = $item_info->item_care;}
      else
         { $symbols = 'gDLHU';} // default symbols
         
      if($lang=='bg' or $lang=='BG' or $lang=='kris' or $lang=='vitality' or $lang=='villy') 
      { 
         if($cat_id) {$item_name = $this->Item->get_cat_label($cat_id);}
         else {$item_name = ' - НЯМА ИМЕ -';}
         $item_name = mb_strtoupper($item_name, "utf-8");
            if($lang=='villy') { $item_name=$item_info->name; }
            elseif($lang=='vitality')
            {
					$inumName = mb_strtolower($item_info->name);
					$item_name = trim(str_replace(array("vitality"), '', $inumName));
            }
         $company = $this->config->item('company');
         $item_label = 'Арт.№ &nbsp;';
         $item_label_7 = 'арт.&nbsp;';
         $price_label = '';
         if($price>0) { $price_label = 'Цена: '.to_dot($price).' лв'; } 
         if($mode=='label_styler' or $mode=='label_7') { $price_label = 'цена'; }
         if($mode=='label_villy' and $price>0) { $price_label = 'Цена: <b style="font-size:17px;">'.round($price,0).'</b> лв'; }
         $content_label='Състав:';
         $size_label  = 'Размер &nbsp;'; $size_vid='&nbsp; BG:';
         $made_in = 'ПРОИЗВЕДЕНО В БЪЛГАРИЯ';
         if(isset($lining_1) and $lining_1!='') {$lining_name = 'Хастар: ';}
         else {$lining=$lining_name='';}
      }
      elseif($lang=='en')
      {
         if($cat_id) {$item_name = $this->Item->get_cat_name_en($cat_id);}
         else {$item_name = ' - NO NAME -';}
         $item_name = strtoupper($item_name);
            if($lang=='villy') {$item_name=$item_info->name;}
         $company = $this->config->item('company_eng');
         $item_label = 'Style# &nbsp;';
         $item_label_7 = '#&nbsp;';
         $price_label = '';
         $content_label='Composition:';
         $size_label  = 'Size &nbsp;'; $size_vid='&nbsp; EU: ';
         $made_in = 'MADE IN EUROPE';
         if(isset($lining_1) and $lining_1!='') {$lining_name = 'Lining:';}
         else {$lining=$lining_name='';}
      }
      
      $item .= '00'.str_pad($size, 2, "0", STR_PAD_LEFT);
      $barcode = $this->Label->barcode_bicode_12($item);
?>

<!-- =====================================  MAIN BODY ============================= -->
<div class="empty_lable_gap"></div>

<?php if($mode=='label_kris' or $mode=='label_styler' or $mode=='label_vitality')
{ ?>
 <div id="content_kris_printer">
  <div id="item_kris_body">
<?php 
}
elseif($mode=='label_7' or $mode=='label_shoes')
{ ?>
 <div id="content_label_7_printer">
  <div id="item_barcode_7_body">
<?php
}
elseif($mode=='label_villy')
{ ?>
 <div id="content_villy_printer">
  <div id="item_villy_body">
<?php
}
else
{ ?>
 <div id="content_label_printer">
  <div id="item_barcode_body">
<?php
}

if($mode=='label_effe' or $mode=='label_effe_2') 
	{ echo "<div id='item_barcode_label_EFFE'><img src='../bisoft_data/install/label_effe.jpg' width='88px'/></div>"; }
elseif($mode=='label_styler')
	{ echo "<div id='item_barcode_label_acc'><br><img src='../bisoft_data/install/company_label.jpg' width='120px'/></div>"; }
elseif($mode=='label_vitality') 
	{ echo "<div id='item_barcode_label_acc'><img src='../bisoft_data/install/label_vitality.jpg' width='110px'/></div>"; } 
elseif($mode=='label_villy')
	{ echo "<div id='item_company_name_villy'>".character_limiter($company,30)."</div>"; }
elseif($mode=='label_kris')
	{ echo "<div id='item_barcode_label_KRIS'><img src='../bisoft_data/install/label_kris.jpg' width='70px'/></div>"; }
elseif($mode=='label_7' or $mode=='label_shoes') 
{ ?>
   <div id="item_website_7"><?=$this->config->item('website');?></div>
	<div id="item_barcode_label_7"><img src='../bisoft_data/install/company_label_small.jpg' width='120px'/></div>
<?php 
}
else // стандартен LABEL
{ ?>
	<div id="item_company_name"><?=character_limiter($company,20);?></div>
   <div id="item_website"><?=$this->config->item('website');?></div>
	<div id="item_barcode_label"><img src='../bisoft_data/install/company_label.jpg' width='120px'/></div>
<?php 
} ?>

<!-- имената за новия етикет 7 -->
<?php if($mode=='label_7' or $mode=='label_shoes')
{ ?>
		<div id="item_barcode_name_7"><?=character_limiter($item_name,20);?></div>
		<div id="item_barcode_inum_7"><?=$item_label_7;?><b style="font-family:Arial;font-size:12px;"><?=$item_number;?></b></div>
<?php 
}
elseif($mode=='label_vitality')
{ ?>
		<br>
		<div style="margin-top:28px;font-size:11px;">
			<span><?=character_limiter($item_name,20);?></span>
			<br>
			<span><?=$item_label_7;?><b style="font-family:Arial;font-size:13px;"><?=$item_number;?></b></span>
		</div>
<?php 
}
elseif($mode=='label_villy')
{ ?>
		<div id="item_barcode_name_villy"><?=character_limiter($item_name,35);?></div>
		<div id="item_barcode_inum_villy"><?=$item_label_7;?><b style="font-family:Arial;font-size:17px;"><?=$item_number;?></b></div>
<?php
}
else // всички останали ... //
{ ?>
		<div id="item_barcode_name"><?=character_limiter($item_name,20);?></div>
		<div id="item_barcode_inum"><?=$item_label;?><b style="font-family:Arial;font-size:14px;"><?=$item_number;?></b></div>
<?php 
}

      if($mode=='label_kris' or $mode=='label_styler' or $mode=='label_vitality')
      { ?>
				<div id="item_kris_small_image"><?=$barcode;?></div>
				<div id="item_kris_mask_barcode"></div>
      <?php 
      }

if($size and $mode=='label_7' or $mode=='label_shoes')
{ ?>
			<div id="item_barcode_size_7">BG<br>
            <span style="font-family:Arial;font-size:18px;">
               <b><?=trim($sizes[$size]);?></b>
            </span>
			</div>
<?php 
}
elseif($size and $mode=='label_villy')
{ ?>
			<div id="item_barcode_size_villy"> размер: <b>BG</b><br>
            <span style="font-family:Arial;font-size:22px;">
               <b><?=trim($sizes[$size]);?></b>
            </span>
			</div>
<?php 
}
elseif($size) // всички останали .. //
{ ?>
			<div id="item_barcode_size">
            <?=$size_label.$sizes[$size];?>
			</div>
<?php 
}


// Contents //
if($lang=='bg' and $mode!='label_kris'  and $mode!='label_styler' and $mode!='label_vitality' and
                   $mode!='label_villy' and $mode!='label_7' 		and $mode!='label_shoes')
{ ?>
      <div id="item_barcode_contents">
			
            <div class="item_barcode_content_name">
               <?=$content_label;?>
				</div>
            <div class="item_barcode_contentx">
               <?=$content_1;?>
				</div>
            <div class="item_barcode_contentx">
               <?=$content_2;?>
				</div>
            <div class="item_barcode_contentx">
               <?=$content_3;?>
				</div>
            <div class="item_barcode_contentx">
               <?=$content_4;?>
				</div>
            <div class="item_barcode_contentx">
               <?=$content_5;?>
				</div>

         <div class="item_barcode_content_name">
            <?=$lining_name;?>
			</div>
            <div class="item_barcode_contentx">
               <?=$lining_1;?>
				</div>
            <div class="item_barcode_contentx">
               <?=$lining_2;?>
				</div>
<?php 
}
elseif($mode=='label_7' or $mode=='label_shoes')
{ ?>
      <div id="item_barcode_contents_7">
			
         <div class="item_barcode_content_name">
            <b><?=$content_label;?></b>
			</div>
            <div class="item_barcode_contentx_7">
               <?=$content_1;?>
				</div>
            <div class="item_barcode_contentx_7">
               <?=$content_2;?>
				</div>
            <div class="item_barcode_contentx_7">
               <?=$content_3;?>
				</div>
            <div class="item_barcode_contentx_7">
               <?=$content_4;?>
				</div>
				
         <div class="item_barcode_content_name">
            <b><?=$lining_name;?></b>
         </div>
            <div class="item_barcode_contentx">
               <?=$lining_1;?>
				</div>
            <div class="item_barcode_contentx">
               <?=$lining_2;?>
				</div>
<?php 
}
elseif($mode=='label_kris' or $mode=='label_styler' or $mode=='label_vitality')
{ ?>
      <div id="item_kris_contents">
			
            <div class="item_barcode_content_name">
               <?=$content_label;?>
				</div>
            <div class="item_barcode_contentx">
               <?=$content_1;?>
				</div>
            <div class="item_barcode_contentx">
               <?=$content_2;?>
				</div>
            <div class="item_barcode_contentx">
               <?=$content_3;?>
				</div>
            <div class="item_barcode_contentx">
               <?=$content_4;?>
            </div>
<?php
}
elseif($mode=='label_villy')
{ ?>
      <div id="item_villy_contents">
			
            <div class="item_barcode_content_name">
               <span style='font-size:112%;'><?=$content_label;?></span>
				</div>
            <div class="item_barcode_contentx" style='margin-top:2px;'>
               <?=$content_1;?>
				</div>
            <div class="item_barcode_contentx">
               <?=$content_2;?>
				</div>
            <div class="item_barcode_contentx">
               <?=$content_3;?>
				</div>
            <div class="item_barcode_contentx">
               <?=$content_4;?>
            </div>
<?php 
}
else // English
{ ?>
      <div id="item_barcode_contents">
            <div class="item_barcode_content_name">
               <?=$content_label;?>
				</div>
            <div class="item_barcode_contentx">
               <?=form_input(array(
						'name'=>'content_1','size'=>'20',
						'value'=>$content_1 ) );?>
				</div>
            <div class="item_barcode_contentx">
               <?=form_input(array(
						'name'=>'content_2','size'=>'20',
						'value'=>$content_2 ) );?>
				</div>
            <div class="item_barcode_contentx">
               <?=form_input(array(
						'name'=>'content_2','size'=>'20',
						'value'=>$content_3 ) );?>
				</div>
            <div class="item_barcode_contentx">
               <?=form_input(array(
						'name'=>'content_2','size'=>'20',
						'value'=>$content_4 ) );?>
				</div>
            <div class="item_barcode_contentx">
               <?=form_input(array(
						'name'=>'content_5','size'=>'20',
						'value'=>$content_5 ) );?>
				</div>
            <div class="item_barcode_content_name">
               <?=$lining_name;?>
				</div>
            <div class="item_barcode_contentx">
               <?=form_input(array(
						'name'=>'lining_1','size'=>'20',
						'value'=>$lining_1 ) );?>
				</div>
            <div class="item_barcode_contentx">
               <?=form_input(array(
						'name'=>'lining_2','size'=>'20',
						'value'=>$lining_2 ) );?>
				</div>
<?php 
}?>
      </div>

			
<?php if($mode=='label_kris' or $mode=='label_styler' or $mode=='label_vitality')
{ 
    // Vitality спрян:
    if($mode_price=='10' or $price=='0') { $price_label = ''; } // $mode=='label_vitality' or 
?>
         <div id="item_kris_price">
            <?=$price_label;?>
         </div>
         
         <div id="item_kris_symbols">
            <?=$symbols;?>
         </div>
         
         <div id="item_kris_madein">
            <?=$made_in;?>
         </div>
<?php 
}
elseif($mode=='label_villy')
{ ?>
         <div id="item_barcode_image_villy">
            <?=$barcode;?>
         </div>
         
         <div id="item_villy_price">
            <?=$price_label;?>
         </div>
         
         <div id="item_villy_symbols">
            <?=$symbols;?>
         </div>
         
         <div id="item_villy_madein">
            <?=$made_in;?>
         </div>
<?php 
}
elseif($mode=='label_7')
{ 
   $ctotinki = round($price,2) - floor($price);
   if($ctotinki==0) {$ctotinki='';}
   else {$ctotinki = substr(to_dot($price - floor($price)),-3);}
?>
         <div id="item_barcode_price_7">
            <?=$price_label;?>
            <br>
            <b style="font-size:16px;font-family:Arial"><?=floor($price).'<span style="font-size:60%;vertical-align:top;">'.
                      $ctotinki.'</span>';?></b>
            <span style="font-size:12px;"><?=' лв.';?>
         </div>
<?php 
}
elseif($mode=='label_shoes')
{ 
   $ctotinki = round($price,2) - floor($price);
   if($ctotinki==0) {$ctotinki='';}
   else {$ctotinki = substr(to_dot($price - floor($price)),-3);}
?>
		<div id="item_barcode_price_7"><?=$price_label;?></div>
		<div id="item_barcode_shoes_symbols"><?=$symbols;?></div>
<?php 
}
else
{ ?>
		<div id="item_barcode_symbols"><?=$symbols;?></div>
<?php 
}


if($mode!='label_styler' and $mode!='label_villy' and $mode!='label_effe_2' and $mode!='label_vitality' and 
   $mode!='label_kris'   and $mode!='label_7'     and $mode!='label_shoes') 
{ ?>         
         <div id="item_barcode_madein">
            <?=$made_in;?>
         </div>

         <div id="item_barcode_small_image">
            <?=$barcode;?>
         </div>
         
         <div id="item_barcode_price">
            <?=$price_label;?>
         </div>	
<?php 
}


if($mode!='label_styler'   and $mode!='label_villy' and $mode!='label_kris' and 
	$mode!='label_vitality' and $mode!='label_7'     and $mode!='label_shoes')
{ ?>
         <div id="item_barcode_image">
            <?=$barcode;?>
         </div>
<?php 
}
elseif($mode=='label_7') 
{ ?>
	<div id="item_company_name_7">
		<?=character_limiter($company,20);?>
   </div>
   
   <div id="item_barcode_madein_7">
      <?=$made_in;?>
   </div>
         
   <div id="item_barcode_image_7">
      <?=$barcode;?>
   </div>
<?php 
}
elseif($mode=='label_shoes') 
{ ?>
   <div id="item_barcode_madein_7">
     <span class="item_acc_contentx" style="margin-left:6px;margin-top:-2px;">
     <?=form_input(array(
               'name'=>'made_in',
               'size'=>'24',
               'value'=>$made_in) );
     ?>
     </span>
   </div>
         
   <div id="item_barcode_image_7">
      <?=$barcode;?>
   </div>
<?php 
} ?>  

   </div>
</div>


<?php if($lang=='bg' and $all_qty==1 and !$proba)
      { ?>
         <script type="text/javascript">
         $(window).load(function()
         {
            window.print();
            window.history.back();
         });
         </script>
<?php } ?>  
  
</body>
</html>
