<!DOCTYPE HTML>
<html lang="en-US">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<base href="<?=base_url();?>" />

	<title>BiSOFT :: Labels</title>
	
	<link rel="shortcut icon" href="images/bisoft.ico" type="image/png"/>
	<style>	
		html{height:101%;}
		@font-face { font-family: BiSOFT_Sans;  src: url("<?=base_url();?>/sans.ttf");}
		@font-face { font-family: Roboto;  		 src: url("<?=base_url();?>/roboto.ttf");}
		@font-face { font-family: BarCode_8;  	 src: url("<?=base_url();?>/ean.ttf");}
		@font-face { font-family: BarCode_12;   src: url("<?=base_url();?>/bc10.ttf");}
		@font-face { font-family: Symbols;      src: url("<?=base_url();?>/symbols.ttf");}
	</style>

	<link rel="stylesheet" href="<?=base_url();?>css/eShop.css" />
	<link rel="stylesheet" href="<?=base_url();?>css/labels.css" />
	<link rel="stylesheet" href="<?=base_url();?>css/eShop_print.css"  media="print"/>

	<script>BASE_URL = '<?=site_url();?>';</script>

</head>

<?php $mode = $this->BiSOFT_Model->get_user_mode();
$dirBack='labels';
if($mode=='prep_sale') {$dirBack='sales';}
elseif(!isset($dirBack)) {$dirBack='labels';} 
$id_No = $this->config->item('my_account_number');
?>

<body>
<!-- ====================== TOP navigation ======================= -->
<div id="menubar_empty">
	<div id="menubar_footer_new">
		<div id="menubar_footer_place">
<?php $back_path = site_url('labels');if(isset($controller)){$back_path = site_url($controller);}
		$user_name = ''; if(isset($user_info)) {$user_name = trim($user_info->first_name);} ?>
		<span id="menubar_footer_back">
			<a href="<?=$back_path;?>"><img src="images/arrow-back.png"/></a>
		</span>
<?php if (isset($main_title)) 
		{ echo "<div id='menubar_main_title'>$main_title</div>";} ?>
				  <div id="menubar_footer_operator"><?=$user_name;?></div>
		</div>
	</div>
</div> <!-- menubar_empty -->

<?php if($inum and strlen($inum)>4)
         { $item_number = substr($inum,0,2).'-'.substr($inum,-3);}
      else
         { $item_number = substr($inum,0,1).'-'.substr($inum,-3);}
      
//    $sizes = $this->Item->get_sizes($inum);
      $item_info = $this->Item->get_item_info($inum);
      $price = '-/-';
      $sgp_info = $this->Item->get_sklad_info($inum,0);
      if($sgp_info) {$price = $sgp_info->price_2;}
// 	if($sgp_info->price_3>0 and $sgp_info->price_3<$sgp_info->price_2){$price = $sgp_info->price_3;}
      $cat_id = $this->Item->get_cat_id($item_info->category);
      
      // Compositions:
      $content_1 = $content_2 = $content_3 = $content_4 = $content_5 = $lining_1 = $lining_2 = '';
      $Content = explode(',',$item_info->item_contents);

      if(isset($Content[0])) {$content_1 = trim($Content[0]);} else {$content_1 = '';}
      if(isset($Content[1])) {$content_2 = trim($Content[1]);}
      if(isset($Content[2])) {$content_3 = trim($Content[2]);}
      if(isset($Content[3])) {$content_4 = trim($Content[3]);}
      if(isset($Content[4])) {$content_5 = trim($Content[4]);}

      // item_care
      if(isset($item_info->item_care) and $item_info->item_care)
         { $symbols = $item_info->item_care;}
      else
         { $symbols = 'gDLHU';} // default symbols
         
         if($cat_id) {$item_name = $this->Item->get_cat_label($cat_id);}
         else {$item_name = ' - НЯМА ИМЕ -';}
         $item_name = mb_strtoupper($item_name, "utf-8");
         $company = $this->config->item('company');
         $item_label = 'Арт.№ &nbsp;';
         $price_label = 'Цена: '.to_dot($price).'лв';
         $content_label='Състав:';
         $size_label  = 'Размер &nbsp;'; $size_vid='&nbsp; BG:';
         $made_in = 'ПРОИЗВЕДЕНО В БЪЛГАРИЯ';
         if(isset($lining_1) and $lining_1!='') {$lining_name = 'Хастар: ';}
         else {$lining=$lining_name='';}

         
      $inum .= '0000';
      $barcode  = $this->Label->barcode_bicode_12($inum);
?>

<!-- =====================================  MAIN BODY ============================= -->
<div class="empty_lable_gap"></div>
 
<?php if($type=='scarf')
{ ?>
<div id="content_kris_printer">
  <div id="item_kris_body">
  
	<div id="item_barcode_label_7">
		<img src='../bisoft_data/install/company_label_small.jpg' width='120px'/>
	</div>
	
	<div id="item_company_name">
		<?=character_limiter($company,20);?>
   </div>
   <div id="item_website">
		<?=$this->config->item('website');?>
	</div>

			<div id="item_barcode_dostav">
         <?=form_input(array(
               'name'=>'dostav','size'=>'24',
					'value'=>'' ) );?>
				<br>
         <?=form_input(array(
               'name'=>'dostav','size'=>'24',
					'value'=>'' ) );?>
			</div>	
	
			<div id="item_barcode_name">
				<?=character_limiter($item_name,20);?>
			</div>

			<div id="item_barcode_inum">
				<?=$item_label;?><b style="font-size:12px;"><?=$item_number;?></b>
			</div>			
			
         <div id="item_kris_small_image">
            <?=$barcode;?>
         </div>
         <div id="item_kris_mask_barcode"></div>

			<div id="item_barcode_scarf_size">
         <?=form_input(array(
               'name'=>'size','size'=>'14',
					'value'=>'' ) );?>
			</div>
         
			<div id="item_kris_contents">
            <div class="item_barcode_content_name">
               <?=$content_label;?>
				</div>
            <div class="item_barcode_contentx">
               <?=$content_1;?>
				</div>
            <div class="item_barcode_contentx">
               <?=$content_2;?>
				</div>
            <div class="item_barcode_contentx">
               <?=$content_3;?>
				</div>
            <div class="item_barcode_contentx">
               <?=$content_4;?>
            </div>
         </div>

         <div id="item_kris_price">
            <?=$price_label;?>
         </div>
         
         <div id="item_kris_symbols">
            <b><?=$symbols;?></b>
         </div>
         
         <div id="item_kris_madein">
            <?=form_input(array(
                  'name'=>'dostav','size'=>'26',
                  'value'=>$made_in ) );?>
         </div>
<?php 
}
elseif($type=='acc')
{ ?>
<div id="content_acc_printer">
  <div id="item_acc_body">

   <div id="item_acc_image">
      <?=$barcode;?>
   </div>
   <div id="item_acc_blank_image"></div>   
   
  	<div id="item_acc_company_name">
		<?=character_limiter($company,20);?>
   </div>

			<div id="item_acc_inum">
				Арт.<b style="font-size:9px;"><?=$item_number;?></b>
			</div>			

      <?php $price_label = 'Цена: <b style="font-size:10px;">'.$price.'</b> лв';?>

         <div id="item_acc_price">
            <?=$price_label;?>
         </div>
         
			<div id="item_acc_name">
            <?=form_input(array(
                     'name'=>'acc_name','size'=>'20',
                     'value'=>character_limiter($item_info->name,20) ) );
            ?>
			</div>
         
         <div id="item_acc_symbols">
            <b><?=substr($symbols,0,4);?></b>
         </div>
  
			<div id="item_acc_contents">

            <div class="item_acc_contentx">
            <?=form_input(array(
               'name'=>'acc_name','size'=>'12',
               'value'=>$item_info->item_contents ) );
            ?>
				</div>
         </div>
<?php
}
elseif($type=='needle')
{ ?>
<div id="content_acc_printer">
  <div id="item_acc_body">

   <div id="item_acc_image">
      <?=$barcode;?>
   </div>
   <div id="item_acc_blank_image"></div>   
   
  	<div id="item_acc_company_name">
		<?=character_limiter($company,20);?>
   </div>

			<div id="item_acc_inum">
				Арт.<b style="font-size:9px;"><?=$item_number;?></b>
			</div>			

      <?php $price_label = 'Цена: <b style="font-size:9px;">'.$price.'</b> лв';?>

         <div id="item_acc_price">
            <?=$price_label;?>
         </div>
         
			<div id="item_acc_name">
            <?=form_input(array(
                     'name'=>'acc_name','size'=>'20',
                     'value'=>character_limiter($item_info->name,20) ) );
            ?>
			</div>
  
			<div class="item_needle_contents">
            <div class="item_acc_contentx">
            <?=form_input(array(
               'name'=>'acc_name',
               'size'=>'24',
               'value'=>'не съдържа никел') );
            ?>
				</div>
         </div>
<?php
} ?>

    </div>
  </div>

<?php 

if(!$proba)
{ ?>
<script type="text/javascript">
$(window).load(function()
{
//   window.print();
//   window.history.back();
});
</script>
<?php
} ?>  
  
</body>
</html>
