<!DOCTYPE HTML>
<html lang="en-US" dir="ltr">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<base href="<?=base_url();?>" />
	<title>BiSOFT :: Barcodes</title>
	<link rel="shortcut icon" href="images/bisoft.ico" type="image/png"/>
	<style>	
		html{height:101%;}
		@font-face { font-family: BiSOFT_Sans;  src: url("<?=base_url();?>/sans.ttf");}
		@font-face { font-family: Roboto;  		 src: url("<?=base_url();?>/roboto.ttf");}
		@font-face { font-family: BarCode_8;  	 src: url("<?=base_url();?>/ean.ttf");}
		@font-face { font-family: BarCode_12;   src: url("<?=base_url();?>/bc10.ttf");}
		@font-face { font-family: Symbols;      src: url("<?=base_url();?>/symbols.ttf");}
	</style>
	<link rel="stylesheet" rev="stylesheet" href="<?=base_url();?>css/eShop.css" />
	<link rel="stylesheet" rev="stylesheet" href="<?=base_url();?>css/labels.css" />
	<link rel="stylesheet" rev="stylesheet" href="<?=base_url();?>css/eShop_print.css"  media="print"/>
	<script>BASE_URL = '<?=site_url();?>';</script>
	<script src="<?=base_url();?>js/jquery-1.2.6.min.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=base_url();?>js/jquery.color.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=base_url();?>js/jquery.metadata.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=base_url();?>js/jquery.form.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=base_url();?>js/jquery.tablesorter.min.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=base_url();?>js/jquery.ajax_queue.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=base_url();?>js/jquery.bgiframe.min.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=base_url();?>js/jquery.autocomplete.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=base_url();?>js/jquery.validate.min.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=base_url();?>js/jquery.jkey-1.1.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=base_url();?>js/thickbox.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=base_url();?>js/common.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=base_url();?>js/manage_tables.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=base_url();?>js/swfobject.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=base_url();?>js/date.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
	<script src="<?=base_url();?>js/datepicker.js" type="text/javascript" language="javascript" charset="UTF-8"></script>
<style type="text/css">
	html { overflow: auto; }
</style>
</head>

<?php $mode = $this->BiSOFT_Model->get_user_mode(); ?>

<body>
<div id="menubar_empty">
	<div id="menubar_footer_new">
		<div id="menubar_footer_place">
<?php $back_path = site_url('labels');if(isset($controller)){$back_path = site_url($controller);}
		$user_name = ''; if(isset($user_info)) {$user_name = trim($user_info->first_name);} ?>
		<span id="menubar_footer_back">
			<a href="<?=$back_path;?>"><img src="images/arrow-back.png"/></a>
		</span>
<?php if (isset($main_title)) 
		{ echo "<div id='menubar_main_title'>$main_title</div>";} ?>
				  <div id="menubar_footer_operator"><?=$user_name;?></div>
		</div>
	</div>
</div> <!-- menubar_empty -->

<?php $item = $inum;
      $inum .= '0000';
      $barcode  = $this->Label->barcode_bicode_12($inum);
?>

<!-- =====================================  MAIN BODY ============================= -->
<div class="empty_lable_gap"></div>

 <div id="content_label_printer">
  <div id="item_barcode_body">

      <div style="text-align:center;"><?='арт. <b>'.$item;?></b></div>

         <div class="any_barcode_image">
            <?=$barcode;?>
         </div>
         <div class="any_barcode_image">
            <?=$barcode;?>
         </div>
         <div class="any_barcode_image">
            <?=$barcode;?>
         </div>
         <div class="any_barcode_image">
            <?=$barcode;?>
         </div>
         <div class="any_barcode_image">
            <?=$barcode;?>
         </div>
         <div class="any_barcode_image">
            <?=$barcode;?>
         </div>

    </div>
  </div>
  
</body>
</html>
