<!DOCTYPE HTML>
<html lang="en-US">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<base href="<?=base_url();?>" />

	<title>BiSOFT:Labels</title>
	
	<link rel="shortcut icon" href="images/bisoft.ico" type="image/png"/>
	<style>	
		html{height:101%;}
		@font-face { font-family: BiSOFT_Sans;  src: url("<?=base_url('sans.ttf');?>");}
		@font-face { font-family: Roboto;  		 src: url("<?=base_url('roboto.ttf');?>");}
		@font-face { font-family: BarCode_8;  	 src: url("<?=base_url('ean.ttf');?>");}
		@font-face { font-family: BarCode_12;   src: url("<?=base_url('bc10.ttf');?>");}
		@font-face { font-family: Symbols;      src: url("<?=base_url('symbols.ttf');?>");}
	</style>

	<link rel="stylesheet" href="<?=base_url('css/eShop.css');?>"  media="all" />
	<link rel="stylesheet" href="<?=base_url('css/labels.css');?>"  media="all" />
	<link rel="stylesheet" href="<?=base_url('css/eShop_print.css');?>" media="print"/>

	<script>BASE_URL = '<?=site_url();?>';</script>

</head>

<?php $mode = $this->BiSOFT_Model->get_user_mode();
$dirBack='labels';
$id_No = $this->config->item('my_account_number');
?>

<body>
<!-- ====================== TOP navigation ======================= -->
<div id="menubar_empty">
	<div id="menubar_footer_new">
		<div id="menubar_footer_place">
<?php $back_path = site_url('labels');if(isset($controller)){$back_path = site_url($controller);}
		$user_name = ''; if(isset($user_info)) {$user_name = trim($user_info->first_name);} ?>
		<span id="menubar_footer_back">
			<a href="<?=$back_path;?>"><img src="images/arrow-back.png"/></a>
		</span>
<?php if (isset($main_title)) 
		{ echo "<div id='menubar_main_title'>$main_title</div>";} ?>
				  <div id="menubar_footer_operator"><?=$user_name;?></div>
		</div>
	</div>
</div> <!-- menubar_empty -->

<?php // item_care
      $symbols = 'gDLHU'; // default symbols
      
      $item_label = 'Арт. ';
      $size_label  = 'Размер/Size ';
      
      $content_label = 'Състав:';
      $content_label_en = 'Composition:';
      
      $lining_name = 'Хастар:';
      $lining_name_en = 'Lining:';
?>

<!-- =====================================  MAIN BODY ============================= -->
<div class="empty_lable_gap"></div>

<div id="content_com_saten_printer">

  <div id="item_com_saten_body">
  
      <div id="item_com_saten_label">
         <?php if($saten=='styler')
               { echo "<img src='../bisoft_data/install/company_label_small.jpg' width='85px'/>";
                              
                  if(isset($id_No) and $id_No=='115752718') //само STYLER
                     {  
                        echo '<br><b style="font-family:Arial;font-size:7px;">MEN FASHION POWER</b>';
                        echo '<br><span id="item_com_saten_styler_web"><b>styler.bg</b></span>';
                        if($q_code) {echo '<div id="item_com_saten_code">'.$q_code.'</div>';}
                     }
               }
               elseif($saten=='effe')
               { echo "<img src='../bisoft_data/install/label_effe.jpg' width='75px'/>"; } ?>
      </div>    

			<div id="item_com_saten_contents">
			
            <div class="item_saten_comx">
               <?=form_input(array(
						'name'=>'content_1','size'=>'12',
						'value'=>'Състав:' ) );?>
				</div>
            <div class="item_saten_comx">
               <?=form_input(array(
						'name'=>'content_2','size'=>'12',
						'value'=>'' ) );?>
				</div>
            <div class="item_saten_comx">
               <?=form_input(array(
						'name'=>'content_3','size'=>'12',
						'value'=>'' ) );?>
				</div>
            <div class="item_saten_comx">
               <?=form_input(array(
						'name'=>'content_4','size'=>'12',
						'value'=>'' ) );?>
				</div>
				
            <div class="item_saten_comx">
               <?=form_input(array(
						'name'=>'content_5','size'=>'12',
						'value'=>'' ) );?>
				</div>
				
			<!--	
            <div class="item_saten_comx">
               <?
               /* =form_input(array(
						'name'=>'content_6','size'=>'13',
						'value'=>'' ) );
					*/
					?>
				</div>
			-->

			</div>

         <div id="item_com_saten_symbols">
            <?=$symbols;?>
         </div>
         
         <div id="item_com_saten_end">_ _ _</div>
         
    </div>
  </div>

<?php 

if(!$proba)
{ ?>
<script type="text/javascript">
$(window).load(function()
{
//   window.print();
//   window.history.back();
});
</script>
<?php
} ?>  
  
</body>
</html>
