<!DOCTYPE HTML>
<html lang="en-US" dir="ltr">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<base href="<?=base_url();?>" />

	<title>BiSOFT:Labels</title>
	
	<link rel="shortcut icon" href="images/bisoft.ico" type="image/png"/>
	<style>	
		html{height:101%;}
		@font-face { font-family: BiSOFT_Sans;  src: url("<?=base_url();?>/sans.ttf");}
		@font-face { font-family: Roboto;  		 src: url("<?=base_url();?>/roboto.ttf");}
		@font-face { font-family: BarCode_8;  	 src: url("<?=base_url();?>/ean.ttf");}
		@font-face { font-family: BarCode_12;   src: url("<?=base_url();?>/bc10.ttf");}
		@font-face { font-family: Symbols;      src: url("<?=base_url();?>/symbols.ttf");}
	</style>

	<link rel="stylesheet" href="<?=base_url();?>css/eShop.css" />
	<link rel="stylesheet" href="<?=base_url();?>css/labels.css" />
	<link rel="stylesheet" href="<?=base_url();?>css/eShop_print.css"  media="print"/>

	<script>BASE_URL = '<?=site_url();?>';</script>

</head>

<?php $mode = $this->BiSOFT_Model->get_user_mode();
$dirBack='labels';
$id_No = $this->config->item('my_account_number');
?>

<body>
<!-- ====================== TOP navigation ======================= -->
<div id="menubar_empty">
	<div id="menubar_footer_new">
		<div id="menubar_footer_place">
<?php $back_path = site_url('labels');if(isset($controller)){$back_path = site_url($controller);}
		$user_name = ''; if(isset($user_info)) {$user_name = trim($user_info->first_name);} ?>
		<span id="menubar_footer_back">
			<a href="<?=$back_path;?>"><img src="images/arrow-back.png"/></a>
		</span>
<?php if (isset($main_title)) 
		{ echo "<div id='menubar_main_title'>$main_title</div>";} ?>
				  <div id="menubar_footer_operator"><?=$user_name;?></div>
		</div>
	</div>
</div> <!-- menubar_empty -->

<?php
      // item_care
      $symbols = 'gDLHU'; // default symbols
      if($saten=='arido') 
         {  $symbols_1='g  D  L'; $symbols_2='H  U';}
      elseif($saten=='bultex')
         {  $symbols = 'dDLHU';}
      elseif($saten=='yogas')
         {  $symbols = 'gDLTH';}
?>

<!-- =====================================  MAIN BODY ============================= -->
<div class="empty_lable_gap"></div>


<div id="content_com_saten_printer">

  <div id="item_com_saten_body">
  
<?php if($saten=='bultex') 
{ ?> 
     <div id="item_bultex_saten_madein">
     Произведено в<br>България
     </div>
     
     <div id="item_bultex_saten_contents">
        <div class="item_saten_comx">
           <?=form_input(array(
               'name'=>'content_1','size'=>'14',
               'value'=>'Състав:' ) );?>
        </div>
        <div class="item_saten_comx">
            <?=form_input(array(
               'name'=>'content_2','size'=>'14',
					'value'=>'100% Полиестер' ) );?>
        </div>
		</div>
     
      <div id="item_bultex_saten_symbols">
          <?=$symbols;?>
      </div>
<?php 
}
elseif($saten=='arido')
{ ?>
     <div id="arido_saten_contents">
        <div class="item_saten_derx">
           <?=form_input(array(
               'name'=>'content_1','size'=>'14',
               'value'=>'' ) );?>
        </div>
        <div class="item_saten_derx">
            <?=form_input(array(
               'name'=>'content_2','size'=>'14',
					'value'=>'100% Cotton' ) );?>
        </div>
		</div>
     
      <div id="arido_saten_symbols">
          <?=$symbols_1;?><br>
          <?=$symbols_2;?>
      </div>
<?php 
}
elseif($saten=='yogas')
{ ?>
     <div id="yogas_saten_contents">
        <div class="item_saten_derx">
           <?=form_input(array(
               'name'=>'content_1','size'=>'14',
               'value'=>'93% Recycled' ) );?>
        </div>
        <div class="item_saten_derx">
            <?=form_input(array(
               'name'=>'content_2','size'=>'14',
					'value'=>'Polyamide' ) );?>
        </div>
        <div class="item_saten_derx">
            <?=form_input(array(
               'name'=>'content_3','size'=>'14',
					'value'=>'7% Elastane' ) );?>
        </div>
		</div>
     
      <div id="yogas_saten_symbols">
          <?=$symbols;?>
      </div>
      
      <div id="yogas_saten_madein">
          MADE IN EU
      </div>
<?php 
}
else
{ ?>
			<div id="item_com_saten_contents">
            <div class="item_saten_comx">
               <?=form_input(array(
						'name'=>'content_1','size'=>'14',
						'value'=>'Състав:' ) );?>
				</div>
            <div class="item_saten_comx">
               <?=form_input(array(
						'name'=>'content_2','size'=>'14',
						'value'=>'100% Полиестер' ) );?>
				</div>
			</div>

         <div id="item_com_saten_symbols">
            <?=$symbols;?>
         </div>
<?php 
} ?>
         
         <div id="item_com_saten_end">_ _ _</div>
         
    </div>
  </div>

<?php 

if(!$proba)
{ ?>
	<script type="text/javascript">
	$(window).load(function()
		{
		//   window.print();
		//   window.history.back();
		});
	</script>
<?php
} ?>  
  
</body>
</html>
