<!DOCTYPE HTML>
<html lang="en-US" dir="ltr">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<base href="<?=base_url();?>" />

	<title>BiSOFT:Labels</title>
	
	<link rel="shortcut icon" href="images/bisoft.ico" type="image/png"/>
	<style>	
		html{height:101%;}
		@font-face { font-family: BiSOFT_Sans;  src: url("<?=base_url();?>/sans.ttf");}
		@font-face { font-family: Roboto;  		 src: url("<?=base_url();?>/roboto.ttf");}
		@font-face { font-family: Symbols;      src: url("<?=base_url();?>/symbols.ttf");}
	</style>

	<link rel="stylesheet" href="<?=base_url();?>css/eShop.css" />
	<link rel="stylesheet" href="<?=base_url();?>css/labels.css" />
	<link rel="stylesheet" href="<?=base_url();?>css/eShop_print.css"  media="print"/>

	<script>BASE_URL = '<?=site_url();?>';</script>
</head>

<?php $mode = $this->BiSOFT_Model->get_user_mode();
		$dirBack='labels';
		$id_No = $this->config->item('my_account_number');
?>

<body>
<!-- ====================== TOP navigation ======================= -->
<div id="menubar_empty">
	<div id="menubar_footer_new">
		<div id="menubar_footer_place">
<?php $back_path = site_url('labels');if(isset($controller)){$back_path = site_url($controller);}
		$user_name = ''; if(isset($user_info)) {$user_name = trim($user_info->first_name);} ?>
		<span id="menubar_footer_back">
			<a href="<?=$back_path;?>"><img src="images/arrow-back.png"/></a>
		</span>
<?php if (isset($main_title)) 
		{ echo "<div id='menubar_main_title'>$main_title</div>";} ?>
				  <div id="menubar_footer_operator"><?=$user_name;?></div>
		</div>
	</div>
</div> <!-- menubar_empty -->

<?php // item_care
			$symbols_1 = 'm  D'; $symbols_2='H  L  U'; // default symbols
         $content_1 = '91% Baumwolle';
         $content_2 = '9% Elastan';
         $content_3 = '';
      
      
      if($q_type==40) 
      {  $symbols_1 = 'n  E'; $symbols_2='H  K  U';
			$content_1 = '';
         $content_2 = '100% Baumwolle';
         $content_3 = '';
      }
?>

<!-- =====================================  MAIN BODY ============================= -->
<div class="empty_lable_gap"></div>

<div id="content_der_saten_printer">

  <div id="item_der_saten_body">
  
			<div id="item_der_saten_contents">
            <div class="item_saten_derx">
               <?=form_input(array(
						'name'=>'content_1','size'=>'14',
						'value'=>$content_1 ) );?>
				</div>
            <div class="item_saten_derx">
               <?=form_input(array(
						'name'=>'content_2','size'=>'14',
						'value'=>$content_2 ) );?>
				</div>
            <div class="item_saten_derx">
               <?=form_input(array(
						'name'=>'content_3','size'=>'14',
						'value'=>$content_3 ) );?>
				</div>
			</div>

         <div id="item_der_saten_symbols_1">
            <?=$symbols_1;?>
         </div>
         
         <div id="item_der_saten_symbols_2">
            <?=$symbols_2;?>
         </div>
         
         <div id="item_der_saten_text_block">
            <div>
               Mit ähnlichen Farben<br>
               Waschen
            </div>
            <br>
            <div>
               Von links waschen &<br>
               bügeln
            </div>
            <br>
            <div>
               QUALITATS PRODUKT<br>
               AUS DEM EU-RAUM
            </div>
            
         </div>
         <div id="item_der_saten_end">_ _ _</div>
    </div>
  </div>

<?php 
if(!$proba)
{ ?>
	<script type="text/javascript">
		$(window).load(function()
		{
		//   window.print();
		//   window.history.back();
		});
	</script>
<?php
} ?>  
</body>
</html>
