<!DOCTYPE HTML>
<html lang="en-US" dir="ltr">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<base href="<?=base_url();?>" />
	<title>BiSOFT:Labels</title>
	<link rel="shortcut icon" href="images/bisoft.ico" type="image/png"/>
	<style>	
		html{height:101%;}
		@font-face { font-family: BiSOFT_Sans;  src: url("<?=base_url();?>/sans.ttf");}
		@font-face { font-family: Roboto;  		 src: url("<?=base_url();?>/roboto.ttf");}
		@font-face { font-family: BarCode_8;  	 src: url("<?=base_url();?>/ean.ttf");}
		@font-face { font-family: BarCode_12;   src: url("<?=base_url();?>/bc10.ttf");}
		@font-face { font-family: Symbols;      src: url("<?=base_url();?>/symbols.ttf");}
	</style>
	<link rel="stylesheet" href="<?=base_url();?>css/eShop.css"/>
	<link rel="stylesheet" href="<?=base_url();?>css/bisoft.css"/>
	<link rel="stylesheet" href="<?=base_url();?>css/labels.css" />
	<link rel="stylesheet" href="<?=base_url();?>css/eShop_print.css" media="print"/>
	<script>BASE_URL = '<?=site_url();?>';</script>
</head>

<?php $mode = $this->BiSOFT_Model->get_user_mode();
		$dirBack='labels';
		$id_No = $this->config->item('my_account_number');
?>
<body>

<?php if(isset($firstLabel) and $firstLabel) 
{ ?>
<!-- ====================== TOP navigation ======================= -->
<div id="menubar_empty">
	<div id="menubar_footer_new">
		<div id="menubar_footer_place">
<?php $back_path = site_url('labels');if(isset($controller)){$back_path = site_url($controller);}
		$user_name = ''; if(isset($user_info)) {$user_name = trim($user_info->first_name);} ?>
		<span id="menubar_footer_back">
			<a href="<?=$back_path;?>"><img src="images/arrow-back.png"/></a>
		</span>
<?php if (isset($main_title)) 
		{ echo "<div id='menubar_main_title'>$main_title</div>";} ?>
				  <div id="menubar_footer_operator"><?=$user_name;?></div>
		</div>
	</div>
</div> <!-- menubar_empty -->

<?php 
}
      // тук си намирам всичко за артикула ...
      if(!isset($lang) or $lang=='BG') {$lang='bg';}
      
      // $lining = '100% памук';
      $lining_name = '';

      $item = $inum; // идва си ...
      
      if($inum and strlen($inum)>4)
         { $item_number = substr($inum,0,2).' '.substr($inum,-3);}
      else
         { $item_number = substr($inum,0,1).' '.substr($inum,-3);}
      
      $sizes = $this->Item->get_sizes($inum);
      $item_info = $this->Item->get_item_info($inum);
      $cat_id = $this->Item->get_cat_id($item_info->category);
      
      // Compositions:
      $content_1 = $content_2 = $content_3 = $content_4 = $content_5 = $lining_1 = $lining_2 = '';
      $content_en_1 = $content_en_2 = $content_en_3 = $content_en_4 = $lining_en_1 = $lining_en_2 = '';
      $Content = explode(',',$item_info->item_contents);

      if(isset($Content[0])) {$content_1 = trim($Content[0]);} else {$content_1 = '';}
      if(isset($Content[1])) {$content_2 = trim($Content[1]);} else {$content_2 = '';}
      if(isset($Content[2])) {$content_3 = trim($Content[2]);} else {$content_3 = '';}
      if(isset($Content[3])) {$content_4 = trim($Content[3]);} else {$content_4 = '';}
      if(isset($Content[4])) {$lining_1 = trim($Content[4]);} else {$lining_1 = '';}
      if(isset($Content[5])) {$lining_2 = trim($Content[5]);} else {$lining_2 = '';}
      
      $Content_ENG = explode(',',$contents);
      
      if(isset($Content_ENG[0])) {$content_en_1 = trim($Content_ENG[0]);} else {$content_en_1 = '';}
      if(isset($Content_ENG[1])) {$content_en_2 = trim($Content_ENG[1]);} else {$content_en_2 = '';}
      if(isset($Content_ENG[2])) {$content_en_3 = trim($Content_ENG[2]);} else {$content_en_3 = '';}
      if(isset($Content_ENG[3])) {$content_en_4 = trim($Content_ENG[3]);} else {$content_en_4 = '';}
      if(isset($Content_ENG[4])) {$lining_en_1 = trim($Content_ENG[4]);} else {$lining_en_1 = '';}
      if(isset($Content_ENG[5])) {$lining_en_2 = trim($Content_ENG[5]);} else {$lining_en_2 = '';}

      // item_care
      if(isset($item_info->item_care) and $item_info->item_care)
         { $symbols = $item_info->item_care;}
      else
         { $symbols = 'gDLHU';} // default symbols
      
      $item_label = 'Арт. ';
      $size_label  = 'Размер/Size ';
      
      $content_label = 'Състав:';
      $content_label_en = 'Composition:';
      
      $lining_name = 'Хастар:';
      $lining_name_en = 'Lining:';
      
      $item .= '00'.str_pad($size, 2, "0", STR_PAD_LEFT);
      $barcode  = $this->Label->barcode_bicode_12($item);
?>

<!-- =====================================  MAIN BODY ============================= -->
<div class="empty_lable_gap"></div>

<div id="content_printer">

  <div id="item_saten_body_40">
  
			<div id="item_saten_contents_40">
			
            <div class="item_saten_content_name">
               <b><?=$content_label;?></b>
				</div>
            <div class="item_saten_contentx_40">
               <?=form_input(array(
						'name'=>'content_1','size'=>'13',
						'value'=>" $content_1" ) );?>
				</div>
            <div class="item_saten_contentx_40">
               <?=form_input(array(
						'name'=>'content_2','size'=>'13',
						'value'=>" $content_2" ) );?>
				</div>
            <div class="item_saten_contentx_40">
               <?=form_input(array(
						'name'=>'content_3','size'=>'13',
						'value'=>" $content_3") );?>
				</div>
            <div class="item_saten_contentx_40">
               <?=form_input(array(
						'name'=>'content_4','size'=>'13',
						'value'=>" $content_4" ) );?>
				</div>

            <div class="item_saten_content_name">
               <b><?=$lining_name;?></b>
				</div>
            <div class="item_saten_contentx_40">
               <?=form_input(array(
						'name'=>'lining_1','size'=>'13',
						'value'=>" $lining_1" ) );?>
				</div>
				
            <div class="item_saten_contentx_40">
               <?=form_input(array(
						'name'=>'lining_2','size'=>'13',
						'value'=>" $lining_2" ) );
					?>
				</div>
				

			</div>

			<div id="item_saten_contents_en_40">
            <div class="item_saten_content_name">
               <b><?=$content_label_en;?></b>
				</div>
            <div class="item_saten_contentx_40">
               <?=form_input(array(
						'name'=>'content_1_en','size'=>'13',
						'value'=>" $content_en_1" ) );?>
				</div>
            <div class="item_saten_contentx_40">
               <?=form_input(array(
						'name'=>'content_2_en','size'=>'13',
						'value'=>" $content_en_2" ) );?>
				</div>
            <div class="item_saten_contentx_40">
               <?=form_input(array(
						'name'=>'content_3_en','size'=>'13',
						'value'=>" $content_en_3" ) );?>
				</div>
            <div class="item_saten_contentx_40">
               <?=form_input(array(
						'name'=>'content_4_en','size'=>'13',
						'value'=>" $content_en_4" ) );?>
				</div>

            <div class="item_saten_content_name">
               <b><?=$lining_name_en;?></b>
				</div>
            <div class="item_saten_contentx_40">
               <?=form_input(array(
						'name'=>'lining_1_en','size'=>'13',
						'value'=>" $lining_en_1" ) );?>
				</div>

            <div class="item_saten_contentx_40">
               <?=form_input(array(
						'name'=>'lining_2_en','size'=>'13',
						'value'=>" $lining_en_2" ) );
					?>
				</div>

			</div>
			
			<div id="item_saten_inum_40">
				<?=$item_label;?><b style="font-family:Arial;font-size:13px;padding-left:2px;"><?=$item_number;?></b>
			</div>
			
<?php if($size)
{ ?>
			<div id="item_saten_size_40">
            <?=$size_label;?>
            <span style="font-family:Arial;font-size:13px;padding-left:2px;">
               <b><?=trim($sizes[$size]);?></b>
            </span>
			</div>
<?php 
} ?>
         <div id="item_saten_symbols_40">
            <b><?=$symbols;?></b>
         </div>

         <div id="item_saten_label_40">
				<img src='../bisoft_data/install/company_label.jpg' width='110px'/>
         </div>         
         
    </div>
</div>

<?php 
if($lang=='bg' and $all_qty==1 and !$proba)
{ ?>
<script type="text/javascript">
	$(window).load(function()
	{
		window.print();
		window.history.back();
	});
</script>
<?php
} ?>
</body>
</html>
