<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html lang="en-US" xmlns="http://www.w3.org/1999/xhtml" dir="ltr">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<base href="<?=base_url();?>" />

	<title>BiSOFT:BKK</title>
	
	<link rel="shortcut icon" href="images/bisoft.ico" type="image/png"/>
	<style>	
		html{height:101%;}
		@font-face { font-family: BiSOFT_Sans;  src: url("<?=base_url();?>/sans.ttf");}
		@font-face { font-family: Roboto;  		 src: url("<?=base_url();?>/roboto.ttf");}
		@font-face { font-family: BarCode_12;   src: url("<?=base_url();?>/bc10.ttf");}
		@font-face { font-family: BarCode_25;   src: url("<?=base_url();?>/bc25.ttf");}
		@font-face { font-family: BarCode_9;    src: url("<?=base_url();?>/ean.ttf");}
	</style>

	<link rel="stylesheet" href="<?=base_url();?>css/eShop.css" />
	<link rel="stylesheet" href="<?=base_url();?>css/labels.css" />
	<link rel="stylesheet" href="<?=base_url();?>css/bisoft.css" />
	<link rel="stylesheet" href="<?=base_url();?>css/eShop_print.css" media="print"/>

	<script>BASE_URL = '<?=site_url();?>';</script>

	<style type="text/css">
		html { overflow: auto;}
	</style>

</head>

<body>
<!-- ====================== TOP navigation ======================= -->
<div id="menubar_empty">
	<div id="menubar_footer_new">
		<div id="menubar_footer_place">
<?php $back_path = site_url('productions');if(isset($controller)){$back_path = site_url($controller);}
		$user_name = ''; if(isset($user_info)) {$user_name = trim($user_info->first_name);} ?>
		<span id="menubar_footer_back">
			<a href="<?=$back_path;?>"><img src="images/arrow-back.png"/></a>
		</span>
<?php if (isset($main_title)) 
		{ echo "<div id='menubar_main_title'>$main_title</div>";} ?>
				  <div id="menubar_footer_operator"><?=$user_name;?></div>
		</div>
	</div>
</div> <!-- menubar_empty -->
<!-- ========================== end TOP navigation ============================ -->

<!-- ==============================  MAIN BODY ============================= -->
<div class="hidePRN" style="height:2.5rem;width:100%;background:transparent;"></div>

<div id="content_area_printer">
  <div id="content_area">

<div id="bmk_sheet_header">


	<div id="bmk_sheet_header_item">
		<?=$item_number.'-'.$MK_id;?>
	</div>

	 <div id="bmk_main_barcode_place">
		<?php $bkk_main = str_pad($item_number, 5, "0", STR_PAD_LEFT).$MK_id.'9999';
				$barcode = $this->Label->barcode_bicode_12($bkk_main);?>
				<span class="barcode_main_image"><?=$barcode;?></span>
	 </div> 
	 
	 <div id="bmk_sheet_header_name">
		<?=$item_name;?>
 	 </div>

	 <div id="bmk_client_place">
		<?='кройка No '.$pattern;?>
 	 </div>

	 <div id="bmk_date_place">
		<?=$bkk_date;?>
 	 </div>
  	 
<br>

<div id="bmk_sizes_range">

<?php $size_qty='';

		  if($allow_sizes and $bkk_sizes!=null) // ако има размери
			 { $k=0;
            echo '<span style="margin-right:5px;font-size:7pt;">състав</span>';
            echo '<div id="bmk_content_fixed" style="font-size:8pt;">'.$content.'</div>';

				$sizes = explode(',',$bkk_sizes);
				foreach ($sizes as $size=>$tqty)
				  { $k++;
				   if($tqty>0) 
					 { $size_qty .= $item_sizes[$k].' ';
                  echo '<div class="bmk_size_block">';
                     echo '<span class="bmk_size_block_text">'; echo $item_sizes[$k]; echo '</span>';
                     echo $tqty;					 
                  echo '</div>';
					 }
				  }
			 }
			 else // безразмерни
			 {
				if($bkk_sizes)
				{
               echo '<span style="margin-right:5px;font-size:7pt;">състав '.$content.'</span>';
               echo '<div id="bmk_content_fixed" style="font-size:8pt;">десен:'.$bkk_sizes.'</div>';
            
					echo '<div class="bmk_size_block">';
					echo $qty;					 
					echo '</div>';
					$size_qty = 'десен:'.$bkk_sizes;
				}
			 }
			 
echo '</div>'; // край на размери
if($qty) { echo '<div id="bmk_pustach_block"><b>Кроене: '.$qty.' бр.</b></div>';} ?>
</div>

<div id="bmk_sheet_body">
<?php	
   $row_number = $patt_Key = $odd_even=0;
   if($item_number==$pattern and $allow_sizes==0) {$patt_Key=1;}

foreach ($PATTs as $line=>$pm)
{
   $item = str_pad($item_number, 5, "0", STR_PAD_LEFT).$MK_id.str_pad($line, 3, "0", STR_PAD_LEFT);
   if($patt_Key)
      { if(isset($bPATTs[$line])) 
         {$item = str_pad($item_number, 5, "0", STR_PAD_LEFT).$MK_id.str_pad($line, 3, "0", STR_PAD_LEFT);}
      }
   if(!$pm) {$pmQty=$qty;}
   else {$pmQty=$qty*$pm;}

   $barcode = $this->Label->barcode_ean_9($item); // barcode_ean_9
					
   if($line > 0)
	 { $row_number++;
      $pattLine = '-';
      if(isset($PATT_text[$line]) and $PATT_text[$line]>0) {$pattLine=$PATT_text[$line];}
      if(!$patt_Key or ($patt_Key and isset($PATT_text[$line])))
      {
         if(!$odd_even) 
            { $odd_even=1; ?>
               <div class="bkk_left_block">
                     <span class="bkk_barcode_image"><?=$barcode;?></span>
                     <span class="bkk_left_text"><?='броя';?></span>
				 
               </div>
               
               <div class="bkk_left_block_text">
                     <span class="bkk_barcode_image"><?=$barcode;?></span>
                     <span class="bkk_left_text"><?=$pattLine.
                           '<br><b>'.$pmQty.'бр.</b> '.$size_qty;?></span>
               </div>
      <?php }
            else
            { $odd_even=0;?>	
               <div class="bkk_right_block">
                     <span class="bkk_barcode_image"><?=$barcode;?></span>
                     <span class="bkk_left_text"><?='броя';?></span>
               </div>
               
               <div class="bkk_right_block_text">
                     <span class="bkk_right_text"><?=$pattLine.
                           '<br><b>'.$pmQty.'бр.</b> '.$size_qty;?></span>
                     <span class="bkk_barcode_image_right"><?=$barcode;?></span>
               </div>
   <?php    }
      }
   }
} // foreach

// print_r($PATT_text);
// die();
?>
</div>

    </div>
  </div>

</body>
</html>
