<?php $dta['controller'] = 'Home';
		$dta['main_title'] = $this->lang->line('reports_summary_report').' - '.$clients;
		$this->load->view("partial/header_back",$dta);
		$now_YEAR = $this->BiSOFT_Model->get_user_mode_year();
		$user_id  = $this->BiSOFT_Model->get_person();?>

<div id="table_holder_back" style="text-align:center;">
  <div id="report_block_dates">   <!-- блок с дати в ляво -->
	<?=form_label($this->lang->line('reports_document_type'),'reports_sale_type_label',array('class'=>'wide'));?>
	<div id='report_sale_type'>
		<?php if($user_id<21)
				{ echo form_dropdown('sale_type',array(
					'all' 	=> $this->lang->line('reports_shops_sales_and_returns'),
					'consi' 	=> $this->lang->line('reports_consi_and_returns'),
					'duty' 	=> $this->lang->line('reports_duties').' - '.date('Y').' год.',
					'duty_last'	=> $this->lang->line('reports_duties').' - '.(date('Y')-1).' год.',
												), 'all', 'id="sale_type"');
				}
				else
				{ echo form_dropdown('sale_type',array(
					'duty' 		=> $this->lang->line('reports_duties').' - '.date('Y').' год.',
					'duty_last'	=> $this->lang->line('reports_duties').' - '.(date('Y')-1).' год.',
													), 'duty', 'id="sale_type"');
				} ?>
	</div>
<br>
<?php if($user_id<21)
{ ?>	
	<div id='report_not_duty' style="display:block;">
		<?=form_label($this->lang->line('reports_date_range'), 'report_date_range_label', array('class'=>'wide'));?>
		<div id='report_date_range_complex'>
			<input type="radio" name="report_type" id="complex_radio" value='complex' checked='checked' />
			<?=form_dropdown('start_month',$months, 1, 'id="start_month"');?>
			<?=form_dropdown('start_year',$years, $now_YEAR, 'id="start_year"');?>
				<b>&nbsp;-&nbsp;</b>
			<?=form_dropdown('end_month',$months, $selected_month, 'id="end_month"');?>
			<?=form_dropdown('end_year',$years, $now_YEAR, 'id="end_year"');?>
		</div>
<br>
		<?=form_label($specific_input_name, 'specific_input_name_label', array('class'=>'wide'));?>
		<div id='report_specific_input_data'>
			<?=form_dropdown('consignee',$consignees,$consignee,'id="consignee"');?>
		</div>
		<div><?='&nbsp;&nbsp;'.form_checkbox(array(
								'name'=>'all_unit',
								'id'=>'all_unit',
								'value'=>1,
								'checked'=>'0' ) // 'checked'=>($doc_info['taxed']) ? 1 : 0 )
								).'&nbsp;'.$this->lang->line('common_global');?>
		</div>		
	</div> <!-- report_not_duty -->
<?php // if($user_id<21)
} ?>
</div> <!-- за блока в ляво -->	
<br>
	<div>
	   <?=$this->lang->line('reports_toBiSOFT');?>&nbsp;
		<input type="radio" name="export_excel" id="export_excel_yes" value='1' /> Yes &nbsp;
		<input type="radio" name="export_excel" id="export_excel_no" value='0' checked='checked' /> No
	</div>
<br>
<?=form_button(array(
	'name'=>'generate_report',
	'id'=>'generate_report',
	'content'=>$this->lang->line('common_submit'),
	'class'=>'btn') );?>
</div>

<?php $this->load->view("partial/footer_back");?>

<div id="feedback_bar"></div>

<script type="text/javascript" language="javascript">
$(document).ready(function()
{
	$("#sale_type").change(function()
	{
		if( $("#sale_type").val() == 'duty' || $("#sale_type").val() == 'duty_last')
			{ document.getElementById( 'report_not_duty' ).style.display = 'none';}
		else
			{ document.getElementById( 'report_not_duty' ).style.display = 'block';}
	});

	$("#generate_report").click(function()
	{
		var sale_type = $("#sale_type").val();
		var client_id = $("#consignee").val();
		
		var all_unit = 0;
		if ($("#all_unit").attr('checked')) {all_unit = 1;}
		
		var export_excel = 0;
		if ($("#export_excel_yes").attr('checked')) {export_excel = 1;}
		
		var month = $("#end_month").val();
		var end_date = 31;
		if(month=='04' || month=='06' || month=='09' ||month=='11') // 30-дневни месеци
			{ end_date = 30;}
			
		if(month=='02') // 28/29-февруари
		{
				var end_date = 28; 
				var end_year = $("#end_year").val();
				if(end_year=='2016' || end_year=='2020' || end_year=='2024' || end_year=='2028' || end_year=='2032' || end_year=='2036' || 
					end_year=='2040' || end_year=='2044' || end_year=='2048' || end_year=='2052' || end_year=='2056' || end_year=='2060')
				{end_date = 29;}
		}

		var start_date = $("#start_year").val() + '-' + $("#start_month").val() + '-01';
		var end_date = $("#end_year").val() + '-' + month + '-' + end_date;
		var now_date = '<?=date('Y-m-d');?>';
		if(end_date > now_date) {end_date = now_date;}
		
		window.location = window.location + '/' + start_date + '/'+ end_date + '/' + client_id + '/' + all_unit  + '/' + sale_type + '/' + export_excel;

	});

});
</script>
