<?php $dta['controller'] = 'Home';
		$dta['main_title'] = $this->lang->line('reports_summary_report').' - '.$clients;
		$this->load->view("partial/header_back",$dta);
		$now_YEAR = $this->BiSOFT_Model->get_user_mode_year();?>

<div id="table_holder_back" style="text-align:center;">
  <div id="report_block_dates" style='padding-top:12px;padding-bottom:18px;'>   <!-- блок с дати в ляво -->
	<div>
		<?=form_label($this->lang->line('reports_collection'), 'reports_collection_label', array('class'=>'wide'));?>
		<div id='customer_type'>
			<?=form_dropdown('collection_id',$collections, '0', 'id="collection_id"');?>
		</div>
	</div>
<br>
	<?=form_label($this->lang->line('reports_date_range'),'report_date_range_label', array('class'=>'wide'));?>
	<div id='report_date_range_complex'>
		<?=form_dropdown('start_month',$months, 1, 'id="start_month"');?>
		<?=form_dropdown('start_year',$years, $now_YEAR, 'id="start_year"');?>
			<b>&nbsp; - &nbsp;</b>
		<?=form_dropdown('end_month',$months, $selected_month, 'id="end_month"');?>
		<?=form_dropdown('end_year',$years, $now_YEAR, 'id="end_year"');?>
	</div>
<br>
	<?=form_label($this->lang->line('reports_select_extract_type'), 'reports_sale_type_label', array('class'=>'wide'));?>
	<div id='report_sale_type'>
		<?php echo form_dropdown('sale_type',array(
				'manu' => $this->lang->line('reports_manu_goods'),
				'recv' => $this->lang->line('reports_recvs_and_returns'),
				'sale' => $this->lang->line('reports_sales_and_returns'), 
				'shop_sale' => $this->lang->line('reports_shops_sales_and_returns'),
				'online'    => $this->lang->line('reports_online_sales'),
				'all' => $this->lang->line('reports_all_shops').' + Onlines',
											), 'manu', 'id="sale_type"'); ?>
	</div>
<br>
	<div style='margin-top:8px;'>
		<?=form_label($this->lang->line('reports_group_s'), 'reports_group_label', array('class'=>'wide'));?>
		<div id='group_type' class="form_field">
			<?=form_input(array(
						'name'=>'group',
						'size'=>'3',
						'id'=>'group',
						'value'=>'0') );?>
		</div>
	</div>
<br>
</div> <!-- за блока в ляво -->	
<br>
	<div>
	   <?=$this->lang->line('reports_toBiSOFT');?>&nbsp;
		<input type="radio" name="export_excel" id="export_excel_yes" value='1' /> Yes
		<input type="radio" name="export_excel" id="export_excel_no" value='0' checked='checked' /> No
	</div>
<br>

<?=form_button(array(
	'name'=>'generate_report',
	'id'=>'generate_report',
	'content'=>$this->lang->line('common_submit'),
	'class'=>'btn') );?>
</div>

<?php $this->load->view("partial/footer_back");?>

<div id="feedback_bar"></div>

<script type="text/javascript" language="javascript">
$(document).ready(function()
{
	$("#generate_report").click(function()
	{
		var sale_type = $("#sale_type").val();
		var export_excel = 0;
		if ($("#export_excel_yes").attr('checked'))
			{ export_excel = 1;}
			
		var collection = $("#collection_id").val();
		var group = $("#group").val();
			
		var start_date = $("#start_year").val()+'-'+$("#start_month").val()+'-01';
		
		var last_day = 31;
		var now_month = $("#end_month").val();
		if(now_month=='04' || now_month=='06' || now_month=='09' ||now_month=='11') // 30-дневни месеци
			{ last_day = 30; }
      if(now_month=='02')
         { last_day = 28; }
         
		var end_date = $("#end_year").val()+'-'+now_month+'-'+last_day;

		window.location = window.location + '/' + start_date + '/' + end_date + '/'
															 +	collection + '/' + group + '/' + sale_type + '/' + export_excel;
	});
	
	$("#start_month, #end_month, #start_year, #end_year").click(function()
	{
		$("#complex_radio").attr('checked', 'checked');
	});
	
});
</script>
