<?php
$this->output->set_header("Cache-Control: no-store, no-cache, must-revalidate");
$this->output->set_header("Pragma: public");
$title = new C_title($title);

$pie = new C_pie(); 
$pie->set_alpha(0.9);
$pie->set_start_angle( 45 );
$pie->add_animation( new C_pie_fade() );
$pie->set_tooltip( '#val# of #total#<br>#percent# of 100%' );
$pie->set_colours(get_random_colors(count($data)));

$pie_values = array();
foreach($data as $label=>$value)
{
	$pie_values[] = new C_pie_value((float)$value, (string)$label);
}
$pie->set_values($pie_values);
$chart = new C_open_flash_chart();
$chart->set_title( $title );
$chart->set_bg_colour("#d0d0d0");
$chart->add_element( $pie );
$chart->x_axis = null;
echo $chart->toPrettyString();?>
