<?php $dta['controller'] = 'Home';
		$dta['main_title'] = $this->lang->line('reports_detailed_reports').' - '.$clients;
		$this->load->view("partial/header_back",$dta);
		$now_YEAR = $this->BiSOFT_Model->get_user_mode_year();?>

<div id="table_holder_back" style="text-align:center;">
  <div id="report_block_dates">  <!-- блок с дати в ляво -->

	<div id='report_date_range_simple' style='padding-bottom:13px;'>
		<input type="radio" name="report_type" id="simple_radio" value='simple' checked='checked' />
		<?=form_dropdown('report_date_range_simple',$report_date_range_simple, '', 'id="report_date_range_simple"');?>
	</div>
	
	<?=form_label($this->lang->line('reports_date_range'), 'report_date_range_label', array('class'=>'wide'));?>
	<div id='report_date_range_complex'>
		<input type="radio" name="report_type" id="complex_radio" value='complex' />
		<?=form_dropdown('start_day',$days, 1, 'id="start_day"');?>
		<b>&nbsp; - &nbsp;</b>
		<?=form_dropdown('end_day',$days, $selected_day, 'id="end_day"');?>
		<?=form_dropdown('end_month',$months, $selected_month, 'id="end_month"');?>
		<?=form_dropdown('end_year',$years, $now_YEAR, 'id="end_year"');?>
	</div>
<br>
	<?=form_label($specific_input_name, 'specific_input_name_label', array('class'=>'wide'));?>
	<div id='report_specific_input_data'>
		<?=form_dropdown('specific_input_data',$specific_input_data, '', 'id="specific_input_data"'); ?>
	</div>
<br>
	<?=form_label($this->lang->line('reports_document_type'), 'reports_document_type_label', array('class'=>'wide')); ?>
	<div id='report_sale_type'>
		<?=form_dropdown('sale_type',array(
					'all' => $this->lang->line('reports_all'),
					'recv' => $this->lang->line('reports_recvs'), 
					'recv_return' => $this->lang->line('reports_recvs_returns')
										), 'all', 'id="sale_type"'); ?>
	</div>
</div> <!-- за блока в ляво -->
<br>
	<div>
	   <?=$this->lang->line('reports_toBiSOFT'); ?>&nbsp;
		<input type="radio" name="export_excel" id="export_excel_yes" value='1' /> Yes
		<input type="radio" name="export_excel" id="export_excel_no" value='0' checked='checked' /> No
	</div>
<br>
<?=form_button(array(
	'name'=>'generate_report',
	'id'=>'generate_report',
	'content'=>$this->lang->line('common_submit'),
	'class'=>'btn') );?>
</div>

<?php $this->load->view("partial/footer_back");?>

<div id="feedback_bar"></div>

<script type="text/javascript" language="javascript">
$(document).ready(function()
{
	$("#generate_report").click(function()
	{
		var sale_type = $("#sale_type").val();
		var export_excel = 0;
		if ($("#export_excel_yes").attr('checked'))
		{ export_excel = 1; }
		
		if ($("#simple_radio").attr('checked'))
		{
			window.location = window.location+'/'+$("#report_date_range_simple option:selected").val()+ '/' + $('#specific_input_data').val() + '/' + sale_type
			+ '/' + export_excel;
		}
		else
		{
			var start_date = $("#end_year").val()+'-'+$("#end_month").val()+'-'+$('#start_day').val();
			var end_date = $("#end_year").val()+'-'+$("#end_month").val()+'-'+$('#end_day').val();
			
			window.location = window.location+'/'+start_date + '/'+ end_date + '/' + $('#specific_input_data').val() + '/' + sale_type + '/'+ export_excel;
		}
	});
	
	$("#report_date_range_simple").click(function()
		{
			$("#simple_radio").attr('checked','checked');
		});
		
	$("#start_day, #end_day").click(function()
		{
			$("#complex_radio").attr('checked','checked');
		});

	$("#end_year").change(function()
		{
			$("#end_month").val('01');$("#start_day").val('01');$("#end_day").val('31');
			$("#complex_radio").attr('checked','checked');
		});
		
	$("#end_month").click(function()
		{
			var month = $("#end_month").val();
			var boxes = "";
			if(month=='01' || month=='03' || month=='05' || month=='07' || month=='08' || month=='10' || month=='12') // 31-дневни месеци
			{
				for(i=1; i<=31; i++)
				{ boxes += '<option value="'+ i +'">'+ i +'</option>';}
				document.getElementById('start_day').innerHTML = boxes;
				document.getElementById('end_day').innerHTML = boxes;
				$("#end_day").val('31');
			}
			
			if(month=='04' || month=='06' || month=='09' ||month=='11') // 30-дневни месеци
			{
				for(i=1; i<=30; i++)
				{ boxes += '<option value="'+ i +'">'+ i +'</option>';}
				document.getElementById('start_day').innerHTML = boxes;
				document.getElementById('end_day').innerHTML = boxes;
				$("#end_day").val('30');
			}
			
			if(month=='02') // 28/29-февруари
			{
				var limit = 28; 
				var now_year = $("#end_year").val();
				if(now_year=='2016' || now_year=='2020' || now_year=='2024' || now_year=='2028' || now_year=='2032' || now_year=='2036' || 
					now_year=='2040' || now_year=='2044' || now_year=='2048' || now_year=='2052' || now_year=='2056' || now_year=='2060')
				{limit = 29;}
				for(i=1; i<=limit; i++)	{ boxes += '<option value="'+ i +'">'+ i +'</option>';}
				document.getElementById('start_day').innerHTML = boxes;
				document.getElementById('end_day').innerHTML = boxes;
				$("#end_day").val(limit);
			}

			$("#complex_radio").attr('checked','checked');
		});
	
});
</script>
