<?php //OJB: Check if for excel export process
if($export_excel == 1)
{	ob_start();
	$this->load->view("partial/header_excel");
}
else
{	$dta['controller'] = 'Home';
	$dta['main_title'] = 'ОТЧЕТ ФАКТУРИ';
	$this->load->view("partial/header_back",$dta);
} ?>


<div id="table_holder_vedom">
	<div id="page_title" style="margin-bottom:8px;"><?=$title;?></div>
	<div id="page_title" style="margin-bottom:8px;color:#006;"><?=$firma;?></div>
	<div id="page_subtitle" style="margin-bottom:8px;"><?=$subtitle;?></div>
<br>

	<table class="tablesorter report_invoice" id="sortable_table">
		<thead>
			<tr>
				<th style="width:1%;">=</th>
					<th style="width:3%;"><?=$headers['summary']['inv_id'];?></th>
					<th style="width:6%;"><?=$headers['summary']['date'];?></th>
					<th style="width:6%;"><?=$headers['summary']['suma'];?></th>
					<th style="width:5%;"><?=$headers['summary']['vat'];?></th>
					<th style="width:6%;"><?=$headers['summary']['total'];?></th>
					<th style="width:1%;"><?=$headers['summary']['pay'];?></th>
					<th style="width:8%;"><?=$headers['summary']['payments'];?></th>
					<th style="width:30%;"><?=$headers['summary']['client'];?></th>
					<th style="width:12%;"><?=$headers['summary']['sold_by'];?></th>
					<th style="width:1%;"><?=$headers['summary']['type'];?></th>
					<th style="width:12%;"><?=$headers['summary']['comment'];?></th>
					<th style="width:1%;">=</th>
				
				<?php // foreach ($headers['summary'] as $header) { echo '<th>'.$header.'</th>'; } ?>
			</tr>
		</thead>
		<tbody>
			<?php foreach ($summary_data as $key=>$row) 
					{ ?>
					<tr>
						<td><a href="#" class="expand">+</a></td>
						<td style="text-align:center;"><?=$row['inv_id'];?></td>
						<td style="text-align:center;color:#007;"><?=$row['date'];?></td>
						<td style="text-align:right;"><?=$row['suma'];?></td>
						<td style="text-align:right;color:#333;"><?=$row['vat'];?></td>
						<td style="text-align:right;color:#000;"><b><?=$row['total'];?></b></td>
						<td style="text-align:center;color:#500;"><b><?=$row['pay'];?></b></td>
						<td style="text-align:left;color:#333;"><i><?=$row['payments'];?></i></td>
						<td style="text-align:left;"><?=$row['client'];?></td>
						<td style="text-align:left;"><?=$row['sold_by'];?></td>
						<td style="text-align:center;color:#020;"><b><?=$row['type'];?></b></td>
						<td style="text-align:left;color:#333;"><i><?=$row['comment'];?></i></td>
						<td style="text-align:center;color:#b00;"><b><?=$row['add_row'];?></b></td>
					</tr>
					<tr>
						<td colspan="100">
						<table class="innertable">
						
							<tbody>
								<?php foreach ($details_data[$key] as $item) // AJAX code
										{ echo get_invoice_row($item,$controller);} ?>
							</tbody>

						</table>
						</td>
					</tr>
			<?php } ?>
		</tbody>
	</table>
</div>

	<div id="bottom_bar_empty">
		<div id="bottom_vedbar_1">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_kaca_suma');?></span>
			<span id="total_qty" class="bottom_bar_text"><?=$total_sum;?></span>
		</div>
		
		<div id="bottom_vedbar_2">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_invoice_vat');?></span>
			<span id="total_vat" class="bottom_bar_text"><?=$total_vat;?></span>
		</div>
		
		<div id="bottom_vedbar_3">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_total');?></span>
			<span id="total_all" class="bottom_bar_text"><?=$total_all;?></span>
		</div>
		
		<div id="bottom_vedbar_4">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_pay_sale');?></span>
			<span id="total_cost" class="bottom_bar_text"><?=$total_cost;?></span>
		</div>
		
		<div id="bottom_vedbar_5">
			<span class="bottom_bar_title"><?=$this->lang->line('reports_due_sum');?></span>
			<span id="total_cost" class="bottom_bar_text"><?=$total_due;?></span>
		</div>
	</div>

<?php 
if($export_excel == 1)
{
	$this->load->view("partial/footer_excel");
	$content = ob_end_flush();
	
	$filename = 'TabReport';

	$filename = str_replace(array(' ', '/', '\\'), '', $filename);
	$filename .= "_Export.xls";

	header('Content-type: application/ms-excel');
	header('Content-Disposition: attachment; filename='.$filename);
	echo $content;
	die();
}
else
{
	$this->load->view("partial/footer_back"); 
?>

<div id="feedback_bar"></div>

<script type="text/javascript" language="javascript">
$(document).ready(function()
{
	enable_checkboxes();
	
	$(".tablesorter a.expand").click(function(event)
	{
		$(event.target).parent().parent().next().find('.innertable').toggle();
		
		if ($(event.target).text() == '+')
		{
			$(event.target).text('-');
		}
		else
		{
			$(event.target).text('+');
		}
		return false;
	});
	
});


function post_invoice_form_submit(response)
{
	if(!response.success)
	{
		set_feedback(response.message,'error_message',false);
	}
	else
	{
		set_feedback(response.message,'success_message',false);
	}
}


function post_invoice_form_item_submit(response)
{
	if(!response.success)
	{
		set_feedback(response.message,'error_message',true);
	}
	else
	{  //This is an update, just update one row
		if(jQuery.inArray(response.line_id,get_visible_checkbox_ids()) != -1)
		{
			update_row(response.line_id,'<?=site_url("$controller/get_document_row")?>');
		
			$("#qty_"+response.doc_row).text(response.qty_doc);
			$("#sum_"+response.doc_row).text(response.sum_doc);
			$("#all_"+response.doc_row).text(response.all_doc);
			if(response.tax_doc>0) { $("#tax_"+response.doc_row).text(response.tax_doc); }
			$("#amount_"+response.doc_row).text(response.amount_doc);
	
			// общи стойности
			var total_sum = parseInt($("#total_sum").text()); total_sum += parseFloat(response.total_sum);
			var total_vat = parseFloat($("#total_vat").text()); total_vat += parseFloat(response.total_vat);
			var total_all = parseFloat($("#total_all").text()); total_all += parseFloat(response.total_all);
			var total_cost = parseFloat($("#total_cost").text()); total_cost += parseFloat(response.total_cost);
			$("#total_vat").text(total_vat.toFixed(2));
			$("#total_sum").text(total_sum.toFixed(2));
			$("#total_all").text(total_all.toFixed(2));
			$("#total_cost").text(total_cost.toFixed(2));
		}
		else {set_feedback(response.message,'error_message',true);}
	}
}


function post_add_invoice_item_submit(response)
{
	if(!response.success)
	{
		set_feedback(response.message,'error_message',true);
	}
	else
	{
		$("#qty_"+response.doc_row).text(response.qty_doc);
		$("#sum_"+response.doc_row).text(response.sum_doc);
		$("#all_"+response.doc_row).text(response.all_doc);
		if(response.tax_doc>0) { $("#tax_"+response.doc_row).text(response.tax_doc); }
		$("#amount_"+response.doc_row).text(response.amount_doc);
			
			// общи стойности
			var total_sum = parseInt($("#total_sum").text()); total_sum += parseFloat(response.total_sum);
			var total_vat = parseFloat($("#total_vat").text()); total_vat += parseFloat(response.total_vat);
			var total_all = parseFloat($("#total_all").text()); total_all += parseFloat(response.total_all);
			var total_cost = parseFloat($("#total_cost").text()); total_cost += parseFloat(response.total_cost);
			$("#total_vat").text(total_vat.toFixed(2));
			$("#total_sum").text(total_sum.toFixed(2));
			$("#total_all").text(total_all.toFixed(2));
			$("#total_cost").text(total_cost.toFixed(2));
			
		set_feedback(response.message,'success_message',true);
	}
}


</script>
<?php 
} // end if not is excel export 
?>
