<?php //OJB: Check if for excel export process
if($export_excel == 1)
{  ob_start();
	$this->load->view("partial/header_excel");
}
else
{	$dta['controller'] = 'Home';
	$dta['main_title'] = '';
	$this->load->view("partial/header_back",$dta);
} ?>


<div id="table_holder_vedom">
<?php if($export_excel == 0) { ?>
  <div id="page_title" style="margin-bottom:8px;"><?php echo $title ?></div>
  <div id="page_subtitle" style="margin-bottom:8px;"><?php echo $subtitle ?></div>
<?php } ?>

	<table class="tablesorter report" id="sortable_table">
		<thead>
			<tr>
				<?php foreach ($headers as $header) { ?>
				<th><?php echo $header; ?></th>
				<?php } ?>
			</tr>
		</thead>
		<tbody>
			<?php foreach ($data as $row) { ?>
			<tr>

				<?php 
					foreach ($row as $cell) 
						{
						if ( is_numeric($cell) )
							{
							if ( $cell > 0 ) { echo '<td style="text-align:right;color:#005;">';}
							else	 { echo '<td style="text-align:left;color:#a00;">';}
							}
						else
							{ echo '<td style="text-align:left;">';}

								echo $cell;

					echo '</td>';
					} ?>

			</tr>
			<?php } ?>
		</tbody>
	</table>
</div>

<div id="report_summary">

		<?php 
					foreach($summary_data as $name=>$value) 
					{ ?>
						<div class="summary_row" style="font-size:120%;color:black;">
							<strong>
								<?php if($value!=0)
									{ echo $this->lang->line('reports_'.$name). ': '.round($value,0);}
								?>
							</strong>
						</div>
			<?php } ?>

						<div class="summary_row" style="font-size:120%;color:#811;">
							<strong>
								<?php echo $this->lang->line('reports_PROFIT'). ': '.round($all_profit,0); ?>
							</strong>
						</div>

</div>

<?php 
if($export_excel == 1){
	$this->load->view("partial/footer_excel");
	$content = ob_end_flush();
	
	$filename = trim($filename);
	$filename = str_replace(array(' ', '/', '\\'), '', $title);
	$filename .= "_items.xls";
	header('Content-type: application/ms-excel');
	header('Content-Disposition: attachment; filename='.$filename);
	echo $content;
	die();
}
else
{ $this->load->view("partial/footer"); ?>
	<script type="text/javascript">
	$(document).ready(function() { enable_row_selection(); });
	</script>
<?php 
} // end if not is excel export 
?>
