<?php $this->load->view("partial/header_print"); ?>

<?php
if (isset($error_message))
{
  echo '<h1 style="text-align: center;">'.$error_message.'</h1>';
  exit;
}
?>


<div id="invoice_top_left">
	<?php echo form_input(array(
		'name'=>'original',
		'id'=>'original',
		'size'=>'15',
		'value'=>'О Р И Г И Н А Л')
	);?>
</div>

<div id="invoice_top"><?php echo $this->config->item('company'); ?></div>


	<div id="invoice_logo">
		<span>  
			<?php
			$company_logo = BDATA."install/company_logo.png";

			if (!is_readable($company_logo)) 
				{ ?>	<img src="images/company_logo.png" width='130px'/> 
			<?php
				}			
			else
				{ ?>	<img src="../bisoft_data/install/company_logo.png" width='130px'/>
			<?php
				} ?>
		</span>
	</div>


<div id="invoice_wrapper">

<div id="invoice_customer_place">
			<?php if( $bisoft_id != 0 ) 
		{ ?>
				<?php if(isset($customer_company)) { ?>
				<div id="receipt_customer">
					<?php echo $this->lang->line('customers_customer').": ".$customer_company; ?></div>
					<?php } ?>

				<?php if(isset($customer_address)) 
				{ echo '<div>'.$customer_address.'</div>'; } ?>



				<?php if(isset($customer_account_number)) 
				{	
					$id_number = $customer_account_number;
					if(strlen($customer_account_number) > 9) { $id_number = substr($customer_account_number,2);}
					echo '<div>'.$this->lang->line('invoice_id_number').$id_number.'</div>';} ?>


				<?php if(isset($customer_account_number) and isset($customer_taxable) and $customer_taxable == 1) 
				{  
					$dds_number = $customer_account_number;				
					if(strlen($customer_account_number) > 9) { $dds_number = substr($customer_account_number,2);}
					echo '<div>'.$this->lang->line('invoice_dds_number').'BG'.$dds_number.'</div>';} ?>



				<?php if(isset($customer)) { ?>
				<div><?php echo $this->lang->line('invoice_MOL').$customer; ?></div>
				<?php } ?>

		<?php 
		} // end of '$bisoft_id != 0' 
		?>
</div>




<div id="invoice_header">

		<div id="company_name"><?php echo $this->config->item('company'); ?></div>

		<div id="company_address"><?php echo $this->config->item('address'); ?></div>
		<div id="company_address"><?php echo 'банка: '.$this->config->item('my_bank'); ?></div>
		<div id="company_address"><?php echo $this->config->item('my_bank_account'); ?></div>

		<div id="company_address">
			<?php echo $this->lang->line('invoice_id_number').$this->config->item('my_account_number'); ?>
		</div>

		<div id="company_address">
			<?php echo $this->lang->line('invoice_dds_number').'BG'.$this->config->item('my_account_number'); ?>
		</div>

		<div id="company_address"><?php echo $this->lang->line('invoice_MOL').$this->config->item('mol'); ?></div>
<!--		<div id="company_address"><?php echo $this->config->item('phone'); ?></div>
-->

</div>



		<div id="invoice_title"><?php echo $receipt_name; ?></div>
		<div style="font-size:12px;text-align:center;">
			<?php echo $this->lang->line('invoice_num').str_pad($receipt_number, 10, "0", STR_PAD_LEFT).' / '
							.$this->lang->line('invoice_doc_date').$receipt_date; ?>
		</div>



<table id="receipt_items">
	<tr id="receipt_items_title">
		<th style="width:6%;"><?php echo $this->lang->line('invoice_num'); ?></th>
		<th style="width:54%;"><?php echo $this->lang->line('sales_item_name'); ?></th>
		<th style="width:7%;"><?php echo $this->lang->line('sales_quantity'); ?></th>
		<th style="width:7%;"><?php echo $this->lang->line('sales_unit_price'); ?></th>
		<th style="width:7%;"><?php echo $this->lang->line('sales_discount'); ?></th>
		<th style="width:7%;"><?php echo $this->lang->line('sales_price'); ?></th>
		<th style="width:12%;"><?php echo $this->lang->line('sales_total'); ?></th>
	</tr>

  <?php
	$allQty = 0;

    foreach($cart as $line=>$item)
    {
	$allQty += $item['quantity'];
    ?>

	<tr>
	<td style="text-align:center;border-bottom:1px solid #555;border-left:1px solid #555;">
		<?php echo $item['item_number']; ?></td>

	<td style="text-align:left;border-bottom:1px solid #555;">
				<span id="invoice_item">
					<?php echo form_input(array(
						'name'=>'item_name',
						'id'=>'item_name',
						'size'=>'80',
						'value'=>$item['name'])
					);?>
				</span>
	</td>

	 <td style="text-align:center;border-bottom:1px solid #555;">
		<?php echo $item['quantity']; ?></td>

	 <td style="text-align:right;border-bottom:1px solid #555;">
		<?php echo to_currency_no_money($item['price']); ?></td>

	 <td style="text-align:center;border-bottom:1px solid #555;">
		<?php if ($item['item_discount'] == 0) 
		{ 	echo ''; }
		else {  echo $item['item_discount'].'%'; } ?></td>

	 <td style="text-align:right;border-bottom:1px solid #555;">
		<?php 
				$item_price = round( $item['price'] * (100 - $item['item_discount']) / 100 , 4);
				echo to_currency_no_money( $item_price ); ?></td>

	 <td style="text-align:right;border-bottom:1px solid #555;border-right:1px solid #555;">
		<?php echo to_currency_no_money( $item_price * $item['quantity'] ); ?>
	 </td>

	</tr>

    <?php
    }
    ?>


	<?php 
		if (isset($taxed) and $taxed == 1)
		{ ?>
			<tr>
				<td colspan="3"></td>
				<td colspan="3" style="text-align:right;border-left:1px solid #000;border-top:1px solid #000;">
						<?php echo $this->lang->line('invoice_osnova'); ?>
				</td>
				<td colspan="1" style="text-align:right;border-right:1px solid #000;border-top:1px solid #000;">
						<?php echo to_currency_no_money($subtotal); ?>
				</td>
			</tr>

			<tr>
				<td colspan="3"></td>
				<td colspan="3" style="text-align:right;border-left:1px solid #000;">
					<?php echo $this->lang->line('sales_tax_VAT'); ?>:</td>
				<td colspan="1" style="text-align:right;border-right:1px solid #000;">
					<?php echo to_currency_no_money($tax_VAT); ?></td>
			</tr>
	<?php	} ?>


     <tr>
		<td colspan="3" style="font-family:BiSOFT_Serif;text-align:right;font-size:85%;font-style:italic;">
			<?php echo $this->lang->line('sales_inwords') . convert_number_to_words_bg($total); ?>
	</td>

	<td colspan="3" style="font-family:BiSOFT_Serif;text-align:right;font-size:115%;border-left:1px solid #000;border-bottom:1px solid #000;">
		<strong><?php echo $this->lang->line('invoice_suma'); ?></strong>
	</td>

	<td colspan="1" style="font-family:BiSOFT_Serif;text-align:right;font-size:115%;border-right:1px solid #000;border-bottom:1px solid #000;">
		<strong><?php echo to_currency_no_money($total); ?></strong>
	</td>

     </tr>






   <tr>
		<td colspan="2" style='text-align:left;'>
			<?php echo $this->lang->line('invoice_mesto').', '.$this->lang->line('invoice_dds_date').$receipt_date; ?>
		</td>

	<?php foreach($payments as $payment_id=>$payment)
	{ ?>

	  <td colspan="5" style="text-align:right;"><?php echo $this->lang->line('sales_payment_type') .' : ( '. $payment['payment_type'] .' )'; ?></td>

	<?php	
	} ?>
	 </tr>


   <tr>
		<td colspan="2" style='text-align:left;'>

			<div id="invoice_others">
				<?php 
						echo nl2br($this->lang->line('invoice_other'));
						echo '<br>';
						echo form_textarea(array(
									'name'=>'invoice_comment',
									'id'=>'invoice_comment',
									'rows'=>'2',
									'cols'=>'60',
									'value'=>'')
								);	?>
			</div>

		</td>

		<td colspan="5" style='text-align:right;'>
			<?php echo $this->lang->line('recvs_allquantity').' ( <strong>'.$allQty.'</strong> )'; ?>
		</td>


   </tr>


   <tr>
		<td colspan="2" style='text-align:left;'>
     	   <?php 
				echo '<span style="font-style:italic;">'.$this->lang->line('invoice_poluchatel').'</span>';?>
				<span id="invoice_item">
					<?php echo form_input(array(
						'name'=>'cust_name',
						'id'=>'cust_name',
						'size'=>'25',
						'value'=>$customer)
					);?>
				</span>
		</td>

		<td colspan="5" style='text-align:right;'>
     	    <?php echo '<span style="font-style:italic;">'.$this->lang->line('invoice_sustavil').'</span>'.$employee; ?>
		</td>
   </tr>

</table>



</div>


<?php $this->load->view("partial/footer_print"); ?>


<?php if ($this->Appconfig->get('print_after_sale'))
{
?>

<script type="text/javascript">
$(window).load(function()
{
	window.print();
});
</script>

<?php
}
?>
