<?php $this->load->view("partial/header_blanka"); ?>

<?php
if (isset($error_message))
{
  echo '<h1 style="text-align: center;">'.$error_message.'</h1>';
  exit;
}
?>

<div style="width:96%;float:right;">

	<div id="invoice_top_left">
		<?php echo form_input(array(
			'name'=>'original',
			'id'=>'original',
			'size'=>'15',
			'value'=>'О Р И Г И Н А Л')
		);?>
	</div>



	<div id="invoice_top"><?php echo $this->config->item('company'); ?></div>


	<div id="invoice_logo">
		<span>  
			<?php
			$ci_logo = "../bisoft_data/install/CI_logo.png";
			if (is_readable($ci_logo)) 
				{ ?>	<img src="../bisoft_data/install/CI_logo.png" width='100px'/>
			<?php
				} ?>
		</span>
		<span>  
			<?php
			$company_logo = "../bisoft_data/install/company_logo.png";

			if (!is_readable($company_logo)) 
				{ ?>	<img src="images/company_logo.png" width='130px'/> 
			<?php
				}			
			else
				{ ?>	<img src="../bisoft_data/install/company_logo.png" width='130px'/>
			<?php
				} ?>
		</span>
	</div>




<?php 	$count_cart = 1;
			if( count($cart) < 6 ) { $count_cart = 2;} 

do {

?>


	<div id="receipt_wrapper">

	<div id="receipt_customer_place">

		<?php if( $bisoft_id != 0 ) 
		{ ?>
				<?php if(isset($customer_company)) { ?>
				<div id="receipt_customer">
					<?php echo $this->lang->line('customers_customer').": ".$customer_company; ?></div>
					<?php } ?>

				<?php if(isset($customer)) { echo '<div>'.$customer.'</div>'; }
		} // end of '$bisoft_id != 0' 
		?>

	</div>


	<div id="receipt_header">
		<div id="company_name"><?php echo $this->config->item('company'); ?></div>
		<div class="company_address"><?php echo $this->config->item('address'); ?></div>
		<div class="company_address"><?php echo $this->lang->line('common_phone_number').' '.$this->config->item('phone'); ?></div>
		<div class="company_address"><?php echo $this->config->item('website'); ?></div>


		<div id="title_receipt"><?php echo $receipt_name; ?></div>
		<div style="font-size:120%;">
			<?php echo $this->lang->line('invoice_num').": ".$receipt_number.' / '.$receipt_date ?>
		</div>
	</div>



<table id="receipt_items">
	<tr id="receipt_items_title">
	<th style="width:8%;"><?php echo $this->lang->line('sales_item_number'); ?></th>
	<th style="width:38%;"><?php echo $this->lang->line('sales_item_name'); ?></th>
	<th style="width:20%;"><?php echo $this->lang->line('sales_item_size'); ?></th>
	<th style="width:7%;"><?php echo $this->lang->line('sales_quantity'); ?></th>
	<th style="width:6%;"><?php echo $this->lang->line('sales_unit_price'); ?></th>
	<th style="width:5%;"><?php echo $this->lang->line('sales_discount'); ?></th>
	<th style="width:6%;"><?php echo $this->lang->line('sales_price'); ?></th>
	<th style="width:10%;"><?php echo $this->lang->line('sales_total'); ?></th>
	</tr>

  <?php
	$allQty = 0;

    foreach($cart as $line=>$item)
    {
	$allQty += $item['quantity'];
    ?>

	<tr>
	<td style="font-weight:bold;color:#005;text-align:center;border-bottom:1px solid #555;border-left:1px solid #555;">
			<?php echo $item['item_number']; ?></td>

	<td style="text-align:left;border-bottom:1px solid #555;">
				<span id="receipt_item_name">
					<?php echo form_input(array(
						'name'=>'item_name',
						'id'=>'item_name',
						'size'=>'60',
						'value'=>$item['name'])
					);?>
				</span>
	</td>

	<td style="text-align:center;border-bottom:1px solid #555;">
		<?php $sizes_to_show = ' ';
				$sizes_to_show = $this->BiSOFT_Model->give_me_sizes(
								$item['item_number'], $item['quantity'],
								$item['qty_1'],$item['qty_2'],$item['qty_3'],$item['qty_4'],$item['qty_5'],
								$item['qty_6'],$item['qty_7'],$item['qty_8'],$item['qty_9'],$item['qty_max']);

			echo $sizes_to_show; ?>
	</td>

	 <td style="text-align:center;border-bottom:1px solid #555;">
		<?php 
			if ( $item['quantity'] > 0 ) { echo $item['quantity'];} 
			else { echo '<span style="color:#a00;">'.$item['quantity'].'</span>';} 
		?>
	</td>

	 <td style="text-align:right;border-bottom:1px solid #555;">
		<?php echo to_currency_no_money($item['price']); ?></td>

	 <td style="text-align:right;border-bottom:1px solid #555;">
		<?php if ($item['item_discount'] == 0) 
		{ 	echo ''; }
		else {  echo $item['item_discount'].'%'; } ?></td>

	 <td style="text-align:right;border-bottom:1px solid #555;">
		<?php 
			$item_price = round( $item['price'] * (100 - $item['item_discount']) / 100 , 4);
			echo to_currency_no_money( $item_price );
		?>
	</td>

	 <td style="text-align:right;border-bottom:1px solid #555;border-right:1px solid #555;">
		<?php 
			if ( $item['quantity'] > 0 ) { echo to_currency_no_money( $item_price * $item['quantity']);} 
			else { echo '<span style="color:#a00;">'.to_currency_no_money( $item_price * $item['quantity']).'</span>';} 
		?>
	 </td>

	</tr>

    <?php
    }
    ?>


	<?php 
	if ($customer_discount != 0 or $taxed == 1)
		{ ?>
			<tr>
				<td colspan="4"></td>
				<td colspan="3" style="text-align:right;border-left:1px solid #000;">
						<?php echo $this->lang->line('sales_sub_total'); ?>
				</td>
				<td colspan="1" style="text-align:right;border-right:1px solid #000;">
						<?php echo to_currency($subtotal); ?>
				</td>
			</tr>

			<tr>
				<td colspan="4"></td>
				<td colspan="3" style="text-align:right;border-left:1px solid #000;">
						<?php echo  $this->lang->line('sales_recept_discount').' ('.$customer_discount . '%)'; ?>:
				</td>
				<td colspan="1" style="text-align:right;border-right:1px solid #000;">
						<?php echo to_currency(-$subtotal*$customer_discount/100); ?>
				</td>
			</tr>
	<?php	} ?>


	<tr>
	<td colspan="4" style="font-family:BiSOFT_Serif;text-align:right;font-size:85%;font-style:italic;padding-right:10px;">
		<?php echo $this->lang->line('sales_inwords') . convert_number_to_words_bg($total); ?>
	</td>

	<td colspan="3" style="font-family:BiSOFT_Serif;font-size:115%;text-align:right;border-left:1px solid #000;border-bottom:1px solid #000;">
		<strong><?php echo $this->lang->line('sales_alltotal'); ?></strong>
	</td>

	<td colspan="1" style="font-family:BiSOFT_Serif;font-size:115%;text-align:right;border-right:1px solid #000;border-bottom:1px solid #000;">
		<strong><?php 
						if ($total > 0) { echo to_currency_no_money($total);}
						else { echo '<span style="color:#a00;">'.to_currency_no_money($total).'</span>';} 
		?></strong>
	</td>

     </tr>


<?php if (isset($payments))
{ ?>
	<tr>
		<td colspan="8" style="text-align:right;">
			<?php echo $this->lang->line('sales_payment_type') .' : ( '. $payments .' )'; ?>
		</td>
	</tr>
<?php
} ?>


   <tr>
		<td colspan="4">
			<?php 
			if (isset($print_date) and (int)$print_date!=0)
				{
					echo '<span style="float:left;font-size:8pt;margin-left:5px;">'.$print_date.
						  ' &copy GPL - All Rights Reserved.</span>'; 
				}
			?>
		</td>
		<td colspan="4" style="text-align:right;">
     	    <?php echo $this->lang->line('recvs_allquantity').' ( <strong>'.$allQty.'</strong> )'; ?>
		</td>
   </tr>

   <tr>
		<td colspan="2" style='text-align:left;'>
     	   <?php echo $this->lang->line('invoice_poluchatel'); ?>
		</td>

		<td colspan="6" style='text-align:right;'>
     	    <?php echo $this->lang->line('invoice_sustavil'); ?>
		</td>
   </tr>

   <tr><td colspan="8" style="font-size:10pt;line-height:50px;text-align:right;">&nbsp</td></tr>

   <tr>
		<td colspan="8" style="font-style:italic;font-size:9pt;text-align:right;">
     	    <?php echo '<span style="font-style:italic;">'.$employee.'</span>'; ?>
		</td>
   </tr>

</table>


</div>



<?php 
--$count_cart;

if ($count_cart==1) { echo '<br><div id="invoice_top"></div>';}

} while ($count_cart > 0);


?>



</div> <!-- основно изместване на дясно ... -->



<?php if ($this->Appconfig->get('print_after_sale'))
{
?>

<script type="text/javascript">
$(window).load(function()
{
	window.print();
});
</script>

<?php
}
?>
