<?php //OJB: Check if for excel export process
if($export_excel == 1)
{
	ob_start();
	$this->load->view("partial/header_excel");
}
?>


<div style="font-size:115%;font-weight:bold;color:#111;float:left;">
	<span><?=$title.' '.$subtitle;?></span>
</div>

<br>
<br>

<table class="tablesorter_print report" id="sortable_table">
<thead>
 <tr>
	<th>код</th>
	<th>работник</th>
	<th>общо часове</th>
	<th>РЗ</th>
	<th>на час</th>
	<th>банка</th>
	<th>сума</th>
	<th>добавки</th>
 </tr>
</thead>

<?php	

if($people->result())
{
	foreach($people->result() as $person_info)
	{
		$data = $trz_data = array();
		$bisoft_id = $person_info->bisoft_id;
		$person_id = $person_info->person_id;
		$names = character_limiter($person_info->first_name.' '.$person_info->last_name,35);
			$data['months'] = $this->trz_lib->get_months();
			// универсална за зареждане на ПРИСЪСТВИЕ
			$data = $this->TRZ->load_salary($person_id,$data);
			$trz_data = $data['trz_data'];
			
		if($trz_data)
		{
			echo '<tr>';
				$worked = $worked_2 = to_currency_no_money($trz_data->trz_worked);

				if($trz_data->avance > 0) { $avance = to_dot($trz_data->avance);}
				else { $avance = '';}

				$key_plus_minus = 0;
				$money_plus = $trz_data->trz_plus;
				$money_minus = $trz_data->trz_minus;
				if($money_plus!=0 or $money_minus!=0) {$key_plus_minus=1;}

				$all_worked_hours = round( $person_info->job_time * $trz_data->trz_days + $trz_data->addHours,1); // $person_info->job_time

				// финални сметки
				$all_plus_1  = $worked + $trz_data->sickSum + $trz_data->holiSum + $trz_data->trz_travel + $trz_data->addHourSum + $trz_data->onHourSum + $money_plus;
				$all_minus_1 = $avance + $trz_data->trz_prevod + $trz_data->trz_taxes + $money_minus;

				$all_plus_2  = $trz_data->sickSum + $trz_data->holiSum + $trz_data->trz_travel;
				$all_minus_2 = $trz_data->trz_prevod + $trz_data->trz_taxes;
				
				// тук смятам началото на Работника ?!
				$worked_2 = $trz_data->salary + $all_minus_2 - $all_plus_2;
				$all_plus_2 += $worked_2;
		
			echo '<td>'.$bisoft_id.'</td>';
			echo '<td>'.$names.'</td>';
			echo '<td>'.to_dot($all_worked_hours).'</td>';
			echo '<td>'.to_dot($all_plus_1).'</td>';
			echo '<td>'.round($all_plus_1/$all_worked_hours,2).'</td>';
			echo '<td>'.to_dot($trz_data->trz_prevod).'</td>';
			echo '<td>'.to_dot($trz_data->salary).'</td>';
			echo '<td>'.$trz_data->trz_plus.'</td>';
			
			echo '</tr>';
		}
	}
}
?>



</table>

<br>
<!-- ============================== Край =========================== -->

<?php $this->load->view("partial/footer_excel");
	
if($export_excel == 1)
{
	$content = ob_end_flush();
	
	$filename = 'TRZ_Salary_'.$period.'.xls';
	header('Content-type: application/ms-excel');
	header('Content-Disposition: attachment; filename='.$filename);
	echo $content;
	die();
}
?>








<!-- ========================== Таблица  СКЛАД ====================== -->
  <div style="font-size:115%;font-weight:bold;color:#111;float:left;">
<?php 
if($group==0 and $collection==0)
{ ?>
    <span><?='<span style="text-transform: uppercase;">'.$cat_name.'</span> ('.$sklad.') '.$this->lang->line('items_inventory_sklad').': '.$skl_name.' - '.date('d.m.Y');?></span>
<?php 
}
elseif($group>0 and $size==0)
{ ?>
    <span><?='група ('.$group.') '.$sklad_name.' / '.date('d.m.Y');?></span>
<?php 
}
elseif($group>0 and $size)
{ ?>
    <span><?='група ('.$group.') размер ('.$size.') '.$sklad_name.' / '.date('d.m.Y');?></span>
<?php 
}
elseif($collection>0 and $size==0)
{	$coll_name = $this->Item->get_info_collection($collection)->collection_bg; 
?>
    <span><?='Колекция: '.$coll_name.' / '.$this->lang->line('items_title_header').' / '.date('d.m.Y');?></span>
<?php 
}
elseif($collection>0 and $size)
{	$coll_name = $this->Item->get_info_collection($collection)->collection_bg; 
?>
    <span><?='Колекция: '.$coll_name.' размер ('.$size.') '.$this->lang->line('items_title_header').' / '.date('d.m.Y');?></span>
<?php
}?>
    </div>
    
    <div style="font-size:110%;color:#111;float:right;margin-right:40px;">
      <a href="#">покажи всичко</a>
    </div>
    
    
	<br>

<table class="tablesorter_print report" id="sortable_table">
<thead>
 <tr>

	<th width="5%"><?=$this->lang->line('items_item_number');?></th>
	<th width="25%"><?=$this->lang->line('items_item');?></th>

		<th class='table_counter_size_cell'><?=$size_table->size_1;?></th>
		<th class='table_counter_size_cell'><?=$size_table->size_2;?></th>
		<th class='table_counter_size_cell'><?=$size_table->size_3;?></th>
		<th class='table_counter_size_cell'><?=$size_table->size_4;?></th>
		<th class='table_counter_size_cell'><?=$size_table->size_5;?></th>
		<th class='table_counter_size_cell'><?=$size_table->size_6;?></th>
		<th class='table_counter_size_cell'><?=$size_table->size_7;?></th>
		<th class='table_counter_size_cell'><?=$size_table->size_8;?></th>
		<th class='table_counter_size_cell'><?=$size_table->size_9;?></th>
		<th class='table_counter_size_cell'><?=$size_table->size_max;?></th>

	<th width="5%"><?=$this->lang->line('items_inventory_qty');?></th>
	<th width="2%"><?=$this->lang->line('items_dsc');?></th>
	<th width="6%"><?=$this->lang->line('items_unit_price');?></th>

 </tr>
</thead>

<?php  // САМАТА ТАБЛИЦА ....
foreach($this->Inventory->get_real_sklad_for_client( $sklad, $category, $collection, $group, $size )->result_array() as $row)
{
		$inum = $row['inum'];
		$dsc  = $row['dsc']; if($dsc==0) {$dsc='';}
		$iprice = to_currency_no_money(round((100-$row['dsc'])*$row['price']/100,2));
		
		$item_info = $this->Item->get_blanka_info($inum);
			$item_name = $this->Item->get_name($inum);
			$allow_sizes = $item_info->allow_sizes;
			
		$sizeColor = array(
			'1' => 'text-align:center;',
			'2' => 'text-align:center;',
			'3' => 'text-align:center;',
			'4' => 'text-align:center;',
			'5' => 'text-align:center;',
			'6' => 'text-align:center;',
			'7' => 'text-align:center;',
			'8' => 'text-align:center;',
			'9' => 'text-align:center;',
		  '10' => 'text-align:center;');
		  
		if($size)
		{ 
			$sizeCol = (int) substr($this->Inventory->check_size_to_find($size),1);
			$sizeColor[$sizeCol] = 'text-align:center;color:#500;background-color:#bb9;font-weight:bold;text-shadow: 1px 1px #eee;';
		}

		
   if($row['qty']>0) // специална функция с превключване ...
   { ?>

<tr>

	<td style="text-align:center;color:#004;font-weight:bold;text-align:center;">
		<?=$inum;?>
	</td>

	<td style="text-align:left;">
		<?php	if (!$item_name=='') { echo character_limiter($item_name,40);} ?>
	</td>

		<?php 
		$invsize_1 = $row['q1']; if ($invsize_1=='0') { $invsize_1 = ''; }
		$invsize_2 = $row['q2']; if ($invsize_2=='0') { $invsize_2 = ''; }
		$invsize_3 = $row['q3']; if ($invsize_3=='0') { $invsize_3 = ''; }
		$invsize_4 = $row['q4']; if ($invsize_4=='0') { $invsize_4 = ''; }
		$invsize_5 = $row['q5']; if ($invsize_5=='0') { $invsize_5 = ''; }
		$invsize_6 = $row['q6']; if ($invsize_6=='0') { $invsize_6 = ''; }
		$invsize_7 = $row['q7']; if ($invsize_7=='0') { $invsize_7 = ''; }
		$invsize_8 = $row['q8']; if ($invsize_8=='0') { $invsize_8 = ''; }
		$invsize_9 = $row['q9']; if ($invsize_9=='0') { $invsize_9 = ''; }
		$invsize_max = $row['q10']; if ($invsize_max=='0') { $invsize_max = '';} ?>

	<td style="<?=$sizeColor[1];?>"><?=$invsize_1; $sum_qty_1 += $invsize_1; $total_qty += $invsize_1;?></td>
	<td style="<?=$sizeColor[2];?>"><?=$invsize_2; $sum_qty_2 += $invsize_2; $total_qty += $invsize_2;?></td>
	<td style="<?=$sizeColor[3];?>"><?=$invsize_3; $sum_qty_3 += $invsize_3; $total_qty += $invsize_3;?></td>
	<td style="<?=$sizeColor[4];?>"><?=$invsize_4; $sum_qty_4 += $invsize_4; $total_qty += $invsize_4;?></td>
	<td style="<?=$sizeColor[5];?>"><?=$invsize_5; $sum_qty_5 += $invsize_5; $total_qty += $invsize_5;?></td>
	<td style="<?=$sizeColor[6];?>"><?=$invsize_6; $sum_qty_6 += $invsize_6; $total_qty += $invsize_6;?></td>
	<td style="<?=$sizeColor[7];?>"><?=$invsize_7; $sum_qty_7 += $invsize_7; $total_qty += $invsize_7;?></td>
	<td style="<?=$sizeColor[8];?>"><?=$invsize_8; $sum_qty_8 += $invsize_8; $total_qty += $invsize_8;?></td>
	<td style="<?=$sizeColor[9];?>"><?=$invsize_9; $sum_qty_9 += $invsize_9; $total_qty += $invsize_9;?></td>
	<td style="<?=$sizeColor[10];?>"><?=$invsize_max; $sum_qty_max += $invsize_max; $total_qty += $invsize_max;?></td>

	<?php  
		if ($row['qty'] <= 0) 
			{ echo '<td style="font-weight:bold;text-align:left;color:#b00;border-top:2px;">';}
		else
			{ echo '<td style="font-weight:bold;text-align:center;color:#000;border-top:2px;">';}

		echo $row['qty'];
		$all_qty += $row['qty']; 
		$all_suma += $row['qty'] * $iprice;	
		?>
	</td>
	
	<td style="color:#333;font-weight:normal;text-align:center;border-top:2px;">
		<?=$dsc;?>
	</td>

	<td style="color:#000;font-weight:normal;text-align:right;border-top:2px;">
		<?=$iprice;?>
	</td>

</tr>
<?php 
   }
}  // затваря foreach row ....


if (!$all_qty == 0)
{
?>
<tr>
   <td colspan='2' style="background-color:transparent;font-weight:bold;text-align:right;padding-right:4px;border:none;">
		<?php echo $this->lang->line('sales_allquantity'); ?>
	</td>

		<td style="color:black;font-weight:bold;text-align:center;">
			<?php if ($sum_qty_1 != 0) {echo $sum_qty_1;} else { echo '';} ?></td>
		<td style="color:black;font-weight:bold;text-align:center;">
			<?php if ($sum_qty_2 != 0) {echo $sum_qty_2;} else { echo '';} ?></td>
		<td style="color:black;font-weight:bold;text-align:center;">
			<?php if ($sum_qty_3 != 0) {echo $sum_qty_3;} else { echo '';} ?></td>
		<td style="color:black;font-weight:bold;text-align:center;">
			<?php if ($sum_qty_4 != 0) {echo $sum_qty_4;} else { echo '';} ?></td>
		<td style="color:black;font-weight:bold;text-align:center;">
			<?php if ($sum_qty_5 != 0) {echo $sum_qty_5;} else { echo '';} ?></td>
		<td style="color:black;font-weight:bold;text-align:center;">
			<?php if ($sum_qty_6 != 0) {echo $sum_qty_6;} else { echo '';} ?></td>
		<td style="color:black;font-weight:bold;text-align:center;">
			<?php if ($sum_qty_7 != 0) {echo $sum_qty_7;} else { echo '';} ?></td>
		<td style="color:black;font-weight:bold;text-align:center;">
			<?php if ($sum_qty_8 != 0) {echo $sum_qty_8;} else { echo '';} ?></td>
		<td style="color:black;font-weight:bold;text-align:center;">
			<?php if ($sum_qty_9 != 0) {echo $sum_qty_9;} else { echo '';} ?></td>
		<td style="color:black;font-weight:bold;text-align:center;">
			<?php if ($sum_qty_max != 0) {echo $sum_qty_max;} else { echo '';} ?></td>

	<?php
			if ($all_qty > 0)
				{ echo '<td style="color:#000;font-weight:bold;line-height:20px;text-align:center;">';}
			else
				{ echo '<td style="color:red;font-weight:bold;line-height:20px;text-align:center;">';}
			echo $all_qty; ?>
					</td>
	<td></td>

	<td style="color:#000;font-weight:bold;text-align:center;"> 
		<?=to_dot($all_suma);?>
	</td>


  </tr>
<?php
} // КРАЙ НА ТАБЛИЦА ....
?>

</table>
<br>
<!-- ============================== Край на СКЛАД-а =========================== -->

<?php $this->load->view("partial/footer_excel");
	
if($export_excel == 1)
{
	$content = ob_end_flush();
	
	$filename = 'sklad_'.$sklad.'.xls';
	header('Content-type: application/ms-excel');
	header('Content-Disposition: attachment; filename='.$filename);
	echo $content;
	die();
}
?>
