<?php /*----------------------------
		* BiSOFT ver.2022 APPLICATION 
		*----------------------------
		*	development  -> OK
		*  testing
		*  production   -> OK
		*/
		
	$ip = $_SERVER['REMOTE_ADDR'];
	if($ip=='::1' or $ip=='127.0.0.1' or $ip=='localhost') { $ip_local = 1;  $ip = 'localhost';}
	else { $ip_local = 0; }
	$ipc = substr(md5($ip),6,13);
   
   if(isset($cert))
   {
		if( $cert and strlen($cert)==32 and !is_numeric($cert) )
		{ 
			define('CERTKEY',$cert);
			if(!isset($_COOKIE["_b".$ipc."t_"]))
			{
				setcookie("_b".$ipc."t_", $cert, time() + 86400);
				$_COOKIE["_b".$ipc."t_"] = $cert;
			}
			
			if(isset($cName)){ define('CERTNAME',$cName); }
			else {define('CERTNAME','');}
		}
		else { define('CERTKEY',0);define('CERTNAME',''); }
   }
   else
   {
		if(isset($_COOKIE["_b".$ipc."t_"]))
      {  
			$cert = $_COOKIE["_b".$ipc."t_"];
			if( $cert and strlen($cert)==32 and !is_numeric($cert) )
			{ 
				define('CERTKEY',$cert);
				if(isset($cName)){ define('CERTNAME',$cName); }
				else {define('CERTNAME','');}
			}
			else { define('CERTKEY',0);define('CERTNAME',''); }
		}
      else
      { 
			require_once(".bbots.php");if(!isset($bot)){$bot=1;}
			define('CERTKEY',0);define('CERTNAME','');
		}
	}

	// последна проверка
	$ua = 0;
	if(isset($_SERVER['HTTP_USER_AGENT'])) { $ua = strtolower($_SERVER['HTTP_USER_AGENT']); }
	if(strpos($ua,'bot') or strpos($ua,'amazon') or strpos($ua,'crawler') or strpos($ua,'java')) {$ua=0;}

	$ip=$_SERVER['REMOTE_ADDR'];	
	if($ip!='::1' and $ip!='127.0.0.1' and $ip!='localhost')
	{	// check other trusted ips
	  if( (substr($ip,0,6) == '66.249' or !$ua) and CERTKEY===0)// any google bot
		{ require_once("fShop.php");die(); }
	}

	// Няма Certificate & bot?! -> OUT
	// if(CERTKEY===0 and $bot==1) { require_once("fShop.php");die(); }

	if(isset($_SERVER['CI_ENV']) and ($_SERVER['CI_ENV']=='BiSOFT' or $_SERVER['CI_ENV']=='development'))
		{ define('ENVIRONMENT', 'development');}
	else 
		{ define('ENVIRONMENT', 'production');}
	
		
switch (ENVIRONMENT)
{
	case 'development':
		error_reporting(-1);
		ini_set('display_errors', 1);
	break;

	case 'testing':
	case 'production':
		ini_set('display_errors', 0);
		if (version_compare(PHP_VERSION, '5.3', '>='))
		{ error_reporting(E_ALL & ~E_NOTICE & ~E_DEPRECATED & ~E_STRICT & ~E_USER_NOTICE & ~E_USER_DEPRECATED); }
		else
		{ error_reporting(E_ALL & ~E_NOTICE & ~E_STRICT & ~E_USER_NOTICE); }
	break;

	default:
		header('HTTP/1.1 503 Service Unavailable.', TRUE, 503);
		echo 'The application environment is not set correctly.';
		exit(1); // EXIT_ERROR
}

	$system_path = 'system';
	$application_folder = 'application';
	$view_folder = '';

	// Set the current directory correctly for CLI requests
	if (defined('STDIN'))
	{ chdir(dirname(__FILE__)); }

	if (($_temp = realpath($system_path)) !== FALSE)
	{ $system_path = $_temp.DIRECTORY_SEPARATOR; }
	else
	{  // Ensure there's a trailing slash
		$system_path = strtr(
			rtrim($system_path, '/\\'),
			'/\\',
			DIRECTORY_SEPARATOR.DIRECTORY_SEPARATOR
		).DIRECTORY_SEPARATOR;
	}

	// Is the system path correct?
	if ( !is_dir($system_path) )
	{
		header('HTTP/1.1 503 Service Unavailable.', TRUE, 503);
		echo 'Your system folder path does not appear to be set correctly. Please open the following file and correct this: '.pathinfo(__FILE__, PATHINFO_BASENAME);
		exit(3); // EXIT_CONFIG
	}

	// The name of THIS file
	define('SELF', pathinfo(__FILE__, PATHINFO_BASENAME));

	// Path to the system directory
	define('BASEPATH', $system_path);

	// Path to the front controller (this file) directory
	define('FCPATH', dirname(__FILE__).DIRECTORY_SEPARATOR);

	// Name of the "system" directory
	define('SYSDIR', basename(BASEPATH));

	// The path to the "application" directory
	if (is_dir($application_folder))
	{
		if(($_temp = realpath($application_folder)) !== FALSE)
		{ $application_folder = $_temp; }
		else
		{
			$application_folder = strtr(
				rtrim($application_folder, '/\\'),
				'/\\',
				DIRECTORY_SEPARATOR.DIRECTORY_SEPARATOR
			);
		}
	}
	elseif(is_dir(BASEPATH.$application_folder.DIRECTORY_SEPARATOR))
	{
		$application_folder = BASEPATH.strtr(
			trim($application_folder, '/\\'),
			'/\\',
			DIRECTORY_SEPARATOR.DIRECTORY_SEPARATOR
		);
	}
	else
	{
		header('HTTP/1.1 503 Service Unavailable.', TRUE, 503);
		echo 'Your application folder path does not appear to be set correctly. Please open the following file and correct this: '.SELF;
		exit(3); // EXIT_CONFIG
	}

	define('APPPATH', $application_folder.DIRECTORY_SEPARATOR);

	// The path to the "views" directory
	if ( ! isset($view_folder[0]) && is_dir(APPPATH.'views'.DIRECTORY_SEPARATOR))
	{
		$view_folder = APPPATH.'views';
	}
	elseif (is_dir($view_folder))
	{
		if (($_temp = realpath($view_folder)) !== FALSE)
		{ $view_folder = $_temp; }
		else
		{
			$view_folder = strtr(
				rtrim($view_folder, '/\\'),
				'/\\',
				DIRECTORY_SEPARATOR.DIRECTORY_SEPARATOR
			);
		}
	}
	elseif (is_dir(APPPATH.$view_folder.DIRECTORY_SEPARATOR))
	{
		$view_folder = APPPATH.strtr(
			trim($view_folder, '/\\'),
			'/\\',
			DIRECTORY_SEPARATOR.DIRECTORY_SEPARATOR
		);
	}
	else
	{
		header('HTTP/1.1 503 Service Unavailable.', TRUE, 503);
		echo 'Your view folder path does not appear to be set correctly. Please open the following file and correct this: '.SELF;
		exit(3); // EXIT_CONFIG
	}

	define('VIEWPATH', $view_folder.DIRECTORY_SEPARATOR);

	
	// define BiSOFT special dirs
	$docRoot = $_SERVER['DOCUMENT_ROOT'];
	if(!defined('PICDIR')) { define('PICDIR', "$docRoot/bisoft_data/online_shop/pictures/"); }
	
	if(isset($_SERVER['HTTPS']) and $_SERVER['HTTPS']=="on")
		{ define('HTTPSSL', 'https://'. $_SERVER['HTTP_HOST'].'/' );define('SKEY','s');}
	else
		{ define('HTTPSSL', 'http://'. $_SERVER['HTTP_HOST'].'/' );define('SKEY','');}

	define('BISOFT', HTTPSSL.'bisoft/');
	define('BIMG' , HTTPSSL.'bisoft/images/');
	define('BHOME', HTTPSSL.'bisoft/index.php/Home');
	define('BDATA', HTTPSSL.'bisoft_data/');
	define('BPICS', HTTPSSL.'bisoft_data/pictures/');

	define('BISOFTDIR', HTTPSSL.'bisoft_data/bisoft/');
	
	define('ESHOP', HTTPSSL.'bisoft/');
	define('EDATA', HTTPSSL.'bisoft_data/');
	define('ONLINES', HTTPSSL.'bisoft/index.php/onlines/');
	define('ONLINESHOP', HTTPSSL.'bisoft_data/online_shop/');
	
	define('PRODUCTKEY', 'BiSOFT');

	
/* LOAD THE BOOTSTRAP FILE AND THERE WE GO ... */
require_once BASEPATH.'core/Bisoft.php';
