<?php // localhost/eBorica/eBorica_test.php 

	chdir("/var/www/html/eBorica");
	require_once('eBorica.php');
	
	// 0 => Test / 1 => Production
	$mode_key = 1;

	$transactionCode = '10';
	$transactionStatusFlag = '0';
	$language = 'BG';
	$protocolVersion = '1.0';
	$privateKeyPassword = "Styler1991";
	
	if($mode_key==1)  // Production ключ
		{ $privateKeyFileName = "real.csr_PrivateKey.key"; }
	else  // Test ключ
		{ $privateKeyFileName = "test.csr_PrivateKey.key"; }

	$amount = '1.01';
	$orderID = date("ymd").'04';
	$orderDescription = 'STYLER Viktor jeans';

	// TID = '23000018'; MID = '2302702801';
	$terminalID = '23000018';

	$message = eBorica::generateBOReq(
		$privateKeyFileName,
		$privateKeyPassword,
		$transactionCode,
		$amount,
		$terminalID,
		$orderID,
		$orderDescription,
		$language,
		$protocolVersion );

	if($mode_key==1) // Production 
		{ $url = eBorica::gatewayURL."/registerTransaction?eBorica=".urlencode(base64_encode($message)); }
	else // Test
		{ $url = eBorica::testGatewayURL."/registerTransaction?eBorica=".urlencode(base64_encode($message)); }
	
	header('Location:'.$url);
	exit;?>
